#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 7647
#define LARGE_STATE_COUNT 1992
#define SYMBOL_COUNT 398
#define ALIAS_COUNT 7
#define TOKEN_COUNT 172
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 44
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 344

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_with = 16,
  anon_sym_var = 17,
  anon_sym_let = 18,
  anon_sym_const = 19,
  anon_sym_BANG = 20,
  anon_sym_else = 21,
  anon_sym_if = 22,
  anon_sym_switch = 23,
  anon_sym_for = 24,
  anon_sym_LPAREN = 25,
  anon_sym_RPAREN = 26,
  anon_sym_await = 27,
  anon_sym_in = 28,
  anon_sym_of = 29,
  anon_sym_while = 30,
  anon_sym_do = 31,
  anon_sym_try = 32,
  anon_sym_break = 33,
  anon_sym_continue = 34,
  anon_sym_debugger = 35,
  anon_sym_return = 36,
  anon_sym_throw = 37,
  anon_sym_SEMI = 38,
  anon_sym_COLON = 39,
  anon_sym_case = 40,
  anon_sym_catch = 41,
  anon_sym_finally = 42,
  anon_sym_yield = 43,
  anon_sym_LBRACK = 44,
  anon_sym_RBRACK = 45,
  sym__glimmer_template_content = 46,
  anon_sym_LTtemplate_GT = 47,
  anon_sym_LT_SLASHtemplate_GT = 48,
  aux_sym_jsx_text_token1 = 49,
  aux_sym_jsx_text_token2 = 50,
  sym_html_character_reference = 51,
  anon_sym_GT = 52,
  sym_jsx_identifier = 53,
  anon_sym_DOT = 54,
  anon_sym_LT_SLASH = 55,
  anon_sym_SLASH_GT = 56,
  anon_sym_DQUOTE = 57,
  anon_sym_SQUOTE = 58,
  sym_unescaped_double_jsx_string_fragment = 59,
  sym_unescaped_single_jsx_string_fragment = 60,
  anon_sym_class = 61,
  anon_sym_async = 62,
  anon_sym_function = 63,
  anon_sym_EQ_GT = 64,
  anon_sym_QMARK_DOT = 65,
  anon_sym_new = 66,
  anon_sym_using = 67,
  anon_sym_PLUS_EQ = 68,
  anon_sym_DASH_EQ = 69,
  anon_sym_STAR_EQ = 70,
  anon_sym_SLASH_EQ = 71,
  anon_sym_PERCENT_EQ = 72,
  anon_sym_CARET_EQ = 73,
  anon_sym_AMP_EQ = 74,
  anon_sym_PIPE_EQ = 75,
  anon_sym_GT_GT_EQ = 76,
  anon_sym_GT_GT_GT_EQ = 77,
  anon_sym_LT_LT_EQ = 78,
  anon_sym_STAR_STAR_EQ = 79,
  anon_sym_AMP_AMP_EQ = 80,
  anon_sym_PIPE_PIPE_EQ = 81,
  anon_sym_QMARK_QMARK_EQ = 82,
  anon_sym_DOT_DOT_DOT = 83,
  anon_sym_AMP_AMP = 84,
  anon_sym_PIPE_PIPE = 85,
  anon_sym_GT_GT = 86,
  anon_sym_GT_GT_GT = 87,
  anon_sym_LT_LT = 88,
  anon_sym_AMP = 89,
  anon_sym_CARET = 90,
  anon_sym_PIPE = 91,
  anon_sym_PLUS = 92,
  anon_sym_DASH = 93,
  anon_sym_SLASH = 94,
  anon_sym_PERCENT = 95,
  anon_sym_STAR_STAR = 96,
  anon_sym_LT = 97,
  anon_sym_LT_EQ = 98,
  anon_sym_EQ_EQ = 99,
  anon_sym_EQ_EQ_EQ = 100,
  anon_sym_BANG_EQ = 101,
  anon_sym_BANG_EQ_EQ = 102,
  anon_sym_GT_EQ = 103,
  anon_sym_QMARK_QMARK = 104,
  anon_sym_instanceof = 105,
  anon_sym_TILDE = 106,
  anon_sym_void = 107,
  anon_sym_delete = 108,
  anon_sym_PLUS_PLUS = 109,
  anon_sym_DASH_DASH = 110,
  sym_unescaped_double_string_fragment = 111,
  sym_unescaped_single_string_fragment = 112,
  sym_escape_sequence = 113,
  aux_sym_comment_token1 = 114,
  anon_sym_BQUOTE = 115,
  anon_sym_DOLLAR_LBRACE = 116,
  anon_sym_SLASH2 = 117,
  sym_regex_pattern = 118,
  sym_regex_flags = 119,
  sym_number = 120,
  sym_private_property_identifier = 121,
  anon_sym_target = 122,
  sym_this = 123,
  sym_super = 124,
  sym_true = 125,
  sym_false = 126,
  sym_null = 127,
  sym_undefined = 128,
  anon_sym_AT = 129,
  anon_sym_static = 130,
  anon_sym_readonly = 131,
  anon_sym_get = 132,
  anon_sym_set = 133,
  anon_sym_QMARK = 134,
  anon_sym_declare = 135,
  anon_sym_public = 136,
  anon_sym_private = 137,
  anon_sym_protected = 138,
  anon_sym_override = 139,
  anon_sym_module = 140,
  anon_sym_any = 141,
  anon_sym_number = 142,
  anon_sym_boolean = 143,
  anon_sym_string = 144,
  anon_sym_symbol = 145,
  anon_sym_object = 146,
  anon_sym_abstract = 147,
  anon_sym_satisfies = 148,
  anon_sym_require = 149,
  anon_sym_extends = 150,
  anon_sym_implements = 151,
  anon_sym_global = 152,
  anon_sym_interface = 153,
  anon_sym_enum = 154,
  anon_sym_DASH_QMARK_COLON = 155,
  anon_sym_PLUS_QMARK_COLON = 156,
  anon_sym_QMARK_COLON = 157,
  anon_sym_asserts = 158,
  anon_sym_infer = 159,
  anon_sym_is = 160,
  anon_sym_keyof = 161,
  anon_sym_unique = 162,
  anon_sym_unknown = 163,
  anon_sym_never = 164,
  anon_sym_LBRACE_PIPE = 165,
  anon_sym_PIPE_RBRACE = 166,
  sym__automatic_semicolon = 167,
  sym__template_chars = 168,
  sym__ternary_qmark = 169,
  sym_html_comment = 170,
  sym__function_signature_automatic_semicolon = 171,
  sym_program = 172,
  sym_export_statement = 173,
  sym_namespace_export = 174,
  sym_export_clause = 175,
  sym_export_specifier = 176,
  sym__module_export_name = 177,
  sym_declaration = 178,
  sym_import = 179,
  sym_import_statement = 180,
  sym_import_clause = 181,
  sym__from_clause = 182,
  sym_namespace_import = 183,
  sym_named_imports = 184,
  sym_import_specifier = 185,
  sym_import_attribute = 186,
  sym_expression_statement = 187,
  sym_variable_declaration = 188,
  sym_lexical_declaration = 189,
  sym_variable_declarator = 190,
  sym_statement_block = 191,
  sym_else_clause = 192,
  sym_if_statement = 193,
  sym_switch_statement = 194,
  sym_for_statement = 195,
  sym_for_in_statement = 196,
  sym__for_header = 197,
  sym_while_statement = 198,
  sym_do_statement = 199,
  sym_try_statement = 200,
  sym_with_statement = 201,
  sym_break_statement = 202,
  sym_continue_statement = 203,
  sym_debugger_statement = 204,
  sym_return_statement = 205,
  sym_throw_statement = 206,
  sym_empty_statement = 207,
  sym_labeled_statement = 208,
  sym_switch_body = 209,
  sym_switch_case = 210,
  sym_switch_default = 211,
  sym_catch_clause = 212,
  sym_finally_clause = 213,
  sym_parenthesized_expression = 214,
  sym_expression = 215,
  sym_primary_expression = 216,
  sym_yield_expression = 217,
  sym_object = 218,
  sym_object_pattern = 219,
  sym_assignment_pattern = 220,
  sym_object_assignment_pattern = 221,
  sym_array = 222,
  sym_array_pattern = 223,
  sym_glimmer_template = 224,
  sym_glimmer_opening_tag = 225,
  sym_glimmer_closing_tag = 226,
  sym_jsx_element = 227,
  sym_jsx_text = 228,
  sym_jsx_expression = 229,
  sym_jsx_opening_element = 230,
  sym_nested_identifier = 231,
  sym_jsx_namespace_name = 232,
  sym_jsx_closing_element = 233,
  sym_jsx_self_closing_element = 234,
  sym_jsx_attribute = 235,
  sym__jsx_string = 236,
  sym_class = 237,
  sym_class_declaration = 238,
  sym_class_heritage = 239,
  sym_function_expression = 240,
  sym_function_declaration = 241,
  sym_generator_function = 242,
  sym_generator_function_declaration = 243,
  sym_arrow_function = 244,
  sym__call_signature = 245,
  sym__formal_parameter = 246,
  sym_optional_chain = 247,
  sym_call_expression = 248,
  sym_new_expression = 249,
  sym_await_expression = 250,
  sym_member_expression = 251,
  sym_subscript_expression = 252,
  sym_assignment_expression = 253,
  sym__augmented_assignment_lhs = 254,
  sym_augmented_assignment_expression = 255,
  sym__initializer = 256,
  sym__destructuring_pattern = 257,
  sym_spread_element = 258,
  sym_ternary_expression = 259,
  sym_binary_expression = 260,
  sym_unary_expression = 261,
  sym_update_expression = 262,
  sym_sequence_expression = 263,
  sym_string = 264,
  sym_comment = 265,
  sym_template_string = 266,
  sym_template_substitution = 267,
  sym_regex = 268,
  sym_meta_property = 269,
  sym_arguments = 270,
  sym_decorator = 271,
  sym_decorator_member_expression = 272,
  sym_decorator_call_expression = 273,
  sym_class_body = 274,
  sym_formal_parameters = 275,
  sym_class_static_block = 276,
  sym_pattern = 277,
  sym_rest_pattern = 278,
  sym_method_definition = 279,
  sym_pair = 280,
  sym_pair_pattern = 281,
  sym__property_name = 282,
  sym_computed_property_name = 283,
  sym_public_field_definition = 284,
  sym__import_identifier = 285,
  sym_non_null_expression = 286,
  sym_method_signature = 287,
  sym_abstract_method_signature = 288,
  sym_function_signature = 289,
  sym_as_expression = 290,
  sym_satisfies_expression = 291,
  sym_instantiation_expression = 292,
  sym_import_require_clause = 293,
  sym_extends_clause = 294,
  sym__extends_clause_single = 295,
  sym_implements_clause = 296,
  sym_ambient_declaration = 297,
  sym_abstract_class_declaration = 298,
  sym_module = 299,
  sym_internal_module = 300,
  sym__module = 301,
  sym_import_alias = 302,
  sym_nested_type_identifier = 303,
  sym_interface_declaration = 304,
  sym_extends_type_clause = 305,
  sym_enum_declaration = 306,
  sym_enum_body = 307,
  sym_enum_assignment = 308,
  sym_type_alias_declaration = 309,
  sym_accessibility_modifier = 310,
  sym_override_modifier = 311,
  sym_required_parameter = 312,
  sym_optional_parameter = 313,
  sym__parameter_name = 314,
  sym_omitting_type_annotation = 315,
  sym_adding_type_annotation = 316,
  sym_opting_type_annotation = 317,
  sym_type_annotation = 318,
  sym__type_query_member_expression_in_type_annotation = 319,
  sym__type_query_call_expression_in_type_annotation = 320,
  sym_asserts = 321,
  sym_asserts_annotation = 322,
  sym__type = 323,
  sym_tuple_parameter = 324,
  sym_optional_tuple_parameter = 325,
  sym_optional_type = 326,
  sym_rest_type = 327,
  sym__tuple_type_member = 328,
  sym_constructor_type = 329,
  sym__primary_type = 330,
  sym_template_type = 331,
  sym_template_literal_type = 332,
  sym_infer_type = 333,
  sym_conditional_type = 334,
  sym_generic_type = 335,
  sym_type_predicate = 336,
  sym_type_predicate_annotation = 337,
  sym__type_query_member_expression = 338,
  sym__type_query_subscript_expression = 339,
  sym__type_query_call_expression = 340,
  sym__type_query_instantiation_expression = 341,
  sym_type_query = 342,
  sym_index_type_query = 343,
  sym_lookup_type = 344,
  sym_mapped_type_clause = 345,
  sym_literal_type = 346,
  sym__number = 347,
  sym_existential_type = 348,
  sym_flow_maybe_type = 349,
  sym_parenthesized_type = 350,
  sym_predefined_type = 351,
  sym_type_arguments = 352,
  sym_object_type = 353,
  sym_call_signature = 354,
  sym_property_signature = 355,
  sym_type_parameters = 356,
  sym_type_parameter = 357,
  sym_default_type = 358,
  sym_constraint = 359,
  sym_construct_signature = 360,
  sym_index_signature = 361,
  sym_array_type = 362,
  sym_tuple_type = 363,
  sym_readonly_type = 364,
  sym_union_type = 365,
  sym_intersection_type = 366,
  sym_function_type = 367,
  aux_sym_program_repeat1 = 368,
  aux_sym_export_statement_repeat1 = 369,
  aux_sym_export_clause_repeat1 = 370,
  aux_sym_named_imports_repeat1 = 371,
  aux_sym_variable_declaration_repeat1 = 372,
  aux_sym_switch_body_repeat1 = 373,
  aux_sym_object_repeat1 = 374,
  aux_sym_object_pattern_repeat1 = 375,
  aux_sym_array_repeat1 = 376,
  aux_sym_array_pattern_repeat1 = 377,
  aux_sym_glimmer_template_repeat1 = 378,
  aux_sym_jsx_element_repeat1 = 379,
  aux_sym__jsx_string_repeat1 = 380,
  aux_sym__jsx_string_repeat2 = 381,
  aux_sym_sequence_expression_repeat1 = 382,
  aux_sym_string_repeat1 = 383,
  aux_sym_string_repeat2 = 384,
  aux_sym_template_string_repeat1 = 385,
  aux_sym_class_body_repeat1 = 386,
  aux_sym_formal_parameters_repeat1 = 387,
  aux_sym__jsx_start_opening_element_repeat1 = 388,
  aux_sym_extends_clause_repeat1 = 389,
  aux_sym_implements_clause_repeat1 = 390,
  aux_sym_extends_type_clause_repeat1 = 391,
  aux_sym_enum_body_repeat1 = 392,
  aux_sym_template_literal_type_repeat1 = 393,
  aux_sym_type_arguments_repeat1 = 394,
  aux_sym_object_type_repeat1 = 395,
  aux_sym_type_parameters_repeat1 = 396,
  aux_sym_tuple_type_repeat1 = 397,
  alias_sym_interface_body = 398,
  alias_sym_property_identifier = 399,
  alias_sym_shorthand_property_identifier = 400,
  alias_sym_shorthand_property_identifier_pattern = 401,
  alias_sym_statement_identifier = 402,
  alias_sym_this_type = 403,
  alias_sym_type_identifier = 404,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [aux_sym_jsx_text_token1] = "jsx_text_token1",
  [aux_sym_jsx_text_token2] = "jsx_text_token2",
  [sym_html_character_reference] = "html_character_reference",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_jsx_string_fragment] = "string_fragment",
  [sym_unescaped_single_jsx_string_fragment] = "string_fragment",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_using] = "using",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_QMARK] = "\?",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_object] = "object",
  [anon_sym_abstract] = "abstract",
  [anon_sym_satisfies] = "satisfies",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_PLUS_QMARK_COLON] = "+\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unique] = "unique symbol",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_string] = "string",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_optional_chain] = "optional_chain",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_comment] = "comment",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym__import_identifier] = "_import_identifier",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_as_expression] = "as_expression",
  [sym_satisfies_expression] = "satisfies_expression",
  [sym_instantiation_expression] = "instantiation_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym__extends_clause_single] = "_extends_clause_single",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_adding_type_annotation] = "adding_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym__type_query_member_expression_in_type_annotation] = "member_expression",
  [sym__type_query_call_expression_in_type_annotation] = "call_expression",
  [sym_asserts] = "asserts",
  [sym_asserts_annotation] = "asserts_annotation",
  [sym__type] = "_type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym__primary_type] = "_primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym__type_query_instantiation_expression] = "instantiation_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym__jsx_string_repeat1] = "_jsx_string_repeat1",
  [aux_sym__jsx_string_repeat2] = "_jsx_string_repeat2",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym__jsx_start_opening_element_repeat1] = "_jsx_start_opening_element_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [alias_sym_interface_body] = "interface_body",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [aux_sym_jsx_text_token1] = aux_sym_jsx_text_token1,
  [aux_sym_jsx_text_token2] = aux_sym_jsx_text_token2,
  [sym_html_character_reference] = sym_html_character_reference,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_jsx_string_fragment] = sym_unescaped_double_jsx_string_fragment,
  [sym_unescaped_single_jsx_string_fragment] = sym_unescaped_double_jsx_string_fragment,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym_unescaped_double_jsx_string_fragment,
  [sym_unescaped_single_string_fragment] = sym_unescaped_double_jsx_string_fragment,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_satisfies] = anon_sym_satisfies,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_PLUS_QMARK_COLON] = anon_sym_PLUS_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unique] = anon_sym_unique,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = anon_sym_QMARK,
  [sym_html_comment] = sym_html_comment,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_string] = sym_string,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_optional_chain] = sym_optional_chain,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_comment] = sym_comment,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym__import_identifier] = sym__import_identifier,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_as_expression] = sym_as_expression,
  [sym_satisfies_expression] = sym_satisfies_expression,
  [sym_instantiation_expression] = sym_instantiation_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym__extends_clause_single] = sym__extends_clause_single,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_adding_type_annotation] = sym_adding_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym__type_query_member_expression_in_type_annotation] = sym_member_expression,
  [sym__type_query_call_expression_in_type_annotation] = sym_call_expression,
  [sym_asserts] = sym_asserts,
  [sym_asserts_annotation] = sym_asserts_annotation,
  [sym__type] = sym__type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym__primary_type] = sym__primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym__type_query_instantiation_expression] = sym_instantiation_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym__jsx_string_repeat1] = aux_sym__jsx_string_repeat1,
  [aux_sym__jsx_string_repeat2] = aux_sym__jsx_string_repeat2,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym__jsx_start_opening_element_repeat1] = aux_sym__jsx_start_opening_element_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [alias_sym_interface_body] = alias_sym_interface_body,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_jsx_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_text_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_html_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_satisfies] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unique] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_string] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__import_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_satisfies_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__extends_clause_single] = {
    .visible = false,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_adding_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_start_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constraint = 10,
  field_constructor = 11,
  field_content = 12,
  field_declaration = 13,
  field_decorator = 14,
  field_finalizer = 15,
  field_flags = 16,
  field_function = 17,
  field_handler = 18,
  field_increment = 19,
  field_index = 20,
  field_index_type = 21,
  field_initializer = 22,
  field_key = 23,
  field_kind = 24,
  field_label = 25,
  field_left = 26,
  field_module = 27,
  field_name = 28,
  field_object = 29,
  field_open_tag = 30,
  field_operator = 31,
  field_optional_chain = 32,
  field_parameter = 33,
  field_parameters = 34,
  field_pattern = 35,
  field_property = 36,
  field_return_type = 37,
  field_right = 38,
  field_sign = 39,
  field_source = 40,
  field_type = 41,
  field_type_arguments = 42,
  field_type_parameters = 43,
  field_value = 44,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 1},
  [12] = {.index = 12, .length = 1},
  [13] = {.index = 3, .length = 1},
  [15] = {.index = 13, .length = 2},
  [16] = {.index = 15, .length = 2},
  [17] = {.index = 17, .length = 1},
  [18] = {.index = 18, .length = 2},
  [19] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 2},
  [21] = {.index = 24, .length = 2},
  [22] = {.index = 26, .length = 1},
  [23] = {.index = 27, .length = 2},
  [24] = {.index = 29, .length = 2},
  [25] = {.index = 31, .length = 2},
  [26] = {.index = 33, .length = 2},
  [30] = {.index = 35, .length = 1},
  [31] = {.index = 36, .length = 2},
  [32] = {.index = 38, .length = 2},
  [33] = {.index = 40, .length = 2},
  [34] = {.index = 42, .length = 1},
  [35] = {.index = 43, .length = 2},
  [36] = {.index = 45, .length = 2},
  [37] = {.index = 47, .length = 6},
  [38] = {.index = 53, .length = 1},
  [39] = {.index = 54, .length = 3},
  [40] = {.index = 57, .length = 3},
  [41] = {.index = 60, .length = 2},
  [42] = {.index = 62, .length = 2},
  [43] = {.index = 64, .length = 2},
  [44] = {.index = 66, .length = 2},
  [45] = {.index = 68, .length = 1},
  [46] = {.index = 69, .length = 2},
  [47] = {.index = 71, .length = 1},
  [48] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 1},
  [53] = {.index = 77, .length = 2},
  [54] = {.index = 79, .length = 4},
  [55] = {.index = 83, .length = 2},
  [56] = {.index = 85, .length = 2},
  [57] = {.index = 87, .length = 1},
  [58] = {.index = 87, .length = 1},
  [59] = {.index = 88, .length = 1},
  [60] = {.index = 89, .length = 2},
  [61] = {.index = 91, .length = 2},
  [62] = {.index = 87, .length = 1},
  [63] = {.index = 27, .length = 2},
  [64] = {.index = 31, .length = 2},
  [65] = {.index = 93, .length = 3},
  [66] = {.index = 69, .length = 2},
  [67] = {.index = 69, .length = 2},
  [68] = {.index = 96, .length = 2},
  [69] = {.index = 96, .length = 2},
  [70] = {.index = 98, .length = 3},
  [71] = {.index = 98, .length = 3},
  [72] = {.index = 101, .length = 3},
  [73] = {.index = 104, .length = 2},
  [74] = {.index = 106, .length = 3},
  [75] = {.index = 109, .length = 2},
  [76] = {.index = 111, .length = 4},
  [77] = {.index = 115, .length = 2},
  [78] = {.index = 117, .length = 2},
  [79] = {.index = 119, .length = 3},
  [80] = {.index = 122, .length = 2},
  [81] = {.index = 124, .length = 2},
  [82] = {.index = 126, .length = 1},
  [83] = {.index = 127, .length = 1},
  [84] = {.index = 96, .length = 2},
  [85] = {.index = 27, .length = 2},
  [86] = {.index = 128, .length = 2},
  [87] = {.index = 130, .length = 5},
  [88] = {.index = 135, .length = 1},
  [89] = {.index = 136, .length = 1},
  [90] = {.index = 137, .length = 2},
  [91] = {.index = 139, .length = 3},
  [92] = {.index = 142, .length = 2},
  [93] = {.index = 144, .length = 3},
  [94] = {.index = 147, .length = 6},
  [95] = {.index = 153, .length = 1},
  [96] = {.index = 154, .length = 1},
  [97] = {.index = 155, .length = 3},
  [98] = {.index = 158, .length = 3},
  [99] = {.index = 161, .length = 4},
  [100] = {.index = 165, .length = 2},
  [101] = {.index = 167, .length = 2},
  [102] = {.index = 169, .length = 3},
  [103] = {.index = 172, .length = 4},
  [104] = {.index = 176, .length = 1},
  [105] = {.index = 177, .length = 2},
  [106] = {.index = 179, .length = 1},
  [107] = {.index = 180, .length = 2},
  [108] = {.index = 182, .length = 3},
  [109] = {.index = 185, .length = 2},
  [110] = {.index = 187, .length = 4},
  [111] = {.index = 191, .length = 3},
  [112] = {.index = 194, .length = 2},
  [113] = {.index = 196, .length = 2},
  [114] = {.index = 198, .length = 2},
  [117] = {.index = 198, .length = 2},
  [118] = {.index = 200, .length = 2},
  [119] = {.index = 202, .length = 2},
  [120] = {.index = 204, .length = 4},
  [121] = {.index = 202, .length = 2},
  [122] = {.index = 208, .length = 4},
  [123] = {.index = 212, .length = 4},
  [124] = {.index = 216, .length = 5},
  [125] = {.index = 221, .length = 3},
  [126] = {.index = 224, .length = 2},
  [127] = {.index = 224, .length = 2},
  [128] = {.index = 226, .length = 2},
  [129] = {.index = 228, .length = 2},
  [130] = {.index = 230, .length = 2},
  [131] = {.index = 232, .length = 2},
  [132] = {.index = 234, .length = 2},
  [133] = {.index = 236, .length = 2},
  [134] = {.index = 238, .length = 3},
  [135] = {.index = 236, .length = 2},
  [136] = {.index = 232, .length = 2},
  [137] = {.index = 142, .length = 2},
  [138] = {.index = 241, .length = 1},
  [139] = {.index = 241, .length = 1},
  [140] = {.index = 180, .length = 2},
  [141] = {.index = 182, .length = 3},
  [142] = {.index = 242, .length = 4},
  [143] = {.index = 246, .length = 2},
  [144] = {.index = 248, .length = 3},
  [145] = {.index = 251, .length = 2},
  [146] = {.index = 253, .length = 3},
  [147] = {.index = 256, .length = 2},
  [148] = {.index = 258, .length = 3},
  [149] = {.index = 261, .length = 1},
  [150] = {.index = 262, .length = 2},
  [151] = {.index = 264, .length = 2},
  [152] = {.index = 266, .length = 5},
  [153] = {.index = 262, .length = 2},
  [154] = {.index = 271, .length = 1},
  [155] = {.index = 272, .length = 4},
  [156] = {.index = 276, .length = 2},
  [157] = {.index = 278, .length = 1},
  [158] = {.index = 279, .length = 2},
  [159] = {.index = 281, .length = 2},
  [160] = {.index = 283, .length = 2},
  [161] = {.index = 285, .length = 4},
  [162] = {.index = 289, .length = 2},
  [163] = {.index = 291, .length = 3},
  [164] = {.index = 294, .length = 3},
  [165] = {.index = 297, .length = 3},
  [166] = {.index = 300, .length = 4},
  [167] = {.index = 304, .length = 1},
  [168] = {.index = 305, .length = 2},
  [169] = {.index = 307, .length = 4},
  [170] = {.index = 311, .length = 4},
  [171] = {.index = 315, .length = 4},
  [172] = {.index = 319, .length = 2},
  [173] = {.index = 321, .length = 2},
  [174] = {.index = 323, .length = 4},
  [175] = {.index = 327, .length = 4},
  [176] = {.index = 331, .length = 5},
  [177] = {.index = 336, .length = 3},
  [178] = {.index = 339, .length = 3},
  [179] = {.index = 339, .length = 3},
  [180] = {.index = 342, .length = 2},
  [181] = {.index = 344, .length = 3},
  [182] = {.index = 347, .length = 2},
  [183] = {.index = 347, .length = 2},
  [184] = {.index = 297, .length = 3},
  [185] = {.index = 349, .length = 4},
  [186] = {.index = 349, .length = 4},
  [187] = {.index = 353, .length = 4},
  [188] = {.index = 353, .length = 4},
  [189] = {.index = 357, .length = 3},
  [190] = {.index = 360, .length = 3},
  [191] = {.index = 137, .length = 2},
  [192] = {.index = 363, .length = 2},
  [193] = {.index = 365, .length = 3},
  [194] = {.index = 368, .length = 4},
  [195] = {.index = 372, .length = 3},
  [196] = {.index = 375, .length = 3},
  [197] = {.index = 378, .length = 2},
  [198] = {.index = 380, .length = 3},
  [199] = {.index = 383, .length = 5},
  [200] = {.index = 378, .length = 2},
  [201] = {.index = 388, .length = 3},
  [202] = {.index = 388, .length = 3},
  [203] = {.index = 391, .length = 3},
  [204] = {.index = 394, .length = 2},
  [205] = {.index = 396, .length = 4},
  [206] = {.index = 137, .length = 2},
  [207] = {.index = 400, .length = 1},
  [208] = {.index = 401, .length = 2},
  [209] = {.index = 403, .length = 2},
  [210] = {.index = 405, .length = 2},
  [211] = {.index = 407, .length = 2},
  [212] = {.index = 409, .length = 3},
  [213] = {.index = 412, .length = 1},
  [214] = {.index = 413, .length = 3},
  [215] = {.index = 416, .length = 2},
  [216] = {.index = 418, .length = 3},
  [217] = {.index = 421, .length = 3},
  [218] = {.index = 424, .length = 3},
  [219] = {.index = 427, .length = 3},
  [220] = {.index = 430, .length = 4},
  [221] = {.index = 434, .length = 2},
  [222] = {.index = 436, .length = 2},
  [223] = {.index = 438, .length = 1},
  [224] = {.index = 439, .length = 4},
  [225] = {.index = 439, .length = 4},
  [226] = {.index = 443, .length = 2},
  [227] = {.index = 445, .length = 3},
  [228] = {.index = 448, .length = 5},
  [229] = {.index = 453, .length = 3},
  [230] = {.index = 456, .length = 2},
  [231] = {.index = 458, .length = 2},
  [232] = {.index = 460, .length = 2},
  [233] = {.index = 462, .length = 1},
  [234] = {.index = 463, .length = 4},
  [235] = {.index = 467, .length = 3},
  [236] = {.index = 470, .length = 4},
  [237] = {.index = 474, .length = 5},
  [238] = {.index = 479, .length = 1},
  [239] = {.index = 480, .length = 2},
  [240] = {.index = 482, .length = 4},
  [241] = {.index = 486, .length = 4},
  [242] = {.index = 490, .length = 2},
  [243] = {.index = 492, .length = 4},
  [244] = {.index = 496, .length = 4},
  [245] = {.index = 500, .length = 2},
  [246] = {.index = 502, .length = 2},
  [247] = {.index = 504, .length = 3},
  [248] = {.index = 507, .length = 3},
  [249] = {.index = 510, .length = 2},
  [250] = {.index = 512, .length = 2},
  [251] = {.index = 514, .length = 1},
  [252] = {.index = 515, .length = 1},
  [253] = {.index = 516, .length = 3},
  [254] = {.index = 519, .length = 3},
  [255] = {.index = 522, .length = 3},
  [256] = {.index = 525, .length = 3},
  [257] = {.index = 528, .length = 4},
  [258] = {.index = 532, .length = 2},
  [259] = {.index = 534, .length = 4},
  [260] = {.index = 538, .length = 3},
  [261] = {.index = 541, .length = 2},
  [262] = {.index = 543, .length = 2},
  [263] = {.index = 545, .length = 4},
  [264] = {.index = 549, .length = 4},
  [265] = {.index = 553, .length = 4},
  [266] = {.index = 557, .length = 3},
  [267] = {.index = 560, .length = 2},
  [269] = {.index = 562, .length = 4},
  [270] = {.index = 566, .length = 5},
  [271] = {.index = 571, .length = 5},
  [272] = {.index = 576, .length = 5},
  [273] = {.index = 581, .length = 3},
  [274] = {.index = 584, .length = 3},
  [275] = {.index = 587, .length = 3},
  [276] = {.index = 584, .length = 3},
  [277] = {.index = 590, .length = 2},
  [278] = {.index = 592, .length = 4},
  [279] = {.index = 596, .length = 4},
  [280] = {.index = 600, .length = 3},
  [281] = {.index = 603, .length = 2},
  [282] = {.index = 605, .length = 2},
  [283] = {.index = 607, .length = 3},
  [284] = {.index = 610, .length = 2},
  [285] = {.index = 612, .length = 2},
  [286] = {.index = 614, .length = 1},
  [287] = {.index = 615, .length = 3},
  [288] = {.index = 618, .length = 3},
  [289] = {.index = 621, .length = 4},
  [290] = {.index = 625, .length = 4},
  [291] = {.index = 629, .length = 3},
  [292] = {.index = 632, .length = 3},
  [293] = {.index = 635, .length = 2},
  [294] = {.index = 637, .length = 3},
  [295] = {.index = 640, .length = 2},
  [296] = {.index = 642, .length = 4},
  [297] = {.index = 646, .length = 4},
  [298] = {.index = 650, .length = 4},
  [299] = {.index = 654, .length = 3},
  [300] = {.index = 657, .length = 5},
  [301] = {.index = 662, .length = 5},
  [302] = {.index = 667, .length = 4},
  [303] = {.index = 671, .length = 4},
  [304] = {.index = 675, .length = 3},
  [305] = {.index = 678, .length = 3},
  [306] = {.index = 678, .length = 3},
  [307] = {.index = 681, .length = 2},
  [308] = {.index = 683, .length = 2},
  [309] = {.index = 685, .length = 3},
  [310] = {.index = 688, .length = 2},
  [311] = {.index = 690, .length = 2},
  [312] = {.index = 692, .length = 4},
  [313] = {.index = 696, .length = 3},
  [314] = {.index = 699, .length = 3},
  [315] = {.index = 702, .length = 4},
  [316] = {.index = 706, .length = 3},
  [317] = {.index = 709, .length = 3},
  [318] = {.index = 712, .length = 2},
  [319] = {.index = 714, .length = 4},
  [320] = {.index = 718, .length = 5},
  [321] = {.index = 723, .length = 5},
  [322] = {.index = 728, .length = 4},
  [323] = {.index = 728, .length = 4},
  [324] = {.index = 732, .length = 4},
  [325] = {.index = 736, .length = 3},
  [326] = {.index = 739, .length = 2},
  [327] = {.index = 741, .length = 2},
  [328] = {.index = 743, .length = 3},
  [329] = {.index = 746, .length = 4},
  [330] = {.index = 750, .length = 4},
  [331] = {.index = 754, .length = 3},
  [332] = {.index = 757, .length = 3},
  [333] = {.index = 760, .length = 4},
  [334] = {.index = 764, .length = 3},
  [335] = {.index = 767, .length = 3},
  [336] = {.index = 770, .length = 5},
  [337] = {.index = 775, .length = 3},
  [338] = {.index = 778, .length = 4},
  [339] = {.index = 782, .length = 4},
  [340] = {.index = 786, .length = 3},
  [341] = {.index = 789, .length = 3},
  [342] = {.index = 792, .length = 4},
  [343] = {.index = 796, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_parameters, 0},
  [2] =
    {field_declaration, 1},
  [3] =
    {field_name, 0},
  [4] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [6] =
    {field_argument, 1},
    {field_operator, 0},
  [8] =
    {field_pattern, 0},
  [9] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [11] =
    {field_body, 1},
  [12] =
    {field_constructor, 1},
  [13] =
    {field_arguments, 1},
    {field_function, 0},
  [15] =
    {field_argument, 0},
    {field_operator, 1},
  [17] =
    {field_type_arguments, 1},
  [18] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [20] =
    {field_parameters, 0},
    {field_return_type, 1},
  [22] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [24] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [26] =
    {field_declaration, 2},
  [27] =
    {field_left, 0},
    {field_right, 2},
  [29] =
    {field_body, 2},
    {field_label, 0},
  [31] =
    {field_body, 2},
    {field_parameter, 0},
  [33] =
    {field_body, 1},
    {field_name, 0},
  [35] =
    {field_source, 1},
  [36] =
    {field_body, 2},
    {field_object, 1},
  [38] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [40] =
    {field_name, 0},
    {field_type, 1},
  [42] =
    {field_kind, 0},
  [43] =
    {field_condition, 1},
    {field_consequence, 2},
  [45] =
    {field_body, 2},
    {field_value, 1},
  [47] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [53] =
    {field_pattern, 1},
  [54] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [57] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [60] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [62] =
    {field_body, 2},
    {field_condition, 1},
  [64] =
    {field_body, 1},
    {field_handler, 2},
  [66] =
    {field_body, 1},
    {field_finalizer, 2},
  [68] =
    {field_label, 1},
  [69] =
    {field_body, 2},
    {field_name, 1},
  [71] =
    {field_value, 0},
  [72] =
    {field_type_arguments, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [74] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [76] =
    {field_body, 2},
  [77] =
    {field_body, 2},
    {field_type_parameters, 1},
  [79] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [83] =
    {field_arguments, 2},
    {field_constructor, 1},
  [85] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [87] =
    {field_name, 1},
  [88] =
    {field_attribute, 0},
  [89] =
    {field_name, 0},
    {field_value, 1},
  [91] =
    {field_constraint, 1},
    {field_name, 0},
  [93] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [96] =
    {field_object, 0},
    {field_property, 2},
  [98] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [101] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [104] =
    {field_arguments, 2},
    {field_function, 0},
  [106] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [109] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [111] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [115] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [117] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [119] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [122] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [124] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [126] =
    {field_source, 2, .inherited = true},
  [127] =
    {field_value, 2},
  [128] =
    {field_key, 0},
    {field_value, 2},
  [130] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [135] =
    {field_source, 2},
  [136] =
    {field_value, 1},
  [137] =
    {field_name, 0},
    {field_type, 2},
  [139] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [142] =
    {field_body, 3},
    {field_name, 2},
  [144] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [147] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [153] =
    {field_type, 2},
  [154] =
    {field_pattern, 2},
  [155] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [158] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [161] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [165] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [167] =
    {field_body, 1},
    {field_condition, 3},
  [169] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [172] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [176] =
    {field_decorator, 0, .inherited = true},
  [177] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
  [179] =
    {field_decorator, 1, .inherited = true},
  [180] =
    {field_body, 3},
    {field_name, 1},
  [182] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [185] =
    {field_type_arguments, 1},
    {field_value, 0},
  [187] =
    {field_type_arguments, 1, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [191] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [194] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [196] =
    {field_function, 1, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
  [198] =
    {field_name, 0},
    {field_type_arguments, 1},
  [200] =
    {field_body, 3},
    {field_type_parameters, 1},
  [202] =
    {field_body, 3},
    {field_parameter, 1},
  [204] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [208] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [212] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [216] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [221] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [224] =
    {field_left, 1},
    {field_right, 3},
  [226] =
    {field_flags, 3},
    {field_pattern, 1},
  [228] =
    {field_name, 1},
    {field_value, 2},
  [230] =
    {field_constraint, 2},
    {field_name, 1},
  [232] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [234] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [236] =
    {field_name, 1},
    {field_type_arguments, 2},
  [238] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [241] =
    {field_type, 1},
  [242] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [246] =
    {field_index, 2},
    {field_object, 0},
  [248] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [251] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [253] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [256] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [258] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [261] =
    {field_source, 3, .inherited = true},
  [262] =
    {field_alias, 2},
    {field_name, 0},
  [264] =
    {field_name, 1},
    {field_value, 3},
  [266] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [271] =
    {field_pattern, 3},
  [272] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [276] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [278] =
    {field_name, 2},
  [279] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [281] =
    {field_name, 1},
    {field_type, 2},
  [283] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [285] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [289] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [291] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [294] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
  [297] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [300] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [304] =
    {field_parameters, 1},
  [305] =
    {field_function, 0},
    {field_type_arguments, 1},
  [307] =
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_type_arguments, 1},
  [311] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [315] =
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
    {field_type_arguments, 1},
  [319] =
    {field_module, 0},
    {field_name, 2},
  [321] =
    {field_parameters, 0},
    {field_return_type, 2},
  [323] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [327] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [331] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [336] =
    {field_constraint, 2},
    {field_name, 1},
    {field_value, 3},
  [339] =
    {field_attribute, 3, .inherited = true},
    {field_name, 1},
    {field_type_arguments, 2},
  [342] =
    {field_body, 4},
    {field_name, 2},
  [344] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [347] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [349] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [353] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [357] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [360] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [363] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [365] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [368] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [372] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [375] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [378] =
    {field_alias, 3},
    {field_name, 1},
  [380] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [383] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [388] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [391] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [394] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [396] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [400] =
    {field_type, 3},
  [401] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [403] =
    {field_name, 2},
    {field_type, 3},
  [405] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [407] =
    {field_name, 1},
    {field_type, 3},
  [409] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [412] =
    {field_name, 3},
  [413] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [416] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [418] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [421] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
  [424] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [427] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [430] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [434] =
    {field_parameters, 1},
    {field_type, 2},
  [436] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [438] =
    {field_parameters, 2},
  [439] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [443] =
    {field_parameters, 1},
    {field_type, 3},
  [445] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [448] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [453] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [456] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [458] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [460] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [462] =
    {field_name, 2, .inherited = true},
  [463] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [467] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [470] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [474] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [479] =
    {field_source, 4},
  [480] =
    {field_body, 3},
    {field_value, 1},
  [482] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [486] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [490] =
    {field_body, 4},
    {field_parameter, 2},
  [492] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [496] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [500] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [502] =
    {field_name, 2},
    {field_type, 4},
  [504] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [507] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [510] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [512] =
    {field_name, 3},
    {field_type, 4},
  [514] =
    {field_type, 4},
  [515] =
    {field_name, 4},
  [516] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [519] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
  [522] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [525] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [528] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [532] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
  [534] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [538] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [541] =
    {field_parameters, 2},
    {field_type, 3},
  [543] =
    {field_parameters, 3},
    {field_type_parameters, 2},
  [545] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [549] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [553] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [557] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [560] =
    {field_parameters, 2},
    {field_type, 4},
  [562] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [566] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [571] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [576] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [581] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [584] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [587] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [590] =
    {field_sign, 0},
    {field_type, 5},
  [592] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [596] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [600] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [603] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [605] =
    {field_name, 3},
    {field_type, 5},
  [607] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [610] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [612] =
    {field_name, 4},
    {field_type, 5},
  [614] =
    {field_name, 5},
  [615] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [618] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
  [621] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [625] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [629] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [632] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
  [635] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
  [637] =
    {field_parameters, 3},
    {field_type, 4},
    {field_type_parameters, 2},
  [640] =
    {field_index, 3},
    {field_object, 0},
  [642] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [646] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [650] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [654] =
    {field_parameters, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [657] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [662] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [667] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [671] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [675] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [678] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [681] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [683] =
    {field_name, 4},
    {field_type, 6},
  [685] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [688] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [690] =
    {field_name, 5},
    {field_type, 6},
  [692] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [696] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [699] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
  [702] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [706] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [709] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
  [712] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
  [714] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [718] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [723] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [728] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [732] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [736] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [739] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [741] =
    {field_name, 5},
    {field_type, 7},
  [743] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [746] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [750] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [754] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [757] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
  [760] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [764] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 7, .inherited = true},
  [767] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
  [770] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [775] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [778] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [782] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [786] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 8, .inherited = true},
  [789] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
  [792] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [796] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
    {field_value, 9, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [7] = {
    [0] = alias_sym_property_identifier,
  },
  [13] = {
    [0] = alias_sym_type_identifier,
  },
  [14] = {
    [0] = sym_unescaped_double_jsx_string_fragment,
  },
  [23] = {
    [0] = sym_identifier,
  },
  [24] = {
    [0] = alias_sym_statement_identifier,
  },
  [25] = {
    [0] = sym_identifier,
  },
  [27] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [28] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [29] = {
    [1] = sym_identifier,
  },
  [45] = {
    [1] = alias_sym_statement_identifier,
  },
  [46] = {
    [1] = alias_sym_type_identifier,
  },
  [49] = {
    [0] = alias_sym_type_identifier,
  },
  [50] = {
    [0] = alias_sym_this_type,
  },
  [57] = {
    [1] = alias_sym_type_identifier,
  },
  [60] = {
    [0] = alias_sym_type_identifier,
  },
  [61] = {
    [0] = alias_sym_type_identifier,
  },
  [62] = {
    [1] = sym_member_expression,
  },
  [66] = {
    [1] = alias_sym_type_identifier,
    [2] = alias_sym_interface_body,
  },
  [68] = {
    [2] = alias_sym_property_identifier,
  },
  [70] = {
    [2] = alias_sym_property_identifier,
  },
  [84] = {
    [0] = sym_member_expression,
    [2] = alias_sym_property_identifier,
  },
  [85] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [108] = {
    [1] = alias_sym_type_identifier,
  },
  [114] = {
    [0] = alias_sym_type_identifier,
  },
  [115] = {
    [1] = alias_sym_type_identifier,
  },
  [116] = {
    [1] = anon_sym_unique,
  },
  [119] = {
    [1] = sym_identifier,
  },
  [126] = {
    [1] = sym_identifier,
  },
  [129] = {
    [1] = alias_sym_type_identifier,
  },
  [130] = {
    [1] = alias_sym_type_identifier,
  },
  [134] = {
    [0] = alias_sym_type_identifier,
  },
  [135] = {
    [1] = sym_member_expression,
  },
  [136] = {
    [1] = sym_member_expression,
  },
  [137] = {
    [2] = alias_sym_type_identifier,
  },
  [138] = {
    [1] = alias_sym_type_identifier,
  },
  [140] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [141] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [146] = {
    [2] = alias_sym_type_identifier,
  },
  [151] = {
    [1] = alias_sym_type_identifier,
  },
  [153] = {
    [0] = sym_identifier,
  },
  [165] = {
    [1] = alias_sym_type_identifier,
  },
  [172] = {
    [2] = alias_sym_type_identifier,
  },
  [177] = {
    [1] = alias_sym_type_identifier,
  },
  [179] = {
    [1] = sym_member_expression,
  },
  [180] = {
    [2] = alias_sym_type_identifier,
  },
  [181] = {
    [2] = alias_sym_type_identifier,
  },
  [182] = {
    [1] = alias_sym_type_identifier,
  },
  [184] = {
    [1] = alias_sym_type_identifier,
    [4] = alias_sym_interface_body,
  },
  [185] = {
    [2] = alias_sym_property_identifier,
  },
  [187] = {
    [2] = alias_sym_property_identifier,
  },
  [191] = {
    [0] = sym_identifier,
  },
  [193] = {
    [2] = alias_sym_type_identifier,
  },
  [194] = {
    [2] = alias_sym_type_identifier,
  },
  [196] = {
    [3] = alias_sym_type_identifier,
  },
  [198] = {
    [1] = alias_sym_type_identifier,
  },
  [200] = {
    [1] = sym_identifier,
  },
  [201] = {
    [1] = sym_identifier,
  },
  [206] = {
    [0] = alias_sym_type_identifier,
  },
  [224] = {
    [2] = alias_sym_property_identifier,
  },
  [229] = {
    [2] = alias_sym_type_identifier,
  },
  [234] = {
    [2] = alias_sym_type_identifier,
  },
  [235] = {
    [3] = alias_sym_type_identifier,
  },
  [236] = {
    [3] = alias_sym_type_identifier,
  },
  [268] = {
    [3] = alias_sym_property_identifier,
  },
  [269] = {
    [3] = alias_sym_type_identifier,
  },
  [274] = {
    [1] = sym_identifier,
  },
  [275] = {
    [0] = alias_sym_type_identifier,
  },
  [305] = {
    [2] = sym_identifier,
  },
  [322] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_nested_identifier, 2,
    sym_nested_identifier,
    sym_member_expression,
  sym_predefined_type, 2,
    sym_predefined_type,
    sym_identifier,
  sym_object_type, 2,
    sym_object_type,
    alias_sym_interface_body,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 4,
  [8] = 4,
  [9] = 4,
  [10] = 4,
  [11] = 4,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 14,
  [18] = 18,
  [19] = 18,
  [20] = 20,
  [21] = 18,
  [22] = 20,
  [23] = 20,
  [24] = 18,
  [25] = 20,
  [26] = 18,
  [27] = 20,
  [28] = 18,
  [29] = 20,
  [30] = 18,
  [31] = 18,
  [32] = 20,
  [33] = 18,
  [34] = 20,
  [35] = 20,
  [36] = 18,
  [37] = 20,
  [38] = 18,
  [39] = 20,
  [40] = 18,
  [41] = 20,
  [42] = 18,
  [43] = 20,
  [44] = 44,
  [45] = 18,
  [46] = 20,
  [47] = 18,
  [48] = 18,
  [49] = 20,
  [50] = 18,
  [51] = 18,
  [52] = 20,
  [53] = 53,
  [54] = 20,
  [55] = 18,
  [56] = 20,
  [57] = 18,
  [58] = 18,
  [59] = 20,
  [60] = 18,
  [61] = 20,
  [62] = 20,
  [63] = 18,
  [64] = 20,
  [65] = 20,
  [66] = 20,
  [67] = 20,
  [68] = 18,
  [69] = 18,
  [70] = 20,
  [71] = 18,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 74,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 73,
  [83] = 80,
  [84] = 79,
  [85] = 85,
  [86] = 81,
  [87] = 77,
  [88] = 88,
  [89] = 74,
  [90] = 79,
  [91] = 77,
  [92] = 88,
  [93] = 81,
  [94] = 81,
  [95] = 78,
  [96] = 75,
  [97] = 85,
  [98] = 74,
  [99] = 73,
  [100] = 85,
  [101] = 75,
  [102] = 74,
  [103] = 79,
  [104] = 73,
  [105] = 77,
  [106] = 78,
  [107] = 78,
  [108] = 75,
  [109] = 85,
  [110] = 88,
  [111] = 80,
  [112] = 73,
  [113] = 78,
  [114] = 81,
  [115] = 88,
  [116] = 75,
  [117] = 88,
  [118] = 79,
  [119] = 80,
  [120] = 85,
  [121] = 77,
  [122] = 80,
  [123] = 123,
  [124] = 123,
  [125] = 125,
  [126] = 125,
  [127] = 123,
  [128] = 123,
  [129] = 123,
  [130] = 123,
  [131] = 123,
  [132] = 123,
  [133] = 125,
  [134] = 123,
  [135] = 123,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 138,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 144,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 148,
  [151] = 151,
  [152] = 148,
  [153] = 147,
  [154] = 154,
  [155] = 155,
  [156] = 147,
  [157] = 157,
  [158] = 154,
  [159] = 147,
  [160] = 155,
  [161] = 154,
  [162] = 154,
  [163] = 147,
  [164] = 151,
  [165] = 154,
  [166] = 155,
  [167] = 155,
  [168] = 155,
  [169] = 149,
  [170] = 147,
  [171] = 151,
  [172] = 172,
  [173] = 173,
  [174] = 146,
  [175] = 147,
  [176] = 147,
  [177] = 147,
  [178] = 178,
  [179] = 147,
  [180] = 151,
  [181] = 181,
  [182] = 151,
  [183] = 151,
  [184] = 149,
  [185] = 147,
  [186] = 147,
  [187] = 144,
  [188] = 173,
  [189] = 147,
  [190] = 151,
  [191] = 151,
  [192] = 147,
  [193] = 147,
  [194] = 157,
  [195] = 147,
  [196] = 196,
  [197] = 196,
  [198] = 198,
  [199] = 196,
  [200] = 196,
  [201] = 196,
  [202] = 196,
  [203] = 196,
  [204] = 147,
  [205] = 196,
  [206] = 151,
  [207] = 196,
  [208] = 208,
  [209] = 208,
  [210] = 208,
  [211] = 208,
  [212] = 208,
  [213] = 208,
  [214] = 208,
  [215] = 208,
  [216] = 208,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 220,
  [222] = 220,
  [223] = 220,
  [224] = 220,
  [225] = 220,
  [226] = 220,
  [227] = 220,
  [228] = 220,
  [229] = 229,
  [230] = 230,
  [231] = 230,
  [232] = 229,
  [233] = 230,
  [234] = 229,
  [235] = 229,
  [236] = 229,
  [237] = 230,
  [238] = 230,
  [239] = 230,
  [240] = 229,
  [241] = 241,
  [242] = 241,
  [243] = 241,
  [244] = 244,
  [245] = 245,
  [246] = 241,
  [247] = 247,
  [248] = 244,
  [249] = 244,
  [250] = 241,
  [251] = 241,
  [252] = 247,
  [253] = 253,
  [254] = 254,
  [255] = 253,
  [256] = 241,
  [257] = 257,
  [258] = 253,
  [259] = 254,
  [260] = 257,
  [261] = 245,
  [262] = 241,
  [263] = 257,
  [264] = 254,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 241,
  [269] = 266,
  [270] = 266,
  [271] = 271,
  [272] = 266,
  [273] = 266,
  [274] = 266,
  [275] = 266,
  [276] = 276,
  [277] = 271,
  [278] = 278,
  [279] = 278,
  [280] = 278,
  [281] = 278,
  [282] = 278,
  [283] = 283,
  [284] = 284,
  [285] = 271,
  [286] = 284,
  [287] = 287,
  [288] = 283,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 271,
  [298] = 298,
  [299] = 271,
  [300] = 300,
  [301] = 298,
  [302] = 302,
  [303] = 303,
  [304] = 294,
  [305] = 293,
  [306] = 292,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 290,
  [318] = 318,
  [319] = 298,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 298,
  [325] = 325,
  [326] = 326,
  [327] = 298,
  [328] = 328,
  [329] = 290,
  [330] = 330,
  [331] = 331,
  [332] = 292,
  [333] = 333,
  [334] = 271,
  [335] = 293,
  [336] = 271,
  [337] = 337,
  [338] = 298,
  [339] = 271,
  [340] = 294,
  [341] = 271,
  [342] = 271,
  [343] = 298,
  [344] = 344,
  [345] = 302,
  [346] = 313,
  [347] = 321,
  [348] = 320,
  [349] = 318,
  [350] = 337,
  [351] = 351,
  [352] = 311,
  [353] = 310,
  [354] = 315,
  [355] = 314,
  [356] = 356,
  [357] = 351,
  [358] = 313,
  [359] = 308,
  [360] = 295,
  [361] = 328,
  [362] = 315,
  [363] = 330,
  [364] = 318,
  [365] = 351,
  [366] = 309,
  [367] = 351,
  [368] = 351,
  [369] = 320,
  [370] = 321,
  [371] = 311,
  [372] = 351,
  [373] = 326,
  [374] = 325,
  [375] = 323,
  [376] = 296,
  [377] = 356,
  [378] = 356,
  [379] = 312,
  [380] = 337,
  [381] = 328,
  [382] = 310,
  [383] = 314,
  [384] = 384,
  [385] = 292,
  [386] = 330,
  [387] = 308,
  [388] = 293,
  [389] = 294,
  [390] = 302,
  [391] = 316,
  [392] = 290,
  [393] = 303,
  [394] = 351,
  [395] = 351,
  [396] = 300,
  [397] = 356,
  [398] = 312,
  [399] = 344,
  [400] = 309,
  [401] = 401,
  [402] = 295,
  [403] = 323,
  [404] = 351,
  [405] = 405,
  [406] = 351,
  [407] = 322,
  [408] = 300,
  [409] = 325,
  [410] = 351,
  [411] = 296,
  [412] = 326,
  [413] = 351,
  [414] = 316,
  [415] = 351,
  [416] = 322,
  [417] = 333,
  [418] = 418,
  [419] = 351,
  [420] = 333,
  [421] = 356,
  [422] = 303,
  [423] = 423,
  [424] = 323,
  [425] = 423,
  [426] = 300,
  [427] = 326,
  [428] = 423,
  [429] = 429,
  [430] = 430,
  [431] = 309,
  [432] = 314,
  [433] = 433,
  [434] = 313,
  [435] = 308,
  [436] = 295,
  [437] = 437,
  [438] = 315,
  [439] = 318,
  [440] = 437,
  [441] = 441,
  [442] = 441,
  [443] = 303,
  [444] = 444,
  [445] = 325,
  [446] = 296,
  [447] = 316,
  [448] = 310,
  [449] = 328,
  [450] = 312,
  [451] = 423,
  [452] = 311,
  [453] = 302,
  [454] = 330,
  [455] = 337,
  [456] = 322,
  [457] = 321,
  [458] = 423,
  [459] = 320,
  [460] = 333,
  [461] = 461,
  [462] = 462,
  [463] = 461,
  [464] = 461,
  [465] = 461,
  [466] = 461,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 469,
  [473] = 473,
  [474] = 467,
  [475] = 471,
  [476] = 473,
  [477] = 467,
  [478] = 470,
  [479] = 479,
  [480] = 470,
  [481] = 471,
  [482] = 467,
  [483] = 470,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 469,
  [488] = 471,
  [489] = 484,
  [490] = 490,
  [491] = 491,
  [492] = 467,
  [493] = 479,
  [494] = 470,
  [495] = 470,
  [496] = 496,
  [497] = 467,
  [498] = 471,
  [499] = 499,
  [500] = 473,
  [501] = 471,
  [502] = 502,
  [503] = 469,
  [504] = 479,
  [505] = 473,
  [506] = 479,
  [507] = 507,
  [508] = 471,
  [509] = 470,
  [510] = 467,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 471,
  [515] = 515,
  [516] = 479,
  [517] = 479,
  [518] = 485,
  [519] = 484,
  [520] = 469,
  [521] = 473,
  [522] = 469,
  [523] = 473,
  [524] = 473,
  [525] = 469,
  [526] = 471,
  [527] = 467,
  [528] = 470,
  [529] = 479,
  [530] = 485,
  [531] = 484,
  [532] = 470,
  [533] = 467,
  [534] = 484,
  [535] = 535,
  [536] = 479,
  [537] = 485,
  [538] = 538,
  [539] = 469,
  [540] = 479,
  [541] = 469,
  [542] = 485,
  [543] = 473,
  [544] = 473,
  [545] = 507,
  [546] = 490,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 548,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 559,
  [573] = 555,
  [574] = 574,
  [575] = 548,
  [576] = 553,
  [577] = 577,
  [578] = 553,
  [579] = 571,
  [580] = 553,
  [581] = 559,
  [582] = 556,
  [583] = 583,
  [584] = 584,
  [585] = 570,
  [586] = 574,
  [587] = 571,
  [588] = 554,
  [589] = 574,
  [590] = 570,
  [591] = 554,
  [592] = 569,
  [593] = 571,
  [594] = 584,
  [595] = 583,
  [596] = 577,
  [597] = 597,
  [598] = 559,
  [599] = 599,
  [600] = 555,
  [601] = 559,
  [602] = 559,
  [603] = 549,
  [604] = 604,
  [605] = 550,
  [606] = 551,
  [607] = 568,
  [608] = 556,
  [609] = 583,
  [610] = 567,
  [611] = 552,
  [612] = 557,
  [613] = 558,
  [614] = 561,
  [615] = 562,
  [616] = 563,
  [617] = 584,
  [618] = 583,
  [619] = 565,
  [620] = 566,
  [621] = 567,
  [622] = 569,
  [623] = 568,
  [624] = 569,
  [625] = 566,
  [626] = 626,
  [627] = 627,
  [628] = 626,
  [629] = 629,
  [630] = 584,
  [631] = 583,
  [632] = 568,
  [633] = 584,
  [634] = 583,
  [635] = 635,
  [636] = 567,
  [637] = 565,
  [638] = 559,
  [639] = 574,
  [640] = 577,
  [641] = 554,
  [642] = 548,
  [643] = 563,
  [644] = 577,
  [645] = 566,
  [646] = 646,
  [647] = 562,
  [648] = 565,
  [649] = 561,
  [650] = 558,
  [651] = 557,
  [652] = 559,
  [653] = 552,
  [654] = 553,
  [655] = 555,
  [656] = 551,
  [657] = 548,
  [658] = 549,
  [659] = 550,
  [660] = 550,
  [661] = 553,
  [662] = 597,
  [663] = 563,
  [664] = 551,
  [665] = 552,
  [666] = 557,
  [667] = 555,
  [668] = 558,
  [669] = 561,
  [670] = 562,
  [671] = 562,
  [672] = 561,
  [673] = 563,
  [674] = 548,
  [675] = 565,
  [676] = 566,
  [677] = 558,
  [678] = 549,
  [679] = 635,
  [680] = 557,
  [681] = 549,
  [682] = 569,
  [683] = 567,
  [684] = 550,
  [685] = 568,
  [686] = 569,
  [687] = 551,
  [688] = 552,
  [689] = 551,
  [690] = 550,
  [691] = 549,
  [692] = 555,
  [693] = 549,
  [694] = 552,
  [695] = 584,
  [696] = 555,
  [697] = 557,
  [698] = 558,
  [699] = 561,
  [700] = 550,
  [701] = 556,
  [702] = 562,
  [703] = 551,
  [704] = 559,
  [705] = 552,
  [706] = 706,
  [707] = 563,
  [708] = 577,
  [709] = 568,
  [710] = 567,
  [711] = 566,
  [712] = 559,
  [713] = 565,
  [714] = 548,
  [715] = 574,
  [716] = 548,
  [717] = 565,
  [718] = 554,
  [719] = 563,
  [720] = 566,
  [721] = 562,
  [722] = 561,
  [723] = 567,
  [724] = 724,
  [725] = 553,
  [726] = 568,
  [727] = 558,
  [728] = 557,
  [729] = 706,
  [730] = 552,
  [731] = 556,
  [732] = 557,
  [733] = 558,
  [734] = 561,
  [735] = 554,
  [736] = 574,
  [737] = 562,
  [738] = 555,
  [739] = 577,
  [740] = 551,
  [741] = 550,
  [742] = 559,
  [743] = 571,
  [744] = 597,
  [745] = 569,
  [746] = 553,
  [747] = 556,
  [748] = 563,
  [749] = 749,
  [750] = 555,
  [751] = 549,
  [752] = 550,
  [753] = 551,
  [754] = 552,
  [755] = 548,
  [756] = 577,
  [757] = 557,
  [758] = 584,
  [759] = 558,
  [760] = 561,
  [761] = 583,
  [762] = 562,
  [763] = 563,
  [764] = 565,
  [765] = 559,
  [766] = 566,
  [767] = 567,
  [768] = 568,
  [769] = 569,
  [770] = 574,
  [771] = 554,
  [772] = 556,
  [773] = 584,
  [774] = 577,
  [775] = 583,
  [776] = 559,
  [777] = 577,
  [778] = 565,
  [779] = 571,
  [780] = 554,
  [781] = 574,
  [782] = 566,
  [783] = 567,
  [784] = 549,
  [785] = 571,
  [786] = 553,
  [787] = 568,
  [788] = 788,
  [789] = 597,
  [790] = 559,
  [791] = 571,
  [792] = 583,
  [793] = 554,
  [794] = 574,
  [795] = 556,
  [796] = 569,
  [797] = 584,
  [798] = 556,
  [799] = 570,
  [800] = 597,
  [801] = 801,
  [802] = 802,
  [803] = 571,
  [804] = 804,
  [805] = 805,
  [806] = 805,
  [807] = 805,
  [808] = 808,
  [809] = 808,
  [810] = 808,
  [811] = 811,
  [812] = 811,
  [813] = 811,
  [814] = 814,
  [815] = 814,
  [816] = 814,
  [817] = 814,
  [818] = 814,
  [819] = 819,
  [820] = 819,
  [821] = 819,
  [822] = 822,
  [823] = 823,
  [824] = 822,
  [825] = 822,
  [826] = 823,
  [827] = 823,
  [828] = 828,
  [829] = 828,
  [830] = 828,
  [831] = 828,
  [832] = 828,
  [833] = 833,
  [834] = 833,
  [835] = 833,
  [836] = 836,
  [837] = 836,
  [838] = 838,
  [839] = 838,
  [840] = 833,
  [841] = 833,
  [842] = 833,
  [843] = 838,
  [844] = 836,
  [845] = 845,
  [846] = 846,
  [847] = 846,
  [848] = 848,
  [849] = 848,
  [850] = 850,
  [851] = 851,
  [852] = 850,
  [853] = 850,
  [854] = 848,
  [855] = 848,
  [856] = 845,
  [857] = 848,
  [858] = 848,
  [859] = 850,
  [860] = 850,
  [861] = 861,
  [862] = 848,
  [863] = 848,
  [864] = 864,
  [865] = 848,
  [866] = 866,
  [867] = 848,
  [868] = 864,
  [869] = 869,
  [870] = 864,
  [871] = 864,
  [872] = 848,
  [873] = 846,
  [874] = 864,
  [875] = 864,
  [876] = 876,
  [877] = 848,
  [878] = 869,
  [879] = 848,
  [880] = 869,
  [881] = 848,
  [882] = 848,
  [883] = 848,
  [884] = 851,
  [885] = 295,
  [886] = 309,
  [887] = 845,
  [888] = 888,
  [889] = 296,
  [890] = 295,
  [891] = 869,
  [892] = 292,
  [893] = 888,
  [894] = 293,
  [895] = 888,
  [896] = 295,
  [897] = 888,
  [898] = 888,
  [899] = 848,
  [900] = 295,
  [901] = 309,
  [902] = 309,
  [903] = 888,
  [904] = 300,
  [905] = 888,
  [906] = 888,
  [907] = 888,
  [908] = 309,
  [909] = 909,
  [910] = 296,
  [911] = 292,
  [912] = 309,
  [913] = 296,
  [914] = 914,
  [915] = 295,
  [916] = 326,
  [917] = 325,
  [918] = 322,
  [919] = 919,
  [920] = 295,
  [921] = 921,
  [922] = 333,
  [923] = 300,
  [924] = 295,
  [925] = 309,
  [926] = 926,
  [927] = 300,
  [928] = 928,
  [929] = 929,
  [930] = 309,
  [931] = 909,
  [932] = 932,
  [933] = 926,
  [934] = 309,
  [935] = 293,
  [936] = 293,
  [937] = 909,
  [938] = 300,
  [939] = 295,
  [940] = 296,
  [941] = 294,
  [942] = 292,
  [943] = 300,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 296,
  [948] = 948,
  [949] = 295,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 309,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 945,
  [958] = 292,
  [959] = 293,
  [960] = 300,
  [961] = 325,
  [962] = 326,
  [963] = 926,
  [964] = 914,
  [965] = 296,
  [966] = 919,
  [967] = 337,
  [968] = 932,
  [969] = 303,
  [970] = 946,
  [971] = 928,
  [972] = 951,
  [973] = 952,
  [974] = 294,
  [975] = 944,
  [976] = 948,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 322,
  [983] = 929,
  [984] = 326,
  [985] = 325,
  [986] = 333,
  [987] = 921,
  [988] = 950,
  [989] = 309,
  [990] = 295,
  [991] = 945,
  [992] = 333,
  [993] = 322,
  [994] = 954,
  [995] = 312,
  [996] = 323,
  [997] = 955,
  [998] = 909,
  [999] = 300,
  [1000] = 919,
  [1001] = 928,
  [1002] = 944,
  [1003] = 948,
  [1004] = 950,
  [1005] = 954,
  [1006] = 955,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 295,
  [1010] = 309,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 309,
  [1014] = 309,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 294,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 926,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 914,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 296,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 295,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 333,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 322,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 300,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 296,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 295,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 932,
  [1146] = 1146,
  [1147] = 300,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 296,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 295,
  [1156] = 946,
  [1157] = 300,
  [1158] = 951,
  [1159] = 1159,
  [1160] = 296,
  [1161] = 1161,
  [1162] = 300,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 309,
  [1167] = 1167,
  [1168] = 296,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 952,
  [1177] = 929,
  [1178] = 921,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 945,
  [1188] = 1042,
  [1189] = 1189,
  [1190] = 1105,
  [1191] = 323,
  [1192] = 312,
  [1193] = 294,
  [1194] = 1112,
  [1195] = 1115,
  [1196] = 300,
  [1197] = 950,
  [1198] = 1044,
  [1199] = 1045,
  [1200] = 1046,
  [1201] = 1047,
  [1202] = 1048,
  [1203] = 1049,
  [1204] = 932,
  [1205] = 955,
  [1206] = 946,
  [1207] = 1120,
  [1208] = 928,
  [1209] = 309,
  [1210] = 951,
  [1211] = 956,
  [1212] = 1122,
  [1213] = 1054,
  [1214] = 1059,
  [1215] = 1062,
  [1216] = 1063,
  [1217] = 1064,
  [1218] = 1065,
  [1219] = 1066,
  [1220] = 1067,
  [1221] = 1068,
  [1222] = 1069,
  [1223] = 1123,
  [1224] = 1125,
  [1225] = 1128,
  [1226] = 1072,
  [1227] = 1130,
  [1228] = 1131,
  [1229] = 1133,
  [1230] = 1073,
  [1231] = 1134,
  [1232] = 1135,
  [1233] = 1136,
  [1234] = 1139,
  [1235] = 295,
  [1236] = 1081,
  [1237] = 1083,
  [1238] = 1142,
  [1239] = 1143,
  [1240] = 1085,
  [1241] = 1127,
  [1242] = 1124,
  [1243] = 1086,
  [1244] = 1087,
  [1245] = 1088,
  [1246] = 1089,
  [1247] = 1090,
  [1248] = 1091,
  [1249] = 1092,
  [1250] = 1095,
  [1251] = 1096,
  [1252] = 1121,
  [1253] = 1097,
  [1254] = 1119,
  [1255] = 1117,
  [1256] = 1116,
  [1257] = 1114,
  [1258] = 1113,
  [1259] = 1099,
  [1260] = 1101,
  [1261] = 1111,
  [1262] = 1109,
  [1263] = 1108,
  [1264] = 1107,
  [1265] = 303,
  [1266] = 300,
  [1267] = 1102,
  [1268] = 337,
  [1269] = 1030,
  [1270] = 1029,
  [1271] = 1027,
  [1272] = 1103,
  [1273] = 1159,
  [1274] = 1103,
  [1275] = 1161,
  [1276] = 1163,
  [1277] = 914,
  [1278] = 1164,
  [1279] = 1102,
  [1280] = 1107,
  [1281] = 1108,
  [1282] = 1109,
  [1283] = 1165,
  [1284] = 1111,
  [1285] = 1167,
  [1286] = 1169,
  [1287] = 1113,
  [1288] = 1114,
  [1289] = 1116,
  [1290] = 1117,
  [1291] = 1119,
  [1292] = 1121,
  [1293] = 1124,
  [1294] = 1175,
  [1295] = 1101,
  [1296] = 1099,
  [1297] = 1097,
  [1298] = 1127,
  [1299] = 1096,
  [1300] = 1095,
  [1301] = 1092,
  [1302] = 1091,
  [1303] = 1090,
  [1304] = 1089,
  [1305] = 1088,
  [1306] = 1087,
  [1307] = 1016,
  [1308] = 1086,
  [1309] = 296,
  [1310] = 1085,
  [1311] = 1018,
  [1312] = 1017,
  [1313] = 1016,
  [1314] = 1083,
  [1315] = 1081,
  [1316] = 981,
  [1317] = 919,
  [1318] = 296,
  [1319] = 1100,
  [1320] = 1073,
  [1321] = 1179,
  [1322] = 1180,
  [1323] = 1181,
  [1324] = 1072,
  [1325] = 1098,
  [1326] = 1094,
  [1327] = 1069,
  [1328] = 980,
  [1329] = 1068,
  [1330] = 1067,
  [1331] = 296,
  [1332] = 1066,
  [1333] = 1132,
  [1334] = 1065,
  [1335] = 1064,
  [1336] = 1063,
  [1337] = 1062,
  [1338] = 1059,
  [1339] = 1054,
  [1340] = 1137,
  [1341] = 1138,
  [1342] = 1140,
  [1343] = 1141,
  [1344] = 979,
  [1345] = 1144,
  [1346] = 1146,
  [1347] = 1148,
  [1348] = 1149,
  [1349] = 1150,
  [1350] = 956,
  [1351] = 1093,
  [1352] = 1182,
  [1353] = 333,
  [1354] = 1084,
  [1355] = 1049,
  [1356] = 1152,
  [1357] = 1153,
  [1358] = 1154,
  [1359] = 1048,
  [1360] = 1047,
  [1361] = 1046,
  [1362] = 1045,
  [1363] = 1044,
  [1364] = 322,
  [1365] = 1080,
  [1366] = 1079,
  [1367] = 1132,
  [1368] = 1184,
  [1369] = 1017,
  [1370] = 1007,
  [1371] = 1008,
  [1372] = 1011,
  [1373] = 1012,
  [1374] = 300,
  [1375] = 1018,
  [1376] = 1183,
  [1377] = 1077,
  [1378] = 1076,
  [1379] = 1075,
  [1380] = 1015,
  [1381] = 295,
  [1382] = 1186,
  [1383] = 1027,
  [1384] = 1019,
  [1385] = 1185,
  [1386] = 1020,
  [1387] = 978,
  [1388] = 977,
  [1389] = 1021,
  [1390] = 1074,
  [1391] = 1022,
  [1392] = 337,
  [1393] = 1023,
  [1394] = 1024,
  [1395] = 1025,
  [1396] = 1026,
  [1397] = 303,
  [1398] = 300,
  [1399] = 1028,
  [1400] = 1031,
  [1401] = 1032,
  [1402] = 1033,
  [1403] = 1007,
  [1404] = 1034,
  [1405] = 1008,
  [1406] = 1071,
  [1407] = 1011,
  [1408] = 954,
  [1409] = 1035,
  [1410] = 1170,
  [1411] = 1036,
  [1412] = 1171,
  [1413] = 1037,
  [1414] = 1038,
  [1415] = 1012,
  [1416] = 1040,
  [1417] = 1174,
  [1418] = 1173,
  [1419] = 1172,
  [1420] = 1041,
  [1421] = 1042,
  [1422] = 1043,
  [1423] = 1050,
  [1424] = 309,
  [1425] = 1171,
  [1426] = 1015,
  [1427] = 1170,
  [1428] = 322,
  [1429] = 1019,
  [1430] = 1020,
  [1431] = 1021,
  [1432] = 1172,
  [1433] = 1173,
  [1434] = 1051,
  [1435] = 1174,
  [1436] = 1030,
  [1437] = 1029,
  [1438] = 1022,
  [1439] = 1052,
  [1440] = 333,
  [1441] = 1053,
  [1442] = 326,
  [1443] = 312,
  [1444] = 323,
  [1445] = 1055,
  [1446] = 1023,
  [1447] = 1056,
  [1448] = 1057,
  [1449] = 1058,
  [1450] = 1060,
  [1451] = 333,
  [1452] = 325,
  [1453] = 1137,
  [1454] = 1024,
  [1455] = 1025,
  [1456] = 1026,
  [1457] = 1138,
  [1458] = 1140,
  [1459] = 1185,
  [1460] = 1186,
  [1461] = 1028,
  [1462] = 1183,
  [1463] = 1031,
  [1464] = 1032,
  [1465] = 1033,
  [1466] = 1141,
  [1467] = 1184,
  [1468] = 1144,
  [1469] = 1034,
  [1470] = 977,
  [1471] = 1035,
  [1472] = 1146,
  [1473] = 1148,
  [1474] = 1182,
  [1475] = 1149,
  [1476] = 981,
  [1477] = 1150,
  [1478] = 296,
  [1479] = 1152,
  [1480] = 1036,
  [1481] = 1037,
  [1482] = 1153,
  [1483] = 1181,
  [1484] = 1180,
  [1485] = 1179,
  [1486] = 1038,
  [1487] = 980,
  [1488] = 1071,
  [1489] = 1074,
  [1490] = 1075,
  [1491] = 1076,
  [1492] = 1077,
  [1493] = 1079,
  [1494] = 1040,
  [1495] = 1041,
  [1496] = 1080,
  [1497] = 1104,
  [1498] = 1043,
  [1499] = 1084,
  [1500] = 1175,
  [1501] = 1050,
  [1502] = 1169,
  [1503] = 1167,
  [1504] = 1165,
  [1505] = 1164,
  [1506] = 1163,
  [1507] = 1161,
  [1508] = 1159,
  [1509] = 1051,
  [1510] = 1052,
  [1511] = 1053,
  [1512] = 979,
  [1513] = 1093,
  [1514] = 1055,
  [1515] = 1094,
  [1516] = 1056,
  [1517] = 1057,
  [1518] = 1058,
  [1519] = 1060,
  [1520] = 1098,
  [1521] = 1100,
  [1522] = 1104,
  [1523] = 1105,
  [1524] = 322,
  [1525] = 1143,
  [1526] = 1142,
  [1527] = 1112,
  [1528] = 1115,
  [1529] = 1120,
  [1530] = 1122,
  [1531] = 978,
  [1532] = 1123,
  [1533] = 1139,
  [1534] = 1154,
  [1535] = 1125,
  [1536] = 1136,
  [1537] = 1135,
  [1538] = 1134,
  [1539] = 1133,
  [1540] = 952,
  [1541] = 1131,
  [1542] = 944,
  [1543] = 948,
  [1544] = 929,
  [1545] = 1130,
  [1546] = 921,
  [1547] = 1128,
  [1548] = 1050,
  [1549] = 1186,
  [1550] = 1111,
  [1551] = 1083,
  [1552] = 978,
  [1553] = 1085,
  [1554] = 1086,
  [1555] = 1029,
  [1556] = 1030,
  [1557] = 1109,
  [1558] = 1108,
  [1559] = 1107,
  [1560] = 1021,
  [1561] = 956,
  [1562] = 1054,
  [1563] = 1059,
  [1564] = 1179,
  [1565] = 1180,
  [1566] = 1062,
  [1567] = 1103,
  [1568] = 1080,
  [1569] = 1063,
  [1570] = 1064,
  [1571] = 1137,
  [1572] = 1065,
  [1573] = 1087,
  [1574] = 1138,
  [1575] = 1184,
  [1576] = 1159,
  [1577] = 1066,
  [1578] = 1161,
  [1579] = 1023,
  [1580] = 1163,
  [1581] = 1067,
  [1582] = 1181,
  [1583] = 1024,
  [1584] = 1164,
  [1585] = 1022,
  [1586] = 1068,
  [1587] = 1069,
  [1588] = 1025,
  [1589] = 300,
  [1590] = 1102,
  [1591] = 1088,
  [1592] = 1052,
  [1593] = 1089,
  [1594] = 1136,
  [1595] = 1090,
  [1596] = 1120,
  [1597] = 1091,
  [1598] = 1165,
  [1599] = 1154,
  [1600] = 1092,
  [1601] = 1153,
  [1602] = 1026,
  [1603] = 1095,
  [1604] = 1096,
  [1605] = 1097,
  [1606] = 1152,
  [1607] = 1167,
  [1608] = 1134,
  [1609] = 1133,
  [1610] = 1020,
  [1611] = 312,
  [1612] = 1019,
  [1613] = 1044,
  [1614] = 1045,
  [1615] = 1170,
  [1616] = 1015,
  [1617] = 1171,
  [1618] = 1028,
  [1619] = 1031,
  [1620] = 1131,
  [1621] = 1046,
  [1622] = 1032,
  [1623] = 1130,
  [1624] = 1128,
  [1625] = 1047,
  [1626] = 1125,
  [1627] = 1123,
  [1628] = 1122,
  [1629] = 1115,
  [1630] = 1112,
  [1631] = 1105,
  [1632] = 1172,
  [1633] = 1182,
  [1634] = 1104,
  [1635] = 296,
  [1636] = 1100,
  [1637] = 1098,
  [1638] = 1169,
  [1639] = 1140,
  [1640] = 1173,
  [1641] = 1143,
  [1642] = 1175,
  [1643] = 1174,
  [1644] = 1141,
  [1645] = 1048,
  [1646] = 1071,
  [1647] = 1189,
  [1648] = 1074,
  [1649] = 1049,
  [1650] = 1183,
  [1651] = 1081,
  [1652] = 1060,
  [1653] = 1058,
  [1654] = 1099,
  [1655] = 1057,
  [1656] = 1056,
  [1657] = 1055,
  [1658] = 1185,
  [1659] = 1101,
  [1660] = 1033,
  [1661] = 1094,
  [1662] = 323,
  [1663] = 333,
  [1664] = 977,
  [1665] = 1053,
  [1666] = 1034,
  [1667] = 322,
  [1668] = 1035,
  [1669] = 1036,
  [1670] = 1075,
  [1671] = 303,
  [1672] = 1027,
  [1673] = 1007,
  [1674] = 1038,
  [1675] = 1073,
  [1676] = 1051,
  [1677] = 979,
  [1678] = 337,
  [1679] = 1076,
  [1680] = 1037,
  [1681] = 980,
  [1682] = 1150,
  [1683] = 1040,
  [1684] = 1077,
  [1685] = 1093,
  [1686] = 1142,
  [1687] = 1149,
  [1688] = 1148,
  [1689] = 981,
  [1690] = 1127,
  [1691] = 1146,
  [1692] = 1113,
  [1693] = 1084,
  [1694] = 1043,
  [1695] = 1124,
  [1696] = 1121,
  [1697] = 1119,
  [1698] = 1016,
  [1699] = 1012,
  [1700] = 1135,
  [1701] = 1079,
  [1702] = 1132,
  [1703] = 1042,
  [1704] = 1017,
  [1705] = 1018,
  [1706] = 1011,
  [1707] = 1041,
  [1708] = 1117,
  [1709] = 1072,
  [1710] = 1144,
  [1711] = 1008,
  [1712] = 1114,
  [1713] = 1139,
  [1714] = 1116,
  [1715] = 1715,
  [1716] = 1715,
  [1717] = 1715,
  [1718] = 1715,
  [1719] = 1715,
  [1720] = 1720,
  [1721] = 1720,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1720,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1720,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1728,
  [1736] = 1728,
  [1737] = 1737,
  [1738] = 1728,
  [1739] = 1728,
  [1740] = 1720,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1742,
  [1744] = 1742,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1745,
  [1750] = 1746,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1746,
  [1754] = 1748,
  [1755] = 1747,
  [1756] = 1745,
  [1757] = 1748,
  [1758] = 1747,
  [1759] = 1752,
  [1760] = 1747,
  [1761] = 1751,
  [1762] = 1745,
  [1763] = 1748,
  [1764] = 1752,
  [1765] = 1752,
  [1766] = 1751,
  [1767] = 1751,
  [1768] = 1746,
  [1769] = 1747,
  [1770] = 1746,
  [1771] = 1748,
  [1772] = 1752,
  [1773] = 1745,
  [1774] = 1747,
  [1775] = 1747,
  [1776] = 1752,
  [1777] = 1751,
  [1778] = 1751,
  [1779] = 1746,
  [1780] = 1752,
  [1781] = 1748,
  [1782] = 1751,
  [1783] = 1746,
  [1784] = 1748,
  [1785] = 1745,
  [1786] = 1745,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1787,
  [1790] = 1787,
  [1791] = 1787,
  [1792] = 1787,
  [1793] = 1787,
  [1794] = 1794,
  [1795] = 1794,
  [1796] = 1787,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1798,
  [1800] = 1797,
  [1801] = 1798,
  [1802] = 1798,
  [1803] = 1798,
  [1804] = 1797,
  [1805] = 1797,
  [1806] = 1797,
  [1807] = 1807,
  [1808] = 1807,
  [1809] = 1807,
  [1810] = 1807,
  [1811] = 1807,
  [1812] = 1807,
  [1813] = 1807,
  [1814] = 1807,
  [1815] = 1807,
  [1816] = 1807,
  [1817] = 1807,
  [1818] = 1807,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1821,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1819,
  [1826] = 1821,
  [1827] = 1824,
  [1828] = 1821,
  [1829] = 1824,
  [1830] = 1820,
  [1831] = 1821,
  [1832] = 1820,
  [1833] = 1819,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1835,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1839,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1841,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1837,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1857,
  [1864] = 1858,
  [1865] = 1859,
  [1866] = 1860,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1839,
  [1870] = 1860,
  [1871] = 1859,
  [1872] = 1858,
  [1873] = 1857,
  [1874] = 1862,
  [1875] = 1867,
  [1876] = 1839,
  [1877] = 1877,
  [1878] = 1868,
  [1879] = 1867,
  [1880] = 1841,
  [1881] = 1868,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1862,
  [1885] = 1885,
  [1886] = 1840,
  [1887] = 1877,
  [1888] = 1888,
  [1889] = 1842,
  [1890] = 1845,
  [1891] = 1844,
  [1892] = 1841,
  [1893] = 1840,
  [1894] = 1838,
  [1895] = 1837,
  [1896] = 1835,
  [1897] = 1877,
  [1898] = 1898,
  [1899] = 1837,
  [1900] = 1838,
  [1901] = 1868,
  [1902] = 1882,
  [1903] = 1903,
  [1904] = 1859,
  [1905] = 1905,
  [1906] = 1867,
  [1907] = 1907,
  [1908] = 1842,
  [1909] = 1834,
  [1910] = 1844,
  [1911] = 1838,
  [1912] = 1888,
  [1913] = 1840,
  [1914] = 1862,
  [1915] = 1857,
  [1916] = 1845,
  [1917] = 1858,
  [1918] = 1844,
  [1919] = 1845,
  [1920] = 1859,
  [1921] = 1860,
  [1922] = 1877,
  [1923] = 1882,
  [1924] = 1882,
  [1925] = 1882,
  [1926] = 1841,
  [1927] = 1841,
  [1928] = 1858,
  [1929] = 1882,
  [1930] = 1888,
  [1931] = 1877,
  [1932] = 1839,
  [1933] = 1933,
  [1934] = 1834,
  [1935] = 1834,
  [1936] = 1868,
  [1937] = 1888,
  [1938] = 1867,
  [1939] = 1834,
  [1940] = 1842,
  [1941] = 1877,
  [1942] = 1842,
  [1943] = 1888,
  [1944] = 1860,
  [1945] = 1861,
  [1946] = 1845,
  [1947] = 1850,
  [1948] = 1844,
  [1949] = 1835,
  [1950] = 1862,
  [1951] = 1837,
  [1952] = 1835,
  [1953] = 1857,
  [1954] = 1838,
  [1955] = 1840,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1957,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1961,
  [1963] = 1960,
  [1964] = 1964,
  [1965] = 1964,
  [1966] = 1966,
  [1967] = 1960,
  [1968] = 1966,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 1964,
  [1972] = 1964,
  [1973] = 1958,
  [1974] = 1970,
  [1975] = 1975,
  [1976] = 1966,
  [1977] = 1960,
  [1978] = 1970,
  [1979] = 1960,
  [1980] = 1966,
  [1981] = 1970,
  [1982] = 1970,
  [1983] = 1960,
  [1984] = 1964,
  [1985] = 1966,
  [1986] = 1986,
  [1987] = 1960,
  [1988] = 1986,
  [1989] = 1989,
  [1990] = 1960,
  [1991] = 1986,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1960,
  [1998] = 1994,
  [1999] = 1993,
  [2000] = 1996,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 1996,
  [2004] = 2004,
  [2005] = 1960,
  [2006] = 1960,
  [2007] = 1957,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 1993,
  [2012] = 1960,
  [2013] = 1993,
  [2014] = 2014,
  [2015] = 2004,
  [2016] = 2001,
  [2017] = 2017,
  [2018] = 1960,
  [2019] = 1996,
  [2020] = 1996,
  [2021] = 1993,
  [2022] = 1960,
  [2023] = 2001,
  [2024] = 1960,
  [2025] = 2025,
  [2026] = 2004,
  [2027] = 1993,
  [2028] = 1960,
  [2029] = 1996,
  [2030] = 1994,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 1960,
  [2034] = 1027,
  [2035] = 1994,
  [2036] = 2036,
  [2037] = 1969,
  [2038] = 1960,
  [2039] = 1016,
  [2040] = 2040,
  [2041] = 1960,
  [2042] = 1960,
  [2043] = 1958,
  [2044] = 1994,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2031,
  [2048] = 1994,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 1994,
  [2052] = 2045,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 1960,
  [2058] = 2058,
  [2059] = 2045,
  [2060] = 2060,
  [2061] = 2045,
  [2062] = 2032,
  [2063] = 2045,
  [2064] = 2045,
  [2065] = 1994,
  [2066] = 2066,
  [2067] = 2031,
  [2068] = 2046,
  [2069] = 2045,
  [2070] = 1994,
  [2071] = 2045,
  [2072] = 2032,
  [2073] = 2066,
  [2074] = 2045,
  [2075] = 2075,
  [2076] = 2076,
  [2077] = 2031,
  [2078] = 1994,
  [2079] = 2079,
  [2080] = 1994,
  [2081] = 2081,
  [2082] = 2050,
  [2083] = 2083,
  [2084] = 2079,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 2056,
  [2089] = 2050,
  [2090] = 1172,
  [2091] = 2031,
  [2092] = 2031,
  [2093] = 2093,
  [2094] = 1184,
  [2095] = 2086,
  [2096] = 2081,
  [2097] = 2079,
  [2098] = 2056,
  [2099] = 2087,
  [2100] = 1994,
  [2101] = 2079,
  [2102] = 2093,
  [2103] = 2079,
  [2104] = 2060,
  [2105] = 2076,
  [2106] = 1994,
  [2107] = 1016,
  [2108] = 2108,
  [2109] = 2109,
  [2110] = 2017,
  [2111] = 2056,
  [2112] = 2112,
  [2113] = 1992,
  [2114] = 2008,
  [2115] = 2056,
  [2116] = 2081,
  [2117] = 2081,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 1030,
  [2121] = 2009,
  [2122] = 2010,
  [2123] = 2123,
  [2124] = 1995,
  [2125] = 2002,
  [2126] = 1994,
  [2127] = 2093,
  [2128] = 2056,
  [2129] = 1027,
  [2130] = 2119,
  [2131] = 2093,
  [2132] = 2119,
  [2133] = 2118,
  [2134] = 2031,
  [2135] = 2119,
  [2136] = 2031,
  [2137] = 1029,
  [2138] = 2050,
  [2139] = 2118,
  [2140] = 2112,
  [2141] = 2049,
  [2142] = 2118,
  [2143] = 2143,
  [2144] = 2081,
  [2145] = 2145,
  [2146] = 2040,
  [2147] = 2147,
  [2148] = 2119,
  [2149] = 2060,
  [2150] = 2118,
  [2151] = 2031,
  [2152] = 2049,
  [2153] = 2081,
  [2154] = 1018,
  [2155] = 1017,
  [2156] = 2093,
  [2157] = 2093,
  [2158] = 2049,
  [2159] = 2040,
  [2160] = 2060,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2040,
  [2164] = 2056,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2081,
  [2168] = 2083,
  [2169] = 2055,
  [2170] = 2165,
  [2171] = 2171,
  [2172] = 2093,
  [2173] = 2173,
  [2174] = 2056,
  [2175] = 2165,
  [2176] = 2056,
  [2177] = 2165,
  [2178] = 2031,
  [2179] = 2165,
  [2180] = 2093,
  [2181] = 2165,
  [2182] = 2081,
  [2183] = 2040,
  [2184] = 2184,
  [2185] = 2081,
  [2186] = 2049,
  [2187] = 2187,
  [2188] = 2081,
  [2189] = 2187,
  [2190] = 2190,
  [2191] = 2093,
  [2192] = 2056,
  [2193] = 2040,
  [2194] = 2187,
  [2195] = 2060,
  [2196] = 2081,
  [2197] = 2187,
  [2198] = 2187,
  [2199] = 2093,
  [2200] = 2187,
  [2201] = 2201,
  [2202] = 2187,
  [2203] = 2203,
  [2204] = 2093,
  [2205] = 2093,
  [2206] = 2187,
  [2207] = 2081,
  [2208] = 2046,
  [2209] = 2187,
  [2210] = 2066,
  [2211] = 2081,
  [2212] = 2081,
  [2213] = 2087,
  [2214] = 2093,
  [2215] = 2093,
  [2216] = 2040,
  [2217] = 2093,
  [2218] = 2093,
  [2219] = 2076,
  [2220] = 2081,
  [2221] = 2162,
  [2222] = 2040,
  [2223] = 2081,
  [2224] = 2161,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2226,
  [2228] = 2228,
  [2229] = 2228,
  [2230] = 2093,
  [2231] = 2231,
  [2232] = 2231,
  [2233] = 2228,
  [2234] = 2225,
  [2235] = 2226,
  [2236] = 2228,
  [2237] = 2231,
  [2238] = 2225,
  [2239] = 2239,
  [2240] = 2226,
  [2241] = 2239,
  [2242] = 2226,
  [2243] = 2239,
  [2244] = 2239,
  [2245] = 2231,
  [2246] = 2228,
  [2247] = 2040,
  [2248] = 2231,
  [2249] = 2225,
  [2250] = 2081,
  [2251] = 2083,
  [2252] = 2228,
  [2253] = 2228,
  [2254] = 2231,
  [2255] = 2225,
  [2256] = 2225,
  [2257] = 2228,
  [2258] = 2226,
  [2259] = 2231,
  [2260] = 2228,
  [2261] = 2231,
  [2262] = 2225,
  [2263] = 2226,
  [2264] = 2239,
  [2265] = 2226,
  [2266] = 2239,
  [2267] = 2231,
  [2268] = 2225,
  [2269] = 2225,
  [2270] = 2239,
  [2271] = 2040,
  [2272] = 2239,
  [2273] = 2239,
  [2274] = 2226,
  [2275] = 2166,
  [2276] = 2276,
  [2277] = 2276,
  [2278] = 2276,
  [2279] = 2276,
  [2280] = 2276,
  [2281] = 2276,
  [2282] = 2276,
  [2283] = 2276,
  [2284] = 2276,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2286,
  [2288] = 2286,
  [2289] = 2286,
  [2290] = 2286,
  [2291] = 2286,
  [2292] = 2286,
  [2293] = 2286,
  [2294] = 2286,
  [2295] = 2295,
  [2296] = 2295,
  [2297] = 2295,
  [2298] = 2295,
  [2299] = 2295,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2302,
  [2304] = 2301,
  [2305] = 2301,
  [2306] = 2300,
  [2307] = 2302,
  [2308] = 2301,
  [2309] = 2301,
  [2310] = 2302,
  [2311] = 2302,
  [2312] = 2300,
  [2313] = 2301,
  [2314] = 2302,
  [2315] = 2302,
  [2316] = 2300,
  [2317] = 2302,
  [2318] = 2302,
  [2319] = 2301,
  [2320] = 2301,
  [2321] = 2301,
  [2322] = 2302,
  [2323] = 2302,
  [2324] = 2301,
  [2325] = 2300,
  [2326] = 2300,
  [2327] = 2327,
  [2328] = 2301,
  [2329] = 2302,
  [2330] = 2302,
  [2331] = 2301,
  [2332] = 2302,
  [2333] = 2302,
  [2334] = 2301,
  [2335] = 2301,
  [2336] = 2301,
  [2337] = 2300,
  [2338] = 2301,
  [2339] = 2302,
  [2340] = 2340,
  [2341] = 312,
  [2342] = 2342,
  [2343] = 323,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 312,
  [2351] = 2351,
  [2352] = 294,
  [2353] = 293,
  [2354] = 2354,
  [2355] = 292,
  [2356] = 323,
  [2357] = 2147,
  [2358] = 2358,
  [2359] = 290,
  [2360] = 2109,
  [2361] = 2123,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 977,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2390,
  [2391] = 978,
  [2392] = 2372,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2372,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2372,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 294,
  [2410] = 293,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 292,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2372,
  [2431] = 2431,
  [2432] = 2376,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2372,
  [2437] = 2437,
  [2438] = 2376,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 979,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2372,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 295,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 309,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 981,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 2488,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2376,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 980,
  [2517] = 2376,
  [2518] = 2518,
  [2519] = 325,
  [2520] = 326,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2382,
  [2527] = 2527,
  [2528] = 322,
  [2529] = 2529,
  [2530] = 2441,
  [2531] = 2440,
  [2532] = 2532,
  [2533] = 2452,
  [2534] = 2442,
  [2535] = 2466,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2460,
  [2539] = 2382,
  [2540] = 2384,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2485,
  [2544] = 2458,
  [2545] = 2347,
  [2546] = 2484,
  [2547] = 2483,
  [2548] = 2373,
  [2549] = 2441,
  [2550] = 2478,
  [2551] = 2551,
  [2552] = 2542,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2440,
  [2556] = 2556,
  [2557] = 2466,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2487,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2566,
  [2567] = 337,
  [2568] = 2568,
  [2569] = 296,
  [2570] = 2564,
  [2571] = 2374,
  [2572] = 2460,
  [2573] = 2458,
  [2574] = 2489,
  [2575] = 2575,
  [2576] = 2374,
  [2577] = 2564,
  [2578] = 2578,
  [2579] = 2449,
  [2580] = 2580,
  [2581] = 2381,
  [2582] = 2453,
  [2583] = 2583,
  [2584] = 2452,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 322,
  [2589] = 2487,
  [2590] = 2590,
  [2591] = 2349,
  [2592] = 2346,
  [2593] = 2593,
  [2594] = 2594,
  [2595] = 2348,
  [2596] = 2527,
  [2597] = 2597,
  [2598] = 2381,
  [2599] = 2384,
  [2600] = 2485,
  [2601] = 303,
  [2602] = 2542,
  [2603] = 300,
  [2604] = 309,
  [2605] = 2605,
  [2606] = 2373,
  [2607] = 2442,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 326,
  [2611] = 325,
  [2612] = 2492,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2585,
  [2617] = 2617,
  [2618] = 2495,
  [2619] = 2619,
  [2620] = 2493,
  [2621] = 2621,
  [2622] = 2527,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2494,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2483,
  [2629] = 2629,
  [2630] = 2630,
  [2631] = 2484,
  [2632] = 2564,
  [2633] = 2633,
  [2634] = 2478,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 2492,
  [2638] = 2638,
  [2639] = 2453,
  [2640] = 2640,
  [2641] = 2641,
  [2642] = 2642,
  [2643] = 2643,
  [2644] = 2585,
  [2645] = 2586,
  [2646] = 2501,
  [2647] = 2647,
  [2648] = 2439,
  [2649] = 2649,
  [2650] = 2650,
  [2651] = 2564,
  [2652] = 2652,
  [2653] = 2653,
  [2654] = 2654,
  [2655] = 2655,
  [2656] = 296,
  [2657] = 300,
  [2658] = 2658,
  [2659] = 2659,
  [2660] = 2551,
  [2661] = 2661,
  [2662] = 2370,
  [2663] = 2663,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 2527,
  [2667] = 2542,
  [2668] = 2493,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2671,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 2345,
  [2675] = 303,
  [2676] = 2638,
  [2677] = 2677,
  [2678] = 2414,
  [2679] = 2551,
  [2680] = 2680,
  [2681] = 2495,
  [2682] = 2682,
  [2683] = 2449,
  [2684] = 2551,
  [2685] = 2542,
  [2686] = 2585,
  [2687] = 2414,
  [2688] = 2585,
  [2689] = 2439,
  [2690] = 295,
  [2691] = 2494,
  [2692] = 2680,
  [2693] = 2501,
  [2694] = 2694,
  [2695] = 2498,
  [2696] = 2696,
  [2697] = 333,
  [2698] = 2698,
  [2699] = 2699,
  [2700] = 2700,
  [2701] = 2701,
  [2702] = 2702,
  [2703] = 2703,
  [2704] = 2704,
  [2705] = 2498,
  [2706] = 2551,
  [2707] = 2527,
  [2708] = 2370,
  [2709] = 333,
  [2710] = 2585,
  [2711] = 2711,
  [2712] = 2489,
  [2713] = 2713,
  [2714] = 337,
  [2715] = 2381,
  [2716] = 2501,
  [2717] = 2717,
  [2718] = 2718,
  [2719] = 2719,
  [2720] = 2458,
  [2721] = 2428,
  [2722] = 2722,
  [2723] = 2723,
  [2724] = 2460,
  [2725] = 2466,
  [2726] = 2452,
  [2727] = 2722,
  [2728] = 2434,
  [2729] = 2729,
  [2730] = 2428,
  [2731] = 2731,
  [2732] = 2351,
  [2733] = 2362,
  [2734] = 2734,
  [2735] = 2735,
  [2736] = 2439,
  [2737] = 2731,
  [2738] = 2414,
  [2739] = 2739,
  [2740] = 2740,
  [2741] = 2428,
  [2742] = 2358,
  [2743] = 2443,
  [2744] = 2744,
  [2745] = 2440,
  [2746] = 2719,
  [2747] = 2723,
  [2748] = 2441,
  [2749] = 2739,
  [2750] = 2384,
  [2751] = 2723,
  [2752] = 2442,
  [2753] = 2722,
  [2754] = 2754,
  [2755] = 2449,
  [2756] = 2354,
  [2757] = 2478,
  [2758] = 2366,
  [2759] = 2629,
  [2760] = 2760,
  [2761] = 2483,
  [2762] = 2723,
  [2763] = 2484,
  [2764] = 2764,
  [2765] = 2485,
  [2766] = 2766,
  [2767] = 2586,
  [2768] = 2453,
  [2769] = 2382,
  [2770] = 2770,
  [2771] = 2723,
  [2772] = 2374,
  [2773] = 2489,
  [2774] = 2474,
  [2775] = 2492,
  [2776] = 2723,
  [2777] = 2760,
  [2778] = 2434,
  [2779] = 2493,
  [2780] = 2780,
  [2781] = 2373,
  [2782] = 2370,
  [2783] = 2783,
  [2784] = 2723,
  [2785] = 2739,
  [2786] = 2786,
  [2787] = 2787,
  [2788] = 2365,
  [2789] = 2740,
  [2790] = 2787,
  [2791] = 2680,
  [2792] = 2638,
  [2793] = 2793,
  [2794] = 2494,
  [2795] = 2109,
  [2796] = 2495,
  [2797] = 2739,
  [2798] = 2364,
  [2799] = 2123,
  [2800] = 2498,
  [2801] = 2722,
  [2802] = 2363,
  [2803] = 2803,
  [2804] = 2147,
  [2805] = 2731,
  [2806] = 2806,
  [2807] = 2807,
  [2808] = 2487,
  [2809] = 2434,
  [2810] = 2810,
  [2811] = 2731,
  [2812] = 2731,
  [2813] = 2739,
  [2814] = 2814,
  [2815] = 2815,
  [2816] = 2722,
  [2817] = 2780,
  [2818] = 2818,
  [2819] = 2629,
  [2820] = 2402,
  [2821] = 2821,
  [2822] = 2505,
  [2823] = 2428,
  [2824] = 2371,
  [2825] = 2825,
  [2826] = 2503,
  [2827] = 2500,
  [2828] = 2499,
  [2829] = 2491,
  [2830] = 2490,
  [2831] = 2488,
  [2832] = 2428,
  [2833] = 2486,
  [2834] = 2434,
  [2835] = 980,
  [2836] = 2485,
  [2837] = 2482,
  [2838] = 2481,
  [2839] = 2443,
  [2840] = 2840,
  [2841] = 2437,
  [2842] = 2429,
  [2843] = 2427,
  [2844] = 2417,
  [2845] = 2845,
  [2846] = 2487,
  [2847] = 2416,
  [2848] = 2434,
  [2849] = 2415,
  [2850] = 2407,
  [2851] = 2489,
  [2852] = 2580,
  [2853] = 2393,
  [2854] = 2369,
  [2855] = 290,
  [2856] = 2479,
  [2857] = 2383,
  [2858] = 2380,
  [2859] = 2492,
  [2860] = 2399,
  [2861] = 2524,
  [2862] = 2525,
  [2863] = 2515,
  [2864] = 2825,
  [2865] = 2518,
  [2866] = 2493,
  [2867] = 2446,
  [2868] = 2512,
  [2869] = 2502,
  [2870] = 2367,
  [2871] = 2477,
  [2872] = 2476,
  [2873] = 2473,
  [2874] = 2472,
  [2875] = 2471,
  [2876] = 2470,
  [2877] = 2840,
  [2878] = 2465,
  [2879] = 2464,
  [2880] = 2463,
  [2881] = 2462,
  [2882] = 2461,
  [2883] = 2459,
  [2884] = 2884,
  [2885] = 2455,
  [2886] = 2454,
  [2887] = 2840,
  [2888] = 2451,
  [2889] = 2450,
  [2890] = 2890,
  [2891] = 2891,
  [2892] = 2892,
  [2893] = 2508,
  [2894] = 2583,
  [2895] = 2895,
  [2896] = 2425,
  [2897] = 2694,
  [2898] = 2694,
  [2899] = 2496,
  [2900] = 2494,
  [2901] = 2895,
  [2902] = 290,
  [2903] = 2424,
  [2904] = 2423,
  [2905] = 2495,
  [2906] = 2419,
  [2907] = 2907,
  [2908] = 2408,
  [2909] = 2840,
  [2910] = 2396,
  [2911] = 2911,
  [2912] = 2806,
  [2913] = 2806,
  [2914] = 2914,
  [2915] = 2580,
  [2916] = 2583,
  [2917] = 2583,
  [2918] = 2764,
  [2919] = 2919,
  [2920] = 2580,
  [2921] = 2840,
  [2922] = 2390,
  [2923] = 2433,
  [2924] = 2431,
  [2925] = 2435,
  [2926] = 2426,
  [2927] = 2498,
  [2928] = 2448,
  [2929] = 2422,
  [2930] = 2825,
  [2931] = 2421,
  [2932] = 2420,
  [2933] = 2418,
  [2934] = 2412,
  [2935] = 2406,
  [2936] = 2936,
  [2937] = 2405,
  [2938] = 2395,
  [2939] = 2394,
  [2940] = 2403,
  [2941] = 2400,
  [2942] = 2398,
  [2943] = 2387,
  [2944] = 2397,
  [2945] = 2385,
  [2946] = 2946,
  [2947] = 2501,
  [2948] = 2425,
  [2949] = 2440,
  [2950] = 2379,
  [2951] = 2378,
  [2952] = 2375,
  [2953] = 2414,
  [2954] = 2954,
  [2955] = 2895,
  [2956] = 2586,
  [2957] = 2428,
  [2958] = 2469,
  [2959] = 2434,
  [2960] = 2468,
  [2961] = 2961,
  [2962] = 2457,
  [2963] = 2456,
  [2964] = 2964,
  [2965] = 2370,
  [2966] = 2506,
  [2967] = 2373,
  [2968] = 2374,
  [2969] = 2381,
  [2970] = 2970,
  [2971] = 2825,
  [2972] = 2441,
  [2973] = 2973,
  [2974] = 2439,
  [2975] = 2442,
  [2976] = 2439,
  [2977] = 2452,
  [2978] = 2453,
  [2979] = 2458,
  [2980] = 2460,
  [2981] = 2466,
  [2982] = 2982,
  [2983] = 2386,
  [2984] = 2388,
  [2985] = 2501,
  [2986] = 2389,
  [2987] = 2498,
  [2988] = 2466,
  [2989] = 979,
  [2990] = 2990,
  [2991] = 2460,
  [2992] = 2458,
  [2993] = 2453,
  [2994] = 2495,
  [2995] = 2494,
  [2996] = 2493,
  [2997] = 2492,
  [2998] = 2489,
  [2999] = 2840,
  [3000] = 2487,
  [3001] = 2680,
  [3002] = 2485,
  [3003] = 2484,
  [3004] = 2484,
  [3005] = 2483,
  [3006] = 3006,
  [3007] = 2478,
  [3008] = 2694,
  [3009] = 2452,
  [3010] = 2449,
  [3011] = 2442,
  [3012] = 2441,
  [3013] = 2440,
  [3014] = 2414,
  [3015] = 2381,
  [3016] = 2384,
  [3017] = 2890,
  [3018] = 2382,
  [3019] = 2449,
  [3020] = 977,
  [3021] = 2478,
  [3022] = 2510,
  [3023] = 2374,
  [3024] = 2513,
  [3025] = 2373,
  [3026] = 2483,
  [3027] = 2370,
  [3028] = 2514,
  [3029] = 2521,
  [3030] = 2522,
  [3031] = 2825,
  [3032] = 2523,
  [3033] = 2368,
  [3034] = 2511,
  [3035] = 2509,
  [3036] = 2507,
  [3037] = 2504,
  [3038] = 2384,
  [3039] = 2764,
  [3040] = 2919,
  [3041] = 2638,
  [3042] = 2445,
  [3043] = 2411,
  [3044] = 2446,
  [3045] = 2895,
  [3046] = 2840,
  [3047] = 2382,
  [3048] = 2895,
  [3049] = 2825,
  [3050] = 3050,
  [3051] = 2895,
  [3052] = 981,
  [3053] = 2443,
  [3054] = 3054,
  [3055] = 978,
  [3056] = 2494,
  [3057] = 2654,
  [3058] = 3058,
  [3059] = 3059,
  [3060] = 2615,
  [3061] = 3061,
  [3062] = 3062,
  [3063] = 2659,
  [3064] = 2498,
  [3065] = 2614,
  [3066] = 2711,
  [3067] = 2764,
  [3068] = 2495,
  [3069] = 2699,
  [3070] = 316,
  [3071] = 3071,
  [3072] = 3072,
  [3073] = 3073,
  [3074] = 3074,
  [3075] = 3072,
  [3076] = 2494,
  [3077] = 2493,
  [3078] = 2381,
  [3079] = 2492,
  [3080] = 2489,
  [3081] = 308,
  [3082] = 3082,
  [3083] = 2619,
  [3084] = 2487,
  [3085] = 3062,
  [3086] = 3086,
  [3087] = 3087,
  [3088] = 2729,
  [3089] = 2485,
  [3090] = 2694,
  [3091] = 2425,
  [3092] = 3092,
  [3093] = 308,
  [3094] = 3094,
  [3095] = 310,
  [3096] = 2621,
  [3097] = 2613,
  [3098] = 3098,
  [3099] = 2635,
  [3100] = 2696,
  [3101] = 3101,
  [3102] = 2626,
  [3103] = 2617,
  [3104] = 3086,
  [3105] = 2554,
  [3106] = 2623,
  [3107] = 310,
  [3108] = 3108,
  [3109] = 3109,
  [3110] = 2624,
  [3111] = 2653,
  [3112] = 2439,
  [3113] = 3113,
  [3114] = 3086,
  [3115] = 2586,
  [3116] = 3113,
  [3117] = 2501,
  [3118] = 2609,
  [3119] = 2484,
  [3120] = 2466,
  [3121] = 2627,
  [3122] = 3113,
  [3123] = 2605,
  [3124] = 2532,
  [3125] = 3125,
  [3126] = 2587,
  [3127] = 2460,
  [3128] = 3071,
  [3129] = 2458,
  [3130] = 2453,
  [3131] = 2452,
  [3132] = 3071,
  [3133] = 3133,
  [3134] = 3134,
  [3135] = 311,
  [3136] = 2562,
  [3137] = 2439,
  [3138] = 2483,
  [3139] = 3139,
  [3140] = 2670,
  [3141] = 3141,
  [3142] = 2381,
  [3143] = 2374,
  [3144] = 2629,
  [3145] = 3058,
  [3146] = 3109,
  [3147] = 3147,
  [3148] = 2428,
  [3149] = 2492,
  [3150] = 2374,
  [3151] = 3151,
  [3152] = 2373,
  [3153] = 3153,
  [3154] = 2478,
  [3155] = 2373,
  [3156] = 2370,
  [3157] = 3157,
  [3158] = 2649,
  [3159] = 2434,
  [3160] = 3160,
  [3161] = 2647,
  [3162] = 2630,
  [3163] = 2370,
  [3164] = 3164,
  [3165] = 2466,
  [3166] = 2460,
  [3167] = 3167,
  [3168] = 3168,
  [3169] = 2458,
  [3170] = 2663,
  [3171] = 3171,
  [3172] = 3172,
  [3173] = 311,
  [3174] = 2453,
  [3175] = 2452,
  [3176] = 3071,
  [3177] = 2537,
  [3178] = 2529,
  [3179] = 3179,
  [3180] = 2558,
  [3181] = 2434,
  [3182] = 2536,
  [3183] = 313,
  [3184] = 2575,
  [3185] = 2501,
  [3186] = 2498,
  [3187] = 3187,
  [3188] = 2495,
  [3189] = 2636,
  [3190] = 3071,
  [3191] = 2428,
  [3192] = 328,
  [3193] = 2806,
  [3194] = 2541,
  [3195] = 2442,
  [3196] = 2414,
  [3197] = 3197,
  [3198] = 2441,
  [3199] = 3199,
  [3200] = 2583,
  [3201] = 2643,
  [3202] = 2578,
  [3203] = 2694,
  [3204] = 3204,
  [3205] = 2440,
  [3206] = 3082,
  [3207] = 3086,
  [3208] = 3208,
  [3209] = 3071,
  [3210] = 2493,
  [3211] = 2414,
  [3212] = 2384,
  [3213] = 2729,
  [3214] = 3214,
  [3215] = 2583,
  [3216] = 2704,
  [3217] = 3167,
  [3218] = 3218,
  [3219] = 313,
  [3220] = 314,
  [3221] = 3221,
  [3222] = 302,
  [3223] = 3113,
  [3224] = 2682,
  [3225] = 2489,
  [3226] = 2487,
  [3227] = 3086,
  [3228] = 2664,
  [3229] = 2661,
  [3230] = 302,
  [3231] = 3231,
  [3232] = 3232,
  [3233] = 3221,
  [3234] = 3058,
  [3235] = 3109,
  [3236] = 2556,
  [3237] = 2485,
  [3238] = 2702,
  [3239] = 2484,
  [3240] = 2483,
  [3241] = 2382,
  [3242] = 2478,
  [3243] = 2964,
  [3244] = 3244,
  [3245] = 2382,
  [3246] = 2806,
  [3247] = 2449,
  [3248] = 2806,
  [3249] = 2446,
  [3250] = 315,
  [3251] = 318,
  [3252] = 2669,
  [3253] = 2701,
  [3254] = 2671,
  [3255] = 2672,
  [3256] = 3256,
  [3257] = 318,
  [3258] = 2559,
  [3259] = 2442,
  [3260] = 2441,
  [3261] = 315,
  [3262] = 2673,
  [3263] = 3058,
  [3264] = 3071,
  [3265] = 2560,
  [3266] = 3109,
  [3267] = 2440,
  [3268] = 2563,
  [3269] = 2590,
  [3270] = 330,
  [3271] = 2384,
  [3272] = 2638,
  [3273] = 3273,
  [3274] = 3274,
  [3275] = 2593,
  [3276] = 3276,
  [3277] = 2964,
  [3278] = 3278,
  [3279] = 3279,
  [3280] = 3058,
  [3281] = 2640,
  [3282] = 2449,
  [3283] = 320,
  [3284] = 3071,
  [3285] = 321,
  [3286] = 2655,
  [3287] = 2568,
  [3288] = 2566,
  [3289] = 2652,
  [3290] = 2677,
  [3291] = 2565,
  [3292] = 3094,
  [3293] = 316,
  [3294] = 2700,
  [3295] = 3295,
  [3296] = 2642,
  [3297] = 3297,
  [3298] = 2641,
  [3299] = 3299,
  [3300] = 321,
  [3301] = 2698,
  [3302] = 2703,
  [3303] = 3109,
  [3304] = 328,
  [3305] = 3305,
  [3306] = 2729,
  [3307] = 2597,
  [3308] = 320,
  [3309] = 3113,
  [3310] = 2665,
  [3311] = 2553,
  [3312] = 2446,
  [3313] = 314,
  [3314] = 3058,
  [3315] = 3109,
  [3316] = 2680,
  [3317] = 3059,
  [3318] = 3058,
  [3319] = 3319,
  [3320] = 3109,
  [3321] = 3071,
  [3322] = 3322,
  [3323] = 330,
  [3324] = 2434,
  [3325] = 3325,
  [3326] = 3326,
  [3327] = 2440,
  [3328] = 2414,
  [3329] = 2964,
  [3330] = 3330,
  [3331] = 2806,
  [3332] = 3332,
  [3333] = 3333,
  [3334] = 3334,
  [3335] = 3335,
  [3336] = 3336,
  [3337] = 3337,
  [3338] = 2439,
  [3339] = 3330,
  [3340] = 3340,
  [3341] = 3341,
  [3342] = 2441,
  [3343] = 2452,
  [3344] = 2453,
  [3345] = 2458,
  [3346] = 2382,
  [3347] = 3340,
  [3348] = 3333,
  [3349] = 2460,
  [3350] = 3333,
  [3351] = 2466,
  [3352] = 3352,
  [3353] = 2806,
  [3354] = 2501,
  [3355] = 3355,
  [3356] = 2446,
  [3357] = 2498,
  [3358] = 2495,
  [3359] = 2580,
  [3360] = 3360,
  [3361] = 2494,
  [3362] = 2384,
  [3363] = 3333,
  [3364] = 3364,
  [3365] = 3333,
  [3366] = 3366,
  [3367] = 3367,
  [3368] = 3337,
  [3369] = 2443,
  [3370] = 2425,
  [3371] = 3334,
  [3372] = 3372,
  [3373] = 2580,
  [3374] = 3374,
  [3375] = 2428,
  [3376] = 3376,
  [3377] = 3333,
  [3378] = 3378,
  [3379] = 3379,
  [3380] = 2493,
  [3381] = 2492,
  [3382] = 2489,
  [3383] = 2487,
  [3384] = 2485,
  [3385] = 2484,
  [3386] = 2483,
  [3387] = 2754,
  [3388] = 3333,
  [3389] = 2478,
  [3390] = 3390,
  [3391] = 2449,
  [3392] = 2442,
  [3393] = 3393,
  [3394] = 3394,
  [3395] = 2583,
  [3396] = 2370,
  [3397] = 2638,
  [3398] = 2694,
  [3399] = 2373,
  [3400] = 3352,
  [3401] = 2381,
  [3402] = 2374,
  [3403] = 2806,
  [3404] = 3404,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 2443,
  [3408] = 3408,
  [3409] = 2446,
  [3410] = 3410,
  [3411] = 2806,
  [3412] = 3412,
  [3413] = 3413,
  [3414] = 3414,
  [3415] = 3415,
  [3416] = 3416,
  [3417] = 3417,
  [3418] = 3418,
  [3419] = 2580,
  [3420] = 3420,
  [3421] = 2446,
  [3422] = 3422,
  [3423] = 3423,
  [3424] = 3424,
  [3425] = 2580,
  [3426] = 3426,
  [3427] = 3427,
  [3428] = 2694,
  [3429] = 3429,
  [3430] = 3430,
  [3431] = 3431,
  [3432] = 2638,
  [3433] = 3433,
  [3434] = 2729,
  [3435] = 2586,
  [3436] = 3436,
  [3437] = 2787,
  [3438] = 3438,
  [3439] = 3439,
  [3440] = 2680,
  [3441] = 3441,
  [3442] = 3442,
  [3443] = 2583,
  [3444] = 3113,
  [3445] = 3445,
  [3446] = 3433,
  [3447] = 3447,
  [3448] = 3113,
  [3449] = 3113,
  [3450] = 3086,
  [3451] = 2680,
  [3452] = 3086,
  [3453] = 3453,
  [3454] = 3113,
  [3455] = 3086,
  [3456] = 3456,
  [3457] = 3457,
  [3458] = 2446,
  [3459] = 3459,
  [3460] = 3460,
  [3461] = 3461,
  [3462] = 3086,
  [3463] = 2964,
  [3464] = 2446,
  [3465] = 3465,
  [3466] = 2365,
  [3467] = 3467,
  [3468] = 3160,
  [3469] = 3469,
  [3470] = 3470,
  [3471] = 3471,
  [3472] = 3472,
  [3473] = 3473,
  [3474] = 3474,
  [3475] = 3086,
  [3476] = 3113,
  [3477] = 3477,
  [3478] = 3086,
  [3479] = 3479,
  [3480] = 3480,
  [3481] = 3086,
  [3482] = 3113,
  [3483] = 3483,
  [3484] = 3113,
  [3485] = 2638,
  [3486] = 2586,
  [3487] = 3487,
  [3488] = 3487,
  [3489] = 3487,
  [3490] = 3487,
  [3491] = 3487,
  [3492] = 3487,
  [3493] = 3493,
  [3494] = 3487,
  [3495] = 3487,
  [3496] = 3487,
  [3497] = 296,
  [3498] = 3498,
  [3499] = 3499,
  [3500] = 3500,
  [3501] = 309,
  [3502] = 3502,
  [3503] = 3503,
  [3504] = 300,
  [3505] = 3505,
  [3506] = 295,
  [3507] = 3507,
  [3508] = 3508,
  [3509] = 3509,
  [3510] = 3510,
  [3511] = 3511,
  [3512] = 3512,
  [3513] = 3513,
  [3514] = 3514,
  [3515] = 3515,
  [3516] = 3516,
  [3517] = 3414,
  [3518] = 3518,
  [3519] = 3519,
  [3520] = 3520,
  [3521] = 3521,
  [3522] = 3522,
  [3523] = 3523,
  [3524] = 3524,
  [3525] = 3525,
  [3526] = 3526,
  [3527] = 3527,
  [3528] = 3528,
  [3529] = 3529,
  [3530] = 3530,
  [3531] = 3531,
  [3532] = 3532,
  [3533] = 3533,
  [3534] = 3534,
  [3535] = 3535,
  [3536] = 3536,
  [3537] = 3537,
  [3538] = 3538,
  [3539] = 3415,
  [3540] = 3540,
  [3541] = 3541,
  [3542] = 3542,
  [3543] = 3543,
  [3544] = 3544,
  [3545] = 3545,
  [3546] = 3546,
  [3547] = 3547,
  [3548] = 3548,
  [3549] = 3549,
  [3550] = 3550,
  [3551] = 3551,
  [3552] = 295,
  [3553] = 309,
  [3554] = 3305,
  [3555] = 3555,
  [3556] = 3297,
  [3557] = 3557,
  [3558] = 3558,
  [3559] = 3559,
  [3560] = 3560,
  [3561] = 3561,
  [3562] = 3101,
  [3563] = 3563,
  [3564] = 3564,
  [3565] = 300,
  [3566] = 3566,
  [3567] = 3567,
  [3568] = 296,
  [3569] = 3569,
  [3570] = 3197,
  [3571] = 3340,
  [3572] = 3572,
  [3573] = 3326,
  [3574] = 3340,
  [3575] = 3575,
  [3576] = 3330,
  [3577] = 3367,
  [3578] = 3578,
  [3579] = 3372,
  [3580] = 3394,
  [3581] = 3581,
  [3582] = 3336,
  [3583] = 3352,
  [3584] = 3584,
  [3585] = 3394,
  [3586] = 3325,
  [3587] = 2054,
  [3588] = 3341,
  [3589] = 3393,
  [3590] = 3341,
  [3591] = 3336,
  [3592] = 3352,
  [3593] = 3337,
  [3594] = 3575,
  [3595] = 3337,
  [3596] = 3596,
  [3597] = 3584,
  [3598] = 3330,
  [3599] = 3366,
  [3600] = 3372,
  [3601] = 3601,
  [3602] = 3602,
  [3603] = 3603,
  [3604] = 3602,
  [3605] = 3603,
  [3606] = 3606,
  [3607] = 3607,
  [3608] = 3608,
  [3609] = 3608,
  [3610] = 3610,
  [3611] = 3602,
  [3612] = 3612,
  [3613] = 3610,
  [3614] = 3610,
  [3615] = 2085,
  [3616] = 3616,
  [3617] = 3610,
  [3618] = 3618,
  [3619] = 3603,
  [3620] = 2075,
  [3621] = 3612,
  [3622] = 3603,
  [3623] = 3608,
  [3624] = 3624,
  [3625] = 3616,
  [3626] = 3612,
  [3627] = 3602,
  [3628] = 3616,
  [3629] = 3624,
  [3630] = 3612,
  [3631] = 3631,
  [3632] = 3610,
  [3633] = 3603,
  [3634] = 3608,
  [3635] = 3602,
  [3636] = 3624,
  [3637] = 3608,
  [3638] = 3616,
  [3639] = 3624,
  [3640] = 3612,
  [3641] = 3641,
  [3642] = 3610,
  [3643] = 3612,
  [3644] = 3603,
  [3645] = 3616,
  [3646] = 3624,
  [3647] = 3616,
  [3648] = 3624,
  [3649] = 3649,
  [3650] = 3602,
  [3651] = 3608,
  [3652] = 3652,
  [3653] = 3653,
  [3654] = 3654,
  [3655] = 3655,
  [3656] = 3656,
  [3657] = 3657,
  [3658] = 3658,
  [3659] = 3659,
  [3660] = 3660,
  [3661] = 3661,
  [3662] = 3662,
  [3663] = 3335,
  [3664] = 3664,
  [3665] = 3665,
  [3666] = 3666,
  [3667] = 3667,
  [3668] = 3668,
  [3669] = 3669,
  [3670] = 3670,
  [3671] = 3671,
  [3672] = 2123,
  [3673] = 3673,
  [3674] = 3674,
  [3675] = 3675,
  [3676] = 3676,
  [3677] = 3677,
  [3678] = 3678,
  [3679] = 3679,
  [3680] = 3680,
  [3681] = 3681,
  [3682] = 3682,
  [3683] = 3683,
  [3684] = 3684,
  [3685] = 3678,
  [3686] = 3686,
  [3687] = 3687,
  [3688] = 3683,
  [3689] = 3689,
  [3690] = 3684,
  [3691] = 3691,
  [3692] = 3692,
  [3693] = 3693,
  [3694] = 3694,
  [3695] = 3695,
  [3696] = 3696,
  [3697] = 2143,
  [3698] = 3698,
  [3699] = 2147,
  [3700] = 3700,
  [3701] = 3698,
  [3702] = 3680,
  [3703] = 3703,
  [3704] = 3704,
  [3705] = 3705,
  [3706] = 3673,
  [3707] = 3707,
  [3708] = 3679,
  [3709] = 3709,
  [3710] = 3687,
  [3711] = 3711,
  [3712] = 3712,
  [3713] = 3713,
  [3714] = 3714,
  [3715] = 3715,
  [3716] = 3694,
  [3717] = 3676,
  [3718] = 3718,
  [3719] = 3719,
  [3720] = 3720,
  [3721] = 3721,
  [3722] = 3686,
  [3723] = 3723,
  [3724] = 3724,
  [3725] = 2108,
  [3726] = 3726,
  [3727] = 3727,
  [3728] = 3728,
  [3729] = 3709,
  [3730] = 2109,
  [3731] = 3731,
  [3732] = 2145,
  [3733] = 3733,
  [3734] = 2123,
  [3735] = 2109,
  [3736] = 2348,
  [3737] = 2346,
  [3738] = 2147,
  [3739] = 2349,
  [3740] = 323,
  [3741] = 312,
  [3742] = 2503,
  [3743] = 2482,
  [3744] = 2347,
  [3745] = 2380,
  [3746] = 2383,
  [3747] = 2479,
  [3748] = 2399,
  [3749] = 2369,
  [3750] = 2393,
  [3751] = 2450,
  [3752] = 2451,
  [3753] = 2407,
  [3754] = 2415,
  [3755] = 2505,
  [3756] = 2500,
  [3757] = 2416,
  [3758] = 2473,
  [3759] = 2472,
  [3760] = 2499,
  [3761] = 2471,
  [3762] = 2470,
  [3763] = 2417,
  [3764] = 2491,
  [3765] = 2465,
  [3766] = 2464,
  [3767] = 2490,
  [3768] = 2463,
  [3769] = 2462,
  [3770] = 2488,
  [3771] = 2486,
  [3772] = 2461,
  [3773] = 2459,
  [3774] = 2481,
  [3775] = 2454,
  [3776] = 2455,
  [3777] = 3777,
  [3778] = 3778,
  [3779] = 3777,
  [3780] = 3777,
  [3781] = 2362,
  [3782] = 3778,
  [3783] = 3777,
  [3784] = 3777,
  [3785] = 2421,
  [3786] = 2388,
  [3787] = 2408,
  [3788] = 2349,
  [3789] = 323,
  [3790] = 2358,
  [3791] = 2411,
  [3792] = 2515,
  [3793] = 981,
  [3794] = 2423,
  [3795] = 2424,
  [3796] = 2525,
  [3797] = 977,
  [3798] = 2420,
  [3799] = 978,
  [3800] = 312,
  [3801] = 2389,
  [3802] = 2346,
  [3803] = 2524,
  [3804] = 2400,
  [3805] = 2386,
  [3806] = 979,
  [3807] = 2403,
  [3808] = 2419,
  [3809] = 2396,
  [3810] = 2348,
  [3811] = 2397,
  [3812] = 980,
  [3813] = 2366,
  [3814] = 2351,
  [3815] = 2354,
  [3816] = 2364,
  [3817] = 2363,
  [3818] = 2417,
  [3819] = 3819,
  [3820] = 2509,
  [3821] = 2431,
  [3822] = 3822,
  [3823] = 2379,
  [3824] = 3822,
  [3825] = 2375,
  [3826] = 3822,
  [3827] = 2507,
  [3828] = 2445,
  [3829] = 2476,
  [3830] = 2511,
  [3831] = 2477,
  [3832] = 2398,
  [3833] = 2368,
  [3834] = 2402,
  [3835] = 2523,
  [3836] = 2522,
  [3837] = 2521,
  [3838] = 2514,
  [3839] = 2405,
  [3840] = 2427,
  [3841] = 2367,
  [3842] = 2502,
  [3843] = 3822,
  [3844] = 3844,
  [3845] = 3822,
  [3846] = 2394,
  [3847] = 2371,
  [3848] = 2429,
  [3849] = 2450,
  [3850] = 2451,
  [3851] = 2454,
  [3852] = 2455,
  [3853] = 2459,
  [3854] = 2461,
  [3855] = 2462,
  [3856] = 2463,
  [3857] = 2464,
  [3858] = 2465,
  [3859] = 2470,
  [3860] = 2471,
  [3861] = 2472,
  [3862] = 2473,
  [3863] = 2508,
  [3864] = 3864,
  [3865] = 3822,
  [3866] = 2512,
  [3867] = 3819,
  [3868] = 3844,
  [3869] = 2518,
  [3870] = 3864,
  [3871] = 3871,
  [3872] = 2469,
  [3873] = 2468,
  [3874] = 2406,
  [3875] = 2412,
  [3876] = 2437,
  [3877] = 3871,
  [3878] = 2513,
  [3879] = 2418,
  [3880] = 2395,
  [3881] = 2385,
  [3882] = 3822,
  [3883] = 3871,
  [3884] = 2506,
  [3885] = 3864,
  [3886] = 2399,
  [3887] = 2380,
  [3888] = 2383,
  [3889] = 2479,
  [3890] = 2369,
  [3891] = 2393,
  [3892] = 2407,
  [3893] = 2415,
  [3894] = 2416,
  [3895] = 2387,
  [3896] = 3844,
  [3897] = 3819,
  [3898] = 3819,
  [3899] = 2422,
  [3900] = 2504,
  [3901] = 3844,
  [3902] = 2448,
  [3903] = 2426,
  [3904] = 3864,
  [3905] = 2349,
  [3906] = 2346,
  [3907] = 3822,
  [3908] = 2481,
  [3909] = 2482,
  [3910] = 2486,
  [3911] = 2488,
  [3912] = 2490,
  [3913] = 2491,
  [3914] = 2499,
  [3915] = 2500,
  [3916] = 2503,
  [3917] = 2505,
  [3918] = 2348,
  [3919] = 3871,
  [3920] = 3822,
  [3921] = 2510,
  [3922] = 2347,
  [3923] = 2433,
  [3924] = 2378,
  [3925] = 3819,
  [3926] = 3844,
  [3927] = 3864,
  [3928] = 3871,
  [3929] = 3929,
  [3930] = 3930,
  [3931] = 3931,
  [3932] = 3932,
  [3933] = 3933,
  [3934] = 3934,
  [3935] = 3935,
  [3936] = 3936,
  [3937] = 3937,
  [3938] = 3936,
  [3939] = 3939,
  [3940] = 3940,
  [3941] = 3939,
  [3942] = 3939,
  [3943] = 3937,
  [3944] = 3944,
  [3945] = 3945,
  [3946] = 3946,
  [3947] = 3947,
  [3948] = 3939,
  [3949] = 3949,
  [3950] = 3950,
  [3951] = 3936,
  [3952] = 3936,
  [3953] = 3953,
  [3954] = 3954,
  [3955] = 3955,
  [3956] = 2362,
  [3957] = 3957,
  [3958] = 3958,
  [3959] = 3959,
  [3960] = 3960,
  [3961] = 3937,
  [3962] = 3936,
  [3963] = 3963,
  [3964] = 3939,
  [3965] = 3937,
  [3966] = 3966,
  [3967] = 3967,
  [3968] = 3968,
  [3969] = 3937,
  [3970] = 2419,
  [3971] = 2471,
  [3972] = 2403,
  [3973] = 2400,
  [3974] = 2397,
  [3975] = 3975,
  [3976] = 2411,
  [3977] = 3977,
  [3978] = 3978,
  [3979] = 3977,
  [3980] = 3980,
  [3981] = 3977,
  [3982] = 2123,
  [3983] = 2396,
  [3984] = 2408,
  [3985] = 2423,
  [3986] = 2424,
  [3987] = 2389,
  [3988] = 2388,
  [3989] = 3989,
  [3990] = 3980,
  [3991] = 3950,
  [3992] = 2347,
  [3993] = 2505,
  [3994] = 2420,
  [3995] = 2450,
  [3996] = 2451,
  [3997] = 3980,
  [3998] = 3998,
  [3999] = 2454,
  [4000] = 2455,
  [4001] = 4001,
  [4002] = 2459,
  [4003] = 2461,
  [4004] = 2462,
  [4005] = 2463,
  [4006] = 2464,
  [4007] = 2465,
  [4008] = 2470,
  [4009] = 4009,
  [4010] = 2472,
  [4011] = 2473,
  [4012] = 2147,
  [4013] = 2358,
  [4014] = 3980,
  [4015] = 2421,
  [4016] = 2503,
  [4017] = 3977,
  [4018] = 4018,
  [4019] = 2515,
  [4020] = 2525,
  [4021] = 2524,
  [4022] = 4022,
  [4023] = 4023,
  [4024] = 2399,
  [4025] = 2380,
  [4026] = 2383,
  [4027] = 2479,
  [4028] = 2369,
  [4029] = 2393,
  [4030] = 2407,
  [4031] = 2415,
  [4032] = 2416,
  [4033] = 2417,
  [4034] = 4034,
  [4035] = 4034,
  [4036] = 2109,
  [4037] = 2481,
  [4038] = 2482,
  [4039] = 2486,
  [4040] = 4040,
  [4041] = 2488,
  [4042] = 2490,
  [4043] = 2491,
  [4044] = 2499,
  [4045] = 2386,
  [4046] = 2500,
  [4047] = 2354,
  [4048] = 2362,
  [4049] = 4049,
  [4050] = 4050,
  [4051] = 4051,
  [4052] = 4052,
  [4053] = 2351,
  [4054] = 2363,
  [4055] = 4055,
  [4056] = 4056,
  [4057] = 4057,
  [4058] = 4058,
  [4059] = 4059,
  [4060] = 4060,
  [4061] = 4061,
  [4062] = 4062,
  [4063] = 4063,
  [4064] = 4064,
  [4065] = 4065,
  [4066] = 4066,
  [4067] = 4067,
  [4068] = 4068,
  [4069] = 4069,
  [4070] = 4070,
  [4071] = 4071,
  [4072] = 4072,
  [4073] = 4064,
  [4074] = 4074,
  [4075] = 2364,
  [4076] = 4076,
  [4077] = 4049,
  [4078] = 4078,
  [4079] = 4064,
  [4080] = 4049,
  [4081] = 4069,
  [4082] = 4069,
  [4083] = 4064,
  [4084] = 4084,
  [4085] = 4049,
  [4086] = 4086,
  [4087] = 4069,
  [4088] = 2366,
  [4089] = 4089,
  [4090] = 4090,
  [4091] = 4091,
  [4092] = 4092,
  [4093] = 4049,
  [4094] = 4094,
  [4095] = 4064,
  [4096] = 4096,
  [4097] = 4097,
  [4098] = 4098,
  [4099] = 4099,
  [4100] = 4100,
  [4101] = 4101,
  [4102] = 4102,
  [4103] = 2448,
  [4104] = 2521,
  [4105] = 2437,
  [4106] = 2429,
  [4107] = 2427,
  [4108] = 980,
  [4109] = 2387,
  [4110] = 2385,
  [4111] = 2518,
  [4112] = 2512,
  [4113] = 2502,
  [4114] = 2367,
  [4115] = 2379,
  [4116] = 2476,
  [4117] = 2378,
  [4118] = 2371,
  [4119] = 2375,
  [4120] = 4120,
  [4121] = 2358,
  [4122] = 2395,
  [4123] = 2433,
  [4124] = 2431,
  [4125] = 2426,
  [4126] = 2394,
  [4127] = 2422,
  [4128] = 4128,
  [4129] = 2418,
  [4130] = 2412,
  [4131] = 2123,
  [4132] = 2506,
  [4133] = 2406,
  [4134] = 2508,
  [4135] = 2411,
  [4136] = 2405,
  [4137] = 2402,
  [4138] = 2398,
  [4139] = 4139,
  [4140] = 2469,
  [4141] = 2420,
  [4142] = 981,
  [4143] = 2421,
  [4144] = 2468,
  [4145] = 2109,
  [4146] = 979,
  [4147] = 2147,
  [4148] = 4148,
  [4149] = 2510,
  [4150] = 2403,
  [4151] = 978,
  [4152] = 2513,
  [4153] = 2514,
  [4154] = 2477,
  [4155] = 2522,
  [4156] = 2523,
  [4157] = 2368,
  [4158] = 2511,
  [4159] = 2509,
  [4160] = 2507,
  [4161] = 2504,
  [4162] = 4162,
  [4163] = 2400,
  [4164] = 2445,
  [4165] = 977,
  [4166] = 2397,
  [4167] = 4167,
  [4168] = 4168,
  [4169] = 2354,
  [4170] = 4170,
  [4171] = 4171,
  [4172] = 4172,
  [4173] = 4168,
  [4174] = 4174,
  [4175] = 3950,
  [4176] = 2364,
  [4177] = 4167,
  [4178] = 4167,
  [4179] = 4168,
  [4180] = 4168,
  [4181] = 4181,
  [4182] = 4170,
  [4183] = 4167,
  [4184] = 4184,
  [4185] = 2366,
  [4186] = 4186,
  [4187] = 2363,
  [4188] = 4188,
  [4189] = 4167,
  [4190] = 4190,
  [4191] = 2351,
  [4192] = 4192,
  [4193] = 4170,
  [4194] = 4194,
  [4195] = 4195,
  [4196] = 4196,
  [4197] = 4197,
  [4198] = 4172,
  [4199] = 4167,
  [4200] = 4197,
  [4201] = 4170,
  [4202] = 4170,
  [4203] = 4203,
  [4204] = 4170,
  [4205] = 2408,
  [4206] = 4206,
  [4207] = 4207,
  [4208] = 4208,
  [4209] = 4209,
  [4210] = 4210,
  [4211] = 4207,
  [4212] = 4049,
  [4213] = 4209,
  [4214] = 4214,
  [4215] = 4215,
  [4216] = 4216,
  [4217] = 4217,
  [4218] = 4218,
  [4219] = 2437,
  [4220] = 4220,
  [4221] = 4207,
  [4222] = 2429,
  [4223] = 4223,
  [4224] = 4224,
  [4225] = 2427,
  [4226] = 4226,
  [4227] = 4227,
  [4228] = 4186,
  [4229] = 4229,
  [4230] = 2375,
  [4231] = 4231,
  [4232] = 4232,
  [4233] = 4233,
  [4234] = 4234,
  [4235] = 4235,
  [4236] = 4049,
  [4237] = 4237,
  [4238] = 2518,
  [4239] = 4239,
  [4240] = 2512,
  [4241] = 4241,
  [4242] = 4242,
  [4243] = 4243,
  [4244] = 2502,
  [4245] = 4171,
  [4246] = 2367,
  [4247] = 2378,
  [4248] = 2379,
  [4249] = 977,
  [4250] = 978,
  [4251] = 979,
  [4252] = 4252,
  [4253] = 2477,
  [4254] = 980,
  [4255] = 4255,
  [4256] = 2476,
  [4257] = 4257,
  [4258] = 4258,
  [4259] = 4259,
  [4260] = 4260,
  [4261] = 4261,
  [4262] = 4262,
  [4263] = 4252,
  [4264] = 4214,
  [4265] = 2385,
  [4266] = 981,
  [4267] = 4267,
  [4268] = 4268,
  [4269] = 4269,
  [4270] = 4270,
  [4271] = 4271,
  [4272] = 4272,
  [4273] = 4049,
  [4274] = 2506,
  [4275] = 4233,
  [4276] = 2508,
  [4277] = 4277,
  [4278] = 4278,
  [4279] = 4279,
  [4280] = 4280,
  [4281] = 4281,
  [4282] = 2387,
  [4283] = 4283,
  [4284] = 4284,
  [4285] = 4285,
  [4286] = 323,
  [4287] = 4287,
  [4288] = 2433,
  [4289] = 2431,
  [4290] = 2426,
  [4291] = 2448,
  [4292] = 2422,
  [4293] = 4293,
  [4294] = 4294,
  [4295] = 2418,
  [4296] = 4184,
  [4297] = 4294,
  [4298] = 2412,
  [4299] = 2406,
  [4300] = 2405,
  [4301] = 4301,
  [4302] = 4302,
  [4303] = 2402,
  [4304] = 2398,
  [4305] = 4229,
  [4306] = 2394,
  [4307] = 2395,
  [4308] = 4308,
  [4309] = 4309,
  [4310] = 4233,
  [4311] = 2468,
  [4312] = 2469,
  [4313] = 4209,
  [4314] = 4232,
  [4315] = 4239,
  [4316] = 4268,
  [4317] = 4271,
  [4318] = 4279,
  [4319] = 4049,
  [4320] = 4252,
  [4321] = 4321,
  [4322] = 4322,
  [4323] = 4323,
  [4324] = 4324,
  [4325] = 4220,
  [4326] = 4326,
  [4327] = 4327,
  [4328] = 4328,
  [4329] = 4329,
  [4330] = 2371,
  [4331] = 4331,
  [4332] = 4332,
  [4333] = 4333,
  [4334] = 2389,
  [4335] = 2388,
  [4336] = 2386,
  [4337] = 4337,
  [4338] = 4218,
  [4339] = 4339,
  [4340] = 4227,
  [4341] = 4233,
  [4342] = 4342,
  [4343] = 4252,
  [4344] = 4344,
  [4345] = 4345,
  [4346] = 4345,
  [4347] = 4347,
  [4348] = 4348,
  [4349] = 4229,
  [4350] = 4227,
  [4351] = 4214,
  [4352] = 4214,
  [4353] = 4353,
  [4354] = 4342,
  [4355] = 4355,
  [4356] = 4331,
  [4357] = 4328,
  [4358] = 4242,
  [4359] = 4309,
  [4360] = 4214,
  [4361] = 4242,
  [4362] = 4229,
  [4363] = 4209,
  [4364] = 4207,
  [4365] = 2513,
  [4366] = 2514,
  [4367] = 2524,
  [4368] = 2525,
  [4369] = 2515,
  [4370] = 4223,
  [4371] = 4224,
  [4372] = 2521,
  [4373] = 4229,
  [4374] = 2522,
  [4375] = 2368,
  [4376] = 2511,
  [4377] = 2509,
  [4378] = 2507,
  [4379] = 4233,
  [4380] = 2504,
  [4381] = 2445,
  [4382] = 4309,
  [4383] = 312,
  [4384] = 4384,
  [4385] = 4207,
  [4386] = 4227,
  [4387] = 4355,
  [4388] = 4388,
  [4389] = 4389,
  [4390] = 4390,
  [4391] = 4224,
  [4392] = 4392,
  [4393] = 4393,
  [4394] = 4328,
  [4395] = 2424,
  [4396] = 2423,
  [4397] = 2419,
  [4398] = 4227,
  [4399] = 2396,
  [4400] = 4331,
  [4401] = 4355,
  [4402] = 4342,
  [4403] = 4403,
  [4404] = 4231,
  [4405] = 4405,
  [4406] = 4252,
  [4407] = 4218,
  [4408] = 4408,
  [4409] = 4345,
  [4410] = 4223,
  [4411] = 4049,
  [4412] = 4049,
  [4413] = 4227,
  [4414] = 4321,
  [4415] = 4345,
  [4416] = 4218,
  [4417] = 4342,
  [4418] = 4218,
  [4419] = 4049,
  [4420] = 2523,
  [4421] = 4421,
  [4422] = 2510,
  [4423] = 4331,
  [4424] = 4223,
  [4425] = 4328,
  [4426] = 4242,
  [4427] = 4207,
  [4428] = 4252,
  [4429] = 4309,
  [4430] = 4214,
  [4431] = 4218,
  [4432] = 4233,
  [4433] = 4229,
  [4434] = 4224,
  [4435] = 4190,
  [4436] = 4355,
  [4437] = 4209,
  [4438] = 4438,
  [4439] = 4438,
  [4440] = 4440,
  [4441] = 4441,
  [4442] = 4442,
  [4443] = 4443,
  [4444] = 4444,
  [4445] = 4438,
  [4446] = 4438,
  [4447] = 4442,
  [4448] = 4442,
  [4449] = 4449,
  [4450] = 4440,
  [4451] = 4441,
  [4452] = 4452,
  [4453] = 4442,
  [4454] = 4438,
  [4455] = 4438,
  [4456] = 4456,
  [4457] = 4457,
  [4458] = 4458,
  [4459] = 4459,
  [4460] = 4442,
  [4461] = 4461,
  [4462] = 4462,
  [4463] = 4463,
  [4464] = 4464,
  [4465] = 4465,
  [4466] = 4186,
  [4467] = 4171,
  [4468] = 292,
  [4469] = 293,
  [4470] = 4462,
  [4471] = 4471,
  [4472] = 4472,
  [4473] = 4438,
  [4474] = 4474,
  [4475] = 4438,
  [4476] = 4442,
  [4477] = 4477,
  [4478] = 4478,
  [4479] = 4479,
  [4480] = 4480,
  [4481] = 4481,
  [4482] = 4482,
  [4483] = 4294,
  [4484] = 4484,
  [4485] = 4485,
  [4486] = 4486,
  [4487] = 4482,
  [4488] = 4479,
  [4489] = 4489,
  [4490] = 4490,
  [4491] = 4491,
  [4492] = 4492,
  [4493] = 4477,
  [4494] = 4494,
  [4495] = 4480,
  [4496] = 4481,
  [4497] = 4492,
  [4498] = 4492,
  [4499] = 4477,
  [4500] = 4491,
  [4501] = 4489,
  [4502] = 4502,
  [4503] = 4485,
  [4504] = 4482,
  [4505] = 4505,
  [4506] = 4506,
  [4507] = 4482,
  [4508] = 4508,
  [4509] = 4485,
  [4510] = 4489,
  [4511] = 4511,
  [4512] = 4491,
  [4513] = 4492,
  [4514] = 4514,
  [4515] = 4515,
  [4516] = 4516,
  [4517] = 4517,
  [4518] = 4518,
  [4519] = 4519,
  [4520] = 4520,
  [4521] = 4521,
  [4522] = 4522,
  [4523] = 4523,
  [4524] = 4405,
  [4525] = 4525,
  [4526] = 309,
  [4527] = 4527,
  [4528] = 4271,
  [4529] = 4268,
  [4530] = 4237,
  [4531] = 4531,
  [4532] = 4479,
  [4533] = 4239,
  [4534] = 4477,
  [4535] = 4535,
  [4536] = 4481,
  [4537] = 4232,
  [4538] = 4538,
  [4539] = 4539,
  [4540] = 4480,
  [4541] = 4480,
  [4542] = 4481,
  [4543] = 4543,
  [4544] = 4544,
  [4545] = 4545,
  [4546] = 4546,
  [4547] = 4547,
  [4548] = 4531,
  [4549] = 4549,
  [4550] = 4550,
  [4551] = 4188,
  [4552] = 4552,
  [4553] = 4553,
  [4554] = 4322,
  [4555] = 4555,
  [4556] = 4556,
  [4557] = 4485,
  [4558] = 4558,
  [4559] = 4559,
  [4560] = 4560,
  [4561] = 4561,
  [4562] = 4562,
  [4563] = 4563,
  [4564] = 4564,
  [4565] = 4565,
  [4566] = 4560,
  [4567] = 4567,
  [4568] = 4568,
  [4569] = 4569,
  [4570] = 4492,
  [4571] = 4491,
  [4572] = 325,
  [4573] = 326,
  [4574] = 4280,
  [4575] = 4481,
  [4576] = 4408,
  [4577] = 4489,
  [4578] = 4482,
  [4579] = 4279,
  [4580] = 4580,
  [4581] = 4480,
  [4582] = 4582,
  [4583] = 4583,
  [4584] = 4584,
  [4585] = 4585,
  [4586] = 4586,
  [4587] = 4587,
  [4588] = 4588,
  [4589] = 4589,
  [4590] = 4485,
  [4591] = 4535,
  [4592] = 4479,
  [4593] = 4593,
  [4594] = 4477,
  [4595] = 2054,
  [4596] = 4596,
  [4597] = 4539,
  [4598] = 4598,
  [4599] = 4599,
  [4600] = 4333,
  [4601] = 4601,
  [4602] = 4481,
  [4603] = 4480,
  [4604] = 4604,
  [4605] = 4605,
  [4606] = 4606,
  [4607] = 4521,
  [4608] = 4477,
  [4609] = 4535,
  [4610] = 4479,
  [4611] = 4611,
  [4612] = 4539,
  [4613] = 4613,
  [4614] = 4614,
  [4615] = 4535,
  [4616] = 4616,
  [4617] = 4617,
  [4618] = 4618,
  [4619] = 4619,
  [4620] = 4620,
  [4621] = 4621,
  [4622] = 4622,
  [4623] = 4623,
  [4624] = 4624,
  [4625] = 4625,
  [4626] = 4626,
  [4627] = 4539,
  [4628] = 4628,
  [4629] = 4629,
  [4630] = 4630,
  [4631] = 4631,
  [4632] = 4535,
  [4633] = 333,
  [4634] = 296,
  [4635] = 4635,
  [4636] = 4636,
  [4637] = 4637,
  [4638] = 4638,
  [4639] = 4639,
  [4640] = 4640,
  [4641] = 4641,
  [4642] = 300,
  [4643] = 4643,
  [4644] = 4539,
  [4645] = 4645,
  [4646] = 4646,
  [4647] = 4647,
  [4648] = 4648,
  [4649] = 4649,
  [4650] = 4650,
  [4651] = 4651,
  [4652] = 4652,
  [4653] = 4653,
  [4654] = 4654,
  [4655] = 4655,
  [4656] = 4543,
  [4657] = 4657,
  [4658] = 4658,
  [4659] = 4659,
  [4660] = 4660,
  [4661] = 4661,
  [4662] = 4662,
  [4663] = 309,
  [4664] = 4664,
  [4665] = 4665,
  [4666] = 4666,
  [4667] = 4667,
  [4668] = 4620,
  [4669] = 4606,
  [4670] = 4670,
  [4671] = 4671,
  [4672] = 4672,
  [4673] = 4673,
  [4674] = 4674,
  [4675] = 4675,
  [4676] = 4676,
  [4677] = 4489,
  [4678] = 4678,
  [4679] = 4128,
  [4680] = 4680,
  [4681] = 4681,
  [4682] = 4682,
  [4683] = 4664,
  [4684] = 4684,
  [4685] = 4685,
  [4686] = 325,
  [4687] = 326,
  [4688] = 4688,
  [4689] = 4535,
  [4690] = 4690,
  [4691] = 4691,
  [4692] = 4692,
  [4693] = 4693,
  [4694] = 4694,
  [4695] = 4695,
  [4696] = 4696,
  [4697] = 4697,
  [4698] = 4698,
  [4699] = 322,
  [4700] = 4700,
  [4701] = 4701,
  [4702] = 4702,
  [4703] = 4703,
  [4704] = 4704,
  [4705] = 4705,
  [4706] = 4492,
  [4707] = 4707,
  [4708] = 4708,
  [4709] = 4709,
  [4710] = 4710,
  [4711] = 4711,
  [4712] = 294,
  [4713] = 4713,
  [4714] = 4681,
  [4715] = 4539,
  [4716] = 295,
  [4717] = 4717,
  [4718] = 4718,
  [4719] = 4719,
  [4720] = 4720,
  [4721] = 4721,
  [4722] = 4722,
  [4723] = 4491,
  [4724] = 4162,
  [4725] = 4491,
  [4726] = 4726,
  [4727] = 4727,
  [4728] = 4489,
  [4729] = 4664,
  [4730] = 4606,
  [4731] = 4444,
  [4732] = 4482,
  [4733] = 4733,
  [4734] = 4664,
  [4735] = 4606,
  [4736] = 4664,
  [4737] = 4737,
  [4738] = 4738,
  [4739] = 4739,
  [4740] = 4611,
  [4741] = 4606,
  [4742] = 4742,
  [4743] = 4664,
  [4744] = 4744,
  [4745] = 4606,
  [4746] = 4746,
  [4747] = 295,
  [4748] = 4485,
  [4749] = 4623,
  [4750] = 4750,
  [4751] = 4751,
  [4752] = 4752,
  [4753] = 4569,
  [4754] = 4752,
  [4755] = 4752,
  [4756] = 4756,
  [4757] = 4648,
  [4758] = 4752,
  [4759] = 4759,
  [4760] = 4752,
  [4761] = 4761,
  [4762] = 4762,
  [4763] = 4763,
  [4764] = 4764,
  [4765] = 4751,
  [4766] = 4759,
  [4767] = 4767,
  [4768] = 4761,
  [4769] = 4769,
  [4770] = 4649,
  [4771] = 296,
  [4772] = 4772,
  [4773] = 4762,
  [4774] = 4774,
  [4775] = 4767,
  [4776] = 4776,
  [4777] = 4777,
  [4778] = 4778,
  [4779] = 4772,
  [4780] = 4762,
  [4781] = 4781,
  [4782] = 4767,
  [4783] = 4783,
  [4784] = 4784,
  [4785] = 4785,
  [4786] = 4514,
  [4787] = 4787,
  [4788] = 4788,
  [4789] = 4742,
  [4790] = 4781,
  [4791] = 4778,
  [4792] = 4772,
  [4793] = 4762,
  [4794] = 4762,
  [4795] = 4795,
  [4796] = 4796,
  [4797] = 4767,
  [4798] = 4798,
  [4799] = 4756,
  [4800] = 869,
  [4801] = 4801,
  [4802] = 300,
  [4803] = 4759,
  [4804] = 4761,
  [4805] = 4805,
  [4806] = 4764,
  [4807] = 4751,
  [4808] = 4808,
  [4809] = 4774,
  [4810] = 4776,
  [4811] = 4777,
  [4812] = 4690,
  [4813] = 4813,
  [4814] = 4814,
  [4815] = 4815,
  [4816] = 4717,
  [4817] = 4781,
  [4818] = 4647,
  [4819] = 4778,
  [4820] = 4625,
  [4821] = 4821,
  [4822] = 4626,
  [4823] = 4823,
  [4824] = 2575,
  [4825] = 4825,
  [4826] = 4184,
  [4827] = 4827,
  [4828] = 4781,
  [4829] = 4777,
  [4830] = 4778,
  [4831] = 4831,
  [4832] = 4756,
  [4833] = 4759,
  [4834] = 4761,
  [4835] = 4764,
  [4836] = 4815,
  [4837] = 4751,
  [4838] = 2626,
  [4839] = 4839,
  [4840] = 4667,
  [4841] = 4776,
  [4842] = 4774,
  [4843] = 4821,
  [4844] = 4628,
  [4845] = 4774,
  [4846] = 4776,
  [4847] = 4847,
  [4848] = 4777,
  [4849] = 4849,
  [4850] = 4781,
  [4851] = 4778,
  [4852] = 4759,
  [4853] = 4761,
  [4854] = 4751,
  [4855] = 4751,
  [4856] = 4856,
  [4857] = 4857,
  [4858] = 4764,
  [4859] = 4774,
  [4860] = 4774,
  [4861] = 2085,
  [4862] = 4776,
  [4863] = 4863,
  [4864] = 4777,
  [4865] = 4759,
  [4866] = 4761,
  [4867] = 4751,
  [4868] = 4868,
  [4869] = 4776,
  [4870] = 4870,
  [4871] = 4774,
  [4872] = 4776,
  [4873] = 4873,
  [4874] = 4756,
  [4875] = 4777,
  [4876] = 4772,
  [4877] = 4877,
  [4878] = 4645,
  [4879] = 4762,
  [4880] = 2664,
  [4881] = 4881,
  [4882] = 4882,
  [4883] = 2663,
  [4884] = 2565,
  [4885] = 2563,
  [4886] = 4444,
  [4887] = 4887,
  [4888] = 4888,
  [4889] = 4889,
  [4890] = 4890,
  [4891] = 4643,
  [4892] = 4761,
  [4893] = 4767,
  [4894] = 4759,
  [4895] = 4751,
  [4896] = 4823,
  [4897] = 4897,
  [4898] = 4641,
  [4899] = 4774,
  [4900] = 4640,
  [4901] = 4776,
  [4902] = 4777,
  [4903] = 4751,
  [4904] = 4774,
  [4905] = 4776,
  [4906] = 4777,
  [4907] = 4907,
  [4908] = 4756,
  [4909] = 4909,
  [4910] = 4660,
  [4911] = 4655,
  [4912] = 4827,
  [4913] = 4913,
  [4914] = 4914,
  [4915] = 4915,
  [4916] = 4916,
  [4917] = 2640,
  [4918] = 2642,
  [4919] = 2643,
  [4920] = 2647,
  [4921] = 2649,
  [4922] = 2653,
  [4923] = 4923,
  [4924] = 4924,
  [4925] = 4925,
  [4926] = 4909,
  [4927] = 4923,
  [4928] = 4440,
  [4929] = 4441,
  [4930] = 4139,
  [4931] = 2701,
  [4932] = 2702,
  [4933] = 4933,
  [4934] = 4934,
  [4935] = 4763,
  [4936] = 4936,
  [4937] = 4907,
  [4938] = 2711,
  [4939] = 2699,
  [4940] = 4933,
  [4941] = 4941,
  [4942] = 4942,
  [4943] = 4777,
  [4944] = 4944,
  [4945] = 4778,
  [4946] = 4781,
  [4947] = 4813,
  [4948] = 4752,
  [4949] = 2075,
  [4950] = 4801,
  [4951] = 4190,
  [4952] = 4915,
  [4953] = 4953,
  [4954] = 4954,
  [4955] = 4955,
  [4956] = 4934,
  [4957] = 4827,
  [4958] = 4916,
  [4959] = 4764,
  [4960] = 4960,
  [4961] = 4961,
  [4962] = 4962,
  [4963] = 4963,
  [4964] = 4767,
  [4965] = 4638,
  [4966] = 4772,
  [4967] = 4637,
  [4968] = 4856,
  [4969] = 4831,
  [4970] = 4652,
  [4971] = 4827,
  [4972] = 4814,
  [4973] = 4635,
  [4974] = 4631,
  [4975] = 4601,
  [4976] = 4936,
  [4977] = 4651,
  [4978] = 4650,
  [4979] = 4827,
  [4980] = 4980,
  [4981] = 1097,
  [4982] = 4982,
  [4983] = 2396,
  [4984] = 4984,
  [4985] = 4985,
  [4986] = 4986,
  [4987] = 4987,
  [4988] = 4988,
  [4989] = 1087,
  [4990] = 4990,
  [4991] = 4991,
  [4992] = 4992,
  [4993] = 1088,
  [4994] = 1089,
  [4995] = 1090,
  [4996] = 1091,
  [4997] = 2699,
  [4998] = 337,
  [4999] = 2711,
  [5000] = 1092,
  [5001] = 5001,
  [5002] = 5002,
  [5003] = 5003,
  [5004] = 303,
  [5005] = 1095,
  [5006] = 1096,
  [5007] = 5007,
  [5008] = 1102,
  [5009] = 1103,
  [5010] = 951,
  [5011] = 946,
  [5012] = 932,
  [5013] = 5013,
  [5014] = 1107,
  [5015] = 1108,
  [5016] = 1109,
  [5017] = 1111,
  [5018] = 2702,
  [5019] = 5019,
  [5020] = 1068,
  [5021] = 2701,
  [5022] = 5022,
  [5023] = 2419,
  [5024] = 2423,
  [5025] = 2386,
  [5026] = 2388,
  [5027] = 2389,
  [5028] = 1113,
  [5029] = 1114,
  [5030] = 1116,
  [5031] = 1117,
  [5032] = 2653,
  [5033] = 2649,
  [5034] = 2647,
  [5035] = 2643,
  [5036] = 2642,
  [5037] = 5037,
  [5038] = 2640,
  [5039] = 5039,
  [5040] = 1119,
  [5041] = 1121,
  [5042] = 1124,
  [5043] = 1153,
  [5044] = 5044,
  [5045] = 5045,
  [5046] = 5046,
  [5047] = 5047,
  [5048] = 5048,
  [5049] = 5049,
  [5050] = 2424,
  [5051] = 5051,
  [5052] = 5052,
  [5053] = 1086,
  [5054] = 5054,
  [5055] = 5055,
  [5056] = 5056,
  [5057] = 5057,
  [5058] = 5058,
  [5059] = 1132,
  [5060] = 5054,
  [5061] = 4984,
  [5062] = 4985,
  [5063] = 1137,
  [5064] = 1138,
  [5065] = 5065,
  [5066] = 4986,
  [5067] = 5067,
  [5068] = 1140,
  [5069] = 1141,
  [5070] = 914,
  [5071] = 1144,
  [5072] = 1146,
  [5073] = 1148,
  [5074] = 1149,
  [5075] = 1150,
  [5076] = 2563,
  [5077] = 2565,
  [5078] = 4990,
  [5079] = 5079,
  [5080] = 4991,
  [5081] = 4992,
  [5082] = 1152,
  [5083] = 5083,
  [5084] = 1154,
  [5085] = 2663,
  [5086] = 2664,
  [5087] = 5087,
  [5088] = 5002,
  [5089] = 5089,
  [5090] = 5090,
  [5091] = 5091,
  [5092] = 5092,
  [5093] = 5093,
  [5094] = 5094,
  [5095] = 5095,
  [5096] = 1085,
  [5097] = 1081,
  [5098] = 952,
  [5099] = 5099,
  [5100] = 5100,
  [5101] = 5101,
  [5102] = 929,
  [5103] = 921,
  [5104] = 1073,
  [5105] = 4888,
  [5106] = 5106,
  [5107] = 5056,
  [5108] = 5108,
  [5109] = 5109,
  [5110] = 5110,
  [5111] = 5111,
  [5112] = 4784,
  [5113] = 5113,
  [5114] = 5114,
  [5115] = 5115,
  [5116] = 5116,
  [5117] = 5117,
  [5118] = 5118,
  [5119] = 5002,
  [5120] = 5120,
  [5121] = 5121,
  [5122] = 5122,
  [5123] = 5055,
  [5124] = 5124,
  [5125] = 5125,
  [5126] = 5126,
  [5127] = 1069,
  [5128] = 5128,
  [5129] = 5129,
  [5130] = 5055,
  [5131] = 5056,
  [5132] = 5132,
  [5133] = 4991,
  [5134] = 1067,
  [5135] = 1170,
  [5136] = 1171,
  [5137] = 2626,
  [5138] = 5138,
  [5139] = 1066,
  [5140] = 5054,
  [5141] = 4984,
  [5142] = 4985,
  [5143] = 5143,
  [5144] = 5144,
  [5145] = 4986,
  [5146] = 5146,
  [5147] = 5147,
  [5148] = 4991,
  [5149] = 4992,
  [5150] = 5150,
  [5151] = 5151,
  [5152] = 5152,
  [5153] = 5002,
  [5154] = 5154,
  [5155] = 1065,
  [5156] = 1064,
  [5157] = 5157,
  [5158] = 1173,
  [5159] = 4629,
  [5160] = 5160,
  [5161] = 5161,
  [5162] = 5162,
  [5163] = 5163,
  [5164] = 5164,
  [5165] = 5165,
  [5166] = 5166,
  [5167] = 5167,
  [5168] = 5168,
  [5169] = 5169,
  [5170] = 1174,
  [5171] = 5171,
  [5172] = 5172,
  [5173] = 5173,
  [5174] = 1063,
  [5175] = 2575,
  [5176] = 5176,
  [5177] = 5177,
  [5178] = 5178,
  [5179] = 5179,
  [5180] = 5180,
  [5181] = 5181,
  [5182] = 5182,
  [5183] = 5003,
  [5184] = 1185,
  [5185] = 5091,
  [5186] = 1186,
  [5187] = 5055,
  [5188] = 5188,
  [5189] = 4988,
  [5190] = 2525,
  [5191] = 5191,
  [5192] = 1183,
  [5193] = 2524,
  [5194] = 5146,
  [5195] = 5195,
  [5196] = 5196,
  [5197] = 5197,
  [5198] = 5198,
  [5199] = 1054,
  [5200] = 956,
  [5201] = 5201,
  [5202] = 5202,
  [5203] = 5203,
  [5204] = 5204,
  [5205] = 5205,
  [5206] = 4992,
  [5207] = 5207,
  [5208] = 5208,
  [5209] = 5209,
  [5210] = 5210,
  [5211] = 5211,
  [5212] = 5212,
  [5213] = 5213,
  [5214] = 4890,
  [5215] = 5048,
  [5216] = 945,
  [5217] = 5217,
  [5218] = 5218,
  [5219] = 5219,
  [5220] = 5146,
  [5221] = 4889,
  [5222] = 4798,
  [5223] = 5223,
  [5224] = 1049,
  [5225] = 5225,
  [5226] = 5226,
  [5227] = 5227,
  [5228] = 5228,
  [5229] = 5229,
  [5230] = 5002,
  [5231] = 5231,
  [5232] = 1048,
  [5233] = 1047,
  [5234] = 1046,
  [5235] = 5235,
  [5236] = 5236,
  [5237] = 5237,
  [5238] = 5238,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 5241,
  [5242] = 1044,
  [5243] = 5052,
  [5244] = 5244,
  [5245] = 5245,
  [5246] = 5151,
  [5247] = 5247,
  [5248] = 5248,
  [5249] = 5249,
  [5250] = 5090,
  [5251] = 5251,
  [5252] = 5252,
  [5253] = 5118,
  [5254] = 5055,
  [5255] = 4991,
  [5256] = 5056,
  [5257] = 5257,
  [5258] = 5258,
  [5259] = 5259,
  [5260] = 5172,
  [5261] = 5173,
  [5262] = 5262,
  [5263] = 5263,
  [5264] = 5235,
  [5265] = 5054,
  [5266] = 4984,
  [5267] = 5143,
  [5268] = 4986,
  [5269] = 5269,
  [5270] = 5270,
  [5271] = 5271,
  [5272] = 4985,
  [5273] = 4986,
  [5274] = 5274,
  [5275] = 2421,
  [5276] = 5276,
  [5277] = 4985,
  [5278] = 2420,
  [5279] = 4984,
  [5280] = 5054,
  [5281] = 5281,
  [5282] = 5282,
  [5283] = 5283,
  [5284] = 5284,
  [5285] = 4991,
  [5286] = 4992,
  [5287] = 5108,
  [5288] = 5054,
  [5289] = 4984,
  [5290] = 5056,
  [5291] = 292,
  [5292] = 5055,
  [5293] = 5293,
  [5294] = 5057,
  [5295] = 5295,
  [5296] = 293,
  [5297] = 4985,
  [5298] = 5298,
  [5299] = 4986,
  [5300] = 5300,
  [5301] = 5301,
  [5302] = 4988,
  [5303] = 5303,
  [5304] = 4684,
  [5305] = 5305,
  [5306] = 5002,
  [5307] = 5307,
  [5308] = 5308,
  [5309] = 5309,
  [5310] = 5310,
  [5311] = 5311,
  [5312] = 5312,
  [5313] = 5313,
  [5314] = 5208,
  [5315] = 5315,
  [5316] = 4988,
  [5317] = 5317,
  [5318] = 5146,
  [5319] = 4519,
  [5320] = 5320,
  [5321] = 5321,
  [5322] = 5322,
  [5323] = 5323,
  [5324] = 5324,
  [5325] = 4525,
  [5326] = 5037,
  [5327] = 5327,
  [5328] = 5056,
  [5329] = 950,
  [5330] = 5330,
  [5331] = 5331,
  [5332] = 5332,
  [5333] = 5333,
  [5334] = 5334,
  [5335] = 5335,
  [5336] = 5150,
  [5337] = 5337,
  [5338] = 5281,
  [5339] = 5339,
  [5340] = 5057,
  [5341] = 948,
  [5342] = 5342,
  [5343] = 944,
  [5344] = 5344,
  [5345] = 928,
  [5346] = 5346,
  [5347] = 5347,
  [5348] = 5348,
  [5349] = 5349,
  [5350] = 4990,
  [5351] = 5351,
  [5352] = 5352,
  [5353] = 5353,
  [5354] = 5354,
  [5355] = 5355,
  [5356] = 4992,
  [5357] = 4839,
  [5358] = 5358,
  [5359] = 5108,
  [5360] = 5360,
  [5361] = 5118,
  [5362] = 5362,
  [5363] = 5363,
  [5364] = 5143,
  [5365] = 5365,
  [5366] = 5237,
  [5367] = 5367,
  [5368] = 5150,
  [5369] = 5369,
  [5370] = 5167,
  [5371] = 5037,
  [5372] = 5348,
  [5373] = 5373,
  [5374] = 5003,
  [5375] = 5375,
  [5376] = 5376,
  [5377] = 5091,
  [5378] = 5057,
  [5379] = 2408,
  [5380] = 5380,
  [5381] = 5381,
  [5382] = 5382,
  [5383] = 5383,
  [5384] = 5384,
  [5385] = 5208,
  [5386] = 5386,
  [5387] = 5387,
  [5388] = 1029,
  [5389] = 5389,
  [5390] = 5390,
  [5391] = 5391,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 4990,
  [5395] = 5146,
  [5396] = 5037,
  [5397] = 5397,
  [5398] = 5398,
  [5399] = 5399,
  [5400] = 5400,
  [5401] = 5401,
  [5402] = 5402,
  [5403] = 5403,
  [5404] = 5404,
  [5405] = 5405,
  [5406] = 5406,
  [5407] = 5407,
  [5408] = 5408,
  [5409] = 5409,
  [5410] = 2515,
  [5411] = 5411,
  [5412] = 1030,
  [5413] = 5413,
  [5414] = 5414,
  [5415] = 5415,
  [5416] = 5416,
  [5417] = 5335,
  [5418] = 5418,
  [5419] = 5419,
  [5420] = 5295,
  [5421] = 5421,
  [5422] = 5422,
  [5423] = 5423,
  [5424] = 5424,
  [5425] = 5425,
  [5426] = 5051,
  [5427] = 5427,
  [5428] = 5428,
  [5429] = 5429,
  [5430] = 5430,
  [5431] = 5431,
  [5432] = 5432,
  [5433] = 5433,
  [5434] = 5434,
  [5435] = 5435,
  [5436] = 5436,
  [5437] = 5437,
  [5438] = 5433,
  [5439] = 5439,
  [5440] = 5440,
  [5441] = 5108,
  [5442] = 5217,
  [5443] = 5118,
  [5444] = 5444,
  [5445] = 5445,
  [5446] = 5446,
  [5447] = 5392,
  [5448] = 5448,
  [5449] = 5208,
  [5450] = 5450,
  [5451] = 5451,
  [5452] = 5452,
  [5453] = 5453,
  [5454] = 5454,
  [5455] = 5208,
  [5456] = 5091,
  [5457] = 5457,
  [5458] = 5458,
  [5459] = 5459,
  [5460] = 5460,
  [5461] = 5003,
  [5462] = 5462,
  [5463] = 5463,
  [5464] = 5464,
  [5465] = 5465,
  [5466] = 5466,
  [5467] = 5467,
  [5468] = 5143,
  [5469] = 5167,
  [5470] = 5150,
  [5471] = 5471,
  [5472] = 5118,
  [5473] = 5473,
  [5474] = 5474,
  [5475] = 5108,
  [5476] = 5150,
  [5477] = 5477,
  [5478] = 5478,
  [5479] = 5479,
  [5480] = 5480,
  [5481] = 5481,
  [5482] = 5482,
  [5483] = 4990,
  [5484] = 5484,
  [5485] = 5057,
  [5486] = 5486,
  [5487] = 5487,
  [5488] = 5167,
  [5489] = 5489,
  [5490] = 325,
  [5491] = 5491,
  [5492] = 326,
  [5493] = 5493,
  [5494] = 5494,
  [5495] = 5095,
  [5496] = 5496,
  [5497] = 5037,
  [5498] = 5057,
  [5499] = 4990,
  [5500] = 5500,
  [5501] = 5501,
  [5502] = 5358,
  [5503] = 5503,
  [5504] = 5274,
  [5505] = 5505,
  [5506] = 5506,
  [5507] = 5507,
  [5508] = 5108,
  [5509] = 5509,
  [5510] = 5510,
  [5511] = 5126,
  [5512] = 5512,
  [5513] = 5208,
  [5514] = 5003,
  [5515] = 5515,
  [5516] = 5516,
  [5517] = 5517,
  [5518] = 5091,
  [5519] = 5118,
  [5520] = 5520,
  [5521] = 5521,
  [5522] = 5522,
  [5523] = 5523,
  [5524] = 1017,
  [5525] = 5525,
  [5526] = 5526,
  [5527] = 5167,
  [5528] = 5528,
  [5529] = 5440,
  [5530] = 5530,
  [5531] = 5531,
  [5532] = 5532,
  [5533] = 5533,
  [5534] = 5091,
  [5535] = 5003,
  [5536] = 5536,
  [5537] = 5167,
  [5538] = 5538,
  [5539] = 5539,
  [5540] = 5150,
  [5541] = 5143,
  [5542] = 5146,
  [5543] = 1018,
  [5544] = 5544,
  [5545] = 5545,
  [5546] = 5546,
  [5547] = 5547,
  [5548] = 5548,
  [5549] = 5547,
  [5550] = 5550,
  [5551] = 5551,
  [5552] = 5552,
  [5553] = 5553,
  [5554] = 5554,
  [5555] = 5555,
  [5556] = 5556,
  [5557] = 5557,
  [5558] = 5558,
  [5559] = 5559,
  [5560] = 5557,
  [5561] = 5561,
  [5562] = 5562,
  [5563] = 5563,
  [5564] = 5564,
  [5565] = 5546,
  [5566] = 5566,
  [5567] = 5567,
  [5568] = 5564,
  [5569] = 5567,
  [5570] = 5545,
  [5571] = 5571,
  [5572] = 5572,
  [5573] = 5573,
  [5574] = 5566,
  [5575] = 5558,
  [5576] = 5576,
  [5577] = 5577,
  [5578] = 5578,
  [5579] = 5579,
  [5580] = 5546,
  [5581] = 5581,
  [5582] = 5573,
  [5583] = 5563,
  [5584] = 5550,
  [5585] = 5562,
  [5586] = 5561,
  [5587] = 5587,
  [5588] = 5556,
  [5589] = 5559,
  [5590] = 5561,
  [5591] = 5591,
  [5592] = 5562,
  [5593] = 5557,
  [5594] = 2145,
  [5595] = 5563,
  [5596] = 5546,
  [5597] = 5567,
  [5598] = 5564,
  [5599] = 5558,
  [5600] = 5600,
  [5601] = 5554,
  [5602] = 5602,
  [5603] = 5559,
  [5604] = 5604,
  [5605] = 5605,
  [5606] = 5556,
  [5607] = 5607,
  [5608] = 5608,
  [5609] = 5609,
  [5610] = 5610,
  [5611] = 5564,
  [5612] = 5612,
  [5613] = 5556,
  [5614] = 5559,
  [5615] = 5567,
  [5616] = 5563,
  [5617] = 5546,
  [5618] = 5618,
  [5619] = 5558,
  [5620] = 5620,
  [5621] = 5621,
  [5622] = 5554,
  [5623] = 5623,
  [5624] = 5624,
  [5625] = 5625,
  [5626] = 5556,
  [5627] = 5554,
  [5628] = 5559,
  [5629] = 5547,
  [5630] = 5563,
  [5631] = 5571,
  [5632] = 5608,
  [5633] = 5556,
  [5634] = 5559,
  [5635] = 5563,
  [5636] = 5546,
  [5637] = 5547,
  [5638] = 5638,
  [5639] = 5556,
  [5640] = 5576,
  [5641] = 5578,
  [5642] = 5559,
  [5643] = 5563,
  [5644] = 5550,
  [5645] = 5546,
  [5646] = 5545,
  [5647] = 5556,
  [5648] = 5648,
  [5649] = 5578,
  [5650] = 5563,
  [5651] = 5558,
  [5652] = 5546,
  [5653] = 5556,
  [5654] = 5564,
  [5655] = 5567,
  [5656] = 5559,
  [5657] = 5563,
  [5658] = 5546,
  [5659] = 5559,
  [5660] = 5576,
  [5661] = 5572,
  [5662] = 5572,
  [5663] = 5571,
  [5664] = 5572,
  [5665] = 5665,
  [5666] = 5566,
  [5667] = 5667,
  [5668] = 5668,
  [5669] = 5669,
  [5670] = 5564,
  [5671] = 5567,
  [5672] = 5545,
  [5673] = 5571,
  [5674] = 5674,
  [5675] = 5572,
  [5676] = 5676,
  [5677] = 5566,
  [5678] = 5678,
  [5679] = 5679,
  [5680] = 5680,
  [5681] = 4783,
  [5682] = 5682,
  [5683] = 294,
  [5684] = 5546,
  [5685] = 5563,
  [5686] = 5678,
  [5687] = 5687,
  [5688] = 5562,
  [5689] = 5689,
  [5690] = 5561,
  [5691] = 5587,
  [5692] = 5591,
  [5693] = 5557,
  [5694] = 5618,
  [5695] = 5695,
  [5696] = 5546,
  [5697] = 5563,
  [5698] = 5698,
  [5699] = 5556,
  [5700] = 5559,
  [5701] = 909,
  [5702] = 5559,
  [5703] = 5556,
  [5704] = 5608,
  [5705] = 5705,
  [5706] = 5689,
  [5707] = 5562,
  [5708] = 5708,
  [5709] = 5561,
  [5710] = 5559,
  [5711] = 5711,
  [5712] = 5556,
  [5713] = 5587,
  [5714] = 5591,
  [5715] = 5715,
  [5716] = 5591,
  [5717] = 5554,
  [5718] = 5557,
  [5719] = 5719,
  [5720] = 5720,
  [5721] = 5605,
  [5722] = 5557,
  [5723] = 5566,
  [5724] = 5608,
  [5725] = 5625,
  [5726] = 5587,
  [5727] = 5547,
  [5728] = 5559,
  [5729] = 5556,
  [5730] = 5648,
  [5731] = 4805,
  [5732] = 5676,
  [5733] = 5608,
  [5734] = 5550,
  [5735] = 2108,
  [5736] = 5736,
  [5737] = 5558,
  [5738] = 5738,
  [5739] = 5618,
  [5740] = 5740,
  [5741] = 5576,
  [5742] = 5578,
  [5743] = 5689,
  [5744] = 5591,
  [5745] = 5587,
  [5746] = 5561,
  [5747] = 5562,
  [5748] = 5748,
  [5749] = 5550,
  [5750] = 5576,
  [5751] = 5546,
  [5752] = 5563,
  [5753] = 5698,
  [5754] = 5754,
  [5755] = 2143,
  [5756] = 5756,
  [5757] = 5558,
  [5758] = 5689,
  [5759] = 5618,
  [5760] = 5689,
  [5761] = 5563,
  [5762] = 5546,
  [5763] = 5763,
  [5764] = 5764,
  [5765] = 5564,
  [5766] = 5567,
  [5767] = 5545,
  [5768] = 5571,
  [5769] = 5769,
  [5770] = 5578,
  [5771] = 5566,
  [5772] = 5772,
  [5773] = 5562,
  [5774] = 5561,
  [5775] = 5618,
  [5776] = 5776,
  [5777] = 5777,
  [5778] = 5778,
  [5779] = 5779,
  [5780] = 5780,
  [5781] = 5781,
  [5782] = 5782,
  [5783] = 5783,
  [5784] = 5784,
  [5785] = 5785,
  [5786] = 5786,
  [5787] = 5787,
  [5788] = 919,
  [5789] = 5789,
  [5790] = 5790,
  [5791] = 5791,
  [5792] = 5785,
  [5793] = 5793,
  [5794] = 5794,
  [5795] = 5795,
  [5796] = 5796,
  [5797] = 5797,
  [5798] = 5798,
  [5799] = 5799,
  [5800] = 5790,
  [5801] = 5801,
  [5802] = 5802,
  [5803] = 5803,
  [5804] = 5804,
  [5805] = 5436,
  [5806] = 5785,
  [5807] = 5807,
  [5808] = 5808,
  [5809] = 5809,
  [5810] = 5810,
  [5811] = 5811,
  [5812] = 5812,
  [5813] = 5813,
  [5814] = 5814,
  [5815] = 5815,
  [5816] = 5816,
  [5817] = 5817,
  [5818] = 4620,
  [5819] = 5790,
  [5820] = 5785,
  [5821] = 5821,
  [5822] = 5822,
  [5823] = 5823,
  [5824] = 5824,
  [5825] = 5825,
  [5826] = 5826,
  [5827] = 5827,
  [5828] = 5828,
  [5829] = 5829,
  [5830] = 5830,
  [5831] = 2510,
  [5832] = 5832,
  [5833] = 5833,
  [5834] = 4514,
  [5835] = 5835,
  [5836] = 2523,
  [5837] = 5837,
  [5838] = 5791,
  [5839] = 5839,
  [5840] = 5840,
  [5841] = 5841,
  [5842] = 5803,
  [5843] = 5804,
  [5844] = 5844,
  [5845] = 5845,
  [5846] = 5846,
  [5847] = 5847,
  [5848] = 5848,
  [5849] = 5849,
  [5850] = 5850,
  [5851] = 5851,
  [5852] = 5852,
  [5853] = 5853,
  [5854] = 5854,
  [5855] = 5855,
  [5856] = 5856,
  [5857] = 5857,
  [5858] = 5858,
  [5859] = 5859,
  [5860] = 5860,
  [5861] = 5861,
  [5862] = 5862,
  [5863] = 5863,
  [5864] = 5864,
  [5865] = 5865,
  [5866] = 5866,
  [5867] = 5867,
  [5868] = 5868,
  [5869] = 5869,
  [5870] = 5870,
  [5871] = 5871,
  [5872] = 5872,
  [5873] = 5873,
  [5874] = 5874,
  [5875] = 5875,
  [5876] = 5876,
  [5877] = 5877,
  [5878] = 5878,
  [5879] = 5879,
  [5880] = 5880,
  [5881] = 5881,
  [5882] = 5882,
  [5883] = 5844,
  [5884] = 5884,
  [5885] = 5885,
  [5886] = 5886,
  [5887] = 5887,
  [5888] = 5785,
  [5889] = 5889,
  [5890] = 5890,
  [5891] = 5891,
  [5892] = 5892,
  [5893] = 5893,
  [5894] = 5894,
  [5895] = 5869,
  [5896] = 5896,
  [5897] = 5867,
  [5898] = 5862,
  [5899] = 5899,
  [5900] = 932,
  [5901] = 5901,
  [5902] = 5854,
  [5903] = 5903,
  [5904] = 5904,
  [5905] = 5849,
  [5906] = 5906,
  [5907] = 5846,
  [5908] = 5908,
  [5909] = 5909,
  [5910] = 5910,
  [5911] = 5892,
  [5912] = 5912,
  [5913] = 5913,
  [5914] = 946,
  [5915] = 5915,
  [5916] = 928,
  [5917] = 5917,
  [5918] = 5918,
  [5919] = 5889,
  [5920] = 951,
  [5921] = 5921,
  [5922] = 5922,
  [5923] = 5923,
  [5924] = 5924,
  [5925] = 5790,
  [5926] = 5926,
  [5927] = 5785,
  [5928] = 5903,
  [5929] = 5929,
  [5930] = 5906,
  [5931] = 5931,
  [5932] = 5910,
  [5933] = 5933,
  [5934] = 5934,
  [5935] = 5935,
  [5936] = 5922,
  [5937] = 5937,
  [5938] = 5938,
  [5939] = 5939,
  [5940] = 5940,
  [5941] = 5941,
  [5942] = 914,
  [5943] = 5943,
  [5944] = 5944,
  [5945] = 5945,
  [5946] = 5946,
  [5947] = 5947,
  [5948] = 5948,
  [5949] = 5885,
  [5950] = 5950,
  [5951] = 5951,
  [5952] = 5790,
  [5953] = 5881,
  [5954] = 5954,
  [5955] = 5848,
  [5956] = 5847,
  [5957] = 5957,
  [5958] = 5934,
  [5959] = 5959,
  [5960] = 5960,
  [5961] = 5945,
  [5962] = 5962,
  [5963] = 5839,
  [5964] = 5964,
  [5965] = 2389,
  [5966] = 2388,
  [5967] = 2386,
  [5968] = 5968,
  [5969] = 2396,
  [5970] = 2408,
  [5971] = 2419,
  [5972] = 2423,
  [5973] = 2424,
  [5974] = 2515,
  [5975] = 5975,
  [5976] = 5976,
  [5977] = 2525,
  [5978] = 2524,
  [5979] = 5979,
  [5980] = 5980,
  [5981] = 5981,
  [5982] = 5943,
  [5983] = 4690,
  [5984] = 5848,
  [5985] = 5847,
  [5986] = 5986,
  [5987] = 5866,
  [5988] = 5988,
  [5989] = 926,
  [5990] = 5839,
  [5991] = 5991,
  [5992] = 5992,
  [5993] = 5993,
  [5994] = 5976,
  [5995] = 5995,
  [5996] = 5996,
  [5997] = 5997,
  [5998] = 5998,
  [5999] = 5203,
  [6000] = 5848,
  [6001] = 6001,
  [6002] = 5847,
  [6003] = 6003,
  [6004] = 6004,
  [6005] = 6005,
  [6006] = 6006,
  [6007] = 6007,
  [6008] = 6008,
  [6009] = 6009,
  [6010] = 6010,
  [6011] = 5781,
  [6012] = 6012,
  [6013] = 6013,
  [6014] = 6014,
  [6015] = 5794,
  [6016] = 5798,
  [6017] = 6017,
  [6018] = 5825,
  [6019] = 6019,
  [6020] = 6020,
  [6021] = 5283,
  [6022] = 6022,
  [6023] = 6023,
  [6024] = 6024,
  [6025] = 6025,
  [6026] = 6026,
  [6027] = 6027,
  [6028] = 6028,
  [6029] = 6029,
  [6030] = 6030,
  [6031] = 6031,
  [6032] = 6032,
  [6033] = 6033,
  [6034] = 6034,
  [6035] = 6035,
  [6036] = 6036,
  [6037] = 6037,
  [6038] = 5798,
  [6039] = 5794,
  [6040] = 6040,
  [6041] = 6041,
  [6042] = 6042,
  [6043] = 6043,
  [6044] = 6044,
  [6045] = 6045,
  [6046] = 6046,
  [6047] = 5781,
  [6048] = 6048,
  [6049] = 6049,
  [6050] = 6050,
  [6051] = 6051,
  [6052] = 6052,
  [6053] = 6053,
  [6054] = 6054,
  [6055] = 6055,
  [6056] = 6056,
  [6057] = 6057,
  [6058] = 5839,
  [6059] = 4569,
  [6060] = 6060,
  [6061] = 6061,
  [6062] = 6062,
  [6063] = 6063,
  [6064] = 6064,
  [6065] = 6065,
  [6066] = 6066,
  [6067] = 6067,
  [6068] = 6068,
  [6069] = 5976,
  [6070] = 6070,
  [6071] = 6071,
  [6072] = 6072,
  [6073] = 5871,
  [6074] = 6074,
  [6075] = 6075,
  [6076] = 6076,
  [6077] = 5870,
  [6078] = 5848,
  [6079] = 5847,
  [6080] = 6080,
  [6081] = 6081,
  [6082] = 6082,
  [6083] = 6083,
  [6084] = 6084,
  [6085] = 6085,
  [6086] = 6086,
  [6087] = 6087,
  [6088] = 6088,
  [6089] = 6089,
  [6090] = 6090,
  [6091] = 6091,
  [6092] = 952,
  [6093] = 6093,
  [6094] = 6094,
  [6095] = 6095,
  [6096] = 6096,
  [6097] = 6097,
  [6098] = 6098,
  [6099] = 944,
  [6100] = 6100,
  [6101] = 948,
  [6102] = 6102,
  [6103] = 6103,
  [6104] = 929,
  [6105] = 6105,
  [6106] = 6106,
  [6107] = 921,
  [6108] = 6108,
  [6109] = 6109,
  [6110] = 5816,
  [6111] = 6111,
  [6112] = 6112,
  [6113] = 6113,
  [6114] = 6114,
  [6115] = 6115,
  [6116] = 6116,
  [6117] = 5855,
  [6118] = 6118,
  [6119] = 6119,
  [6120] = 6120,
  [6121] = 6121,
  [6122] = 6122,
  [6123] = 6123,
  [6124] = 5781,
  [6125] = 6125,
  [6126] = 6126,
  [6127] = 5794,
  [6128] = 5798,
  [6129] = 6129,
  [6130] = 6130,
  [6131] = 5791,
  [6132] = 6132,
  [6133] = 6133,
  [6134] = 5825,
  [6135] = 5803,
  [6136] = 5804,
  [6137] = 6137,
  [6138] = 6138,
  [6139] = 6139,
  [6140] = 6140,
  [6141] = 6141,
  [6142] = 6142,
  [6143] = 6143,
  [6144] = 6144,
  [6145] = 6145,
  [6146] = 5855,
  [6147] = 6147,
  [6148] = 6148,
  [6149] = 6149,
  [6150] = 6150,
  [6151] = 6151,
  [6152] = 5899,
  [6153] = 5892,
  [6154] = 6154,
  [6155] = 5889,
  [6156] = 6156,
  [6157] = 5924,
  [6158] = 6158,
  [6159] = 6159,
  [6160] = 6160,
  [6161] = 5870,
  [6162] = 5871,
  [6163] = 1016,
  [6164] = 950,
  [6165] = 6165,
  [6166] = 6166,
  [6167] = 945,
  [6168] = 5839,
  [6169] = 954,
  [6170] = 5866,
  [6171] = 5881,
  [6172] = 6172,
  [6173] = 6173,
  [6174] = 6019,
  [6175] = 5885,
  [6176] = 6023,
  [6177] = 6177,
  [6178] = 6025,
  [6179] = 6026,
  [6180] = 5801,
  [6181] = 6181,
  [6182] = 6182,
  [6183] = 6183,
  [6184] = 6184,
  [6185] = 5869,
  [6186] = 5976,
  [6187] = 5867,
  [6188] = 5862,
  [6189] = 6189,
  [6190] = 5854,
  [6191] = 6191,
  [6192] = 5849,
  [6193] = 6193,
  [6194] = 5846,
  [6195] = 6195,
  [6196] = 6196,
  [6197] = 6197,
  [6198] = 6198,
  [6199] = 6199,
  [6200] = 6200,
  [6201] = 6201,
  [6202] = 6068,
  [6203] = 6203,
  [6204] = 6204,
  [6205] = 6205,
  [6206] = 6206,
  [6207] = 6207,
  [6208] = 6208,
  [6209] = 6034,
  [6210] = 6210,
  [6211] = 6211,
  [6212] = 6212,
  [6213] = 955,
  [6214] = 6214,
  [6215] = 6215,
  [6216] = 6216,
  [6217] = 6197,
  [6218] = 6218,
  [6219] = 5922,
  [6220] = 6220,
  [6221] = 6221,
  [6222] = 6222,
  [6223] = 6223,
  [6224] = 5802,
  [6225] = 5848,
  [6226] = 5943,
  [6227] = 5847,
  [6228] = 5945,
  [6229] = 6229,
  [6230] = 6230,
  [6231] = 6231,
  [6232] = 6232,
  [6233] = 6233,
  [6234] = 5801,
  [6235] = 6235,
  [6236] = 6181,
  [6237] = 6222,
  [6238] = 6238,
  [6239] = 6239,
  [6240] = 6240,
  [6241] = 6241,
  [6242] = 6242,
  [6243] = 5802,
  [6244] = 6244,
  [6245] = 6245,
  [6246] = 6246,
  [6247] = 6247,
  [6248] = 6248,
  [6249] = 6249,
  [6250] = 6250,
  [6251] = 6251,
  [6252] = 6252,
  [6253] = 6253,
  [6254] = 6254,
  [6255] = 6255,
  [6256] = 6256,
  [6257] = 6257,
  [6258] = 6258,
  [6259] = 6259,
  [6260] = 5814,
  [6261] = 5976,
  [6262] = 5816,
  [6263] = 6263,
  [6264] = 6264,
  [6265] = 6265,
  [6266] = 6266,
  [6267] = 6267,
  [6268] = 6268,
  [6269] = 6269,
  [6270] = 6270,
  [6271] = 6271,
  [6272] = 6272,
  [6273] = 6273,
  [6274] = 6274,
  [6275] = 6275,
  [6276] = 6276,
  [6277] = 6277,
  [6278] = 6278,
  [6279] = 6279,
  [6280] = 5781,
  [6281] = 6281,
  [6282] = 6282,
  [6283] = 6283,
  [6284] = 5794,
  [6285] = 5798,
  [6286] = 6286,
  [6287] = 5946,
  [6288] = 6288,
  [6289] = 5803,
  [6290] = 5804,
  [6291] = 6291,
  [6292] = 5844,
  [6293] = 6293,
  [6294] = 6294,
  [6295] = 6295,
  [6296] = 6296,
  [6297] = 6297,
  [6298] = 6298,
  [6299] = 6299,
  [6300] = 6300,
  [6301] = 6301,
  [6302] = 6302,
  [6303] = 6303,
  [6304] = 5855,
  [6305] = 6305,
  [6306] = 5846,
  [6307] = 6307,
  [6308] = 6308,
  [6309] = 5849,
  [6310] = 6310,
  [6311] = 5854,
  [6312] = 5862,
  [6313] = 6313,
  [6314] = 6314,
  [6315] = 6315,
  [6316] = 6316,
  [6317] = 6317,
  [6318] = 5804,
  [6319] = 5803,
  [6320] = 6320,
  [6321] = 6321,
  [6322] = 6322,
  [6323] = 6323,
  [6324] = 6324,
  [6325] = 6091,
  [6326] = 6326,
  [6327] = 6327,
  [6328] = 6328,
  [6329] = 6329,
  [6330] = 6330,
  [6331] = 6331,
  [6332] = 6332,
  [6333] = 1027,
  [6334] = 6334,
  [6335] = 6335,
  [6336] = 6336,
  [6337] = 6337,
  [6338] = 6338,
  [6339] = 4742,
  [6340] = 5814,
  [6341] = 6341,
  [6342] = 6342,
  [6343] = 6343,
  [6344] = 6344,
  [6345] = 6345,
  [6346] = 6346,
  [6347] = 6347,
  [6348] = 6348,
  [6349] = 6349,
  [6350] = 6350,
  [6351] = 5870,
  [6352] = 6352,
  [6353] = 6353,
  [6354] = 5945,
  [6355] = 6355,
  [6356] = 5943,
  [6357] = 6357,
  [6358] = 5871,
  [6359] = 6359,
  [6360] = 5791,
  [6361] = 5881,
  [6362] = 6362,
  [6363] = 6363,
  [6364] = 5846,
  [6365] = 6365,
  [6366] = 5849,
  [6367] = 6367,
  [6368] = 5854,
  [6369] = 5816,
  [6370] = 5862,
  [6371] = 6371,
  [6372] = 5867,
  [6373] = 6373,
  [6374] = 6374,
  [6375] = 6375,
  [6376] = 6376,
  [6377] = 5885,
  [6378] = 5869,
  [6379] = 6379,
  [6380] = 6380,
  [6381] = 5871,
  [6382] = 5870,
  [6383] = 6383,
  [6384] = 5791,
  [6385] = 6385,
  [6386] = 6386,
  [6387] = 6387,
  [6388] = 5803,
  [6389] = 5804,
  [6390] = 6390,
  [6391] = 6391,
  [6392] = 5816,
  [6393] = 6393,
  [6394] = 6394,
  [6395] = 6395,
  [6396] = 6396,
  [6397] = 6397,
  [6398] = 6398,
  [6399] = 6399,
  [6400] = 6400,
  [6401] = 5804,
  [6402] = 5803,
  [6403] = 6403,
  [6404] = 6404,
  [6405] = 6405,
  [6406] = 6406,
  [6407] = 6407,
  [6408] = 5791,
  [6409] = 6409,
  [6410] = 5870,
  [6411] = 5871,
  [6412] = 5869,
  [6413] = 6413,
  [6414] = 6414,
  [6415] = 5867,
  [6416] = 5945,
  [6417] = 5943,
  [6418] = 6418,
  [6419] = 5862,
  [6420] = 5881,
  [6421] = 6421,
  [6422] = 6422,
  [6423] = 6423,
  [6424] = 5885,
  [6425] = 6425,
  [6426] = 5854,
  [6427] = 6427,
  [6428] = 6428,
  [6429] = 6429,
  [6430] = 6430,
  [6431] = 5849,
  [6432] = 5869,
  [6433] = 5922,
  [6434] = 5867,
  [6435] = 5862,
  [6436] = 6436,
  [6437] = 5854,
  [6438] = 6438,
  [6439] = 5849,
  [6440] = 6440,
  [6441] = 5846,
  [6442] = 6442,
  [6443] = 6443,
  [6444] = 5846,
  [6445] = 6445,
  [6446] = 6446,
  [6447] = 6447,
  [6448] = 6448,
  [6449] = 6449,
  [6450] = 6450,
  [6451] = 6451,
  [6452] = 6452,
  [6453] = 6264,
  [6454] = 6454,
  [6455] = 6265,
  [6456] = 6456,
  [6457] = 6457,
  [6458] = 6458,
  [6459] = 6459,
  [6460] = 6460,
  [6461] = 6461,
  [6462] = 5903,
  [6463] = 6463,
  [6464] = 5906,
  [6465] = 6465,
  [6466] = 5910,
  [6467] = 5945,
  [6468] = 5934,
  [6469] = 5943,
  [6470] = 5922,
  [6471] = 6471,
  [6472] = 1141,
  [6473] = 6473,
  [6474] = 6474,
  [6475] = 6475,
  [6476] = 6476,
  [6477] = 2670,
  [6478] = 6478,
  [6479] = 6479,
  [6480] = 6480,
  [6481] = 6481,
  [6482] = 6482,
  [6483] = 6483,
  [6484] = 6484,
  [6485] = 6471,
  [6486] = 6486,
  [6487] = 6487,
  [6488] = 6488,
  [6489] = 6489,
  [6490] = 6490,
  [6491] = 6491,
  [6492] = 6492,
  [6493] = 6493,
  [6494] = 6481,
  [6495] = 6495,
  [6496] = 3530,
  [6497] = 6497,
  [6498] = 6482,
  [6499] = 6499,
  [6500] = 6500,
  [6501] = 4890,
  [6502] = 6502,
  [6503] = 6495,
  [6504] = 6504,
  [6505] = 6505,
  [6506] = 6506,
  [6507] = 6507,
  [6508] = 6508,
  [6509] = 6509,
  [6510] = 6510,
  [6511] = 6480,
  [6512] = 1127,
  [6513] = 6478,
  [6514] = 6514,
  [6515] = 6476,
  [6516] = 1143,
  [6517] = 6517,
  [6518] = 6473,
  [6519] = 6508,
  [6520] = 6490,
  [6521] = 6517,
  [6522] = 6504,
  [6523] = 6489,
  [6524] = 3540,
  [6525] = 6481,
  [6526] = 6526,
  [6527] = 6527,
  [6528] = 6495,
  [6529] = 6529,
  [6530] = 6471,
  [6531] = 6504,
  [6532] = 6509,
  [6533] = 6533,
  [6534] = 6508,
  [6535] = 6479,
  [6536] = 6526,
  [6537] = 6537,
  [6538] = 4888,
  [6539] = 6533,
  [6540] = 6526,
  [6541] = 6541,
  [6542] = 1142,
  [6543] = 6543,
  [6544] = 6544,
  [6545] = 6545,
  [6546] = 6546,
  [6547] = 6500,
  [6548] = 6548,
  [6549] = 6505,
  [6550] = 1100,
  [6551] = 1121,
  [6552] = 6546,
  [6553] = 6514,
  [6554] = 6554,
  [6555] = 6474,
  [6556] = 6556,
  [6557] = 1139,
  [6558] = 6558,
  [6559] = 6559,
  [6560] = 1119,
  [6561] = 6561,
  [6562] = 4889,
  [6563] = 6563,
  [6564] = 6564,
  [6565] = 337,
  [6566] = 6566,
  [6567] = 6567,
  [6568] = 6475,
  [6569] = 6569,
  [6570] = 6570,
  [6571] = 6571,
  [6572] = 6572,
  [6573] = 6544,
  [6574] = 6483,
  [6575] = 6484,
  [6576] = 6576,
  [6577] = 6577,
  [6578] = 6578,
  [6579] = 6579,
  [6580] = 6545,
  [6581] = 6486,
  [6582] = 6582,
  [6583] = 6487,
  [6584] = 6584,
  [6585] = 6579,
  [6586] = 6577,
  [6587] = 6576,
  [6588] = 6588,
  [6589] = 6589,
  [6590] = 6590,
  [6591] = 6558,
  [6592] = 6592,
  [6593] = 6509,
  [6594] = 6569,
  [6595] = 6559,
  [6596] = 6596,
  [6597] = 6597,
  [6598] = 6598,
  [6599] = 6545,
  [6600] = 6544,
  [6601] = 6601,
  [6602] = 6602,
  [6603] = 6514,
  [6604] = 6567,
  [6605] = 6554,
  [6606] = 6606,
  [6607] = 6582,
  [6608] = 6608,
  [6609] = 6491,
  [6610] = 6564,
  [6611] = 6611,
  [6612] = 6564,
  [6613] = 6613,
  [6614] = 6526,
  [6615] = 6606,
  [6616] = 6598,
  [6617] = 6508,
  [6618] = 6533,
  [6619] = 6495,
  [6620] = 6481,
  [6621] = 6569,
  [6622] = 6509,
  [6623] = 6570,
  [6624] = 6624,
  [6625] = 1136,
  [6626] = 6474,
  [6627] = 6475,
  [6628] = 6582,
  [6629] = 6554,
  [6630] = 6559,
  [6631] = 6558,
  [6632] = 1135,
  [6633] = 6633,
  [6634] = 6567,
  [6635] = 6483,
  [6636] = 6484,
  [6637] = 6546,
  [6638] = 6486,
  [6639] = 6487,
  [6640] = 6571,
  [6641] = 6572,
  [6642] = 6505,
  [6643] = 6500,
  [6644] = 6644,
  [6645] = 6506,
  [6646] = 6646,
  [6647] = 1134,
  [6648] = 6514,
  [6649] = 1133,
  [6650] = 1131,
  [6651] = 6651,
  [6652] = 6652,
  [6653] = 6653,
  [6654] = 6654,
  [6655] = 6655,
  [6656] = 3520,
  [6657] = 6657,
  [6658] = 1117,
  [6659] = 6606,
  [6660] = 6660,
  [6661] = 6661,
  [6662] = 1116,
  [6663] = 6506,
  [6664] = 6664,
  [6665] = 1130,
  [6666] = 6576,
  [6667] = 6577,
  [6668] = 1128,
  [6669] = 6669,
  [6670] = 6670,
  [6671] = 6671,
  [6672] = 6672,
  [6673] = 6673,
  [6674] = 6579,
  [6675] = 1125,
  [6676] = 6676,
  [6677] = 1184,
  [6678] = 6678,
  [6679] = 6679,
  [6680] = 6680,
  [6681] = 6507,
  [6682] = 1123,
  [6683] = 1122,
  [6684] = 1120,
  [6685] = 1115,
  [6686] = 6669,
  [6687] = 1112,
  [6688] = 6688,
  [6689] = 1105,
  [6690] = 6529,
  [6691] = 1183,
  [6692] = 6692,
  [6693] = 6564,
  [6694] = 1114,
  [6695] = 6695,
  [6696] = 6529,
  [6697] = 6697,
  [6698] = 6676,
  [6699] = 6699,
  [6700] = 6670,
  [6701] = 1113,
  [6702] = 1186,
  [6703] = 1104,
  [6704] = 1185,
  [6705] = 6479,
  [6706] = 6671,
  [6707] = 6514,
  [6708] = 6672,
  [6709] = 6709,
  [6710] = 6567,
  [6711] = 6711,
  [6712] = 6712,
  [6713] = 6713,
  [6714] = 6680,
  [6715] = 6543,
  [6716] = 6716,
  [6717] = 2541,
  [6718] = 2537,
  [6719] = 1048,
  [6720] = 6507,
  [6721] = 6597,
  [6722] = 6722,
  [6723] = 1098,
  [6724] = 6548,
  [6725] = 6537,
  [6726] = 1094,
  [6727] = 6727,
  [6728] = 6493,
  [6729] = 6711,
  [6730] = 6692,
  [6731] = 6688,
  [6732] = 6556,
  [6733] = 6563,
  [6734] = 3505,
  [6735] = 6735,
  [6736] = 6709,
  [6737] = 6737,
  [6738] = 6738,
  [6739] = 6739,
  [6740] = 1093,
  [6741] = 3502,
  [6742] = 1084,
  [6743] = 6579,
  [6744] = 6577,
  [6745] = 6576,
  [6746] = 1080,
  [6747] = 1169,
  [6748] = 1079,
  [6749] = 6678,
  [6750] = 6572,
  [6751] = 6567,
  [6752] = 3508,
  [6753] = 6598,
  [6754] = 6754,
  [6755] = 6571,
  [6756] = 6570,
  [6757] = 6673,
  [6758] = 6679,
  [6759] = 1132,
  [6760] = 6569,
  [6761] = 6554,
  [6762] = 1111,
  [6763] = 6582,
  [6764] = 1109,
  [6765] = 6765,
  [6766] = 6544,
  [6767] = 1108,
  [6768] = 1017,
  [6769] = 6545,
  [6770] = 6770,
  [6771] = 1018,
  [6772] = 6544,
  [6773] = 3536,
  [6774] = 6564,
  [6775] = 1077,
  [6776] = 6507,
  [6777] = 3507,
  [6778] = 6606,
  [6779] = 6506,
  [6780] = 1107,
  [6781] = 6563,
  [6782] = 3532,
  [6783] = 3534,
  [6784] = 6784,
  [6785] = 6785,
  [6786] = 6786,
  [6787] = 6490,
  [6788] = 6556,
  [6789] = 1076,
  [6790] = 6598,
  [6791] = 6506,
  [6792] = 6489,
  [6793] = 6793,
  [6794] = 6579,
  [6795] = 6795,
  [6796] = 6796,
  [6797] = 6543,
  [6798] = 1075,
  [6799] = 6799,
  [6800] = 6800,
  [6801] = 6533,
  [6802] = 1074,
  [6803] = 6526,
  [6804] = 6471,
  [6805] = 6488,
  [6806] = 6488,
  [6807] = 6487,
  [6808] = 6486,
  [6809] = 1007,
  [6810] = 6484,
  [6811] = 6483,
  [6812] = 1071,
  [6813] = 6509,
  [6814] = 6814,
  [6815] = 6815,
  [6816] = 6508,
  [6817] = 6497,
  [6818] = 6499,
  [6819] = 3537,
  [6820] = 1085,
  [6821] = 6716,
  [6822] = 1083,
  [6823] = 6823,
  [6824] = 6495,
  [6825] = 6481,
  [6826] = 6558,
  [6827] = 1008,
  [6828] = 1011,
  [6829] = 6475,
  [6830] = 3498,
  [6831] = 6831,
  [6832] = 6832,
  [6833] = 6727,
  [6834] = 6474,
  [6835] = 3535,
  [6836] = 1137,
  [6837] = 6504,
  [6838] = 6546,
  [6839] = 1138,
  [6840] = 6479,
  [6841] = 6841,
  [6842] = 6576,
  [6843] = 6471,
  [6844] = 6489,
  [6845] = 6845,
  [6846] = 6490,
  [6847] = 1103,
  [6848] = 1012,
  [6849] = 1044,
  [6850] = 1140,
  [6851] = 6851,
  [6852] = 6852,
  [6853] = 1159,
  [6854] = 6854,
  [6855] = 6855,
  [6856] = 6490,
  [6857] = 6505,
  [6858] = 6504,
  [6859] = 6514,
  [6860] = 1045,
  [6861] = 6861,
  [6862] = 6481,
  [6863] = 6495,
  [6864] = 1046,
  [6865] = 6500,
  [6866] = 6508,
  [6867] = 6489,
  [6868] = 1174,
  [6869] = 6869,
  [6870] = 6545,
  [6871] = 6871,
  [6872] = 6526,
  [6873] = 6479,
  [6874] = 1173,
  [6875] = 6474,
  [6876] = 6533,
  [6877] = 6497,
  [6878] = 6878,
  [6879] = 6670,
  [6880] = 6590,
  [6881] = 1172,
  [6882] = 1161,
  [6883] = 6474,
  [6884] = 6475,
  [6885] = 1047,
  [6886] = 6886,
  [6887] = 1144,
  [6888] = 6795,
  [6889] = 1089,
  [6890] = 1163,
  [6891] = 6544,
  [6892] = 6483,
  [6893] = 6475,
  [6894] = 6841,
  [6895] = 6895,
  [6896] = 6896,
  [6897] = 6484,
  [6898] = 1049,
  [6899] = 6545,
  [6900] = 3516,
  [6901] = 6901,
  [6902] = 6902,
  [6903] = 1146,
  [6904] = 6486,
  [6905] = 6487,
  [6906] = 6727,
  [6907] = 6559,
  [6908] = 6558,
  [6909] = 6909,
  [6910] = 6488,
  [6911] = 6911,
  [6912] = 6841,
  [6913] = 1148,
  [6914] = 6669,
  [6915] = 3514,
  [6916] = 6916,
  [6917] = 6917,
  [6918] = 6918,
  [6919] = 6671,
  [6920] = 6672,
  [6921] = 1164,
  [6922] = 6922,
  [6923] = 6845,
  [6924] = 6924,
  [6925] = 6902,
  [6926] = 6926,
  [6927] = 6927,
  [6928] = 6928,
  [6929] = 6929,
  [6930] = 6509,
  [6931] = 6657,
  [6932] = 6678,
  [6933] = 6679,
  [6934] = 6861,
  [6935] = 6902,
  [6936] = 1182,
  [6937] = 6569,
  [6938] = 1149,
  [6939] = 1102,
  [6940] = 6570,
  [6941] = 6861,
  [6942] = 1150,
  [6943] = 6841,
  [6944] = 1124,
  [6945] = 6506,
  [6946] = 6571,
  [6947] = 6895,
  [6948] = 6572,
  [6949] = 956,
  [6950] = 1054,
  [6951] = 6507,
  [6952] = 1059,
  [6953] = 1167,
  [6954] = 6576,
  [6955] = 6577,
  [6956] = 6579,
  [6957] = 6655,
  [6958] = 3519,
  [6959] = 6959,
  [6960] = 6577,
  [6961] = 1063,
  [6962] = 6795,
  [6963] = 6699,
  [6964] = 6688,
  [6965] = 6529,
  [6966] = 6692,
  [6967] = 6679,
  [6968] = 1064,
  [6969] = 303,
  [6970] = 333,
  [6971] = 6845,
  [6972] = 1171,
  [6973] = 6727,
  [6974] = 1015,
  [6975] = 6895,
  [6976] = 1170,
  [6977] = 6977,
  [6978] = 1065,
  [6979] = 6979,
  [6980] = 1066,
  [6981] = 6546,
  [6982] = 1067,
  [6983] = 1068,
  [6984] = 6692,
  [6985] = 6569,
  [6986] = 6986,
  [6987] = 1069,
  [6988] = 1072,
  [6989] = 4839,
  [6990] = 6483,
  [6991] = 6688,
  [6992] = 6597,
  [6993] = 3515,
  [6994] = 1181,
  [6995] = 6548,
  [6996] = 6537,
  [6997] = 1180,
  [6998] = 6998,
  [6999] = 6999,
  [7000] = 1020,
  [7001] = 1021,
  [7002] = 1179,
  [7003] = 6484,
  [7004] = 6493,
  [7005] = 7005,
  [7006] = 7006,
  [7007] = 7007,
  [7008] = 6499,
  [7009] = 6851,
  [7010] = 1073,
  [7011] = 6854,
  [7012] = 6505,
  [7013] = 6486,
  [7014] = 6487,
  [7015] = 3510,
  [7016] = 6712,
  [7017] = 1062,
  [7018] = 6699,
  [7019] = 3512,
  [7020] = 3549,
  [7021] = 1030,
  [7022] = 1029,
  [7023] = 6584,
  [7024] = 6500,
  [7025] = 6567,
  [7026] = 1019,
  [7027] = 6653,
  [7028] = 6713,
  [7029] = 6554,
  [7030] = 3511,
  [7031] = 6582,
  [7032] = 3548,
  [7033] = 6652,
  [7034] = 6564,
  [7035] = 6588,
  [7036] = 6606,
  [7037] = 6646,
  [7038] = 6598,
  [7039] = 6592,
  [7040] = 6529,
  [7041] = 6559,
  [7042] = 6861,
  [7043] = 6558,
  [7044] = 7044,
  [7045] = 1022,
  [7046] = 6572,
  [7047] = 6695,
  [7048] = 6602,
  [7049] = 6571,
  [7050] = 6739,
  [7051] = 1081,
  [7052] = 6546,
  [7053] = 1023,
  [7054] = 1024,
  [7055] = 7055,
  [7056] = 7056,
  [7057] = 6559,
  [7058] = 6800,
  [7059] = 6902,
  [7060] = 6497,
  [7061] = 6499,
  [7062] = 7062,
  [7063] = 6505,
  [7064] = 1025,
  [7065] = 7065,
  [7066] = 6841,
  [7067] = 6895,
  [7068] = 6500,
  [7069] = 1026,
  [7070] = 1028,
  [7071] = 1031,
  [7072] = 1032,
  [7073] = 7073,
  [7074] = 6727,
  [7075] = 7075,
  [7076] = 1175,
  [7077] = 6845,
  [7078] = 7078,
  [7079] = 6795,
  [7080] = 1152,
  [7081] = 1033,
  [7082] = 7082,
  [7083] = 6570,
  [7084] = 7084,
  [7085] = 1034,
  [7086] = 6488,
  [7087] = 6672,
  [7088] = 1035,
  [7089] = 6671,
  [7090] = 1086,
  [7091] = 6795,
  [7092] = 6738,
  [7093] = 7093,
  [7094] = 7094,
  [7095] = 1036,
  [7096] = 1153,
  [7097] = 6895,
  [7098] = 6845,
  [7099] = 1154,
  [7100] = 6727,
  [7101] = 6841,
  [7102] = 6670,
  [7103] = 1101,
  [7104] = 1037,
  [7105] = 1038,
  [7106] = 6902,
  [7107] = 7107,
  [7108] = 6909,
  [7109] = 6669,
  [7110] = 1040,
  [7111] = 6861,
  [7112] = 6670,
  [7113] = 1099,
  [7114] = 1041,
  [7115] = 6671,
  [7116] = 6672,
  [7117] = 6737,
  [7118] = 1097,
  [7119] = 7119,
  [7120] = 1042,
  [7121] = 6678,
  [7122] = 6679,
  [7123] = 6669,
  [7124] = 6493,
  [7125] = 1087,
  [7126] = 6499,
  [7127] = 6497,
  [7128] = 7128,
  [7129] = 6537,
  [7130] = 7130,
  [7131] = 6678,
  [7132] = 6548,
  [7133] = 1043,
  [7134] = 7134,
  [7135] = 6886,
  [7136] = 322,
  [7137] = 1050,
  [7138] = 7138,
  [7139] = 1096,
  [7140] = 1051,
  [7141] = 6493,
  [7142] = 1052,
  [7143] = 7143,
  [7144] = 6597,
  [7145] = 1088,
  [7146] = 6896,
  [7147] = 1165,
  [7148] = 6529,
  [7149] = 1095,
  [7150] = 1053,
  [7151] = 6537,
  [7152] = 1090,
  [7153] = 1091,
  [7154] = 1055,
  [7155] = 1056,
  [7156] = 1057,
  [7157] = 6548,
  [7158] = 1058,
  [7159] = 1060,
  [7160] = 6597,
  [7161] = 1092,
  [7162] = 6735,
  [7163] = 7163,
  [7164] = 7164,
  [7165] = 7165,
  [7166] = 7166,
  [7167] = 7167,
  [7168] = 7166,
  [7169] = 7166,
  [7170] = 7167,
  [7171] = 7171,
  [7172] = 7172,
  [7173] = 7173,
  [7174] = 7174,
  [7175] = 7175,
  [7176] = 7176,
  [7177] = 7165,
  [7178] = 7178,
  [7179] = 7173,
  [7180] = 7180,
  [7181] = 7181,
  [7182] = 7182,
  [7183] = 7183,
  [7184] = 7184,
  [7185] = 7185,
  [7186] = 7186,
  [7187] = 7187,
  [7188] = 7175,
  [7189] = 7167,
  [7190] = 7190,
  [7191] = 7191,
  [7192] = 7163,
  [7193] = 7193,
  [7194] = 7194,
  [7195] = 7176,
  [7196] = 7165,
  [7197] = 7197,
  [7198] = 7198,
  [7199] = 7199,
  [7200] = 7187,
  [7201] = 7201,
  [7202] = 7202,
  [7203] = 7203,
  [7204] = 7204,
  [7205] = 7201,
  [7206] = 7203,
  [7207] = 7199,
  [7208] = 7202,
  [7209] = 7199,
  [7210] = 7198,
  [7211] = 7173,
  [7212] = 7180,
  [7213] = 7213,
  [7214] = 7163,
  [7215] = 7197,
  [7216] = 7186,
  [7217] = 7217,
  [7218] = 7171,
  [7219] = 7193,
  [7220] = 7185,
  [7221] = 7184,
  [7222] = 7222,
  [7223] = 7223,
  [7224] = 7224,
  [7225] = 7193,
  [7226] = 7226,
  [7227] = 7227,
  [7228] = 7228,
  [7229] = 7229,
  [7230] = 7230,
  [7231] = 7231,
  [7232] = 7187,
  [7233] = 7233,
  [7234] = 7234,
  [7235] = 7235,
  [7236] = 7173,
  [7237] = 7201,
  [7238] = 7182,
  [7239] = 7165,
  [7240] = 7176,
  [7241] = 7175,
  [7242] = 7171,
  [7243] = 7243,
  [7244] = 7167,
  [7245] = 7166,
  [7246] = 7246,
  [7247] = 7247,
  [7248] = 7248,
  [7249] = 7249,
  [7250] = 7184,
  [7251] = 7185,
  [7252] = 7186,
  [7253] = 7253,
  [7254] = 7166,
  [7255] = 7255,
  [7256] = 7256,
  [7257] = 7257,
  [7258] = 7163,
  [7259] = 7259,
  [7260] = 7260,
  [7261] = 7261,
  [7262] = 7167,
  [7263] = 7203,
  [7264] = 7198,
  [7265] = 7199,
  [7266] = 7171,
  [7267] = 7201,
  [7268] = 7268,
  [7269] = 7198,
  [7270] = 7270,
  [7271] = 7271,
  [7272] = 7203,
  [7273] = 7273,
  [7274] = 7202,
  [7275] = 7275,
  [7276] = 7249,
  [7277] = 7277,
  [7278] = 7278,
  [7279] = 7278,
  [7280] = 7277,
  [7281] = 7197,
  [7282] = 7282,
  [7283] = 7187,
  [7284] = 7284,
  [7285] = 7193,
  [7286] = 7286,
  [7287] = 7287,
  [7288] = 7275,
  [7289] = 7164,
  [7290] = 7290,
  [7291] = 7291,
  [7292] = 7292,
  [7293] = 7293,
  [7294] = 7294,
  [7295] = 7295,
  [7296] = 7295,
  [7297] = 7291,
  [7298] = 7187,
  [7299] = 7299,
  [7300] = 7290,
  [7301] = 7259,
  [7302] = 7286,
  [7303] = 7303,
  [7304] = 7284,
  [7305] = 7294,
  [7306] = 7303,
  [7307] = 7307,
  [7308] = 7282,
  [7309] = 7182,
  [7310] = 7293,
  [7311] = 7311,
  [7312] = 7185,
  [7313] = 7186,
  [7314] = 7292,
  [7315] = 7315,
  [7316] = 7316,
  [7317] = 7163,
  [7318] = 7202,
  [7319] = 7198,
  [7320] = 7273,
  [7321] = 7201,
  [7322] = 7322,
  [7323] = 7311,
  [7324] = 7231,
  [7325] = 7203,
  [7326] = 7233,
  [7327] = 7202,
  [7328] = 7328,
  [7329] = 7197,
  [7330] = 7271,
  [7331] = 7315,
  [7332] = 7193,
  [7333] = 7197,
  [7334] = 7175,
  [7335] = 7176,
  [7336] = 7336,
  [7337] = 7270,
  [7338] = 7165,
  [7339] = 7316,
  [7340] = 7340,
  [7341] = 7260,
  [7342] = 7178,
  [7343] = 7328,
  [7344] = 7248,
  [7345] = 7202,
  [7346] = 7346,
  [7347] = 7203,
  [7348] = 7173,
  [7349] = 7349,
  [7350] = 7350,
  [7351] = 7346,
  [7352] = 7180,
  [7353] = 7349,
  [7354] = 7166,
  [7355] = 7355,
  [7356] = 7175,
  [7357] = 7257,
  [7358] = 7167,
  [7359] = 7256,
  [7360] = 7171,
  [7361] = 7361,
  [7362] = 7201,
  [7363] = 7346,
  [7364] = 7364,
  [7365] = 7255,
  [7366] = 7366,
  [7367] = 7199,
  [7368] = 7198,
  [7369] = 7366,
  [7370] = 7175,
  [7371] = 7349,
  [7372] = 7176,
  [7373] = 7165,
  [7374] = 7197,
  [7375] = 7349,
  [7376] = 7346,
  [7377] = 7377,
  [7378] = 7186,
  [7379] = 7185,
  [7380] = 7184,
  [7381] = 7247,
  [7382] = 7173,
  [7383] = 7226,
  [7384] = 7253,
  [7385] = 7231,
  [7386] = 7294,
  [7387] = 7287,
  [7388] = 7246,
  [7389] = 7299,
  [7390] = 7322,
  [7391] = 7391,
  [7392] = 7282,
  [7393] = 7284,
  [7394] = 7295,
  [7395] = 7350,
  [7396] = 7259,
  [7397] = 7290,
  [7398] = 7391,
  [7399] = 7399,
  [7400] = 7400,
  [7401] = 7364,
  [7402] = 7402,
  [7403] = 7243,
  [7404] = 7176,
  [7405] = 7405,
  [7406] = 7233,
  [7407] = 7407,
  [7408] = 7408,
  [7409] = 7293,
  [7410] = 7292,
  [7411] = 7411,
  [7412] = 7164,
  [7413] = 7413,
  [7414] = 7233,
  [7415] = 7231,
  [7416] = 7416,
  [7417] = 7278,
  [7418] = 7277,
  [7419] = 7233,
  [7420] = 7231,
  [7421] = 7377,
  [7422] = 7171,
  [7423] = 7328,
  [7424] = 7235,
  [7425] = 7316,
  [7426] = 7315,
  [7427] = 7311,
  [7428] = 7303,
  [7429] = 7429,
  [7430] = 7275,
  [7431] = 7273,
  [7432] = 7271,
  [7433] = 7270,
  [7434] = 7233,
  [7435] = 7231,
  [7436] = 7260,
  [7437] = 7257,
  [7438] = 7286,
  [7439] = 7256,
  [7440] = 7193,
  [7441] = 7233,
  [7442] = 7231,
  [7443] = 7255,
  [7444] = 7243,
  [7445] = 7246,
  [7446] = 7247,
  [7447] = 7248,
  [7448] = 7448,
  [7449] = 7249,
  [7450] = 7450,
  [7451] = 7451,
  [7452] = 7291,
  [7453] = 7233,
  [7454] = 7231,
  [7455] = 7455,
  [7456] = 7456,
  [7457] = 7166,
  [7458] = 7255,
  [7459] = 7459,
  [7460] = 7163,
  [7461] = 7456,
  [7462] = 7462,
  [7463] = 7233,
  [7464] = 7231,
  [7465] = 7361,
  [7466] = 7336,
  [7467] = 7256,
  [7468] = 7167,
  [7469] = 7257,
  [7470] = 7171,
  [7471] = 7234,
  [7472] = 7260,
  [7473] = 7171,
  [7474] = 7270,
  [7475] = 7167,
  [7476] = 7271,
  [7477] = 7273,
  [7478] = 7275,
  [7479] = 7456,
  [7480] = 7277,
  [7481] = 7278,
  [7482] = 7249,
  [7483] = 7182,
  [7484] = 7484,
  [7485] = 7166,
  [7486] = 7167,
  [7487] = 7235,
  [7488] = 7175,
  [7489] = 7176,
  [7490] = 7165,
  [7491] = 7233,
  [7492] = 7186,
  [7493] = 7185,
  [7494] = 7405,
  [7495] = 7231,
  [7496] = 7164,
  [7497] = 7175,
  [7498] = 7173,
  [7499] = 7248,
  [7500] = 7176,
  [7501] = 7247,
  [7502] = 7246,
  [7503] = 7182,
  [7504] = 7243,
  [7505] = 7166,
  [7506] = 7165,
  [7507] = 7507,
  [7508] = 7292,
  [7509] = 7293,
  [7510] = 7294,
  [7511] = 7184,
  [7512] = 7235,
  [7513] = 7405,
  [7514] = 7361,
  [7515] = 7173,
  [7516] = 7366,
  [7517] = 7180,
  [7518] = 7295,
  [7519] = 7507,
  [7520] = 7291,
  [7521] = 7231,
  [7522] = 7233,
  [7523] = 7226,
  [7524] = 7253,
  [7525] = 7290,
  [7526] = 7259,
  [7527] = 7287,
  [7528] = 7286,
  [7529] = 7299,
  [7530] = 7322,
  [7531] = 7391,
  [7532] = 7532,
  [7533] = 7364,
  [7534] = 7534,
  [7535] = 7377,
  [7536] = 7303,
  [7537] = 7311,
  [7538] = 7538,
  [7539] = 7235,
  [7540] = 7175,
  [7541] = 7284,
  [7542] = 7176,
  [7543] = 7282,
  [7544] = 7165,
  [7545] = 7171,
  [7546] = 7235,
  [7547] = 7315,
  [7548] = 7405,
  [7549] = 7361,
  [7550] = 7243,
  [7551] = 7246,
  [7552] = 7316,
  [7553] = 7233,
  [7554] = 7316,
  [7555] = 7231,
  [7556] = 7556,
  [7557] = 7226,
  [7558] = 7253,
  [7559] = 7315,
  [7560] = 7247,
  [7561] = 7287,
  [7562] = 7248,
  [7563] = 7299,
  [7564] = 7322,
  [7565] = 7391,
  [7566] = 7328,
  [7567] = 7364,
  [7568] = 7303,
  [7569] = 7377,
  [7570] = 7235,
  [7571] = 4897,
  [7572] = 7233,
  [7573] = 7573,
  [7574] = 7231,
  [7575] = 7311,
  [7576] = 7405,
  [7577] = 7361,
  [7578] = 7315,
  [7579] = 7350,
  [7580] = 7316,
  [7581] = 7581,
  [7582] = 7328,
  [7583] = 7346,
  [7584] = 7349,
  [7585] = 7226,
  [7586] = 7253,
  [7587] = 7182,
  [7588] = 7350,
  [7589] = 7287,
  [7590] = 7538,
  [7591] = 7299,
  [7592] = 7322,
  [7593] = 7391,
  [7594] = 7350,
  [7595] = 7364,
  [7596] = 7255,
  [7597] = 7377,
  [7598] = 7256,
  [7599] = 7257,
  [7600] = 7260,
  [7601] = 7405,
  [7602] = 7361,
  [7603] = 7270,
  [7604] = 7271,
  [7605] = 7173,
  [7606] = 7273,
  [7607] = 7275,
  [7608] = 7226,
  [7609] = 7253,
  [7610] = 7277,
  [7611] = 7287,
  [7612] = 7278,
  [7613] = 7299,
  [7614] = 7322,
  [7615] = 7366,
  [7616] = 7364,
  [7617] = 7377,
  [7618] = 7366,
  [7619] = 7164,
  [7620] = 7292,
  [7621] = 7462,
  [7622] = 7459,
  [7623] = 7293,
  [7624] = 7294,
  [7625] = 7507,
  [7626] = 7295,
  [7627] = 7182,
  [7628] = 7462,
  [7629] = 7459,
  [7630] = 7291,
  [7631] = 7507,
  [7632] = 7290,
  [7633] = 7462,
  [7634] = 7459,
  [7635] = 7259,
  [7636] = 7507,
  [7637] = 7286,
  [7638] = 7462,
  [7639] = 7459,
  [7640] = 7180,
  [7641] = 7507,
  [7642] = 7284,
  [7643] = 7462,
  [7644] = 7459,
  [7645] = 7282,
  [7646] = 7646,
};

static inline bool anon_sym_BANG_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < 11
        ? c == '\t'
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 8287
      ? (c < 8239
        ? (c >= 8232 && c <= 8233)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool aux_sym_jsx_text_token1_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 5760
      ? (c < 160
        ? (c >= '\t' && c <= '\r')
        : c <= 160)
      : (c <= 5760 || (c >= 8192 && c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool aux_sym_jsx_text_token1_character_set_2(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < 11
        ? c == '\t'
        : c <= '\r')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_unescaped_double_string_fragment_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\f')
        : c <= ' ')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_unescaped_double_string_fragment_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < 11
        ? c == '\t'
        : c <= '\f')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 8287
      ? (c < 8239
        ? (c >= 8232 && c <= 8233)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '{' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < 0
        ? c == 0
        : c <= '~')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 5760
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '{'
        ? (c >= '[' && c <= '`')
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 5760
    ? (c < '`'
      ? (c < 0
        ? c == 0
        : (c <= '@' || (c >= '[' && c <= '^')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_6(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '|' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_private_property_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '^' || (c < '{'
        ? c == '`'
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(408);
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(34);
      if (lookahead == '$') ADVANCE(1024);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(565);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(569);
      if (lookahead == '.') ADVANCE(496);
      if (lookahead == '/') ADVANCE(620);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(1044);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(341);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(802);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(771);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(886);
      if (lookahead == 'f') ADVANCE(872);
      if (lookahead == 'g') ADVANCE(892);
      if (lookahead == 'i') ADVANCE(901);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(772);
      if (lookahead == 'o') ADVANCE(807);
      if (lookahead == 'r') ADVANCE(831);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(781);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(431);
      if (lookahead == '|') ADVANCE(558);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(669);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(397)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(1033);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(65)
      if (lookahead == ' ') ADVANCE(1);
      if (lookahead == '&') ADVANCE(61);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '{') ADVANCE(430);
      if (aux_sym_jsx_text_token1_character_set_1(lookahead)) ADVANCE(484);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(483);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(2)
      if (lookahead == '/') ADVANCE(477);
      if (lookahead == '<') ADVANCE(479);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(478);
      if (lookahead != 0) ADVANCE(476);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(86)
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '[') ADVANCE(136);
      if (lookahead == '\\') ADVANCE(396);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(621);
      if (lookahead != 0) ADVANCE(622);
      END_STATE();
    case 4:
      if (lookahead == ' ') ADVANCE(4);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(483);
      END_STATE();
    case 5:
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(485);
      if (lookahead == '\n' ||
          lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(71);
      if (lookahead != 0) ADVANCE(486);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(496);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(1044);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(915);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(890);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(912);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(742);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(6)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(1033);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(496);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(1044);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(802);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(912);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(772);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == '{') ADVANCE(431);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(739);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(7)
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != ';' &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(1033);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(1044);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(916);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(747);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(8)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1033);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(1044);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(916);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(748);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(9)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1033);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(75);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(915);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(890);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(912);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(807);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(741);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(10)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(1033);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(75);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(915);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(890);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(902);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(743);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(11)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ';' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(1033);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '%') ADVANCE(572);
      if (lookahead == '&') ADVANCE(553);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '?') ADVANCE(76);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '^') ADVANCE(554);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(915);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(890);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(912);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(559);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(742);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(12)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(1033);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '%') ADVANCE(572);
      if (lookahead == '&') ADVANCE(553);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '?') ADVANCE(76);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(554);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(915);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(890);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(912);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(807);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(559);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(741);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(13)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(1033);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '%') ADVANCE(572);
      if (lookahead == '&') ADVANCE(553);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '=') ADVANCE(420);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '?') ADVANCE(76);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(554);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(802);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(798);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(911);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(559);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(736);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(14)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(1033);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '%') ADVANCE(572);
      if (lookahead == '&') ADVANCE(553);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '=') ADVANCE(420);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '?') ADVANCE(76);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(554);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(802);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(798);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(911);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(559);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(737);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(15)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(1033);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '%') ADVANCE(572);
      if (lookahead == '&') ADVANCE(553);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '?') ADVANCE(76);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(554);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(915);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(890);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(902);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(559);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(743);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(16)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ';' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(1033);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(1044);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(803);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 'n') ADVANCE(830);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == '{') ADVANCE(431);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(745);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(17)
      if (lookahead != 0 &&
          lookahead > '#' &&
          lookahead != '@' &&
          lookahead != '~') ADVANCE(1033);
      END_STATE();
    case 18:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(1044);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(977);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 's') ADVANCE(778);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(792);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(18)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '0' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(1033);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(1044);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(803);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 'n') ADVANCE(830);
      if (lookahead == 'o') ADVANCE(807);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == '{') ADVANCE(431);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(744);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(19)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(1033);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(1044);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(803);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(907);
      if (lookahead == 'n') ADVANCE(830);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == '{') ADVANCE(431);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(746);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(20)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(1033);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(75);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(977);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 'o') ADVANCE(861);
      if (lookahead == 's') ADVANCE(778);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(791);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(21)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(1033);
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(75);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(977);
      if (lookahead == 'i') ADVANCE(907);
      if (lookahead == 's') ADVANCE(778);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(793);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(22)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(1033);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(1044);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(916);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(775);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(23)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1033);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(1044);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(313);
      if (lookahead == 'e') ADVANCE(354);
      if (lookahead == 'f') ADVANCE(302);
      if (lookahead == 'i') ADVANCE(258);
      if (lookahead == 'o') ADVANCE(209);
      if (lookahead == 's') ADVANCE(143);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(558);
      if (lookahead == '}') ADVANCE(433);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(24)
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(75);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(916);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(807);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(774);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(25)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1033);
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(75);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(916);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(907);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(776);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(26)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(1033);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '%') ADVANCE(572);
      if (lookahead == '&') ADVANCE(553);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(581);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '?') ADVANCE(76);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '^') ADVANCE(554);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(643);
      if (lookahead == 'i') ADVANCE(638);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == '{') ADVANCE(431);
      if (lookahead == '|') ADVANCE(559);
      if (lookahead == '}') ADVANCE(433);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '%') ADVANCE(572);
      if (lookahead == '&') ADVANCE(553);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(581);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '?') ADVANCE(76);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '^') ADVANCE(554);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(313);
      if (lookahead == 'i') ADVANCE(265);
      if (lookahead == 's') ADVANCE(143);
      if (lookahead == '{') ADVANCE(431);
      if (lookahead == '|') ADVANCE(559);
      if (lookahead == '}') ADVANCE(433);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '%') ADVANCE(572);
      if (lookahead == '&') ADVANCE(553);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(581);
      if (lookahead == '=') ADVANCE(420);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '?') ADVANCE(1045);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '^') ADVANCE(554);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(313);
      if (lookahead == 'e') ADVANCE(234);
      if (lookahead == 'i') ADVANCE(259);
      if (lookahead == 'o') ADVANCE(209);
      if (lookahead == 's') ADVANCE(143);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(560);
      if (lookahead == '}') ADVANCE(433);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(29)
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '%') ADVANCE(572);
      if (lookahead == '&') ADVANCE(553);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(581);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '?') ADVANCE(76);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '^') ADVANCE(554);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(643);
      if (lookahead == 'i') ADVANCE(638);
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == '|') ADVANCE(559);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(31)
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '%') ADVANCE(572);
      if (lookahead == '&') ADVANCE(553);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(581);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '?') ADVANCE(76);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '^') ADVANCE(554);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(313);
      if (lookahead == 'i') ADVANCE(265);
      if (lookahead == 'o') ADVANCE(209);
      if (lookahead == 's') ADVANCE(143);
      if (lookahead == '|') ADVANCE(559);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(31)
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '%') ADVANCE(572);
      if (lookahead == '&') ADVANCE(553);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '<') ADVANCE(581);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '?') ADVANCE(76);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '^') ADVANCE(554);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(643);
      if (lookahead == 'i') ADVANCE(636);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(559);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(33)
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '%') ADVANCE(572);
      if (lookahead == '&') ADVANCE(553);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '<') ADVANCE(581);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '?') ADVANCE(76);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '^') ADVANCE(554);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(313);
      if (lookahead == 'i') ADVANCE(258);
      if (lookahead == 's') ADVANCE(143);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(559);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(33)
      END_STATE();
    case 34:
      if (lookahead == '!') ADVANCE(409);
      if (lookahead == '\\') ADVANCE(347);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1035);
      END_STATE();
    case 35:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '?') ADVANCE(1042);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(914);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(772);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == '{') ADVANCE(431);
      if (lookahead == '|') ADVANCE(556);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(761);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(35)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}') ADVANCE(1033);
      END_STATE();
    case 36:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(374);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '>') ADVANCE(491);
      if (lookahead == '?') ADVANCE(1042);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(917);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(890);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1016);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(914);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(561);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(768);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(36)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '=' < lookahead) &&
          lookahead != '^') ADVANCE(1033);
      END_STATE();
    case 37:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(496);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(917);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(890);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(914);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(767);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(37)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1033);
      END_STATE();
    case 38:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '+') ADVANCE(562);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(566);
      if (lookahead == '.') ADVANCE(496);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '=') ADVANCE(419);
      if (lookahead == '?') ADVANCE(1042);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(805);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(367);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(769);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(38)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(1033);
      END_STATE();
    case 39:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '=') ADVANCE(422);
      if (lookahead == '?') ADVANCE(1042);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(918);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(367);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(770);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(39)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(1033);
      END_STATE();
    case 40:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(798);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(755);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(40)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1033);
      END_STATE();
    case 41:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(798);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(757);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(41)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1033);
      END_STATE();
    case 42:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(374);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(771);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(752);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(42)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1033);
      END_STATE();
    case 43:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(374);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(771);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(753);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(43)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1033);
      END_STATE();
    case 44:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(374);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(798);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(754);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(44)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1033);
      END_STATE();
    case 45:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(374);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(798);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(756);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(45)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1033);
      END_STATE();
    case 46:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(374);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(917);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(914);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(766);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(46)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1033);
      END_STATE();
    case 47:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(374);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(760);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(47)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1033);
      END_STATE();
    case 48:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(620);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '=') ADVANCE(422);
      if (lookahead == '>') ADVANCE(491);
      if (lookahead == '?') ADVANCE(1042);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(160);
      if (lookahead == 'c') ADVANCE(237);
      if (lookahead == 'd') ADVANCE(181);
      if (lookahead == 'e') ADVANCE(233);
      if (lookahead == 'f') ADVANCE(343);
      if (lookahead == 'i') ADVANCE(253);
      if (lookahead == 'l') ADVANCE(193);
      if (lookahead == 'm') ADVANCE(278);
      if (lookahead == 'n') ADVANCE(139);
      if (lookahead == 't') ADVANCE(358);
      if (lookahead == 'v') ADVANCE(146);
      if (lookahead == 'w') ADVANCE(217);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(561);
      if (lookahead == '}') ADVANCE(433);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(49)
      END_STATE();
    case 49:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '=') ADVANCE(422);
      if (lookahead == '>') ADVANCE(491);
      if (lookahead == '?') ADVANCE(1042);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(160);
      if (lookahead == 'c') ADVANCE(237);
      if (lookahead == 'd') ADVANCE(181);
      if (lookahead == 'e') ADVANCE(233);
      if (lookahead == 'f') ADVANCE(343);
      if (lookahead == 'i') ADVANCE(253);
      if (lookahead == 'l') ADVANCE(193);
      if (lookahead == 'm') ADVANCE(278);
      if (lookahead == 'n') ADVANCE(139);
      if (lookahead == 't') ADVANCE(358);
      if (lookahead == 'v') ADVANCE(146);
      if (lookahead == 'w') ADVANCE(217);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(561);
      if (lookahead == '}') ADVANCE(433);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(49)
      END_STATE();
    case 50:
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '=') ADVANCE(422);
      if (lookahead == '>') ADVANCE(491);
      if (lookahead == '?') ADVANCE(1043);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(161);
      if (lookahead == 'c') ADVANCE(236);
      if (lookahead == 'e') ADVANCE(353);
      if (lookahead == 'i') ADVANCE(266);
      if (lookahead == 'o') ADVANCE(209);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(561);
      if (lookahead == '}') ADVANCE(433);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(50)
      END_STATE();
    case 51:
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '?') ADVANCE(74);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(1027);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(51)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(1033);
      END_STATE();
    case 52:
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '+') ADVANCE(562);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(566);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '?') ADVANCE(1042);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(806);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(942);
      if (lookahead == 'n') ADVANCE(830);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == '{') ADVANCE(431);
      if (lookahead == '|') ADVANCE(556);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(750);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(52)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(1033);
      END_STATE();
    case 53:
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '+') ADVANCE(562);
      if (lookahead == '-') ADVANCE(566);
      if (lookahead == '.') ADVANCE(374);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '>') ADVANCE(491);
      if (lookahead == '?') ADVANCE(1042);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(806);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(914);
      if (lookahead == 'n') ADVANCE(830);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == '{') ADVANCE(431);
      if (lookahead == '|') ADVANCE(556);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(749);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(53)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(1033);
      END_STATE();
    case 54:
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '+') ADVANCE(562);
      if (lookahead == '-') ADVANCE(566);
      if (lookahead == '.') ADVANCE(374);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '?') ADVANCE(1042);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(673);
      if (lookahead == 'b') ADVANCE(713);
      if (lookahead == 'c') ADVANCE(711);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(674);
      if (lookahead == 'r') ADVANCE(683);
      if (lookahead == 's') ADVANCE(723);
      if (lookahead == 'u') ADVANCE(700);
      if (lookahead == 'v') ADVANCE(708);
      if (lookahead == '{') ADVANCE(431);
      if (lookahead == '|') ADVANCE(556);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(751);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(54)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(1033);
      END_STATE();
    case 55:
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '&') ADVANCE(61);
      if (lookahead == '/') ADVANCE(503);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(506);
      if (lookahead != 0) ADVANCE(507);
      END_STATE();
    case 56:
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '?') ADVANCE(74);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(998);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(56)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(1033);
      END_STATE();
    case 57:
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'f') ADVANCE(965);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(865);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(57)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(1033);
      END_STATE();
    case 58:
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(977);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(794);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(58)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1033);
      END_STATE();
    case 59:
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '/') ADVANCE(68);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(59)
      END_STATE();
    case 60:
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '/') ADVANCE(601);
      if (lookahead == '\\') ADVANCE(350);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(59)
      if (sym_unescaped_double_string_fragment_character_set_1(lookahead)) ADVANCE(604);
      if (lookahead != 0) ADVANCE(605);
      END_STATE();
    case 61:
      if (lookahead == '#') ADVANCE(370);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 62:
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '=') ADVANCE(422);
      if (lookahead == '>') ADVANCE(491);
      if (lookahead == '?') ADVANCE(1042);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(313);
      if (lookahead == 'e') ADVANCE(234);
      if (lookahead == 'f') ADVANCE(302);
      if (lookahead == 'i') ADVANCE(267);
      if (lookahead == 'o') ADVANCE(209);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(556);
      if (lookahead == '}') ADVANCE(433);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(62)
      END_STATE();
    case 63:
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '=') ADVANCE(419);
      if (lookahead == '>') ADVANCE(491);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(732);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(556);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(842);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(63)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(1033);
      END_STATE();
    case 64:
      if (lookahead == '&') ADVANCE(61);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '/') ADVANCE(509);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(512);
      if (lookahead != 0) ADVANCE(513);
      END_STATE();
    case 65:
      if (lookahead == '&') ADVANCE(61);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '\n' ||
          lookahead == ' ') SKIP(65)
      if (aux_sym_jsx_text_token1_character_set_1(lookahead)) ADVANCE(484);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(483);
      END_STATE();
    case 66:
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '/') ADVANCE(68);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(66)
      END_STATE();
    case 67:
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '/') ADVANCE(606);
      if (lookahead == '\\') ADVANCE(350);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(66)
      if (sym_unescaped_double_string_fragment_character_set_1(lookahead)) ADVANCE(609);
      if (lookahead != 0) ADVANCE(610);
      END_STATE();
    case 68:
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '/') ADVANCE(617);
      END_STATE();
    case 69:
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '/') ADVANCE(617);
      if (lookahead == '>') ADVANCE(499);
      END_STATE();
    case 70:
      if (lookahead == '*') ADVANCE(70);
      if (lookahead == '/') ADVANCE(616);
      if (lookahead != 0) ADVANCE(71);
      END_STATE();
    case 71:
      if (lookahead == '*') ADVANCE(70);
      if (lookahead != 0) ADVANCE(71);
      END_STATE();
    case 72:
      if (lookahead == '+') ADVANCE(133);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(134);
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '?') ADVANCE(90);
      if (lookahead == 'e') ADVANCE(354);
      if (lookahead == '{') ADVANCE(431);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(72)
      END_STATE();
    case 73:
      if (lookahead == '.') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(667);
      END_STATE();
    case 74:
      if (lookahead == '.') ADVANCE(521);
      END_STATE();
    case 75:
      if (lookahead == '.') ADVANCE(521);
      if (lookahead == '?') ADVANCE(591);
      END_STATE();
    case 76:
      if (lookahead == '.') ADVANCE(521);
      if (lookahead == '?') ADVANCE(590);
      END_STATE();
    case 77:
      if (lookahead == '.') ADVANCE(540);
      END_STATE();
    case 78:
      if (lookahead == '.') ADVANCE(495);
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '=') ADVANCE(419);
      if (lookahead == '>') ADVANCE(491);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(1026);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(78)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(1033);
      END_STATE();
    case 79:
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(1018);
      if (lookahead == 'i') ADVANCE(908);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(844);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(79)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(1033);
      END_STATE();
    case 80:
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '>') ADVANCE(491);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(942);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(818);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(80)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1033);
      END_STATE();
    case 81:
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(921);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(857);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(81)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(1033);
      END_STATE();
    case 82:
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(918);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(782);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(82)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1033);
      END_STATE();
    case 83:
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(919);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'n') ADVANCE(843);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(796);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(83)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1033);
      END_STATE();
    case 84:
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(914);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(875);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(84)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1033);
      END_STATE();
    case 85:
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(859);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(972);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(85)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1033);
      END_STATE();
    case 86:
      if (lookahead == '/') ADVANCE(68);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(86)
      END_STATE();
    case 87:
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '>') ADVANCE(491);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(711);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(814);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(87)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(1033);
      END_STATE();
    case 88:
      if (lookahead == ':') ADVANCE(1089);
      END_STATE();
    case 89:
      if (lookahead == ':') ADVANCE(1088);
      END_STATE();
    case 90:
      if (lookahead == ':') ADVANCE(1090);
      END_STATE();
    case 91:
      if (lookahead == ';') ADVANCE(490);
      END_STATE();
    case 92:
      if (lookahead == ';') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(91);
      END_STATE();
    case 93:
      if (lookahead == ';') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(92);
      END_STATE();
    case 94:
      if (lookahead == ';') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(93);
      END_STATE();
    case 95:
      if (lookahead == ';') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      END_STATE();
    case 96:
      if (lookahead == ';') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 97:
      if (lookahead == ';') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(96);
      END_STATE();
    case 98:
      if (lookahead == ';') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(97);
      END_STATE();
    case 99:
      if (lookahead == ';') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(98);
      END_STATE();
    case 100:
      if (lookahead == ';') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 101:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(91);
      END_STATE();
    case 102:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(101);
      END_STATE();
    case 103:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(102);
      END_STATE();
    case 104:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(103);
      END_STATE();
    case 105:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 106:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(105);
      END_STATE();
    case 107:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(106);
      END_STATE();
    case 108:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(107);
      END_STATE();
    case 109:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(108);
      END_STATE();
    case 110:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(109);
      END_STATE();
    case 111:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(110);
      END_STATE();
    case 112:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      END_STATE();
    case 113:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 114:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(113);
      END_STATE();
    case 115:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(114);
      END_STATE();
    case 116:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 117:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(116);
      END_STATE();
    case 118:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(117);
      END_STATE();
    case 119:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(118);
      END_STATE();
    case 120:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(119);
      END_STATE();
    case 121:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(120);
      END_STATE();
    case 122:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(121);
      END_STATE();
    case 123:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(122);
      END_STATE();
    case 124:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(123);
      END_STATE();
    case 125:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 126:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(125);
      END_STATE();
    case 127:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 128:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(127);
      END_STATE();
    case 129:
      if (lookahead == ';') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 130:
      if (lookahead == '=') ADVANCE(585);
      END_STATE();
    case 131:
      if (lookahead == '>') ADVANCE(480);
      END_STATE();
    case 132:
      if (lookahead == '>') ADVANCE(481);
      END_STATE();
    case 133:
      if (lookahead == '?') ADVANCE(88);
      END_STATE();
    case 134:
      if (lookahead == '?') ADVANCE(89);
      END_STATE();
    case 135:
      if (lookahead == '\\') ADVANCE(347);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1035);
      END_STATE();
    case 136:
      if (lookahead == '\\') ADVANCE(395);
      if (lookahead == ']') ADVANCE(622);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(136);
      END_STATE();
    case 137:
      if (lookahead == 'a') ADVANCE(331);
      END_STATE();
    case 138:
      if (lookahead == 'a') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(145);
      if (lookahead == 'o') ADVANCE(277);
      END_STATE();
    case 139:
      if (lookahead == 'a') ADVANCE(256);
      END_STATE();
    case 140:
      if (lookahead == 'a') ADVANCE(256);
      if (lookahead == 'e') ADVANCE(351);
      if (lookahead == 'u') ADVANCE(254);
      END_STATE();
    case 141:
      if (lookahead == 'a') ADVANCE(177);
      if (lookahead == 'q') ADVANCE(345);
      END_STATE();
    case 142:
      if (lookahead == 'a') ADVANCE(297);
      if (lookahead == 'y') ADVANCE(293);
      END_STATE();
    case 143:
      if (lookahead == 'a') ADVANCE(333);
      END_STATE();
    case 144:
      if (lookahead == 'a') ADVANCE(333);
      if (lookahead == 't') ADVANCE(303);
      if (lookahead == 'y') ADVANCE(255);
      END_STATE();
    case 145:
      if (lookahead == 'a') ADVANCE(316);
      END_STATE();
    case 146:
      if (lookahead == 'a') ADVANCE(298);
      END_STATE();
    case 147:
      if (lookahead == 'a') ADVANCE(298);
      if (lookahead == 'o') ADVANCE(220);
      END_STATE();
    case 148:
      if (lookahead == 'a') ADVANCE(222);
      END_STATE();
    case 149:
      if (lookahead == 'a') ADVANCE(240);
      END_STATE();
    case 150:
      if (lookahead == 'a') ADVANCE(230);
      END_STATE();
    case 151:
      if (lookahead == 'a') ADVANCE(307);
      END_STATE();
    case 152:
      if (lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 153:
      if (lookahead == 'a') ADVANCE(262);
      END_STATE();
    case 154:
      if (lookahead == 'a') ADVANCE(344);
      END_STATE();
    case 155:
      if (lookahead == 'a') ADVANCE(171);
      END_STATE();
    case 156:
      if (lookahead == 'a') ADVANCE(169);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(172);
      END_STATE();
    case 158:
      if (lookahead == 'a') ADVANCE(339);
      END_STATE();
    case 159:
      if (lookahead == 'b') ADVANCE(317);
      if (lookahead == 'n') ADVANCE(355);
      if (lookahead == 's') ADVANCE(426);
      if (lookahead == 'w') ADVANCE(148);
      END_STATE();
    case 160:
      if (lookahead == 'b') ADVANCE(317);
      if (lookahead == 's') ADVANCE(426);
      END_STATE();
    case 161:
      if (lookahead == 'b') ADVANCE(317);
      if (lookahead == 's') ADVANCE(423);
      END_STATE();
    case 162:
      if (lookahead == 'b') ADVANCE(228);
      END_STATE();
    case 163:
      if (lookahead == 'b') ADVANCE(150);
      END_STATE();
    case 164:
      if (lookahead == 'b') ADVANCE(286);
      END_STATE();
    case 165:
      if (lookahead == 'b') ADVANCE(200);
      END_STATE();
    case 166:
      if (lookahead == 'c') ADVANCE(516);
      END_STATE();
    case 167:
      if (lookahead == 'c') ADVANCE(215);
      END_STATE();
    case 168:
      if (lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(330);
      END_STATE();
    case 170:
      if (lookahead == 'c') ADVANCE(201);
      END_STATE();
    case 171:
      if (lookahead == 'c') ADVANCE(191);
      END_STATE();
    case 172:
      if (lookahead == 'c') ADVANCE(192);
      END_STATE();
    case 173:
      if (lookahead == 'c') ADVANCE(241);
      if (lookahead == 'f') ADVANCE(154);
      END_STATE();
    case 174:
      if (lookahead == 'c') ADVANCE(334);
      END_STATE();
    case 175:
      if (lookahead == 'd') ADVANCE(596);
      END_STATE();
    case 176:
      if (lookahead == 'd') ADVANCE(349);
      END_STATE();
    case 177:
      if (lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 178:
      if (lookahead == 'd') ADVANCE(310);
      END_STATE();
    case 179:
      if (lookahead == 'e') ADVANCE(249);
      END_STATE();
    case 180:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(468);
      END_STATE();
    case 184:
      if (lookahead == 'e') ADVANCE(449);
      END_STATE();
    case 185:
      if (lookahead == 'e') ADVANCE(417);
      END_STATE();
    case 186:
      if (lookahead == 'e') ADVANCE(464);
      END_STATE();
    case 187:
      if (lookahead == 'e') ADVANCE(1048);
      END_STATE();
    case 188:
      if (lookahead == 'e') ADVANCE(1093);
      END_STATE();
    case 189:
      if (lookahead == 'e') ADVANCE(1046);
      END_STATE();
    case 190:
      if (lookahead == 'e') ADVANCE(1074);
      END_STATE();
    case 191:
      if (lookahead == 'e') ADVANCE(1084);
      END_STATE();
    case 192:
      if (lookahead == 'e') ADVANCE(428);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 194:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 195:
      if (lookahead == 'e') ADVANCE(315);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(271);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(311);
      END_STATE();
    case 200:
      if (lookahead == 'e') ADVANCE(301);
      END_STATE();
    case 201:
      if (lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(328);
      END_STATE();
    case 203:
      if (lookahead == 'e') ADVANCE(276);
      END_STATE();
    case 204:
      if (lookahead == 'e') ADVANCE(257);
      END_STATE();
    case 205:
      if (lookahead == 'e') ADVANCE(168);
      END_STATE();
    case 206:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 207:
      if (lookahead == 'e') ADVANCE(260);
      END_STATE();
    case 208:
      if (lookahead == 'f') ADVANCE(592);
      END_STATE();
    case 209:
      if (lookahead == 'f') ADVANCE(461);
      END_STATE();
    case 210:
      if (lookahead == 'f') ADVANCE(224);
      END_STATE();
    case 211:
      if (lookahead == 'f') ADVANCE(155);
      END_STATE();
    case 212:
      if (lookahead == 'g') ADVANCE(1059);
      END_STATE();
    case 213:
      if (lookahead == 'g') ADVANCE(202);
      END_STATE();
    case 214:
      if (lookahead == 'h') ADVANCE(438);
      END_STATE();
    case 215:
      if (lookahead == 'h') ADVANCE(470);
      END_STATE();
    case 216:
      if (lookahead == 'h') ADVANCE(225);
      END_STATE();
    case 217:
      if (lookahead == 'h') ADVANCE(225);
      if (lookahead == 'i') ADVANCE(322);
      END_STATE();
    case 218:
      if (lookahead == 'i') ADVANCE(296);
      if (lookahead == 'k') ADVANCE(275);
      END_STATE();
    case 219:
      if (lookahead == 'i') ADVANCE(273);
      if (lookahead == 'r') ADVANCE(284);
      if (lookahead == 'u') ADVANCE(268);
      END_STATE();
    case 220:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 221:
      if (lookahead == 'i') ADVANCE(314);
      END_STATE();
    case 222:
      if (lookahead == 'i') ADVANCE(323);
      END_STATE();
    case 223:
      if (lookahead == 'i') ADVANCE(269);
      END_STATE();
    case 224:
      if (lookahead == 'i') ADVANCE(199);
      END_STATE();
    case 225:
      if (lookahead == 'i') ADVANCE(244);
      END_STATE();
    case 226:
      if (lookahead == 'i') ADVANCE(288);
      END_STATE();
    case 227:
      if (lookahead == 'i') ADVANCE(308);
      END_STATE();
    case 228:
      if (lookahead == 'j') ADVANCE(205);
      END_STATE();
    case 229:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 230:
      if (lookahead == 'l') ADVANCE(1082);
      END_STATE();
    case 231:
      if (lookahead == 'l') ADVANCE(1062);
      END_STATE();
    case 232:
      if (lookahead == 'l') ADVANCE(319);
      if (lookahead == 'n') ADVANCE(342);
      if (lookahead == 'x') ADVANCE(291);
      END_STATE();
    case 233:
      if (lookahead == 'l') ADVANCE(319);
      if (lookahead == 'n') ADVANCE(342);
      if (lookahead == 'x') ADVANCE(335);
      END_STATE();
    case 234:
      if (lookahead == 'l') ADVANCE(319);
      if (lookahead == 'x') ADVANCE(335);
      END_STATE();
    case 235:
      if (lookahead == 'l') ADVANCE(356);
      END_STATE();
    case 236:
      if (lookahead == 'l') ADVANCE(145);
      END_STATE();
    case 237:
      if (lookahead == 'l') ADVANCE(145);
      if (lookahead == 'o') ADVANCE(277);
      END_STATE();
    case 238:
      if (lookahead == 'l') ADVANCE(357);
      END_STATE();
    case 239:
      if (lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(235);
      END_STATE();
    case 241:
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 242:
      if (lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 243:
      if (lookahead == 'l') ADVANCE(206);
      END_STATE();
    case 244:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 245:
      if (lookahead == 'l') ADVANCE(187);
      END_STATE();
    case 246:
      if (lookahead == 'l') ADVANCE(204);
      END_STATE();
    case 247:
      if (lookahead == 'l') ADVANCE(204);
      if (lookahead == 'o') ADVANCE(306);
      END_STATE();
    case 248:
      if (lookahead == 'l') ADVANCE(158);
      END_STATE();
    case 249:
      if (lookahead == 'm') ADVANCE(289);
      END_STATE();
    case 250:
      if (lookahead == 'm') ADVANCE(1086);
      END_STATE();
    case 251:
      if (lookahead == 'm') ADVANCE(436);
      END_STATE();
    case 252:
      if (lookahead == 'm') ADVANCE(290);
      if (lookahead == 'n') ADVANCE(460);
      if (lookahead == 's') ADVANCE(1091);
      END_STATE();
    case 253:
      if (lookahead == 'm') ADVANCE(290);
      if (lookahead == 'n') ADVANCE(337);
      if (lookahead == 's') ADVANCE(1091);
      END_STATE();
    case 254:
      if (lookahead == 'm') ADVANCE(165);
      END_STATE();
    case 255:
      if (lookahead == 'm') ADVANCE(164);
      END_STATE();
    case 256:
      if (lookahead == 'm') ADVANCE(195);
      END_STATE();
    case 257:
      if (lookahead == 'm') ADVANCE(203);
      END_STATE();
    case 258:
      if (lookahead == 'm') ADVANCE(292);
      if (lookahead == 'n') ADVANCE(459);
      END_STATE();
    case 259:
      if (lookahead == 'm') ADVANCE(292);
      if (lookahead == 'n') ADVANCE(459);
      if (lookahead == 's') ADVANCE(1091);
      END_STATE();
    case 260:
      if (lookahead == 'm') ADVANCE(295);
      END_STATE();
    case 261:
      if (lookahead == 'n') ADVANCE(218);
      END_STATE();
    case 262:
      if (lookahead == 'n') ADVANCE(1056);
      END_STATE();
    case 263:
      if (lookahead == 'n') ADVANCE(1096);
      END_STATE();
    case 264:
      if (lookahead == 'n') ADVANCE(518);
      END_STATE();
    case 265:
      if (lookahead == 'n') ADVANCE(459);
      END_STATE();
    case 266:
      if (lookahead == 'n') ADVANCE(455);
      END_STATE();
    case 267:
      if (lookahead == 'n') ADVANCE(455);
      if (lookahead == 's') ADVANCE(1091);
      END_STATE();
    case 268:
      if (lookahead == 'n') ADVANCE(174);
      END_STATE();
    case 269:
      if (lookahead == 'n') ADVANCE(212);
      END_STATE();
    case 270:
      if (lookahead == 'n') ADVANCE(166);
      END_STATE();
    case 271:
      if (lookahead == 'n') ADVANCE(178);
      END_STATE();
    case 272:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 273:
      if (lookahead == 'n') ADVANCE(149);
      END_STATE();
    case 274:
      if (lookahead == 'n') ADVANCE(238);
      END_STATE();
    case 275:
      if (lookahead == 'n') ADVANCE(279);
      END_STATE();
    case 276:
      if (lookahead == 'n') ADVANCE(338);
      END_STATE();
    case 277:
      if (lookahead == 'n') ADVANCE(320);
      END_STATE();
    case 278:
      if (lookahead == 'o') ADVANCE(176);
      END_STATE();
    case 279:
      if (lookahead == 'o') ADVANCE(352);
      END_STATE();
    case 280:
      if (lookahead == 'o') ADVANCE(163);
      END_STATE();
    case 281:
      if (lookahead == 'o') ADVANCE(243);
      END_STATE();
    case 282:
      if (lookahead == 'o') ADVANCE(281);
      END_STATE();
    case 283:
      if (lookahead == 'o') ADVANCE(208);
      END_STATE();
    case 284:
      if (lookahead == 'o') ADVANCE(251);
      END_STATE();
    case 285:
      if (lookahead == 'o') ADVANCE(305);
      END_STATE();
    case 286:
      if (lookahead == 'o') ADVANCE(231);
      END_STATE();
    case 287:
      if (lookahead == 'o') ADVANCE(274);
      END_STATE();
    case 288:
      if (lookahead == 'o') ADVANCE(264);
      END_STATE();
    case 289:
      if (lookahead == 'p') ADVANCE(229);
      END_STATE();
    case 290:
      if (lookahead == 'p') ADVANCE(247);
      END_STATE();
    case 291:
      if (lookahead == 'p') ADVANCE(285);
      if (lookahead == 't') ADVANCE(197);
      END_STATE();
    case 292:
      if (lookahead == 'p') ADVANCE(246);
      END_STATE();
    case 293:
      if (lookahead == 'p') ADVANCE(185);
      END_STATE();
    case 294:
      if (lookahead == 'p') ADVANCE(157);
      END_STATE();
    case 295:
      if (lookahead == 'p') ADVANCE(248);
      END_STATE();
    case 296:
      if (lookahead == 'q') ADVANCE(346);
      END_STATE();
    case 297:
      if (lookahead == 'r') ADVANCE(213);
      END_STATE();
    case 298:
      if (lookahead == 'r') ADVANCE(440);
      END_STATE();
    case 299:
      if (lookahead == 'r') ADVANCE(211);
      END_STATE();
    case 300:
      if (lookahead == 'r') ADVANCE(1099);
      END_STATE();
    case 301:
      if (lookahead == 'r') ADVANCE(1053);
      END_STATE();
    case 302:
      if (lookahead == 'r') ADVANCE(284);
      END_STATE();
    case 303:
      if (lookahead == 'r') ADVANCE(223);
      END_STATE();
    case 304:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 305:
      if (lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 306:
      if (lookahead == 'r') ADVANCE(326);
      END_STATE();
    case 307:
      if (lookahead == 'r') ADVANCE(189);
      END_STATE();
    case 308:
      if (lookahead == 'r') ADVANCE(190);
      END_STATE();
    case 309:
      if (lookahead == 's') ADVANCE(514);
      END_STATE();
    case 310:
      if (lookahead == 's') ADVANCE(1076);
      END_STATE();
    case 311:
      if (lookahead == 's') ADVANCE(1071);
      END_STATE();
    case 312:
      if (lookahead == 's') ADVANCE(1079);
      END_STATE();
    case 313:
      if (lookahead == 's') ADVANCE(423);
      END_STATE();
    case 314:
      if (lookahead == 's') ADVANCE(210);
      END_STATE();
    case 315:
      if (lookahead == 's') ADVANCE(294);
      END_STATE();
    case 316:
      if (lookahead == 's') ADVANCE(309);
      END_STATE();
    case 317:
      if (lookahead == 's') ADVANCE(332);
      END_STATE();
    case 318:
      if (lookahead == 's') ADVANCE(183);
      if (lookahead == 't') ADVANCE(167);
      END_STATE();
    case 319:
      if (lookahead == 's') ADVANCE(184);
      END_STATE();
    case 320:
      if (lookahead == 's') ADVANCE(324);
      END_STATE();
    case 321:
      if (lookahead == 't') ADVANCE(442);
      END_STATE();
    case 322:
      if (lookahead == 't') ADVANCE(214);
      END_STATE();
    case 323:
      if (lookahead == 't') ADVANCE(453);
      END_STATE();
    case 324:
      if (lookahead == 't') ADVANCE(444);
      END_STATE();
    case 325:
      if (lookahead == 't') ADVANCE(410);
      END_STATE();
    case 326:
      if (lookahead == 't') ADVANCE(434);
      END_STATE();
    case 327:
      if (lookahead == 't') ADVANCE(1065);
      END_STATE();
    case 328:
      if (lookahead == 't') ADVANCE(1036);
      END_STATE();
    case 329:
      if (lookahead == 't') ADVANCE(415);
      END_STATE();
    case 330:
      if (lookahead == 't') ADVANCE(1068);
      END_STATE();
    case 331:
      if (lookahead == 't') ADVANCE(180);
      END_STATE();
    case 332:
      if (lookahead == 't') ADVANCE(304);
      END_STATE();
    case 333:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 334:
      if (lookahead == 't') ADVANCE(226);
      END_STATE();
    case 335:
      if (lookahead == 't') ADVANCE(197);
      END_STATE();
    case 336:
      if (lookahead == 't') ADVANCE(152);
      END_STATE();
    case 337:
      if (lookahead == 't') ADVANCE(196);
      END_STATE();
    case 338:
      if (lookahead == 't') ADVANCE(312);
      END_STATE();
    case 339:
      if (lookahead == 't') ADVANCE(194);
      END_STATE();
    case 340:
      if (lookahead == 't') ADVANCE(207);
      END_STATE();
    case 341:
      if (lookahead == 'u') ADVANCE(360);
      if (lookahead == 'x') ADVANCE(387);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(613);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(615);
      if (lookahead != 0) ADVANCE(611);
      END_STATE();
    case 342:
      if (lookahead == 'u') ADVANCE(250);
      END_STATE();
    case 343:
      if (lookahead == 'u') ADVANCE(268);
      END_STATE();
    case 344:
      if (lookahead == 'u') ADVANCE(242);
      END_STATE();
    case 345:
      if (lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 346:
      if (lookahead == 'u') ADVANCE(188);
      END_STATE();
    case 347:
      if (lookahead == 'u') ADVANCE(361);
      END_STATE();
    case 348:
      if (lookahead == 'u') ADVANCE(362);
      END_STATE();
    case 349:
      if (lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 350:
      if (lookahead == 'u') ADVANCE(363);
      if (lookahead == 'x') ADVANCE(387);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(613);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(615);
      if (lookahead != 0) ADVANCE(611);
      END_STATE();
    case 351:
      if (lookahead == 'v') ADVANCE(198);
      if (lookahead == 'w') ADVANCE(522);
      END_STATE();
    case 352:
      if (lookahead == 'w') ADVANCE(263);
      END_STATE();
    case 353:
      if (lookahead == 'x') ADVANCE(291);
      END_STATE();
    case 354:
      if (lookahead == 'x') ADVANCE(335);
      END_STATE();
    case 355:
      if (lookahead == 'y') ADVANCE(1050);
      END_STATE();
    case 356:
      if (lookahead == 'y') ADVANCE(472);
      END_STATE();
    case 357:
      if (lookahead == 'y') ADVANCE(1039);
      END_STATE();
    case 358:
      if (lookahead == 'y') ADVANCE(293);
      END_STATE();
    case 359:
      if (lookahead == '{') ADVANCE(619);
      END_STATE();
    case 360:
      if (lookahead == '{') ADVANCE(381);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(392);
      END_STATE();
    case 361:
      if (lookahead == '{') ADVANCE(385);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(393);
      END_STATE();
    case 362:
      if (lookahead == '{') ADVANCE(386);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(394);
      END_STATE();
    case 363:
      if (lookahead == '{') ADVANCE(388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(384);
      END_STATE();
    case 364:
      if (lookahead == '}') ADVANCE(1033);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(364);
      END_STATE();
    case 365:
      if (lookahead == '}') ADVANCE(1035);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(365);
      END_STATE();
    case 366:
      if (lookahead == '}') ADVANCE(611);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(366);
      END_STATE();
    case 367:
      if (lookahead == '}') ADVANCE(1103);
      END_STATE();
    case 368:
      if (lookahead == '}') ADVANCE(612);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(368);
      END_STATE();
    case 369:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(666);
      END_STATE();
    case 370:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(383);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 371:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(662);
      END_STATE();
    case 372:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(663);
      END_STATE();
    case 373:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(654);
      END_STATE();
    case 374:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(667);
      END_STATE();
    case 375:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(665);
      END_STATE();
    case 376:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(666);
      END_STATE();
    case 377:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1033);
      END_STATE();
    case 378:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1035);
      END_STATE();
    case 379:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(611);
      END_STATE();
    case 380:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(664);
      END_STATE();
    case 381:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(368);
      END_STATE();
    case 382:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(612);
      END_STATE();
    case 383:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(100);
      END_STATE();
    case 384:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(387);
      END_STATE();
    case 385:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(365);
      END_STATE();
    case 386:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(364);
      END_STATE();
    case 387:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(379);
      END_STATE();
    case 388:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(366);
      END_STATE();
    case 389:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(382);
      END_STATE();
    case 390:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(378);
      END_STATE();
    case 391:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(377);
      END_STATE();
    case 392:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(389);
      END_STATE();
    case 393:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(390);
      END_STATE();
    case 394:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(391);
      END_STATE();
    case 395:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(136);
      END_STATE();
    case 396:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(622);
      END_STATE();
    case 397:
      if (eof) ADVANCE(408);
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(34);
      if (lookahead == '$') ADVANCE(1024);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(565);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(569);
      if (lookahead == '.') ADVANCE(496);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(1044);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(802);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(771);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(886);
      if (lookahead == 'f') ADVANCE(872);
      if (lookahead == 'g') ADVANCE(892);
      if (lookahead == 'i') ADVANCE(901);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(772);
      if (lookahead == 'o') ADVANCE(807);
      if (lookahead == 'r') ADVANCE(831);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(781);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(431);
      if (lookahead == '|') ADVANCE(558);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(669);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(397)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(1033);
      END_STATE();
    case 398:
      if (eof) ADVANCE(408);
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '%') ADVANCE(572);
      if (lookahead == '&') ADVANCE(553);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '=') ADVANCE(420);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '?') ADVANCE(76);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(554);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(802);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(911);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(559);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(738);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(398)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(1033);
      END_STATE();
    case 399:
      if (eof) ADVANCE(408);
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '%') ADVANCE(572);
      if (lookahead == '&') ADVANCE(553);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '=') ADVANCE(420);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '?') ADVANCE(76);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(554);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(802);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(911);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(559);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(740);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(399)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(1033);
      END_STATE();
    case 400:
      if (eof) ADVANCE(408);
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '$') ADVANCE(359);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(1044);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(350);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(159);
      if (lookahead == 'b') ADVANCE(282);
      if (lookahead == 'c') ADVANCE(138);
      if (lookahead == 'd') ADVANCE(181);
      if (lookahead == 'e') ADVANCE(232);
      if (lookahead == 'f') ADVANCE(219);
      if (lookahead == 'g') ADVANCE(239);
      if (lookahead == 'i') ADVANCE(252);
      if (lookahead == 'l') ADVANCE(193);
      if (lookahead == 'm') ADVANCE(278);
      if (lookahead == 'n') ADVANCE(140);
      if (lookahead == 'o') ADVANCE(162);
      if (lookahead == 'r') ADVANCE(182);
      if (lookahead == 's') ADVANCE(144);
      if (lookahead == 't') ADVANCE(142);
      if (lookahead == 'u') ADVANCE(261);
      if (lookahead == 'v') ADVANCE(147);
      if (lookahead == 'w') ADVANCE(217);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(558);
      if (lookahead == '}') ADVANCE(433);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(401)
      END_STATE();
    case 401:
      if (eof) ADVANCE(408);
      if (lookahead == '!') ADVANCE(448);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '$') ADVANCE(359);
      if (lookahead == '%') ADVANCE(573);
      if (lookahead == '&') ADVANCE(552);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == ')') ADVANCE(452);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '+') ADVANCE(564);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(568);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(571);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ':') ADVANCE(467);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(421);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '?') ADVANCE(1044);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == ']') ADVANCE(475);
      if (lookahead == '^') ADVANCE(555);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(159);
      if (lookahead == 'b') ADVANCE(282);
      if (lookahead == 'c') ADVANCE(138);
      if (lookahead == 'd') ADVANCE(181);
      if (lookahead == 'e') ADVANCE(232);
      if (lookahead == 'f') ADVANCE(219);
      if (lookahead == 'g') ADVANCE(239);
      if (lookahead == 'i') ADVANCE(252);
      if (lookahead == 'l') ADVANCE(193);
      if (lookahead == 'm') ADVANCE(278);
      if (lookahead == 'n') ADVANCE(140);
      if (lookahead == 'o') ADVANCE(162);
      if (lookahead == 'r') ADVANCE(182);
      if (lookahead == 's') ADVANCE(144);
      if (lookahead == 't') ADVANCE(142);
      if (lookahead == 'u') ADVANCE(261);
      if (lookahead == 'v') ADVANCE(147);
      if (lookahead == 'w') ADVANCE(217);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '|') ADVANCE(558);
      if (lookahead == '}') ADVANCE(433);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(401)
      END_STATE();
    case 402:
      if (eof) ADVANCE(408);
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(34);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == ',') ADVANCE(432);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(496);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(759);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(402)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1033);
      END_STATE();
    case 403:
      if (eof) ADVANCE(408);
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(497);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(763);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(403)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1033);
      END_STATE();
    case 404:
      if (eof) ADVANCE(408);
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(374);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(758);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(404)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1033);
      END_STATE();
    case 405:
      if (eof) ADVANCE(408);
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(374);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(762);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(405)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1033);
      END_STATE();
    case 406:
      if (eof) ADVANCE(408);
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(374);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(797);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(764);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(406)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1033);
      END_STATE();
    case 407:
      if (eof) ADVANCE(408);
      if (lookahead == '!') ADVANCE(447);
      if (lookahead == '"') ADVANCE(500);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(501);
      if (lookahead == '(') ADVANCE(451);
      if (lookahead == '+') ADVANCE(563);
      if (lookahead == '-') ADVANCE(567);
      if (lookahead == '.') ADVANCE(374);
      if (lookahead == '/') ADVANCE(570);
      if (lookahead == '0') ADVANCE(652);
      if (lookahead == ';') ADVANCE(466);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '@') ADVANCE(1038);
      if (lookahead == '[') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '`') ADVANCE(618);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(797);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == '{') ADVANCE(430);
      if (lookahead == '}') ADVANCE(433);
      if (lookahead == '~') ADVANCE(595);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(765);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(407)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1033);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(409);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(575);
      if (lookahead == '=') ADVANCE(527);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(574);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(585);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(585);
      if (lookahead == '>') ADVANCE(520);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(520);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'y') ADVANCE(929);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(270);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_as);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_namespace);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(1102);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_import);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_from);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(587);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(1003);
      if (lookahead == 't') ADVANCE(847);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(1003);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(648);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(336);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(336);
      if (lookahead == 't') ADVANCE(196);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_of);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_finally);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '/') ADVANCE(617);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(477);
      if (lookahead == '<') ADVANCE(479);
      if (sym__glimmer_template_content_character_set_2(lookahead)) ADVANCE(478);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(476);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(340);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(4);
      if (lookahead == '*') ADVANCE(486);
      if (lookahead == '/') ADVANCE(487);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(483);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(4);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(483);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(1);
      if (lookahead == '/') ADVANCE(482);
      if (aux_sym_jsx_text_token1_character_set_2(lookahead)) ADVANCE(484);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(483);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(485);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '\n' ||
          lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(71);
      if (lookahead != 0) ADVANCE(486);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(485);
      if (lookahead == '\n' ||
          lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(71);
      if (lookahead != 0) ADVANCE(486);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(488);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(489);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(487);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead == ' ') ADVANCE(488);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(489);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(487);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(489);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_html_character_reference);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(589);
      if (lookahead == '>') ADVANCE(545);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(589);
      if (lookahead == '>') ADVANCE(546);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(494);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(667);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(667);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '\n') ADVANCE(507);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(502);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(505);
      if (lookahead == '/') ADVANCE(502);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(507);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(504);
      if (lookahead == '/') ADVANCE(507);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(505);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(504);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(505);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '/') ADVANCE(503);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(506);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(507);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(507);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '\n') ADVANCE(513);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(508);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(511);
      if (lookahead == '/') ADVANCE(508);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(513);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(510);
      if (lookahead == '/') ADVANCE(513);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(511);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(510);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(511);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '/') ADVANCE(509);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(512);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(513);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(513);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_new);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_new);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(537);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(538);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(548);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(547);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(534);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(535);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(542);
      if (lookahead == '=') ADVANCE(531);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(541);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(530);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '|') ADVANCE(544);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '|') ADVANCE(544);
      if (lookahead == '}') ADVANCE(1103);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(543);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(543);
      if (lookahead == '}') ADVANCE(1103);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(1103);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(599);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(599);
      if (lookahead == '=') ADVANCE(525);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(599);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '?') ADVANCE(88);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(600);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '=') ADVANCE(526);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '?') ADVANCE(89);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '/') ADVANCE(617);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '/') ADVANCE(617);
      if (lookahead == '=') ADVANCE(528);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(529);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(536);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(498);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(498);
      if (lookahead == '<') ADVANCE(550);
      if (lookahead == '=') ADVANCE(584);
      if (lookahead == 't') ADVANCE(179);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(550);
      if (lookahead == '=') ADVANCE(584);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(550);
      if (lookahead == '=') ADVANCE(584);
      if (lookahead == 't') ADVANCE(179);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(549);
      if (lookahead == '=') ADVANCE(584);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(549);
      if (lookahead == '=') ADVANCE(584);
      if (lookahead == 't') ADVANCE(179);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(179);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(586);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(588);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(539);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(anon_sym_void);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(anon_sym_void);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '/') ADVANCE(605);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(605);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '/') ADVANCE(605);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(603);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(603);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(601);
      if (sym_unescaped_double_string_fragment_character_set_2(lookahead)) ADVANCE(604);
      if (lookahead != 0 &&
          (lookahead < '\n' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(605);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(605);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(608);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(610);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(607);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(608);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(607);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(608);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(606);
      if (sym_unescaped_double_string_fragment_character_set_2(lookahead)) ADVANCE(609);
      if (lookahead != 0 &&
          (lookahead < '\n' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(610);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(610);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(611);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(611);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(614);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(617);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '/') ADVANCE(617);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(86)
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '[') ADVANCE(136);
      if (lookahead == '\\') ADVANCE(396);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(621);
      if (lookahead != 0) ADVANCE(622);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(136);
      if (lookahead == '\\') ADVANCE(396);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(622);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(647);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(639);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'c') ADVANCE(626);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(641);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(637);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(645);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(640);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(594);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(463);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(634);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'i') ADVANCE(644);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'i') ADVANCE(628);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'l') ADVANCE(627);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'm') ADVANCE(642);
      if (lookahead == 'n') ADVANCE(458);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'm') ADVANCE(629);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(458);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(625);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(649);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'o') ADVANCE(630);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'p') ADVANCE(635);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(427);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(632);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(1073);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(1081);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(633);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(624);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(646);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_regex_flags);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(668);
      if (lookahead == '0') ADVANCE(665);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(371);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(369);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(372);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(380);
      if (lookahead == '_') ADVANCE(375);
      if (lookahead == 'n') ADVANCE(651);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(654);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(668);
      if (lookahead == '0') ADVANCE(659);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1025);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1034);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1028);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1032);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '_') ADVANCE(1030);
      if (lookahead == 'n') ADVANCE(661);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(1033);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(668);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(369);
      if (lookahead == '_') ADVANCE(373);
      if (lookahead == 'n') ADVANCE(651);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(654);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(668);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1034);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '_') ADVANCE(1029);
      if (lookahead == 'n') ADVANCE(661);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(1033);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '_') ADVANCE(1025);
      if (lookahead == 'n') ADVANCE(661);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(656);
      if (!sym_identifier_character_set_4(lookahead)) ADVANCE(1033);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '_') ADVANCE(1028);
      if (lookahead == 'n') ADVANCE(661);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(657);
      if (!sym_identifier_character_set_4(lookahead)) ADVANCE(1033);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '_') ADVANCE(1032);
      if (lookahead == 'n') ADVANCE(661);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(658);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(1033);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '_') ADVANCE(1030);
      if (lookahead == 'n') ADVANCE(661);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(659);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(1033);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '_') ADVANCE(1031);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(660);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(1033);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(371);
      if (lookahead == 'n') ADVANCE(651);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(662);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(372);
      if (lookahead == 'n') ADVANCE(651);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(663);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(380);
      if (lookahead == 'n') ADVANCE(651);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(664);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(375);
      if (lookahead == 'n') ADVANCE(651);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(665);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(666);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(369);
      if (lookahead == '_') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(667);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(369);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(667);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$') ADVANCE(1024);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(802);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(771);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(886);
      if (lookahead == 'f') ADVANCE(872);
      if (lookahead == 'g') ADVANCE(892);
      if (lookahead == 'i') ADVANCE(901);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(772);
      if (lookahead == 'o') ADVANCE(807);
      if (lookahead == 'r') ADVANCE(831);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(781);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(669);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_identifier_character_set_5(lookahead)) ADVANCE(1033);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(681);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(702);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(678);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'b') ADVANCE(720);
      if (lookahead == 'n') ADVANCE(733);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'b') ADVANCE(694);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'b') ADVANCE(712);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'b') ADVANCE(688);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(725);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(726);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'd') ADVANCE(597);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'd') ADVANCE(721);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'd') ADVANCE(714);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(730);
      if (lookahead == 'u') ADVANCE(698);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(670);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(677);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(1094);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(671);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(716);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(717);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(705);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'g') ADVANCE(1060);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(715);
      if (lookahead == 'k') ADVANCE(706);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(679);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(701);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'j') ADVANCE(684);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(1063);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(734);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(686);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(675);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(691);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(690);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(1057);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(1097);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(680);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(722);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(692);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(697);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(731);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(707);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(695);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(709);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(704);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'q') ADVANCE(729);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(1100);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(1054);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(672);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(693);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(727);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(1077);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(724);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(719);
      if (lookahead == 'y') ADVANCE(699);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(445);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(1066);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(1069);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(718);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(689);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'u') ADVANCE(685);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'v') ADVANCE(687);
      if (lookahead == 'w') ADVANCE(523);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'w') ADVANCE(703);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'x') ADVANCE(728);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'y') ADVANCE(1051);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'y') ADVANCE(1040);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(802);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(798);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(911);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(736);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(802);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(798);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(911);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(737);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(802);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(911);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(738);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(802);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(912);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(772);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(739);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(802);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(911);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(740);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(915);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(890);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(912);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(807);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(741);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(915);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(890);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(912);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(742);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(915);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(890);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(902);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(743);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(803);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 'n') ADVANCE(830);
      if (lookahead == 'o') ADVANCE(807);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(744);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(803);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 'n') ADVANCE(830);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(745);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(803);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(907);
      if (lookahead == 'n') ADVANCE(830);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(746);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(916);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(747);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(916);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(748);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(806);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(914);
      if (lookahead == 'n') ADVANCE(830);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(749);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(806);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(942);
      if (lookahead == 'n') ADVANCE(830);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(750);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(673);
      if (lookahead == 'b') ADVANCE(713);
      if (lookahead == 'c') ADVANCE(711);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(674);
      if (lookahead == 'r') ADVANCE(683);
      if (lookahead == 's') ADVANCE(723);
      if (lookahead == 'u') ADVANCE(700);
      if (lookahead == 'v') ADVANCE(708);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(751);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(771);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(752);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(771);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(753);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(798);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(754);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(798);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(755);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(798);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(756);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(798);
      if (lookahead == 'd') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(757);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(758);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(759);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(760);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(914);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(772);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(761);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(762);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(763);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(797);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(764);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(797);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(887);
      if (lookahead == 'f') ADVANCE(873);
      if (lookahead == 'i') ADVANCE(913);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 'w') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(765);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(917);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(889);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(914);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(784);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(766);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(917);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(890);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(914);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(767);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(917);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'c') ADVANCE(890);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1016);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(914);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(768);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(805);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(769);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(918);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(770);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(980);
      if (lookahead == 'l') ADVANCE(783);
      if (lookahead == 'o') ADVANCE(936);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(909);
      if (lookahead == 'e') ADVANCE(1012);
      if (lookahead == 'u') ADVANCE(905);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(909);
      if (lookahead == 'e') ADVANCE(1014);
      if (lookahead == 'u') ADVANCE(905);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(916);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(807);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(774);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(916);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(775);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(916);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'f') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(907);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(777);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(776);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(1000);
      if (lookahead == 't') ADVANCE(966);
      if (lookahead == 'y') ADVANCE(906);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(1000);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(826);
      if (lookahead == 'q') ADVANCE(1009);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(826);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(960);
      if (lookahead == 'y') ADVANCE(954);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(918);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'd') ADVANCE(848);
      if (lookahead == 'e') ADVANCE(1017);
      if (lookahead == 'l') ADVANCE(829);
      if (lookahead == 'm') ADVANCE(937);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(854);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(782);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(982);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(961);
      if (lookahead == 'o') ADVANCE(874);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(877);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(894);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(1008);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(884);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(970);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(932);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(977);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 'o') ADVANCE(861);
      if (lookahead == 's') ADVANCE(778);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(791);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(977);
      if (lookahead == 'i') ADVANCE(926);
      if (lookahead == 's') ADVANCE(778);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(792);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(977);
      if (lookahead == 'i') ADVANCE(907);
      if (lookahead == 's') ADVANCE(778);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(793);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(977);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(794);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(923);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(919);
      if (lookahead == 'b') ADVANCE(943);
      if (lookahead == 'n') ADVANCE(843);
      if (lookahead == 'o') ADVANCE(808);
      if (lookahead == 's') ADVANCE(986);
      if (lookahead == 'u') ADVANCE(922);
      if (lookahead == 'v') ADVANCE(938);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(796);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(987);
      if (lookahead == 'l') ADVANCE(783);
      if (lookahead == 'o') ADVANCE(936);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(981);
      if (lookahead == 'l') ADVANCE(783);
      if (lookahead == 'o') ADVANCE(936);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(819);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(821);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'a') ADVANCE(822);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'b') ADVANCE(983);
      if (lookahead == 'n') ADVANCE(1019);
      if (lookahead == 's') ADVANCE(424);
      if (lookahead == 'w') ADVANCE(785);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'b') ADVANCE(983);
      if (lookahead == 'n') ADVANCE(1019);
      if (lookahead == 's') ADVANCE(425);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'b') ADVANCE(983);
      if (lookahead == 'n') ADVANCE(1019);
      if (lookahead == 's') ADVANCE(1023);
      if (lookahead == 'w') ADVANCE(785);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'b') ADVANCE(983);
      if (lookahead == 'n') ADVANCE(1019);
      if (lookahead == 's') ADVANCE(1023);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'b') ADVANCE(983);
      if (lookahead == 'n') ADVANCE(1019);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'b') ADVANCE(883);
      if (lookahead == 'f') ADVANCE(462);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'b') ADVANCE(883);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'b') ADVANCE(788);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'b') ADVANCE(947);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'b') ADVANCE(852);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(517);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(869);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(711);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(814);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(893);
      if (lookahead == 'f') ADVANCE(787);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(893);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(994);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(942);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(818);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(997);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(853);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(840);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(841);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'c') ADVANCE(1004);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'd') ADVANCE(598);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'd') ADVANCE(1011);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'd') ADVANCE(948);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'd') ADVANCE(974);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(815);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(988);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(1012);
      if (lookahead == 'u') ADVANCE(905);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(779);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(469);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(450);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(418);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(465);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(1049);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(1095);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(1047);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(1075);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(1085);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(429);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(732);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(842);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(1013);
      if (lookahead == 'u') ADVANCE(905);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(1018);
      if (lookahead == 'i') ADVANCE(908);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(844);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(817);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(979);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(962);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(816);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(931);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(963);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(975);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(964);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(944);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(780);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(995);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(935);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(921);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(857);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(910);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(958);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'e') ADVANCE(795);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'f') ADVANCE(462);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'f') ADVANCE(593);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'f') ADVANCE(879);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'f') ADVANCE(800);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'f') ADVANCE(965);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(865);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'g') ADVANCE(1061);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'g') ADVANCE(855);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'h') ADVANCE(439);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'h') ADVANCE(471);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'h') ADVANCE(880);
      if (lookahead == 'i') ADVANCE(989);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(959);
      if (lookahead == 'k') ADVANCE(933);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(930);
      if (lookahead == 'r') ADVANCE(945);
      if (lookahead == 'u') ADVANCE(927);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(930);
      if (lookahead == 'u') ADVANCE(927);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(824);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(914);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(875);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(978);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(990);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(928);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(851);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(899);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(949);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'i') ADVANCE(971);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'j') ADVANCE(845);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(1083);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(1064);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(984);
      if (lookahead == 'n') ADVANCE(1006);
      if (lookahead == 'x') ADVANCE(952);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(984);
      if (lookahead == 'n') ADVANCE(1006);
      if (lookahead == 'x') ADVANCE(953);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(1020);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(783);
      if (lookahead == 'o') ADVANCE(936);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(783);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(1021);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(939);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(789);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(888);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(860);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(996);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(858);
      if (lookahead == 'o') ADVANCE(969);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(858);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(835);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'l') ADVANCE(836);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(951);
      if (lookahead == 'n') ADVANCE(456);
      if (lookahead == 's') ADVANCE(1092);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(951);
      if (lookahead == 'n') ADVANCE(457);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(1087);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(437);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(811);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(810);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(956);
      if (lookahead == 'n') ADVANCE(457);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(956);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(846);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(856);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(955);
      if (lookahead == 'n') ADVANCE(456);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(955);
      if (lookahead == 'n') ADVANCE(457);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(955);
      if (lookahead == 'n') ADVANCE(1002);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'm') ADVANCE(955);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(1019);
      if (lookahead == 's') ADVANCE(424);
      if (lookahead == 'w') ADVANCE(785);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(1019);
      if (lookahead == 's') ADVANCE(424);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(1019);
      if (lookahead == 's') ADVANCE(1023);
      if (lookahead == 'w') ADVANCE(785);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(1019);
      if (lookahead == 's') ADVANCE(1023);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(1019);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(1006);
      if (lookahead == 'x') ADVANCE(953);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(1006);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(871);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(1058);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(1098);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(519);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(457);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(823);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(866);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(812);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(786);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(827);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(820);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(940);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(891);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(1005);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(985);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(825);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(874);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(809);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(1015);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(895);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(936);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(941);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(862);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(904);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(968);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(885);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(934);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(925);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(969);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'p') ADVANCE(897);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'p') ADVANCE(946);
      if (lookahead == 't') ADVANCE(849);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'p') ADVANCE(946);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'p') ADVANCE(834);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'p') ADVANCE(950);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'p') ADVANCE(898);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'p') ADVANCE(801);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'q') ADVANCE(1009);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'q') ADVANCE(1010);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(867);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(441);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(864);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(1101);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(1055);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(945);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(878);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(799);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(992);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(993);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(838);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(839);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'r') ADVANCE(859);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(972);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(515);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(1078);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(1072);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(1080);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(425);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(863);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(957);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(832);
      if (lookahead == 't') ADVANCE(813);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(832);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(973);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(999);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(833);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 's') ADVANCE(991);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(966);
      if (lookahead == 'y') ADVANCE(906);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(813);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(443);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(868);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(454);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(446);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(411);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(435);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(1067);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(1037);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(416);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(1070);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(1022);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(998);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(967);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(876);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(849);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(847);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(790);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(881);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 't') ADVANCE(976);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'u') ADVANCE(903);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'u') ADVANCE(927);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'u') ADVANCE(896);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'u') ADVANCE(882);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'u') ADVANCE(837);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'u') ADVANCE(900);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'v') ADVANCE(850);
      if (lookahead == 'w') ADVANCE(524);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'v') ADVANCE(850);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'w') ADVANCE(524);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'w') ADVANCE(924);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'x') ADVANCE(952);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'x') ADVANCE(953);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'x') ADVANCE(1001);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'y') ADVANCE(1052);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'y') ADVANCE(473);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'y') ADVANCE(1041);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'y') ADVANCE(954);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 'y') ADVANCE(929);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '{') ADVANCE(619);
      if (!sym_identifier_character_set_6(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(656);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(1026);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(1027);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1033);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(657);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(655);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(659);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(660);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(658);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(376);
      if (lookahead == '\\') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(660);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(347);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1035);
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(anon_sym_target);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 1039:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(anon_sym_readonly);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(anon_sym_readonly);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(521);
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(521);
      if (lookahead == '?') ADVANCE(591);
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(521);
      if (lookahead == '?') ADVANCE(590);
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(anon_sym_declare);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 1049:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 1051:
      ACCEPT_TOKEN(anon_sym_any);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1052:
      ACCEPT_TOKEN(anon_sym_any);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1053:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 1054:
      ACCEPT_TOKEN(anon_sym_number);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(anon_sym_number);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 1057:
      ACCEPT_TOKEN(anon_sym_boolean);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1058:
      ACCEPT_TOKEN(anon_sym_boolean);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 1060:
      ACCEPT_TOKEN(anon_sym_string);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1061:
      ACCEPT_TOKEN(anon_sym_string);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1062:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(anon_sym_symbol);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1064:
      ACCEPT_TOKEN(anon_sym_symbol);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(anon_sym_object);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(anon_sym_object);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(anon_sym_abstract);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(anon_sym_abstract);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(anon_sym_satisfies);
      END_STATE();
    case 1072:
      ACCEPT_TOKEN(anon_sym_satisfies);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(anon_sym_satisfies);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 1075:
      ACCEPT_TOKEN(anon_sym_require);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1076:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 1077:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 1080:
      ACCEPT_TOKEN(anon_sym_implements);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1081:
      ACCEPT_TOKEN(anon_sym_implements);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(650);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(anon_sym_global);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 1085:
      ACCEPT_TOKEN(anon_sym_interface);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1086:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 1089:
      ACCEPT_TOKEN(anon_sym_PLUS_QMARK_COLON);
      END_STATE();
    case 1090:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 1091:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 1092:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1093:
      ACCEPT_TOKEN(anon_sym_unique);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(anon_sym_unique);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(anon_sym_unique);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(anon_sym_unknown);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1098:
      ACCEPT_TOKEN(anon_sym_unknown);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1099:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 1100:
      ACCEPT_TOKEN(anon_sym_never);
      if (lookahead == '-') ADVANCE(494);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(735);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1101:
      ACCEPT_TOKEN(anon_sym_never);
      if (lookahead == '\\') ADVANCE(348);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1033);
      END_STATE();
    case 1102:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 1103:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'g') ADVANCE(6);
      if (lookahead == 'i') ADVANCE(7);
      if (lookahead == 'k') ADVANCE(8);
      if (lookahead == 'n') ADVANCE(9);
      if (lookahead == 'o') ADVANCE(10);
      if (lookahead == 'p') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      if (lookahead == 'y') ADVANCE(16);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8203) ||
          lookahead == 8232 ||
          lookahead == 8233 ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 8288 ||
          lookahead == 12288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(17);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(18);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(20);
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'o') ADVANCE(23);
      END_STATE();
    case 6:
      if (lookahead == 'e') ADVANCE(24);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(25);
      if (lookahead == 'n') ADVANCE(26);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(27);
      END_STATE();
    case 9:
      if (lookahead == 'u') ADVANCE(28);
      END_STATE();
    case 10:
      if (lookahead == 'v') ADVANCE(29);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(33);
      if (lookahead == 't') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'w') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'h') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      if (lookahead == 'y') ADVANCE(39);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(40);
      if (lookahead == 's') ADVANCE(41);
      END_STATE();
    case 16:
      if (lookahead == 'i') ADVANCE(42);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(44);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 20:
      if (lookahead == 'b') ADVANCE(46);
      if (lookahead == 'l') ADVANCE(47);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 23:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 24:
      if (lookahead == 't') ADVANCE(50);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 26:
      if (lookahead == 'f') ADVANCE(51);
      END_STATE();
    case 27:
      if (lookahead == 'y') ADVANCE(52);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(53);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(55);
      if (lookahead == 'o') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'b') ADVANCE(57);
      END_STATE();
    case 32:
      if (lookahead == 't') ADVANCE(58);
      END_STATE();
    case 33:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 34:
      if (lookahead == 'a') ADVANCE(60);
      END_STATE();
    case 35:
      if (lookahead == 'p') ADVANCE(61);
      END_STATE();
    case 36:
      if (lookahead == 'i') ADVANCE(62);
      END_STATE();
    case 37:
      if (lookahead == 'i') ADVANCE(63);
      if (lookahead == 'r') ADVANCE(64);
      END_STATE();
    case 38:
      if (lookahead == 'u') ADVANCE(65);
      if (lookahead == 'y') ADVANCE(66);
      END_STATE();
    case 39:
      if (lookahead == 'p') ADVANCE(67);
      END_STATE();
    case 40:
      if (lookahead == 'd') ADVANCE(68);
      END_STATE();
    case 41:
      if (lookahead == 'i') ADVANCE(69);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(72);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(73);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(74);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 48:
      if (lookahead == 's') ADVANCE(76);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(79);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(80);
      END_STATE();
    case 55:
      if (lookahead == 'v') ADVANCE(81);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(83);
      END_STATE();
    case 58:
      if (lookahead == 'u') ADVANCE(84);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 60:
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(86);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(88);
      END_STATE();
    case 64:
      if (lookahead == 'o') ADVANCE(89);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 70:
      if (lookahead == 'l') ADVANCE(94);
      END_STATE();
    case 71:
      if (lookahead == 'r') ADVANCE(95);
      END_STATE();
    case 72:
      if (lookahead == 'k') ADVANCE(96);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 74:
      if (lookahead == 'g') ADVANCE(98);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 77:
      if (lookahead == 'r') ADVANCE(101);
      END_STATE();
    case 78:
      if (lookahead == 'f') ADVANCE(102);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 83:
      if (lookahead == 'i') ADVANCE(106);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(107);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(108);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(109);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(110);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 89:
      if (lookahead == 'w') ADVANCE(111);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      if (lookahead == 'o') ADVANCE(112);
      END_STATE();
    case 92:
      if (lookahead == 'f') ADVANCE(113);
      END_STATE();
    case 93:
      if (lookahead == 'g') ADVANCE(114);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(115);
      END_STATE();
    case 95:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(117);
      END_STATE();
    case 98:
      if (lookahead == 'g') ADVANCE(118);
      END_STATE();
    case 99:
      if (lookahead == 'e') ADVANCE(119);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 103:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 105:
      if (lookahead == 'c') ADVANCE(122);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(123);
      END_STATE();
    case 107:
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 108:
      if (lookahead == 'c') ADVANCE(125);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 110:
      if (lookahead == 'h') ADVANCE(126);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 112:
      if (lookahead == 'f') ADVANCE(127);
      END_STATE();
    case 113:
      if (lookahead == 'i') ADVANCE(128);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 116:
      if (lookahead == 's') ADVANCE(129);
      END_STATE();
    case 117:
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 118:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 120:
      if (lookahead == 'd') ADVANCE(132);
      END_STATE();
    case 121:
      if (lookahead == 'e') ADVANCE(133);
      END_STATE();
    case 122:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 128:
      if (lookahead == 'n') ADVANCE(135);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 131:
      if (lookahead == 'r') ADVANCE(137);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 139:
      if (lookahead == 'd') ADVANCE(141);
      END_STATE();
    case 140:
      if (lookahead == 'd') ADVANCE(142);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 402, .external_lex_state = 2},
  [2] = {.lex_state = 7, .external_lex_state = 3},
  [3] = {.lex_state = 7, .external_lex_state = 3},
  [4] = {.lex_state = 402, .external_lex_state = 2},
  [5] = {.lex_state = 402, .external_lex_state = 2},
  [6] = {.lex_state = 402, .external_lex_state = 2},
  [7] = {.lex_state = 402, .external_lex_state = 2},
  [8] = {.lex_state = 402, .external_lex_state = 2},
  [9] = {.lex_state = 402, .external_lex_state = 2},
  [10] = {.lex_state = 402, .external_lex_state = 2},
  [11] = {.lex_state = 402, .external_lex_state = 2},
  [12] = {.lex_state = 40, .external_lex_state = 2},
  [13] = {.lex_state = 40, .external_lex_state = 2},
  [14] = {.lex_state = 40, .external_lex_state = 2},
  [15] = {.lex_state = 40, .external_lex_state = 2},
  [16] = {.lex_state = 40, .external_lex_state = 2},
  [17] = {.lex_state = 402, .external_lex_state = 2},
  [18] = {.lex_state = 402, .external_lex_state = 2},
  [19] = {.lex_state = 402, .external_lex_state = 2},
  [20] = {.lex_state = 402, .external_lex_state = 2},
  [21] = {.lex_state = 402, .external_lex_state = 2},
  [22] = {.lex_state = 402, .external_lex_state = 2},
  [23] = {.lex_state = 402, .external_lex_state = 2},
  [24] = {.lex_state = 402, .external_lex_state = 2},
  [25] = {.lex_state = 402, .external_lex_state = 2},
  [26] = {.lex_state = 402, .external_lex_state = 2},
  [27] = {.lex_state = 402, .external_lex_state = 2},
  [28] = {.lex_state = 402, .external_lex_state = 2},
  [29] = {.lex_state = 402, .external_lex_state = 2},
  [30] = {.lex_state = 402, .external_lex_state = 2},
  [31] = {.lex_state = 402, .external_lex_state = 2},
  [32] = {.lex_state = 402, .external_lex_state = 2},
  [33] = {.lex_state = 402, .external_lex_state = 2},
  [34] = {.lex_state = 402, .external_lex_state = 2},
  [35] = {.lex_state = 402, .external_lex_state = 2},
  [36] = {.lex_state = 402, .external_lex_state = 2},
  [37] = {.lex_state = 402, .external_lex_state = 2},
  [38] = {.lex_state = 402, .external_lex_state = 2},
  [39] = {.lex_state = 402, .external_lex_state = 2},
  [40] = {.lex_state = 402, .external_lex_state = 2},
  [41] = {.lex_state = 402, .external_lex_state = 2},
  [42] = {.lex_state = 402, .external_lex_state = 2},
  [43] = {.lex_state = 402, .external_lex_state = 2},
  [44] = {.lex_state = 402, .external_lex_state = 2},
  [45] = {.lex_state = 402, .external_lex_state = 2},
  [46] = {.lex_state = 402, .external_lex_state = 2},
  [47] = {.lex_state = 402, .external_lex_state = 2},
  [48] = {.lex_state = 402, .external_lex_state = 2},
  [49] = {.lex_state = 402, .external_lex_state = 2},
  [50] = {.lex_state = 402, .external_lex_state = 2},
  [51] = {.lex_state = 402, .external_lex_state = 2},
  [52] = {.lex_state = 402, .external_lex_state = 2},
  [53] = {.lex_state = 402, .external_lex_state = 2},
  [54] = {.lex_state = 402, .external_lex_state = 2},
  [55] = {.lex_state = 402, .external_lex_state = 2},
  [56] = {.lex_state = 402, .external_lex_state = 2},
  [57] = {.lex_state = 402, .external_lex_state = 2},
  [58] = {.lex_state = 402, .external_lex_state = 2},
  [59] = {.lex_state = 402, .external_lex_state = 2},
  [60] = {.lex_state = 402, .external_lex_state = 2},
  [61] = {.lex_state = 402, .external_lex_state = 2},
  [62] = {.lex_state = 402, .external_lex_state = 2},
  [63] = {.lex_state = 402, .external_lex_state = 2},
  [64] = {.lex_state = 402, .external_lex_state = 2},
  [65] = {.lex_state = 402, .external_lex_state = 2},
  [66] = {.lex_state = 402, .external_lex_state = 2},
  [67] = {.lex_state = 402, .external_lex_state = 2},
  [68] = {.lex_state = 402, .external_lex_state = 2},
  [69] = {.lex_state = 402, .external_lex_state = 2},
  [70] = {.lex_state = 402, .external_lex_state = 2},
  [71] = {.lex_state = 402, .external_lex_state = 2},
  [72] = {.lex_state = 402, .external_lex_state = 2},
  [73] = {.lex_state = 402, .external_lex_state = 2},
  [74] = {.lex_state = 402, .external_lex_state = 2},
  [75] = {.lex_state = 402, .external_lex_state = 2},
  [76] = {.lex_state = 402, .external_lex_state = 2},
  [77] = {.lex_state = 402, .external_lex_state = 2},
  [78] = {.lex_state = 402, .external_lex_state = 2},
  [79] = {.lex_state = 402, .external_lex_state = 2},
  [80] = {.lex_state = 402, .external_lex_state = 2},
  [81] = {.lex_state = 402, .external_lex_state = 2},
  [82] = {.lex_state = 402, .external_lex_state = 2},
  [83] = {.lex_state = 402, .external_lex_state = 2},
  [84] = {.lex_state = 402, .external_lex_state = 2},
  [85] = {.lex_state = 402, .external_lex_state = 2},
  [86] = {.lex_state = 402, .external_lex_state = 2},
  [87] = {.lex_state = 402, .external_lex_state = 2},
  [88] = {.lex_state = 402, .external_lex_state = 2},
  [89] = {.lex_state = 402, .external_lex_state = 2},
  [90] = {.lex_state = 402, .external_lex_state = 2},
  [91] = {.lex_state = 402, .external_lex_state = 2},
  [92] = {.lex_state = 402, .external_lex_state = 2},
  [93] = {.lex_state = 402, .external_lex_state = 2},
  [94] = {.lex_state = 402, .external_lex_state = 2},
  [95] = {.lex_state = 402, .external_lex_state = 2},
  [96] = {.lex_state = 402, .external_lex_state = 2},
  [97] = {.lex_state = 402, .external_lex_state = 2},
  [98] = {.lex_state = 402, .external_lex_state = 2},
  [99] = {.lex_state = 402, .external_lex_state = 2},
  [100] = {.lex_state = 402, .external_lex_state = 2},
  [101] = {.lex_state = 402, .external_lex_state = 2},
  [102] = {.lex_state = 402, .external_lex_state = 2},
  [103] = {.lex_state = 402, .external_lex_state = 2},
  [104] = {.lex_state = 402, .external_lex_state = 2},
  [105] = {.lex_state = 402, .external_lex_state = 2},
  [106] = {.lex_state = 402, .external_lex_state = 2},
  [107] = {.lex_state = 402, .external_lex_state = 2},
  [108] = {.lex_state = 402, .external_lex_state = 2},
  [109] = {.lex_state = 402, .external_lex_state = 2},
  [110] = {.lex_state = 402, .external_lex_state = 2},
  [111] = {.lex_state = 402, .external_lex_state = 2},
  [112] = {.lex_state = 402, .external_lex_state = 2},
  [113] = {.lex_state = 402, .external_lex_state = 2},
  [114] = {.lex_state = 402, .external_lex_state = 2},
  [115] = {.lex_state = 402, .external_lex_state = 2},
  [116] = {.lex_state = 402, .external_lex_state = 2},
  [117] = {.lex_state = 402, .external_lex_state = 2},
  [118] = {.lex_state = 402, .external_lex_state = 2},
  [119] = {.lex_state = 402, .external_lex_state = 2},
  [120] = {.lex_state = 402, .external_lex_state = 2},
  [121] = {.lex_state = 402, .external_lex_state = 2},
  [122] = {.lex_state = 402, .external_lex_state = 2},
  [123] = {.lex_state = 35, .external_lex_state = 2},
  [124] = {.lex_state = 35, .external_lex_state = 2},
  [125] = {.lex_state = 6, .external_lex_state = 4},
  [126] = {.lex_state = 6, .external_lex_state = 4},
  [127] = {.lex_state = 35, .external_lex_state = 2},
  [128] = {.lex_state = 35, .external_lex_state = 2},
  [129] = {.lex_state = 35, .external_lex_state = 2},
  [130] = {.lex_state = 35, .external_lex_state = 2},
  [131] = {.lex_state = 35, .external_lex_state = 2},
  [132] = {.lex_state = 35, .external_lex_state = 2},
  [133] = {.lex_state = 6, .external_lex_state = 4},
  [134] = {.lex_state = 35, .external_lex_state = 2},
  [135] = {.lex_state = 35, .external_lex_state = 2},
  [136] = {.lex_state = 6, .external_lex_state = 3},
  [137] = {.lex_state = 6, .external_lex_state = 3},
  [138] = {.lex_state = 6, .external_lex_state = 3},
  [139] = {.lex_state = 6, .external_lex_state = 3},
  [140] = {.lex_state = 6, .external_lex_state = 3},
  [141] = {.lex_state = 6, .external_lex_state = 3},
  [142] = {.lex_state = 6, .external_lex_state = 3},
  [143] = {.lex_state = 6, .external_lex_state = 3},
  [144] = {.lex_state = 6, .external_lex_state = 3},
  [145] = {.lex_state = 6, .external_lex_state = 3},
  [146] = {.lex_state = 6, .external_lex_state = 3},
  [147] = {.lex_state = 6, .external_lex_state = 3},
  [148] = {.lex_state = 35, .external_lex_state = 2},
  [149] = {.lex_state = 6, .external_lex_state = 3},
  [150] = {.lex_state = 35, .external_lex_state = 2},
  [151] = {.lex_state = 6, .external_lex_state = 3},
  [152] = {.lex_state = 35, .external_lex_state = 2},
  [153] = {.lex_state = 6, .external_lex_state = 3},
  [154] = {.lex_state = 6, .external_lex_state = 4},
  [155] = {.lex_state = 35, .external_lex_state = 2},
  [156] = {.lex_state = 10, .external_lex_state = 4},
  [157] = {.lex_state = 10, .external_lex_state = 4},
  [158] = {.lex_state = 6, .external_lex_state = 4},
  [159] = {.lex_state = 6, .external_lex_state = 4},
  [160] = {.lex_state = 35, .external_lex_state = 2},
  [161] = {.lex_state = 6, .external_lex_state = 4},
  [162] = {.lex_state = 6, .external_lex_state = 4},
  [163] = {.lex_state = 6, .external_lex_state = 4},
  [164] = {.lex_state = 6, .external_lex_state = 4},
  [165] = {.lex_state = 6, .external_lex_state = 4},
  [166] = {.lex_state = 35, .external_lex_state = 2},
  [167] = {.lex_state = 35, .external_lex_state = 2},
  [168] = {.lex_state = 35, .external_lex_state = 2},
  [169] = {.lex_state = 6, .external_lex_state = 3},
  [170] = {.lex_state = 10, .external_lex_state = 4},
  [171] = {.lex_state = 10, .external_lex_state = 4},
  [172] = {.lex_state = 6, .external_lex_state = 3},
  [173] = {.lex_state = 6, .external_lex_state = 3},
  [174] = {.lex_state = 6, .external_lex_state = 3},
  [175] = {.lex_state = 6, .external_lex_state = 4},
  [176] = {.lex_state = 11, .external_lex_state = 3},
  [177] = {.lex_state = 6, .external_lex_state = 3},
  [178] = {.lex_state = 6, .external_lex_state = 3},
  [179] = {.lex_state = 6, .external_lex_state = 4},
  [180] = {.lex_state = 6, .external_lex_state = 3},
  [181] = {.lex_state = 6, .external_lex_state = 3},
  [182] = {.lex_state = 6, .external_lex_state = 4},
  [183] = {.lex_state = 11, .external_lex_state = 3},
  [184] = {.lex_state = 6, .external_lex_state = 3},
  [185] = {.lex_state = 6, .external_lex_state = 3},
  [186] = {.lex_state = 11, .external_lex_state = 3},
  [187] = {.lex_state = 6, .external_lex_state = 3},
  [188] = {.lex_state = 6, .external_lex_state = 3},
  [189] = {.lex_state = 6, .external_lex_state = 3},
  [190] = {.lex_state = 10, .external_lex_state = 3},
  [191] = {.lex_state = 6, .external_lex_state = 3},
  [192] = {.lex_state = 10, .external_lex_state = 3},
  [193] = {.lex_state = 10, .external_lex_state = 3},
  [194] = {.lex_state = 10, .external_lex_state = 3},
  [195] = {.lex_state = 6, .external_lex_state = 3},
  [196] = {.lex_state = 6, .external_lex_state = 3},
  [197] = {.lex_state = 6, .external_lex_state = 3},
  [198] = {.lex_state = 35, .external_lex_state = 2},
  [199] = {.lex_state = 6, .external_lex_state = 3},
  [200] = {.lex_state = 6, .external_lex_state = 3},
  [201] = {.lex_state = 6, .external_lex_state = 3},
  [202] = {.lex_state = 6, .external_lex_state = 3},
  [203] = {.lex_state = 6, .external_lex_state = 3},
  [204] = {.lex_state = 6, .external_lex_state = 3},
  [205] = {.lex_state = 6, .external_lex_state = 3},
  [206] = {.lex_state = 6, .external_lex_state = 3},
  [207] = {.lex_state = 6, .external_lex_state = 3},
  [208] = {.lex_state = 35, .external_lex_state = 2},
  [209] = {.lex_state = 35, .external_lex_state = 2},
  [210] = {.lex_state = 35, .external_lex_state = 2},
  [211] = {.lex_state = 35, .external_lex_state = 2},
  [212] = {.lex_state = 35, .external_lex_state = 2},
  [213] = {.lex_state = 35, .external_lex_state = 2},
  [214] = {.lex_state = 35, .external_lex_state = 2},
  [215] = {.lex_state = 35, .external_lex_state = 2},
  [216] = {.lex_state = 35, .external_lex_state = 2},
  [217] = {.lex_state = 35, .external_lex_state = 2},
  [218] = {.lex_state = 35, .external_lex_state = 2},
  [219] = {.lex_state = 35, .external_lex_state = 2},
  [220] = {.lex_state = 12, .external_lex_state = 3},
  [221] = {.lex_state = 12, .external_lex_state = 4},
  [222] = {.lex_state = 13, .external_lex_state = 4},
  [223] = {.lex_state = 12, .external_lex_state = 3},
  [224] = {.lex_state = 12, .external_lex_state = 4},
  [225] = {.lex_state = 16, .external_lex_state = 3},
  [226] = {.lex_state = 12, .external_lex_state = 3},
  [227] = {.lex_state = 13, .external_lex_state = 3},
  [228] = {.lex_state = 12, .external_lex_state = 3},
  [229] = {.lex_state = 47, .external_lex_state = 2},
  [230] = {.lex_state = 47, .external_lex_state = 2},
  [231] = {.lex_state = 47, .external_lex_state = 2},
  [232] = {.lex_state = 47, .external_lex_state = 2},
  [233] = {.lex_state = 47, .external_lex_state = 2},
  [234] = {.lex_state = 47, .external_lex_state = 2},
  [235] = {.lex_state = 47, .external_lex_state = 2},
  [236] = {.lex_state = 47, .external_lex_state = 2},
  [237] = {.lex_state = 47, .external_lex_state = 2},
  [238] = {.lex_state = 47, .external_lex_state = 2},
  [239] = {.lex_state = 47, .external_lex_state = 2},
  [240] = {.lex_state = 47, .external_lex_state = 2},
  [241] = {.lex_state = 17, .external_lex_state = 3},
  [242] = {.lex_state = 19, .external_lex_state = 4},
  [243] = {.lex_state = 17, .external_lex_state = 4},
  [244] = {.lex_state = 17, .external_lex_state = 3},
  [245] = {.lex_state = 17, .external_lex_state = 3},
  [246] = {.lex_state = 20, .external_lex_state = 3},
  [247] = {.lex_state = 37, .external_lex_state = 2},
  [248] = {.lex_state = 17, .external_lex_state = 3},
  [249] = {.lex_state = 17, .external_lex_state = 3},
  [250] = {.lex_state = 17, .external_lex_state = 4},
  [251] = {.lex_state = 17, .external_lex_state = 3},
  [252] = {.lex_state = 37, .external_lex_state = 2},
  [253] = {.lex_state = 37, .external_lex_state = 2},
  [254] = {.lex_state = 37, .external_lex_state = 2},
  [255] = {.lex_state = 37, .external_lex_state = 2},
  [256] = {.lex_state = 17, .external_lex_state = 3},
  [257] = {.lex_state = 37, .external_lex_state = 2},
  [258] = {.lex_state = 37, .external_lex_state = 2},
  [259] = {.lex_state = 37, .external_lex_state = 2},
  [260] = {.lex_state = 37, .external_lex_state = 2},
  [261] = {.lex_state = 17, .external_lex_state = 3},
  [262] = {.lex_state = 19, .external_lex_state = 3},
  [263] = {.lex_state = 37, .external_lex_state = 2},
  [264] = {.lex_state = 37, .external_lex_state = 2},
  [265] = {.lex_state = 37, .external_lex_state = 2},
  [266] = {.lex_state = 37, .external_lex_state = 2},
  [267] = {.lex_state = 37, .external_lex_state = 2},
  [268] = {.lex_state = 17, .external_lex_state = 3},
  [269] = {.lex_state = 37, .external_lex_state = 2},
  [270] = {.lex_state = 37, .external_lex_state = 2},
  [271] = {.lex_state = 36, .external_lex_state = 2},
  [272] = {.lex_state = 37, .external_lex_state = 2},
  [273] = {.lex_state = 37, .external_lex_state = 2},
  [274] = {.lex_state = 37, .external_lex_state = 2},
  [275] = {.lex_state = 37, .external_lex_state = 2},
  [276] = {.lex_state = 37, .external_lex_state = 2},
  [277] = {.lex_state = 36, .external_lex_state = 5},
  [278] = {.lex_state = 46, .external_lex_state = 2},
  [279] = {.lex_state = 46, .external_lex_state = 2},
  [280] = {.lex_state = 46, .external_lex_state = 2},
  [281] = {.lex_state = 46, .external_lex_state = 2},
  [282] = {.lex_state = 46, .external_lex_state = 2},
  [283] = {.lex_state = 37, .external_lex_state = 2},
  [284] = {.lex_state = 37, .external_lex_state = 2},
  [285] = {.lex_state = 36, .external_lex_state = 2},
  [286] = {.lex_state = 37, .external_lex_state = 2},
  [287] = {.lex_state = 37, .external_lex_state = 2},
  [288] = {.lex_state = 37, .external_lex_state = 2},
  [289] = {.lex_state = 37, .external_lex_state = 2},
  [290] = {.lex_state = 15, .external_lex_state = 4},
  [291] = {.lex_state = 37, .external_lex_state = 2},
  [292] = {.lex_state = 15, .external_lex_state = 4},
  [293] = {.lex_state = 15, .external_lex_state = 4},
  [294] = {.lex_state = 15, .external_lex_state = 4},
  [295] = {.lex_state = 15, .external_lex_state = 4},
  [296] = {.lex_state = 15, .external_lex_state = 4},
  [297] = {.lex_state = 36, .external_lex_state = 2},
  [298] = {.lex_state = 37, .external_lex_state = 2},
  [299] = {.lex_state = 36, .external_lex_state = 2},
  [300] = {.lex_state = 15, .external_lex_state = 4},
  [301] = {.lex_state = 37, .external_lex_state = 2},
  [302] = {.lex_state = 15, .external_lex_state = 4},
  [303] = {.lex_state = 15, .external_lex_state = 4},
  [304] = {.lex_state = 399, .external_lex_state = 4},
  [305] = {.lex_state = 399, .external_lex_state = 4},
  [306] = {.lex_state = 399, .external_lex_state = 4},
  [307] = {.lex_state = 37, .external_lex_state = 2},
  [308] = {.lex_state = 15, .external_lex_state = 4},
  [309] = {.lex_state = 15, .external_lex_state = 4},
  [310] = {.lex_state = 15, .external_lex_state = 4},
  [311] = {.lex_state = 15, .external_lex_state = 4},
  [312] = {.lex_state = 15, .external_lex_state = 4},
  [313] = {.lex_state = 15, .external_lex_state = 4},
  [314] = {.lex_state = 15, .external_lex_state = 4},
  [315] = {.lex_state = 15, .external_lex_state = 4},
  [316] = {.lex_state = 15, .external_lex_state = 4},
  [317] = {.lex_state = 399, .external_lex_state = 4},
  [318] = {.lex_state = 15, .external_lex_state = 4},
  [319] = {.lex_state = 37, .external_lex_state = 2},
  [320] = {.lex_state = 15, .external_lex_state = 4},
  [321] = {.lex_state = 15, .external_lex_state = 4},
  [322] = {.lex_state = 15, .external_lex_state = 4},
  [323] = {.lex_state = 15, .external_lex_state = 4},
  [324] = {.lex_state = 37, .external_lex_state = 2},
  [325] = {.lex_state = 15, .external_lex_state = 4},
  [326] = {.lex_state = 15, .external_lex_state = 4},
  [327] = {.lex_state = 37, .external_lex_state = 2},
  [328] = {.lex_state = 15, .external_lex_state = 4},
  [329] = {.lex_state = 14, .external_lex_state = 4},
  [330] = {.lex_state = 15, .external_lex_state = 4},
  [331] = {.lex_state = 37, .external_lex_state = 2},
  [332] = {.lex_state = 14, .external_lex_state = 4},
  [333] = {.lex_state = 15, .external_lex_state = 4},
  [334] = {.lex_state = 36, .external_lex_state = 2},
  [335] = {.lex_state = 14, .external_lex_state = 4},
  [336] = {.lex_state = 36, .external_lex_state = 2},
  [337] = {.lex_state = 15, .external_lex_state = 4},
  [338] = {.lex_state = 37, .external_lex_state = 2},
  [339] = {.lex_state = 36, .external_lex_state = 2},
  [340] = {.lex_state = 14, .external_lex_state = 4},
  [341] = {.lex_state = 36, .external_lex_state = 2},
  [342] = {.lex_state = 36, .external_lex_state = 2},
  [343] = {.lex_state = 37, .external_lex_state = 2},
  [344] = {.lex_state = 37, .external_lex_state = 2},
  [345] = {.lex_state = 399, .external_lex_state = 4},
  [346] = {.lex_state = 399, .external_lex_state = 4},
  [347] = {.lex_state = 14, .external_lex_state = 4},
  [348] = {.lex_state = 14, .external_lex_state = 4},
  [349] = {.lex_state = 14, .external_lex_state = 4},
  [350] = {.lex_state = 14, .external_lex_state = 4},
  [351] = {.lex_state = 37, .external_lex_state = 2},
  [352] = {.lex_state = 399, .external_lex_state = 4},
  [353] = {.lex_state = 399, .external_lex_state = 4},
  [354] = {.lex_state = 14, .external_lex_state = 4},
  [355] = {.lex_state = 14, .external_lex_state = 4},
  [356] = {.lex_state = 37, .external_lex_state = 2},
  [357] = {.lex_state = 37, .external_lex_state = 2},
  [358] = {.lex_state = 14, .external_lex_state = 4},
  [359] = {.lex_state = 399, .external_lex_state = 4},
  [360] = {.lex_state = 399, .external_lex_state = 4},
  [361] = {.lex_state = 14, .external_lex_state = 4},
  [362] = {.lex_state = 399, .external_lex_state = 4},
  [363] = {.lex_state = 14, .external_lex_state = 4},
  [364] = {.lex_state = 399, .external_lex_state = 4},
  [365] = {.lex_state = 37, .external_lex_state = 2},
  [366] = {.lex_state = 14, .external_lex_state = 4},
  [367] = {.lex_state = 37, .external_lex_state = 2},
  [368] = {.lex_state = 37, .external_lex_state = 2},
  [369] = {.lex_state = 399, .external_lex_state = 4},
  [370] = {.lex_state = 399, .external_lex_state = 4},
  [371] = {.lex_state = 14, .external_lex_state = 4},
  [372] = {.lex_state = 37, .external_lex_state = 2},
  [373] = {.lex_state = 399, .external_lex_state = 4},
  [374] = {.lex_state = 399, .external_lex_state = 4},
  [375] = {.lex_state = 399, .external_lex_state = 4},
  [376] = {.lex_state = 399, .external_lex_state = 4},
  [377] = {.lex_state = 37, .external_lex_state = 2},
  [378] = {.lex_state = 37, .external_lex_state = 2},
  [379] = {.lex_state = 399, .external_lex_state = 4},
  [380] = {.lex_state = 399, .external_lex_state = 4},
  [381] = {.lex_state = 399, .external_lex_state = 4},
  [382] = {.lex_state = 14, .external_lex_state = 4},
  [383] = {.lex_state = 399, .external_lex_state = 4},
  [384] = {.lex_state = 37, .external_lex_state = 2},
  [385] = {.lex_state = 398, .external_lex_state = 4},
  [386] = {.lex_state = 399, .external_lex_state = 4},
  [387] = {.lex_state = 14, .external_lex_state = 4},
  [388] = {.lex_state = 398, .external_lex_state = 4},
  [389] = {.lex_state = 398, .external_lex_state = 4},
  [390] = {.lex_state = 14, .external_lex_state = 4},
  [391] = {.lex_state = 14, .external_lex_state = 4},
  [392] = {.lex_state = 398, .external_lex_state = 4},
  [393] = {.lex_state = 14, .external_lex_state = 4},
  [394] = {.lex_state = 37, .external_lex_state = 2},
  [395] = {.lex_state = 37, .external_lex_state = 2},
  [396] = {.lex_state = 399, .external_lex_state = 4},
  [397] = {.lex_state = 37, .external_lex_state = 2},
  [398] = {.lex_state = 14, .external_lex_state = 4},
  [399] = {.lex_state = 37, .external_lex_state = 2},
  [400] = {.lex_state = 399, .external_lex_state = 4},
  [401] = {.lex_state = 37, .external_lex_state = 2},
  [402] = {.lex_state = 14, .external_lex_state = 4},
  [403] = {.lex_state = 14, .external_lex_state = 4},
  [404] = {.lex_state = 37, .external_lex_state = 2},
  [405] = {.lex_state = 37, .external_lex_state = 2},
  [406] = {.lex_state = 37, .external_lex_state = 2},
  [407] = {.lex_state = 399, .external_lex_state = 4},
  [408] = {.lex_state = 14, .external_lex_state = 4},
  [409] = {.lex_state = 14, .external_lex_state = 4},
  [410] = {.lex_state = 37, .external_lex_state = 2},
  [411] = {.lex_state = 14, .external_lex_state = 4},
  [412] = {.lex_state = 14, .external_lex_state = 4},
  [413] = {.lex_state = 37, .external_lex_state = 2},
  [414] = {.lex_state = 399, .external_lex_state = 4},
  [415] = {.lex_state = 37, .external_lex_state = 2},
  [416] = {.lex_state = 14, .external_lex_state = 4},
  [417] = {.lex_state = 399, .external_lex_state = 4},
  [418] = {.lex_state = 37, .external_lex_state = 2},
  [419] = {.lex_state = 37, .external_lex_state = 2},
  [420] = {.lex_state = 14, .external_lex_state = 4},
  [421] = {.lex_state = 37, .external_lex_state = 2},
  [422] = {.lex_state = 399, .external_lex_state = 4},
  [423] = {.lex_state = 37, .external_lex_state = 5},
  [424] = {.lex_state = 398, .external_lex_state = 4},
  [425] = {.lex_state = 37, .external_lex_state = 5},
  [426] = {.lex_state = 398, .external_lex_state = 4},
  [427] = {.lex_state = 398, .external_lex_state = 4},
  [428] = {.lex_state = 37, .external_lex_state = 5},
  [429] = {.lex_state = 37, .external_lex_state = 2},
  [430] = {.lex_state = 37, .external_lex_state = 2},
  [431] = {.lex_state = 398, .external_lex_state = 4},
  [432] = {.lex_state = 398, .external_lex_state = 4},
  [433] = {.lex_state = 37, .external_lex_state = 2},
  [434] = {.lex_state = 398, .external_lex_state = 4},
  [435] = {.lex_state = 398, .external_lex_state = 4},
  [436] = {.lex_state = 398, .external_lex_state = 4},
  [437] = {.lex_state = 6, .external_lex_state = 3},
  [438] = {.lex_state = 398, .external_lex_state = 4},
  [439] = {.lex_state = 398, .external_lex_state = 4},
  [440] = {.lex_state = 6, .external_lex_state = 3},
  [441] = {.lex_state = 6, .external_lex_state = 3},
  [442] = {.lex_state = 6, .external_lex_state = 3},
  [443] = {.lex_state = 398, .external_lex_state = 4},
  [444] = {.lex_state = 37, .external_lex_state = 2},
  [445] = {.lex_state = 398, .external_lex_state = 4},
  [446] = {.lex_state = 398, .external_lex_state = 4},
  [447] = {.lex_state = 398, .external_lex_state = 4},
  [448] = {.lex_state = 398, .external_lex_state = 4},
  [449] = {.lex_state = 398, .external_lex_state = 4},
  [450] = {.lex_state = 398, .external_lex_state = 4},
  [451] = {.lex_state = 37, .external_lex_state = 5},
  [452] = {.lex_state = 398, .external_lex_state = 4},
  [453] = {.lex_state = 398, .external_lex_state = 4},
  [454] = {.lex_state = 398, .external_lex_state = 4},
  [455] = {.lex_state = 398, .external_lex_state = 4},
  [456] = {.lex_state = 398, .external_lex_state = 4},
  [457] = {.lex_state = 398, .external_lex_state = 4},
  [458] = {.lex_state = 37, .external_lex_state = 5},
  [459] = {.lex_state = 398, .external_lex_state = 4},
  [460] = {.lex_state = 398, .external_lex_state = 4},
  [461] = {.lex_state = 37, .external_lex_state = 2},
  [462] = {.lex_state = 46, .external_lex_state = 2},
  [463] = {.lex_state = 37, .external_lex_state = 2},
  [464] = {.lex_state = 37, .external_lex_state = 2},
  [465] = {.lex_state = 37, .external_lex_state = 2},
  [466] = {.lex_state = 37, .external_lex_state = 2},
  [467] = {.lex_state = 37, .external_lex_state = 2},
  [468] = {.lex_state = 37, .external_lex_state = 2},
  [469] = {.lex_state = 37, .external_lex_state = 2},
  [470] = {.lex_state = 37, .external_lex_state = 2},
  [471] = {.lex_state = 37, .external_lex_state = 2},
  [472] = {.lex_state = 37, .external_lex_state = 2},
  [473] = {.lex_state = 37, .external_lex_state = 2},
  [474] = {.lex_state = 37, .external_lex_state = 2},
  [475] = {.lex_state = 37, .external_lex_state = 2},
  [476] = {.lex_state = 37, .external_lex_state = 2},
  [477] = {.lex_state = 37, .external_lex_state = 2},
  [478] = {.lex_state = 37, .external_lex_state = 2},
  [479] = {.lex_state = 37, .external_lex_state = 2},
  [480] = {.lex_state = 37, .external_lex_state = 2},
  [481] = {.lex_state = 37, .external_lex_state = 2},
  [482] = {.lex_state = 37, .external_lex_state = 2},
  [483] = {.lex_state = 37, .external_lex_state = 2},
  [484] = {.lex_state = 37, .external_lex_state = 2},
  [485] = {.lex_state = 37, .external_lex_state = 2},
  [486] = {.lex_state = 37, .external_lex_state = 2},
  [487] = {.lex_state = 37, .external_lex_state = 2},
  [488] = {.lex_state = 37, .external_lex_state = 2},
  [489] = {.lex_state = 37, .external_lex_state = 2},
  [490] = {.lex_state = 37, .external_lex_state = 2},
  [491] = {.lex_state = 37, .external_lex_state = 2},
  [492] = {.lex_state = 37, .external_lex_state = 2},
  [493] = {.lex_state = 37, .external_lex_state = 2},
  [494] = {.lex_state = 37, .external_lex_state = 2},
  [495] = {.lex_state = 37, .external_lex_state = 2},
  [496] = {.lex_state = 37, .external_lex_state = 2},
  [497] = {.lex_state = 37, .external_lex_state = 2},
  [498] = {.lex_state = 37, .external_lex_state = 2},
  [499] = {.lex_state = 37, .external_lex_state = 2},
  [500] = {.lex_state = 37, .external_lex_state = 2},
  [501] = {.lex_state = 37, .external_lex_state = 2},
  [502] = {.lex_state = 37, .external_lex_state = 2},
  [503] = {.lex_state = 37, .external_lex_state = 2},
  [504] = {.lex_state = 37, .external_lex_state = 2},
  [505] = {.lex_state = 37, .external_lex_state = 2},
  [506] = {.lex_state = 37, .external_lex_state = 2},
  [507] = {.lex_state = 37, .external_lex_state = 2},
  [508] = {.lex_state = 37, .external_lex_state = 2},
  [509] = {.lex_state = 37, .external_lex_state = 2},
  [510] = {.lex_state = 37, .external_lex_state = 2},
  [511] = {.lex_state = 37, .external_lex_state = 2},
  [512] = {.lex_state = 37, .external_lex_state = 2},
  [513] = {.lex_state = 37, .external_lex_state = 2},
  [514] = {.lex_state = 37, .external_lex_state = 2},
  [515] = {.lex_state = 37, .external_lex_state = 2},
  [516] = {.lex_state = 37, .external_lex_state = 2},
  [517] = {.lex_state = 37, .external_lex_state = 2},
  [518] = {.lex_state = 37, .external_lex_state = 2},
  [519] = {.lex_state = 37, .external_lex_state = 2},
  [520] = {.lex_state = 37, .external_lex_state = 2},
  [521] = {.lex_state = 37, .external_lex_state = 2},
  [522] = {.lex_state = 37, .external_lex_state = 2},
  [523] = {.lex_state = 37, .external_lex_state = 2},
  [524] = {.lex_state = 37, .external_lex_state = 2},
  [525] = {.lex_state = 37, .external_lex_state = 2},
  [526] = {.lex_state = 37, .external_lex_state = 2},
  [527] = {.lex_state = 37, .external_lex_state = 2},
  [528] = {.lex_state = 37, .external_lex_state = 2},
  [529] = {.lex_state = 37, .external_lex_state = 2},
  [530] = {.lex_state = 37, .external_lex_state = 2},
  [531] = {.lex_state = 37, .external_lex_state = 2},
  [532] = {.lex_state = 37, .external_lex_state = 2},
  [533] = {.lex_state = 37, .external_lex_state = 2},
  [534] = {.lex_state = 37, .external_lex_state = 2},
  [535] = {.lex_state = 37, .external_lex_state = 2},
  [536] = {.lex_state = 37, .external_lex_state = 2},
  [537] = {.lex_state = 37, .external_lex_state = 2},
  [538] = {.lex_state = 37, .external_lex_state = 2},
  [539] = {.lex_state = 37, .external_lex_state = 2},
  [540] = {.lex_state = 37, .external_lex_state = 2},
  [541] = {.lex_state = 37, .external_lex_state = 2},
  [542] = {.lex_state = 37, .external_lex_state = 2},
  [543] = {.lex_state = 37, .external_lex_state = 2},
  [544] = {.lex_state = 37, .external_lex_state = 2},
  [545] = {.lex_state = 37, .external_lex_state = 2},
  [546] = {.lex_state = 37, .external_lex_state = 2},
  [547] = {.lex_state = 37, .external_lex_state = 2},
  [548] = {.lex_state = 37, .external_lex_state = 2},
  [549] = {.lex_state = 37, .external_lex_state = 2},
  [550] = {.lex_state = 37, .external_lex_state = 2},
  [551] = {.lex_state = 37, .external_lex_state = 2},
  [552] = {.lex_state = 37, .external_lex_state = 2},
  [553] = {.lex_state = 37, .external_lex_state = 2},
  [554] = {.lex_state = 37, .external_lex_state = 2},
  [555] = {.lex_state = 37, .external_lex_state = 2},
  [556] = {.lex_state = 37, .external_lex_state = 2},
  [557] = {.lex_state = 37, .external_lex_state = 2},
  [558] = {.lex_state = 37, .external_lex_state = 2},
  [559] = {.lex_state = 37, .external_lex_state = 2},
  [560] = {.lex_state = 37, .external_lex_state = 2},
  [561] = {.lex_state = 37, .external_lex_state = 2},
  [562] = {.lex_state = 37, .external_lex_state = 2},
  [563] = {.lex_state = 37, .external_lex_state = 2},
  [564] = {.lex_state = 37, .external_lex_state = 2},
  [565] = {.lex_state = 37, .external_lex_state = 2},
  [566] = {.lex_state = 37, .external_lex_state = 2},
  [567] = {.lex_state = 37, .external_lex_state = 2},
  [568] = {.lex_state = 37, .external_lex_state = 2},
  [569] = {.lex_state = 37, .external_lex_state = 2},
  [570] = {.lex_state = 37, .external_lex_state = 2},
  [571] = {.lex_state = 37, .external_lex_state = 2},
  [572] = {.lex_state = 37, .external_lex_state = 2},
  [573] = {.lex_state = 37, .external_lex_state = 2},
  [574] = {.lex_state = 37, .external_lex_state = 2},
  [575] = {.lex_state = 37, .external_lex_state = 2},
  [576] = {.lex_state = 37, .external_lex_state = 2},
  [577] = {.lex_state = 37, .external_lex_state = 2},
  [578] = {.lex_state = 37, .external_lex_state = 2},
  [579] = {.lex_state = 37, .external_lex_state = 2},
  [580] = {.lex_state = 37, .external_lex_state = 2},
  [581] = {.lex_state = 37, .external_lex_state = 2},
  [582] = {.lex_state = 37, .external_lex_state = 2},
  [583] = {.lex_state = 37, .external_lex_state = 2},
  [584] = {.lex_state = 37, .external_lex_state = 2},
  [585] = {.lex_state = 37, .external_lex_state = 2},
  [586] = {.lex_state = 37, .external_lex_state = 2},
  [587] = {.lex_state = 37, .external_lex_state = 2},
  [588] = {.lex_state = 37, .external_lex_state = 2},
  [589] = {.lex_state = 37, .external_lex_state = 2},
  [590] = {.lex_state = 37, .external_lex_state = 2},
  [591] = {.lex_state = 37, .external_lex_state = 2},
  [592] = {.lex_state = 37, .external_lex_state = 2},
  [593] = {.lex_state = 37, .external_lex_state = 2},
  [594] = {.lex_state = 37, .external_lex_state = 2},
  [595] = {.lex_state = 37, .external_lex_state = 2},
  [596] = {.lex_state = 37, .external_lex_state = 2},
  [597] = {.lex_state = 37, .external_lex_state = 2},
  [598] = {.lex_state = 37, .external_lex_state = 2},
  [599] = {.lex_state = 37, .external_lex_state = 2},
  [600] = {.lex_state = 37, .external_lex_state = 2},
  [601] = {.lex_state = 37, .external_lex_state = 2},
  [602] = {.lex_state = 37, .external_lex_state = 2},
  [603] = {.lex_state = 37, .external_lex_state = 2},
  [604] = {.lex_state = 37, .external_lex_state = 2},
  [605] = {.lex_state = 37, .external_lex_state = 2},
  [606] = {.lex_state = 37, .external_lex_state = 2},
  [607] = {.lex_state = 37, .external_lex_state = 2},
  [608] = {.lex_state = 37, .external_lex_state = 2},
  [609] = {.lex_state = 37, .external_lex_state = 2},
  [610] = {.lex_state = 37, .external_lex_state = 2},
  [611] = {.lex_state = 37, .external_lex_state = 2},
  [612] = {.lex_state = 37, .external_lex_state = 2},
  [613] = {.lex_state = 37, .external_lex_state = 2},
  [614] = {.lex_state = 37, .external_lex_state = 2},
  [615] = {.lex_state = 37, .external_lex_state = 2},
  [616] = {.lex_state = 37, .external_lex_state = 2},
  [617] = {.lex_state = 37, .external_lex_state = 2},
  [618] = {.lex_state = 37, .external_lex_state = 2},
  [619] = {.lex_state = 37, .external_lex_state = 2},
  [620] = {.lex_state = 37, .external_lex_state = 2},
  [621] = {.lex_state = 37, .external_lex_state = 2},
  [622] = {.lex_state = 37, .external_lex_state = 2},
  [623] = {.lex_state = 37, .external_lex_state = 2},
  [624] = {.lex_state = 37, .external_lex_state = 2},
  [625] = {.lex_state = 37, .external_lex_state = 2},
  [626] = {.lex_state = 37, .external_lex_state = 2},
  [627] = {.lex_state = 37, .external_lex_state = 2},
  [628] = {.lex_state = 37, .external_lex_state = 2},
  [629] = {.lex_state = 37, .external_lex_state = 2},
  [630] = {.lex_state = 37, .external_lex_state = 2},
  [631] = {.lex_state = 37, .external_lex_state = 2},
  [632] = {.lex_state = 37, .external_lex_state = 2},
  [633] = {.lex_state = 37, .external_lex_state = 2},
  [634] = {.lex_state = 37, .external_lex_state = 2},
  [635] = {.lex_state = 37, .external_lex_state = 2},
  [636] = {.lex_state = 37, .external_lex_state = 2},
  [637] = {.lex_state = 37, .external_lex_state = 2},
  [638] = {.lex_state = 37, .external_lex_state = 2},
  [639] = {.lex_state = 37, .external_lex_state = 2},
  [640] = {.lex_state = 37, .external_lex_state = 2},
  [641] = {.lex_state = 37, .external_lex_state = 2},
  [642] = {.lex_state = 37, .external_lex_state = 2},
  [643] = {.lex_state = 37, .external_lex_state = 2},
  [644] = {.lex_state = 37, .external_lex_state = 2},
  [645] = {.lex_state = 37, .external_lex_state = 2},
  [646] = {.lex_state = 37, .external_lex_state = 2},
  [647] = {.lex_state = 37, .external_lex_state = 2},
  [648] = {.lex_state = 37, .external_lex_state = 2},
  [649] = {.lex_state = 37, .external_lex_state = 2},
  [650] = {.lex_state = 37, .external_lex_state = 2},
  [651] = {.lex_state = 37, .external_lex_state = 2},
  [652] = {.lex_state = 37, .external_lex_state = 2},
  [653] = {.lex_state = 37, .external_lex_state = 2},
  [654] = {.lex_state = 37, .external_lex_state = 2},
  [655] = {.lex_state = 37, .external_lex_state = 2},
  [656] = {.lex_state = 37, .external_lex_state = 2},
  [657] = {.lex_state = 37, .external_lex_state = 2},
  [658] = {.lex_state = 37, .external_lex_state = 2},
  [659] = {.lex_state = 37, .external_lex_state = 2},
  [660] = {.lex_state = 37, .external_lex_state = 2},
  [661] = {.lex_state = 37, .external_lex_state = 2},
  [662] = {.lex_state = 37, .external_lex_state = 2},
  [663] = {.lex_state = 37, .external_lex_state = 2},
  [664] = {.lex_state = 37, .external_lex_state = 2},
  [665] = {.lex_state = 37, .external_lex_state = 2},
  [666] = {.lex_state = 37, .external_lex_state = 2},
  [667] = {.lex_state = 37, .external_lex_state = 2},
  [668] = {.lex_state = 37, .external_lex_state = 2},
  [669] = {.lex_state = 37, .external_lex_state = 2},
  [670] = {.lex_state = 37, .external_lex_state = 2},
  [671] = {.lex_state = 37, .external_lex_state = 2},
  [672] = {.lex_state = 37, .external_lex_state = 2},
  [673] = {.lex_state = 37, .external_lex_state = 2},
  [674] = {.lex_state = 37, .external_lex_state = 2},
  [675] = {.lex_state = 37, .external_lex_state = 2},
  [676] = {.lex_state = 37, .external_lex_state = 2},
  [677] = {.lex_state = 37, .external_lex_state = 2},
  [678] = {.lex_state = 37, .external_lex_state = 2},
  [679] = {.lex_state = 37, .external_lex_state = 2},
  [680] = {.lex_state = 37, .external_lex_state = 2},
  [681] = {.lex_state = 37, .external_lex_state = 2},
  [682] = {.lex_state = 37, .external_lex_state = 2},
  [683] = {.lex_state = 37, .external_lex_state = 2},
  [684] = {.lex_state = 37, .external_lex_state = 2},
  [685] = {.lex_state = 37, .external_lex_state = 2},
  [686] = {.lex_state = 37, .external_lex_state = 2},
  [687] = {.lex_state = 37, .external_lex_state = 2},
  [688] = {.lex_state = 37, .external_lex_state = 2},
  [689] = {.lex_state = 37, .external_lex_state = 2},
  [690] = {.lex_state = 37, .external_lex_state = 2},
  [691] = {.lex_state = 37, .external_lex_state = 2},
  [692] = {.lex_state = 37, .external_lex_state = 2},
  [693] = {.lex_state = 37, .external_lex_state = 2},
  [694] = {.lex_state = 37, .external_lex_state = 2},
  [695] = {.lex_state = 37, .external_lex_state = 2},
  [696] = {.lex_state = 37, .external_lex_state = 2},
  [697] = {.lex_state = 37, .external_lex_state = 2},
  [698] = {.lex_state = 37, .external_lex_state = 2},
  [699] = {.lex_state = 37, .external_lex_state = 2},
  [700] = {.lex_state = 37, .external_lex_state = 2},
  [701] = {.lex_state = 37, .external_lex_state = 2},
  [702] = {.lex_state = 37, .external_lex_state = 2},
  [703] = {.lex_state = 37, .external_lex_state = 2},
  [704] = {.lex_state = 37, .external_lex_state = 2},
  [705] = {.lex_state = 37, .external_lex_state = 2},
  [706] = {.lex_state = 37, .external_lex_state = 2},
  [707] = {.lex_state = 37, .external_lex_state = 2},
  [708] = {.lex_state = 37, .external_lex_state = 2},
  [709] = {.lex_state = 37, .external_lex_state = 2},
  [710] = {.lex_state = 37, .external_lex_state = 2},
  [711] = {.lex_state = 37, .external_lex_state = 2},
  [712] = {.lex_state = 37, .external_lex_state = 2},
  [713] = {.lex_state = 37, .external_lex_state = 2},
  [714] = {.lex_state = 37, .external_lex_state = 2},
  [715] = {.lex_state = 37, .external_lex_state = 2},
  [716] = {.lex_state = 37, .external_lex_state = 2},
  [717] = {.lex_state = 37, .external_lex_state = 2},
  [718] = {.lex_state = 37, .external_lex_state = 2},
  [719] = {.lex_state = 37, .external_lex_state = 2},
  [720] = {.lex_state = 37, .external_lex_state = 2},
  [721] = {.lex_state = 37, .external_lex_state = 2},
  [722] = {.lex_state = 37, .external_lex_state = 2},
  [723] = {.lex_state = 37, .external_lex_state = 2},
  [724] = {.lex_state = 37, .external_lex_state = 2},
  [725] = {.lex_state = 37, .external_lex_state = 2},
  [726] = {.lex_state = 37, .external_lex_state = 2},
  [727] = {.lex_state = 37, .external_lex_state = 2},
  [728] = {.lex_state = 37, .external_lex_state = 2},
  [729] = {.lex_state = 37, .external_lex_state = 2},
  [730] = {.lex_state = 37, .external_lex_state = 2},
  [731] = {.lex_state = 37, .external_lex_state = 2},
  [732] = {.lex_state = 37, .external_lex_state = 2},
  [733] = {.lex_state = 37, .external_lex_state = 2},
  [734] = {.lex_state = 37, .external_lex_state = 2},
  [735] = {.lex_state = 37, .external_lex_state = 2},
  [736] = {.lex_state = 37, .external_lex_state = 2},
  [737] = {.lex_state = 37, .external_lex_state = 2},
  [738] = {.lex_state = 37, .external_lex_state = 2},
  [739] = {.lex_state = 37, .external_lex_state = 2},
  [740] = {.lex_state = 37, .external_lex_state = 2},
  [741] = {.lex_state = 37, .external_lex_state = 2},
  [742] = {.lex_state = 37, .external_lex_state = 2},
  [743] = {.lex_state = 37, .external_lex_state = 2},
  [744] = {.lex_state = 37, .external_lex_state = 2},
  [745] = {.lex_state = 37, .external_lex_state = 2},
  [746] = {.lex_state = 37, .external_lex_state = 2},
  [747] = {.lex_state = 37, .external_lex_state = 2},
  [748] = {.lex_state = 37, .external_lex_state = 2},
  [749] = {.lex_state = 37, .external_lex_state = 2},
  [750] = {.lex_state = 37, .external_lex_state = 2},
  [751] = {.lex_state = 37, .external_lex_state = 2},
  [752] = {.lex_state = 37, .external_lex_state = 2},
  [753] = {.lex_state = 37, .external_lex_state = 2},
  [754] = {.lex_state = 37, .external_lex_state = 2},
  [755] = {.lex_state = 37, .external_lex_state = 2},
  [756] = {.lex_state = 37, .external_lex_state = 2},
  [757] = {.lex_state = 37, .external_lex_state = 2},
  [758] = {.lex_state = 37, .external_lex_state = 2},
  [759] = {.lex_state = 37, .external_lex_state = 2},
  [760] = {.lex_state = 37, .external_lex_state = 2},
  [761] = {.lex_state = 37, .external_lex_state = 2},
  [762] = {.lex_state = 37, .external_lex_state = 2},
  [763] = {.lex_state = 37, .external_lex_state = 2},
  [764] = {.lex_state = 37, .external_lex_state = 2},
  [765] = {.lex_state = 37, .external_lex_state = 2},
  [766] = {.lex_state = 37, .external_lex_state = 2},
  [767] = {.lex_state = 37, .external_lex_state = 2},
  [768] = {.lex_state = 37, .external_lex_state = 2},
  [769] = {.lex_state = 37, .external_lex_state = 2},
  [770] = {.lex_state = 37, .external_lex_state = 2},
  [771] = {.lex_state = 37, .external_lex_state = 2},
  [772] = {.lex_state = 37, .external_lex_state = 2},
  [773] = {.lex_state = 37, .external_lex_state = 2},
  [774] = {.lex_state = 37, .external_lex_state = 2},
  [775] = {.lex_state = 37, .external_lex_state = 2},
  [776] = {.lex_state = 37, .external_lex_state = 2},
  [777] = {.lex_state = 37, .external_lex_state = 2},
  [778] = {.lex_state = 37, .external_lex_state = 2},
  [779] = {.lex_state = 37, .external_lex_state = 2},
  [780] = {.lex_state = 37, .external_lex_state = 2},
  [781] = {.lex_state = 37, .external_lex_state = 2},
  [782] = {.lex_state = 37, .external_lex_state = 2},
  [783] = {.lex_state = 37, .external_lex_state = 2},
  [784] = {.lex_state = 37, .external_lex_state = 2},
  [785] = {.lex_state = 37, .external_lex_state = 2},
  [786] = {.lex_state = 37, .external_lex_state = 2},
  [787] = {.lex_state = 37, .external_lex_state = 2},
  [788] = {.lex_state = 37, .external_lex_state = 2},
  [789] = {.lex_state = 37, .external_lex_state = 2},
  [790] = {.lex_state = 37, .external_lex_state = 2},
  [791] = {.lex_state = 37, .external_lex_state = 2},
  [792] = {.lex_state = 37, .external_lex_state = 2},
  [793] = {.lex_state = 37, .external_lex_state = 2},
  [794] = {.lex_state = 37, .external_lex_state = 2},
  [795] = {.lex_state = 37, .external_lex_state = 2},
  [796] = {.lex_state = 37, .external_lex_state = 2},
  [797] = {.lex_state = 37, .external_lex_state = 2},
  [798] = {.lex_state = 37, .external_lex_state = 2},
  [799] = {.lex_state = 37, .external_lex_state = 2},
  [800] = {.lex_state = 37, .external_lex_state = 2},
  [801] = {.lex_state = 37, .external_lex_state = 2},
  [802] = {.lex_state = 37, .external_lex_state = 2},
  [803] = {.lex_state = 37, .external_lex_state = 2},
  [804] = {.lex_state = 37, .external_lex_state = 2},
  [805] = {.lex_state = 400, .external_lex_state = 4},
  [806] = {.lex_state = 400, .external_lex_state = 4},
  [807] = {.lex_state = 400, .external_lex_state = 4},
  [808] = {.lex_state = 8, .external_lex_state = 4},
  [809] = {.lex_state = 8, .external_lex_state = 4},
  [810] = {.lex_state = 8, .external_lex_state = 4},
  [811] = {.lex_state = 400, .external_lex_state = 4},
  [812] = {.lex_state = 400, .external_lex_state = 4},
  [813] = {.lex_state = 400, .external_lex_state = 4},
  [814] = {.lex_state = 400, .external_lex_state = 4},
  [815] = {.lex_state = 400, .external_lex_state = 4},
  [816] = {.lex_state = 400, .external_lex_state = 4},
  [817] = {.lex_state = 400, .external_lex_state = 4},
  [818] = {.lex_state = 400, .external_lex_state = 4},
  [819] = {.lex_state = 9, .external_lex_state = 4},
  [820] = {.lex_state = 9, .external_lex_state = 4},
  [821] = {.lex_state = 9, .external_lex_state = 4},
  [822] = {.lex_state = 9, .external_lex_state = 4},
  [823] = {.lex_state = 9, .external_lex_state = 4},
  [824] = {.lex_state = 9, .external_lex_state = 4},
  [825] = {.lex_state = 9, .external_lex_state = 4},
  [826] = {.lex_state = 9, .external_lex_state = 4},
  [827] = {.lex_state = 9, .external_lex_state = 4},
  [828] = {.lex_state = 400, .external_lex_state = 4},
  [829] = {.lex_state = 400, .external_lex_state = 4},
  [830] = {.lex_state = 400, .external_lex_state = 4},
  [831] = {.lex_state = 400, .external_lex_state = 4},
  [832] = {.lex_state = 400, .external_lex_state = 4},
  [833] = {.lex_state = 400, .external_lex_state = 4},
  [834] = {.lex_state = 400, .external_lex_state = 4},
  [835] = {.lex_state = 400, .external_lex_state = 4},
  [836] = {.lex_state = 9, .external_lex_state = 4},
  [837] = {.lex_state = 9, .external_lex_state = 4},
  [838] = {.lex_state = 9, .external_lex_state = 4},
  [839] = {.lex_state = 9, .external_lex_state = 4},
  [840] = {.lex_state = 400, .external_lex_state = 4},
  [841] = {.lex_state = 400, .external_lex_state = 4},
  [842] = {.lex_state = 400, .external_lex_state = 4},
  [843] = {.lex_state = 9, .external_lex_state = 4},
  [844] = {.lex_state = 9, .external_lex_state = 4},
  [845] = {.lex_state = 23, .external_lex_state = 3},
  [846] = {.lex_state = 23, .external_lex_state = 3},
  [847] = {.lex_state = 23, .external_lex_state = 3},
  [848] = {.lex_state = 23, .external_lex_state = 3},
  [849] = {.lex_state = 23, .external_lex_state = 3},
  [850] = {.lex_state = 23, .external_lex_state = 4},
  [851] = {.lex_state = 25, .external_lex_state = 4},
  [852] = {.lex_state = 23, .external_lex_state = 4},
  [853] = {.lex_state = 23, .external_lex_state = 4},
  [854] = {.lex_state = 23, .external_lex_state = 4},
  [855] = {.lex_state = 25, .external_lex_state = 4},
  [856] = {.lex_state = 23, .external_lex_state = 3},
  [857] = {.lex_state = 23, .external_lex_state = 4},
  [858] = {.lex_state = 25, .external_lex_state = 4},
  [859] = {.lex_state = 23, .external_lex_state = 4},
  [860] = {.lex_state = 23, .external_lex_state = 4},
  [861] = {.lex_state = 23, .external_lex_state = 3},
  [862] = {.lex_state = 26, .external_lex_state = 3},
  [863] = {.lex_state = 26, .external_lex_state = 3},
  [864] = {.lex_state = 23, .external_lex_state = 4},
  [865] = {.lex_state = 23, .external_lex_state = 4},
  [866] = {.lex_state = 23, .external_lex_state = 3},
  [867] = {.lex_state = 23, .external_lex_state = 3},
  [868] = {.lex_state = 23, .external_lex_state = 4},
  [869] = {.lex_state = 43, .external_lex_state = 2},
  [870] = {.lex_state = 23, .external_lex_state = 4},
  [871] = {.lex_state = 23, .external_lex_state = 4},
  [872] = {.lex_state = 23, .external_lex_state = 4},
  [873] = {.lex_state = 23, .external_lex_state = 3},
  [874] = {.lex_state = 23, .external_lex_state = 4},
  [875] = {.lex_state = 23, .external_lex_state = 4},
  [876] = {.lex_state = 23, .external_lex_state = 3},
  [877] = {.lex_state = 23, .external_lex_state = 3},
  [878] = {.lex_state = 407, .external_lex_state = 2},
  [879] = {.lex_state = 25, .external_lex_state = 3},
  [880] = {.lex_state = 42, .external_lex_state = 2},
  [881] = {.lex_state = 23, .external_lex_state = 3},
  [882] = {.lex_state = 23, .external_lex_state = 3},
  [883] = {.lex_state = 25, .external_lex_state = 3},
  [884] = {.lex_state = 25, .external_lex_state = 3},
  [885] = {.lex_state = 43, .external_lex_state = 5},
  [886] = {.lex_state = 43, .external_lex_state = 5},
  [887] = {.lex_state = 23, .external_lex_state = 3},
  [888] = {.lex_state = 23, .external_lex_state = 3},
  [889] = {.lex_state = 43, .external_lex_state = 2},
  [890] = {.lex_state = 42, .external_lex_state = 5},
  [891] = {.lex_state = 406, .external_lex_state = 2},
  [892] = {.lex_state = 41, .external_lex_state = 2},
  [893] = {.lex_state = 23, .external_lex_state = 3},
  [894] = {.lex_state = 41, .external_lex_state = 2},
  [895] = {.lex_state = 23, .external_lex_state = 3},
  [896] = {.lex_state = 45, .external_lex_state = 5},
  [897] = {.lex_state = 23, .external_lex_state = 3},
  [898] = {.lex_state = 23, .external_lex_state = 3},
  [899] = {.lex_state = 23, .external_lex_state = 3},
  [900] = {.lex_state = 407, .external_lex_state = 5},
  [901] = {.lex_state = 407, .external_lex_state = 5},
  [902] = {.lex_state = 42, .external_lex_state = 5},
  [903] = {.lex_state = 23, .external_lex_state = 3},
  [904] = {.lex_state = 43, .external_lex_state = 2},
  [905] = {.lex_state = 23, .external_lex_state = 3},
  [906] = {.lex_state = 23, .external_lex_state = 3},
  [907] = {.lex_state = 23, .external_lex_state = 3},
  [908] = {.lex_state = 45, .external_lex_state = 5},
  [909] = {.lex_state = 45, .external_lex_state = 2},
  [910] = {.lex_state = 407, .external_lex_state = 2},
  [911] = {.lex_state = 40, .external_lex_state = 2},
  [912] = {.lex_state = 41, .external_lex_state = 5},
  [913] = {.lex_state = 42, .external_lex_state = 2},
  [914] = {.lex_state = 41, .external_lex_state = 5},
  [915] = {.lex_state = 44, .external_lex_state = 5},
  [916] = {.lex_state = 41, .external_lex_state = 2},
  [917] = {.lex_state = 41, .external_lex_state = 2},
  [918] = {.lex_state = 41, .external_lex_state = 5},
  [919] = {.lex_state = 45, .external_lex_state = 2},
  [920] = {.lex_state = 405, .external_lex_state = 5},
  [921] = {.lex_state = 41, .external_lex_state = 5},
  [922] = {.lex_state = 41, .external_lex_state = 5},
  [923] = {.lex_state = 407, .external_lex_state = 2},
  [924] = {.lex_state = 41, .external_lex_state = 5},
  [925] = {.lex_state = 406, .external_lex_state = 5},
  [926] = {.lex_state = 41, .external_lex_state = 2},
  [927] = {.lex_state = 42, .external_lex_state = 2},
  [928] = {.lex_state = 41, .external_lex_state = 5},
  [929] = {.lex_state = 41, .external_lex_state = 5},
  [930] = {.lex_state = 44, .external_lex_state = 5},
  [931] = {.lex_state = 405, .external_lex_state = 2},
  [932] = {.lex_state = 41, .external_lex_state = 5},
  [933] = {.lex_state = 41, .external_lex_state = 2},
  [934] = {.lex_state = 41, .external_lex_state = 5},
  [935] = {.lex_state = 40, .external_lex_state = 2},
  [936] = {.lex_state = 403, .external_lex_state = 2},
  [937] = {.lex_state = 44, .external_lex_state = 2},
  [938] = {.lex_state = 45, .external_lex_state = 2},
  [939] = {.lex_state = 41, .external_lex_state = 5},
  [940] = {.lex_state = 45, .external_lex_state = 2},
  [941] = {.lex_state = 41, .external_lex_state = 2},
  [942] = {.lex_state = 403, .external_lex_state = 2},
  [943] = {.lex_state = 41, .external_lex_state = 5},
  [944] = {.lex_state = 41, .external_lex_state = 5},
  [945] = {.lex_state = 41, .external_lex_state = 5},
  [946] = {.lex_state = 41, .external_lex_state = 5},
  [947] = {.lex_state = 41, .external_lex_state = 5},
  [948] = {.lex_state = 41, .external_lex_state = 5},
  [949] = {.lex_state = 406, .external_lex_state = 5},
  [950] = {.lex_state = 41, .external_lex_state = 5},
  [951] = {.lex_state = 41, .external_lex_state = 5},
  [952] = {.lex_state = 41, .external_lex_state = 5},
  [953] = {.lex_state = 405, .external_lex_state = 5},
  [954] = {.lex_state = 45, .external_lex_state = 2},
  [955] = {.lex_state = 45, .external_lex_state = 2},
  [956] = {.lex_state = 41, .external_lex_state = 2},
  [957] = {.lex_state = 40, .external_lex_state = 5},
  [958] = {.lex_state = 402, .external_lex_state = 2},
  [959] = {.lex_state = 402, .external_lex_state = 2},
  [960] = {.lex_state = 406, .external_lex_state = 2},
  [961] = {.lex_state = 40, .external_lex_state = 2},
  [962] = {.lex_state = 40, .external_lex_state = 2},
  [963] = {.lex_state = 403, .external_lex_state = 2},
  [964] = {.lex_state = 403, .external_lex_state = 5},
  [965] = {.lex_state = 406, .external_lex_state = 2},
  [966] = {.lex_state = 405, .external_lex_state = 2},
  [967] = {.lex_state = 41, .external_lex_state = 2},
  [968] = {.lex_state = 403, .external_lex_state = 5},
  [969] = {.lex_state = 41, .external_lex_state = 2},
  [970] = {.lex_state = 403, .external_lex_state = 5},
  [971] = {.lex_state = 403, .external_lex_state = 5},
  [972] = {.lex_state = 403, .external_lex_state = 5},
  [973] = {.lex_state = 403, .external_lex_state = 5},
  [974] = {.lex_state = 40, .external_lex_state = 2},
  [975] = {.lex_state = 403, .external_lex_state = 5},
  [976] = {.lex_state = 403, .external_lex_state = 5},
  [977] = {.lex_state = 41, .external_lex_state = 2},
  [978] = {.lex_state = 41, .external_lex_state = 2},
  [979] = {.lex_state = 41, .external_lex_state = 2},
  [980] = {.lex_state = 41, .external_lex_state = 2},
  [981] = {.lex_state = 41, .external_lex_state = 2},
  [982] = {.lex_state = 403, .external_lex_state = 5},
  [983] = {.lex_state = 403, .external_lex_state = 5},
  [984] = {.lex_state = 403, .external_lex_state = 2},
  [985] = {.lex_state = 403, .external_lex_state = 2},
  [986] = {.lex_state = 403, .external_lex_state = 5},
  [987] = {.lex_state = 403, .external_lex_state = 5},
  [988] = {.lex_state = 403, .external_lex_state = 5},
  [989] = {.lex_state = 40, .external_lex_state = 5},
  [990] = {.lex_state = 403, .external_lex_state = 5},
  [991] = {.lex_state = 403, .external_lex_state = 5},
  [992] = {.lex_state = 40, .external_lex_state = 5},
  [993] = {.lex_state = 40, .external_lex_state = 5},
  [994] = {.lex_state = 405, .external_lex_state = 2},
  [995] = {.lex_state = 41, .external_lex_state = 2},
  [996] = {.lex_state = 41, .external_lex_state = 2},
  [997] = {.lex_state = 405, .external_lex_state = 2},
  [998] = {.lex_state = 404, .external_lex_state = 2},
  [999] = {.lex_state = 405, .external_lex_state = 2},
  [1000] = {.lex_state = 44, .external_lex_state = 2},
  [1001] = {.lex_state = 40, .external_lex_state = 5},
  [1002] = {.lex_state = 40, .external_lex_state = 5},
  [1003] = {.lex_state = 40, .external_lex_state = 5},
  [1004] = {.lex_state = 40, .external_lex_state = 5},
  [1005] = {.lex_state = 44, .external_lex_state = 2},
  [1006] = {.lex_state = 44, .external_lex_state = 2},
  [1007] = {.lex_state = 41, .external_lex_state = 2},
  [1008] = {.lex_state = 41, .external_lex_state = 2},
  [1009] = {.lex_state = 404, .external_lex_state = 5},
  [1010] = {.lex_state = 404, .external_lex_state = 5},
  [1011] = {.lex_state = 41, .external_lex_state = 2},
  [1012] = {.lex_state = 41, .external_lex_state = 2},
  [1013] = {.lex_state = 40, .external_lex_state = 5},
  [1014] = {.lex_state = 403, .external_lex_state = 5},
  [1015] = {.lex_state = 41, .external_lex_state = 2},
  [1016] = {.lex_state = 41, .external_lex_state = 2},
  [1017] = {.lex_state = 41, .external_lex_state = 2},
  [1018] = {.lex_state = 41, .external_lex_state = 2},
  [1019] = {.lex_state = 41, .external_lex_state = 2},
  [1020] = {.lex_state = 41, .external_lex_state = 2},
  [1021] = {.lex_state = 41, .external_lex_state = 2},
  [1022] = {.lex_state = 41, .external_lex_state = 2},
  [1023] = {.lex_state = 41, .external_lex_state = 2},
  [1024] = {.lex_state = 41, .external_lex_state = 2},
  [1025] = {.lex_state = 41, .external_lex_state = 2},
  [1026] = {.lex_state = 41, .external_lex_state = 2},
  [1027] = {.lex_state = 41, .external_lex_state = 2},
  [1028] = {.lex_state = 41, .external_lex_state = 2},
  [1029] = {.lex_state = 41, .external_lex_state = 2},
  [1030] = {.lex_state = 41, .external_lex_state = 2},
  [1031] = {.lex_state = 41, .external_lex_state = 2},
  [1032] = {.lex_state = 41, .external_lex_state = 2},
  [1033] = {.lex_state = 41, .external_lex_state = 2},
  [1034] = {.lex_state = 41, .external_lex_state = 2},
  [1035] = {.lex_state = 41, .external_lex_state = 2},
  [1036] = {.lex_state = 41, .external_lex_state = 2},
  [1037] = {.lex_state = 41, .external_lex_state = 2},
  [1038] = {.lex_state = 41, .external_lex_state = 2},
  [1039] = {.lex_state = 403, .external_lex_state = 2},
  [1040] = {.lex_state = 41, .external_lex_state = 2},
  [1041] = {.lex_state = 41, .external_lex_state = 2},
  [1042] = {.lex_state = 41, .external_lex_state = 2},
  [1043] = {.lex_state = 41, .external_lex_state = 2},
  [1044] = {.lex_state = 41, .external_lex_state = 2},
  [1045] = {.lex_state = 41, .external_lex_state = 2},
  [1046] = {.lex_state = 41, .external_lex_state = 2},
  [1047] = {.lex_state = 41, .external_lex_state = 2},
  [1048] = {.lex_state = 41, .external_lex_state = 2},
  [1049] = {.lex_state = 41, .external_lex_state = 2},
  [1050] = {.lex_state = 41, .external_lex_state = 2},
  [1051] = {.lex_state = 41, .external_lex_state = 2},
  [1052] = {.lex_state = 41, .external_lex_state = 2},
  [1053] = {.lex_state = 41, .external_lex_state = 2},
  [1054] = {.lex_state = 41, .external_lex_state = 2},
  [1055] = {.lex_state = 41, .external_lex_state = 2},
  [1056] = {.lex_state = 41, .external_lex_state = 2},
  [1057] = {.lex_state = 41, .external_lex_state = 2},
  [1058] = {.lex_state = 41, .external_lex_state = 2},
  [1059] = {.lex_state = 41, .external_lex_state = 2},
  [1060] = {.lex_state = 41, .external_lex_state = 2},
  [1061] = {.lex_state = 403, .external_lex_state = 2},
  [1062] = {.lex_state = 41, .external_lex_state = 2},
  [1063] = {.lex_state = 41, .external_lex_state = 2},
  [1064] = {.lex_state = 41, .external_lex_state = 2},
  [1065] = {.lex_state = 41, .external_lex_state = 2},
  [1066] = {.lex_state = 41, .external_lex_state = 2},
  [1067] = {.lex_state = 41, .external_lex_state = 2},
  [1068] = {.lex_state = 41, .external_lex_state = 2},
  [1069] = {.lex_state = 41, .external_lex_state = 2},
  [1070] = {.lex_state = 40, .external_lex_state = 5},
  [1071] = {.lex_state = 41, .external_lex_state = 2},
  [1072] = {.lex_state = 41, .external_lex_state = 2},
  [1073] = {.lex_state = 41, .external_lex_state = 2},
  [1074] = {.lex_state = 41, .external_lex_state = 2},
  [1075] = {.lex_state = 41, .external_lex_state = 2},
  [1076] = {.lex_state = 41, .external_lex_state = 2},
  [1077] = {.lex_state = 41, .external_lex_state = 2},
  [1078] = {.lex_state = 405, .external_lex_state = 2},
  [1079] = {.lex_state = 41, .external_lex_state = 2},
  [1080] = {.lex_state = 41, .external_lex_state = 2},
  [1081] = {.lex_state = 41, .external_lex_state = 2},
  [1082] = {.lex_state = 403, .external_lex_state = 5},
  [1083] = {.lex_state = 41, .external_lex_state = 2},
  [1084] = {.lex_state = 41, .external_lex_state = 2},
  [1085] = {.lex_state = 41, .external_lex_state = 2},
  [1086] = {.lex_state = 41, .external_lex_state = 2},
  [1087] = {.lex_state = 41, .external_lex_state = 2},
  [1088] = {.lex_state = 41, .external_lex_state = 2},
  [1089] = {.lex_state = 41, .external_lex_state = 2},
  [1090] = {.lex_state = 41, .external_lex_state = 2},
  [1091] = {.lex_state = 41, .external_lex_state = 2},
  [1092] = {.lex_state = 41, .external_lex_state = 2},
  [1093] = {.lex_state = 41, .external_lex_state = 2},
  [1094] = {.lex_state = 41, .external_lex_state = 2},
  [1095] = {.lex_state = 41, .external_lex_state = 2},
  [1096] = {.lex_state = 41, .external_lex_state = 2},
  [1097] = {.lex_state = 41, .external_lex_state = 2},
  [1098] = {.lex_state = 41, .external_lex_state = 2},
  [1099] = {.lex_state = 41, .external_lex_state = 2},
  [1100] = {.lex_state = 41, .external_lex_state = 2},
  [1101] = {.lex_state = 41, .external_lex_state = 2},
  [1102] = {.lex_state = 41, .external_lex_state = 2},
  [1103] = {.lex_state = 41, .external_lex_state = 2},
  [1104] = {.lex_state = 41, .external_lex_state = 2},
  [1105] = {.lex_state = 41, .external_lex_state = 2},
  [1106] = {.lex_state = 41, .external_lex_state = 2},
  [1107] = {.lex_state = 41, .external_lex_state = 2},
  [1108] = {.lex_state = 41, .external_lex_state = 2},
  [1109] = {.lex_state = 41, .external_lex_state = 2},
  [1110] = {.lex_state = 41, .external_lex_state = 2},
  [1111] = {.lex_state = 41, .external_lex_state = 2},
  [1112] = {.lex_state = 41, .external_lex_state = 2},
  [1113] = {.lex_state = 41, .external_lex_state = 2},
  [1114] = {.lex_state = 41, .external_lex_state = 2},
  [1115] = {.lex_state = 41, .external_lex_state = 2},
  [1116] = {.lex_state = 41, .external_lex_state = 2},
  [1117] = {.lex_state = 41, .external_lex_state = 2},
  [1118] = {.lex_state = 403, .external_lex_state = 5},
  [1119] = {.lex_state = 41, .external_lex_state = 2},
  [1120] = {.lex_state = 41, .external_lex_state = 2},
  [1121] = {.lex_state = 41, .external_lex_state = 2},
  [1122] = {.lex_state = 41, .external_lex_state = 2},
  [1123] = {.lex_state = 41, .external_lex_state = 2},
  [1124] = {.lex_state = 41, .external_lex_state = 2},
  [1125] = {.lex_state = 41, .external_lex_state = 2},
  [1126] = {.lex_state = 403, .external_lex_state = 5},
  [1127] = {.lex_state = 41, .external_lex_state = 2},
  [1128] = {.lex_state = 41, .external_lex_state = 2},
  [1129] = {.lex_state = 40, .external_lex_state = 5},
  [1130] = {.lex_state = 41, .external_lex_state = 2},
  [1131] = {.lex_state = 41, .external_lex_state = 2},
  [1132] = {.lex_state = 41, .external_lex_state = 2},
  [1133] = {.lex_state = 41, .external_lex_state = 2},
  [1134] = {.lex_state = 41, .external_lex_state = 2},
  [1135] = {.lex_state = 41, .external_lex_state = 2},
  [1136] = {.lex_state = 41, .external_lex_state = 2},
  [1137] = {.lex_state = 41, .external_lex_state = 2},
  [1138] = {.lex_state = 41, .external_lex_state = 2},
  [1139] = {.lex_state = 41, .external_lex_state = 2},
  [1140] = {.lex_state = 41, .external_lex_state = 2},
  [1141] = {.lex_state = 41, .external_lex_state = 2},
  [1142] = {.lex_state = 41, .external_lex_state = 2},
  [1143] = {.lex_state = 41, .external_lex_state = 2},
  [1144] = {.lex_state = 41, .external_lex_state = 2},
  [1145] = {.lex_state = 40, .external_lex_state = 5},
  [1146] = {.lex_state = 41, .external_lex_state = 2},
  [1147] = {.lex_state = 41, .external_lex_state = 2},
  [1148] = {.lex_state = 41, .external_lex_state = 2},
  [1149] = {.lex_state = 41, .external_lex_state = 2},
  [1150] = {.lex_state = 41, .external_lex_state = 2},
  [1151] = {.lex_state = 41, .external_lex_state = 2},
  [1152] = {.lex_state = 41, .external_lex_state = 2},
  [1153] = {.lex_state = 41, .external_lex_state = 2},
  [1154] = {.lex_state = 41, .external_lex_state = 2},
  [1155] = {.lex_state = 40, .external_lex_state = 5},
  [1156] = {.lex_state = 40, .external_lex_state = 5},
  [1157] = {.lex_state = 44, .external_lex_state = 2},
  [1158] = {.lex_state = 40, .external_lex_state = 5},
  [1159] = {.lex_state = 41, .external_lex_state = 2},
  [1160] = {.lex_state = 44, .external_lex_state = 2},
  [1161] = {.lex_state = 41, .external_lex_state = 2},
  [1162] = {.lex_state = 40, .external_lex_state = 5},
  [1163] = {.lex_state = 41, .external_lex_state = 2},
  [1164] = {.lex_state = 41, .external_lex_state = 2},
  [1165] = {.lex_state = 41, .external_lex_state = 2},
  [1166] = {.lex_state = 403, .external_lex_state = 5},
  [1167] = {.lex_state = 41, .external_lex_state = 2},
  [1168] = {.lex_state = 40, .external_lex_state = 5},
  [1169] = {.lex_state = 41, .external_lex_state = 2},
  [1170] = {.lex_state = 41, .external_lex_state = 2},
  [1171] = {.lex_state = 41, .external_lex_state = 2},
  [1172] = {.lex_state = 41, .external_lex_state = 2},
  [1173] = {.lex_state = 41, .external_lex_state = 2},
  [1174] = {.lex_state = 41, .external_lex_state = 2},
  [1175] = {.lex_state = 41, .external_lex_state = 2},
  [1176] = {.lex_state = 40, .external_lex_state = 5},
  [1177] = {.lex_state = 40, .external_lex_state = 5},
  [1178] = {.lex_state = 40, .external_lex_state = 5},
  [1179] = {.lex_state = 41, .external_lex_state = 2},
  [1180] = {.lex_state = 41, .external_lex_state = 2},
  [1181] = {.lex_state = 41, .external_lex_state = 2},
  [1182] = {.lex_state = 41, .external_lex_state = 2},
  [1183] = {.lex_state = 41, .external_lex_state = 2},
  [1184] = {.lex_state = 41, .external_lex_state = 2},
  [1185] = {.lex_state = 41, .external_lex_state = 2},
  [1186] = {.lex_state = 41, .external_lex_state = 2},
  [1187] = {.lex_state = 402, .external_lex_state = 5},
  [1188] = {.lex_state = 403, .external_lex_state = 2},
  [1189] = {.lex_state = 40, .external_lex_state = 2},
  [1190] = {.lex_state = 403, .external_lex_state = 2},
  [1191] = {.lex_state = 40, .external_lex_state = 2},
  [1192] = {.lex_state = 40, .external_lex_state = 2},
  [1193] = {.lex_state = 402, .external_lex_state = 2},
  [1194] = {.lex_state = 403, .external_lex_state = 2},
  [1195] = {.lex_state = 403, .external_lex_state = 2},
  [1196] = {.lex_state = 402, .external_lex_state = 5},
  [1197] = {.lex_state = 402, .external_lex_state = 5},
  [1198] = {.lex_state = 40, .external_lex_state = 2},
  [1199] = {.lex_state = 40, .external_lex_state = 2},
  [1200] = {.lex_state = 40, .external_lex_state = 2},
  [1201] = {.lex_state = 40, .external_lex_state = 2},
  [1202] = {.lex_state = 40, .external_lex_state = 2},
  [1203] = {.lex_state = 40, .external_lex_state = 2},
  [1204] = {.lex_state = 402, .external_lex_state = 5},
  [1205] = {.lex_state = 404, .external_lex_state = 2},
  [1206] = {.lex_state = 402, .external_lex_state = 5},
  [1207] = {.lex_state = 403, .external_lex_state = 2},
  [1208] = {.lex_state = 402, .external_lex_state = 5},
  [1209] = {.lex_state = 402, .external_lex_state = 5},
  [1210] = {.lex_state = 402, .external_lex_state = 5},
  [1211] = {.lex_state = 40, .external_lex_state = 2},
  [1212] = {.lex_state = 403, .external_lex_state = 2},
  [1213] = {.lex_state = 40, .external_lex_state = 2},
  [1214] = {.lex_state = 40, .external_lex_state = 2},
  [1215] = {.lex_state = 40, .external_lex_state = 2},
  [1216] = {.lex_state = 40, .external_lex_state = 2},
  [1217] = {.lex_state = 40, .external_lex_state = 2},
  [1218] = {.lex_state = 40, .external_lex_state = 2},
  [1219] = {.lex_state = 40, .external_lex_state = 2},
  [1220] = {.lex_state = 40, .external_lex_state = 2},
  [1221] = {.lex_state = 40, .external_lex_state = 2},
  [1222] = {.lex_state = 40, .external_lex_state = 2},
  [1223] = {.lex_state = 403, .external_lex_state = 2},
  [1224] = {.lex_state = 403, .external_lex_state = 2},
  [1225] = {.lex_state = 403, .external_lex_state = 2},
  [1226] = {.lex_state = 40, .external_lex_state = 2},
  [1227] = {.lex_state = 403, .external_lex_state = 2},
  [1228] = {.lex_state = 403, .external_lex_state = 2},
  [1229] = {.lex_state = 403, .external_lex_state = 2},
  [1230] = {.lex_state = 40, .external_lex_state = 2},
  [1231] = {.lex_state = 403, .external_lex_state = 2},
  [1232] = {.lex_state = 403, .external_lex_state = 2},
  [1233] = {.lex_state = 403, .external_lex_state = 2},
  [1234] = {.lex_state = 403, .external_lex_state = 2},
  [1235] = {.lex_state = 402, .external_lex_state = 5},
  [1236] = {.lex_state = 40, .external_lex_state = 2},
  [1237] = {.lex_state = 40, .external_lex_state = 2},
  [1238] = {.lex_state = 403, .external_lex_state = 2},
  [1239] = {.lex_state = 403, .external_lex_state = 2},
  [1240] = {.lex_state = 40, .external_lex_state = 2},
  [1241] = {.lex_state = 403, .external_lex_state = 2},
  [1242] = {.lex_state = 403, .external_lex_state = 2},
  [1243] = {.lex_state = 40, .external_lex_state = 2},
  [1244] = {.lex_state = 40, .external_lex_state = 2},
  [1245] = {.lex_state = 40, .external_lex_state = 2},
  [1246] = {.lex_state = 40, .external_lex_state = 2},
  [1247] = {.lex_state = 40, .external_lex_state = 2},
  [1248] = {.lex_state = 40, .external_lex_state = 2},
  [1249] = {.lex_state = 40, .external_lex_state = 2},
  [1250] = {.lex_state = 40, .external_lex_state = 2},
  [1251] = {.lex_state = 40, .external_lex_state = 2},
  [1252] = {.lex_state = 403, .external_lex_state = 2},
  [1253] = {.lex_state = 40, .external_lex_state = 2},
  [1254] = {.lex_state = 403, .external_lex_state = 2},
  [1255] = {.lex_state = 403, .external_lex_state = 2},
  [1256] = {.lex_state = 403, .external_lex_state = 2},
  [1257] = {.lex_state = 403, .external_lex_state = 2},
  [1258] = {.lex_state = 403, .external_lex_state = 2},
  [1259] = {.lex_state = 40, .external_lex_state = 2},
  [1260] = {.lex_state = 40, .external_lex_state = 2},
  [1261] = {.lex_state = 403, .external_lex_state = 2},
  [1262] = {.lex_state = 403, .external_lex_state = 2},
  [1263] = {.lex_state = 403, .external_lex_state = 2},
  [1264] = {.lex_state = 403, .external_lex_state = 2},
  [1265] = {.lex_state = 40, .external_lex_state = 2},
  [1266] = {.lex_state = 403, .external_lex_state = 2},
  [1267] = {.lex_state = 40, .external_lex_state = 2},
  [1268] = {.lex_state = 40, .external_lex_state = 2},
  [1269] = {.lex_state = 40, .external_lex_state = 2},
  [1270] = {.lex_state = 40, .external_lex_state = 2},
  [1271] = {.lex_state = 40, .external_lex_state = 2},
  [1272] = {.lex_state = 403, .external_lex_state = 2},
  [1273] = {.lex_state = 403, .external_lex_state = 2},
  [1274] = {.lex_state = 40, .external_lex_state = 2},
  [1275] = {.lex_state = 403, .external_lex_state = 2},
  [1276] = {.lex_state = 403, .external_lex_state = 2},
  [1277] = {.lex_state = 402, .external_lex_state = 5},
  [1278] = {.lex_state = 403, .external_lex_state = 2},
  [1279] = {.lex_state = 403, .external_lex_state = 2},
  [1280] = {.lex_state = 40, .external_lex_state = 2},
  [1281] = {.lex_state = 40, .external_lex_state = 2},
  [1282] = {.lex_state = 40, .external_lex_state = 2},
  [1283] = {.lex_state = 403, .external_lex_state = 2},
  [1284] = {.lex_state = 40, .external_lex_state = 2},
  [1285] = {.lex_state = 403, .external_lex_state = 2},
  [1286] = {.lex_state = 403, .external_lex_state = 2},
  [1287] = {.lex_state = 40, .external_lex_state = 2},
  [1288] = {.lex_state = 40, .external_lex_state = 2},
  [1289] = {.lex_state = 40, .external_lex_state = 2},
  [1290] = {.lex_state = 40, .external_lex_state = 2},
  [1291] = {.lex_state = 40, .external_lex_state = 2},
  [1292] = {.lex_state = 40, .external_lex_state = 2},
  [1293] = {.lex_state = 40, .external_lex_state = 2},
  [1294] = {.lex_state = 403, .external_lex_state = 2},
  [1295] = {.lex_state = 403, .external_lex_state = 2},
  [1296] = {.lex_state = 403, .external_lex_state = 2},
  [1297] = {.lex_state = 403, .external_lex_state = 2},
  [1298] = {.lex_state = 40, .external_lex_state = 2},
  [1299] = {.lex_state = 403, .external_lex_state = 2},
  [1300] = {.lex_state = 403, .external_lex_state = 2},
  [1301] = {.lex_state = 403, .external_lex_state = 2},
  [1302] = {.lex_state = 403, .external_lex_state = 2},
  [1303] = {.lex_state = 403, .external_lex_state = 2},
  [1304] = {.lex_state = 403, .external_lex_state = 2},
  [1305] = {.lex_state = 403, .external_lex_state = 2},
  [1306] = {.lex_state = 403, .external_lex_state = 2},
  [1307] = {.lex_state = 403, .external_lex_state = 2},
  [1308] = {.lex_state = 403, .external_lex_state = 2},
  [1309] = {.lex_state = 403, .external_lex_state = 2},
  [1310] = {.lex_state = 403, .external_lex_state = 2},
  [1311] = {.lex_state = 40, .external_lex_state = 2},
  [1312] = {.lex_state = 40, .external_lex_state = 2},
  [1313] = {.lex_state = 40, .external_lex_state = 2},
  [1314] = {.lex_state = 403, .external_lex_state = 2},
  [1315] = {.lex_state = 403, .external_lex_state = 2},
  [1316] = {.lex_state = 403, .external_lex_state = 2},
  [1317] = {.lex_state = 404, .external_lex_state = 2},
  [1318] = {.lex_state = 404, .external_lex_state = 2},
  [1319] = {.lex_state = 403, .external_lex_state = 2},
  [1320] = {.lex_state = 403, .external_lex_state = 2},
  [1321] = {.lex_state = 403, .external_lex_state = 2},
  [1322] = {.lex_state = 403, .external_lex_state = 2},
  [1323] = {.lex_state = 403, .external_lex_state = 2},
  [1324] = {.lex_state = 403, .external_lex_state = 2},
  [1325] = {.lex_state = 403, .external_lex_state = 2},
  [1326] = {.lex_state = 403, .external_lex_state = 2},
  [1327] = {.lex_state = 403, .external_lex_state = 2},
  [1328] = {.lex_state = 403, .external_lex_state = 2},
  [1329] = {.lex_state = 403, .external_lex_state = 2},
  [1330] = {.lex_state = 403, .external_lex_state = 2},
  [1331] = {.lex_state = 40, .external_lex_state = 2},
  [1332] = {.lex_state = 403, .external_lex_state = 2},
  [1333] = {.lex_state = 40, .external_lex_state = 2},
  [1334] = {.lex_state = 403, .external_lex_state = 2},
  [1335] = {.lex_state = 403, .external_lex_state = 2},
  [1336] = {.lex_state = 403, .external_lex_state = 2},
  [1337] = {.lex_state = 403, .external_lex_state = 2},
  [1338] = {.lex_state = 403, .external_lex_state = 2},
  [1339] = {.lex_state = 403, .external_lex_state = 2},
  [1340] = {.lex_state = 40, .external_lex_state = 2},
  [1341] = {.lex_state = 40, .external_lex_state = 2},
  [1342] = {.lex_state = 40, .external_lex_state = 2},
  [1343] = {.lex_state = 40, .external_lex_state = 2},
  [1344] = {.lex_state = 403, .external_lex_state = 2},
  [1345] = {.lex_state = 40, .external_lex_state = 2},
  [1346] = {.lex_state = 40, .external_lex_state = 2},
  [1347] = {.lex_state = 40, .external_lex_state = 2},
  [1348] = {.lex_state = 40, .external_lex_state = 2},
  [1349] = {.lex_state = 40, .external_lex_state = 2},
  [1350] = {.lex_state = 403, .external_lex_state = 2},
  [1351] = {.lex_state = 403, .external_lex_state = 2},
  [1352] = {.lex_state = 403, .external_lex_state = 2},
  [1353] = {.lex_state = 40, .external_lex_state = 2},
  [1354] = {.lex_state = 403, .external_lex_state = 2},
  [1355] = {.lex_state = 403, .external_lex_state = 2},
  [1356] = {.lex_state = 40, .external_lex_state = 2},
  [1357] = {.lex_state = 40, .external_lex_state = 2},
  [1358] = {.lex_state = 40, .external_lex_state = 2},
  [1359] = {.lex_state = 403, .external_lex_state = 2},
  [1360] = {.lex_state = 403, .external_lex_state = 2},
  [1361] = {.lex_state = 403, .external_lex_state = 2},
  [1362] = {.lex_state = 403, .external_lex_state = 2},
  [1363] = {.lex_state = 403, .external_lex_state = 2},
  [1364] = {.lex_state = 40, .external_lex_state = 2},
  [1365] = {.lex_state = 403, .external_lex_state = 2},
  [1366] = {.lex_state = 403, .external_lex_state = 2},
  [1367] = {.lex_state = 403, .external_lex_state = 2},
  [1368] = {.lex_state = 403, .external_lex_state = 2},
  [1369] = {.lex_state = 403, .external_lex_state = 2},
  [1370] = {.lex_state = 40, .external_lex_state = 2},
  [1371] = {.lex_state = 40, .external_lex_state = 2},
  [1372] = {.lex_state = 40, .external_lex_state = 2},
  [1373] = {.lex_state = 40, .external_lex_state = 2},
  [1374] = {.lex_state = 404, .external_lex_state = 2},
  [1375] = {.lex_state = 403, .external_lex_state = 2},
  [1376] = {.lex_state = 403, .external_lex_state = 2},
  [1377] = {.lex_state = 403, .external_lex_state = 2},
  [1378] = {.lex_state = 403, .external_lex_state = 2},
  [1379] = {.lex_state = 403, .external_lex_state = 2},
  [1380] = {.lex_state = 40, .external_lex_state = 2},
  [1381] = {.lex_state = 402, .external_lex_state = 5},
  [1382] = {.lex_state = 403, .external_lex_state = 2},
  [1383] = {.lex_state = 403, .external_lex_state = 2},
  [1384] = {.lex_state = 40, .external_lex_state = 2},
  [1385] = {.lex_state = 403, .external_lex_state = 2},
  [1386] = {.lex_state = 40, .external_lex_state = 2},
  [1387] = {.lex_state = 403, .external_lex_state = 2},
  [1388] = {.lex_state = 403, .external_lex_state = 2},
  [1389] = {.lex_state = 40, .external_lex_state = 2},
  [1390] = {.lex_state = 403, .external_lex_state = 2},
  [1391] = {.lex_state = 40, .external_lex_state = 2},
  [1392] = {.lex_state = 403, .external_lex_state = 2},
  [1393] = {.lex_state = 40, .external_lex_state = 2},
  [1394] = {.lex_state = 40, .external_lex_state = 2},
  [1395] = {.lex_state = 40, .external_lex_state = 2},
  [1396] = {.lex_state = 40, .external_lex_state = 2},
  [1397] = {.lex_state = 403, .external_lex_state = 2},
  [1398] = {.lex_state = 40, .external_lex_state = 2},
  [1399] = {.lex_state = 40, .external_lex_state = 2},
  [1400] = {.lex_state = 40, .external_lex_state = 2},
  [1401] = {.lex_state = 40, .external_lex_state = 2},
  [1402] = {.lex_state = 40, .external_lex_state = 2},
  [1403] = {.lex_state = 403, .external_lex_state = 2},
  [1404] = {.lex_state = 40, .external_lex_state = 2},
  [1405] = {.lex_state = 403, .external_lex_state = 2},
  [1406] = {.lex_state = 403, .external_lex_state = 2},
  [1407] = {.lex_state = 403, .external_lex_state = 2},
  [1408] = {.lex_state = 404, .external_lex_state = 2},
  [1409] = {.lex_state = 40, .external_lex_state = 2},
  [1410] = {.lex_state = 40, .external_lex_state = 2},
  [1411] = {.lex_state = 40, .external_lex_state = 2},
  [1412] = {.lex_state = 40, .external_lex_state = 2},
  [1413] = {.lex_state = 40, .external_lex_state = 2},
  [1414] = {.lex_state = 40, .external_lex_state = 2},
  [1415] = {.lex_state = 403, .external_lex_state = 2},
  [1416] = {.lex_state = 40, .external_lex_state = 2},
  [1417] = {.lex_state = 403, .external_lex_state = 2},
  [1418] = {.lex_state = 403, .external_lex_state = 2},
  [1419] = {.lex_state = 403, .external_lex_state = 2},
  [1420] = {.lex_state = 40, .external_lex_state = 2},
  [1421] = {.lex_state = 40, .external_lex_state = 2},
  [1422] = {.lex_state = 40, .external_lex_state = 2},
  [1423] = {.lex_state = 40, .external_lex_state = 2},
  [1424] = {.lex_state = 402, .external_lex_state = 5},
  [1425] = {.lex_state = 403, .external_lex_state = 2},
  [1426] = {.lex_state = 403, .external_lex_state = 2},
  [1427] = {.lex_state = 403, .external_lex_state = 2},
  [1428] = {.lex_state = 403, .external_lex_state = 2},
  [1429] = {.lex_state = 403, .external_lex_state = 2},
  [1430] = {.lex_state = 403, .external_lex_state = 2},
  [1431] = {.lex_state = 403, .external_lex_state = 2},
  [1432] = {.lex_state = 40, .external_lex_state = 2},
  [1433] = {.lex_state = 40, .external_lex_state = 2},
  [1434] = {.lex_state = 40, .external_lex_state = 2},
  [1435] = {.lex_state = 40, .external_lex_state = 2},
  [1436] = {.lex_state = 403, .external_lex_state = 2},
  [1437] = {.lex_state = 403, .external_lex_state = 2},
  [1438] = {.lex_state = 403, .external_lex_state = 2},
  [1439] = {.lex_state = 40, .external_lex_state = 2},
  [1440] = {.lex_state = 403, .external_lex_state = 2},
  [1441] = {.lex_state = 40, .external_lex_state = 2},
  [1442] = {.lex_state = 402, .external_lex_state = 2},
  [1443] = {.lex_state = 403, .external_lex_state = 2},
  [1444] = {.lex_state = 403, .external_lex_state = 2},
  [1445] = {.lex_state = 40, .external_lex_state = 2},
  [1446] = {.lex_state = 403, .external_lex_state = 2},
  [1447] = {.lex_state = 40, .external_lex_state = 2},
  [1448] = {.lex_state = 40, .external_lex_state = 2},
  [1449] = {.lex_state = 40, .external_lex_state = 2},
  [1450] = {.lex_state = 40, .external_lex_state = 2},
  [1451] = {.lex_state = 402, .external_lex_state = 5},
  [1452] = {.lex_state = 402, .external_lex_state = 2},
  [1453] = {.lex_state = 403, .external_lex_state = 2},
  [1454] = {.lex_state = 403, .external_lex_state = 2},
  [1455] = {.lex_state = 403, .external_lex_state = 2},
  [1456] = {.lex_state = 403, .external_lex_state = 2},
  [1457] = {.lex_state = 403, .external_lex_state = 2},
  [1458] = {.lex_state = 403, .external_lex_state = 2},
  [1459] = {.lex_state = 40, .external_lex_state = 2},
  [1460] = {.lex_state = 40, .external_lex_state = 2},
  [1461] = {.lex_state = 403, .external_lex_state = 2},
  [1462] = {.lex_state = 40, .external_lex_state = 2},
  [1463] = {.lex_state = 403, .external_lex_state = 2},
  [1464] = {.lex_state = 403, .external_lex_state = 2},
  [1465] = {.lex_state = 403, .external_lex_state = 2},
  [1466] = {.lex_state = 403, .external_lex_state = 2},
  [1467] = {.lex_state = 40, .external_lex_state = 2},
  [1468] = {.lex_state = 403, .external_lex_state = 2},
  [1469] = {.lex_state = 403, .external_lex_state = 2},
  [1470] = {.lex_state = 40, .external_lex_state = 2},
  [1471] = {.lex_state = 403, .external_lex_state = 2},
  [1472] = {.lex_state = 403, .external_lex_state = 2},
  [1473] = {.lex_state = 403, .external_lex_state = 2},
  [1474] = {.lex_state = 40, .external_lex_state = 2},
  [1475] = {.lex_state = 403, .external_lex_state = 2},
  [1476] = {.lex_state = 40, .external_lex_state = 2},
  [1477] = {.lex_state = 403, .external_lex_state = 2},
  [1478] = {.lex_state = 402, .external_lex_state = 5},
  [1479] = {.lex_state = 403, .external_lex_state = 2},
  [1480] = {.lex_state = 403, .external_lex_state = 2},
  [1481] = {.lex_state = 403, .external_lex_state = 2},
  [1482] = {.lex_state = 403, .external_lex_state = 2},
  [1483] = {.lex_state = 40, .external_lex_state = 2},
  [1484] = {.lex_state = 40, .external_lex_state = 2},
  [1485] = {.lex_state = 40, .external_lex_state = 2},
  [1486] = {.lex_state = 403, .external_lex_state = 2},
  [1487] = {.lex_state = 40, .external_lex_state = 2},
  [1488] = {.lex_state = 40, .external_lex_state = 2},
  [1489] = {.lex_state = 40, .external_lex_state = 2},
  [1490] = {.lex_state = 40, .external_lex_state = 2},
  [1491] = {.lex_state = 40, .external_lex_state = 2},
  [1492] = {.lex_state = 40, .external_lex_state = 2},
  [1493] = {.lex_state = 40, .external_lex_state = 2},
  [1494] = {.lex_state = 403, .external_lex_state = 2},
  [1495] = {.lex_state = 403, .external_lex_state = 2},
  [1496] = {.lex_state = 40, .external_lex_state = 2},
  [1497] = {.lex_state = 403, .external_lex_state = 2},
  [1498] = {.lex_state = 403, .external_lex_state = 2},
  [1499] = {.lex_state = 40, .external_lex_state = 2},
  [1500] = {.lex_state = 40, .external_lex_state = 2},
  [1501] = {.lex_state = 403, .external_lex_state = 2},
  [1502] = {.lex_state = 40, .external_lex_state = 2},
  [1503] = {.lex_state = 40, .external_lex_state = 2},
  [1504] = {.lex_state = 40, .external_lex_state = 2},
  [1505] = {.lex_state = 40, .external_lex_state = 2},
  [1506] = {.lex_state = 40, .external_lex_state = 2},
  [1507] = {.lex_state = 40, .external_lex_state = 2},
  [1508] = {.lex_state = 40, .external_lex_state = 2},
  [1509] = {.lex_state = 403, .external_lex_state = 2},
  [1510] = {.lex_state = 403, .external_lex_state = 2},
  [1511] = {.lex_state = 403, .external_lex_state = 2},
  [1512] = {.lex_state = 40, .external_lex_state = 2},
  [1513] = {.lex_state = 40, .external_lex_state = 2},
  [1514] = {.lex_state = 403, .external_lex_state = 2},
  [1515] = {.lex_state = 40, .external_lex_state = 2},
  [1516] = {.lex_state = 403, .external_lex_state = 2},
  [1517] = {.lex_state = 403, .external_lex_state = 2},
  [1518] = {.lex_state = 403, .external_lex_state = 2},
  [1519] = {.lex_state = 403, .external_lex_state = 2},
  [1520] = {.lex_state = 40, .external_lex_state = 2},
  [1521] = {.lex_state = 40, .external_lex_state = 2},
  [1522] = {.lex_state = 40, .external_lex_state = 2},
  [1523] = {.lex_state = 40, .external_lex_state = 2},
  [1524] = {.lex_state = 402, .external_lex_state = 5},
  [1525] = {.lex_state = 40, .external_lex_state = 2},
  [1526] = {.lex_state = 40, .external_lex_state = 2},
  [1527] = {.lex_state = 40, .external_lex_state = 2},
  [1528] = {.lex_state = 40, .external_lex_state = 2},
  [1529] = {.lex_state = 40, .external_lex_state = 2},
  [1530] = {.lex_state = 40, .external_lex_state = 2},
  [1531] = {.lex_state = 40, .external_lex_state = 2},
  [1532] = {.lex_state = 40, .external_lex_state = 2},
  [1533] = {.lex_state = 40, .external_lex_state = 2},
  [1534] = {.lex_state = 403, .external_lex_state = 2},
  [1535] = {.lex_state = 40, .external_lex_state = 2},
  [1536] = {.lex_state = 40, .external_lex_state = 2},
  [1537] = {.lex_state = 40, .external_lex_state = 2},
  [1538] = {.lex_state = 40, .external_lex_state = 2},
  [1539] = {.lex_state = 40, .external_lex_state = 2},
  [1540] = {.lex_state = 402, .external_lex_state = 5},
  [1541] = {.lex_state = 40, .external_lex_state = 2},
  [1542] = {.lex_state = 402, .external_lex_state = 5},
  [1543] = {.lex_state = 402, .external_lex_state = 5},
  [1544] = {.lex_state = 402, .external_lex_state = 5},
  [1545] = {.lex_state = 40, .external_lex_state = 2},
  [1546] = {.lex_state = 402, .external_lex_state = 5},
  [1547] = {.lex_state = 40, .external_lex_state = 2},
  [1548] = {.lex_state = 402, .external_lex_state = 2},
  [1549] = {.lex_state = 402, .external_lex_state = 2},
  [1550] = {.lex_state = 402, .external_lex_state = 2},
  [1551] = {.lex_state = 402, .external_lex_state = 2},
  [1552] = {.lex_state = 402, .external_lex_state = 2},
  [1553] = {.lex_state = 402, .external_lex_state = 2},
  [1554] = {.lex_state = 402, .external_lex_state = 2},
  [1555] = {.lex_state = 402, .external_lex_state = 2},
  [1556] = {.lex_state = 402, .external_lex_state = 2},
  [1557] = {.lex_state = 402, .external_lex_state = 2},
  [1558] = {.lex_state = 402, .external_lex_state = 2},
  [1559] = {.lex_state = 402, .external_lex_state = 2},
  [1560] = {.lex_state = 402, .external_lex_state = 2},
  [1561] = {.lex_state = 402, .external_lex_state = 2},
  [1562] = {.lex_state = 402, .external_lex_state = 2},
  [1563] = {.lex_state = 402, .external_lex_state = 2},
  [1564] = {.lex_state = 402, .external_lex_state = 2},
  [1565] = {.lex_state = 402, .external_lex_state = 2},
  [1566] = {.lex_state = 402, .external_lex_state = 2},
  [1567] = {.lex_state = 402, .external_lex_state = 2},
  [1568] = {.lex_state = 402, .external_lex_state = 2},
  [1569] = {.lex_state = 402, .external_lex_state = 2},
  [1570] = {.lex_state = 402, .external_lex_state = 2},
  [1571] = {.lex_state = 402, .external_lex_state = 2},
  [1572] = {.lex_state = 402, .external_lex_state = 2},
  [1573] = {.lex_state = 402, .external_lex_state = 2},
  [1574] = {.lex_state = 402, .external_lex_state = 2},
  [1575] = {.lex_state = 402, .external_lex_state = 2},
  [1576] = {.lex_state = 402, .external_lex_state = 2},
  [1577] = {.lex_state = 402, .external_lex_state = 2},
  [1578] = {.lex_state = 402, .external_lex_state = 2},
  [1579] = {.lex_state = 402, .external_lex_state = 2},
  [1580] = {.lex_state = 402, .external_lex_state = 2},
  [1581] = {.lex_state = 402, .external_lex_state = 2},
  [1582] = {.lex_state = 402, .external_lex_state = 2},
  [1583] = {.lex_state = 402, .external_lex_state = 2},
  [1584] = {.lex_state = 402, .external_lex_state = 2},
  [1585] = {.lex_state = 402, .external_lex_state = 2},
  [1586] = {.lex_state = 402, .external_lex_state = 2},
  [1587] = {.lex_state = 402, .external_lex_state = 2},
  [1588] = {.lex_state = 402, .external_lex_state = 2},
  [1589] = {.lex_state = 402, .external_lex_state = 2},
  [1590] = {.lex_state = 402, .external_lex_state = 2},
  [1591] = {.lex_state = 402, .external_lex_state = 2},
  [1592] = {.lex_state = 402, .external_lex_state = 2},
  [1593] = {.lex_state = 402, .external_lex_state = 2},
  [1594] = {.lex_state = 402, .external_lex_state = 2},
  [1595] = {.lex_state = 402, .external_lex_state = 2},
  [1596] = {.lex_state = 402, .external_lex_state = 2},
  [1597] = {.lex_state = 402, .external_lex_state = 2},
  [1598] = {.lex_state = 402, .external_lex_state = 2},
  [1599] = {.lex_state = 402, .external_lex_state = 2},
  [1600] = {.lex_state = 402, .external_lex_state = 2},
  [1601] = {.lex_state = 402, .external_lex_state = 2},
  [1602] = {.lex_state = 402, .external_lex_state = 2},
  [1603] = {.lex_state = 402, .external_lex_state = 2},
  [1604] = {.lex_state = 402, .external_lex_state = 2},
  [1605] = {.lex_state = 402, .external_lex_state = 2},
  [1606] = {.lex_state = 402, .external_lex_state = 2},
  [1607] = {.lex_state = 402, .external_lex_state = 2},
  [1608] = {.lex_state = 402, .external_lex_state = 2},
  [1609] = {.lex_state = 402, .external_lex_state = 2},
  [1610] = {.lex_state = 402, .external_lex_state = 2},
  [1611] = {.lex_state = 402, .external_lex_state = 2},
  [1612] = {.lex_state = 402, .external_lex_state = 2},
  [1613] = {.lex_state = 402, .external_lex_state = 2},
  [1614] = {.lex_state = 402, .external_lex_state = 2},
  [1615] = {.lex_state = 402, .external_lex_state = 2},
  [1616] = {.lex_state = 402, .external_lex_state = 2},
  [1617] = {.lex_state = 402, .external_lex_state = 2},
  [1618] = {.lex_state = 402, .external_lex_state = 2},
  [1619] = {.lex_state = 402, .external_lex_state = 2},
  [1620] = {.lex_state = 402, .external_lex_state = 2},
  [1621] = {.lex_state = 402, .external_lex_state = 2},
  [1622] = {.lex_state = 402, .external_lex_state = 2},
  [1623] = {.lex_state = 402, .external_lex_state = 2},
  [1624] = {.lex_state = 402, .external_lex_state = 2},
  [1625] = {.lex_state = 402, .external_lex_state = 2},
  [1626] = {.lex_state = 402, .external_lex_state = 2},
  [1627] = {.lex_state = 402, .external_lex_state = 2},
  [1628] = {.lex_state = 402, .external_lex_state = 2},
  [1629] = {.lex_state = 402, .external_lex_state = 2},
  [1630] = {.lex_state = 402, .external_lex_state = 2},
  [1631] = {.lex_state = 402, .external_lex_state = 2},
  [1632] = {.lex_state = 402, .external_lex_state = 2},
  [1633] = {.lex_state = 402, .external_lex_state = 2},
  [1634] = {.lex_state = 402, .external_lex_state = 2},
  [1635] = {.lex_state = 402, .external_lex_state = 2},
  [1636] = {.lex_state = 402, .external_lex_state = 2},
  [1637] = {.lex_state = 402, .external_lex_state = 2},
  [1638] = {.lex_state = 402, .external_lex_state = 2},
  [1639] = {.lex_state = 402, .external_lex_state = 2},
  [1640] = {.lex_state = 402, .external_lex_state = 2},
  [1641] = {.lex_state = 402, .external_lex_state = 2},
  [1642] = {.lex_state = 402, .external_lex_state = 2},
  [1643] = {.lex_state = 402, .external_lex_state = 2},
  [1644] = {.lex_state = 402, .external_lex_state = 2},
  [1645] = {.lex_state = 402, .external_lex_state = 2},
  [1646] = {.lex_state = 402, .external_lex_state = 2},
  [1647] = {.lex_state = 402, .external_lex_state = 2},
  [1648] = {.lex_state = 402, .external_lex_state = 2},
  [1649] = {.lex_state = 402, .external_lex_state = 2},
  [1650] = {.lex_state = 402, .external_lex_state = 2},
  [1651] = {.lex_state = 402, .external_lex_state = 2},
  [1652] = {.lex_state = 402, .external_lex_state = 2},
  [1653] = {.lex_state = 402, .external_lex_state = 2},
  [1654] = {.lex_state = 402, .external_lex_state = 2},
  [1655] = {.lex_state = 402, .external_lex_state = 2},
  [1656] = {.lex_state = 402, .external_lex_state = 2},
  [1657] = {.lex_state = 402, .external_lex_state = 2},
  [1658] = {.lex_state = 402, .external_lex_state = 2},
  [1659] = {.lex_state = 402, .external_lex_state = 2},
  [1660] = {.lex_state = 402, .external_lex_state = 2},
  [1661] = {.lex_state = 402, .external_lex_state = 2},
  [1662] = {.lex_state = 402, .external_lex_state = 2},
  [1663] = {.lex_state = 402, .external_lex_state = 2},
  [1664] = {.lex_state = 402, .external_lex_state = 2},
  [1665] = {.lex_state = 402, .external_lex_state = 2},
  [1666] = {.lex_state = 402, .external_lex_state = 2},
  [1667] = {.lex_state = 402, .external_lex_state = 2},
  [1668] = {.lex_state = 402, .external_lex_state = 2},
  [1669] = {.lex_state = 402, .external_lex_state = 2},
  [1670] = {.lex_state = 402, .external_lex_state = 2},
  [1671] = {.lex_state = 402, .external_lex_state = 2},
  [1672] = {.lex_state = 402, .external_lex_state = 2},
  [1673] = {.lex_state = 402, .external_lex_state = 2},
  [1674] = {.lex_state = 402, .external_lex_state = 2},
  [1675] = {.lex_state = 402, .external_lex_state = 2},
  [1676] = {.lex_state = 402, .external_lex_state = 2},
  [1677] = {.lex_state = 402, .external_lex_state = 2},
  [1678] = {.lex_state = 402, .external_lex_state = 2},
  [1679] = {.lex_state = 402, .external_lex_state = 2},
  [1680] = {.lex_state = 402, .external_lex_state = 2},
  [1681] = {.lex_state = 402, .external_lex_state = 2},
  [1682] = {.lex_state = 402, .external_lex_state = 2},
  [1683] = {.lex_state = 402, .external_lex_state = 2},
  [1684] = {.lex_state = 402, .external_lex_state = 2},
  [1685] = {.lex_state = 402, .external_lex_state = 2},
  [1686] = {.lex_state = 402, .external_lex_state = 2},
  [1687] = {.lex_state = 402, .external_lex_state = 2},
  [1688] = {.lex_state = 402, .external_lex_state = 2},
  [1689] = {.lex_state = 402, .external_lex_state = 2},
  [1690] = {.lex_state = 402, .external_lex_state = 2},
  [1691] = {.lex_state = 402, .external_lex_state = 2},
  [1692] = {.lex_state = 402, .external_lex_state = 2},
  [1693] = {.lex_state = 402, .external_lex_state = 2},
  [1694] = {.lex_state = 402, .external_lex_state = 2},
  [1695] = {.lex_state = 402, .external_lex_state = 2},
  [1696] = {.lex_state = 402, .external_lex_state = 2},
  [1697] = {.lex_state = 402, .external_lex_state = 2},
  [1698] = {.lex_state = 402, .external_lex_state = 2},
  [1699] = {.lex_state = 402, .external_lex_state = 2},
  [1700] = {.lex_state = 402, .external_lex_state = 2},
  [1701] = {.lex_state = 402, .external_lex_state = 2},
  [1702] = {.lex_state = 402, .external_lex_state = 2},
  [1703] = {.lex_state = 402, .external_lex_state = 2},
  [1704] = {.lex_state = 402, .external_lex_state = 2},
  [1705] = {.lex_state = 402, .external_lex_state = 2},
  [1706] = {.lex_state = 402, .external_lex_state = 2},
  [1707] = {.lex_state = 402, .external_lex_state = 2},
  [1708] = {.lex_state = 402, .external_lex_state = 2},
  [1709] = {.lex_state = 402, .external_lex_state = 2},
  [1710] = {.lex_state = 402, .external_lex_state = 2},
  [1711] = {.lex_state = 402, .external_lex_state = 2},
  [1712] = {.lex_state = 402, .external_lex_state = 2},
  [1713] = {.lex_state = 402, .external_lex_state = 2},
  [1714] = {.lex_state = 402, .external_lex_state = 2},
  [1715] = {.lex_state = 52, .external_lex_state = 2},
  [1716] = {.lex_state = 52, .external_lex_state = 2},
  [1717] = {.lex_state = 52, .external_lex_state = 2},
  [1718] = {.lex_state = 52, .external_lex_state = 2},
  [1719] = {.lex_state = 52, .external_lex_state = 2},
  [1720] = {.lex_state = 52, .external_lex_state = 2},
  [1721] = {.lex_state = 52, .external_lex_state = 2},
  [1722] = {.lex_state = 402, .external_lex_state = 2},
  [1723] = {.lex_state = 402, .external_lex_state = 2},
  [1724] = {.lex_state = 402, .external_lex_state = 2},
  [1725] = {.lex_state = 402, .external_lex_state = 2},
  [1726] = {.lex_state = 402, .external_lex_state = 2},
  [1727] = {.lex_state = 402, .external_lex_state = 2},
  [1728] = {.lex_state = 52, .external_lex_state = 2},
  [1729] = {.lex_state = 52, .external_lex_state = 2},
  [1730] = {.lex_state = 402, .external_lex_state = 2},
  [1731] = {.lex_state = 402, .external_lex_state = 2},
  [1732] = {.lex_state = 52, .external_lex_state = 2},
  [1733] = {.lex_state = 402, .external_lex_state = 2},
  [1734] = {.lex_state = 402, .external_lex_state = 2},
  [1735] = {.lex_state = 52, .external_lex_state = 2},
  [1736] = {.lex_state = 52, .external_lex_state = 2},
  [1737] = {.lex_state = 402, .external_lex_state = 2},
  [1738] = {.lex_state = 52, .external_lex_state = 2},
  [1739] = {.lex_state = 52, .external_lex_state = 2},
  [1740] = {.lex_state = 52, .external_lex_state = 2},
  [1741] = {.lex_state = 52, .external_lex_state = 2},
  [1742] = {.lex_state = 53, .external_lex_state = 2},
  [1743] = {.lex_state = 53, .external_lex_state = 2},
  [1744] = {.lex_state = 53, .external_lex_state = 2},
  [1745] = {.lex_state = 53, .external_lex_state = 2},
  [1746] = {.lex_state = 53, .external_lex_state = 2},
  [1747] = {.lex_state = 53, .external_lex_state = 2},
  [1748] = {.lex_state = 53, .external_lex_state = 2},
  [1749] = {.lex_state = 53, .external_lex_state = 2},
  [1750] = {.lex_state = 53, .external_lex_state = 2},
  [1751] = {.lex_state = 53, .external_lex_state = 2},
  [1752] = {.lex_state = 53, .external_lex_state = 2},
  [1753] = {.lex_state = 53, .external_lex_state = 2},
  [1754] = {.lex_state = 53, .external_lex_state = 2},
  [1755] = {.lex_state = 53, .external_lex_state = 2},
  [1756] = {.lex_state = 53, .external_lex_state = 2},
  [1757] = {.lex_state = 53, .external_lex_state = 2},
  [1758] = {.lex_state = 53, .external_lex_state = 2},
  [1759] = {.lex_state = 53, .external_lex_state = 2},
  [1760] = {.lex_state = 53, .external_lex_state = 2},
  [1761] = {.lex_state = 53, .external_lex_state = 2},
  [1762] = {.lex_state = 53, .external_lex_state = 2},
  [1763] = {.lex_state = 53, .external_lex_state = 2},
  [1764] = {.lex_state = 53, .external_lex_state = 2},
  [1765] = {.lex_state = 53, .external_lex_state = 2},
  [1766] = {.lex_state = 53, .external_lex_state = 2},
  [1767] = {.lex_state = 53, .external_lex_state = 2},
  [1768] = {.lex_state = 53, .external_lex_state = 2},
  [1769] = {.lex_state = 53, .external_lex_state = 2},
  [1770] = {.lex_state = 53, .external_lex_state = 2},
  [1771] = {.lex_state = 53, .external_lex_state = 2},
  [1772] = {.lex_state = 53, .external_lex_state = 2},
  [1773] = {.lex_state = 53, .external_lex_state = 2},
  [1774] = {.lex_state = 53, .external_lex_state = 2},
  [1775] = {.lex_state = 53, .external_lex_state = 2},
  [1776] = {.lex_state = 53, .external_lex_state = 2},
  [1777] = {.lex_state = 53, .external_lex_state = 2},
  [1778] = {.lex_state = 53, .external_lex_state = 2},
  [1779] = {.lex_state = 53, .external_lex_state = 2},
  [1780] = {.lex_state = 53, .external_lex_state = 2},
  [1781] = {.lex_state = 53, .external_lex_state = 2},
  [1782] = {.lex_state = 53, .external_lex_state = 2},
  [1783] = {.lex_state = 53, .external_lex_state = 2},
  [1784] = {.lex_state = 53, .external_lex_state = 2},
  [1785] = {.lex_state = 53, .external_lex_state = 2},
  [1786] = {.lex_state = 53, .external_lex_state = 2},
  [1787] = {.lex_state = 53, .external_lex_state = 2},
  [1788] = {.lex_state = 53, .external_lex_state = 2},
  [1789] = {.lex_state = 53, .external_lex_state = 2},
  [1790] = {.lex_state = 53, .external_lex_state = 2},
  [1791] = {.lex_state = 53, .external_lex_state = 2},
  [1792] = {.lex_state = 53, .external_lex_state = 2},
  [1793] = {.lex_state = 53, .external_lex_state = 2},
  [1794] = {.lex_state = 53, .external_lex_state = 2},
  [1795] = {.lex_state = 53, .external_lex_state = 2},
  [1796] = {.lex_state = 53, .external_lex_state = 2},
  [1797] = {.lex_state = 52, .external_lex_state = 2},
  [1798] = {.lex_state = 52, .external_lex_state = 2},
  [1799] = {.lex_state = 52, .external_lex_state = 2},
  [1800] = {.lex_state = 52, .external_lex_state = 2},
  [1801] = {.lex_state = 52, .external_lex_state = 2},
  [1802] = {.lex_state = 52, .external_lex_state = 2},
  [1803] = {.lex_state = 52, .external_lex_state = 2},
  [1804] = {.lex_state = 52, .external_lex_state = 2},
  [1805] = {.lex_state = 52, .external_lex_state = 2},
  [1806] = {.lex_state = 52, .external_lex_state = 2},
  [1807] = {.lex_state = 38, .external_lex_state = 2},
  [1808] = {.lex_state = 38, .external_lex_state = 2},
  [1809] = {.lex_state = 38, .external_lex_state = 2},
  [1810] = {.lex_state = 38, .external_lex_state = 2},
  [1811] = {.lex_state = 38, .external_lex_state = 2},
  [1812] = {.lex_state = 38, .external_lex_state = 2},
  [1813] = {.lex_state = 38, .external_lex_state = 2},
  [1814] = {.lex_state = 38, .external_lex_state = 2},
  [1815] = {.lex_state = 38, .external_lex_state = 2},
  [1816] = {.lex_state = 38, .external_lex_state = 2},
  [1817] = {.lex_state = 38, .external_lex_state = 2},
  [1818] = {.lex_state = 38, .external_lex_state = 2},
  [1819] = {.lex_state = 18, .external_lex_state = 4},
  [1820] = {.lex_state = 18, .external_lex_state = 4},
  [1821] = {.lex_state = 52, .external_lex_state = 2},
  [1822] = {.lex_state = 52, .external_lex_state = 2},
  [1823] = {.lex_state = 54, .external_lex_state = 2},
  [1824] = {.lex_state = 18, .external_lex_state = 4},
  [1825] = {.lex_state = 18, .external_lex_state = 4},
  [1826] = {.lex_state = 52, .external_lex_state = 2},
  [1827] = {.lex_state = 18, .external_lex_state = 4},
  [1828] = {.lex_state = 52, .external_lex_state = 2},
  [1829] = {.lex_state = 18, .external_lex_state = 4},
  [1830] = {.lex_state = 18, .external_lex_state = 4},
  [1831] = {.lex_state = 52, .external_lex_state = 2},
  [1832] = {.lex_state = 18, .external_lex_state = 4},
  [1833] = {.lex_state = 18, .external_lex_state = 4},
  [1834] = {.lex_state = 52, .external_lex_state = 2},
  [1835] = {.lex_state = 52, .external_lex_state = 2},
  [1836] = {.lex_state = 52, .external_lex_state = 2},
  [1837] = {.lex_state = 52, .external_lex_state = 2},
  [1838] = {.lex_state = 52, .external_lex_state = 2},
  [1839] = {.lex_state = 52, .external_lex_state = 2},
  [1840] = {.lex_state = 52, .external_lex_state = 2},
  [1841] = {.lex_state = 52, .external_lex_state = 2},
  [1842] = {.lex_state = 52, .external_lex_state = 2},
  [1843] = {.lex_state = 52, .external_lex_state = 2},
  [1844] = {.lex_state = 52, .external_lex_state = 2},
  [1845] = {.lex_state = 52, .external_lex_state = 2},
  [1846] = {.lex_state = 52, .external_lex_state = 2},
  [1847] = {.lex_state = 52, .external_lex_state = 2},
  [1848] = {.lex_state = 52, .external_lex_state = 2},
  [1849] = {.lex_state = 52, .external_lex_state = 2},
  [1850] = {.lex_state = 52, .external_lex_state = 2},
  [1851] = {.lex_state = 52, .external_lex_state = 2},
  [1852] = {.lex_state = 52, .external_lex_state = 2},
  [1853] = {.lex_state = 52, .external_lex_state = 2},
  [1854] = {.lex_state = 52, .external_lex_state = 2},
  [1855] = {.lex_state = 52, .external_lex_state = 2},
  [1856] = {.lex_state = 52, .external_lex_state = 2},
  [1857] = {.lex_state = 52, .external_lex_state = 2},
  [1858] = {.lex_state = 52, .external_lex_state = 2},
  [1859] = {.lex_state = 52, .external_lex_state = 2},
  [1860] = {.lex_state = 52, .external_lex_state = 2},
  [1861] = {.lex_state = 52, .external_lex_state = 2},
  [1862] = {.lex_state = 52, .external_lex_state = 2},
  [1863] = {.lex_state = 52, .external_lex_state = 2},
  [1864] = {.lex_state = 52, .external_lex_state = 2},
  [1865] = {.lex_state = 52, .external_lex_state = 2},
  [1866] = {.lex_state = 52, .external_lex_state = 2},
  [1867] = {.lex_state = 52, .external_lex_state = 2},
  [1868] = {.lex_state = 52, .external_lex_state = 2},
  [1869] = {.lex_state = 52, .external_lex_state = 2},
  [1870] = {.lex_state = 52, .external_lex_state = 2},
  [1871] = {.lex_state = 52, .external_lex_state = 2},
  [1872] = {.lex_state = 52, .external_lex_state = 2},
  [1873] = {.lex_state = 52, .external_lex_state = 2},
  [1874] = {.lex_state = 52, .external_lex_state = 2},
  [1875] = {.lex_state = 52, .external_lex_state = 2},
  [1876] = {.lex_state = 52, .external_lex_state = 2},
  [1877] = {.lex_state = 52, .external_lex_state = 2},
  [1878] = {.lex_state = 52, .external_lex_state = 2},
  [1879] = {.lex_state = 52, .external_lex_state = 2},
  [1880] = {.lex_state = 52, .external_lex_state = 2},
  [1881] = {.lex_state = 52, .external_lex_state = 2},
  [1882] = {.lex_state = 52, .external_lex_state = 2},
  [1883] = {.lex_state = 52, .external_lex_state = 2},
  [1884] = {.lex_state = 52, .external_lex_state = 2},
  [1885] = {.lex_state = 52, .external_lex_state = 2},
  [1886] = {.lex_state = 52, .external_lex_state = 2},
  [1887] = {.lex_state = 52, .external_lex_state = 2},
  [1888] = {.lex_state = 52, .external_lex_state = 2},
  [1889] = {.lex_state = 52, .external_lex_state = 2},
  [1890] = {.lex_state = 52, .external_lex_state = 2},
  [1891] = {.lex_state = 52, .external_lex_state = 2},
  [1892] = {.lex_state = 52, .external_lex_state = 2},
  [1893] = {.lex_state = 52, .external_lex_state = 2},
  [1894] = {.lex_state = 52, .external_lex_state = 2},
  [1895] = {.lex_state = 52, .external_lex_state = 2},
  [1896] = {.lex_state = 52, .external_lex_state = 2},
  [1897] = {.lex_state = 52, .external_lex_state = 2},
  [1898] = {.lex_state = 52, .external_lex_state = 2},
  [1899] = {.lex_state = 52, .external_lex_state = 2},
  [1900] = {.lex_state = 52, .external_lex_state = 2},
  [1901] = {.lex_state = 52, .external_lex_state = 2},
  [1902] = {.lex_state = 52, .external_lex_state = 2},
  [1903] = {.lex_state = 52, .external_lex_state = 2},
  [1904] = {.lex_state = 52, .external_lex_state = 2},
  [1905] = {.lex_state = 52, .external_lex_state = 2},
  [1906] = {.lex_state = 52, .external_lex_state = 2},
  [1907] = {.lex_state = 52, .external_lex_state = 2},
  [1908] = {.lex_state = 52, .external_lex_state = 2},
  [1909] = {.lex_state = 52, .external_lex_state = 2},
  [1910] = {.lex_state = 52, .external_lex_state = 2},
  [1911] = {.lex_state = 52, .external_lex_state = 2},
  [1912] = {.lex_state = 52, .external_lex_state = 2},
  [1913] = {.lex_state = 52, .external_lex_state = 2},
  [1914] = {.lex_state = 52, .external_lex_state = 2},
  [1915] = {.lex_state = 52, .external_lex_state = 2},
  [1916] = {.lex_state = 52, .external_lex_state = 2},
  [1917] = {.lex_state = 52, .external_lex_state = 2},
  [1918] = {.lex_state = 52, .external_lex_state = 2},
  [1919] = {.lex_state = 52, .external_lex_state = 2},
  [1920] = {.lex_state = 52, .external_lex_state = 2},
  [1921] = {.lex_state = 52, .external_lex_state = 2},
  [1922] = {.lex_state = 52, .external_lex_state = 2},
  [1923] = {.lex_state = 52, .external_lex_state = 2},
  [1924] = {.lex_state = 52, .external_lex_state = 2},
  [1925] = {.lex_state = 52, .external_lex_state = 2},
  [1926] = {.lex_state = 52, .external_lex_state = 2},
  [1927] = {.lex_state = 52, .external_lex_state = 2},
  [1928] = {.lex_state = 52, .external_lex_state = 2},
  [1929] = {.lex_state = 52, .external_lex_state = 2},
  [1930] = {.lex_state = 52, .external_lex_state = 2},
  [1931] = {.lex_state = 52, .external_lex_state = 2},
  [1932] = {.lex_state = 52, .external_lex_state = 2},
  [1933] = {.lex_state = 52, .external_lex_state = 2},
  [1934] = {.lex_state = 52, .external_lex_state = 2},
  [1935] = {.lex_state = 52, .external_lex_state = 2},
  [1936] = {.lex_state = 52, .external_lex_state = 2},
  [1937] = {.lex_state = 52, .external_lex_state = 2},
  [1938] = {.lex_state = 52, .external_lex_state = 2},
  [1939] = {.lex_state = 52, .external_lex_state = 2},
  [1940] = {.lex_state = 52, .external_lex_state = 2},
  [1941] = {.lex_state = 52, .external_lex_state = 2},
  [1942] = {.lex_state = 52, .external_lex_state = 2},
  [1943] = {.lex_state = 52, .external_lex_state = 2},
  [1944] = {.lex_state = 52, .external_lex_state = 2},
  [1945] = {.lex_state = 52, .external_lex_state = 2},
  [1946] = {.lex_state = 52, .external_lex_state = 2},
  [1947] = {.lex_state = 52, .external_lex_state = 2},
  [1948] = {.lex_state = 52, .external_lex_state = 2},
  [1949] = {.lex_state = 52, .external_lex_state = 2},
  [1950] = {.lex_state = 52, .external_lex_state = 2},
  [1951] = {.lex_state = 52, .external_lex_state = 2},
  [1952] = {.lex_state = 52, .external_lex_state = 2},
  [1953] = {.lex_state = 52, .external_lex_state = 2},
  [1954] = {.lex_state = 52, .external_lex_state = 2},
  [1955] = {.lex_state = 52, .external_lex_state = 2},
  [1956] = {.lex_state = 52, .external_lex_state = 2},
  [1957] = {.lex_state = 18, .external_lex_state = 3},
  [1958] = {.lex_state = 18, .external_lex_state = 3},
  [1959] = {.lex_state = 18, .external_lex_state = 3},
  [1960] = {.lex_state = 18, .external_lex_state = 3},
  [1961] = {.lex_state = 38, .external_lex_state = 2},
  [1962] = {.lex_state = 38, .external_lex_state = 2},
  [1963] = {.lex_state = 18, .external_lex_state = 3},
  [1964] = {.lex_state = 18, .external_lex_state = 4},
  [1965] = {.lex_state = 18, .external_lex_state = 4},
  [1966] = {.lex_state = 18, .external_lex_state = 4},
  [1967] = {.lex_state = 21, .external_lex_state = 4},
  [1968] = {.lex_state = 18, .external_lex_state = 4},
  [1969] = {.lex_state = 21, .external_lex_state = 4},
  [1970] = {.lex_state = 18, .external_lex_state = 4},
  [1971] = {.lex_state = 18, .external_lex_state = 4},
  [1972] = {.lex_state = 18, .external_lex_state = 4},
  [1973] = {.lex_state = 18, .external_lex_state = 3},
  [1974] = {.lex_state = 18, .external_lex_state = 4},
  [1975] = {.lex_state = 21, .external_lex_state = 4},
  [1976] = {.lex_state = 18, .external_lex_state = 4},
  [1977] = {.lex_state = 18, .external_lex_state = 4},
  [1978] = {.lex_state = 18, .external_lex_state = 4},
  [1979] = {.lex_state = 18, .external_lex_state = 4},
  [1980] = {.lex_state = 18, .external_lex_state = 4},
  [1981] = {.lex_state = 18, .external_lex_state = 4},
  [1982] = {.lex_state = 18, .external_lex_state = 4},
  [1983] = {.lex_state = 21, .external_lex_state = 4},
  [1984] = {.lex_state = 18, .external_lex_state = 4},
  [1985] = {.lex_state = 18, .external_lex_state = 4},
  [1986] = {.lex_state = 18, .external_lex_state = 4},
  [1987] = {.lex_state = 22, .external_lex_state = 3},
  [1988] = {.lex_state = 18, .external_lex_state = 4},
  [1989] = {.lex_state = 18, .external_lex_state = 3},
  [1990] = {.lex_state = 22, .external_lex_state = 3},
  [1991] = {.lex_state = 18, .external_lex_state = 4},
  [1992] = {.lex_state = 24, .external_lex_state = 3},
  [1993] = {.lex_state = 18, .external_lex_state = 4},
  [1994] = {.lex_state = 24, .external_lex_state = 3},
  [1995] = {.lex_state = 24, .external_lex_state = 3},
  [1996] = {.lex_state = 18, .external_lex_state = 4},
  [1997] = {.lex_state = 18, .external_lex_state = 4},
  [1998] = {.lex_state = 24, .external_lex_state = 4},
  [1999] = {.lex_state = 18, .external_lex_state = 4},
  [2000] = {.lex_state = 18, .external_lex_state = 4},
  [2001] = {.lex_state = 24, .external_lex_state = 4},
  [2002] = {.lex_state = 24, .external_lex_state = 3},
  [2003] = {.lex_state = 18, .external_lex_state = 4},
  [2004] = {.lex_state = 24, .external_lex_state = 4},
  [2005] = {.lex_state = 18, .external_lex_state = 4},
  [2006] = {.lex_state = 18, .external_lex_state = 4},
  [2007] = {.lex_state = 18, .external_lex_state = 3},
  [2008] = {.lex_state = 24, .external_lex_state = 3},
  [2009] = {.lex_state = 24, .external_lex_state = 3},
  [2010] = {.lex_state = 24, .external_lex_state = 3},
  [2011] = {.lex_state = 18, .external_lex_state = 4},
  [2012] = {.lex_state = 18, .external_lex_state = 4},
  [2013] = {.lex_state = 18, .external_lex_state = 4},
  [2014] = {.lex_state = 18, .external_lex_state = 3},
  [2015] = {.lex_state = 24, .external_lex_state = 4},
  [2016] = {.lex_state = 24, .external_lex_state = 4},
  [2017] = {.lex_state = 24, .external_lex_state = 3},
  [2018] = {.lex_state = 18, .external_lex_state = 4},
  [2019] = {.lex_state = 18, .external_lex_state = 4},
  [2020] = {.lex_state = 18, .external_lex_state = 4},
  [2021] = {.lex_state = 18, .external_lex_state = 4},
  [2022] = {.lex_state = 18, .external_lex_state = 3},
  [2023] = {.lex_state = 24, .external_lex_state = 4},
  [2024] = {.lex_state = 18, .external_lex_state = 3},
  [2025] = {.lex_state = 18, .external_lex_state = 3},
  [2026] = {.lex_state = 24, .external_lex_state = 4},
  [2027] = {.lex_state = 18, .external_lex_state = 4},
  [2028] = {.lex_state = 18, .external_lex_state = 4},
  [2029] = {.lex_state = 18, .external_lex_state = 4},
  [2030] = {.lex_state = 24, .external_lex_state = 4},
  [2031] = {.lex_state = 24, .external_lex_state = 3},
  [2032] = {.lex_state = 24, .external_lex_state = 4},
  [2033] = {.lex_state = 18, .external_lex_state = 3},
  [2034] = {.lex_state = 24, .external_lex_state = 3},
  [2035] = {.lex_state = 24, .external_lex_state = 3},
  [2036] = {.lex_state = 24, .external_lex_state = 3},
  [2037] = {.lex_state = 21, .external_lex_state = 3},
  [2038] = {.lex_state = 21, .external_lex_state = 3},
  [2039] = {.lex_state = 24, .external_lex_state = 3},
  [2040] = {.lex_state = 24, .external_lex_state = 3},
  [2041] = {.lex_state = 18, .external_lex_state = 3},
  [2042] = {.lex_state = 21, .external_lex_state = 3},
  [2043] = {.lex_state = 18, .external_lex_state = 3},
  [2044] = {.lex_state = 24, .external_lex_state = 4},
  [2045] = {.lex_state = 18, .external_lex_state = 3},
  [2046] = {.lex_state = 24, .external_lex_state = 3},
  [2047] = {.lex_state = 24, .external_lex_state = 4},
  [2048] = {.lex_state = 24, .external_lex_state = 3},
  [2049] = {.lex_state = 24, .external_lex_state = 3},
  [2050] = {.lex_state = 24, .external_lex_state = 4},
  [2051] = {.lex_state = 24, .external_lex_state = 4},
  [2052] = {.lex_state = 18, .external_lex_state = 3},
  [2053] = {.lex_state = 21, .external_lex_state = 3},
  [2054] = {.lex_state = 37, .external_lex_state = 2},
  [2055] = {.lex_state = 24, .external_lex_state = 3},
  [2056] = {.lex_state = 24, .external_lex_state = 3},
  [2057] = {.lex_state = 18, .external_lex_state = 3},
  [2058] = {.lex_state = 37, .external_lex_state = 2},
  [2059] = {.lex_state = 18, .external_lex_state = 3},
  [2060] = {.lex_state = 24, .external_lex_state = 3},
  [2061] = {.lex_state = 18, .external_lex_state = 3},
  [2062] = {.lex_state = 24, .external_lex_state = 3},
  [2063] = {.lex_state = 18, .external_lex_state = 3},
  [2064] = {.lex_state = 18, .external_lex_state = 3},
  [2065] = {.lex_state = 24, .external_lex_state = 3},
  [2066] = {.lex_state = 24, .external_lex_state = 3},
  [2067] = {.lex_state = 24, .external_lex_state = 4},
  [2068] = {.lex_state = 24, .external_lex_state = 3},
  [2069] = {.lex_state = 18, .external_lex_state = 3},
  [2070] = {.lex_state = 24, .external_lex_state = 3},
  [2071] = {.lex_state = 18, .external_lex_state = 3},
  [2072] = {.lex_state = 24, .external_lex_state = 3},
  [2073] = {.lex_state = 24, .external_lex_state = 3},
  [2074] = {.lex_state = 18, .external_lex_state = 3},
  [2075] = {.lex_state = 37, .external_lex_state = 2},
  [2076] = {.lex_state = 24, .external_lex_state = 3},
  [2077] = {.lex_state = 24, .external_lex_state = 3},
  [2078] = {.lex_state = 24, .external_lex_state = 3},
  [2079] = {.lex_state = 18, .external_lex_state = 4},
  [2080] = {.lex_state = 24, .external_lex_state = 3},
  [2081] = {.lex_state = 24, .external_lex_state = 3},
  [2082] = {.lex_state = 24, .external_lex_state = 3},
  [2083] = {.lex_state = 24, .external_lex_state = 3},
  [2084] = {.lex_state = 18, .external_lex_state = 4},
  [2085] = {.lex_state = 37, .external_lex_state = 2},
  [2086] = {.lex_state = 24, .external_lex_state = 3},
  [2087] = {.lex_state = 24, .external_lex_state = 3},
  [2088] = {.lex_state = 24, .external_lex_state = 4},
  [2089] = {.lex_state = 24, .external_lex_state = 3},
  [2090] = {.lex_state = 37, .external_lex_state = 2},
  [2091] = {.lex_state = 24, .external_lex_state = 4},
  [2092] = {.lex_state = 24, .external_lex_state = 3},
  [2093] = {.lex_state = 24, .external_lex_state = 3},
  [2094] = {.lex_state = 37, .external_lex_state = 2},
  [2095] = {.lex_state = 24, .external_lex_state = 3},
  [2096] = {.lex_state = 24, .external_lex_state = 3},
  [2097] = {.lex_state = 18, .external_lex_state = 4},
  [2098] = {.lex_state = 24, .external_lex_state = 4},
  [2099] = {.lex_state = 24, .external_lex_state = 3},
  [2100] = {.lex_state = 24, .external_lex_state = 3},
  [2101] = {.lex_state = 18, .external_lex_state = 4},
  [2102] = {.lex_state = 24, .external_lex_state = 3},
  [2103] = {.lex_state = 18, .external_lex_state = 4},
  [2104] = {.lex_state = 24, .external_lex_state = 3},
  [2105] = {.lex_state = 24, .external_lex_state = 3},
  [2106] = {.lex_state = 24, .external_lex_state = 3},
  [2107] = {.lex_state = 24, .external_lex_state = 4},
  [2108] = {.lex_state = 37, .external_lex_state = 2},
  [2109] = {.lex_state = 37, .external_lex_state = 2},
  [2110] = {.lex_state = 24, .external_lex_state = 4},
  [2111] = {.lex_state = 24, .external_lex_state = 4},
  [2112] = {.lex_state = 24, .external_lex_state = 3},
  [2113] = {.lex_state = 24, .external_lex_state = 4},
  [2114] = {.lex_state = 24, .external_lex_state = 4},
  [2115] = {.lex_state = 24, .external_lex_state = 3},
  [2116] = {.lex_state = 24, .external_lex_state = 4},
  [2117] = {.lex_state = 24, .external_lex_state = 4},
  [2118] = {.lex_state = 24, .external_lex_state = 4},
  [2119] = {.lex_state = 24, .external_lex_state = 4},
  [2120] = {.lex_state = 37, .external_lex_state = 2},
  [2121] = {.lex_state = 24, .external_lex_state = 4},
  [2122] = {.lex_state = 24, .external_lex_state = 4},
  [2123] = {.lex_state = 37, .external_lex_state = 2},
  [2124] = {.lex_state = 24, .external_lex_state = 4},
  [2125] = {.lex_state = 24, .external_lex_state = 4},
  [2126] = {.lex_state = 24, .external_lex_state = 3},
  [2127] = {.lex_state = 24, .external_lex_state = 4},
  [2128] = {.lex_state = 24, .external_lex_state = 3},
  [2129] = {.lex_state = 24, .external_lex_state = 4},
  [2130] = {.lex_state = 24, .external_lex_state = 4},
  [2131] = {.lex_state = 24, .external_lex_state = 4},
  [2132] = {.lex_state = 24, .external_lex_state = 4},
  [2133] = {.lex_state = 24, .external_lex_state = 4},
  [2134] = {.lex_state = 24, .external_lex_state = 3},
  [2135] = {.lex_state = 24, .external_lex_state = 4},
  [2136] = {.lex_state = 24, .external_lex_state = 3},
  [2137] = {.lex_state = 37, .external_lex_state = 2},
  [2138] = {.lex_state = 24, .external_lex_state = 3},
  [2139] = {.lex_state = 24, .external_lex_state = 4},
  [2140] = {.lex_state = 24, .external_lex_state = 3},
  [2141] = {.lex_state = 24, .external_lex_state = 3},
  [2142] = {.lex_state = 24, .external_lex_state = 4},
  [2143] = {.lex_state = 37, .external_lex_state = 2},
  [2144] = {.lex_state = 24, .external_lex_state = 4},
  [2145] = {.lex_state = 37, .external_lex_state = 2},
  [2146] = {.lex_state = 24, .external_lex_state = 3},
  [2147] = {.lex_state = 37, .external_lex_state = 2},
  [2148] = {.lex_state = 24, .external_lex_state = 4},
  [2149] = {.lex_state = 24, .external_lex_state = 4},
  [2150] = {.lex_state = 24, .external_lex_state = 4},
  [2151] = {.lex_state = 24, .external_lex_state = 3},
  [2152] = {.lex_state = 24, .external_lex_state = 4},
  [2153] = {.lex_state = 24, .external_lex_state = 4},
  [2154] = {.lex_state = 37, .external_lex_state = 2},
  [2155] = {.lex_state = 37, .external_lex_state = 2},
  [2156] = {.lex_state = 24, .external_lex_state = 4},
  [2157] = {.lex_state = 24, .external_lex_state = 4},
  [2158] = {.lex_state = 24, .external_lex_state = 4},
  [2159] = {.lex_state = 24, .external_lex_state = 4},
  [2160] = {.lex_state = 24, .external_lex_state = 4},
  [2161] = {.lex_state = 24, .external_lex_state = 4},
  [2162] = {.lex_state = 24, .external_lex_state = 4},
  [2163] = {.lex_state = 24, .external_lex_state = 4},
  [2164] = {.lex_state = 24, .external_lex_state = 3},
  [2165] = {.lex_state = 18, .external_lex_state = 4},
  [2166] = {.lex_state = 24, .external_lex_state = 4},
  [2167] = {.lex_state = 24, .external_lex_state = 3},
  [2168] = {.lex_state = 24, .external_lex_state = 3},
  [2169] = {.lex_state = 24, .external_lex_state = 3},
  [2170] = {.lex_state = 18, .external_lex_state = 4},
  [2171] = {.lex_state = 24, .external_lex_state = 3},
  [2172] = {.lex_state = 24, .external_lex_state = 3},
  [2173] = {.lex_state = 24, .external_lex_state = 3},
  [2174] = {.lex_state = 24, .external_lex_state = 3},
  [2175] = {.lex_state = 18, .external_lex_state = 4},
  [2176] = {.lex_state = 24, .external_lex_state = 3},
  [2177] = {.lex_state = 18, .external_lex_state = 4},
  [2178] = {.lex_state = 24, .external_lex_state = 3},
  [2179] = {.lex_state = 18, .external_lex_state = 4},
  [2180] = {.lex_state = 24, .external_lex_state = 3},
  [2181] = {.lex_state = 18, .external_lex_state = 4},
  [2182] = {.lex_state = 24, .external_lex_state = 3},
  [2183] = {.lex_state = 24, .external_lex_state = 4},
  [2184] = {.lex_state = 24, .external_lex_state = 3},
  [2185] = {.lex_state = 24, .external_lex_state = 3},
  [2186] = {.lex_state = 24, .external_lex_state = 4},
  [2187] = {.lex_state = 38, .external_lex_state = 2},
  [2188] = {.lex_state = 24, .external_lex_state = 3},
  [2189] = {.lex_state = 38, .external_lex_state = 2},
  [2190] = {.lex_state = 24, .external_lex_state = 3},
  [2191] = {.lex_state = 24, .external_lex_state = 3},
  [2192] = {.lex_state = 24, .external_lex_state = 3},
  [2193] = {.lex_state = 24, .external_lex_state = 3},
  [2194] = {.lex_state = 38, .external_lex_state = 2},
  [2195] = {.lex_state = 24, .external_lex_state = 4},
  [2196] = {.lex_state = 24, .external_lex_state = 4},
  [2197] = {.lex_state = 38, .external_lex_state = 2},
  [2198] = {.lex_state = 38, .external_lex_state = 2},
  [2199] = {.lex_state = 24, .external_lex_state = 4},
  [2200] = {.lex_state = 38, .external_lex_state = 2},
  [2201] = {.lex_state = 24, .external_lex_state = 3},
  [2202] = {.lex_state = 38, .external_lex_state = 2},
  [2203] = {.lex_state = 24, .external_lex_state = 3},
  [2204] = {.lex_state = 24, .external_lex_state = 3},
  [2205] = {.lex_state = 24, .external_lex_state = 4},
  [2206] = {.lex_state = 38, .external_lex_state = 2},
  [2207] = {.lex_state = 24, .external_lex_state = 4},
  [2208] = {.lex_state = 24, .external_lex_state = 3},
  [2209] = {.lex_state = 38, .external_lex_state = 2},
  [2210] = {.lex_state = 24, .external_lex_state = 3},
  [2211] = {.lex_state = 24, .external_lex_state = 3},
  [2212] = {.lex_state = 24, .external_lex_state = 3},
  [2213] = {.lex_state = 24, .external_lex_state = 3},
  [2214] = {.lex_state = 24, .external_lex_state = 3},
  [2215] = {.lex_state = 24, .external_lex_state = 3},
  [2216] = {.lex_state = 24, .external_lex_state = 4},
  [2217] = {.lex_state = 24, .external_lex_state = 3},
  [2218] = {.lex_state = 24, .external_lex_state = 3},
  [2219] = {.lex_state = 24, .external_lex_state = 3},
  [2220] = {.lex_state = 24, .external_lex_state = 3},
  [2221] = {.lex_state = 24, .external_lex_state = 3},
  [2222] = {.lex_state = 24, .external_lex_state = 3},
  [2223] = {.lex_state = 24, .external_lex_state = 3},
  [2224] = {.lex_state = 24, .external_lex_state = 3},
  [2225] = {.lex_state = 38, .external_lex_state = 2},
  [2226] = {.lex_state = 24, .external_lex_state = 3},
  [2227] = {.lex_state = 24, .external_lex_state = 3},
  [2228] = {.lex_state = 38, .external_lex_state = 2},
  [2229] = {.lex_state = 38, .external_lex_state = 2},
  [2230] = {.lex_state = 24, .external_lex_state = 3},
  [2231] = {.lex_state = 38, .external_lex_state = 2},
  [2232] = {.lex_state = 38, .external_lex_state = 2},
  [2233] = {.lex_state = 38, .external_lex_state = 2},
  [2234] = {.lex_state = 38, .external_lex_state = 2},
  [2235] = {.lex_state = 24, .external_lex_state = 3},
  [2236] = {.lex_state = 38, .external_lex_state = 2},
  [2237] = {.lex_state = 38, .external_lex_state = 2},
  [2238] = {.lex_state = 38, .external_lex_state = 2},
  [2239] = {.lex_state = 24, .external_lex_state = 3},
  [2240] = {.lex_state = 24, .external_lex_state = 3},
  [2241] = {.lex_state = 24, .external_lex_state = 3},
  [2242] = {.lex_state = 24, .external_lex_state = 3},
  [2243] = {.lex_state = 24, .external_lex_state = 3},
  [2244] = {.lex_state = 24, .external_lex_state = 3},
  [2245] = {.lex_state = 38, .external_lex_state = 2},
  [2246] = {.lex_state = 38, .external_lex_state = 2},
  [2247] = {.lex_state = 24, .external_lex_state = 3},
  [2248] = {.lex_state = 38, .external_lex_state = 2},
  [2249] = {.lex_state = 38, .external_lex_state = 2},
  [2250] = {.lex_state = 24, .external_lex_state = 3},
  [2251] = {.lex_state = 24, .external_lex_state = 3},
  [2252] = {.lex_state = 38, .external_lex_state = 2},
  [2253] = {.lex_state = 38, .external_lex_state = 2},
  [2254] = {.lex_state = 38, .external_lex_state = 2},
  [2255] = {.lex_state = 38, .external_lex_state = 2},
  [2256] = {.lex_state = 38, .external_lex_state = 2},
  [2257] = {.lex_state = 38, .external_lex_state = 2},
  [2258] = {.lex_state = 24, .external_lex_state = 3},
  [2259] = {.lex_state = 38, .external_lex_state = 2},
  [2260] = {.lex_state = 38, .external_lex_state = 2},
  [2261] = {.lex_state = 38, .external_lex_state = 2},
  [2262] = {.lex_state = 38, .external_lex_state = 2},
  [2263] = {.lex_state = 24, .external_lex_state = 3},
  [2264] = {.lex_state = 24, .external_lex_state = 3},
  [2265] = {.lex_state = 24, .external_lex_state = 3},
  [2266] = {.lex_state = 24, .external_lex_state = 3},
  [2267] = {.lex_state = 38, .external_lex_state = 2},
  [2268] = {.lex_state = 38, .external_lex_state = 2},
  [2269] = {.lex_state = 38, .external_lex_state = 2},
  [2270] = {.lex_state = 24, .external_lex_state = 3},
  [2271] = {.lex_state = 24, .external_lex_state = 3},
  [2272] = {.lex_state = 24, .external_lex_state = 3},
  [2273] = {.lex_state = 24, .external_lex_state = 3},
  [2274] = {.lex_state = 24, .external_lex_state = 3},
  [2275] = {.lex_state = 24, .external_lex_state = 3},
  [2276] = {.lex_state = 24, .external_lex_state = 3},
  [2277] = {.lex_state = 24, .external_lex_state = 3},
  [2278] = {.lex_state = 24, .external_lex_state = 3},
  [2279] = {.lex_state = 24, .external_lex_state = 3},
  [2280] = {.lex_state = 24, .external_lex_state = 3},
  [2281] = {.lex_state = 24, .external_lex_state = 3},
  [2282] = {.lex_state = 24, .external_lex_state = 3},
  [2283] = {.lex_state = 24, .external_lex_state = 3},
  [2284] = {.lex_state = 24, .external_lex_state = 3},
  [2285] = {.lex_state = 38, .external_lex_state = 2},
  [2286] = {.lex_state = 38, .external_lex_state = 2},
  [2287] = {.lex_state = 38, .external_lex_state = 2},
  [2288] = {.lex_state = 38, .external_lex_state = 2},
  [2289] = {.lex_state = 38, .external_lex_state = 2},
  [2290] = {.lex_state = 38, .external_lex_state = 2},
  [2291] = {.lex_state = 38, .external_lex_state = 2},
  [2292] = {.lex_state = 38, .external_lex_state = 2},
  [2293] = {.lex_state = 38, .external_lex_state = 2},
  [2294] = {.lex_state = 38, .external_lex_state = 2},
  [2295] = {.lex_state = 48, .external_lex_state = 5},
  [2296] = {.lex_state = 48, .external_lex_state = 5},
  [2297] = {.lex_state = 48, .external_lex_state = 5},
  [2298] = {.lex_state = 48, .external_lex_state = 5},
  [2299] = {.lex_state = 48, .external_lex_state = 5},
  [2300] = {.lex_state = 39, .external_lex_state = 2},
  [2301] = {.lex_state = 38, .external_lex_state = 2},
  [2302] = {.lex_state = 38, .external_lex_state = 2},
  [2303] = {.lex_state = 38, .external_lex_state = 2},
  [2304] = {.lex_state = 38, .external_lex_state = 2},
  [2305] = {.lex_state = 38, .external_lex_state = 2},
  [2306] = {.lex_state = 39, .external_lex_state = 2},
  [2307] = {.lex_state = 38, .external_lex_state = 2},
  [2308] = {.lex_state = 38, .external_lex_state = 2},
  [2309] = {.lex_state = 38, .external_lex_state = 2},
  [2310] = {.lex_state = 38, .external_lex_state = 2},
  [2311] = {.lex_state = 38, .external_lex_state = 2},
  [2312] = {.lex_state = 39, .external_lex_state = 2},
  [2313] = {.lex_state = 38, .external_lex_state = 2},
  [2314] = {.lex_state = 38, .external_lex_state = 2},
  [2315] = {.lex_state = 38, .external_lex_state = 2},
  [2316] = {.lex_state = 39, .external_lex_state = 2},
  [2317] = {.lex_state = 38, .external_lex_state = 2},
  [2318] = {.lex_state = 38, .external_lex_state = 2},
  [2319] = {.lex_state = 38, .external_lex_state = 2},
  [2320] = {.lex_state = 38, .external_lex_state = 2},
  [2321] = {.lex_state = 38, .external_lex_state = 2},
  [2322] = {.lex_state = 38, .external_lex_state = 2},
  [2323] = {.lex_state = 38, .external_lex_state = 2},
  [2324] = {.lex_state = 38, .external_lex_state = 2},
  [2325] = {.lex_state = 39, .external_lex_state = 2},
  [2326] = {.lex_state = 39, .external_lex_state = 2},
  [2327] = {.lex_state = 38, .external_lex_state = 2},
  [2328] = {.lex_state = 38, .external_lex_state = 2},
  [2329] = {.lex_state = 38, .external_lex_state = 2},
  [2330] = {.lex_state = 38, .external_lex_state = 2},
  [2331] = {.lex_state = 38, .external_lex_state = 2},
  [2332] = {.lex_state = 38, .external_lex_state = 2},
  [2333] = {.lex_state = 38, .external_lex_state = 2},
  [2334] = {.lex_state = 38, .external_lex_state = 2},
  [2335] = {.lex_state = 38, .external_lex_state = 2},
  [2336] = {.lex_state = 38, .external_lex_state = 2},
  [2337] = {.lex_state = 39, .external_lex_state = 2},
  [2338] = {.lex_state = 38, .external_lex_state = 2},
  [2339] = {.lex_state = 38, .external_lex_state = 2},
  [2340] = {.lex_state = 48, .external_lex_state = 5},
  [2341] = {.lex_state = 29, .external_lex_state = 4},
  [2342] = {.lex_state = 48, .external_lex_state = 5},
  [2343] = {.lex_state = 29, .external_lex_state = 4},
  [2344] = {.lex_state = 39, .external_lex_state = 2},
  [2345] = {.lex_state = 29, .external_lex_state = 3},
  [2346] = {.lex_state = 29, .external_lex_state = 3},
  [2347] = {.lex_state = 29, .external_lex_state = 3},
  [2348] = {.lex_state = 29, .external_lex_state = 3},
  [2349] = {.lex_state = 29, .external_lex_state = 3},
  [2350] = {.lex_state = 29, .external_lex_state = 3},
  [2351] = {.lex_state = 29, .external_lex_state = 3},
  [2352] = {.lex_state = 29, .external_lex_state = 4},
  [2353] = {.lex_state = 29, .external_lex_state = 4},
  [2354] = {.lex_state = 29, .external_lex_state = 3},
  [2355] = {.lex_state = 29, .external_lex_state = 4},
  [2356] = {.lex_state = 29, .external_lex_state = 3},
  [2357] = {.lex_state = 29, .external_lex_state = 3},
  [2358] = {.lex_state = 29, .external_lex_state = 3},
  [2359] = {.lex_state = 29, .external_lex_state = 4},
  [2360] = {.lex_state = 29, .external_lex_state = 3},
  [2361] = {.lex_state = 29, .external_lex_state = 3},
  [2362] = {.lex_state = 29, .external_lex_state = 3},
  [2363] = {.lex_state = 29, .external_lex_state = 3},
  [2364] = {.lex_state = 29, .external_lex_state = 3},
  [2365] = {.lex_state = 29, .external_lex_state = 3},
  [2366] = {.lex_state = 29, .external_lex_state = 3},
  [2367] = {.lex_state = 29, .external_lex_state = 3},
  [2368] = {.lex_state = 29, .external_lex_state = 3},
  [2369] = {.lex_state = 29, .external_lex_state = 3},
  [2370] = {.lex_state = 29, .external_lex_state = 3},
  [2371] = {.lex_state = 29, .external_lex_state = 3},
  [2372] = {.lex_state = 29, .external_lex_state = 3},
  [2373] = {.lex_state = 29, .external_lex_state = 3},
  [2374] = {.lex_state = 29, .external_lex_state = 3},
  [2375] = {.lex_state = 29, .external_lex_state = 3},
  [2376] = {.lex_state = 39, .external_lex_state = 5},
  [2377] = {.lex_state = 29, .external_lex_state = 3},
  [2378] = {.lex_state = 29, .external_lex_state = 3},
  [2379] = {.lex_state = 29, .external_lex_state = 3},
  [2380] = {.lex_state = 29, .external_lex_state = 3},
  [2381] = {.lex_state = 29, .external_lex_state = 3},
  [2382] = {.lex_state = 29, .external_lex_state = 3},
  [2383] = {.lex_state = 29, .external_lex_state = 3},
  [2384] = {.lex_state = 29, .external_lex_state = 3},
  [2385] = {.lex_state = 29, .external_lex_state = 3},
  [2386] = {.lex_state = 29, .external_lex_state = 3},
  [2387] = {.lex_state = 29, .external_lex_state = 3},
  [2388] = {.lex_state = 29, .external_lex_state = 3},
  [2389] = {.lex_state = 29, .external_lex_state = 3},
  [2390] = {.lex_state = 29, .external_lex_state = 3},
  [2391] = {.lex_state = 29, .external_lex_state = 3},
  [2392] = {.lex_state = 29, .external_lex_state = 3},
  [2393] = {.lex_state = 29, .external_lex_state = 3},
  [2394] = {.lex_state = 29, .external_lex_state = 3},
  [2395] = {.lex_state = 29, .external_lex_state = 3},
  [2396] = {.lex_state = 29, .external_lex_state = 3},
  [2397] = {.lex_state = 29, .external_lex_state = 3},
  [2398] = {.lex_state = 29, .external_lex_state = 3},
  [2399] = {.lex_state = 29, .external_lex_state = 3},
  [2400] = {.lex_state = 29, .external_lex_state = 3},
  [2401] = {.lex_state = 29, .external_lex_state = 3},
  [2402] = {.lex_state = 29, .external_lex_state = 3},
  [2403] = {.lex_state = 29, .external_lex_state = 3},
  [2404] = {.lex_state = 29, .external_lex_state = 3},
  [2405] = {.lex_state = 29, .external_lex_state = 3},
  [2406] = {.lex_state = 29, .external_lex_state = 3},
  [2407] = {.lex_state = 29, .external_lex_state = 3},
  [2408] = {.lex_state = 29, .external_lex_state = 3},
  [2409] = {.lex_state = 29, .external_lex_state = 3},
  [2410] = {.lex_state = 29, .external_lex_state = 3},
  [2411] = {.lex_state = 29, .external_lex_state = 3},
  [2412] = {.lex_state = 29, .external_lex_state = 3},
  [2413] = {.lex_state = 29, .external_lex_state = 3},
  [2414] = {.lex_state = 29, .external_lex_state = 3},
  [2415] = {.lex_state = 29, .external_lex_state = 3},
  [2416] = {.lex_state = 29, .external_lex_state = 3},
  [2417] = {.lex_state = 29, .external_lex_state = 3},
  [2418] = {.lex_state = 29, .external_lex_state = 3},
  [2419] = {.lex_state = 29, .external_lex_state = 3},
  [2420] = {.lex_state = 29, .external_lex_state = 3},
  [2421] = {.lex_state = 29, .external_lex_state = 3},
  [2422] = {.lex_state = 29, .external_lex_state = 3},
  [2423] = {.lex_state = 29, .external_lex_state = 3},
  [2424] = {.lex_state = 29, .external_lex_state = 3},
  [2425] = {.lex_state = 29, .external_lex_state = 3},
  [2426] = {.lex_state = 29, .external_lex_state = 3},
  [2427] = {.lex_state = 29, .external_lex_state = 3},
  [2428] = {.lex_state = 29, .external_lex_state = 3},
  [2429] = {.lex_state = 29, .external_lex_state = 3},
  [2430] = {.lex_state = 29, .external_lex_state = 3},
  [2431] = {.lex_state = 29, .external_lex_state = 3},
  [2432] = {.lex_state = 39, .external_lex_state = 5},
  [2433] = {.lex_state = 29, .external_lex_state = 3},
  [2434] = {.lex_state = 29, .external_lex_state = 3},
  [2435] = {.lex_state = 29, .external_lex_state = 3},
  [2436] = {.lex_state = 29, .external_lex_state = 3},
  [2437] = {.lex_state = 29, .external_lex_state = 3},
  [2438] = {.lex_state = 39, .external_lex_state = 5},
  [2439] = {.lex_state = 29, .external_lex_state = 3},
  [2440] = {.lex_state = 29, .external_lex_state = 3},
  [2441] = {.lex_state = 29, .external_lex_state = 3},
  [2442] = {.lex_state = 29, .external_lex_state = 3},
  [2443] = {.lex_state = 29, .external_lex_state = 3},
  [2444] = {.lex_state = 29, .external_lex_state = 3},
  [2445] = {.lex_state = 29, .external_lex_state = 3},
  [2446] = {.lex_state = 29, .external_lex_state = 3},
  [2447] = {.lex_state = 29, .external_lex_state = 3},
  [2448] = {.lex_state = 29, .external_lex_state = 3},
  [2449] = {.lex_state = 29, .external_lex_state = 3},
  [2450] = {.lex_state = 29, .external_lex_state = 3},
  [2451] = {.lex_state = 29, .external_lex_state = 3},
  [2452] = {.lex_state = 29, .external_lex_state = 3},
  [2453] = {.lex_state = 29, .external_lex_state = 3},
  [2454] = {.lex_state = 29, .external_lex_state = 3},
  [2455] = {.lex_state = 29, .external_lex_state = 3},
  [2456] = {.lex_state = 29, .external_lex_state = 3},
  [2457] = {.lex_state = 29, .external_lex_state = 3},
  [2458] = {.lex_state = 29, .external_lex_state = 3},
  [2459] = {.lex_state = 29, .external_lex_state = 3},
  [2460] = {.lex_state = 29, .external_lex_state = 3},
  [2461] = {.lex_state = 29, .external_lex_state = 3},
  [2462] = {.lex_state = 29, .external_lex_state = 3},
  [2463] = {.lex_state = 29, .external_lex_state = 3},
  [2464] = {.lex_state = 29, .external_lex_state = 3},
  [2465] = {.lex_state = 29, .external_lex_state = 3},
  [2466] = {.lex_state = 29, .external_lex_state = 3},
  [2467] = {.lex_state = 29, .external_lex_state = 4},
  [2468] = {.lex_state = 29, .external_lex_state = 3},
  [2469] = {.lex_state = 29, .external_lex_state = 3},
  [2470] = {.lex_state = 29, .external_lex_state = 3},
  [2471] = {.lex_state = 29, .external_lex_state = 3},
  [2472] = {.lex_state = 29, .external_lex_state = 3},
  [2473] = {.lex_state = 29, .external_lex_state = 3},
  [2474] = {.lex_state = 29, .external_lex_state = 3},
  [2475] = {.lex_state = 29, .external_lex_state = 4},
  [2476] = {.lex_state = 29, .external_lex_state = 3},
  [2477] = {.lex_state = 29, .external_lex_state = 3},
  [2478] = {.lex_state = 29, .external_lex_state = 3},
  [2479] = {.lex_state = 29, .external_lex_state = 3},
  [2480] = {.lex_state = 29, .external_lex_state = 3},
  [2481] = {.lex_state = 29, .external_lex_state = 3},
  [2482] = {.lex_state = 29, .external_lex_state = 3},
  [2483] = {.lex_state = 29, .external_lex_state = 3},
  [2484] = {.lex_state = 29, .external_lex_state = 3},
  [2485] = {.lex_state = 29, .external_lex_state = 3},
  [2486] = {.lex_state = 29, .external_lex_state = 3},
  [2487] = {.lex_state = 29, .external_lex_state = 3},
  [2488] = {.lex_state = 29, .external_lex_state = 3},
  [2489] = {.lex_state = 29, .external_lex_state = 3},
  [2490] = {.lex_state = 29, .external_lex_state = 3},
  [2491] = {.lex_state = 29, .external_lex_state = 3},
  [2492] = {.lex_state = 29, .external_lex_state = 3},
  [2493] = {.lex_state = 29, .external_lex_state = 3},
  [2494] = {.lex_state = 29, .external_lex_state = 3},
  [2495] = {.lex_state = 29, .external_lex_state = 3},
  [2496] = {.lex_state = 29, .external_lex_state = 3},
  [2497] = {.lex_state = 39, .external_lex_state = 5},
  [2498] = {.lex_state = 29, .external_lex_state = 3},
  [2499] = {.lex_state = 29, .external_lex_state = 3},
  [2500] = {.lex_state = 29, .external_lex_state = 3},
  [2501] = {.lex_state = 29, .external_lex_state = 3},
  [2502] = {.lex_state = 29, .external_lex_state = 3},
  [2503] = {.lex_state = 29, .external_lex_state = 3},
  [2504] = {.lex_state = 29, .external_lex_state = 3},
  [2505] = {.lex_state = 29, .external_lex_state = 3},
  [2506] = {.lex_state = 29, .external_lex_state = 3},
  [2507] = {.lex_state = 29, .external_lex_state = 3},
  [2508] = {.lex_state = 29, .external_lex_state = 3},
  [2509] = {.lex_state = 29, .external_lex_state = 3},
  [2510] = {.lex_state = 29, .external_lex_state = 3},
  [2511] = {.lex_state = 29, .external_lex_state = 3},
  [2512] = {.lex_state = 29, .external_lex_state = 3},
  [2513] = {.lex_state = 29, .external_lex_state = 3},
  [2514] = {.lex_state = 29, .external_lex_state = 3},
  [2515] = {.lex_state = 29, .external_lex_state = 3},
  [2516] = {.lex_state = 29, .external_lex_state = 3},
  [2517] = {.lex_state = 39, .external_lex_state = 5},
  [2518] = {.lex_state = 29, .external_lex_state = 3},
  [2519] = {.lex_state = 29, .external_lex_state = 4},
  [2520] = {.lex_state = 29, .external_lex_state = 4},
  [2521] = {.lex_state = 29, .external_lex_state = 3},
  [2522] = {.lex_state = 29, .external_lex_state = 3},
  [2523] = {.lex_state = 29, .external_lex_state = 3},
  [2524] = {.lex_state = 29, .external_lex_state = 3},
  [2525] = {.lex_state = 29, .external_lex_state = 3},
  [2526] = {.lex_state = 29, .external_lex_state = 4},
  [2527] = {.lex_state = 29, .external_lex_state = 4},
  [2528] = {.lex_state = 29, .external_lex_state = 4},
  [2529] = {.lex_state = 29, .external_lex_state = 3},
  [2530] = {.lex_state = 29, .external_lex_state = 4},
  [2531] = {.lex_state = 29, .external_lex_state = 4},
  [2532] = {.lex_state = 29, .external_lex_state = 3},
  [2533] = {.lex_state = 29, .external_lex_state = 4},
  [2534] = {.lex_state = 29, .external_lex_state = 4},
  [2535] = {.lex_state = 29, .external_lex_state = 4},
  [2536] = {.lex_state = 29, .external_lex_state = 3},
  [2537] = {.lex_state = 29, .external_lex_state = 3},
  [2538] = {.lex_state = 29, .external_lex_state = 4},
  [2539] = {.lex_state = 29, .external_lex_state = 4},
  [2540] = {.lex_state = 29, .external_lex_state = 4},
  [2541] = {.lex_state = 29, .external_lex_state = 3},
  [2542] = {.lex_state = 39, .external_lex_state = 5},
  [2543] = {.lex_state = 29, .external_lex_state = 4},
  [2544] = {.lex_state = 29, .external_lex_state = 4},
  [2545] = {.lex_state = 29, .external_lex_state = 4},
  [2546] = {.lex_state = 29, .external_lex_state = 4},
  [2547] = {.lex_state = 29, .external_lex_state = 4},
  [2548] = {.lex_state = 29, .external_lex_state = 4},
  [2549] = {.lex_state = 29, .external_lex_state = 4},
  [2550] = {.lex_state = 29, .external_lex_state = 4},
  [2551] = {.lex_state = 29, .external_lex_state = 4},
  [2552] = {.lex_state = 39, .external_lex_state = 5},
  [2553] = {.lex_state = 29, .external_lex_state = 3},
  [2554] = {.lex_state = 29, .external_lex_state = 3},
  [2555] = {.lex_state = 29, .external_lex_state = 4},
  [2556] = {.lex_state = 29, .external_lex_state = 3},
  [2557] = {.lex_state = 29, .external_lex_state = 4},
  [2558] = {.lex_state = 29, .external_lex_state = 3},
  [2559] = {.lex_state = 29, .external_lex_state = 3},
  [2560] = {.lex_state = 29, .external_lex_state = 3},
  [2561] = {.lex_state = 29, .external_lex_state = 4},
  [2562] = {.lex_state = 29, .external_lex_state = 3},
  [2563] = {.lex_state = 29, .external_lex_state = 3},
  [2564] = {.lex_state = 39, .external_lex_state = 5},
  [2565] = {.lex_state = 29, .external_lex_state = 3},
  [2566] = {.lex_state = 29, .external_lex_state = 3},
  [2567] = {.lex_state = 29, .external_lex_state = 4},
  [2568] = {.lex_state = 29, .external_lex_state = 3},
  [2569] = {.lex_state = 29, .external_lex_state = 4},
  [2570] = {.lex_state = 39, .external_lex_state = 5},
  [2571] = {.lex_state = 29, .external_lex_state = 4},
  [2572] = {.lex_state = 29, .external_lex_state = 4},
  [2573] = {.lex_state = 29, .external_lex_state = 4},
  [2574] = {.lex_state = 29, .external_lex_state = 4},
  [2575] = {.lex_state = 29, .external_lex_state = 3},
  [2576] = {.lex_state = 29, .external_lex_state = 4},
  [2577] = {.lex_state = 39, .external_lex_state = 5},
  [2578] = {.lex_state = 29, .external_lex_state = 3},
  [2579] = {.lex_state = 29, .external_lex_state = 4},
  [2580] = {.lex_state = 29, .external_lex_state = 3},
  [2581] = {.lex_state = 29, .external_lex_state = 4},
  [2582] = {.lex_state = 29, .external_lex_state = 4},
  [2583] = {.lex_state = 29, .external_lex_state = 3},
  [2584] = {.lex_state = 29, .external_lex_state = 4},
  [2585] = {.lex_state = 29, .external_lex_state = 4},
  [2586] = {.lex_state = 29, .external_lex_state = 3},
  [2587] = {.lex_state = 29, .external_lex_state = 3},
  [2588] = {.lex_state = 29, .external_lex_state = 3},
  [2589] = {.lex_state = 29, .external_lex_state = 4},
  [2590] = {.lex_state = 29, .external_lex_state = 3},
  [2591] = {.lex_state = 29, .external_lex_state = 4},
  [2592] = {.lex_state = 29, .external_lex_state = 4},
  [2593] = {.lex_state = 29, .external_lex_state = 3},
  [2594] = {.lex_state = 29, .external_lex_state = 4},
  [2595] = {.lex_state = 29, .external_lex_state = 4},
  [2596] = {.lex_state = 29, .external_lex_state = 4},
  [2597] = {.lex_state = 29, .external_lex_state = 3},
  [2598] = {.lex_state = 29, .external_lex_state = 4},
  [2599] = {.lex_state = 29, .external_lex_state = 4},
  [2600] = {.lex_state = 29, .external_lex_state = 4},
  [2601] = {.lex_state = 29, .external_lex_state = 3},
  [2602] = {.lex_state = 39, .external_lex_state = 5},
  [2603] = {.lex_state = 29, .external_lex_state = 4},
  [2604] = {.lex_state = 29, .external_lex_state = 4},
  [2605] = {.lex_state = 29, .external_lex_state = 3},
  [2606] = {.lex_state = 29, .external_lex_state = 4},
  [2607] = {.lex_state = 29, .external_lex_state = 4},
  [2608] = {.lex_state = 29, .external_lex_state = 4},
  [2609] = {.lex_state = 29, .external_lex_state = 3},
  [2610] = {.lex_state = 29, .external_lex_state = 3},
  [2611] = {.lex_state = 29, .external_lex_state = 3},
  [2612] = {.lex_state = 29, .external_lex_state = 4},
  [2613] = {.lex_state = 29, .external_lex_state = 3},
  [2614] = {.lex_state = 29, .external_lex_state = 3},
  [2615] = {.lex_state = 29, .external_lex_state = 3},
  [2616] = {.lex_state = 29, .external_lex_state = 4},
  [2617] = {.lex_state = 29, .external_lex_state = 3},
  [2618] = {.lex_state = 29, .external_lex_state = 4},
  [2619] = {.lex_state = 29, .external_lex_state = 3},
  [2620] = {.lex_state = 29, .external_lex_state = 4},
  [2621] = {.lex_state = 29, .external_lex_state = 3},
  [2622] = {.lex_state = 29, .external_lex_state = 4},
  [2623] = {.lex_state = 29, .external_lex_state = 3},
  [2624] = {.lex_state = 29, .external_lex_state = 3},
  [2625] = {.lex_state = 29, .external_lex_state = 4},
  [2626] = {.lex_state = 29, .external_lex_state = 3},
  [2627] = {.lex_state = 29, .external_lex_state = 3},
  [2628] = {.lex_state = 29, .external_lex_state = 4},
  [2629] = {.lex_state = 29, .external_lex_state = 4},
  [2630] = {.lex_state = 29, .external_lex_state = 3},
  [2631] = {.lex_state = 29, .external_lex_state = 4},
  [2632] = {.lex_state = 39, .external_lex_state = 5},
  [2633] = {.lex_state = 29, .external_lex_state = 4},
  [2634] = {.lex_state = 29, .external_lex_state = 4},
  [2635] = {.lex_state = 29, .external_lex_state = 3},
  [2636] = {.lex_state = 29, .external_lex_state = 3},
  [2637] = {.lex_state = 29, .external_lex_state = 4},
  [2638] = {.lex_state = 29, .external_lex_state = 3},
  [2639] = {.lex_state = 29, .external_lex_state = 4},
  [2640] = {.lex_state = 29, .external_lex_state = 3},
  [2641] = {.lex_state = 29, .external_lex_state = 3},
  [2642] = {.lex_state = 29, .external_lex_state = 3},
  [2643] = {.lex_state = 29, .external_lex_state = 3},
  [2644] = {.lex_state = 29, .external_lex_state = 4},
  [2645] = {.lex_state = 29, .external_lex_state = 3},
  [2646] = {.lex_state = 29, .external_lex_state = 4},
  [2647] = {.lex_state = 29, .external_lex_state = 3},
  [2648] = {.lex_state = 29, .external_lex_state = 4},
  [2649] = {.lex_state = 29, .external_lex_state = 3},
  [2650] = {.lex_state = 29, .external_lex_state = 4},
  [2651] = {.lex_state = 39, .external_lex_state = 5},
  [2652] = {.lex_state = 29, .external_lex_state = 3},
  [2653] = {.lex_state = 29, .external_lex_state = 3},
  [2654] = {.lex_state = 29, .external_lex_state = 3},
  [2655] = {.lex_state = 29, .external_lex_state = 3},
  [2656] = {.lex_state = 29, .external_lex_state = 3},
  [2657] = {.lex_state = 29, .external_lex_state = 3},
  [2658] = {.lex_state = 29, .external_lex_state = 4},
  [2659] = {.lex_state = 29, .external_lex_state = 3},
  [2660] = {.lex_state = 29, .external_lex_state = 4},
  [2661] = {.lex_state = 29, .external_lex_state = 3},
  [2662] = {.lex_state = 29, .external_lex_state = 4},
  [2663] = {.lex_state = 29, .external_lex_state = 3},
  [2664] = {.lex_state = 29, .external_lex_state = 3},
  [2665] = {.lex_state = 29, .external_lex_state = 3},
  [2666] = {.lex_state = 29, .external_lex_state = 4},
  [2667] = {.lex_state = 39, .external_lex_state = 5},
  [2668] = {.lex_state = 29, .external_lex_state = 4},
  [2669] = {.lex_state = 29, .external_lex_state = 3},
  [2670] = {.lex_state = 29, .external_lex_state = 3},
  [2671] = {.lex_state = 29, .external_lex_state = 3},
  [2672] = {.lex_state = 29, .external_lex_state = 3},
  [2673] = {.lex_state = 29, .external_lex_state = 3},
  [2674] = {.lex_state = 29, .external_lex_state = 4},
  [2675] = {.lex_state = 29, .external_lex_state = 4},
  [2676] = {.lex_state = 29, .external_lex_state = 3},
  [2677] = {.lex_state = 29, .external_lex_state = 3},
  [2678] = {.lex_state = 29, .external_lex_state = 4},
  [2679] = {.lex_state = 29, .external_lex_state = 4},
  [2680] = {.lex_state = 29, .external_lex_state = 3},
  [2681] = {.lex_state = 29, .external_lex_state = 4},
  [2682] = {.lex_state = 29, .external_lex_state = 3},
  [2683] = {.lex_state = 29, .external_lex_state = 4},
  [2684] = {.lex_state = 29, .external_lex_state = 4},
  [2685] = {.lex_state = 39, .external_lex_state = 5},
  [2686] = {.lex_state = 29, .external_lex_state = 4},
  [2687] = {.lex_state = 29, .external_lex_state = 4},
  [2688] = {.lex_state = 29, .external_lex_state = 4},
  [2689] = {.lex_state = 29, .external_lex_state = 4},
  [2690] = {.lex_state = 29, .external_lex_state = 4},
  [2691] = {.lex_state = 29, .external_lex_state = 4},
  [2692] = {.lex_state = 29, .external_lex_state = 3},
  [2693] = {.lex_state = 29, .external_lex_state = 4},
  [2694] = {.lex_state = 29, .external_lex_state = 3},
  [2695] = {.lex_state = 29, .external_lex_state = 4},
  [2696] = {.lex_state = 29, .external_lex_state = 3},
  [2697] = {.lex_state = 29, .external_lex_state = 3},
  [2698] = {.lex_state = 29, .external_lex_state = 3},
  [2699] = {.lex_state = 29, .external_lex_state = 3},
  [2700] = {.lex_state = 29, .external_lex_state = 3},
  [2701] = {.lex_state = 29, .external_lex_state = 3},
  [2702] = {.lex_state = 29, .external_lex_state = 3},
  [2703] = {.lex_state = 29, .external_lex_state = 3},
  [2704] = {.lex_state = 29, .external_lex_state = 3},
  [2705] = {.lex_state = 29, .external_lex_state = 4},
  [2706] = {.lex_state = 29, .external_lex_state = 4},
  [2707] = {.lex_state = 29, .external_lex_state = 4},
  [2708] = {.lex_state = 29, .external_lex_state = 4},
  [2709] = {.lex_state = 29, .external_lex_state = 4},
  [2710] = {.lex_state = 29, .external_lex_state = 4},
  [2711] = {.lex_state = 29, .external_lex_state = 3},
  [2712] = {.lex_state = 29, .external_lex_state = 4},
  [2713] = {.lex_state = 39, .external_lex_state = 5},
  [2714] = {.lex_state = 29, .external_lex_state = 3},
  [2715] = {.lex_state = 29, .external_lex_state = 3},
  [2716] = {.lex_state = 29, .external_lex_state = 3},
  [2717] = {.lex_state = 29, .external_lex_state = 3},
  [2718] = {.lex_state = 29, .external_lex_state = 3},
  [2719] = {.lex_state = 29, .external_lex_state = 3},
  [2720] = {.lex_state = 29, .external_lex_state = 3},
  [2721] = {.lex_state = 29, .external_lex_state = 4},
  [2722] = {.lex_state = 29, .external_lex_state = 3},
  [2723] = {.lex_state = 29, .external_lex_state = 3},
  [2724] = {.lex_state = 29, .external_lex_state = 3},
  [2725] = {.lex_state = 29, .external_lex_state = 3},
  [2726] = {.lex_state = 29, .external_lex_state = 3},
  [2727] = {.lex_state = 29, .external_lex_state = 3},
  [2728] = {.lex_state = 29, .external_lex_state = 3},
  [2729] = {.lex_state = 29, .external_lex_state = 3},
  [2730] = {.lex_state = 29, .external_lex_state = 4},
  [2731] = {.lex_state = 29, .external_lex_state = 4},
  [2732] = {.lex_state = 29, .external_lex_state = 4},
  [2733] = {.lex_state = 29, .external_lex_state = 4},
  [2734] = {.lex_state = 38, .external_lex_state = 5},
  [2735] = {.lex_state = 39, .external_lex_state = 5},
  [2736] = {.lex_state = 29, .external_lex_state = 3},
  [2737] = {.lex_state = 29, .external_lex_state = 4},
  [2738] = {.lex_state = 29, .external_lex_state = 3},
  [2739] = {.lex_state = 39, .external_lex_state = 5},
  [2740] = {.lex_state = 29, .external_lex_state = 3},
  [2741] = {.lex_state = 29, .external_lex_state = 3},
  [2742] = {.lex_state = 29, .external_lex_state = 4},
  [2743] = {.lex_state = 29, .external_lex_state = 3},
  [2744] = {.lex_state = 29, .external_lex_state = 3},
  [2745] = {.lex_state = 29, .external_lex_state = 3},
  [2746] = {.lex_state = 29, .external_lex_state = 3},
  [2747] = {.lex_state = 29, .external_lex_state = 3},
  [2748] = {.lex_state = 29, .external_lex_state = 3},
  [2749] = {.lex_state = 39, .external_lex_state = 5},
  [2750] = {.lex_state = 29, .external_lex_state = 3},
  [2751] = {.lex_state = 29, .external_lex_state = 3},
  [2752] = {.lex_state = 29, .external_lex_state = 3},
  [2753] = {.lex_state = 29, .external_lex_state = 3},
  [2754] = {.lex_state = 29, .external_lex_state = 3},
  [2755] = {.lex_state = 29, .external_lex_state = 3},
  [2756] = {.lex_state = 29, .external_lex_state = 4},
  [2757] = {.lex_state = 29, .external_lex_state = 3},
  [2758] = {.lex_state = 29, .external_lex_state = 4},
  [2759] = {.lex_state = 29, .external_lex_state = 4},
  [2760] = {.lex_state = 29, .external_lex_state = 3},
  [2761] = {.lex_state = 29, .external_lex_state = 3},
  [2762] = {.lex_state = 29, .external_lex_state = 3},
  [2763] = {.lex_state = 29, .external_lex_state = 3},
  [2764] = {.lex_state = 29, .external_lex_state = 4},
  [2765] = {.lex_state = 29, .external_lex_state = 3},
  [2766] = {.lex_state = 29, .external_lex_state = 3},
  [2767] = {.lex_state = 29, .external_lex_state = 3},
  [2768] = {.lex_state = 29, .external_lex_state = 3},
  [2769] = {.lex_state = 29, .external_lex_state = 3},
  [2770] = {.lex_state = 29, .external_lex_state = 3},
  [2771] = {.lex_state = 29, .external_lex_state = 3},
  [2772] = {.lex_state = 29, .external_lex_state = 3},
  [2773] = {.lex_state = 29, .external_lex_state = 3},
  [2774] = {.lex_state = 29, .external_lex_state = 4},
  [2775] = {.lex_state = 29, .external_lex_state = 3},
  [2776] = {.lex_state = 29, .external_lex_state = 3},
  [2777] = {.lex_state = 29, .external_lex_state = 3},
  [2778] = {.lex_state = 29, .external_lex_state = 4},
  [2779] = {.lex_state = 29, .external_lex_state = 3},
  [2780] = {.lex_state = 29, .external_lex_state = 3},
  [2781] = {.lex_state = 29, .external_lex_state = 3},
  [2782] = {.lex_state = 29, .external_lex_state = 3},
  [2783] = {.lex_state = 29, .external_lex_state = 3},
  [2784] = {.lex_state = 29, .external_lex_state = 3},
  [2785] = {.lex_state = 39, .external_lex_state = 5},
  [2786] = {.lex_state = 29, .external_lex_state = 3},
  [2787] = {.lex_state = 29, .external_lex_state = 3},
  [2788] = {.lex_state = 29, .external_lex_state = 4},
  [2789] = {.lex_state = 29, .external_lex_state = 3},
  [2790] = {.lex_state = 29, .external_lex_state = 3},
  [2791] = {.lex_state = 29, .external_lex_state = 3},
  [2792] = {.lex_state = 29, .external_lex_state = 3},
  [2793] = {.lex_state = 38, .external_lex_state = 5},
  [2794] = {.lex_state = 29, .external_lex_state = 3},
  [2795] = {.lex_state = 29, .external_lex_state = 4},
  [2796] = {.lex_state = 29, .external_lex_state = 3},
  [2797] = {.lex_state = 39, .external_lex_state = 5},
  [2798] = {.lex_state = 29, .external_lex_state = 4},
  [2799] = {.lex_state = 29, .external_lex_state = 4},
  [2800] = {.lex_state = 29, .external_lex_state = 3},
  [2801] = {.lex_state = 29, .external_lex_state = 3},
  [2802] = {.lex_state = 29, .external_lex_state = 4},
  [2803] = {.lex_state = 29, .external_lex_state = 3},
  [2804] = {.lex_state = 29, .external_lex_state = 4},
  [2805] = {.lex_state = 29, .external_lex_state = 4},
  [2806] = {.lex_state = 29, .external_lex_state = 3},
  [2807] = {.lex_state = 29, .external_lex_state = 3},
  [2808] = {.lex_state = 29, .external_lex_state = 3},
  [2809] = {.lex_state = 29, .external_lex_state = 4},
  [2810] = {.lex_state = 29, .external_lex_state = 3},
  [2811] = {.lex_state = 29, .external_lex_state = 4},
  [2812] = {.lex_state = 29, .external_lex_state = 4},
  [2813] = {.lex_state = 39, .external_lex_state = 5},
  [2814] = {.lex_state = 29, .external_lex_state = 3},
  [2815] = {.lex_state = 29, .external_lex_state = 3},
  [2816] = {.lex_state = 29, .external_lex_state = 3},
  [2817] = {.lex_state = 29, .external_lex_state = 3},
  [2818] = {.lex_state = 29, .external_lex_state = 3},
  [2819] = {.lex_state = 29, .external_lex_state = 3},
  [2820] = {.lex_state = 29, .external_lex_state = 4},
  [2821] = {.lex_state = 38, .external_lex_state = 5},
  [2822] = {.lex_state = 29, .external_lex_state = 4},
  [2823] = {.lex_state = 29, .external_lex_state = 3},
  [2824] = {.lex_state = 29, .external_lex_state = 4},
  [2825] = {.lex_state = 29, .external_lex_state = 4},
  [2826] = {.lex_state = 29, .external_lex_state = 4},
  [2827] = {.lex_state = 29, .external_lex_state = 4},
  [2828] = {.lex_state = 29, .external_lex_state = 4},
  [2829] = {.lex_state = 29, .external_lex_state = 4},
  [2830] = {.lex_state = 29, .external_lex_state = 4},
  [2831] = {.lex_state = 29, .external_lex_state = 4},
  [2832] = {.lex_state = 29, .external_lex_state = 3},
  [2833] = {.lex_state = 29, .external_lex_state = 4},
  [2834] = {.lex_state = 29, .external_lex_state = 3},
  [2835] = {.lex_state = 29, .external_lex_state = 4},
  [2836] = {.lex_state = 29, .external_lex_state = 4},
  [2837] = {.lex_state = 29, .external_lex_state = 4},
  [2838] = {.lex_state = 29, .external_lex_state = 4},
  [2839] = {.lex_state = 29, .external_lex_state = 4},
  [2840] = {.lex_state = 39, .external_lex_state = 2},
  [2841] = {.lex_state = 29, .external_lex_state = 4},
  [2842] = {.lex_state = 29, .external_lex_state = 4},
  [2843] = {.lex_state = 29, .external_lex_state = 4},
  [2844] = {.lex_state = 29, .external_lex_state = 4},
  [2845] = {.lex_state = 39, .external_lex_state = 5},
  [2846] = {.lex_state = 29, .external_lex_state = 4},
  [2847] = {.lex_state = 29, .external_lex_state = 4},
  [2848] = {.lex_state = 29, .external_lex_state = 3},
  [2849] = {.lex_state = 29, .external_lex_state = 4},
  [2850] = {.lex_state = 29, .external_lex_state = 4},
  [2851] = {.lex_state = 29, .external_lex_state = 4},
  [2852] = {.lex_state = 29, .external_lex_state = 3},
  [2853] = {.lex_state = 29, .external_lex_state = 4},
  [2854] = {.lex_state = 29, .external_lex_state = 4},
  [2855] = {.lex_state = 29, .external_lex_state = 4},
  [2856] = {.lex_state = 29, .external_lex_state = 4},
  [2857] = {.lex_state = 29, .external_lex_state = 4},
  [2858] = {.lex_state = 29, .external_lex_state = 4},
  [2859] = {.lex_state = 29, .external_lex_state = 4},
  [2860] = {.lex_state = 29, .external_lex_state = 4},
  [2861] = {.lex_state = 29, .external_lex_state = 4},
  [2862] = {.lex_state = 29, .external_lex_state = 4},
  [2863] = {.lex_state = 29, .external_lex_state = 4},
  [2864] = {.lex_state = 29, .external_lex_state = 4},
  [2865] = {.lex_state = 29, .external_lex_state = 4},
  [2866] = {.lex_state = 29, .external_lex_state = 4},
  [2867] = {.lex_state = 29, .external_lex_state = 3},
  [2868] = {.lex_state = 29, .external_lex_state = 4},
  [2869] = {.lex_state = 29, .external_lex_state = 4},
  [2870] = {.lex_state = 29, .external_lex_state = 4},
  [2871] = {.lex_state = 29, .external_lex_state = 4},
  [2872] = {.lex_state = 29, .external_lex_state = 4},
  [2873] = {.lex_state = 29, .external_lex_state = 4},
  [2874] = {.lex_state = 29, .external_lex_state = 4},
  [2875] = {.lex_state = 29, .external_lex_state = 4},
  [2876] = {.lex_state = 29, .external_lex_state = 4},
  [2877] = {.lex_state = 39, .external_lex_state = 2},
  [2878] = {.lex_state = 29, .external_lex_state = 4},
  [2879] = {.lex_state = 29, .external_lex_state = 4},
  [2880] = {.lex_state = 29, .external_lex_state = 4},
  [2881] = {.lex_state = 29, .external_lex_state = 4},
  [2882] = {.lex_state = 29, .external_lex_state = 4},
  [2883] = {.lex_state = 29, .external_lex_state = 4},
  [2884] = {.lex_state = 38, .external_lex_state = 5},
  [2885] = {.lex_state = 29, .external_lex_state = 4},
  [2886] = {.lex_state = 29, .external_lex_state = 4},
  [2887] = {.lex_state = 39, .external_lex_state = 2},
  [2888] = {.lex_state = 29, .external_lex_state = 4},
  [2889] = {.lex_state = 29, .external_lex_state = 4},
  [2890] = {.lex_state = 39, .external_lex_state = 2},
  [2891] = {.lex_state = 38, .external_lex_state = 5},
  [2892] = {.lex_state = 39, .external_lex_state = 5},
  [2893] = {.lex_state = 29, .external_lex_state = 4},
  [2894] = {.lex_state = 29, .external_lex_state = 4},
  [2895] = {.lex_state = 29, .external_lex_state = 4},
  [2896] = {.lex_state = 29, .external_lex_state = 4},
  [2897] = {.lex_state = 29, .external_lex_state = 3},
  [2898] = {.lex_state = 29, .external_lex_state = 4},
  [2899] = {.lex_state = 29, .external_lex_state = 4},
  [2900] = {.lex_state = 29, .external_lex_state = 4},
  [2901] = {.lex_state = 29, .external_lex_state = 4},
  [2902] = {.lex_state = 29, .external_lex_state = 4},
  [2903] = {.lex_state = 29, .external_lex_state = 4},
  [2904] = {.lex_state = 29, .external_lex_state = 4},
  [2905] = {.lex_state = 29, .external_lex_state = 4},
  [2906] = {.lex_state = 29, .external_lex_state = 4},
  [2907] = {.lex_state = 29, .external_lex_state = 3},
  [2908] = {.lex_state = 29, .external_lex_state = 4},
  [2909] = {.lex_state = 39, .external_lex_state = 2},
  [2910] = {.lex_state = 29, .external_lex_state = 4},
  [2911] = {.lex_state = 29, .external_lex_state = 3},
  [2912] = {.lex_state = 29, .external_lex_state = 4},
  [2913] = {.lex_state = 29, .external_lex_state = 4},
  [2914] = {.lex_state = 38, .external_lex_state = 5},
  [2915] = {.lex_state = 29, .external_lex_state = 4},
  [2916] = {.lex_state = 29, .external_lex_state = 4},
  [2917] = {.lex_state = 29, .external_lex_state = 3},
  [2918] = {.lex_state = 29, .external_lex_state = 3},
  [2919] = {.lex_state = 29, .external_lex_state = 3},
  [2920] = {.lex_state = 29, .external_lex_state = 4},
  [2921] = {.lex_state = 39, .external_lex_state = 2},
  [2922] = {.lex_state = 29, .external_lex_state = 4},
  [2923] = {.lex_state = 29, .external_lex_state = 4},
  [2924] = {.lex_state = 29, .external_lex_state = 4},
  [2925] = {.lex_state = 29, .external_lex_state = 4},
  [2926] = {.lex_state = 29, .external_lex_state = 4},
  [2927] = {.lex_state = 29, .external_lex_state = 4},
  [2928] = {.lex_state = 29, .external_lex_state = 4},
  [2929] = {.lex_state = 29, .external_lex_state = 4},
  [2930] = {.lex_state = 29, .external_lex_state = 4},
  [2931] = {.lex_state = 29, .external_lex_state = 4},
  [2932] = {.lex_state = 29, .external_lex_state = 4},
  [2933] = {.lex_state = 29, .external_lex_state = 4},
  [2934] = {.lex_state = 29, .external_lex_state = 4},
  [2935] = {.lex_state = 29, .external_lex_state = 4},
  [2936] = {.lex_state = 29, .external_lex_state = 3},
  [2937] = {.lex_state = 29, .external_lex_state = 4},
  [2938] = {.lex_state = 29, .external_lex_state = 4},
  [2939] = {.lex_state = 29, .external_lex_state = 4},
  [2940] = {.lex_state = 29, .external_lex_state = 4},
  [2941] = {.lex_state = 29, .external_lex_state = 4},
  [2942] = {.lex_state = 29, .external_lex_state = 4},
  [2943] = {.lex_state = 29, .external_lex_state = 4},
  [2944] = {.lex_state = 29, .external_lex_state = 4},
  [2945] = {.lex_state = 29, .external_lex_state = 4},
  [2946] = {.lex_state = 39, .external_lex_state = 5},
  [2947] = {.lex_state = 29, .external_lex_state = 4},
  [2948] = {.lex_state = 29, .external_lex_state = 4},
  [2949] = {.lex_state = 29, .external_lex_state = 4},
  [2950] = {.lex_state = 29, .external_lex_state = 4},
  [2951] = {.lex_state = 29, .external_lex_state = 4},
  [2952] = {.lex_state = 29, .external_lex_state = 4},
  [2953] = {.lex_state = 29, .external_lex_state = 4},
  [2954] = {.lex_state = 39, .external_lex_state = 5},
  [2955] = {.lex_state = 29, .external_lex_state = 4},
  [2956] = {.lex_state = 29, .external_lex_state = 4},
  [2957] = {.lex_state = 29, .external_lex_state = 3},
  [2958] = {.lex_state = 29, .external_lex_state = 4},
  [2959] = {.lex_state = 29, .external_lex_state = 3},
  [2960] = {.lex_state = 29, .external_lex_state = 4},
  [2961] = {.lex_state = 29, .external_lex_state = 4},
  [2962] = {.lex_state = 29, .external_lex_state = 4},
  [2963] = {.lex_state = 29, .external_lex_state = 4},
  [2964] = {.lex_state = 27, .external_lex_state = 3},
  [2965] = {.lex_state = 29, .external_lex_state = 3},
  [2966] = {.lex_state = 29, .external_lex_state = 4},
  [2967] = {.lex_state = 29, .external_lex_state = 3},
  [2968] = {.lex_state = 29, .external_lex_state = 3},
  [2969] = {.lex_state = 29, .external_lex_state = 3},
  [2970] = {.lex_state = 29, .external_lex_state = 3},
  [2971] = {.lex_state = 29, .external_lex_state = 4},
  [2972] = {.lex_state = 29, .external_lex_state = 4},
  [2973] = {.lex_state = 39, .external_lex_state = 5},
  [2974] = {.lex_state = 29, .external_lex_state = 4},
  [2975] = {.lex_state = 29, .external_lex_state = 4},
  [2976] = {.lex_state = 29, .external_lex_state = 3},
  [2977] = {.lex_state = 29, .external_lex_state = 3},
  [2978] = {.lex_state = 29, .external_lex_state = 3},
  [2979] = {.lex_state = 29, .external_lex_state = 3},
  [2980] = {.lex_state = 29, .external_lex_state = 3},
  [2981] = {.lex_state = 29, .external_lex_state = 3},
  [2982] = {.lex_state = 39, .external_lex_state = 5},
  [2983] = {.lex_state = 29, .external_lex_state = 4},
  [2984] = {.lex_state = 29, .external_lex_state = 4},
  [2985] = {.lex_state = 29, .external_lex_state = 3},
  [2986] = {.lex_state = 29, .external_lex_state = 4},
  [2987] = {.lex_state = 29, .external_lex_state = 3},
  [2988] = {.lex_state = 29, .external_lex_state = 4},
  [2989] = {.lex_state = 29, .external_lex_state = 4},
  [2990] = {.lex_state = 38, .external_lex_state = 5},
  [2991] = {.lex_state = 29, .external_lex_state = 4},
  [2992] = {.lex_state = 29, .external_lex_state = 4},
  [2993] = {.lex_state = 29, .external_lex_state = 4},
  [2994] = {.lex_state = 29, .external_lex_state = 3},
  [2995] = {.lex_state = 29, .external_lex_state = 3},
  [2996] = {.lex_state = 29, .external_lex_state = 3},
  [2997] = {.lex_state = 29, .external_lex_state = 3},
  [2998] = {.lex_state = 29, .external_lex_state = 3},
  [2999] = {.lex_state = 39, .external_lex_state = 2},
  [3000] = {.lex_state = 29, .external_lex_state = 3},
  [3001] = {.lex_state = 29, .external_lex_state = 4},
  [3002] = {.lex_state = 29, .external_lex_state = 3},
  [3003] = {.lex_state = 29, .external_lex_state = 3},
  [3004] = {.lex_state = 29, .external_lex_state = 4},
  [3005] = {.lex_state = 29, .external_lex_state = 3},
  [3006] = {.lex_state = 39, .external_lex_state = 5},
  [3007] = {.lex_state = 29, .external_lex_state = 3},
  [3008] = {.lex_state = 29, .external_lex_state = 4},
  [3009] = {.lex_state = 29, .external_lex_state = 4},
  [3010] = {.lex_state = 29, .external_lex_state = 3},
  [3011] = {.lex_state = 29, .external_lex_state = 3},
  [3012] = {.lex_state = 29, .external_lex_state = 3},
  [3013] = {.lex_state = 29, .external_lex_state = 3},
  [3014] = {.lex_state = 29, .external_lex_state = 3},
  [3015] = {.lex_state = 29, .external_lex_state = 4},
  [3016] = {.lex_state = 29, .external_lex_state = 3},
  [3017] = {.lex_state = 39, .external_lex_state = 2},
  [3018] = {.lex_state = 29, .external_lex_state = 3},
  [3019] = {.lex_state = 29, .external_lex_state = 4},
  [3020] = {.lex_state = 29, .external_lex_state = 4},
  [3021] = {.lex_state = 29, .external_lex_state = 4},
  [3022] = {.lex_state = 29, .external_lex_state = 4},
  [3023] = {.lex_state = 29, .external_lex_state = 4},
  [3024] = {.lex_state = 29, .external_lex_state = 4},
  [3025] = {.lex_state = 29, .external_lex_state = 4},
  [3026] = {.lex_state = 29, .external_lex_state = 4},
  [3027] = {.lex_state = 29, .external_lex_state = 4},
  [3028] = {.lex_state = 29, .external_lex_state = 4},
  [3029] = {.lex_state = 29, .external_lex_state = 4},
  [3030] = {.lex_state = 29, .external_lex_state = 4},
  [3031] = {.lex_state = 29, .external_lex_state = 4},
  [3032] = {.lex_state = 29, .external_lex_state = 4},
  [3033] = {.lex_state = 29, .external_lex_state = 4},
  [3034] = {.lex_state = 29, .external_lex_state = 4},
  [3035] = {.lex_state = 29, .external_lex_state = 4},
  [3036] = {.lex_state = 29, .external_lex_state = 4},
  [3037] = {.lex_state = 29, .external_lex_state = 4},
  [3038] = {.lex_state = 29, .external_lex_state = 4},
  [3039] = {.lex_state = 29, .external_lex_state = 3},
  [3040] = {.lex_state = 29, .external_lex_state = 3},
  [3041] = {.lex_state = 29, .external_lex_state = 4},
  [3042] = {.lex_state = 29, .external_lex_state = 4},
  [3043] = {.lex_state = 29, .external_lex_state = 4},
  [3044] = {.lex_state = 29, .external_lex_state = 4},
  [3045] = {.lex_state = 29, .external_lex_state = 4},
  [3046] = {.lex_state = 39, .external_lex_state = 2},
  [3047] = {.lex_state = 29, .external_lex_state = 4},
  [3048] = {.lex_state = 29, .external_lex_state = 4},
  [3049] = {.lex_state = 29, .external_lex_state = 4},
  [3050] = {.lex_state = 39, .external_lex_state = 5},
  [3051] = {.lex_state = 29, .external_lex_state = 4},
  [3052] = {.lex_state = 29, .external_lex_state = 4},
  [3053] = {.lex_state = 29, .external_lex_state = 4},
  [3054] = {.lex_state = 38, .external_lex_state = 5},
  [3055] = {.lex_state = 29, .external_lex_state = 4},
  [3056] = {.lex_state = 29, .external_lex_state = 3},
  [3057] = {.lex_state = 29, .external_lex_state = 4},
  [3058] = {.lex_state = 39, .external_lex_state = 2},
  [3059] = {.lex_state = 39, .external_lex_state = 5},
  [3060] = {.lex_state = 29, .external_lex_state = 4},
  [3061] = {.lex_state = 29, .external_lex_state = 3},
  [3062] = {.lex_state = 39, .external_lex_state = 5},
  [3063] = {.lex_state = 29, .external_lex_state = 4},
  [3064] = {.lex_state = 29, .external_lex_state = 3},
  [3065] = {.lex_state = 29, .external_lex_state = 4},
  [3066] = {.lex_state = 29, .external_lex_state = 4},
  [3067] = {.lex_state = 29, .external_lex_state = 3},
  [3068] = {.lex_state = 29, .external_lex_state = 3},
  [3069] = {.lex_state = 29, .external_lex_state = 4},
  [3070] = {.lex_state = 29, .external_lex_state = 4},
  [3071] = {.lex_state = 29, .external_lex_state = 3},
  [3072] = {.lex_state = 39, .external_lex_state = 5},
  [3073] = {.lex_state = 39, .external_lex_state = 5},
  [3074] = {.lex_state = 29, .external_lex_state = 3},
  [3075] = {.lex_state = 39, .external_lex_state = 5},
  [3076] = {.lex_state = 29, .external_lex_state = 3},
  [3077] = {.lex_state = 29, .external_lex_state = 3},
  [3078] = {.lex_state = 29, .external_lex_state = 3},
  [3079] = {.lex_state = 29, .external_lex_state = 3},
  [3080] = {.lex_state = 29, .external_lex_state = 3},
  [3081] = {.lex_state = 29, .external_lex_state = 4},
  [3082] = {.lex_state = 39, .external_lex_state = 5},
  [3083] = {.lex_state = 29, .external_lex_state = 4},
  [3084] = {.lex_state = 29, .external_lex_state = 3},
  [3085] = {.lex_state = 39, .external_lex_state = 5},
  [3086] = {.lex_state = 39, .external_lex_state = 5},
  [3087] = {.lex_state = 29, .external_lex_state = 3},
  [3088] = {.lex_state = 29, .external_lex_state = 3},
  [3089] = {.lex_state = 29, .external_lex_state = 3},
  [3090] = {.lex_state = 29, .external_lex_state = 3},
  [3091] = {.lex_state = 29, .external_lex_state = 3},
  [3092] = {.lex_state = 29, .external_lex_state = 3},
  [3093] = {.lex_state = 29, .external_lex_state = 4},
  [3094] = {.lex_state = 29, .external_lex_state = 3},
  [3095] = {.lex_state = 29, .external_lex_state = 4},
  [3096] = {.lex_state = 29, .external_lex_state = 4},
  [3097] = {.lex_state = 29, .external_lex_state = 4},
  [3098] = {.lex_state = 39, .external_lex_state = 5},
  [3099] = {.lex_state = 29, .external_lex_state = 4},
  [3100] = {.lex_state = 29, .external_lex_state = 4},
  [3101] = {.lex_state = 39, .external_lex_state = 5},
  [3102] = {.lex_state = 29, .external_lex_state = 4},
  [3103] = {.lex_state = 29, .external_lex_state = 4},
  [3104] = {.lex_state = 39, .external_lex_state = 5},
  [3105] = {.lex_state = 29, .external_lex_state = 3},
  [3106] = {.lex_state = 29, .external_lex_state = 4},
  [3107] = {.lex_state = 29, .external_lex_state = 4},
  [3108] = {.lex_state = 39, .external_lex_state = 5},
  [3109] = {.lex_state = 39, .external_lex_state = 2},
  [3110] = {.lex_state = 29, .external_lex_state = 4},
  [3111] = {.lex_state = 29, .external_lex_state = 4},
  [3112] = {.lex_state = 29, .external_lex_state = 3},
  [3113] = {.lex_state = 39, .external_lex_state = 5},
  [3114] = {.lex_state = 39, .external_lex_state = 5},
  [3115] = {.lex_state = 29, .external_lex_state = 4},
  [3116] = {.lex_state = 39, .external_lex_state = 5},
  [3117] = {.lex_state = 29, .external_lex_state = 3},
  [3118] = {.lex_state = 29, .external_lex_state = 4},
  [3119] = {.lex_state = 29, .external_lex_state = 3},
  [3120] = {.lex_state = 29, .external_lex_state = 3},
  [3121] = {.lex_state = 29, .external_lex_state = 4},
  [3122] = {.lex_state = 39, .external_lex_state = 5},
  [3123] = {.lex_state = 29, .external_lex_state = 4},
  [3124] = {.lex_state = 29, .external_lex_state = 4},
  [3125] = {.lex_state = 29, .external_lex_state = 3},
  [3126] = {.lex_state = 29, .external_lex_state = 4},
  [3127] = {.lex_state = 29, .external_lex_state = 3},
  [3128] = {.lex_state = 29, .external_lex_state = 3},
  [3129] = {.lex_state = 29, .external_lex_state = 3},
  [3130] = {.lex_state = 29, .external_lex_state = 3},
  [3131] = {.lex_state = 29, .external_lex_state = 3},
  [3132] = {.lex_state = 29, .external_lex_state = 3},
  [3133] = {.lex_state = 39, .external_lex_state = 5},
  [3134] = {.lex_state = 39, .external_lex_state = 2},
  [3135] = {.lex_state = 29, .external_lex_state = 4},
  [3136] = {.lex_state = 29, .external_lex_state = 4},
  [3137] = {.lex_state = 29, .external_lex_state = 3},
  [3138] = {.lex_state = 29, .external_lex_state = 3},
  [3139] = {.lex_state = 39, .external_lex_state = 5},
  [3140] = {.lex_state = 29, .external_lex_state = 4},
  [3141] = {.lex_state = 39, .external_lex_state = 5},
  [3142] = {.lex_state = 29, .external_lex_state = 3},
  [3143] = {.lex_state = 29, .external_lex_state = 3},
  [3144] = {.lex_state = 29, .external_lex_state = 3},
  [3145] = {.lex_state = 39, .external_lex_state = 2},
  [3146] = {.lex_state = 39, .external_lex_state = 2},
  [3147] = {.lex_state = 39, .external_lex_state = 5},
  [3148] = {.lex_state = 29, .external_lex_state = 4},
  [3149] = {.lex_state = 29, .external_lex_state = 3},
  [3150] = {.lex_state = 29, .external_lex_state = 3},
  [3151] = {.lex_state = 29, .external_lex_state = 3},
  [3152] = {.lex_state = 29, .external_lex_state = 3},
  [3153] = {.lex_state = 39, .external_lex_state = 5},
  [3154] = {.lex_state = 29, .external_lex_state = 3},
  [3155] = {.lex_state = 29, .external_lex_state = 3},
  [3156] = {.lex_state = 29, .external_lex_state = 3},
  [3157] = {.lex_state = 39, .external_lex_state = 5},
  [3158] = {.lex_state = 29, .external_lex_state = 4},
  [3159] = {.lex_state = 29, .external_lex_state = 3},
  [3160] = {.lex_state = 29, .external_lex_state = 4},
  [3161] = {.lex_state = 29, .external_lex_state = 4},
  [3162] = {.lex_state = 29, .external_lex_state = 4},
  [3163] = {.lex_state = 29, .external_lex_state = 3},
  [3164] = {.lex_state = 29, .external_lex_state = 3},
  [3165] = {.lex_state = 29, .external_lex_state = 3},
  [3166] = {.lex_state = 29, .external_lex_state = 3},
  [3167] = {.lex_state = 29, .external_lex_state = 3},
  [3168] = {.lex_state = 39, .external_lex_state = 5},
  [3169] = {.lex_state = 29, .external_lex_state = 3},
  [3170] = {.lex_state = 29, .external_lex_state = 4},
  [3171] = {.lex_state = 29, .external_lex_state = 3},
  [3172] = {.lex_state = 29, .external_lex_state = 3},
  [3173] = {.lex_state = 29, .external_lex_state = 4},
  [3174] = {.lex_state = 29, .external_lex_state = 3},
  [3175] = {.lex_state = 29, .external_lex_state = 3},
  [3176] = {.lex_state = 29, .external_lex_state = 3},
  [3177] = {.lex_state = 29, .external_lex_state = 4},
  [3178] = {.lex_state = 29, .external_lex_state = 4},
  [3179] = {.lex_state = 39, .external_lex_state = 5},
  [3180] = {.lex_state = 29, .external_lex_state = 4},
  [3181] = {.lex_state = 29, .external_lex_state = 4},
  [3182] = {.lex_state = 29, .external_lex_state = 4},
  [3183] = {.lex_state = 29, .external_lex_state = 4},
  [3184] = {.lex_state = 29, .external_lex_state = 4},
  [3185] = {.lex_state = 29, .external_lex_state = 3},
  [3186] = {.lex_state = 29, .external_lex_state = 3},
  [3187] = {.lex_state = 29, .external_lex_state = 3},
  [3188] = {.lex_state = 29, .external_lex_state = 3},
  [3189] = {.lex_state = 29, .external_lex_state = 4},
  [3190] = {.lex_state = 29, .external_lex_state = 3},
  [3191] = {.lex_state = 29, .external_lex_state = 3},
  [3192] = {.lex_state = 29, .external_lex_state = 4},
  [3193] = {.lex_state = 29, .external_lex_state = 3},
  [3194] = {.lex_state = 29, .external_lex_state = 4},
  [3195] = {.lex_state = 29, .external_lex_state = 3},
  [3196] = {.lex_state = 29, .external_lex_state = 3},
  [3197] = {.lex_state = 39, .external_lex_state = 5},
  [3198] = {.lex_state = 29, .external_lex_state = 3},
  [3199] = {.lex_state = 39, .external_lex_state = 5},
  [3200] = {.lex_state = 29, .external_lex_state = 3},
  [3201] = {.lex_state = 29, .external_lex_state = 4},
  [3202] = {.lex_state = 29, .external_lex_state = 4},
  [3203] = {.lex_state = 29, .external_lex_state = 3},
  [3204] = {.lex_state = 39, .external_lex_state = 5},
  [3205] = {.lex_state = 29, .external_lex_state = 3},
  [3206] = {.lex_state = 39, .external_lex_state = 5},
  [3207] = {.lex_state = 39, .external_lex_state = 5},
  [3208] = {.lex_state = 39, .external_lex_state = 5},
  [3209] = {.lex_state = 29, .external_lex_state = 3},
  [3210] = {.lex_state = 29, .external_lex_state = 3},
  [3211] = {.lex_state = 29, .external_lex_state = 3},
  [3212] = {.lex_state = 29, .external_lex_state = 3},
  [3213] = {.lex_state = 29, .external_lex_state = 4},
  [3214] = {.lex_state = 39, .external_lex_state = 5},
  [3215] = {.lex_state = 29, .external_lex_state = 3},
  [3216] = {.lex_state = 29, .external_lex_state = 4},
  [3217] = {.lex_state = 29, .external_lex_state = 3},
  [3218] = {.lex_state = 29, .external_lex_state = 3},
  [3219] = {.lex_state = 29, .external_lex_state = 4},
  [3220] = {.lex_state = 29, .external_lex_state = 4},
  [3221] = {.lex_state = 29, .external_lex_state = 3},
  [3222] = {.lex_state = 29, .external_lex_state = 4},
  [3223] = {.lex_state = 39, .external_lex_state = 5},
  [3224] = {.lex_state = 29, .external_lex_state = 4},
  [3225] = {.lex_state = 29, .external_lex_state = 3},
  [3226] = {.lex_state = 29, .external_lex_state = 3},
  [3227] = {.lex_state = 39, .external_lex_state = 5},
  [3228] = {.lex_state = 29, .external_lex_state = 4},
  [3229] = {.lex_state = 29, .external_lex_state = 4},
  [3230] = {.lex_state = 29, .external_lex_state = 4},
  [3231] = {.lex_state = 39, .external_lex_state = 5},
  [3232] = {.lex_state = 39, .external_lex_state = 5},
  [3233] = {.lex_state = 29, .external_lex_state = 3},
  [3234] = {.lex_state = 39, .external_lex_state = 2},
  [3235] = {.lex_state = 39, .external_lex_state = 2},
  [3236] = {.lex_state = 29, .external_lex_state = 4},
  [3237] = {.lex_state = 29, .external_lex_state = 3},
  [3238] = {.lex_state = 29, .external_lex_state = 4},
  [3239] = {.lex_state = 29, .external_lex_state = 3},
  [3240] = {.lex_state = 29, .external_lex_state = 3},
  [3241] = {.lex_state = 29, .external_lex_state = 3},
  [3242] = {.lex_state = 29, .external_lex_state = 3},
  [3243] = {.lex_state = 27, .external_lex_state = 4},
  [3244] = {.lex_state = 39, .external_lex_state = 5},
  [3245] = {.lex_state = 29, .external_lex_state = 3},
  [3246] = {.lex_state = 29, .external_lex_state = 4},
  [3247] = {.lex_state = 29, .external_lex_state = 3},
  [3248] = {.lex_state = 29, .external_lex_state = 3},
  [3249] = {.lex_state = 29, .external_lex_state = 4},
  [3250] = {.lex_state = 29, .external_lex_state = 4},
  [3251] = {.lex_state = 29, .external_lex_state = 4},
  [3252] = {.lex_state = 29, .external_lex_state = 4},
  [3253] = {.lex_state = 29, .external_lex_state = 4},
  [3254] = {.lex_state = 29, .external_lex_state = 4},
  [3255] = {.lex_state = 29, .external_lex_state = 4},
  [3256] = {.lex_state = 29, .external_lex_state = 4},
  [3257] = {.lex_state = 29, .external_lex_state = 4},
  [3258] = {.lex_state = 29, .external_lex_state = 4},
  [3259] = {.lex_state = 29, .external_lex_state = 3},
  [3260] = {.lex_state = 29, .external_lex_state = 3},
  [3261] = {.lex_state = 29, .external_lex_state = 4},
  [3262] = {.lex_state = 29, .external_lex_state = 4},
  [3263] = {.lex_state = 39, .external_lex_state = 2},
  [3264] = {.lex_state = 29, .external_lex_state = 3},
  [3265] = {.lex_state = 29, .external_lex_state = 4},
  [3266] = {.lex_state = 39, .external_lex_state = 2},
  [3267] = {.lex_state = 29, .external_lex_state = 3},
  [3268] = {.lex_state = 29, .external_lex_state = 4},
  [3269] = {.lex_state = 29, .external_lex_state = 4},
  [3270] = {.lex_state = 29, .external_lex_state = 4},
  [3271] = {.lex_state = 29, .external_lex_state = 3},
  [3272] = {.lex_state = 29, .external_lex_state = 4},
  [3273] = {.lex_state = 39, .external_lex_state = 2},
  [3274] = {.lex_state = 39, .external_lex_state = 5},
  [3275] = {.lex_state = 29, .external_lex_state = 4},
  [3276] = {.lex_state = 39, .external_lex_state = 5},
  [3277] = {.lex_state = 30, .external_lex_state = 4},
  [3278] = {.lex_state = 39, .external_lex_state = 5},
  [3279] = {.lex_state = 29, .external_lex_state = 3},
  [3280] = {.lex_state = 39, .external_lex_state = 2},
  [3281] = {.lex_state = 29, .external_lex_state = 4},
  [3282] = {.lex_state = 29, .external_lex_state = 3},
  [3283] = {.lex_state = 29, .external_lex_state = 4},
  [3284] = {.lex_state = 29, .external_lex_state = 3},
  [3285] = {.lex_state = 29, .external_lex_state = 4},
  [3286] = {.lex_state = 29, .external_lex_state = 4},
  [3287] = {.lex_state = 29, .external_lex_state = 4},
  [3288] = {.lex_state = 29, .external_lex_state = 4},
  [3289] = {.lex_state = 29, .external_lex_state = 4},
  [3290] = {.lex_state = 29, .external_lex_state = 4},
  [3291] = {.lex_state = 29, .external_lex_state = 4},
  [3292] = {.lex_state = 29, .external_lex_state = 3},
  [3293] = {.lex_state = 29, .external_lex_state = 4},
  [3294] = {.lex_state = 29, .external_lex_state = 4},
  [3295] = {.lex_state = 29, .external_lex_state = 4},
  [3296] = {.lex_state = 29, .external_lex_state = 4},
  [3297] = {.lex_state = 39, .external_lex_state = 5},
  [3298] = {.lex_state = 29, .external_lex_state = 4},
  [3299] = {.lex_state = 39, .external_lex_state = 5},
  [3300] = {.lex_state = 29, .external_lex_state = 4},
  [3301] = {.lex_state = 29, .external_lex_state = 4},
  [3302] = {.lex_state = 29, .external_lex_state = 4},
  [3303] = {.lex_state = 39, .external_lex_state = 2},
  [3304] = {.lex_state = 29, .external_lex_state = 4},
  [3305] = {.lex_state = 39, .external_lex_state = 5},
  [3306] = {.lex_state = 29, .external_lex_state = 4},
  [3307] = {.lex_state = 29, .external_lex_state = 4},
  [3308] = {.lex_state = 29, .external_lex_state = 4},
  [3309] = {.lex_state = 39, .external_lex_state = 5},
  [3310] = {.lex_state = 29, .external_lex_state = 4},
  [3311] = {.lex_state = 29, .external_lex_state = 4},
  [3312] = {.lex_state = 29, .external_lex_state = 4},
  [3313] = {.lex_state = 29, .external_lex_state = 4},
  [3314] = {.lex_state = 39, .external_lex_state = 2},
  [3315] = {.lex_state = 39, .external_lex_state = 2},
  [3316] = {.lex_state = 29, .external_lex_state = 4},
  [3317] = {.lex_state = 39, .external_lex_state = 5},
  [3318] = {.lex_state = 39, .external_lex_state = 2},
  [3319] = {.lex_state = 39, .external_lex_state = 5},
  [3320] = {.lex_state = 39, .external_lex_state = 2},
  [3321] = {.lex_state = 29, .external_lex_state = 3},
  [3322] = {.lex_state = 39, .external_lex_state = 5},
  [3323] = {.lex_state = 29, .external_lex_state = 4},
  [3324] = {.lex_state = 29, .external_lex_state = 3},
  [3325] = {.lex_state = 39, .external_lex_state = 5},
  [3326] = {.lex_state = 39, .external_lex_state = 5},
  [3327] = {.lex_state = 29, .external_lex_state = 3},
  [3328] = {.lex_state = 29, .external_lex_state = 3},
  [3329] = {.lex_state = 32, .external_lex_state = 3},
  [3330] = {.lex_state = 39, .external_lex_state = 5},
  [3331] = {.lex_state = 29, .external_lex_state = 3},
  [3332] = {.lex_state = 39, .external_lex_state = 2},
  [3333] = {.lex_state = 39, .external_lex_state = 2},
  [3334] = {.lex_state = 29, .external_lex_state = 3},
  [3335] = {.lex_state = 39, .external_lex_state = 5},
  [3336] = {.lex_state = 39, .external_lex_state = 5},
  [3337] = {.lex_state = 39, .external_lex_state = 5},
  [3338] = {.lex_state = 29, .external_lex_state = 3},
  [3339] = {.lex_state = 39, .external_lex_state = 5},
  [3340] = {.lex_state = 39, .external_lex_state = 5},
  [3341] = {.lex_state = 39, .external_lex_state = 5},
  [3342] = {.lex_state = 29, .external_lex_state = 3},
  [3343] = {.lex_state = 29, .external_lex_state = 3},
  [3344] = {.lex_state = 29, .external_lex_state = 3},
  [3345] = {.lex_state = 29, .external_lex_state = 3},
  [3346] = {.lex_state = 29, .external_lex_state = 3},
  [3347] = {.lex_state = 39, .external_lex_state = 5},
  [3348] = {.lex_state = 39, .external_lex_state = 2},
  [3349] = {.lex_state = 29, .external_lex_state = 3},
  [3350] = {.lex_state = 39, .external_lex_state = 2},
  [3351] = {.lex_state = 29, .external_lex_state = 3},
  [3352] = {.lex_state = 39, .external_lex_state = 5},
  [3353] = {.lex_state = 29, .external_lex_state = 3},
  [3354] = {.lex_state = 29, .external_lex_state = 3},
  [3355] = {.lex_state = 39, .external_lex_state = 5},
  [3356] = {.lex_state = 29, .external_lex_state = 3},
  [3357] = {.lex_state = 29, .external_lex_state = 3},
  [3358] = {.lex_state = 29, .external_lex_state = 3},
  [3359] = {.lex_state = 29, .external_lex_state = 3},
  [3360] = {.lex_state = 39, .external_lex_state = 5},
  [3361] = {.lex_state = 29, .external_lex_state = 3},
  [3362] = {.lex_state = 29, .external_lex_state = 3},
  [3363] = {.lex_state = 39, .external_lex_state = 2},
  [3364] = {.lex_state = 39, .external_lex_state = 5},
  [3365] = {.lex_state = 39, .external_lex_state = 2},
  [3366] = {.lex_state = 39, .external_lex_state = 5},
  [3367] = {.lex_state = 39, .external_lex_state = 5},
  [3368] = {.lex_state = 39, .external_lex_state = 5},
  [3369] = {.lex_state = 29, .external_lex_state = 4},
  [3370] = {.lex_state = 29, .external_lex_state = 3},
  [3371] = {.lex_state = 29, .external_lex_state = 3},
  [3372] = {.lex_state = 39, .external_lex_state = 5},
  [3373] = {.lex_state = 29, .external_lex_state = 4},
  [3374] = {.lex_state = 39, .external_lex_state = 5},
  [3375] = {.lex_state = 29, .external_lex_state = 3},
  [3376] = {.lex_state = 39, .external_lex_state = 5},
  [3377] = {.lex_state = 39, .external_lex_state = 2},
  [3378] = {.lex_state = 39, .external_lex_state = 2},
  [3379] = {.lex_state = 39, .external_lex_state = 5},
  [3380] = {.lex_state = 29, .external_lex_state = 3},
  [3381] = {.lex_state = 29, .external_lex_state = 3},
  [3382] = {.lex_state = 29, .external_lex_state = 3},
  [3383] = {.lex_state = 29, .external_lex_state = 3},
  [3384] = {.lex_state = 29, .external_lex_state = 3},
  [3385] = {.lex_state = 29, .external_lex_state = 3},
  [3386] = {.lex_state = 29, .external_lex_state = 3},
  [3387] = {.lex_state = 29, .external_lex_state = 3},
  [3388] = {.lex_state = 39, .external_lex_state = 2},
  [3389] = {.lex_state = 29, .external_lex_state = 3},
  [3390] = {.lex_state = 39, .external_lex_state = 2},
  [3391] = {.lex_state = 29, .external_lex_state = 3},
  [3392] = {.lex_state = 29, .external_lex_state = 3},
  [3393] = {.lex_state = 39, .external_lex_state = 5},
  [3394] = {.lex_state = 39, .external_lex_state = 5},
  [3395] = {.lex_state = 29, .external_lex_state = 4},
  [3396] = {.lex_state = 29, .external_lex_state = 3},
  [3397] = {.lex_state = 29, .external_lex_state = 3},
  [3398] = {.lex_state = 29, .external_lex_state = 4},
  [3399] = {.lex_state = 29, .external_lex_state = 3},
  [3400] = {.lex_state = 39, .external_lex_state = 5},
  [3401] = {.lex_state = 29, .external_lex_state = 3},
  [3402] = {.lex_state = 29, .external_lex_state = 3},
  [3403] = {.lex_state = 29, .external_lex_state = 3},
  [3404] = {.lex_state = 39, .external_lex_state = 2},
  [3405] = {.lex_state = 39, .external_lex_state = 5},
  [3406] = {.lex_state = 38, .external_lex_state = 5},
  [3407] = {.lex_state = 29, .external_lex_state = 3},
  [3408] = {.lex_state = 39, .external_lex_state = 5},
  [3409] = {.lex_state = 29, .external_lex_state = 4},
  [3410] = {.lex_state = 39, .external_lex_state = 5},
  [3411] = {.lex_state = 29, .external_lex_state = 3},
  [3412] = {.lex_state = 29, .external_lex_state = 3},
  [3413] = {.lex_state = 39, .external_lex_state = 2},
  [3414] = {.lex_state = 39, .external_lex_state = 5},
  [3415] = {.lex_state = 39, .external_lex_state = 5},
  [3416] = {.lex_state = 38, .external_lex_state = 2},
  [3417] = {.lex_state = 38, .external_lex_state = 5},
  [3418] = {.lex_state = 38, .external_lex_state = 5},
  [3419] = {.lex_state = 29, .external_lex_state = 3},
  [3420] = {.lex_state = 39, .external_lex_state = 2},
  [3421] = {.lex_state = 29, .external_lex_state = 3},
  [3422] = {.lex_state = 29, .external_lex_state = 3},
  [3423] = {.lex_state = 29, .external_lex_state = 3},
  [3424] = {.lex_state = 29, .external_lex_state = 3},
  [3425] = {.lex_state = 29, .external_lex_state = 3},
  [3426] = {.lex_state = 39, .external_lex_state = 2},
  [3427] = {.lex_state = 29, .external_lex_state = 3},
  [3428] = {.lex_state = 29, .external_lex_state = 3},
  [3429] = {.lex_state = 38, .external_lex_state = 5},
  [3430] = {.lex_state = 39, .external_lex_state = 2},
  [3431] = {.lex_state = 39, .external_lex_state = 5},
  [3432] = {.lex_state = 29, .external_lex_state = 3},
  [3433] = {.lex_state = 38, .external_lex_state = 5},
  [3434] = {.lex_state = 29, .external_lex_state = 4},
  [3435] = {.lex_state = 29, .external_lex_state = 3},
  [3436] = {.lex_state = 39, .external_lex_state = 5},
  [3437] = {.lex_state = 29, .external_lex_state = 3},
  [3438] = {.lex_state = 38, .external_lex_state = 5},
  [3439] = {.lex_state = 29, .external_lex_state = 3},
  [3440] = {.lex_state = 29, .external_lex_state = 3},
  [3441] = {.lex_state = 29, .external_lex_state = 3},
  [3442] = {.lex_state = 29, .external_lex_state = 3},
  [3443] = {.lex_state = 29, .external_lex_state = 3},
  [3444] = {.lex_state = 39, .external_lex_state = 2},
  [3445] = {.lex_state = 39, .external_lex_state = 5},
  [3446] = {.lex_state = 39, .external_lex_state = 5},
  [3447] = {.lex_state = 39, .external_lex_state = 5},
  [3448] = {.lex_state = 39, .external_lex_state = 2},
  [3449] = {.lex_state = 39, .external_lex_state = 2},
  [3450] = {.lex_state = 39, .external_lex_state = 2},
  [3451] = {.lex_state = 29, .external_lex_state = 3},
  [3452] = {.lex_state = 39, .external_lex_state = 2},
  [3453] = {.lex_state = 39, .external_lex_state = 5},
  [3454] = {.lex_state = 39, .external_lex_state = 2},
  [3455] = {.lex_state = 39, .external_lex_state = 2},
  [3456] = {.lex_state = 39, .external_lex_state = 5},
  [3457] = {.lex_state = 39, .external_lex_state = 5},
  [3458] = {.lex_state = 29, .external_lex_state = 3},
  [3459] = {.lex_state = 39, .external_lex_state = 5},
  [3460] = {.lex_state = 39, .external_lex_state = 5},
  [3461] = {.lex_state = 39, .external_lex_state = 5},
  [3462] = {.lex_state = 39, .external_lex_state = 2},
  [3463] = {.lex_state = 30, .external_lex_state = 3},
  [3464] = {.lex_state = 29, .external_lex_state = 3},
  [3465] = {.lex_state = 39, .external_lex_state = 5},
  [3466] = {.lex_state = 29, .external_lex_state = 3},
  [3467] = {.lex_state = 39, .external_lex_state = 2},
  [3468] = {.lex_state = 29, .external_lex_state = 3},
  [3469] = {.lex_state = 39, .external_lex_state = 5},
  [3470] = {.lex_state = 39, .external_lex_state = 5},
  [3471] = {.lex_state = 39, .external_lex_state = 5},
  [3472] = {.lex_state = 39, .external_lex_state = 2},
  [3473] = {.lex_state = 39, .external_lex_state = 2},
  [3474] = {.lex_state = 39, .external_lex_state = 5},
  [3475] = {.lex_state = 39, .external_lex_state = 2},
  [3476] = {.lex_state = 39, .external_lex_state = 2},
  [3477] = {.lex_state = 39, .external_lex_state = 5},
  [3478] = {.lex_state = 39, .external_lex_state = 2},
  [3479] = {.lex_state = 39, .external_lex_state = 5},
  [3480] = {.lex_state = 39, .external_lex_state = 2},
  [3481] = {.lex_state = 39, .external_lex_state = 2},
  [3482] = {.lex_state = 39, .external_lex_state = 2},
  [3483] = {.lex_state = 39, .external_lex_state = 5},
  [3484] = {.lex_state = 39, .external_lex_state = 2},
  [3485] = {.lex_state = 29, .external_lex_state = 3},
  [3486] = {.lex_state = 29, .external_lex_state = 3},
  [3487] = {.lex_state = 29, .external_lex_state = 3},
  [3488] = {.lex_state = 29, .external_lex_state = 3},
  [3489] = {.lex_state = 29, .external_lex_state = 3},
  [3490] = {.lex_state = 29, .external_lex_state = 3},
  [3491] = {.lex_state = 29, .external_lex_state = 3},
  [3492] = {.lex_state = 29, .external_lex_state = 3},
  [3493] = {.lex_state = 39, .external_lex_state = 2},
  [3494] = {.lex_state = 29, .external_lex_state = 3},
  [3495] = {.lex_state = 29, .external_lex_state = 3},
  [3496] = {.lex_state = 29, .external_lex_state = 3},
  [3497] = {.lex_state = 38, .external_lex_state = 5},
  [3498] = {.lex_state = 38, .external_lex_state = 5},
  [3499] = {.lex_state = 38, .external_lex_state = 5},
  [3500] = {.lex_state = 38, .external_lex_state = 5},
  [3501] = {.lex_state = 38, .external_lex_state = 5},
  [3502] = {.lex_state = 38, .external_lex_state = 5},
  [3503] = {.lex_state = 38, .external_lex_state = 5},
  [3504] = {.lex_state = 38, .external_lex_state = 5},
  [3505] = {.lex_state = 38, .external_lex_state = 5},
  [3506] = {.lex_state = 38, .external_lex_state = 5},
  [3507] = {.lex_state = 38, .external_lex_state = 5},
  [3508] = {.lex_state = 38, .external_lex_state = 5},
  [3509] = {.lex_state = 38, .external_lex_state = 5},
  [3510] = {.lex_state = 38, .external_lex_state = 5},
  [3511] = {.lex_state = 38, .external_lex_state = 5},
  [3512] = {.lex_state = 38, .external_lex_state = 5},
  [3513] = {.lex_state = 38, .external_lex_state = 5},
  [3514] = {.lex_state = 38, .external_lex_state = 5},
  [3515] = {.lex_state = 38, .external_lex_state = 5},
  [3516] = {.lex_state = 38, .external_lex_state = 5},
  [3517] = {.lex_state = 39, .external_lex_state = 2},
  [3518] = {.lex_state = 38, .external_lex_state = 5},
  [3519] = {.lex_state = 38, .external_lex_state = 5},
  [3520] = {.lex_state = 38, .external_lex_state = 5},
  [3521] = {.lex_state = 38, .external_lex_state = 5},
  [3522] = {.lex_state = 38, .external_lex_state = 5},
  [3523] = {.lex_state = 38, .external_lex_state = 5},
  [3524] = {.lex_state = 38, .external_lex_state = 5},
  [3525] = {.lex_state = 38, .external_lex_state = 5},
  [3526] = {.lex_state = 38, .external_lex_state = 5},
  [3527] = {.lex_state = 38, .external_lex_state = 5},
  [3528] = {.lex_state = 38, .external_lex_state = 5},
  [3529] = {.lex_state = 38, .external_lex_state = 5},
  [3530] = {.lex_state = 38, .external_lex_state = 5},
  [3531] = {.lex_state = 38, .external_lex_state = 5},
  [3532] = {.lex_state = 38, .external_lex_state = 5},
  [3533] = {.lex_state = 39, .external_lex_state = 2},
  [3534] = {.lex_state = 38, .external_lex_state = 5},
  [3535] = {.lex_state = 38, .external_lex_state = 5},
  [3536] = {.lex_state = 38, .external_lex_state = 5},
  [3537] = {.lex_state = 38, .external_lex_state = 5},
  [3538] = {.lex_state = 38, .external_lex_state = 5},
  [3539] = {.lex_state = 39, .external_lex_state = 2},
  [3540] = {.lex_state = 38, .external_lex_state = 5},
  [3541] = {.lex_state = 38, .external_lex_state = 5},
  [3542] = {.lex_state = 38, .external_lex_state = 5},
  [3543] = {.lex_state = 39, .external_lex_state = 2},
  [3544] = {.lex_state = 39, .external_lex_state = 2},
  [3545] = {.lex_state = 38, .external_lex_state = 5},
  [3546] = {.lex_state = 38, .external_lex_state = 5},
  [3547] = {.lex_state = 38, .external_lex_state = 5},
  [3548] = {.lex_state = 38, .external_lex_state = 5},
  [3549] = {.lex_state = 38, .external_lex_state = 5},
  [3550] = {.lex_state = 38, .external_lex_state = 5},
  [3551] = {.lex_state = 38, .external_lex_state = 5},
  [3552] = {.lex_state = 38, .external_lex_state = 5},
  [3553] = {.lex_state = 38, .external_lex_state = 5},
  [3554] = {.lex_state = 39, .external_lex_state = 2},
  [3555] = {.lex_state = 39, .external_lex_state = 2},
  [3556] = {.lex_state = 39, .external_lex_state = 2},
  [3557] = {.lex_state = 38, .external_lex_state = 2},
  [3558] = {.lex_state = 39, .external_lex_state = 2},
  [3559] = {.lex_state = 38, .external_lex_state = 2},
  [3560] = {.lex_state = 39, .external_lex_state = 2},
  [3561] = {.lex_state = 38, .external_lex_state = 2},
  [3562] = {.lex_state = 39, .external_lex_state = 2},
  [3563] = {.lex_state = 39, .external_lex_state = 2},
  [3564] = {.lex_state = 38, .external_lex_state = 2},
  [3565] = {.lex_state = 38, .external_lex_state = 2},
  [3566] = {.lex_state = 39, .external_lex_state = 2},
  [3567] = {.lex_state = 39, .external_lex_state = 2},
  [3568] = {.lex_state = 38, .external_lex_state = 2},
  [3569] = {.lex_state = 38, .external_lex_state = 2},
  [3570] = {.lex_state = 39, .external_lex_state = 2},
  [3571] = {.lex_state = 39, .external_lex_state = 2},
  [3572] = {.lex_state = 39, .external_lex_state = 2},
  [3573] = {.lex_state = 39, .external_lex_state = 2},
  [3574] = {.lex_state = 39, .external_lex_state = 2},
  [3575] = {.lex_state = 39, .external_lex_state = 2},
  [3576] = {.lex_state = 39, .external_lex_state = 2},
  [3577] = {.lex_state = 39, .external_lex_state = 2},
  [3578] = {.lex_state = 38, .external_lex_state = 2},
  [3579] = {.lex_state = 39, .external_lex_state = 2},
  [3580] = {.lex_state = 39, .external_lex_state = 2},
  [3581] = {.lex_state = 39, .external_lex_state = 2},
  [3582] = {.lex_state = 39, .external_lex_state = 2},
  [3583] = {.lex_state = 39, .external_lex_state = 2},
  [3584] = {.lex_state = 39, .external_lex_state = 2},
  [3585] = {.lex_state = 39, .external_lex_state = 2},
  [3586] = {.lex_state = 39, .external_lex_state = 2},
  [3587] = {.lex_state = 38, .external_lex_state = 2},
  [3588] = {.lex_state = 39, .external_lex_state = 2},
  [3589] = {.lex_state = 39, .external_lex_state = 2},
  [3590] = {.lex_state = 39, .external_lex_state = 2},
  [3591] = {.lex_state = 39, .external_lex_state = 2},
  [3592] = {.lex_state = 39, .external_lex_state = 2},
  [3593] = {.lex_state = 39, .external_lex_state = 2},
  [3594] = {.lex_state = 39, .external_lex_state = 2},
  [3595] = {.lex_state = 39, .external_lex_state = 2},
  [3596] = {.lex_state = 38, .external_lex_state = 2},
  [3597] = {.lex_state = 39, .external_lex_state = 2},
  [3598] = {.lex_state = 39, .external_lex_state = 2},
  [3599] = {.lex_state = 39, .external_lex_state = 2},
  [3600] = {.lex_state = 39, .external_lex_state = 2},
  [3601] = {.lex_state = 39, .external_lex_state = 2},
  [3602] = {.lex_state = 39, .external_lex_state = 2},
  [3603] = {.lex_state = 400, .external_lex_state = 2},
  [3604] = {.lex_state = 39, .external_lex_state = 2},
  [3605] = {.lex_state = 400, .external_lex_state = 2},
  [3606] = {.lex_state = 39, .external_lex_state = 2},
  [3607] = {.lex_state = 39, .external_lex_state = 2},
  [3608] = {.lex_state = 39, .external_lex_state = 2},
  [3609] = {.lex_state = 39, .external_lex_state = 2},
  [3610] = {.lex_state = 400, .external_lex_state = 2},
  [3611] = {.lex_state = 39, .external_lex_state = 2},
  [3612] = {.lex_state = 39, .external_lex_state = 2},
  [3613] = {.lex_state = 400, .external_lex_state = 2},
  [3614] = {.lex_state = 400, .external_lex_state = 2},
  [3615] = {.lex_state = 38, .external_lex_state = 2},
  [3616] = {.lex_state = 39, .external_lex_state = 2},
  [3617] = {.lex_state = 400, .external_lex_state = 2},
  [3618] = {.lex_state = 39, .external_lex_state = 2},
  [3619] = {.lex_state = 400, .external_lex_state = 2},
  [3620] = {.lex_state = 38, .external_lex_state = 2},
  [3621] = {.lex_state = 39, .external_lex_state = 2},
  [3622] = {.lex_state = 400, .external_lex_state = 2},
  [3623] = {.lex_state = 39, .external_lex_state = 2},
  [3624] = {.lex_state = 39, .external_lex_state = 2},
  [3625] = {.lex_state = 39, .external_lex_state = 2},
  [3626] = {.lex_state = 39, .external_lex_state = 2},
  [3627] = {.lex_state = 39, .external_lex_state = 2},
  [3628] = {.lex_state = 39, .external_lex_state = 2},
  [3629] = {.lex_state = 39, .external_lex_state = 2},
  [3630] = {.lex_state = 39, .external_lex_state = 2},
  [3631] = {.lex_state = 38, .external_lex_state = 2},
  [3632] = {.lex_state = 400, .external_lex_state = 2},
  [3633] = {.lex_state = 400, .external_lex_state = 2},
  [3634] = {.lex_state = 39, .external_lex_state = 2},
  [3635] = {.lex_state = 39, .external_lex_state = 2},
  [3636] = {.lex_state = 39, .external_lex_state = 2},
  [3637] = {.lex_state = 39, .external_lex_state = 2},
  [3638] = {.lex_state = 39, .external_lex_state = 2},
  [3639] = {.lex_state = 39, .external_lex_state = 2},
  [3640] = {.lex_state = 39, .external_lex_state = 2},
  [3641] = {.lex_state = 39, .external_lex_state = 2},
  [3642] = {.lex_state = 400, .external_lex_state = 2},
  [3643] = {.lex_state = 39, .external_lex_state = 2},
  [3644] = {.lex_state = 400, .external_lex_state = 2},
  [3645] = {.lex_state = 39, .external_lex_state = 2},
  [3646] = {.lex_state = 39, .external_lex_state = 2},
  [3647] = {.lex_state = 39, .external_lex_state = 2},
  [3648] = {.lex_state = 39, .external_lex_state = 2},
  [3649] = {.lex_state = 38, .external_lex_state = 2},
  [3650] = {.lex_state = 39, .external_lex_state = 2},
  [3651] = {.lex_state = 39, .external_lex_state = 2},
  [3652] = {.lex_state = 39, .external_lex_state = 2},
  [3653] = {.lex_state = 39, .external_lex_state = 2},
  [3654] = {.lex_state = 39, .external_lex_state = 2},
  [3655] = {.lex_state = 39, .external_lex_state = 2},
  [3656] = {.lex_state = 39, .external_lex_state = 2},
  [3657] = {.lex_state = 39, .external_lex_state = 2},
  [3658] = {.lex_state = 39, .external_lex_state = 2},
  [3659] = {.lex_state = 39, .external_lex_state = 2},
  [3660] = {.lex_state = 39, .external_lex_state = 2},
  [3661] = {.lex_state = 39, .external_lex_state = 2},
  [3662] = {.lex_state = 39, .external_lex_state = 2},
  [3663] = {.lex_state = 39, .external_lex_state = 2},
  [3664] = {.lex_state = 39, .external_lex_state = 2},
  [3665] = {.lex_state = 39, .external_lex_state = 2},
  [3666] = {.lex_state = 39, .external_lex_state = 2},
  [3667] = {.lex_state = 39, .external_lex_state = 2},
  [3668] = {.lex_state = 39, .external_lex_state = 2},
  [3669] = {.lex_state = 39, .external_lex_state = 2},
  [3670] = {.lex_state = 39, .external_lex_state = 2},
  [3671] = {.lex_state = 39, .external_lex_state = 2},
  [3672] = {.lex_state = 38, .external_lex_state = 2},
  [3673] = {.lex_state = 39, .external_lex_state = 2},
  [3674] = {.lex_state = 39, .external_lex_state = 2},
  [3675] = {.lex_state = 39, .external_lex_state = 2},
  [3676] = {.lex_state = 39, .external_lex_state = 2},
  [3677] = {.lex_state = 39, .external_lex_state = 2},
  [3678] = {.lex_state = 39, .external_lex_state = 2},
  [3679] = {.lex_state = 39, .external_lex_state = 2},
  [3680] = {.lex_state = 39, .external_lex_state = 2},
  [3681] = {.lex_state = 39, .external_lex_state = 2},
  [3682] = {.lex_state = 39, .external_lex_state = 2},
  [3683] = {.lex_state = 39, .external_lex_state = 2},
  [3684] = {.lex_state = 39, .external_lex_state = 2},
  [3685] = {.lex_state = 39, .external_lex_state = 2},
  [3686] = {.lex_state = 39, .external_lex_state = 2},
  [3687] = {.lex_state = 39, .external_lex_state = 2},
  [3688] = {.lex_state = 39, .external_lex_state = 2},
  [3689] = {.lex_state = 39, .external_lex_state = 2},
  [3690] = {.lex_state = 39, .external_lex_state = 2},
  [3691] = {.lex_state = 39, .external_lex_state = 2},
  [3692] = {.lex_state = 39, .external_lex_state = 2},
  [3693] = {.lex_state = 39, .external_lex_state = 2},
  [3694] = {.lex_state = 39, .external_lex_state = 2},
  [3695] = {.lex_state = 39, .external_lex_state = 2},
  [3696] = {.lex_state = 39, .external_lex_state = 2},
  [3697] = {.lex_state = 38, .external_lex_state = 2},
  [3698] = {.lex_state = 39, .external_lex_state = 2},
  [3699] = {.lex_state = 38, .external_lex_state = 2},
  [3700] = {.lex_state = 39, .external_lex_state = 2},
  [3701] = {.lex_state = 39, .external_lex_state = 2},
  [3702] = {.lex_state = 39, .external_lex_state = 2},
  [3703] = {.lex_state = 39, .external_lex_state = 2},
  [3704] = {.lex_state = 39, .external_lex_state = 2},
  [3705] = {.lex_state = 39, .external_lex_state = 2},
  [3706] = {.lex_state = 39, .external_lex_state = 2},
  [3707] = {.lex_state = 39, .external_lex_state = 2},
  [3708] = {.lex_state = 39, .external_lex_state = 2},
  [3709] = {.lex_state = 39, .external_lex_state = 2},
  [3710] = {.lex_state = 39, .external_lex_state = 2},
  [3711] = {.lex_state = 39, .external_lex_state = 2},
  [3712] = {.lex_state = 39, .external_lex_state = 2},
  [3713] = {.lex_state = 39, .external_lex_state = 2},
  [3714] = {.lex_state = 39, .external_lex_state = 2},
  [3715] = {.lex_state = 39, .external_lex_state = 2},
  [3716] = {.lex_state = 39, .external_lex_state = 2},
  [3717] = {.lex_state = 39, .external_lex_state = 2},
  [3718] = {.lex_state = 39, .external_lex_state = 2},
  [3719] = {.lex_state = 39, .external_lex_state = 2},
  [3720] = {.lex_state = 39, .external_lex_state = 2},
  [3721] = {.lex_state = 39, .external_lex_state = 2},
  [3722] = {.lex_state = 39, .external_lex_state = 2},
  [3723] = {.lex_state = 39, .external_lex_state = 2},
  [3724] = {.lex_state = 39, .external_lex_state = 2},
  [3725] = {.lex_state = 38, .external_lex_state = 2},
  [3726] = {.lex_state = 39, .external_lex_state = 2},
  [3727] = {.lex_state = 39, .external_lex_state = 2},
  [3728] = {.lex_state = 39, .external_lex_state = 2},
  [3729] = {.lex_state = 39, .external_lex_state = 2},
  [3730] = {.lex_state = 38, .external_lex_state = 2},
  [3731] = {.lex_state = 39, .external_lex_state = 2},
  [3732] = {.lex_state = 38, .external_lex_state = 2},
  [3733] = {.lex_state = 82, .external_lex_state = 2},
  [3734] = {.lex_state = 50, .external_lex_state = 2},
  [3735] = {.lex_state = 50, .external_lex_state = 2},
  [3736] = {.lex_state = 50, .external_lex_state = 2},
  [3737] = {.lex_state = 50, .external_lex_state = 2},
  [3738] = {.lex_state = 50, .external_lex_state = 2},
  [3739] = {.lex_state = 50, .external_lex_state = 2},
  [3740] = {.lex_state = 62, .external_lex_state = 2},
  [3741] = {.lex_state = 62, .external_lex_state = 2},
  [3742] = {.lex_state = 50, .external_lex_state = 2},
  [3743] = {.lex_state = 50, .external_lex_state = 2},
  [3744] = {.lex_state = 62, .external_lex_state = 2},
  [3745] = {.lex_state = 50, .external_lex_state = 2},
  [3746] = {.lex_state = 50, .external_lex_state = 2},
  [3747] = {.lex_state = 50, .external_lex_state = 2},
  [3748] = {.lex_state = 50, .external_lex_state = 2},
  [3749] = {.lex_state = 50, .external_lex_state = 2},
  [3750] = {.lex_state = 50, .external_lex_state = 2},
  [3751] = {.lex_state = 50, .external_lex_state = 2},
  [3752] = {.lex_state = 50, .external_lex_state = 2},
  [3753] = {.lex_state = 50, .external_lex_state = 2},
  [3754] = {.lex_state = 50, .external_lex_state = 2},
  [3755] = {.lex_state = 50, .external_lex_state = 2},
  [3756] = {.lex_state = 50, .external_lex_state = 2},
  [3757] = {.lex_state = 50, .external_lex_state = 2},
  [3758] = {.lex_state = 50, .external_lex_state = 2},
  [3759] = {.lex_state = 50, .external_lex_state = 2},
  [3760] = {.lex_state = 50, .external_lex_state = 2},
  [3761] = {.lex_state = 50, .external_lex_state = 2},
  [3762] = {.lex_state = 50, .external_lex_state = 2},
  [3763] = {.lex_state = 50, .external_lex_state = 2},
  [3764] = {.lex_state = 50, .external_lex_state = 2},
  [3765] = {.lex_state = 50, .external_lex_state = 2},
  [3766] = {.lex_state = 50, .external_lex_state = 2},
  [3767] = {.lex_state = 50, .external_lex_state = 2},
  [3768] = {.lex_state = 50, .external_lex_state = 2},
  [3769] = {.lex_state = 50, .external_lex_state = 2},
  [3770] = {.lex_state = 50, .external_lex_state = 2},
  [3771] = {.lex_state = 50, .external_lex_state = 2},
  [3772] = {.lex_state = 50, .external_lex_state = 2},
  [3773] = {.lex_state = 50, .external_lex_state = 2},
  [3774] = {.lex_state = 50, .external_lex_state = 2},
  [3775] = {.lex_state = 50, .external_lex_state = 2},
  [3776] = {.lex_state = 50, .external_lex_state = 2},
  [3777] = {.lex_state = 56, .external_lex_state = 2},
  [3778] = {.lex_state = 63, .external_lex_state = 2},
  [3779] = {.lex_state = 56, .external_lex_state = 2},
  [3780] = {.lex_state = 56, .external_lex_state = 2},
  [3781] = {.lex_state = 62, .external_lex_state = 2},
  [3782] = {.lex_state = 63, .external_lex_state = 2},
  [3783] = {.lex_state = 56, .external_lex_state = 2},
  [3784] = {.lex_state = 56, .external_lex_state = 2},
  [3785] = {.lex_state = 62, .external_lex_state = 2},
  [3786] = {.lex_state = 62, .external_lex_state = 2},
  [3787] = {.lex_state = 62, .external_lex_state = 2},
  [3788] = {.lex_state = 50, .external_lex_state = 5},
  [3789] = {.lex_state = 48, .external_lex_state = 5},
  [3790] = {.lex_state = 62, .external_lex_state = 2},
  [3791] = {.lex_state = 50, .external_lex_state = 2},
  [3792] = {.lex_state = 62, .external_lex_state = 2},
  [3793] = {.lex_state = 62, .external_lex_state = 2},
  [3794] = {.lex_state = 62, .external_lex_state = 2},
  [3795] = {.lex_state = 62, .external_lex_state = 2},
  [3796] = {.lex_state = 62, .external_lex_state = 2},
  [3797] = {.lex_state = 62, .external_lex_state = 2},
  [3798] = {.lex_state = 62, .external_lex_state = 2},
  [3799] = {.lex_state = 62, .external_lex_state = 2},
  [3800] = {.lex_state = 48, .external_lex_state = 5},
  [3801] = {.lex_state = 62, .external_lex_state = 2},
  [3802] = {.lex_state = 50, .external_lex_state = 5},
  [3803] = {.lex_state = 62, .external_lex_state = 2},
  [3804] = {.lex_state = 50, .external_lex_state = 2},
  [3805] = {.lex_state = 62, .external_lex_state = 2},
  [3806] = {.lex_state = 62, .external_lex_state = 2},
  [3807] = {.lex_state = 50, .external_lex_state = 2},
  [3808] = {.lex_state = 62, .external_lex_state = 2},
  [3809] = {.lex_state = 62, .external_lex_state = 2},
  [3810] = {.lex_state = 50, .external_lex_state = 5},
  [3811] = {.lex_state = 50, .external_lex_state = 2},
  [3812] = {.lex_state = 62, .external_lex_state = 2},
  [3813] = {.lex_state = 62, .external_lex_state = 2},
  [3814] = {.lex_state = 62, .external_lex_state = 2},
  [3815] = {.lex_state = 62, .external_lex_state = 2},
  [3816] = {.lex_state = 62, .external_lex_state = 2},
  [3817] = {.lex_state = 62, .external_lex_state = 2},
  [3818] = {.lex_state = 50, .external_lex_state = 5},
  [3819] = {.lex_state = 400, .external_lex_state = 2},
  [3820] = {.lex_state = 62, .external_lex_state = 2},
  [3821] = {.lex_state = 62, .external_lex_state = 2},
  [3822] = {.lex_state = 400, .external_lex_state = 2},
  [3823] = {.lex_state = 62, .external_lex_state = 2},
  [3824] = {.lex_state = 400, .external_lex_state = 2},
  [3825] = {.lex_state = 62, .external_lex_state = 2},
  [3826] = {.lex_state = 400, .external_lex_state = 2},
  [3827] = {.lex_state = 62, .external_lex_state = 2},
  [3828] = {.lex_state = 62, .external_lex_state = 2},
  [3829] = {.lex_state = 62, .external_lex_state = 2},
  [3830] = {.lex_state = 62, .external_lex_state = 2},
  [3831] = {.lex_state = 62, .external_lex_state = 2},
  [3832] = {.lex_state = 62, .external_lex_state = 2},
  [3833] = {.lex_state = 62, .external_lex_state = 2},
  [3834] = {.lex_state = 62, .external_lex_state = 2},
  [3835] = {.lex_state = 62, .external_lex_state = 2},
  [3836] = {.lex_state = 62, .external_lex_state = 2},
  [3837] = {.lex_state = 62, .external_lex_state = 2},
  [3838] = {.lex_state = 62, .external_lex_state = 2},
  [3839] = {.lex_state = 62, .external_lex_state = 2},
  [3840] = {.lex_state = 62, .external_lex_state = 2},
  [3841] = {.lex_state = 62, .external_lex_state = 2},
  [3842] = {.lex_state = 62, .external_lex_state = 2},
  [3843] = {.lex_state = 400, .external_lex_state = 2},
  [3844] = {.lex_state = 400, .external_lex_state = 2},
  [3845] = {.lex_state = 400, .external_lex_state = 2},
  [3846] = {.lex_state = 62, .external_lex_state = 2},
  [3847] = {.lex_state = 62, .external_lex_state = 2},
  [3848] = {.lex_state = 62, .external_lex_state = 2},
  [3849] = {.lex_state = 50, .external_lex_state = 5},
  [3850] = {.lex_state = 50, .external_lex_state = 5},
  [3851] = {.lex_state = 50, .external_lex_state = 5},
  [3852] = {.lex_state = 50, .external_lex_state = 5},
  [3853] = {.lex_state = 50, .external_lex_state = 5},
  [3854] = {.lex_state = 50, .external_lex_state = 5},
  [3855] = {.lex_state = 50, .external_lex_state = 5},
  [3856] = {.lex_state = 50, .external_lex_state = 5},
  [3857] = {.lex_state = 50, .external_lex_state = 5},
  [3858] = {.lex_state = 50, .external_lex_state = 5},
  [3859] = {.lex_state = 50, .external_lex_state = 5},
  [3860] = {.lex_state = 50, .external_lex_state = 5},
  [3861] = {.lex_state = 50, .external_lex_state = 5},
  [3862] = {.lex_state = 50, .external_lex_state = 5},
  [3863] = {.lex_state = 62, .external_lex_state = 2},
  [3864] = {.lex_state = 400, .external_lex_state = 2},
  [3865] = {.lex_state = 400, .external_lex_state = 2},
  [3866] = {.lex_state = 62, .external_lex_state = 2},
  [3867] = {.lex_state = 400, .external_lex_state = 2},
  [3868] = {.lex_state = 400, .external_lex_state = 2},
  [3869] = {.lex_state = 62, .external_lex_state = 2},
  [3870] = {.lex_state = 400, .external_lex_state = 2},
  [3871] = {.lex_state = 400, .external_lex_state = 2},
  [3872] = {.lex_state = 62, .external_lex_state = 2},
  [3873] = {.lex_state = 62, .external_lex_state = 2},
  [3874] = {.lex_state = 62, .external_lex_state = 2},
  [3875] = {.lex_state = 62, .external_lex_state = 2},
  [3876] = {.lex_state = 62, .external_lex_state = 2},
  [3877] = {.lex_state = 400, .external_lex_state = 2},
  [3878] = {.lex_state = 62, .external_lex_state = 2},
  [3879] = {.lex_state = 62, .external_lex_state = 2},
  [3880] = {.lex_state = 62, .external_lex_state = 2},
  [3881] = {.lex_state = 62, .external_lex_state = 2},
  [3882] = {.lex_state = 400, .external_lex_state = 2},
  [3883] = {.lex_state = 400, .external_lex_state = 2},
  [3884] = {.lex_state = 62, .external_lex_state = 2},
  [3885] = {.lex_state = 400, .external_lex_state = 2},
  [3886] = {.lex_state = 50, .external_lex_state = 5},
  [3887] = {.lex_state = 50, .external_lex_state = 5},
  [3888] = {.lex_state = 50, .external_lex_state = 5},
  [3889] = {.lex_state = 50, .external_lex_state = 5},
  [3890] = {.lex_state = 50, .external_lex_state = 5},
  [3891] = {.lex_state = 50, .external_lex_state = 5},
  [3892] = {.lex_state = 50, .external_lex_state = 5},
  [3893] = {.lex_state = 50, .external_lex_state = 5},
  [3894] = {.lex_state = 50, .external_lex_state = 5},
  [3895] = {.lex_state = 62, .external_lex_state = 2},
  [3896] = {.lex_state = 400, .external_lex_state = 2},
  [3897] = {.lex_state = 400, .external_lex_state = 2},
  [3898] = {.lex_state = 400, .external_lex_state = 2},
  [3899] = {.lex_state = 62, .external_lex_state = 2},
  [3900] = {.lex_state = 62, .external_lex_state = 2},
  [3901] = {.lex_state = 400, .external_lex_state = 2},
  [3902] = {.lex_state = 62, .external_lex_state = 2},
  [3903] = {.lex_state = 62, .external_lex_state = 2},
  [3904] = {.lex_state = 400, .external_lex_state = 2},
  [3905] = {.lex_state = 50, .external_lex_state = 6},
  [3906] = {.lex_state = 50, .external_lex_state = 6},
  [3907] = {.lex_state = 400, .external_lex_state = 2},
  [3908] = {.lex_state = 50, .external_lex_state = 5},
  [3909] = {.lex_state = 50, .external_lex_state = 5},
  [3910] = {.lex_state = 50, .external_lex_state = 5},
  [3911] = {.lex_state = 50, .external_lex_state = 5},
  [3912] = {.lex_state = 50, .external_lex_state = 5},
  [3913] = {.lex_state = 50, .external_lex_state = 5},
  [3914] = {.lex_state = 50, .external_lex_state = 5},
  [3915] = {.lex_state = 50, .external_lex_state = 5},
  [3916] = {.lex_state = 50, .external_lex_state = 5},
  [3917] = {.lex_state = 50, .external_lex_state = 5},
  [3918] = {.lex_state = 50, .external_lex_state = 6},
  [3919] = {.lex_state = 400, .external_lex_state = 2},
  [3920] = {.lex_state = 400, .external_lex_state = 2},
  [3921] = {.lex_state = 62, .external_lex_state = 2},
  [3922] = {.lex_state = 48, .external_lex_state = 5},
  [3923] = {.lex_state = 62, .external_lex_state = 2},
  [3924] = {.lex_state = 62, .external_lex_state = 2},
  [3925] = {.lex_state = 400, .external_lex_state = 2},
  [3926] = {.lex_state = 400, .external_lex_state = 2},
  [3927] = {.lex_state = 400, .external_lex_state = 2},
  [3928] = {.lex_state = 400, .external_lex_state = 2},
  [3929] = {.lex_state = 48, .external_lex_state = 5},
  [3930] = {.lex_state = 48, .external_lex_state = 5},
  [3931] = {.lex_state = 48, .external_lex_state = 5},
  [3932] = {.lex_state = 48, .external_lex_state = 5},
  [3933] = {.lex_state = 48, .external_lex_state = 5},
  [3934] = {.lex_state = 48, .external_lex_state = 5},
  [3935] = {.lex_state = 48, .external_lex_state = 5},
  [3936] = {.lex_state = 48, .external_lex_state = 5},
  [3937] = {.lex_state = 57, .external_lex_state = 2},
  [3938] = {.lex_state = 48, .external_lex_state = 5},
  [3939] = {.lex_state = 83, .external_lex_state = 2},
  [3940] = {.lex_state = 48, .external_lex_state = 5},
  [3941] = {.lex_state = 83, .external_lex_state = 2},
  [3942] = {.lex_state = 83, .external_lex_state = 2},
  [3943] = {.lex_state = 57, .external_lex_state = 2},
  [3944] = {.lex_state = 48, .external_lex_state = 5},
  [3945] = {.lex_state = 48, .external_lex_state = 5},
  [3946] = {.lex_state = 48, .external_lex_state = 5},
  [3947] = {.lex_state = 63, .external_lex_state = 2},
  [3948] = {.lex_state = 83, .external_lex_state = 2},
  [3949] = {.lex_state = 48, .external_lex_state = 5},
  [3950] = {.lex_state = 48, .external_lex_state = 2},
  [3951] = {.lex_state = 48, .external_lex_state = 5},
  [3952] = {.lex_state = 48, .external_lex_state = 5},
  [3953] = {.lex_state = 48, .external_lex_state = 5},
  [3954] = {.lex_state = 48, .external_lex_state = 5},
  [3955] = {.lex_state = 48, .external_lex_state = 5},
  [3956] = {.lex_state = 48, .external_lex_state = 5},
  [3957] = {.lex_state = 48, .external_lex_state = 5},
  [3958] = {.lex_state = 48, .external_lex_state = 5},
  [3959] = {.lex_state = 48, .external_lex_state = 5},
  [3960] = {.lex_state = 48, .external_lex_state = 5},
  [3961] = {.lex_state = 57, .external_lex_state = 2},
  [3962] = {.lex_state = 48, .external_lex_state = 5},
  [3963] = {.lex_state = 48, .external_lex_state = 5},
  [3964] = {.lex_state = 83, .external_lex_state = 2},
  [3965] = {.lex_state = 57, .external_lex_state = 2},
  [3966] = {.lex_state = 48, .external_lex_state = 5},
  [3967] = {.lex_state = 48, .external_lex_state = 5},
  [3968] = {.lex_state = 48, .external_lex_state = 5},
  [3969] = {.lex_state = 57, .external_lex_state = 2},
  [3970] = {.lex_state = 48, .external_lex_state = 5},
  [3971] = {.lex_state = 50, .external_lex_state = 6},
  [3972] = {.lex_state = 50, .external_lex_state = 5},
  [3973] = {.lex_state = 50, .external_lex_state = 5},
  [3974] = {.lex_state = 50, .external_lex_state = 5},
  [3975] = {.lex_state = 48, .external_lex_state = 5},
  [3976] = {.lex_state = 50, .external_lex_state = 5},
  [3977] = {.lex_state = 65, .external_lex_state = 2},
  [3978] = {.lex_state = 48, .external_lex_state = 5},
  [3979] = {.lex_state = 65, .external_lex_state = 2},
  [3980] = {.lex_state = 65, .external_lex_state = 2},
  [3981] = {.lex_state = 65, .external_lex_state = 2},
  [3982] = {.lex_state = 50, .external_lex_state = 5},
  [3983] = {.lex_state = 48, .external_lex_state = 5},
  [3984] = {.lex_state = 48, .external_lex_state = 5},
  [3985] = {.lex_state = 48, .external_lex_state = 5},
  [3986] = {.lex_state = 48, .external_lex_state = 5},
  [3987] = {.lex_state = 48, .external_lex_state = 5},
  [3988] = {.lex_state = 48, .external_lex_state = 5},
  [3989] = {.lex_state = 48, .external_lex_state = 5},
  [3990] = {.lex_state = 65, .external_lex_state = 2},
  [3991] = {.lex_state = 48, .external_lex_state = 5},
  [3992] = {.lex_state = 48, .external_lex_state = 6},
  [3993] = {.lex_state = 50, .external_lex_state = 6},
  [3994] = {.lex_state = 48, .external_lex_state = 5},
  [3995] = {.lex_state = 50, .external_lex_state = 6},
  [3996] = {.lex_state = 50, .external_lex_state = 6},
  [3997] = {.lex_state = 65, .external_lex_state = 2},
  [3998] = {.lex_state = 48, .external_lex_state = 5},
  [3999] = {.lex_state = 50, .external_lex_state = 6},
  [4000] = {.lex_state = 50, .external_lex_state = 6},
  [4001] = {.lex_state = 48, .external_lex_state = 5},
  [4002] = {.lex_state = 50, .external_lex_state = 6},
  [4003] = {.lex_state = 50, .external_lex_state = 6},
  [4004] = {.lex_state = 50, .external_lex_state = 6},
  [4005] = {.lex_state = 50, .external_lex_state = 6},
  [4006] = {.lex_state = 50, .external_lex_state = 6},
  [4007] = {.lex_state = 50, .external_lex_state = 6},
  [4008] = {.lex_state = 50, .external_lex_state = 6},
  [4009] = {.lex_state = 48, .external_lex_state = 5},
  [4010] = {.lex_state = 50, .external_lex_state = 6},
  [4011] = {.lex_state = 50, .external_lex_state = 6},
  [4012] = {.lex_state = 50, .external_lex_state = 5},
  [4013] = {.lex_state = 48, .external_lex_state = 5},
  [4014] = {.lex_state = 65, .external_lex_state = 2},
  [4015] = {.lex_state = 48, .external_lex_state = 5},
  [4016] = {.lex_state = 50, .external_lex_state = 6},
  [4017] = {.lex_state = 65, .external_lex_state = 2},
  [4018] = {.lex_state = 48, .external_lex_state = 5},
  [4019] = {.lex_state = 48, .external_lex_state = 5},
  [4020] = {.lex_state = 48, .external_lex_state = 5},
  [4021] = {.lex_state = 48, .external_lex_state = 5},
  [4022] = {.lex_state = 48, .external_lex_state = 5},
  [4023] = {.lex_state = 48, .external_lex_state = 5},
  [4024] = {.lex_state = 50, .external_lex_state = 6},
  [4025] = {.lex_state = 50, .external_lex_state = 6},
  [4026] = {.lex_state = 50, .external_lex_state = 6},
  [4027] = {.lex_state = 50, .external_lex_state = 6},
  [4028] = {.lex_state = 50, .external_lex_state = 6},
  [4029] = {.lex_state = 50, .external_lex_state = 6},
  [4030] = {.lex_state = 50, .external_lex_state = 6},
  [4031] = {.lex_state = 50, .external_lex_state = 6},
  [4032] = {.lex_state = 50, .external_lex_state = 6},
  [4033] = {.lex_state = 50, .external_lex_state = 6},
  [4034] = {.lex_state = 78, .external_lex_state = 2},
  [4035] = {.lex_state = 78, .external_lex_state = 2},
  [4036] = {.lex_state = 50, .external_lex_state = 5},
  [4037] = {.lex_state = 50, .external_lex_state = 6},
  [4038] = {.lex_state = 50, .external_lex_state = 6},
  [4039] = {.lex_state = 50, .external_lex_state = 6},
  [4040] = {.lex_state = 48, .external_lex_state = 5},
  [4041] = {.lex_state = 50, .external_lex_state = 6},
  [4042] = {.lex_state = 50, .external_lex_state = 6},
  [4043] = {.lex_state = 50, .external_lex_state = 6},
  [4044] = {.lex_state = 50, .external_lex_state = 6},
  [4045] = {.lex_state = 48, .external_lex_state = 5},
  [4046] = {.lex_state = 50, .external_lex_state = 6},
  [4047] = {.lex_state = 48, .external_lex_state = 5},
  [4048] = {.lex_state = 48, .external_lex_state = 6},
  [4049] = {.lex_state = 48, .external_lex_state = 5},
  [4050] = {.lex_state = 48, .external_lex_state = 5},
  [4051] = {.lex_state = 48, .external_lex_state = 5},
  [4052] = {.lex_state = 48, .external_lex_state = 5},
  [4053] = {.lex_state = 48, .external_lex_state = 5},
  [4054] = {.lex_state = 48, .external_lex_state = 5},
  [4055] = {.lex_state = 48, .external_lex_state = 5},
  [4056] = {.lex_state = 48, .external_lex_state = 5},
  [4057] = {.lex_state = 48, .external_lex_state = 5},
  [4058] = {.lex_state = 48, .external_lex_state = 5},
  [4059] = {.lex_state = 48, .external_lex_state = 5},
  [4060] = {.lex_state = 48, .external_lex_state = 5},
  [4061] = {.lex_state = 48, .external_lex_state = 5},
  [4062] = {.lex_state = 48, .external_lex_state = 5},
  [4063] = {.lex_state = 65, .external_lex_state = 2},
  [4064] = {.lex_state = 56, .external_lex_state = 2},
  [4065] = {.lex_state = 48, .external_lex_state = 5},
  [4066] = {.lex_state = 48, .external_lex_state = 5},
  [4067] = {.lex_state = 48, .external_lex_state = 2},
  [4068] = {.lex_state = 48, .external_lex_state = 5},
  [4069] = {.lex_state = 78, .external_lex_state = 2},
  [4070] = {.lex_state = 48, .external_lex_state = 5},
  [4071] = {.lex_state = 48, .external_lex_state = 5},
  [4072] = {.lex_state = 48, .external_lex_state = 5},
  [4073] = {.lex_state = 56, .external_lex_state = 2},
  [4074] = {.lex_state = 48, .external_lex_state = 5},
  [4075] = {.lex_state = 48, .external_lex_state = 5},
  [4076] = {.lex_state = 48, .external_lex_state = 5},
  [4077] = {.lex_state = 48, .external_lex_state = 5},
  [4078] = {.lex_state = 48, .external_lex_state = 5},
  [4079] = {.lex_state = 56, .external_lex_state = 2},
  [4080] = {.lex_state = 48, .external_lex_state = 5},
  [4081] = {.lex_state = 78, .external_lex_state = 2},
  [4082] = {.lex_state = 78, .external_lex_state = 2},
  [4083] = {.lex_state = 56, .external_lex_state = 2},
  [4084] = {.lex_state = 48, .external_lex_state = 5},
  [4085] = {.lex_state = 48, .external_lex_state = 5},
  [4086] = {.lex_state = 48, .external_lex_state = 5},
  [4087] = {.lex_state = 78, .external_lex_state = 2},
  [4088] = {.lex_state = 48, .external_lex_state = 5},
  [4089] = {.lex_state = 48, .external_lex_state = 5},
  [4090] = {.lex_state = 48, .external_lex_state = 5},
  [4091] = {.lex_state = 48, .external_lex_state = 5},
  [4092] = {.lex_state = 48, .external_lex_state = 5},
  [4093] = {.lex_state = 48, .external_lex_state = 5},
  [4094] = {.lex_state = 48, .external_lex_state = 5},
  [4095] = {.lex_state = 56, .external_lex_state = 2},
  [4096] = {.lex_state = 48, .external_lex_state = 5},
  [4097] = {.lex_state = 48, .external_lex_state = 5},
  [4098] = {.lex_state = 48, .external_lex_state = 5},
  [4099] = {.lex_state = 48, .external_lex_state = 5},
  [4100] = {.lex_state = 48, .external_lex_state = 5},
  [4101] = {.lex_state = 48, .external_lex_state = 5},
  [4102] = {.lex_state = 48, .external_lex_state = 5},
  [4103] = {.lex_state = 48, .external_lex_state = 5},
  [4104] = {.lex_state = 48, .external_lex_state = 5},
  [4105] = {.lex_state = 48, .external_lex_state = 5},
  [4106] = {.lex_state = 48, .external_lex_state = 5},
  [4107] = {.lex_state = 48, .external_lex_state = 5},
  [4108] = {.lex_state = 48, .external_lex_state = 5},
  [4109] = {.lex_state = 48, .external_lex_state = 5},
  [4110] = {.lex_state = 48, .external_lex_state = 5},
  [4111] = {.lex_state = 48, .external_lex_state = 5},
  [4112] = {.lex_state = 48, .external_lex_state = 5},
  [4113] = {.lex_state = 48, .external_lex_state = 5},
  [4114] = {.lex_state = 48, .external_lex_state = 5},
  [4115] = {.lex_state = 48, .external_lex_state = 5},
  [4116] = {.lex_state = 48, .external_lex_state = 5},
  [4117] = {.lex_state = 48, .external_lex_state = 5},
  [4118] = {.lex_state = 48, .external_lex_state = 5},
  [4119] = {.lex_state = 48, .external_lex_state = 5},
  [4120] = {.lex_state = 56, .external_lex_state = 2},
  [4121] = {.lex_state = 48, .external_lex_state = 6},
  [4122] = {.lex_state = 48, .external_lex_state = 5},
  [4123] = {.lex_state = 48, .external_lex_state = 5},
  [4124] = {.lex_state = 48, .external_lex_state = 5},
  [4125] = {.lex_state = 48, .external_lex_state = 5},
  [4126] = {.lex_state = 48, .external_lex_state = 5},
  [4127] = {.lex_state = 48, .external_lex_state = 5},
  [4128] = {.lex_state = 48, .external_lex_state = 5},
  [4129] = {.lex_state = 48, .external_lex_state = 5},
  [4130] = {.lex_state = 48, .external_lex_state = 5},
  [4131] = {.lex_state = 50, .external_lex_state = 6},
  [4132] = {.lex_state = 48, .external_lex_state = 5},
  [4133] = {.lex_state = 48, .external_lex_state = 5},
  [4134] = {.lex_state = 48, .external_lex_state = 5},
  [4135] = {.lex_state = 50, .external_lex_state = 6},
  [4136] = {.lex_state = 48, .external_lex_state = 5},
  [4137] = {.lex_state = 48, .external_lex_state = 5},
  [4138] = {.lex_state = 48, .external_lex_state = 5},
  [4139] = {.lex_state = 48, .external_lex_state = 5},
  [4140] = {.lex_state = 48, .external_lex_state = 5},
  [4141] = {.lex_state = 48, .external_lex_state = 6},
  [4142] = {.lex_state = 48, .external_lex_state = 5},
  [4143] = {.lex_state = 48, .external_lex_state = 6},
  [4144] = {.lex_state = 48, .external_lex_state = 5},
  [4145] = {.lex_state = 50, .external_lex_state = 6},
  [4146] = {.lex_state = 48, .external_lex_state = 5},
  [4147] = {.lex_state = 50, .external_lex_state = 6},
  [4148] = {.lex_state = 48, .external_lex_state = 5},
  [4149] = {.lex_state = 48, .external_lex_state = 5},
  [4150] = {.lex_state = 50, .external_lex_state = 6},
  [4151] = {.lex_state = 48, .external_lex_state = 5},
  [4152] = {.lex_state = 48, .external_lex_state = 5},
  [4153] = {.lex_state = 48, .external_lex_state = 5},
  [4154] = {.lex_state = 48, .external_lex_state = 5},
  [4155] = {.lex_state = 48, .external_lex_state = 5},
  [4156] = {.lex_state = 48, .external_lex_state = 5},
  [4157] = {.lex_state = 48, .external_lex_state = 5},
  [4158] = {.lex_state = 48, .external_lex_state = 5},
  [4159] = {.lex_state = 48, .external_lex_state = 5},
  [4160] = {.lex_state = 48, .external_lex_state = 5},
  [4161] = {.lex_state = 48, .external_lex_state = 5},
  [4162] = {.lex_state = 48, .external_lex_state = 5},
  [4163] = {.lex_state = 50, .external_lex_state = 6},
  [4164] = {.lex_state = 48, .external_lex_state = 5},
  [4165] = {.lex_state = 48, .external_lex_state = 5},
  [4166] = {.lex_state = 50, .external_lex_state = 6},
  [4167] = {.lex_state = 79, .external_lex_state = 2},
  [4168] = {.lex_state = 78, .external_lex_state = 2},
  [4169] = {.lex_state = 48, .external_lex_state = 6},
  [4170] = {.lex_state = 79, .external_lex_state = 2},
  [4171] = {.lex_state = 400, .external_lex_state = 5},
  [4172] = {.lex_state = 79, .external_lex_state = 2},
  [4173] = {.lex_state = 78, .external_lex_state = 2},
  [4174] = {.lex_state = 56, .external_lex_state = 2},
  [4175] = {.lex_state = 48, .external_lex_state = 2},
  [4176] = {.lex_state = 48, .external_lex_state = 6},
  [4177] = {.lex_state = 79, .external_lex_state = 2},
  [4178] = {.lex_state = 79, .external_lex_state = 2},
  [4179] = {.lex_state = 78, .external_lex_state = 2},
  [4180] = {.lex_state = 78, .external_lex_state = 2},
  [4181] = {.lex_state = 50, .external_lex_state = 5},
  [4182] = {.lex_state = 79, .external_lex_state = 2},
  [4183] = {.lex_state = 79, .external_lex_state = 2},
  [4184] = {.lex_state = 400, .external_lex_state = 5},
  [4185] = {.lex_state = 48, .external_lex_state = 6},
  [4186] = {.lex_state = 48, .external_lex_state = 5},
  [4187] = {.lex_state = 48, .external_lex_state = 6},
  [4188] = {.lex_state = 48, .external_lex_state = 5},
  [4189] = {.lex_state = 79, .external_lex_state = 2},
  [4190] = {.lex_state = 400, .external_lex_state = 5},
  [4191] = {.lex_state = 48, .external_lex_state = 6},
  [4192] = {.lex_state = 50, .external_lex_state = 5},
  [4193] = {.lex_state = 79, .external_lex_state = 2},
  [4194] = {.lex_state = 79, .external_lex_state = 2},
  [4195] = {.lex_state = 56, .external_lex_state = 2},
  [4196] = {.lex_state = 58, .external_lex_state = 2},
  [4197] = {.lex_state = 79, .external_lex_state = 2},
  [4198] = {.lex_state = 79, .external_lex_state = 2},
  [4199] = {.lex_state = 79, .external_lex_state = 2},
  [4200] = {.lex_state = 79, .external_lex_state = 2},
  [4201] = {.lex_state = 79, .external_lex_state = 2},
  [4202] = {.lex_state = 79, .external_lex_state = 2},
  [4203] = {.lex_state = 56, .external_lex_state = 2},
  [4204] = {.lex_state = 79, .external_lex_state = 2},
  [4205] = {.lex_state = 48, .external_lex_state = 6},
  [4206] = {.lex_state = 48, .external_lex_state = 5},
  [4207] = {.lex_state = 48, .external_lex_state = 2},
  [4208] = {.lex_state = 48, .external_lex_state = 5},
  [4209] = {.lex_state = 50, .external_lex_state = 2},
  [4210] = {.lex_state = 48, .external_lex_state = 5},
  [4211] = {.lex_state = 48, .external_lex_state = 2},
  [4212] = {.lex_state = 48, .external_lex_state = 2},
  [4213] = {.lex_state = 50, .external_lex_state = 2},
  [4214] = {.lex_state = 48, .external_lex_state = 2},
  [4215] = {.lex_state = 48, .external_lex_state = 5},
  [4216] = {.lex_state = 48, .external_lex_state = 2},
  [4217] = {.lex_state = 56, .external_lex_state = 2},
  [4218] = {.lex_state = 48, .external_lex_state = 2},
  [4219] = {.lex_state = 48, .external_lex_state = 6},
  [4220] = {.lex_state = 48, .external_lex_state = 2},
  [4221] = {.lex_state = 48, .external_lex_state = 2},
  [4222] = {.lex_state = 48, .external_lex_state = 6},
  [4223] = {.lex_state = 78, .external_lex_state = 2},
  [4224] = {.lex_state = 78, .external_lex_state = 2},
  [4225] = {.lex_state = 48, .external_lex_state = 6},
  [4226] = {.lex_state = 48, .external_lex_state = 5},
  [4227] = {.lex_state = 48, .external_lex_state = 2},
  [4228] = {.lex_state = 48, .external_lex_state = 2},
  [4229] = {.lex_state = 50, .external_lex_state = 2},
  [4230] = {.lex_state = 48, .external_lex_state = 6},
  [4231] = {.lex_state = 50, .external_lex_state = 2},
  [4232] = {.lex_state = 48, .external_lex_state = 2},
  [4233] = {.lex_state = 48, .external_lex_state = 2},
  [4234] = {.lex_state = 48, .external_lex_state = 5},
  [4235] = {.lex_state = 48, .external_lex_state = 5},
  [4236] = {.lex_state = 48, .external_lex_state = 2},
  [4237] = {.lex_state = 62, .external_lex_state = 2},
  [4238] = {.lex_state = 48, .external_lex_state = 6},
  [4239] = {.lex_state = 48, .external_lex_state = 2},
  [4240] = {.lex_state = 48, .external_lex_state = 6},
  [4241] = {.lex_state = 48, .external_lex_state = 5},
  [4242] = {.lex_state = 78, .external_lex_state = 2},
  [4243] = {.lex_state = 48, .external_lex_state = 5},
  [4244] = {.lex_state = 48, .external_lex_state = 6},
  [4245] = {.lex_state = 400, .external_lex_state = 2},
  [4246] = {.lex_state = 48, .external_lex_state = 6},
  [4247] = {.lex_state = 48, .external_lex_state = 6},
  [4248] = {.lex_state = 48, .external_lex_state = 6},
  [4249] = {.lex_state = 48, .external_lex_state = 6},
  [4250] = {.lex_state = 48, .external_lex_state = 6},
  [4251] = {.lex_state = 48, .external_lex_state = 6},
  [4252] = {.lex_state = 48, .external_lex_state = 2},
  [4253] = {.lex_state = 48, .external_lex_state = 6},
  [4254] = {.lex_state = 48, .external_lex_state = 6},
  [4255] = {.lex_state = 48, .external_lex_state = 5},
  [4256] = {.lex_state = 48, .external_lex_state = 6},
  [4257] = {.lex_state = 48, .external_lex_state = 5},
  [4258] = {.lex_state = 48, .external_lex_state = 5},
  [4259] = {.lex_state = 48, .external_lex_state = 5},
  [4260] = {.lex_state = 48, .external_lex_state = 5},
  [4261] = {.lex_state = 48, .external_lex_state = 5},
  [4262] = {.lex_state = 48, .external_lex_state = 5},
  [4263] = {.lex_state = 48, .external_lex_state = 2},
  [4264] = {.lex_state = 48, .external_lex_state = 2},
  [4265] = {.lex_state = 48, .external_lex_state = 6},
  [4266] = {.lex_state = 48, .external_lex_state = 6},
  [4267] = {.lex_state = 48, .external_lex_state = 5},
  [4268] = {.lex_state = 48, .external_lex_state = 2},
  [4269] = {.lex_state = 48, .external_lex_state = 5},
  [4270] = {.lex_state = 48, .external_lex_state = 5},
  [4271] = {.lex_state = 48, .external_lex_state = 2},
  [4272] = {.lex_state = 48, .external_lex_state = 5},
  [4273] = {.lex_state = 48, .external_lex_state = 2},
  [4274] = {.lex_state = 48, .external_lex_state = 6},
  [4275] = {.lex_state = 48, .external_lex_state = 2},
  [4276] = {.lex_state = 48, .external_lex_state = 6},
  [4277] = {.lex_state = 48, .external_lex_state = 5},
  [4278] = {.lex_state = 48, .external_lex_state = 5},
  [4279] = {.lex_state = 48, .external_lex_state = 2},
  [4280] = {.lex_state = 62, .external_lex_state = 2},
  [4281] = {.lex_state = 48, .external_lex_state = 5},
  [4282] = {.lex_state = 48, .external_lex_state = 6},
  [4283] = {.lex_state = 48, .external_lex_state = 5},
  [4284] = {.lex_state = 48, .external_lex_state = 5},
  [4285] = {.lex_state = 48, .external_lex_state = 5},
  [4286] = {.lex_state = 48, .external_lex_state = 6},
  [4287] = {.lex_state = 50, .external_lex_state = 5},
  [4288] = {.lex_state = 48, .external_lex_state = 6},
  [4289] = {.lex_state = 48, .external_lex_state = 6},
  [4290] = {.lex_state = 48, .external_lex_state = 6},
  [4291] = {.lex_state = 48, .external_lex_state = 6},
  [4292] = {.lex_state = 48, .external_lex_state = 6},
  [4293] = {.lex_state = 50, .external_lex_state = 5},
  [4294] = {.lex_state = 400, .external_lex_state = 5},
  [4295] = {.lex_state = 48, .external_lex_state = 6},
  [4296] = {.lex_state = 400, .external_lex_state = 6},
  [4297] = {.lex_state = 48, .external_lex_state = 2},
  [4298] = {.lex_state = 48, .external_lex_state = 6},
  [4299] = {.lex_state = 48, .external_lex_state = 6},
  [4300] = {.lex_state = 48, .external_lex_state = 6},
  [4301] = {.lex_state = 48, .external_lex_state = 5},
  [4302] = {.lex_state = 48, .external_lex_state = 5},
  [4303] = {.lex_state = 48, .external_lex_state = 6},
  [4304] = {.lex_state = 48, .external_lex_state = 6},
  [4305] = {.lex_state = 50, .external_lex_state = 2},
  [4306] = {.lex_state = 48, .external_lex_state = 6},
  [4307] = {.lex_state = 48, .external_lex_state = 6},
  [4308] = {.lex_state = 48, .external_lex_state = 5},
  [4309] = {.lex_state = 78, .external_lex_state = 2},
  [4310] = {.lex_state = 48, .external_lex_state = 2},
  [4311] = {.lex_state = 48, .external_lex_state = 6},
  [4312] = {.lex_state = 48, .external_lex_state = 6},
  [4313] = {.lex_state = 50, .external_lex_state = 2},
  [4314] = {.lex_state = 400, .external_lex_state = 5},
  [4315] = {.lex_state = 400, .external_lex_state = 5},
  [4316] = {.lex_state = 400, .external_lex_state = 5},
  [4317] = {.lex_state = 400, .external_lex_state = 5},
  [4318] = {.lex_state = 400, .external_lex_state = 5},
  [4319] = {.lex_state = 48, .external_lex_state = 2},
  [4320] = {.lex_state = 48, .external_lex_state = 2},
  [4321] = {.lex_state = 48, .external_lex_state = 2},
  [4322] = {.lex_state = 62, .external_lex_state = 2},
  [4323] = {.lex_state = 48, .external_lex_state = 5},
  [4324] = {.lex_state = 48, .external_lex_state = 5},
  [4325] = {.lex_state = 48, .external_lex_state = 2},
  [4326] = {.lex_state = 48, .external_lex_state = 5},
  [4327] = {.lex_state = 48, .external_lex_state = 5},
  [4328] = {.lex_state = 78, .external_lex_state = 2},
  [4329] = {.lex_state = 48, .external_lex_state = 5},
  [4330] = {.lex_state = 48, .external_lex_state = 6},
  [4331] = {.lex_state = 78, .external_lex_state = 2},
  [4332] = {.lex_state = 48, .external_lex_state = 5},
  [4333] = {.lex_state = 62, .external_lex_state = 2},
  [4334] = {.lex_state = 48, .external_lex_state = 6},
  [4335] = {.lex_state = 48, .external_lex_state = 6},
  [4336] = {.lex_state = 48, .external_lex_state = 6},
  [4337] = {.lex_state = 48, .external_lex_state = 5},
  [4338] = {.lex_state = 48, .external_lex_state = 2},
  [4339] = {.lex_state = 48, .external_lex_state = 5},
  [4340] = {.lex_state = 48, .external_lex_state = 2},
  [4341] = {.lex_state = 48, .external_lex_state = 2},
  [4342] = {.lex_state = 78, .external_lex_state = 2},
  [4343] = {.lex_state = 48, .external_lex_state = 2},
  [4344] = {.lex_state = 48, .external_lex_state = 5},
  [4345] = {.lex_state = 78, .external_lex_state = 2},
  [4346] = {.lex_state = 78, .external_lex_state = 2},
  [4347] = {.lex_state = 48, .external_lex_state = 5},
  [4348] = {.lex_state = 48, .external_lex_state = 5},
  [4349] = {.lex_state = 50, .external_lex_state = 2},
  [4350] = {.lex_state = 48, .external_lex_state = 2},
  [4351] = {.lex_state = 48, .external_lex_state = 2},
  [4352] = {.lex_state = 48, .external_lex_state = 2},
  [4353] = {.lex_state = 48, .external_lex_state = 5},
  [4354] = {.lex_state = 78, .external_lex_state = 2},
  [4355] = {.lex_state = 78, .external_lex_state = 2},
  [4356] = {.lex_state = 78, .external_lex_state = 2},
  [4357] = {.lex_state = 78, .external_lex_state = 2},
  [4358] = {.lex_state = 78, .external_lex_state = 2},
  [4359] = {.lex_state = 78, .external_lex_state = 2},
  [4360] = {.lex_state = 48, .external_lex_state = 2},
  [4361] = {.lex_state = 78, .external_lex_state = 2},
  [4362] = {.lex_state = 50, .external_lex_state = 2},
  [4363] = {.lex_state = 50, .external_lex_state = 2},
  [4364] = {.lex_state = 48, .external_lex_state = 2},
  [4365] = {.lex_state = 48, .external_lex_state = 6},
  [4366] = {.lex_state = 48, .external_lex_state = 6},
  [4367] = {.lex_state = 48, .external_lex_state = 6},
  [4368] = {.lex_state = 48, .external_lex_state = 6},
  [4369] = {.lex_state = 48, .external_lex_state = 6},
  [4370] = {.lex_state = 78, .external_lex_state = 2},
  [4371] = {.lex_state = 78, .external_lex_state = 2},
  [4372] = {.lex_state = 48, .external_lex_state = 6},
  [4373] = {.lex_state = 50, .external_lex_state = 2},
  [4374] = {.lex_state = 48, .external_lex_state = 6},
  [4375] = {.lex_state = 48, .external_lex_state = 6},
  [4376] = {.lex_state = 48, .external_lex_state = 6},
  [4377] = {.lex_state = 48, .external_lex_state = 6},
  [4378] = {.lex_state = 48, .external_lex_state = 6},
  [4379] = {.lex_state = 48, .external_lex_state = 2},
  [4380] = {.lex_state = 48, .external_lex_state = 6},
  [4381] = {.lex_state = 48, .external_lex_state = 6},
  [4382] = {.lex_state = 78, .external_lex_state = 2},
  [4383] = {.lex_state = 48, .external_lex_state = 6},
  [4384] = {.lex_state = 48, .external_lex_state = 5},
  [4385] = {.lex_state = 48, .external_lex_state = 2},
  [4386] = {.lex_state = 48, .external_lex_state = 2},
  [4387] = {.lex_state = 78, .external_lex_state = 2},
  [4388] = {.lex_state = 48, .external_lex_state = 5},
  [4389] = {.lex_state = 56, .external_lex_state = 2},
  [4390] = {.lex_state = 48, .external_lex_state = 5},
  [4391] = {.lex_state = 78, .external_lex_state = 2},
  [4392] = {.lex_state = 48, .external_lex_state = 2},
  [4393] = {.lex_state = 48, .external_lex_state = 2},
  [4394] = {.lex_state = 78, .external_lex_state = 2},
  [4395] = {.lex_state = 48, .external_lex_state = 6},
  [4396] = {.lex_state = 48, .external_lex_state = 6},
  [4397] = {.lex_state = 48, .external_lex_state = 6},
  [4398] = {.lex_state = 48, .external_lex_state = 2},
  [4399] = {.lex_state = 48, .external_lex_state = 6},
  [4400] = {.lex_state = 78, .external_lex_state = 2},
  [4401] = {.lex_state = 78, .external_lex_state = 2},
  [4402] = {.lex_state = 78, .external_lex_state = 2},
  [4403] = {.lex_state = 56, .external_lex_state = 2},
  [4404] = {.lex_state = 50, .external_lex_state = 2},
  [4405] = {.lex_state = 62, .external_lex_state = 2},
  [4406] = {.lex_state = 48, .external_lex_state = 2},
  [4407] = {.lex_state = 48, .external_lex_state = 2},
  [4408] = {.lex_state = 62, .external_lex_state = 2},
  [4409] = {.lex_state = 78, .external_lex_state = 2},
  [4410] = {.lex_state = 78, .external_lex_state = 2},
  [4411] = {.lex_state = 48, .external_lex_state = 2},
  [4412] = {.lex_state = 48, .external_lex_state = 2},
  [4413] = {.lex_state = 48, .external_lex_state = 2},
  [4414] = {.lex_state = 48, .external_lex_state = 2},
  [4415] = {.lex_state = 78, .external_lex_state = 2},
  [4416] = {.lex_state = 48, .external_lex_state = 2},
  [4417] = {.lex_state = 78, .external_lex_state = 2},
  [4418] = {.lex_state = 48, .external_lex_state = 2},
  [4419] = {.lex_state = 48, .external_lex_state = 2},
  [4420] = {.lex_state = 48, .external_lex_state = 6},
  [4421] = {.lex_state = 78, .external_lex_state = 2},
  [4422] = {.lex_state = 48, .external_lex_state = 6},
  [4423] = {.lex_state = 78, .external_lex_state = 2},
  [4424] = {.lex_state = 78, .external_lex_state = 2},
  [4425] = {.lex_state = 78, .external_lex_state = 2},
  [4426] = {.lex_state = 78, .external_lex_state = 2},
  [4427] = {.lex_state = 48, .external_lex_state = 2},
  [4428] = {.lex_state = 48, .external_lex_state = 2},
  [4429] = {.lex_state = 78, .external_lex_state = 2},
  [4430] = {.lex_state = 48, .external_lex_state = 2},
  [4431] = {.lex_state = 48, .external_lex_state = 2},
  [4432] = {.lex_state = 48, .external_lex_state = 2},
  [4433] = {.lex_state = 50, .external_lex_state = 2},
  [4434] = {.lex_state = 78, .external_lex_state = 2},
  [4435] = {.lex_state = 400, .external_lex_state = 6},
  [4436] = {.lex_state = 78, .external_lex_state = 2},
  [4437] = {.lex_state = 50, .external_lex_state = 2},
  [4438] = {.lex_state = 400, .external_lex_state = 7},
  [4439] = {.lex_state = 400, .external_lex_state = 7},
  [4440] = {.lex_state = 48, .external_lex_state = 2},
  [4441] = {.lex_state = 48, .external_lex_state = 2},
  [4442] = {.lex_state = 81, .external_lex_state = 2},
  [4443] = {.lex_state = 72, .external_lex_state = 2},
  [4444] = {.lex_state = 400, .external_lex_state = 5},
  [4445] = {.lex_state = 400, .external_lex_state = 7},
  [4446] = {.lex_state = 400, .external_lex_state = 7},
  [4447] = {.lex_state = 81, .external_lex_state = 2},
  [4448] = {.lex_state = 81, .external_lex_state = 2},
  [4449] = {.lex_state = 72, .external_lex_state = 2},
  [4450] = {.lex_state = 400, .external_lex_state = 5},
  [4451] = {.lex_state = 400, .external_lex_state = 5},
  [4452] = {.lex_state = 72, .external_lex_state = 2},
  [4453] = {.lex_state = 81, .external_lex_state = 2},
  [4454] = {.lex_state = 400, .external_lex_state = 7},
  [4455] = {.lex_state = 400, .external_lex_state = 7},
  [4456] = {.lex_state = 56, .external_lex_state = 2},
  [4457] = {.lex_state = 72, .external_lex_state = 2},
  [4458] = {.lex_state = 48, .external_lex_state = 5},
  [4459] = {.lex_state = 72, .external_lex_state = 2},
  [4460] = {.lex_state = 81, .external_lex_state = 2},
  [4461] = {.lex_state = 48, .external_lex_state = 5},
  [4462] = {.lex_state = 87, .external_lex_state = 2},
  [4463] = {.lex_state = 48, .external_lex_state = 5},
  [4464] = {.lex_state = 48, .external_lex_state = 5},
  [4465] = {.lex_state = 72, .external_lex_state = 2},
  [4466] = {.lex_state = 48, .external_lex_state = 6},
  [4467] = {.lex_state = 400, .external_lex_state = 6},
  [4468] = {.lex_state = 400, .external_lex_state = 5},
  [4469] = {.lex_state = 400, .external_lex_state = 5},
  [4470] = {.lex_state = 87, .external_lex_state = 2},
  [4471] = {.lex_state = 72, .external_lex_state = 2},
  [4472] = {.lex_state = 72, .external_lex_state = 2},
  [4473] = {.lex_state = 400, .external_lex_state = 7},
  [4474] = {.lex_state = 72, .external_lex_state = 2},
  [4475] = {.lex_state = 400, .external_lex_state = 7},
  [4476] = {.lex_state = 81, .external_lex_state = 2},
  [4477] = {.lex_state = 400, .external_lex_state = 2},
  [4478] = {.lex_state = 400, .external_lex_state = 5},
  [4479] = {.lex_state = 84, .external_lex_state = 2},
  [4480] = {.lex_state = 51, .external_lex_state = 2},
  [4481] = {.lex_state = 72, .external_lex_state = 2},
  [4482] = {.lex_state = 400, .external_lex_state = 2},
  [4483] = {.lex_state = 400, .external_lex_state = 6},
  [4484] = {.lex_state = 400, .external_lex_state = 5},
  [4485] = {.lex_state = 400, .external_lex_state = 2},
  [4486] = {.lex_state = 400, .external_lex_state = 5},
  [4487] = {.lex_state = 400, .external_lex_state = 2},
  [4488] = {.lex_state = 84, .external_lex_state = 2},
  [4489] = {.lex_state = 400, .external_lex_state = 2},
  [4490] = {.lex_state = 48, .external_lex_state = 2},
  [4491] = {.lex_state = 400, .external_lex_state = 2},
  [4492] = {.lex_state = 400, .external_lex_state = 2},
  [4493] = {.lex_state = 400, .external_lex_state = 2},
  [4494] = {.lex_state = 400, .external_lex_state = 5},
  [4495] = {.lex_state = 51, .external_lex_state = 2},
  [4496] = {.lex_state = 72, .external_lex_state = 2},
  [4497] = {.lex_state = 400, .external_lex_state = 2},
  [4498] = {.lex_state = 400, .external_lex_state = 2},
  [4499] = {.lex_state = 400, .external_lex_state = 2},
  [4500] = {.lex_state = 400, .external_lex_state = 2},
  [4501] = {.lex_state = 400, .external_lex_state = 2},
  [4502] = {.lex_state = 400, .external_lex_state = 5},
  [4503] = {.lex_state = 400, .external_lex_state = 2},
  [4504] = {.lex_state = 400, .external_lex_state = 2},
  [4505] = {.lex_state = 400, .external_lex_state = 5},
  [4506] = {.lex_state = 400, .external_lex_state = 5},
  [4507] = {.lex_state = 400, .external_lex_state = 2},
  [4508] = {.lex_state = 400, .external_lex_state = 5},
  [4509] = {.lex_state = 400, .external_lex_state = 2},
  [4510] = {.lex_state = 400, .external_lex_state = 2},
  [4511] = {.lex_state = 400, .external_lex_state = 5},
  [4512] = {.lex_state = 400, .external_lex_state = 2},
  [4513] = {.lex_state = 400, .external_lex_state = 2},
  [4514] = {.lex_state = 400, .external_lex_state = 5},
  [4515] = {.lex_state = 51, .external_lex_state = 2},
  [4516] = {.lex_state = 51, .external_lex_state = 2},
  [4517] = {.lex_state = 51, .external_lex_state = 2},
  [4518] = {.lex_state = 400, .external_lex_state = 5},
  [4519] = {.lex_state = 50, .external_lex_state = 5},
  [4520] = {.lex_state = 72, .external_lex_state = 2},
  [4521] = {.lex_state = 400, .external_lex_state = 2},
  [4522] = {.lex_state = 400, .external_lex_state = 5},
  [4523] = {.lex_state = 400, .external_lex_state = 5},
  [4524] = {.lex_state = 50, .external_lex_state = 5},
  [4525] = {.lex_state = 50, .external_lex_state = 5},
  [4526] = {.lex_state = 400, .external_lex_state = 5},
  [4527] = {.lex_state = 56, .external_lex_state = 2},
  [4528] = {.lex_state = 400, .external_lex_state = 6},
  [4529] = {.lex_state = 400, .external_lex_state = 6},
  [4530] = {.lex_state = 50, .external_lex_state = 5},
  [4531] = {.lex_state = 51, .external_lex_state = 2},
  [4532] = {.lex_state = 84, .external_lex_state = 2},
  [4533] = {.lex_state = 400, .external_lex_state = 6},
  [4534] = {.lex_state = 400, .external_lex_state = 2},
  [4535] = {.lex_state = 51, .external_lex_state = 2},
  [4536] = {.lex_state = 72, .external_lex_state = 2},
  [4537] = {.lex_state = 400, .external_lex_state = 6},
  [4538] = {.lex_state = 400, .external_lex_state = 5},
  [4539] = {.lex_state = 51, .external_lex_state = 2},
  [4540] = {.lex_state = 51, .external_lex_state = 2},
  [4541] = {.lex_state = 51, .external_lex_state = 2},
  [4542] = {.lex_state = 72, .external_lex_state = 2},
  [4543] = {.lex_state = 51, .external_lex_state = 2},
  [4544] = {.lex_state = 48, .external_lex_state = 2},
  [4545] = {.lex_state = 78, .external_lex_state = 2},
  [4546] = {.lex_state = 400, .external_lex_state = 5},
  [4547] = {.lex_state = 400, .external_lex_state = 5},
  [4548] = {.lex_state = 51, .external_lex_state = 2},
  [4549] = {.lex_state = 400, .external_lex_state = 5},
  [4550] = {.lex_state = 400, .external_lex_state = 5},
  [4551] = {.lex_state = 48, .external_lex_state = 2},
  [4552] = {.lex_state = 400, .external_lex_state = 5},
  [4553] = {.lex_state = 400, .external_lex_state = 5},
  [4554] = {.lex_state = 50, .external_lex_state = 5},
  [4555] = {.lex_state = 400, .external_lex_state = 5},
  [4556] = {.lex_state = 400, .external_lex_state = 5},
  [4557] = {.lex_state = 400, .external_lex_state = 2},
  [4558] = {.lex_state = 400, .external_lex_state = 5},
  [4559] = {.lex_state = 400, .external_lex_state = 5},
  [4560] = {.lex_state = 51, .external_lex_state = 2},
  [4561] = {.lex_state = 400, .external_lex_state = 5},
  [4562] = {.lex_state = 400, .external_lex_state = 5},
  [4563] = {.lex_state = 400, .external_lex_state = 5},
  [4564] = {.lex_state = 400, .external_lex_state = 5},
  [4565] = {.lex_state = 400, .external_lex_state = 5},
  [4566] = {.lex_state = 51, .external_lex_state = 2},
  [4567] = {.lex_state = 400, .external_lex_state = 5},
  [4568] = {.lex_state = 48, .external_lex_state = 2},
  [4569] = {.lex_state = 400, .external_lex_state = 5},
  [4570] = {.lex_state = 400, .external_lex_state = 2},
  [4571] = {.lex_state = 400, .external_lex_state = 2},
  [4572] = {.lex_state = 78, .external_lex_state = 2},
  [4573] = {.lex_state = 78, .external_lex_state = 2},
  [4574] = {.lex_state = 50, .external_lex_state = 5},
  [4575] = {.lex_state = 72, .external_lex_state = 2},
  [4576] = {.lex_state = 50, .external_lex_state = 5},
  [4577] = {.lex_state = 400, .external_lex_state = 2},
  [4578] = {.lex_state = 400, .external_lex_state = 2},
  [4579] = {.lex_state = 400, .external_lex_state = 6},
  [4580] = {.lex_state = 400, .external_lex_state = 5},
  [4581] = {.lex_state = 51, .external_lex_state = 2},
  [4582] = {.lex_state = 400, .external_lex_state = 5},
  [4583] = {.lex_state = 400, .external_lex_state = 5},
  [4584] = {.lex_state = 400, .external_lex_state = 5},
  [4585] = {.lex_state = 400, .external_lex_state = 5},
  [4586] = {.lex_state = 400, .external_lex_state = 5},
  [4587] = {.lex_state = 400, .external_lex_state = 5},
  [4588] = {.lex_state = 400, .external_lex_state = 5},
  [4589] = {.lex_state = 400, .external_lex_state = 5},
  [4590] = {.lex_state = 400, .external_lex_state = 2},
  [4591] = {.lex_state = 51, .external_lex_state = 2},
  [4592] = {.lex_state = 84, .external_lex_state = 2},
  [4593] = {.lex_state = 400, .external_lex_state = 5},
  [4594] = {.lex_state = 400, .external_lex_state = 2},
  [4595] = {.lex_state = 400, .external_lex_state = 2},
  [4596] = {.lex_state = 400, .external_lex_state = 2},
  [4597] = {.lex_state = 51, .external_lex_state = 2},
  [4598] = {.lex_state = 400, .external_lex_state = 5},
  [4599] = {.lex_state = 400, .external_lex_state = 5},
  [4600] = {.lex_state = 50, .external_lex_state = 5},
  [4601] = {.lex_state = 400, .external_lex_state = 5},
  [4602] = {.lex_state = 72, .external_lex_state = 2},
  [4603] = {.lex_state = 51, .external_lex_state = 2},
  [4604] = {.lex_state = 400, .external_lex_state = 5},
  [4605] = {.lex_state = 400, .external_lex_state = 5},
  [4606] = {.lex_state = 51, .external_lex_state = 2},
  [4607] = {.lex_state = 400, .external_lex_state = 2},
  [4608] = {.lex_state = 400, .external_lex_state = 2},
  [4609] = {.lex_state = 51, .external_lex_state = 2},
  [4610] = {.lex_state = 84, .external_lex_state = 2},
  [4611] = {.lex_state = 400, .external_lex_state = 2},
  [4612] = {.lex_state = 51, .external_lex_state = 2},
  [4613] = {.lex_state = 400, .external_lex_state = 5},
  [4614] = {.lex_state = 400, .external_lex_state = 5},
  [4615] = {.lex_state = 51, .external_lex_state = 2},
  [4616] = {.lex_state = 48, .external_lex_state = 2},
  [4617] = {.lex_state = 48, .external_lex_state = 2},
  [4618] = {.lex_state = 400, .external_lex_state = 5},
  [4619] = {.lex_state = 400, .external_lex_state = 5},
  [4620] = {.lex_state = 48, .external_lex_state = 2},
  [4621] = {.lex_state = 400, .external_lex_state = 5},
  [4622] = {.lex_state = 400, .external_lex_state = 5},
  [4623] = {.lex_state = 400, .external_lex_state = 2},
  [4624] = {.lex_state = 400, .external_lex_state = 5},
  [4625] = {.lex_state = 400, .external_lex_state = 5},
  [4626] = {.lex_state = 400, .external_lex_state = 5},
  [4627] = {.lex_state = 51, .external_lex_state = 2},
  [4628] = {.lex_state = 400, .external_lex_state = 5},
  [4629] = {.lex_state = 50, .external_lex_state = 5},
  [4630] = {.lex_state = 400, .external_lex_state = 5},
  [4631] = {.lex_state = 400, .external_lex_state = 5},
  [4632] = {.lex_state = 51, .external_lex_state = 2},
  [4633] = {.lex_state = 400, .external_lex_state = 5},
  [4634] = {.lex_state = 400, .external_lex_state = 5},
  [4635] = {.lex_state = 400, .external_lex_state = 5},
  [4636] = {.lex_state = 400, .external_lex_state = 5},
  [4637] = {.lex_state = 400, .external_lex_state = 5},
  [4638] = {.lex_state = 400, .external_lex_state = 5},
  [4639] = {.lex_state = 400, .external_lex_state = 5},
  [4640] = {.lex_state = 400, .external_lex_state = 5},
  [4641] = {.lex_state = 400, .external_lex_state = 5},
  [4642] = {.lex_state = 400, .external_lex_state = 5},
  [4643] = {.lex_state = 400, .external_lex_state = 5},
  [4644] = {.lex_state = 51, .external_lex_state = 2},
  [4645] = {.lex_state = 400, .external_lex_state = 5},
  [4646] = {.lex_state = 400, .external_lex_state = 5},
  [4647] = {.lex_state = 400, .external_lex_state = 5},
  [4648] = {.lex_state = 400, .external_lex_state = 5},
  [4649] = {.lex_state = 400, .external_lex_state = 5},
  [4650] = {.lex_state = 400, .external_lex_state = 5},
  [4651] = {.lex_state = 400, .external_lex_state = 5},
  [4652] = {.lex_state = 400, .external_lex_state = 5},
  [4653] = {.lex_state = 48, .external_lex_state = 2},
  [4654] = {.lex_state = 400, .external_lex_state = 5},
  [4655] = {.lex_state = 400, .external_lex_state = 5},
  [4656] = {.lex_state = 51, .external_lex_state = 2},
  [4657] = {.lex_state = 400, .external_lex_state = 5},
  [4658] = {.lex_state = 400, .external_lex_state = 2},
  [4659] = {.lex_state = 400, .external_lex_state = 5},
  [4660] = {.lex_state = 400, .external_lex_state = 5},
  [4661] = {.lex_state = 400, .external_lex_state = 5},
  [4662] = {.lex_state = 400, .external_lex_state = 5},
  [4663] = {.lex_state = 400, .external_lex_state = 5},
  [4664] = {.lex_state = 51, .external_lex_state = 2},
  [4665] = {.lex_state = 400, .external_lex_state = 5},
  [4666] = {.lex_state = 400, .external_lex_state = 5},
  [4667] = {.lex_state = 400, .external_lex_state = 5},
  [4668] = {.lex_state = 48, .external_lex_state = 2},
  [4669] = {.lex_state = 51, .external_lex_state = 2},
  [4670] = {.lex_state = 400, .external_lex_state = 5},
  [4671] = {.lex_state = 400, .external_lex_state = 5},
  [4672] = {.lex_state = 400, .external_lex_state = 5},
  [4673] = {.lex_state = 400, .external_lex_state = 5},
  [4674] = {.lex_state = 48, .external_lex_state = 2},
  [4675] = {.lex_state = 400, .external_lex_state = 5},
  [4676] = {.lex_state = 400, .external_lex_state = 5},
  [4677] = {.lex_state = 400, .external_lex_state = 2},
  [4678] = {.lex_state = 400, .external_lex_state = 5},
  [4679] = {.lex_state = 48, .external_lex_state = 2},
  [4680] = {.lex_state = 400, .external_lex_state = 5},
  [4681] = {.lex_state = 400, .external_lex_state = 2},
  [4682] = {.lex_state = 400, .external_lex_state = 5},
  [4683] = {.lex_state = 51, .external_lex_state = 2},
  [4684] = {.lex_state = 48, .external_lex_state = 2},
  [4685] = {.lex_state = 400, .external_lex_state = 5},
  [4686] = {.lex_state = 400, .external_lex_state = 5},
  [4687] = {.lex_state = 400, .external_lex_state = 5},
  [4688] = {.lex_state = 400, .external_lex_state = 5},
  [4689] = {.lex_state = 51, .external_lex_state = 2},
  [4690] = {.lex_state = 400, .external_lex_state = 5},
  [4691] = {.lex_state = 400, .external_lex_state = 5},
  [4692] = {.lex_state = 400, .external_lex_state = 5},
  [4693] = {.lex_state = 400, .external_lex_state = 5},
  [4694] = {.lex_state = 400, .external_lex_state = 5},
  [4695] = {.lex_state = 400, .external_lex_state = 5},
  [4696] = {.lex_state = 400, .external_lex_state = 5},
  [4697] = {.lex_state = 400, .external_lex_state = 5},
  [4698] = {.lex_state = 400, .external_lex_state = 5},
  [4699] = {.lex_state = 400, .external_lex_state = 5},
  [4700] = {.lex_state = 400, .external_lex_state = 5},
  [4701] = {.lex_state = 400, .external_lex_state = 5},
  [4702] = {.lex_state = 400, .external_lex_state = 5},
  [4703] = {.lex_state = 400, .external_lex_state = 5},
  [4704] = {.lex_state = 400, .external_lex_state = 5},
  [4705] = {.lex_state = 400, .external_lex_state = 5},
  [4706] = {.lex_state = 400, .external_lex_state = 2},
  [4707] = {.lex_state = 400, .external_lex_state = 5},
  [4708] = {.lex_state = 400, .external_lex_state = 5},
  [4709] = {.lex_state = 400, .external_lex_state = 5},
  [4710] = {.lex_state = 400, .external_lex_state = 5},
  [4711] = {.lex_state = 400, .external_lex_state = 5},
  [4712] = {.lex_state = 400, .external_lex_state = 5},
  [4713] = {.lex_state = 400, .external_lex_state = 5},
  [4714] = {.lex_state = 400, .external_lex_state = 2},
  [4715] = {.lex_state = 51, .external_lex_state = 2},
  [4716] = {.lex_state = 400, .external_lex_state = 5},
  [4717] = {.lex_state = 400, .external_lex_state = 5},
  [4718] = {.lex_state = 400, .external_lex_state = 5},
  [4719] = {.lex_state = 400, .external_lex_state = 5},
  [4720] = {.lex_state = 400, .external_lex_state = 5},
  [4721] = {.lex_state = 400, .external_lex_state = 5},
  [4722] = {.lex_state = 400, .external_lex_state = 5},
  [4723] = {.lex_state = 400, .external_lex_state = 2},
  [4724] = {.lex_state = 48, .external_lex_state = 2},
  [4725] = {.lex_state = 400, .external_lex_state = 2},
  [4726] = {.lex_state = 400, .external_lex_state = 5},
  [4727] = {.lex_state = 400, .external_lex_state = 5},
  [4728] = {.lex_state = 400, .external_lex_state = 2},
  [4729] = {.lex_state = 51, .external_lex_state = 2},
  [4730] = {.lex_state = 51, .external_lex_state = 2},
  [4731] = {.lex_state = 400, .external_lex_state = 2},
  [4732] = {.lex_state = 400, .external_lex_state = 2},
  [4733] = {.lex_state = 400, .external_lex_state = 5},
  [4734] = {.lex_state = 51, .external_lex_state = 2},
  [4735] = {.lex_state = 51, .external_lex_state = 2},
  [4736] = {.lex_state = 51, .external_lex_state = 2},
  [4737] = {.lex_state = 400, .external_lex_state = 5},
  [4738] = {.lex_state = 400, .external_lex_state = 5},
  [4739] = {.lex_state = 400, .external_lex_state = 5},
  [4740] = {.lex_state = 400, .external_lex_state = 2},
  [4741] = {.lex_state = 51, .external_lex_state = 2},
  [4742] = {.lex_state = 400, .external_lex_state = 5},
  [4743] = {.lex_state = 51, .external_lex_state = 2},
  [4744] = {.lex_state = 400, .external_lex_state = 5},
  [4745] = {.lex_state = 51, .external_lex_state = 2},
  [4746] = {.lex_state = 400, .external_lex_state = 5},
  [4747] = {.lex_state = 400, .external_lex_state = 5},
  [4748] = {.lex_state = 400, .external_lex_state = 2},
  [4749] = {.lex_state = 400, .external_lex_state = 2},
  [4750] = {.lex_state = 48, .external_lex_state = 2},
  [4751] = {.lex_state = 400, .external_lex_state = 5},
  [4752] = {.lex_state = 51, .external_lex_state = 2},
  [4753] = {.lex_state = 400, .external_lex_state = 6},
  [4754] = {.lex_state = 51, .external_lex_state = 2},
  [4755] = {.lex_state = 51, .external_lex_state = 2},
  [4756] = {.lex_state = 400, .external_lex_state = 2},
  [4757] = {.lex_state = 400, .external_lex_state = 6},
  [4758] = {.lex_state = 51, .external_lex_state = 2},
  [4759] = {.lex_state = 48, .external_lex_state = 2},
  [4760] = {.lex_state = 51, .external_lex_state = 2},
  [4761] = {.lex_state = 48, .external_lex_state = 2},
  [4762] = {.lex_state = 51, .external_lex_state = 2},
  [4763] = {.lex_state = 48, .external_lex_state = 2},
  [4764] = {.lex_state = 400, .external_lex_state = 2},
  [4765] = {.lex_state = 400, .external_lex_state = 5},
  [4766] = {.lex_state = 48, .external_lex_state = 2},
  [4767] = {.lex_state = 51, .external_lex_state = 2},
  [4768] = {.lex_state = 48, .external_lex_state = 2},
  [4769] = {.lex_state = 400, .external_lex_state = 7},
  [4770] = {.lex_state = 400, .external_lex_state = 6},
  [4771] = {.lex_state = 400, .external_lex_state = 2},
  [4772] = {.lex_state = 51, .external_lex_state = 2},
  [4773] = {.lex_state = 51, .external_lex_state = 2},
  [4774] = {.lex_state = 400, .external_lex_state = 5},
  [4775] = {.lex_state = 51, .external_lex_state = 2},
  [4776] = {.lex_state = 400, .external_lex_state = 5},
  [4777] = {.lex_state = 400, .external_lex_state = 5},
  [4778] = {.lex_state = 51, .external_lex_state = 2},
  [4779] = {.lex_state = 51, .external_lex_state = 2},
  [4780] = {.lex_state = 51, .external_lex_state = 2},
  [4781] = {.lex_state = 51, .external_lex_state = 2},
  [4782] = {.lex_state = 51, .external_lex_state = 2},
  [4783] = {.lex_state = 400, .external_lex_state = 2},
  [4784] = {.lex_state = 65, .external_lex_state = 2},
  [4785] = {.lex_state = 78, .external_lex_state = 2},
  [4786] = {.lex_state = 400, .external_lex_state = 6},
  [4787] = {.lex_state = 65, .external_lex_state = 2},
  [4788] = {.lex_state = 65, .external_lex_state = 2},
  [4789] = {.lex_state = 400, .external_lex_state = 6},
  [4790] = {.lex_state = 51, .external_lex_state = 2},
  [4791] = {.lex_state = 51, .external_lex_state = 2},
  [4792] = {.lex_state = 51, .external_lex_state = 2},
  [4793] = {.lex_state = 51, .external_lex_state = 2},
  [4794] = {.lex_state = 51, .external_lex_state = 2},
  [4795] = {.lex_state = 48, .external_lex_state = 2},
  [4796] = {.lex_state = 400, .external_lex_state = 2},
  [4797] = {.lex_state = 51, .external_lex_state = 2},
  [4798] = {.lex_state = 65, .external_lex_state = 2},
  [4799] = {.lex_state = 400, .external_lex_state = 2},
  [4800] = {.lex_state = 400, .external_lex_state = 2},
  [4801] = {.lex_state = 400, .external_lex_state = 7},
  [4802] = {.lex_state = 400, .external_lex_state = 2},
  [4803] = {.lex_state = 48, .external_lex_state = 2},
  [4804] = {.lex_state = 48, .external_lex_state = 2},
  [4805] = {.lex_state = 400, .external_lex_state = 2},
  [4806] = {.lex_state = 400, .external_lex_state = 2},
  [4807] = {.lex_state = 400, .external_lex_state = 5},
  [4808] = {.lex_state = 48, .external_lex_state = 2},
  [4809] = {.lex_state = 400, .external_lex_state = 5},
  [4810] = {.lex_state = 400, .external_lex_state = 5},
  [4811] = {.lex_state = 400, .external_lex_state = 5},
  [4812] = {.lex_state = 400, .external_lex_state = 6},
  [4813] = {.lex_state = 48, .external_lex_state = 2},
  [4814] = {.lex_state = 48, .external_lex_state = 2},
  [4815] = {.lex_state = 48, .external_lex_state = 2},
  [4816] = {.lex_state = 400, .external_lex_state = 6},
  [4817] = {.lex_state = 51, .external_lex_state = 2},
  [4818] = {.lex_state = 400, .external_lex_state = 6},
  [4819] = {.lex_state = 51, .external_lex_state = 2},
  [4820] = {.lex_state = 400, .external_lex_state = 6},
  [4821] = {.lex_state = 48, .external_lex_state = 2},
  [4822] = {.lex_state = 400, .external_lex_state = 6},
  [4823] = {.lex_state = 48, .external_lex_state = 2},
  [4824] = {.lex_state = 65, .external_lex_state = 2},
  [4825] = {.lex_state = 48, .external_lex_state = 2},
  [4826] = {.lex_state = 400, .external_lex_state = 2},
  [4827] = {.lex_state = 400, .external_lex_state = 2},
  [4828] = {.lex_state = 51, .external_lex_state = 2},
  [4829] = {.lex_state = 400, .external_lex_state = 5},
  [4830] = {.lex_state = 51, .external_lex_state = 2},
  [4831] = {.lex_state = 48, .external_lex_state = 2},
  [4832] = {.lex_state = 400, .external_lex_state = 2},
  [4833] = {.lex_state = 48, .external_lex_state = 2},
  [4834] = {.lex_state = 48, .external_lex_state = 2},
  [4835] = {.lex_state = 400, .external_lex_state = 2},
  [4836] = {.lex_state = 48, .external_lex_state = 2},
  [4837] = {.lex_state = 400, .external_lex_state = 5},
  [4838] = {.lex_state = 65, .external_lex_state = 2},
  [4839] = {.lex_state = 400, .external_lex_state = 5},
  [4840] = {.lex_state = 400, .external_lex_state = 6},
  [4841] = {.lex_state = 400, .external_lex_state = 5},
  [4842] = {.lex_state = 400, .external_lex_state = 5},
  [4843] = {.lex_state = 48, .external_lex_state = 2},
  [4844] = {.lex_state = 400, .external_lex_state = 6},
  [4845] = {.lex_state = 400, .external_lex_state = 5},
  [4846] = {.lex_state = 400, .external_lex_state = 5},
  [4847] = {.lex_state = 48, .external_lex_state = 2},
  [4848] = {.lex_state = 400, .external_lex_state = 5},
  [4849] = {.lex_state = 72, .external_lex_state = 2},
  [4850] = {.lex_state = 51, .external_lex_state = 2},
  [4851] = {.lex_state = 51, .external_lex_state = 2},
  [4852] = {.lex_state = 48, .external_lex_state = 2},
  [4853] = {.lex_state = 48, .external_lex_state = 2},
  [4854] = {.lex_state = 400, .external_lex_state = 5},
  [4855] = {.lex_state = 400, .external_lex_state = 5},
  [4856] = {.lex_state = 48, .external_lex_state = 2},
  [4857] = {.lex_state = 48, .external_lex_state = 2},
  [4858] = {.lex_state = 400, .external_lex_state = 2},
  [4859] = {.lex_state = 400, .external_lex_state = 5},
  [4860] = {.lex_state = 400, .external_lex_state = 5},
  [4861] = {.lex_state = 400, .external_lex_state = 2},
  [4862] = {.lex_state = 400, .external_lex_state = 5},
  [4863] = {.lex_state = 400, .external_lex_state = 2},
  [4864] = {.lex_state = 400, .external_lex_state = 5},
  [4865] = {.lex_state = 48, .external_lex_state = 2},
  [4866] = {.lex_state = 48, .external_lex_state = 2},
  [4867] = {.lex_state = 400, .external_lex_state = 5},
  [4868] = {.lex_state = 65, .external_lex_state = 2},
  [4869] = {.lex_state = 400, .external_lex_state = 5},
  [4870] = {.lex_state = 65, .external_lex_state = 2},
  [4871] = {.lex_state = 400, .external_lex_state = 5},
  [4872] = {.lex_state = 400, .external_lex_state = 5},
  [4873] = {.lex_state = 65, .external_lex_state = 2},
  [4874] = {.lex_state = 400, .external_lex_state = 2},
  [4875] = {.lex_state = 400, .external_lex_state = 5},
  [4876] = {.lex_state = 51, .external_lex_state = 2},
  [4877] = {.lex_state = 65, .external_lex_state = 2},
  [4878] = {.lex_state = 400, .external_lex_state = 6},
  [4879] = {.lex_state = 51, .external_lex_state = 2},
  [4880] = {.lex_state = 65, .external_lex_state = 2},
  [4881] = {.lex_state = 65, .external_lex_state = 2},
  [4882] = {.lex_state = 48, .external_lex_state = 2},
  [4883] = {.lex_state = 65, .external_lex_state = 2},
  [4884] = {.lex_state = 65, .external_lex_state = 2},
  [4885] = {.lex_state = 65, .external_lex_state = 2},
  [4886] = {.lex_state = 400, .external_lex_state = 6},
  [4887] = {.lex_state = 65, .external_lex_state = 2},
  [4888] = {.lex_state = 400, .external_lex_state = 5},
  [4889] = {.lex_state = 400, .external_lex_state = 5},
  [4890] = {.lex_state = 400, .external_lex_state = 5},
  [4891] = {.lex_state = 400, .external_lex_state = 6},
  [4892] = {.lex_state = 48, .external_lex_state = 2},
  [4893] = {.lex_state = 51, .external_lex_state = 2},
  [4894] = {.lex_state = 48, .external_lex_state = 2},
  [4895] = {.lex_state = 400, .external_lex_state = 5},
  [4896] = {.lex_state = 48, .external_lex_state = 2},
  [4897] = {.lex_state = 78, .external_lex_state = 2},
  [4898] = {.lex_state = 400, .external_lex_state = 6},
  [4899] = {.lex_state = 400, .external_lex_state = 5},
  [4900] = {.lex_state = 400, .external_lex_state = 6},
  [4901] = {.lex_state = 400, .external_lex_state = 5},
  [4902] = {.lex_state = 400, .external_lex_state = 5},
  [4903] = {.lex_state = 400, .external_lex_state = 5},
  [4904] = {.lex_state = 400, .external_lex_state = 5},
  [4905] = {.lex_state = 400, .external_lex_state = 5},
  [4906] = {.lex_state = 400, .external_lex_state = 5},
  [4907] = {.lex_state = 48, .external_lex_state = 2},
  [4908] = {.lex_state = 400, .external_lex_state = 2},
  [4909] = {.lex_state = 51, .external_lex_state = 2},
  [4910] = {.lex_state = 400, .external_lex_state = 6},
  [4911] = {.lex_state = 400, .external_lex_state = 6},
  [4912] = {.lex_state = 400, .external_lex_state = 2},
  [4913] = {.lex_state = 48, .external_lex_state = 2},
  [4914] = {.lex_state = 72, .external_lex_state = 2},
  [4915] = {.lex_state = 78, .external_lex_state = 2},
  [4916] = {.lex_state = 400, .external_lex_state = 7},
  [4917] = {.lex_state = 65, .external_lex_state = 2},
  [4918] = {.lex_state = 65, .external_lex_state = 2},
  [4919] = {.lex_state = 65, .external_lex_state = 2},
  [4920] = {.lex_state = 65, .external_lex_state = 2},
  [4921] = {.lex_state = 65, .external_lex_state = 2},
  [4922] = {.lex_state = 65, .external_lex_state = 2},
  [4923] = {.lex_state = 48, .external_lex_state = 2},
  [4924] = {.lex_state = 65, .external_lex_state = 2},
  [4925] = {.lex_state = 65, .external_lex_state = 2},
  [4926] = {.lex_state = 51, .external_lex_state = 2},
  [4927] = {.lex_state = 48, .external_lex_state = 2},
  [4928] = {.lex_state = 400, .external_lex_state = 6},
  [4929] = {.lex_state = 400, .external_lex_state = 6},
  [4930] = {.lex_state = 48, .external_lex_state = 2},
  [4931] = {.lex_state = 65, .external_lex_state = 2},
  [4932] = {.lex_state = 65, .external_lex_state = 2},
  [4933] = {.lex_state = 48, .external_lex_state = 2},
  [4934] = {.lex_state = 51, .external_lex_state = 2},
  [4935] = {.lex_state = 48, .external_lex_state = 2},
  [4936] = {.lex_state = 48, .external_lex_state = 2},
  [4937] = {.lex_state = 48, .external_lex_state = 2},
  [4938] = {.lex_state = 65, .external_lex_state = 2},
  [4939] = {.lex_state = 65, .external_lex_state = 2},
  [4940] = {.lex_state = 48, .external_lex_state = 2},
  [4941] = {.lex_state = 400, .external_lex_state = 5},
  [4942] = {.lex_state = 48, .external_lex_state = 2},
  [4943] = {.lex_state = 400, .external_lex_state = 5},
  [4944] = {.lex_state = 48, .external_lex_state = 2},
  [4945] = {.lex_state = 51, .external_lex_state = 2},
  [4946] = {.lex_state = 51, .external_lex_state = 2},
  [4947] = {.lex_state = 48, .external_lex_state = 2},
  [4948] = {.lex_state = 51, .external_lex_state = 2},
  [4949] = {.lex_state = 400, .external_lex_state = 2},
  [4950] = {.lex_state = 400, .external_lex_state = 7},
  [4951] = {.lex_state = 400, .external_lex_state = 2},
  [4952] = {.lex_state = 78, .external_lex_state = 2},
  [4953] = {.lex_state = 65, .external_lex_state = 2},
  [4954] = {.lex_state = 48, .external_lex_state = 2},
  [4955] = {.lex_state = 65, .external_lex_state = 2},
  [4956] = {.lex_state = 51, .external_lex_state = 2},
  [4957] = {.lex_state = 400, .external_lex_state = 2},
  [4958] = {.lex_state = 400, .external_lex_state = 7},
  [4959] = {.lex_state = 400, .external_lex_state = 2},
  [4960] = {.lex_state = 51, .external_lex_state = 2},
  [4961] = {.lex_state = 51, .external_lex_state = 2},
  [4962] = {.lex_state = 65, .external_lex_state = 2},
  [4963] = {.lex_state = 48, .external_lex_state = 2},
  [4964] = {.lex_state = 51, .external_lex_state = 2},
  [4965] = {.lex_state = 400, .external_lex_state = 6},
  [4966] = {.lex_state = 51, .external_lex_state = 2},
  [4967] = {.lex_state = 400, .external_lex_state = 6},
  [4968] = {.lex_state = 48, .external_lex_state = 2},
  [4969] = {.lex_state = 48, .external_lex_state = 2},
  [4970] = {.lex_state = 400, .external_lex_state = 6},
  [4971] = {.lex_state = 400, .external_lex_state = 2},
  [4972] = {.lex_state = 48, .external_lex_state = 2},
  [4973] = {.lex_state = 400, .external_lex_state = 6},
  [4974] = {.lex_state = 400, .external_lex_state = 6},
  [4975] = {.lex_state = 400, .external_lex_state = 6},
  [4976] = {.lex_state = 48, .external_lex_state = 2},
  [4977] = {.lex_state = 400, .external_lex_state = 6},
  [4978] = {.lex_state = 400, .external_lex_state = 6},
  [4979] = {.lex_state = 400, .external_lex_state = 2},
  [4980] = {.lex_state = 48, .external_lex_state = 2},
  [4981] = {.lex_state = 400, .external_lex_state = 5},
  [4982] = {.lex_state = 400, .external_lex_state = 5},
  [4983] = {.lex_state = 78, .external_lex_state = 2},
  [4984] = {.lex_state = 48, .external_lex_state = 2},
  [4985] = {.lex_state = 48, .external_lex_state = 2},
  [4986] = {.lex_state = 48, .external_lex_state = 2},
  [4987] = {.lex_state = 400, .external_lex_state = 5},
  [4988] = {.lex_state = 78, .external_lex_state = 2},
  [4989] = {.lex_state = 400, .external_lex_state = 5},
  [4990] = {.lex_state = 72, .external_lex_state = 2},
  [4991] = {.lex_state = 48, .external_lex_state = 2},
  [4992] = {.lex_state = 400, .external_lex_state = 2},
  [4993] = {.lex_state = 400, .external_lex_state = 5},
  [4994] = {.lex_state = 400, .external_lex_state = 5},
  [4995] = {.lex_state = 400, .external_lex_state = 5},
  [4996] = {.lex_state = 400, .external_lex_state = 5},
  [4997] = {.lex_state = 78, .external_lex_state = 2},
  [4998] = {.lex_state = 400, .external_lex_state = 5},
  [4999] = {.lex_state = 78, .external_lex_state = 2},
  [5000] = {.lex_state = 400, .external_lex_state = 5},
  [5001] = {.lex_state = 51, .external_lex_state = 2},
  [5002] = {.lex_state = 48, .external_lex_state = 2},
  [5003] = {.lex_state = 400, .external_lex_state = 6},
  [5004] = {.lex_state = 400, .external_lex_state = 5},
  [5005] = {.lex_state = 400, .external_lex_state = 5},
  [5006] = {.lex_state = 400, .external_lex_state = 5},
  [5007] = {.lex_state = 400, .external_lex_state = 5},
  [5008] = {.lex_state = 400, .external_lex_state = 5},
  [5009] = {.lex_state = 400, .external_lex_state = 5},
  [5010] = {.lex_state = 400, .external_lex_state = 5},
  [5011] = {.lex_state = 400, .external_lex_state = 5},
  [5012] = {.lex_state = 400, .external_lex_state = 5},
  [5013] = {.lex_state = 400, .external_lex_state = 5},
  [5014] = {.lex_state = 400, .external_lex_state = 5},
  [5015] = {.lex_state = 400, .external_lex_state = 5},
  [5016] = {.lex_state = 400, .external_lex_state = 5},
  [5017] = {.lex_state = 400, .external_lex_state = 5},
  [5018] = {.lex_state = 78, .external_lex_state = 2},
  [5019] = {.lex_state = 400, .external_lex_state = 5},
  [5020] = {.lex_state = 400, .external_lex_state = 5},
  [5021] = {.lex_state = 78, .external_lex_state = 2},
  [5022] = {.lex_state = 48, .external_lex_state = 2},
  [5023] = {.lex_state = 78, .external_lex_state = 2},
  [5024] = {.lex_state = 78, .external_lex_state = 2},
  [5025] = {.lex_state = 78, .external_lex_state = 2},
  [5026] = {.lex_state = 78, .external_lex_state = 2},
  [5027] = {.lex_state = 78, .external_lex_state = 2},
  [5028] = {.lex_state = 400, .external_lex_state = 5},
  [5029] = {.lex_state = 400, .external_lex_state = 5},
  [5030] = {.lex_state = 400, .external_lex_state = 5},
  [5031] = {.lex_state = 400, .external_lex_state = 5},
  [5032] = {.lex_state = 78, .external_lex_state = 2},
  [5033] = {.lex_state = 78, .external_lex_state = 2},
  [5034] = {.lex_state = 78, .external_lex_state = 2},
  [5035] = {.lex_state = 78, .external_lex_state = 2},
  [5036] = {.lex_state = 78, .external_lex_state = 2},
  [5037] = {.lex_state = 400, .external_lex_state = 8},
  [5038] = {.lex_state = 78, .external_lex_state = 2},
  [5039] = {.lex_state = 400, .external_lex_state = 5},
  [5040] = {.lex_state = 400, .external_lex_state = 5},
  [5041] = {.lex_state = 400, .external_lex_state = 5},
  [5042] = {.lex_state = 400, .external_lex_state = 5},
  [5043] = {.lex_state = 400, .external_lex_state = 5},
  [5044] = {.lex_state = 400, .external_lex_state = 5},
  [5045] = {.lex_state = 400, .external_lex_state = 5},
  [5046] = {.lex_state = 400, .external_lex_state = 5},
  [5047] = {.lex_state = 400, .external_lex_state = 5},
  [5048] = {.lex_state = 48, .external_lex_state = 2},
  [5049] = {.lex_state = 48, .external_lex_state = 2},
  [5050] = {.lex_state = 78, .external_lex_state = 2},
  [5051] = {.lex_state = 48, .external_lex_state = 2},
  [5052] = {.lex_state = 48, .external_lex_state = 2},
  [5053] = {.lex_state = 400, .external_lex_state = 5},
  [5054] = {.lex_state = 48, .external_lex_state = 2},
  [5055] = {.lex_state = 48, .external_lex_state = 2},
  [5056] = {.lex_state = 48, .external_lex_state = 2},
  [5057] = {.lex_state = 400, .external_lex_state = 6},
  [5058] = {.lex_state = 400, .external_lex_state = 5},
  [5059] = {.lex_state = 400, .external_lex_state = 5},
  [5060] = {.lex_state = 48, .external_lex_state = 2},
  [5061] = {.lex_state = 48, .external_lex_state = 2},
  [5062] = {.lex_state = 48, .external_lex_state = 2},
  [5063] = {.lex_state = 400, .external_lex_state = 5},
  [5064] = {.lex_state = 400, .external_lex_state = 5},
  [5065] = {.lex_state = 400, .external_lex_state = 5},
  [5066] = {.lex_state = 48, .external_lex_state = 2},
  [5067] = {.lex_state = 400, .external_lex_state = 5},
  [5068] = {.lex_state = 400, .external_lex_state = 5},
  [5069] = {.lex_state = 400, .external_lex_state = 5},
  [5070] = {.lex_state = 400, .external_lex_state = 5},
  [5071] = {.lex_state = 400, .external_lex_state = 5},
  [5072] = {.lex_state = 400, .external_lex_state = 5},
  [5073] = {.lex_state = 400, .external_lex_state = 5},
  [5074] = {.lex_state = 400, .external_lex_state = 5},
  [5075] = {.lex_state = 400, .external_lex_state = 5},
  [5076] = {.lex_state = 78, .external_lex_state = 2},
  [5077] = {.lex_state = 78, .external_lex_state = 2},
  [5078] = {.lex_state = 72, .external_lex_state = 2},
  [5079] = {.lex_state = 400, .external_lex_state = 5},
  [5080] = {.lex_state = 48, .external_lex_state = 2},
  [5081] = {.lex_state = 400, .external_lex_state = 2},
  [5082] = {.lex_state = 400, .external_lex_state = 5},
  [5083] = {.lex_state = 400, .external_lex_state = 5},
  [5084] = {.lex_state = 400, .external_lex_state = 5},
  [5085] = {.lex_state = 78, .external_lex_state = 2},
  [5086] = {.lex_state = 78, .external_lex_state = 2},
  [5087] = {.lex_state = 48, .external_lex_state = 2},
  [5088] = {.lex_state = 48, .external_lex_state = 2},
  [5089] = {.lex_state = 400, .external_lex_state = 5},
  [5090] = {.lex_state = 48, .external_lex_state = 2},
  [5091] = {.lex_state = 48, .external_lex_state = 5},
  [5092] = {.lex_state = 50, .external_lex_state = 2},
  [5093] = {.lex_state = 400, .external_lex_state = 5},
  [5094] = {.lex_state = 400, .external_lex_state = 5},
  [5095] = {.lex_state = 48, .external_lex_state = 2},
  [5096] = {.lex_state = 400, .external_lex_state = 5},
  [5097] = {.lex_state = 400, .external_lex_state = 5},
  [5098] = {.lex_state = 400, .external_lex_state = 5},
  [5099] = {.lex_state = 48, .external_lex_state = 2},
  [5100] = {.lex_state = 400, .external_lex_state = 5},
  [5101] = {.lex_state = 400, .external_lex_state = 5},
  [5102] = {.lex_state = 400, .external_lex_state = 5},
  [5103] = {.lex_state = 400, .external_lex_state = 5},
  [5104] = {.lex_state = 400, .external_lex_state = 5},
  [5105] = {.lex_state = 400, .external_lex_state = 6},
  [5106] = {.lex_state = 400, .external_lex_state = 5},
  [5107] = {.lex_state = 48, .external_lex_state = 2},
  [5108] = {.lex_state = 400, .external_lex_state = 6},
  [5109] = {.lex_state = 400, .external_lex_state = 5},
  [5110] = {.lex_state = 48, .external_lex_state = 2},
  [5111] = {.lex_state = 48, .external_lex_state = 2},
  [5112] = {.lex_state = 78, .external_lex_state = 2},
  [5113] = {.lex_state = 48, .external_lex_state = 2},
  [5114] = {.lex_state = 400, .external_lex_state = 5},
  [5115] = {.lex_state = 48, .external_lex_state = 2},
  [5116] = {.lex_state = 400, .external_lex_state = 5},
  [5117] = {.lex_state = 48, .external_lex_state = 2},
  [5118] = {.lex_state = 48, .external_lex_state = 5},
  [5119] = {.lex_state = 48, .external_lex_state = 2},
  [5120] = {.lex_state = 400, .external_lex_state = 5},
  [5121] = {.lex_state = 400, .external_lex_state = 5},
  [5122] = {.lex_state = 400, .external_lex_state = 5},
  [5123] = {.lex_state = 48, .external_lex_state = 2},
  [5124] = {.lex_state = 400, .external_lex_state = 5},
  [5125] = {.lex_state = 48, .external_lex_state = 2},
  [5126] = {.lex_state = 400, .external_lex_state = 2},
  [5127] = {.lex_state = 400, .external_lex_state = 5},
  [5128] = {.lex_state = 400, .external_lex_state = 5},
  [5129] = {.lex_state = 400, .external_lex_state = 5},
  [5130] = {.lex_state = 48, .external_lex_state = 2},
  [5131] = {.lex_state = 48, .external_lex_state = 2},
  [5132] = {.lex_state = 400, .external_lex_state = 5},
  [5133] = {.lex_state = 48, .external_lex_state = 2},
  [5134] = {.lex_state = 400, .external_lex_state = 5},
  [5135] = {.lex_state = 400, .external_lex_state = 5},
  [5136] = {.lex_state = 400, .external_lex_state = 5},
  [5137] = {.lex_state = 78, .external_lex_state = 2},
  [5138] = {.lex_state = 400, .external_lex_state = 5},
  [5139] = {.lex_state = 400, .external_lex_state = 5},
  [5140] = {.lex_state = 48, .external_lex_state = 2},
  [5141] = {.lex_state = 48, .external_lex_state = 2},
  [5142] = {.lex_state = 48, .external_lex_state = 2},
  [5143] = {.lex_state = 400, .external_lex_state = 8},
  [5144] = {.lex_state = 400, .external_lex_state = 5},
  [5145] = {.lex_state = 48, .external_lex_state = 2},
  [5146] = {.lex_state = 400, .external_lex_state = 2},
  [5147] = {.lex_state = 400, .external_lex_state = 5},
  [5148] = {.lex_state = 48, .external_lex_state = 2},
  [5149] = {.lex_state = 400, .external_lex_state = 2},
  [5150] = {.lex_state = 400, .external_lex_state = 6},
  [5151] = {.lex_state = 48, .external_lex_state = 2},
  [5152] = {.lex_state = 400, .external_lex_state = 5},
  [5153] = {.lex_state = 48, .external_lex_state = 2},
  [5154] = {.lex_state = 400, .external_lex_state = 5},
  [5155] = {.lex_state = 400, .external_lex_state = 5},
  [5156] = {.lex_state = 400, .external_lex_state = 5},
  [5157] = {.lex_state = 400, .external_lex_state = 5},
  [5158] = {.lex_state = 400, .external_lex_state = 5},
  [5159] = {.lex_state = 50, .external_lex_state = 2},
  [5160] = {.lex_state = 400, .external_lex_state = 5},
  [5161] = {.lex_state = 400, .external_lex_state = 5},
  [5162] = {.lex_state = 400, .external_lex_state = 5},
  [5163] = {.lex_state = 400, .external_lex_state = 5},
  [5164] = {.lex_state = 400, .external_lex_state = 5},
  [5165] = {.lex_state = 400, .external_lex_state = 5},
  [5166] = {.lex_state = 400, .external_lex_state = 5},
  [5167] = {.lex_state = 400, .external_lex_state = 2},
  [5168] = {.lex_state = 400, .external_lex_state = 5},
  [5169] = {.lex_state = 400, .external_lex_state = 5},
  [5170] = {.lex_state = 400, .external_lex_state = 5},
  [5171] = {.lex_state = 400, .external_lex_state = 5},
  [5172] = {.lex_state = 48, .external_lex_state = 2},
  [5173] = {.lex_state = 48, .external_lex_state = 2},
  [5174] = {.lex_state = 400, .external_lex_state = 5},
  [5175] = {.lex_state = 78, .external_lex_state = 2},
  [5176] = {.lex_state = 400, .external_lex_state = 5},
  [5177] = {.lex_state = 400, .external_lex_state = 5},
  [5178] = {.lex_state = 400, .external_lex_state = 5},
  [5179] = {.lex_state = 400, .external_lex_state = 5},
  [5180] = {.lex_state = 400, .external_lex_state = 5},
  [5181] = {.lex_state = 48, .external_lex_state = 2},
  [5182] = {.lex_state = 400, .external_lex_state = 5},
  [5183] = {.lex_state = 400, .external_lex_state = 6},
  [5184] = {.lex_state = 400, .external_lex_state = 5},
  [5185] = {.lex_state = 48, .external_lex_state = 5},
  [5186] = {.lex_state = 400, .external_lex_state = 5},
  [5187] = {.lex_state = 48, .external_lex_state = 2},
  [5188] = {.lex_state = 400, .external_lex_state = 5},
  [5189] = {.lex_state = 78, .external_lex_state = 2},
  [5190] = {.lex_state = 78, .external_lex_state = 2},
  [5191] = {.lex_state = 400, .external_lex_state = 5},
  [5192] = {.lex_state = 400, .external_lex_state = 5},
  [5193] = {.lex_state = 78, .external_lex_state = 2},
  [5194] = {.lex_state = 400, .external_lex_state = 2},
  [5195] = {.lex_state = 400, .external_lex_state = 5},
  [5196] = {.lex_state = 400, .external_lex_state = 5},
  [5197] = {.lex_state = 400, .external_lex_state = 5},
  [5198] = {.lex_state = 400, .external_lex_state = 5},
  [5199] = {.lex_state = 400, .external_lex_state = 5},
  [5200] = {.lex_state = 400, .external_lex_state = 5},
  [5201] = {.lex_state = 51, .external_lex_state = 2},
  [5202] = {.lex_state = 400, .external_lex_state = 5},
  [5203] = {.lex_state = 400, .external_lex_state = 2},
  [5204] = {.lex_state = 400, .external_lex_state = 5},
  [5205] = {.lex_state = 400, .external_lex_state = 5},
  [5206] = {.lex_state = 400, .external_lex_state = 2},
  [5207] = {.lex_state = 400, .external_lex_state = 5},
  [5208] = {.lex_state = 48, .external_lex_state = 5},
  [5209] = {.lex_state = 400, .external_lex_state = 5},
  [5210] = {.lex_state = 400, .external_lex_state = 5},
  [5211] = {.lex_state = 400, .external_lex_state = 5},
  [5212] = {.lex_state = 51, .external_lex_state = 2},
  [5213] = {.lex_state = 48, .external_lex_state = 2},
  [5214] = {.lex_state = 400, .external_lex_state = 6},
  [5215] = {.lex_state = 48, .external_lex_state = 2},
  [5216] = {.lex_state = 400, .external_lex_state = 5},
  [5217] = {.lex_state = 48, .external_lex_state = 2},
  [5218] = {.lex_state = 400, .external_lex_state = 5},
  [5219] = {.lex_state = 400, .external_lex_state = 5},
  [5220] = {.lex_state = 400, .external_lex_state = 2},
  [5221] = {.lex_state = 400, .external_lex_state = 6},
  [5222] = {.lex_state = 78, .external_lex_state = 2},
  [5223] = {.lex_state = 400, .external_lex_state = 5},
  [5224] = {.lex_state = 400, .external_lex_state = 5},
  [5225] = {.lex_state = 400, .external_lex_state = 5},
  [5226] = {.lex_state = 400, .external_lex_state = 5},
  [5227] = {.lex_state = 400, .external_lex_state = 5},
  [5228] = {.lex_state = 400, .external_lex_state = 5},
  [5229] = {.lex_state = 400, .external_lex_state = 5},
  [5230] = {.lex_state = 48, .external_lex_state = 2},
  [5231] = {.lex_state = 400, .external_lex_state = 5},
  [5232] = {.lex_state = 400, .external_lex_state = 5},
  [5233] = {.lex_state = 400, .external_lex_state = 5},
  [5234] = {.lex_state = 400, .external_lex_state = 5},
  [5235] = {.lex_state = 48, .external_lex_state = 2},
  [5236] = {.lex_state = 400, .external_lex_state = 5},
  [5237] = {.lex_state = 48, .external_lex_state = 2},
  [5238] = {.lex_state = 400, .external_lex_state = 5},
  [5239] = {.lex_state = 400, .external_lex_state = 5},
  [5240] = {.lex_state = 400, .external_lex_state = 5},
  [5241] = {.lex_state = 400, .external_lex_state = 5},
  [5242] = {.lex_state = 400, .external_lex_state = 5},
  [5243] = {.lex_state = 48, .external_lex_state = 2},
  [5244] = {.lex_state = 400, .external_lex_state = 5},
  [5245] = {.lex_state = 400, .external_lex_state = 5},
  [5246] = {.lex_state = 48, .external_lex_state = 2},
  [5247] = {.lex_state = 400, .external_lex_state = 5},
  [5248] = {.lex_state = 400, .external_lex_state = 5},
  [5249] = {.lex_state = 400, .external_lex_state = 5},
  [5250] = {.lex_state = 48, .external_lex_state = 2},
  [5251] = {.lex_state = 400, .external_lex_state = 5},
  [5252] = {.lex_state = 400, .external_lex_state = 5},
  [5253] = {.lex_state = 48, .external_lex_state = 5},
  [5254] = {.lex_state = 48, .external_lex_state = 2},
  [5255] = {.lex_state = 48, .external_lex_state = 2},
  [5256] = {.lex_state = 48, .external_lex_state = 2},
  [5257] = {.lex_state = 78, .external_lex_state = 2},
  [5258] = {.lex_state = 400, .external_lex_state = 5},
  [5259] = {.lex_state = 400, .external_lex_state = 5},
  [5260] = {.lex_state = 48, .external_lex_state = 2},
  [5261] = {.lex_state = 48, .external_lex_state = 2},
  [5262] = {.lex_state = 400, .external_lex_state = 5},
  [5263] = {.lex_state = 400, .external_lex_state = 5},
  [5264] = {.lex_state = 48, .external_lex_state = 2},
  [5265] = {.lex_state = 48, .external_lex_state = 2},
  [5266] = {.lex_state = 48, .external_lex_state = 2},
  [5267] = {.lex_state = 400, .external_lex_state = 8},
  [5268] = {.lex_state = 48, .external_lex_state = 2},
  [5269] = {.lex_state = 400, .external_lex_state = 5},
  [5270] = {.lex_state = 400, .external_lex_state = 5},
  [5271] = {.lex_state = 48, .external_lex_state = 2},
  [5272] = {.lex_state = 48, .external_lex_state = 2},
  [5273] = {.lex_state = 48, .external_lex_state = 2},
  [5274] = {.lex_state = 400, .external_lex_state = 2},
  [5275] = {.lex_state = 72, .external_lex_state = 2},
  [5276] = {.lex_state = 400, .external_lex_state = 5},
  [5277] = {.lex_state = 48, .external_lex_state = 2},
  [5278] = {.lex_state = 72, .external_lex_state = 2},
  [5279] = {.lex_state = 48, .external_lex_state = 2},
  [5280] = {.lex_state = 48, .external_lex_state = 2},
  [5281] = {.lex_state = 48, .external_lex_state = 2},
  [5282] = {.lex_state = 400, .external_lex_state = 5},
  [5283] = {.lex_state = 400, .external_lex_state = 2},
  [5284] = {.lex_state = 400, .external_lex_state = 5},
  [5285] = {.lex_state = 48, .external_lex_state = 2},
  [5286] = {.lex_state = 400, .external_lex_state = 2},
  [5287] = {.lex_state = 400, .external_lex_state = 6},
  [5288] = {.lex_state = 48, .external_lex_state = 2},
  [5289] = {.lex_state = 48, .external_lex_state = 2},
  [5290] = {.lex_state = 48, .external_lex_state = 2},
  [5291] = {.lex_state = 400, .external_lex_state = 2},
  [5292] = {.lex_state = 48, .external_lex_state = 2},
  [5293] = {.lex_state = 400, .external_lex_state = 5},
  [5294] = {.lex_state = 400, .external_lex_state = 6},
  [5295] = {.lex_state = 400, .external_lex_state = 2},
  [5296] = {.lex_state = 400, .external_lex_state = 2},
  [5297] = {.lex_state = 48, .external_lex_state = 2},
  [5298] = {.lex_state = 400, .external_lex_state = 5},
  [5299] = {.lex_state = 48, .external_lex_state = 2},
  [5300] = {.lex_state = 78, .external_lex_state = 2},
  [5301] = {.lex_state = 78, .external_lex_state = 2},
  [5302] = {.lex_state = 78, .external_lex_state = 2},
  [5303] = {.lex_state = 400, .external_lex_state = 5},
  [5304] = {.lex_state = 400, .external_lex_state = 2},
  [5305] = {.lex_state = 400, .external_lex_state = 5},
  [5306] = {.lex_state = 48, .external_lex_state = 2},
  [5307] = {.lex_state = 400, .external_lex_state = 5},
  [5308] = {.lex_state = 400, .external_lex_state = 5},
  [5309] = {.lex_state = 50, .external_lex_state = 5},
  [5310] = {.lex_state = 50, .external_lex_state = 5},
  [5311] = {.lex_state = 400, .external_lex_state = 5},
  [5312] = {.lex_state = 48, .external_lex_state = 2},
  [5313] = {.lex_state = 400, .external_lex_state = 5},
  [5314] = {.lex_state = 48, .external_lex_state = 5},
  [5315] = {.lex_state = 51, .external_lex_state = 2},
  [5316] = {.lex_state = 78, .external_lex_state = 2},
  [5317] = {.lex_state = 78, .external_lex_state = 2},
  [5318] = {.lex_state = 400, .external_lex_state = 2},
  [5319] = {.lex_state = 50, .external_lex_state = 2},
  [5320] = {.lex_state = 72, .external_lex_state = 2},
  [5321] = {.lex_state = 400, .external_lex_state = 5},
  [5322] = {.lex_state = 400, .external_lex_state = 5},
  [5323] = {.lex_state = 400, .external_lex_state = 5},
  [5324] = {.lex_state = 400, .external_lex_state = 5},
  [5325] = {.lex_state = 50, .external_lex_state = 2},
  [5326] = {.lex_state = 400, .external_lex_state = 8},
  [5327] = {.lex_state = 400, .external_lex_state = 5},
  [5328] = {.lex_state = 48, .external_lex_state = 2},
  [5329] = {.lex_state = 400, .external_lex_state = 5},
  [5330] = {.lex_state = 48, .external_lex_state = 2},
  [5331] = {.lex_state = 400, .external_lex_state = 5},
  [5332] = {.lex_state = 400, .external_lex_state = 5},
  [5333] = {.lex_state = 400, .external_lex_state = 5},
  [5334] = {.lex_state = 400, .external_lex_state = 5},
  [5335] = {.lex_state = 48, .external_lex_state = 2},
  [5336] = {.lex_state = 400, .external_lex_state = 6},
  [5337] = {.lex_state = 400, .external_lex_state = 5},
  [5338] = {.lex_state = 48, .external_lex_state = 2},
  [5339] = {.lex_state = 400, .external_lex_state = 5},
  [5340] = {.lex_state = 400, .external_lex_state = 6},
  [5341] = {.lex_state = 400, .external_lex_state = 5},
  [5342] = {.lex_state = 400, .external_lex_state = 5},
  [5343] = {.lex_state = 400, .external_lex_state = 5},
  [5344] = {.lex_state = 400, .external_lex_state = 5},
  [5345] = {.lex_state = 400, .external_lex_state = 5},
  [5346] = {.lex_state = 400, .external_lex_state = 5},
  [5347] = {.lex_state = 400, .external_lex_state = 5},
  [5348] = {.lex_state = 400, .external_lex_state = 2},
  [5349] = {.lex_state = 400, .external_lex_state = 5},
  [5350] = {.lex_state = 72, .external_lex_state = 2},
  [5351] = {.lex_state = 400, .external_lex_state = 5},
  [5352] = {.lex_state = 400, .external_lex_state = 5},
  [5353] = {.lex_state = 400, .external_lex_state = 5},
  [5354] = {.lex_state = 400, .external_lex_state = 5},
  [5355] = {.lex_state = 400, .external_lex_state = 5},
  [5356] = {.lex_state = 400, .external_lex_state = 2},
  [5357] = {.lex_state = 400, .external_lex_state = 6},
  [5358] = {.lex_state = 400, .external_lex_state = 2},
  [5359] = {.lex_state = 400, .external_lex_state = 6},
  [5360] = {.lex_state = 400, .external_lex_state = 5},
  [5361] = {.lex_state = 48, .external_lex_state = 5},
  [5362] = {.lex_state = 400, .external_lex_state = 5},
  [5363] = {.lex_state = 48, .external_lex_state = 2},
  [5364] = {.lex_state = 400, .external_lex_state = 8},
  [5365] = {.lex_state = 400, .external_lex_state = 5},
  [5366] = {.lex_state = 48, .external_lex_state = 2},
  [5367] = {.lex_state = 400, .external_lex_state = 5},
  [5368] = {.lex_state = 400, .external_lex_state = 6},
  [5369] = {.lex_state = 400, .external_lex_state = 5},
  [5370] = {.lex_state = 400, .external_lex_state = 2},
  [5371] = {.lex_state = 400, .external_lex_state = 8},
  [5372] = {.lex_state = 400, .external_lex_state = 2},
  [5373] = {.lex_state = 400, .external_lex_state = 5},
  [5374] = {.lex_state = 400, .external_lex_state = 6},
  [5375] = {.lex_state = 400, .external_lex_state = 5},
  [5376] = {.lex_state = 50, .external_lex_state = 2},
  [5377] = {.lex_state = 48, .external_lex_state = 5},
  [5378] = {.lex_state = 400, .external_lex_state = 6},
  [5379] = {.lex_state = 78, .external_lex_state = 2},
  [5380] = {.lex_state = 400, .external_lex_state = 5},
  [5381] = {.lex_state = 48, .external_lex_state = 2},
  [5382] = {.lex_state = 400, .external_lex_state = 5},
  [5383] = {.lex_state = 400, .external_lex_state = 5},
  [5384] = {.lex_state = 48, .external_lex_state = 2},
  [5385] = {.lex_state = 48, .external_lex_state = 5},
  [5386] = {.lex_state = 78, .external_lex_state = 2},
  [5387] = {.lex_state = 400, .external_lex_state = 5},
  [5388] = {.lex_state = 400, .external_lex_state = 5},
  [5389] = {.lex_state = 400, .external_lex_state = 5},
  [5390] = {.lex_state = 400, .external_lex_state = 8},
  [5391] = {.lex_state = 400, .external_lex_state = 5},
  [5392] = {.lex_state = 48, .external_lex_state = 2},
  [5393] = {.lex_state = 48, .external_lex_state = 2},
  [5394] = {.lex_state = 72, .external_lex_state = 2},
  [5395] = {.lex_state = 400, .external_lex_state = 2},
  [5396] = {.lex_state = 400, .external_lex_state = 8},
  [5397] = {.lex_state = 48, .external_lex_state = 2},
  [5398] = {.lex_state = 400, .external_lex_state = 5},
  [5399] = {.lex_state = 400, .external_lex_state = 5},
  [5400] = {.lex_state = 400, .external_lex_state = 5},
  [5401] = {.lex_state = 400, .external_lex_state = 5},
  [5402] = {.lex_state = 400, .external_lex_state = 5},
  [5403] = {.lex_state = 400, .external_lex_state = 5},
  [5404] = {.lex_state = 400, .external_lex_state = 5},
  [5405] = {.lex_state = 400, .external_lex_state = 5},
  [5406] = {.lex_state = 400, .external_lex_state = 5},
  [5407] = {.lex_state = 400, .external_lex_state = 5},
  [5408] = {.lex_state = 48, .external_lex_state = 2},
  [5409] = {.lex_state = 400, .external_lex_state = 5},
  [5410] = {.lex_state = 78, .external_lex_state = 2},
  [5411] = {.lex_state = 400, .external_lex_state = 5},
  [5412] = {.lex_state = 400, .external_lex_state = 5},
  [5413] = {.lex_state = 400, .external_lex_state = 5},
  [5414] = {.lex_state = 400, .external_lex_state = 5},
  [5415] = {.lex_state = 400, .external_lex_state = 5},
  [5416] = {.lex_state = 48, .external_lex_state = 2},
  [5417] = {.lex_state = 48, .external_lex_state = 2},
  [5418] = {.lex_state = 400, .external_lex_state = 5},
  [5419] = {.lex_state = 400, .external_lex_state = 5},
  [5420] = {.lex_state = 400, .external_lex_state = 2},
  [5421] = {.lex_state = 400, .external_lex_state = 5},
  [5422] = {.lex_state = 400, .external_lex_state = 5},
  [5423] = {.lex_state = 400, .external_lex_state = 5},
  [5424] = {.lex_state = 400, .external_lex_state = 5},
  [5425] = {.lex_state = 400, .external_lex_state = 5},
  [5426] = {.lex_state = 48, .external_lex_state = 2},
  [5427] = {.lex_state = 400, .external_lex_state = 5},
  [5428] = {.lex_state = 400, .external_lex_state = 5},
  [5429] = {.lex_state = 400, .external_lex_state = 5},
  [5430] = {.lex_state = 400, .external_lex_state = 5},
  [5431] = {.lex_state = 400, .external_lex_state = 5},
  [5432] = {.lex_state = 400, .external_lex_state = 5},
  [5433] = {.lex_state = 48, .external_lex_state = 2},
  [5434] = {.lex_state = 48, .external_lex_state = 2},
  [5435] = {.lex_state = 400, .external_lex_state = 5},
  [5436] = {.lex_state = 400, .external_lex_state = 2},
  [5437] = {.lex_state = 48, .external_lex_state = 2},
  [5438] = {.lex_state = 48, .external_lex_state = 2},
  [5439] = {.lex_state = 400, .external_lex_state = 5},
  [5440] = {.lex_state = 48, .external_lex_state = 2},
  [5441] = {.lex_state = 400, .external_lex_state = 6},
  [5442] = {.lex_state = 48, .external_lex_state = 2},
  [5443] = {.lex_state = 48, .external_lex_state = 5},
  [5444] = {.lex_state = 400, .external_lex_state = 5},
  [5445] = {.lex_state = 48, .external_lex_state = 2},
  [5446] = {.lex_state = 400, .external_lex_state = 5},
  [5447] = {.lex_state = 48, .external_lex_state = 2},
  [5448] = {.lex_state = 400, .external_lex_state = 5},
  [5449] = {.lex_state = 48, .external_lex_state = 5},
  [5450] = {.lex_state = 400, .external_lex_state = 5},
  [5451] = {.lex_state = 400, .external_lex_state = 5},
  [5452] = {.lex_state = 400, .external_lex_state = 5},
  [5453] = {.lex_state = 400, .external_lex_state = 5},
  [5454] = {.lex_state = 400, .external_lex_state = 5},
  [5455] = {.lex_state = 48, .external_lex_state = 5},
  [5456] = {.lex_state = 48, .external_lex_state = 5},
  [5457] = {.lex_state = 62, .external_lex_state = 2},
  [5458] = {.lex_state = 400, .external_lex_state = 5},
  [5459] = {.lex_state = 400, .external_lex_state = 5},
  [5460] = {.lex_state = 400, .external_lex_state = 5},
  [5461] = {.lex_state = 400, .external_lex_state = 6},
  [5462] = {.lex_state = 400, .external_lex_state = 5},
  [5463] = {.lex_state = 400, .external_lex_state = 5},
  [5464] = {.lex_state = 48, .external_lex_state = 2},
  [5465] = {.lex_state = 400, .external_lex_state = 5},
  [5466] = {.lex_state = 400, .external_lex_state = 5},
  [5467] = {.lex_state = 48, .external_lex_state = 2},
  [5468] = {.lex_state = 400, .external_lex_state = 8},
  [5469] = {.lex_state = 400, .external_lex_state = 2},
  [5470] = {.lex_state = 400, .external_lex_state = 6},
  [5471] = {.lex_state = 400, .external_lex_state = 5},
  [5472] = {.lex_state = 48, .external_lex_state = 5},
  [5473] = {.lex_state = 400, .external_lex_state = 5},
  [5474] = {.lex_state = 400, .external_lex_state = 5},
  [5475] = {.lex_state = 400, .external_lex_state = 6},
  [5476] = {.lex_state = 400, .external_lex_state = 6},
  [5477] = {.lex_state = 400, .external_lex_state = 5},
  [5478] = {.lex_state = 400, .external_lex_state = 5},
  [5479] = {.lex_state = 400, .external_lex_state = 5},
  [5480] = {.lex_state = 400, .external_lex_state = 5},
  [5481] = {.lex_state = 400, .external_lex_state = 5},
  [5482] = {.lex_state = 400, .external_lex_state = 5},
  [5483] = {.lex_state = 72, .external_lex_state = 2},
  [5484] = {.lex_state = 400, .external_lex_state = 5},
  [5485] = {.lex_state = 400, .external_lex_state = 6},
  [5486] = {.lex_state = 400, .external_lex_state = 5},
  [5487] = {.lex_state = 400, .external_lex_state = 5},
  [5488] = {.lex_state = 400, .external_lex_state = 2},
  [5489] = {.lex_state = 400, .external_lex_state = 5},
  [5490] = {.lex_state = 48, .external_lex_state = 2},
  [5491] = {.lex_state = 400, .external_lex_state = 5},
  [5492] = {.lex_state = 48, .external_lex_state = 2},
  [5493] = {.lex_state = 400, .external_lex_state = 5},
  [5494] = {.lex_state = 400, .external_lex_state = 5},
  [5495] = {.lex_state = 48, .external_lex_state = 2},
  [5496] = {.lex_state = 400, .external_lex_state = 5},
  [5497] = {.lex_state = 400, .external_lex_state = 8},
  [5498] = {.lex_state = 400, .external_lex_state = 6},
  [5499] = {.lex_state = 72, .external_lex_state = 2},
  [5500] = {.lex_state = 400, .external_lex_state = 5},
  [5501] = {.lex_state = 400, .external_lex_state = 5},
  [5502] = {.lex_state = 400, .external_lex_state = 2},
  [5503] = {.lex_state = 400, .external_lex_state = 5},
  [5504] = {.lex_state = 400, .external_lex_state = 2},
  [5505] = {.lex_state = 400, .external_lex_state = 5},
  [5506] = {.lex_state = 400, .external_lex_state = 5},
  [5507] = {.lex_state = 400, .external_lex_state = 5},
  [5508] = {.lex_state = 400, .external_lex_state = 6},
  [5509] = {.lex_state = 400, .external_lex_state = 5},
  [5510] = {.lex_state = 400, .external_lex_state = 5},
  [5511] = {.lex_state = 400, .external_lex_state = 2},
  [5512] = {.lex_state = 400, .external_lex_state = 5},
  [5513] = {.lex_state = 48, .external_lex_state = 5},
  [5514] = {.lex_state = 400, .external_lex_state = 6},
  [5515] = {.lex_state = 400, .external_lex_state = 5},
  [5516] = {.lex_state = 400, .external_lex_state = 2},
  [5517] = {.lex_state = 400, .external_lex_state = 5},
  [5518] = {.lex_state = 48, .external_lex_state = 5},
  [5519] = {.lex_state = 48, .external_lex_state = 5},
  [5520] = {.lex_state = 400, .external_lex_state = 5},
  [5521] = {.lex_state = 48, .external_lex_state = 2},
  [5522] = {.lex_state = 400, .external_lex_state = 5},
  [5523] = {.lex_state = 400, .external_lex_state = 5},
  [5524] = {.lex_state = 400, .external_lex_state = 5},
  [5525] = {.lex_state = 400, .external_lex_state = 5},
  [5526] = {.lex_state = 400, .external_lex_state = 5},
  [5527] = {.lex_state = 400, .external_lex_state = 2},
  [5528] = {.lex_state = 400, .external_lex_state = 5},
  [5529] = {.lex_state = 48, .external_lex_state = 2},
  [5530] = {.lex_state = 400, .external_lex_state = 5},
  [5531] = {.lex_state = 400, .external_lex_state = 5},
  [5532] = {.lex_state = 400, .external_lex_state = 5},
  [5533] = {.lex_state = 400, .external_lex_state = 5},
  [5534] = {.lex_state = 48, .external_lex_state = 5},
  [5535] = {.lex_state = 400, .external_lex_state = 6},
  [5536] = {.lex_state = 400, .external_lex_state = 5},
  [5537] = {.lex_state = 400, .external_lex_state = 2},
  [5538] = {.lex_state = 400, .external_lex_state = 5},
  [5539] = {.lex_state = 400, .external_lex_state = 5},
  [5540] = {.lex_state = 400, .external_lex_state = 6},
  [5541] = {.lex_state = 400, .external_lex_state = 8},
  [5542] = {.lex_state = 400, .external_lex_state = 2},
  [5543] = {.lex_state = 400, .external_lex_state = 5},
  [5544] = {.lex_state = 400, .external_lex_state = 5},
  [5545] = {.lex_state = 400, .external_lex_state = 5},
  [5546] = {.lex_state = 67, .external_lex_state = 9},
  [5547] = {.lex_state = 48, .external_lex_state = 2},
  [5548] = {.lex_state = 27, .external_lex_state = 2},
  [5549] = {.lex_state = 48, .external_lex_state = 2},
  [5550] = {.lex_state = 400, .external_lex_state = 5},
  [5551] = {.lex_state = 67, .external_lex_state = 9},
  [5552] = {.lex_state = 60, .external_lex_state = 9},
  [5553] = {.lex_state = 400, .external_lex_state = 2},
  [5554] = {.lex_state = 48, .external_lex_state = 2},
  [5555] = {.lex_state = 400, .external_lex_state = 2},
  [5556] = {.lex_state = 60, .external_lex_state = 9},
  [5557] = {.lex_state = 400, .external_lex_state = 5},
  [5558] = {.lex_state = 48, .external_lex_state = 2},
  [5559] = {.lex_state = 67, .external_lex_state = 9},
  [5560] = {.lex_state = 400, .external_lex_state = 5},
  [5561] = {.lex_state = 400, .external_lex_state = 5},
  [5562] = {.lex_state = 400, .external_lex_state = 5},
  [5563] = {.lex_state = 60, .external_lex_state = 9},
  [5564] = {.lex_state = 400, .external_lex_state = 5},
  [5565] = {.lex_state = 67, .external_lex_state = 9},
  [5566] = {.lex_state = 400, .external_lex_state = 5},
  [5567] = {.lex_state = 400, .external_lex_state = 5},
  [5568] = {.lex_state = 400, .external_lex_state = 5},
  [5569] = {.lex_state = 400, .external_lex_state = 5},
  [5570] = {.lex_state = 400, .external_lex_state = 5},
  [5571] = {.lex_state = 400, .external_lex_state = 5},
  [5572] = {.lex_state = 400, .external_lex_state = 5},
  [5573] = {.lex_state = 80, .external_lex_state = 2},
  [5574] = {.lex_state = 400, .external_lex_state = 5},
  [5575] = {.lex_state = 48, .external_lex_state = 2},
  [5576] = {.lex_state = 48, .external_lex_state = 2},
  [5577] = {.lex_state = 400, .external_lex_state = 6},
  [5578] = {.lex_state = 48, .external_lex_state = 2},
  [5579] = {.lex_state = 400, .external_lex_state = 2},
  [5580] = {.lex_state = 67, .external_lex_state = 9},
  [5581] = {.lex_state = 400, .external_lex_state = 7},
  [5582] = {.lex_state = 80, .external_lex_state = 2},
  [5583] = {.lex_state = 60, .external_lex_state = 9},
  [5584] = {.lex_state = 400, .external_lex_state = 5},
  [5585] = {.lex_state = 400, .external_lex_state = 5},
  [5586] = {.lex_state = 400, .external_lex_state = 5},
  [5587] = {.lex_state = 400, .external_lex_state = 5},
  [5588] = {.lex_state = 60, .external_lex_state = 9},
  [5589] = {.lex_state = 67, .external_lex_state = 9},
  [5590] = {.lex_state = 400, .external_lex_state = 5},
  [5591] = {.lex_state = 400, .external_lex_state = 5},
  [5592] = {.lex_state = 400, .external_lex_state = 5},
  [5593] = {.lex_state = 400, .external_lex_state = 5},
  [5594] = {.lex_state = 400, .external_lex_state = 2},
  [5595] = {.lex_state = 60, .external_lex_state = 9},
  [5596] = {.lex_state = 67, .external_lex_state = 9},
  [5597] = {.lex_state = 400, .external_lex_state = 5},
  [5598] = {.lex_state = 400, .external_lex_state = 5},
  [5599] = {.lex_state = 48, .external_lex_state = 2},
  [5600] = {.lex_state = 48, .external_lex_state = 2},
  [5601] = {.lex_state = 48, .external_lex_state = 2},
  [5602] = {.lex_state = 48, .external_lex_state = 2},
  [5603] = {.lex_state = 67, .external_lex_state = 9},
  [5604] = {.lex_state = 48, .external_lex_state = 2},
  [5605] = {.lex_state = 2, .external_lex_state = 2},
  [5606] = {.lex_state = 60, .external_lex_state = 9},
  [5607] = {.lex_state = 48, .external_lex_state = 2},
  [5608] = {.lex_state = 48, .external_lex_state = 2},
  [5609] = {.lex_state = 48, .external_lex_state = 2},
  [5610] = {.lex_state = 400, .external_lex_state = 2},
  [5611] = {.lex_state = 400, .external_lex_state = 5},
  [5612] = {.lex_state = 48, .external_lex_state = 2},
  [5613] = {.lex_state = 60, .external_lex_state = 9},
  [5614] = {.lex_state = 67, .external_lex_state = 9},
  [5615] = {.lex_state = 400, .external_lex_state = 5},
  [5616] = {.lex_state = 60, .external_lex_state = 9},
  [5617] = {.lex_state = 67, .external_lex_state = 9},
  [5618] = {.lex_state = 48, .external_lex_state = 2},
  [5619] = {.lex_state = 48, .external_lex_state = 2},
  [5620] = {.lex_state = 48, .external_lex_state = 2},
  [5621] = {.lex_state = 48, .external_lex_state = 2},
  [5622] = {.lex_state = 48, .external_lex_state = 2},
  [5623] = {.lex_state = 64, .external_lex_state = 2},
  [5624] = {.lex_state = 55, .external_lex_state = 2},
  [5625] = {.lex_state = 80, .external_lex_state = 2},
  [5626] = {.lex_state = 60, .external_lex_state = 9},
  [5627] = {.lex_state = 48, .external_lex_state = 2},
  [5628] = {.lex_state = 67, .external_lex_state = 9},
  [5629] = {.lex_state = 48, .external_lex_state = 2},
  [5630] = {.lex_state = 60, .external_lex_state = 9},
  [5631] = {.lex_state = 400, .external_lex_state = 5},
  [5632] = {.lex_state = 48, .external_lex_state = 2},
  [5633] = {.lex_state = 60, .external_lex_state = 9},
  [5634] = {.lex_state = 67, .external_lex_state = 9},
  [5635] = {.lex_state = 60, .external_lex_state = 9},
  [5636] = {.lex_state = 67, .external_lex_state = 9},
  [5637] = {.lex_state = 48, .external_lex_state = 2},
  [5638] = {.lex_state = 48, .external_lex_state = 2},
  [5639] = {.lex_state = 60, .external_lex_state = 9},
  [5640] = {.lex_state = 48, .external_lex_state = 2},
  [5641] = {.lex_state = 48, .external_lex_state = 2},
  [5642] = {.lex_state = 67, .external_lex_state = 9},
  [5643] = {.lex_state = 60, .external_lex_state = 9},
  [5644] = {.lex_state = 400, .external_lex_state = 5},
  [5645] = {.lex_state = 67, .external_lex_state = 9},
  [5646] = {.lex_state = 400, .external_lex_state = 5},
  [5647] = {.lex_state = 60, .external_lex_state = 9},
  [5648] = {.lex_state = 2, .external_lex_state = 2},
  [5649] = {.lex_state = 48, .external_lex_state = 2},
  [5650] = {.lex_state = 60, .external_lex_state = 9},
  [5651] = {.lex_state = 48, .external_lex_state = 2},
  [5652] = {.lex_state = 67, .external_lex_state = 9},
  [5653] = {.lex_state = 60, .external_lex_state = 9},
  [5654] = {.lex_state = 400, .external_lex_state = 5},
  [5655] = {.lex_state = 400, .external_lex_state = 5},
  [5656] = {.lex_state = 67, .external_lex_state = 9},
  [5657] = {.lex_state = 60, .external_lex_state = 9},
  [5658] = {.lex_state = 67, .external_lex_state = 9},
  [5659] = {.lex_state = 67, .external_lex_state = 9},
  [5660] = {.lex_state = 48, .external_lex_state = 2},
  [5661] = {.lex_state = 400, .external_lex_state = 5},
  [5662] = {.lex_state = 400, .external_lex_state = 5},
  [5663] = {.lex_state = 400, .external_lex_state = 5},
  [5664] = {.lex_state = 400, .external_lex_state = 5},
  [5665] = {.lex_state = 400, .external_lex_state = 2},
  [5666] = {.lex_state = 400, .external_lex_state = 5},
  [5667] = {.lex_state = 27, .external_lex_state = 2},
  [5668] = {.lex_state = 55, .external_lex_state = 2},
  [5669] = {.lex_state = 64, .external_lex_state = 2},
  [5670] = {.lex_state = 400, .external_lex_state = 5},
  [5671] = {.lex_state = 400, .external_lex_state = 5},
  [5672] = {.lex_state = 400, .external_lex_state = 5},
  [5673] = {.lex_state = 400, .external_lex_state = 5},
  [5674] = {.lex_state = 64, .external_lex_state = 2},
  [5675] = {.lex_state = 400, .external_lex_state = 5},
  [5676] = {.lex_state = 400, .external_lex_state = 2},
  [5677] = {.lex_state = 400, .external_lex_state = 5},
  [5678] = {.lex_state = 400, .external_lex_state = 2},
  [5679] = {.lex_state = 55, .external_lex_state = 2},
  [5680] = {.lex_state = 400, .external_lex_state = 7},
  [5681] = {.lex_state = 400, .external_lex_state = 5},
  [5682] = {.lex_state = 48, .external_lex_state = 2},
  [5683] = {.lex_state = 400, .external_lex_state = 2},
  [5684] = {.lex_state = 67, .external_lex_state = 9},
  [5685] = {.lex_state = 60, .external_lex_state = 9},
  [5686] = {.lex_state = 400, .external_lex_state = 2},
  [5687] = {.lex_state = 48, .external_lex_state = 2},
  [5688] = {.lex_state = 400, .external_lex_state = 5},
  [5689] = {.lex_state = 48, .external_lex_state = 2},
  [5690] = {.lex_state = 400, .external_lex_state = 5},
  [5691] = {.lex_state = 400, .external_lex_state = 5},
  [5692] = {.lex_state = 400, .external_lex_state = 5},
  [5693] = {.lex_state = 400, .external_lex_state = 5},
  [5694] = {.lex_state = 48, .external_lex_state = 2},
  [5695] = {.lex_state = 51, .external_lex_state = 2},
  [5696] = {.lex_state = 67, .external_lex_state = 9},
  [5697] = {.lex_state = 60, .external_lex_state = 9},
  [5698] = {.lex_state = 400, .external_lex_state = 2},
  [5699] = {.lex_state = 60, .external_lex_state = 9},
  [5700] = {.lex_state = 67, .external_lex_state = 9},
  [5701] = {.lex_state = 400, .external_lex_state = 2},
  [5702] = {.lex_state = 67, .external_lex_state = 9},
  [5703] = {.lex_state = 60, .external_lex_state = 9},
  [5704] = {.lex_state = 48, .external_lex_state = 2},
  [5705] = {.lex_state = 27, .external_lex_state = 2},
  [5706] = {.lex_state = 48, .external_lex_state = 2},
  [5707] = {.lex_state = 400, .external_lex_state = 5},
  [5708] = {.lex_state = 48, .external_lex_state = 2},
  [5709] = {.lex_state = 400, .external_lex_state = 5},
  [5710] = {.lex_state = 67, .external_lex_state = 9},
  [5711] = {.lex_state = 27, .external_lex_state = 2},
  [5712] = {.lex_state = 60, .external_lex_state = 9},
  [5713] = {.lex_state = 400, .external_lex_state = 5},
  [5714] = {.lex_state = 400, .external_lex_state = 5},
  [5715] = {.lex_state = 400, .external_lex_state = 2},
  [5716] = {.lex_state = 400, .external_lex_state = 5},
  [5717] = {.lex_state = 48, .external_lex_state = 2},
  [5718] = {.lex_state = 400, .external_lex_state = 5},
  [5719] = {.lex_state = 27, .external_lex_state = 2},
  [5720] = {.lex_state = 24, .external_lex_state = 2},
  [5721] = {.lex_state = 2, .external_lex_state = 2},
  [5722] = {.lex_state = 400, .external_lex_state = 5},
  [5723] = {.lex_state = 400, .external_lex_state = 5},
  [5724] = {.lex_state = 48, .external_lex_state = 2},
  [5725] = {.lex_state = 80, .external_lex_state = 2},
  [5726] = {.lex_state = 400, .external_lex_state = 5},
  [5727] = {.lex_state = 48, .external_lex_state = 2},
  [5728] = {.lex_state = 67, .external_lex_state = 9},
  [5729] = {.lex_state = 60, .external_lex_state = 9},
  [5730] = {.lex_state = 2, .external_lex_state = 2},
  [5731] = {.lex_state = 400, .external_lex_state = 5},
  [5732] = {.lex_state = 400, .external_lex_state = 2},
  [5733] = {.lex_state = 48, .external_lex_state = 2},
  [5734] = {.lex_state = 400, .external_lex_state = 5},
  [5735] = {.lex_state = 400, .external_lex_state = 2},
  [5736] = {.lex_state = 400, .external_lex_state = 7},
  [5737] = {.lex_state = 48, .external_lex_state = 2},
  [5738] = {.lex_state = 400, .external_lex_state = 7},
  [5739] = {.lex_state = 48, .external_lex_state = 2},
  [5740] = {.lex_state = 400, .external_lex_state = 5},
  [5741] = {.lex_state = 48, .external_lex_state = 2},
  [5742] = {.lex_state = 48, .external_lex_state = 2},
  [5743] = {.lex_state = 48, .external_lex_state = 2},
  [5744] = {.lex_state = 400, .external_lex_state = 5},
  [5745] = {.lex_state = 400, .external_lex_state = 5},
  [5746] = {.lex_state = 400, .external_lex_state = 5},
  [5747] = {.lex_state = 400, .external_lex_state = 5},
  [5748] = {.lex_state = 400, .external_lex_state = 2},
  [5749] = {.lex_state = 400, .external_lex_state = 5},
  [5750] = {.lex_state = 48, .external_lex_state = 2},
  [5751] = {.lex_state = 67, .external_lex_state = 9},
  [5752] = {.lex_state = 60, .external_lex_state = 9},
  [5753] = {.lex_state = 400, .external_lex_state = 2},
  [5754] = {.lex_state = 48, .external_lex_state = 2},
  [5755] = {.lex_state = 400, .external_lex_state = 2},
  [5756] = {.lex_state = 48, .external_lex_state = 2},
  [5757] = {.lex_state = 48, .external_lex_state = 2},
  [5758] = {.lex_state = 48, .external_lex_state = 2},
  [5759] = {.lex_state = 48, .external_lex_state = 2},
  [5760] = {.lex_state = 48, .external_lex_state = 2},
  [5761] = {.lex_state = 60, .external_lex_state = 9},
  [5762] = {.lex_state = 67, .external_lex_state = 9},
  [5763] = {.lex_state = 400, .external_lex_state = 2},
  [5764] = {.lex_state = 400, .external_lex_state = 2},
  [5765] = {.lex_state = 400, .external_lex_state = 5},
  [5766] = {.lex_state = 400, .external_lex_state = 5},
  [5767] = {.lex_state = 400, .external_lex_state = 5},
  [5768] = {.lex_state = 400, .external_lex_state = 5},
  [5769] = {.lex_state = 50, .external_lex_state = 2},
  [5770] = {.lex_state = 48, .external_lex_state = 2},
  [5771] = {.lex_state = 400, .external_lex_state = 5},
  [5772] = {.lex_state = 51, .external_lex_state = 2},
  [5773] = {.lex_state = 400, .external_lex_state = 5},
  [5774] = {.lex_state = 400, .external_lex_state = 5},
  [5775] = {.lex_state = 48, .external_lex_state = 2},
  [5776] = {.lex_state = 400, .external_lex_state = 5},
  [5777] = {.lex_state = 400, .external_lex_state = 5},
  [5778] = {.lex_state = 400, .external_lex_state = 5},
  [5779] = {.lex_state = 400, .external_lex_state = 5},
  [5780] = {.lex_state = 400, .external_lex_state = 5},
  [5781] = {.lex_state = 400, .external_lex_state = 2},
  [5782] = {.lex_state = 400, .external_lex_state = 5},
  [5783] = {.lex_state = 400, .external_lex_state = 5},
  [5784] = {.lex_state = 400, .external_lex_state = 5},
  [5785] = {.lex_state = 48, .external_lex_state = 2},
  [5786] = {.lex_state = 400, .external_lex_state = 5},
  [5787] = {.lex_state = 56, .external_lex_state = 2},
  [5788] = {.lex_state = 400, .external_lex_state = 2},
  [5789] = {.lex_state = 400, .external_lex_state = 5},
  [5790] = {.lex_state = 400, .external_lex_state = 2},
  [5791] = {.lex_state = 27, .external_lex_state = 2},
  [5792] = {.lex_state = 48, .external_lex_state = 2},
  [5793] = {.lex_state = 400, .external_lex_state = 5},
  [5794] = {.lex_state = 51, .external_lex_state = 5},
  [5795] = {.lex_state = 400, .external_lex_state = 5},
  [5796] = {.lex_state = 400, .external_lex_state = 5},
  [5797] = {.lex_state = 56, .external_lex_state = 2},
  [5798] = {.lex_state = 51, .external_lex_state = 5},
  [5799] = {.lex_state = 400, .external_lex_state = 5},
  [5800] = {.lex_state = 400, .external_lex_state = 2},
  [5801] = {.lex_state = 400, .external_lex_state = 2},
  [5802] = {.lex_state = 400, .external_lex_state = 2},
  [5803] = {.lex_state = 400, .external_lex_state = 2},
  [5804] = {.lex_state = 400, .external_lex_state = 2},
  [5805] = {.lex_state = 72, .external_lex_state = 2},
  [5806] = {.lex_state = 48, .external_lex_state = 2},
  [5807] = {.lex_state = 400, .external_lex_state = 5},
  [5808] = {.lex_state = 400, .external_lex_state = 5},
  [5809] = {.lex_state = 400, .external_lex_state = 5},
  [5810] = {.lex_state = 400, .external_lex_state = 2},
  [5811] = {.lex_state = 400, .external_lex_state = 5},
  [5812] = {.lex_state = 400, .external_lex_state = 2},
  [5813] = {.lex_state = 400, .external_lex_state = 5},
  [5814] = {.lex_state = 400, .external_lex_state = 2},
  [5815] = {.lex_state = 400, .external_lex_state = 2},
  [5816] = {.lex_state = 400, .external_lex_state = 2},
  [5817] = {.lex_state = 400, .external_lex_state = 5},
  [5818] = {.lex_state = 400, .external_lex_state = 2},
  [5819] = {.lex_state = 400, .external_lex_state = 2},
  [5820] = {.lex_state = 48, .external_lex_state = 2},
  [5821] = {.lex_state = 400, .external_lex_state = 5},
  [5822] = {.lex_state = 400, .external_lex_state = 5},
  [5823] = {.lex_state = 400, .external_lex_state = 5},
  [5824] = {.lex_state = 400, .external_lex_state = 5},
  [5825] = {.lex_state = 51, .external_lex_state = 2},
  [5826] = {.lex_state = 400, .external_lex_state = 5},
  [5827] = {.lex_state = 400, .external_lex_state = 5},
  [5828] = {.lex_state = 400, .external_lex_state = 5},
  [5829] = {.lex_state = 400, .external_lex_state = 5},
  [5830] = {.lex_state = 400, .external_lex_state = 5},
  [5831] = {.lex_state = 27, .external_lex_state = 2},
  [5832] = {.lex_state = 400, .external_lex_state = 5},
  [5833] = {.lex_state = 400, .external_lex_state = 5},
  [5834] = {.lex_state = 400, .external_lex_state = 2},
  [5835] = {.lex_state = 400, .external_lex_state = 5},
  [5836] = {.lex_state = 27, .external_lex_state = 2},
  [5837] = {.lex_state = 400, .external_lex_state = 5},
  [5838] = {.lex_state = 27, .external_lex_state = 2},
  [5839] = {.lex_state = 400, .external_lex_state = 2},
  [5840] = {.lex_state = 400, .external_lex_state = 5},
  [5841] = {.lex_state = 400, .external_lex_state = 5},
  [5842] = {.lex_state = 400, .external_lex_state = 2},
  [5843] = {.lex_state = 400, .external_lex_state = 2},
  [5844] = {.lex_state = 400, .external_lex_state = 2},
  [5845] = {.lex_state = 400, .external_lex_state = 5},
  [5846] = {.lex_state = 48, .external_lex_state = 2},
  [5847] = {.lex_state = 24, .external_lex_state = 2},
  [5848] = {.lex_state = 51, .external_lex_state = 2},
  [5849] = {.lex_state = 48, .external_lex_state = 2},
  [5850] = {.lex_state = 400, .external_lex_state = 5},
  [5851] = {.lex_state = 400, .external_lex_state = 5},
  [5852] = {.lex_state = 400, .external_lex_state = 5},
  [5853] = {.lex_state = 400, .external_lex_state = 5},
  [5854] = {.lex_state = 48, .external_lex_state = 2},
  [5855] = {.lex_state = 48, .external_lex_state = 2},
  [5856] = {.lex_state = 400, .external_lex_state = 5},
  [5857] = {.lex_state = 400, .external_lex_state = 5},
  [5858] = {.lex_state = 400, .external_lex_state = 5},
  [5859] = {.lex_state = 400, .external_lex_state = 5},
  [5860] = {.lex_state = 400, .external_lex_state = 5},
  [5861] = {.lex_state = 400, .external_lex_state = 5},
  [5862] = {.lex_state = 400, .external_lex_state = 2},
  [5863] = {.lex_state = 400, .external_lex_state = 5},
  [5864] = {.lex_state = 400, .external_lex_state = 5},
  [5865] = {.lex_state = 400, .external_lex_state = 5},
  [5866] = {.lex_state = 400, .external_lex_state = 2},
  [5867] = {.lex_state = 400, .external_lex_state = 2},
  [5868] = {.lex_state = 400, .external_lex_state = 5},
  [5869] = {.lex_state = 27, .external_lex_state = 2},
  [5870] = {.lex_state = 400, .external_lex_state = 5},
  [5871] = {.lex_state = 400, .external_lex_state = 5},
  [5872] = {.lex_state = 400, .external_lex_state = 5},
  [5873] = {.lex_state = 400, .external_lex_state = 5},
  [5874] = {.lex_state = 400, .external_lex_state = 5},
  [5875] = {.lex_state = 400, .external_lex_state = 5},
  [5876] = {.lex_state = 400, .external_lex_state = 5},
  [5877] = {.lex_state = 400, .external_lex_state = 5},
  [5878] = {.lex_state = 400, .external_lex_state = 5},
  [5879] = {.lex_state = 400, .external_lex_state = 5},
  [5880] = {.lex_state = 400, .external_lex_state = 5},
  [5881] = {.lex_state = 400, .external_lex_state = 2},
  [5882] = {.lex_state = 400, .external_lex_state = 5},
  [5883] = {.lex_state = 400, .external_lex_state = 2},
  [5884] = {.lex_state = 400, .external_lex_state = 2},
  [5885] = {.lex_state = 48, .external_lex_state = 2},
  [5886] = {.lex_state = 400, .external_lex_state = 5},
  [5887] = {.lex_state = 400, .external_lex_state = 5},
  [5888] = {.lex_state = 48, .external_lex_state = 2},
  [5889] = {.lex_state = 400, .external_lex_state = 2},
  [5890] = {.lex_state = 400, .external_lex_state = 5},
  [5891] = {.lex_state = 400, .external_lex_state = 5},
  [5892] = {.lex_state = 400, .external_lex_state = 2},
  [5893] = {.lex_state = 400, .external_lex_state = 5},
  [5894] = {.lex_state = 400, .external_lex_state = 5},
  [5895] = {.lex_state = 27, .external_lex_state = 2},
  [5896] = {.lex_state = 48, .external_lex_state = 2},
  [5897] = {.lex_state = 400, .external_lex_state = 2},
  [5898] = {.lex_state = 400, .external_lex_state = 2},
  [5899] = {.lex_state = 400, .external_lex_state = 2},
  [5900] = {.lex_state = 400, .external_lex_state = 5},
  [5901] = {.lex_state = 400, .external_lex_state = 5},
  [5902] = {.lex_state = 48, .external_lex_state = 2},
  [5903] = {.lex_state = 51, .external_lex_state = 2},
  [5904] = {.lex_state = 400, .external_lex_state = 5},
  [5905] = {.lex_state = 48, .external_lex_state = 2},
  [5906] = {.lex_state = 51, .external_lex_state = 2},
  [5907] = {.lex_state = 48, .external_lex_state = 2},
  [5908] = {.lex_state = 400, .external_lex_state = 5},
  [5909] = {.lex_state = 400, .external_lex_state = 5},
  [5910] = {.lex_state = 51, .external_lex_state = 2},
  [5911] = {.lex_state = 400, .external_lex_state = 2},
  [5912] = {.lex_state = 400, .external_lex_state = 5},
  [5913] = {.lex_state = 400, .external_lex_state = 5},
  [5914] = {.lex_state = 400, .external_lex_state = 5},
  [5915] = {.lex_state = 400, .external_lex_state = 5},
  [5916] = {.lex_state = 400, .external_lex_state = 5},
  [5917] = {.lex_state = 400, .external_lex_state = 5},
  [5918] = {.lex_state = 400, .external_lex_state = 5},
  [5919] = {.lex_state = 400, .external_lex_state = 2},
  [5920] = {.lex_state = 400, .external_lex_state = 5},
  [5921] = {.lex_state = 400, .external_lex_state = 5},
  [5922] = {.lex_state = 400, .external_lex_state = 2},
  [5923] = {.lex_state = 400, .external_lex_state = 5},
  [5924] = {.lex_state = 400, .external_lex_state = 2},
  [5925] = {.lex_state = 400, .external_lex_state = 2},
  [5926] = {.lex_state = 400, .external_lex_state = 5},
  [5927] = {.lex_state = 48, .external_lex_state = 2},
  [5928] = {.lex_state = 51, .external_lex_state = 2},
  [5929] = {.lex_state = 400, .external_lex_state = 5},
  [5930] = {.lex_state = 51, .external_lex_state = 2},
  [5931] = {.lex_state = 400, .external_lex_state = 5},
  [5932] = {.lex_state = 51, .external_lex_state = 2},
  [5933] = {.lex_state = 400, .external_lex_state = 5},
  [5934] = {.lex_state = 51, .external_lex_state = 2},
  [5935] = {.lex_state = 400, .external_lex_state = 2},
  [5936] = {.lex_state = 400, .external_lex_state = 2},
  [5937] = {.lex_state = 400, .external_lex_state = 5},
  [5938] = {.lex_state = 400, .external_lex_state = 5},
  [5939] = {.lex_state = 400, .external_lex_state = 5},
  [5940] = {.lex_state = 400, .external_lex_state = 5},
  [5941] = {.lex_state = 400, .external_lex_state = 2},
  [5942] = {.lex_state = 400, .external_lex_state = 5},
  [5943] = {.lex_state = 400, .external_lex_state = 2},
  [5944] = {.lex_state = 80, .external_lex_state = 2},
  [5945] = {.lex_state = 400, .external_lex_state = 2},
  [5946] = {.lex_state = 48, .external_lex_state = 2},
  [5947] = {.lex_state = 400, .external_lex_state = 5},
  [5948] = {.lex_state = 400, .external_lex_state = 5},
  [5949] = {.lex_state = 48, .external_lex_state = 2},
  [5950] = {.lex_state = 400, .external_lex_state = 8},
  [5951] = {.lex_state = 400, .external_lex_state = 5},
  [5952] = {.lex_state = 400, .external_lex_state = 2},
  [5953] = {.lex_state = 400, .external_lex_state = 2},
  [5954] = {.lex_state = 400, .external_lex_state = 5},
  [5955] = {.lex_state = 51, .external_lex_state = 2},
  [5956] = {.lex_state = 24, .external_lex_state = 2},
  [5957] = {.lex_state = 400, .external_lex_state = 5},
  [5958] = {.lex_state = 51, .external_lex_state = 2},
  [5959] = {.lex_state = 400, .external_lex_state = 5},
  [5960] = {.lex_state = 400, .external_lex_state = 5},
  [5961] = {.lex_state = 400, .external_lex_state = 2},
  [5962] = {.lex_state = 400, .external_lex_state = 5},
  [5963] = {.lex_state = 400, .external_lex_state = 2},
  [5964] = {.lex_state = 48, .external_lex_state = 2},
  [5965] = {.lex_state = 27, .external_lex_state = 2},
  [5966] = {.lex_state = 27, .external_lex_state = 2},
  [5967] = {.lex_state = 27, .external_lex_state = 2},
  [5968] = {.lex_state = 400, .external_lex_state = 5},
  [5969] = {.lex_state = 27, .external_lex_state = 2},
  [5970] = {.lex_state = 27, .external_lex_state = 2},
  [5971] = {.lex_state = 27, .external_lex_state = 2},
  [5972] = {.lex_state = 27, .external_lex_state = 2},
  [5973] = {.lex_state = 27, .external_lex_state = 2},
  [5974] = {.lex_state = 27, .external_lex_state = 2},
  [5975] = {.lex_state = 400, .external_lex_state = 5},
  [5976] = {.lex_state = 85, .external_lex_state = 2},
  [5977] = {.lex_state = 27, .external_lex_state = 2},
  [5978] = {.lex_state = 27, .external_lex_state = 2},
  [5979] = {.lex_state = 48, .external_lex_state = 2},
  [5980] = {.lex_state = 400, .external_lex_state = 5},
  [5981] = {.lex_state = 400, .external_lex_state = 5},
  [5982] = {.lex_state = 400, .external_lex_state = 2},
  [5983] = {.lex_state = 400, .external_lex_state = 2},
  [5984] = {.lex_state = 51, .external_lex_state = 2},
  [5985] = {.lex_state = 24, .external_lex_state = 2},
  [5986] = {.lex_state = 400, .external_lex_state = 5},
  [5987] = {.lex_state = 400, .external_lex_state = 2},
  [5988] = {.lex_state = 400, .external_lex_state = 5},
  [5989] = {.lex_state = 400, .external_lex_state = 2},
  [5990] = {.lex_state = 400, .external_lex_state = 2},
  [5991] = {.lex_state = 400, .external_lex_state = 5},
  [5992] = {.lex_state = 400, .external_lex_state = 5},
  [5993] = {.lex_state = 400, .external_lex_state = 5},
  [5994] = {.lex_state = 85, .external_lex_state = 2},
  [5995] = {.lex_state = 400, .external_lex_state = 5},
  [5996] = {.lex_state = 400, .external_lex_state = 5},
  [5997] = {.lex_state = 400, .external_lex_state = 5},
  [5998] = {.lex_state = 400, .external_lex_state = 5},
  [5999] = {.lex_state = 72, .external_lex_state = 2},
  [6000] = {.lex_state = 51, .external_lex_state = 2},
  [6001] = {.lex_state = 400, .external_lex_state = 5},
  [6002] = {.lex_state = 24, .external_lex_state = 2},
  [6003] = {.lex_state = 400, .external_lex_state = 5},
  [6004] = {.lex_state = 400, .external_lex_state = 5},
  [6005] = {.lex_state = 400, .external_lex_state = 5},
  [6006] = {.lex_state = 400, .external_lex_state = 5},
  [6007] = {.lex_state = 400, .external_lex_state = 5},
  [6008] = {.lex_state = 400, .external_lex_state = 5},
  [6009] = {.lex_state = 400, .external_lex_state = 5},
  [6010] = {.lex_state = 400, .external_lex_state = 5},
  [6011] = {.lex_state = 400, .external_lex_state = 2},
  [6012] = {.lex_state = 400, .external_lex_state = 5},
  [6013] = {.lex_state = 400, .external_lex_state = 5},
  [6014] = {.lex_state = 400, .external_lex_state = 5},
  [6015] = {.lex_state = 51, .external_lex_state = 5},
  [6016] = {.lex_state = 51, .external_lex_state = 5},
  [6017] = {.lex_state = 400, .external_lex_state = 5},
  [6018] = {.lex_state = 51, .external_lex_state = 2},
  [6019] = {.lex_state = 400, .external_lex_state = 2},
  [6020] = {.lex_state = 400, .external_lex_state = 5},
  [6021] = {.lex_state = 72, .external_lex_state = 2},
  [6022] = {.lex_state = 400, .external_lex_state = 5},
  [6023] = {.lex_state = 400, .external_lex_state = 2},
  [6024] = {.lex_state = 400, .external_lex_state = 5},
  [6025] = {.lex_state = 400, .external_lex_state = 2},
  [6026] = {.lex_state = 400, .external_lex_state = 2},
  [6027] = {.lex_state = 400, .external_lex_state = 5},
  [6028] = {.lex_state = 400, .external_lex_state = 5},
  [6029] = {.lex_state = 60, .external_lex_state = 9},
  [6030] = {.lex_state = 400, .external_lex_state = 5},
  [6031] = {.lex_state = 67, .external_lex_state = 9},
  [6032] = {.lex_state = 400, .external_lex_state = 5},
  [6033] = {.lex_state = 400, .external_lex_state = 5},
  [6034] = {.lex_state = 80, .external_lex_state = 2},
  [6035] = {.lex_state = 400, .external_lex_state = 5},
  [6036] = {.lex_state = 400, .external_lex_state = 5},
  [6037] = {.lex_state = 400, .external_lex_state = 2},
  [6038] = {.lex_state = 51, .external_lex_state = 5},
  [6039] = {.lex_state = 51, .external_lex_state = 5},
  [6040] = {.lex_state = 400, .external_lex_state = 5},
  [6041] = {.lex_state = 400, .external_lex_state = 5},
  [6042] = {.lex_state = 400, .external_lex_state = 5},
  [6043] = {.lex_state = 400, .external_lex_state = 5},
  [6044] = {.lex_state = 400, .external_lex_state = 5},
  [6045] = {.lex_state = 400, .external_lex_state = 5},
  [6046] = {.lex_state = 400, .external_lex_state = 5},
  [6047] = {.lex_state = 400, .external_lex_state = 2},
  [6048] = {.lex_state = 400, .external_lex_state = 5},
  [6049] = {.lex_state = 400, .external_lex_state = 5},
  [6050] = {.lex_state = 400, .external_lex_state = 5},
  [6051] = {.lex_state = 400, .external_lex_state = 2},
  [6052] = {.lex_state = 400, .external_lex_state = 5},
  [6053] = {.lex_state = 400, .external_lex_state = 5},
  [6054] = {.lex_state = 400, .external_lex_state = 5},
  [6055] = {.lex_state = 400, .external_lex_state = 5},
  [6056] = {.lex_state = 400, .external_lex_state = 5},
  [6057] = {.lex_state = 400, .external_lex_state = 5},
  [6058] = {.lex_state = 400, .external_lex_state = 2},
  [6059] = {.lex_state = 400, .external_lex_state = 2},
  [6060] = {.lex_state = 400, .external_lex_state = 5},
  [6061] = {.lex_state = 400, .external_lex_state = 5},
  [6062] = {.lex_state = 400, .external_lex_state = 5},
  [6063] = {.lex_state = 400, .external_lex_state = 5},
  [6064] = {.lex_state = 400, .external_lex_state = 2},
  [6065] = {.lex_state = 400, .external_lex_state = 5},
  [6066] = {.lex_state = 400, .external_lex_state = 5},
  [6067] = {.lex_state = 400, .external_lex_state = 5},
  [6068] = {.lex_state = 48, .external_lex_state = 2},
  [6069] = {.lex_state = 85, .external_lex_state = 2},
  [6070] = {.lex_state = 400, .external_lex_state = 5},
  [6071] = {.lex_state = 400, .external_lex_state = 5},
  [6072] = {.lex_state = 400, .external_lex_state = 5},
  [6073] = {.lex_state = 400, .external_lex_state = 5},
  [6074] = {.lex_state = 400, .external_lex_state = 5},
  [6075] = {.lex_state = 400, .external_lex_state = 5},
  [6076] = {.lex_state = 400, .external_lex_state = 5},
  [6077] = {.lex_state = 400, .external_lex_state = 5},
  [6078] = {.lex_state = 51, .external_lex_state = 2},
  [6079] = {.lex_state = 24, .external_lex_state = 2},
  [6080] = {.lex_state = 400, .external_lex_state = 2},
  [6081] = {.lex_state = 56, .external_lex_state = 2},
  [6082] = {.lex_state = 400, .external_lex_state = 5},
  [6083] = {.lex_state = 400, .external_lex_state = 5},
  [6084] = {.lex_state = 400, .external_lex_state = 5},
  [6085] = {.lex_state = 400, .external_lex_state = 5},
  [6086] = {.lex_state = 56, .external_lex_state = 2},
  [6087] = {.lex_state = 400, .external_lex_state = 5},
  [6088] = {.lex_state = 24, .external_lex_state = 2},
  [6089] = {.lex_state = 400, .external_lex_state = 5},
  [6090] = {.lex_state = 400, .external_lex_state = 5},
  [6091] = {.lex_state = 50, .external_lex_state = 2},
  [6092] = {.lex_state = 400, .external_lex_state = 5},
  [6093] = {.lex_state = 400, .external_lex_state = 5},
  [6094] = {.lex_state = 400, .external_lex_state = 5},
  [6095] = {.lex_state = 400, .external_lex_state = 5},
  [6096] = {.lex_state = 400, .external_lex_state = 5},
  [6097] = {.lex_state = 400, .external_lex_state = 5},
  [6098] = {.lex_state = 400, .external_lex_state = 5},
  [6099] = {.lex_state = 400, .external_lex_state = 5},
  [6100] = {.lex_state = 2, .external_lex_state = 2},
  [6101] = {.lex_state = 400, .external_lex_state = 5},
  [6102] = {.lex_state = 400, .external_lex_state = 5},
  [6103] = {.lex_state = 400, .external_lex_state = 5},
  [6104] = {.lex_state = 400, .external_lex_state = 5},
  [6105] = {.lex_state = 400, .external_lex_state = 5},
  [6106] = {.lex_state = 400, .external_lex_state = 5},
  [6107] = {.lex_state = 400, .external_lex_state = 5},
  [6108] = {.lex_state = 400, .external_lex_state = 5},
  [6109] = {.lex_state = 400, .external_lex_state = 5},
  [6110] = {.lex_state = 400, .external_lex_state = 2},
  [6111] = {.lex_state = 400, .external_lex_state = 5},
  [6112] = {.lex_state = 400, .external_lex_state = 5},
  [6113] = {.lex_state = 400, .external_lex_state = 5},
  [6114] = {.lex_state = 400, .external_lex_state = 5},
  [6115] = {.lex_state = 400, .external_lex_state = 5},
  [6116] = {.lex_state = 400, .external_lex_state = 5},
  [6117] = {.lex_state = 48, .external_lex_state = 2},
  [6118] = {.lex_state = 400, .external_lex_state = 5},
  [6119] = {.lex_state = 51, .external_lex_state = 2},
  [6120] = {.lex_state = 400, .external_lex_state = 2},
  [6121] = {.lex_state = 400, .external_lex_state = 5},
  [6122] = {.lex_state = 400, .external_lex_state = 5},
  [6123] = {.lex_state = 400, .external_lex_state = 5},
  [6124] = {.lex_state = 400, .external_lex_state = 2},
  [6125] = {.lex_state = 400, .external_lex_state = 5},
  [6126] = {.lex_state = 400, .external_lex_state = 5},
  [6127] = {.lex_state = 51, .external_lex_state = 5},
  [6128] = {.lex_state = 51, .external_lex_state = 5},
  [6129] = {.lex_state = 400, .external_lex_state = 5},
  [6130] = {.lex_state = 400, .external_lex_state = 5},
  [6131] = {.lex_state = 27, .external_lex_state = 2},
  [6132] = {.lex_state = 400, .external_lex_state = 5},
  [6133] = {.lex_state = 400, .external_lex_state = 5},
  [6134] = {.lex_state = 51, .external_lex_state = 2},
  [6135] = {.lex_state = 400, .external_lex_state = 2},
  [6136] = {.lex_state = 400, .external_lex_state = 2},
  [6137] = {.lex_state = 400, .external_lex_state = 2},
  [6138] = {.lex_state = 400, .external_lex_state = 5},
  [6139] = {.lex_state = 400, .external_lex_state = 5},
  [6140] = {.lex_state = 400, .external_lex_state = 5},
  [6141] = {.lex_state = 400, .external_lex_state = 5},
  [6142] = {.lex_state = 400, .external_lex_state = 5},
  [6143] = {.lex_state = 400, .external_lex_state = 5},
  [6144] = {.lex_state = 400, .external_lex_state = 5},
  [6145] = {.lex_state = 400, .external_lex_state = 5},
  [6146] = {.lex_state = 48, .external_lex_state = 2},
  [6147] = {.lex_state = 400, .external_lex_state = 2},
  [6148] = {.lex_state = 400, .external_lex_state = 5},
  [6149] = {.lex_state = 400, .external_lex_state = 5},
  [6150] = {.lex_state = 400, .external_lex_state = 5},
  [6151] = {.lex_state = 400, .external_lex_state = 5},
  [6152] = {.lex_state = 400, .external_lex_state = 2},
  [6153] = {.lex_state = 400, .external_lex_state = 2},
  [6154] = {.lex_state = 24, .external_lex_state = 2},
  [6155] = {.lex_state = 400, .external_lex_state = 2},
  [6156] = {.lex_state = 400, .external_lex_state = 5},
  [6157] = {.lex_state = 400, .external_lex_state = 2},
  [6158] = {.lex_state = 400, .external_lex_state = 5},
  [6159] = {.lex_state = 400, .external_lex_state = 5},
  [6160] = {.lex_state = 400, .external_lex_state = 5},
  [6161] = {.lex_state = 400, .external_lex_state = 5},
  [6162] = {.lex_state = 400, .external_lex_state = 5},
  [6163] = {.lex_state = 400, .external_lex_state = 2},
  [6164] = {.lex_state = 400, .external_lex_state = 5},
  [6165] = {.lex_state = 400, .external_lex_state = 5},
  [6166] = {.lex_state = 400, .external_lex_state = 5},
  [6167] = {.lex_state = 400, .external_lex_state = 5},
  [6168] = {.lex_state = 400, .external_lex_state = 2},
  [6169] = {.lex_state = 400, .external_lex_state = 2},
  [6170] = {.lex_state = 400, .external_lex_state = 2},
  [6171] = {.lex_state = 400, .external_lex_state = 2},
  [6172] = {.lex_state = 400, .external_lex_state = 5},
  [6173] = {.lex_state = 400, .external_lex_state = 5},
  [6174] = {.lex_state = 400, .external_lex_state = 2},
  [6175] = {.lex_state = 48, .external_lex_state = 2},
  [6176] = {.lex_state = 400, .external_lex_state = 2},
  [6177] = {.lex_state = 400, .external_lex_state = 5},
  [6178] = {.lex_state = 400, .external_lex_state = 2},
  [6179] = {.lex_state = 400, .external_lex_state = 2},
  [6180] = {.lex_state = 400, .external_lex_state = 2},
  [6181] = {.lex_state = 400, .external_lex_state = 2},
  [6182] = {.lex_state = 400, .external_lex_state = 2},
  [6183] = {.lex_state = 400, .external_lex_state = 5},
  [6184] = {.lex_state = 400, .external_lex_state = 5},
  [6185] = {.lex_state = 27, .external_lex_state = 2},
  [6186] = {.lex_state = 85, .external_lex_state = 2},
  [6187] = {.lex_state = 400, .external_lex_state = 2},
  [6188] = {.lex_state = 400, .external_lex_state = 2},
  [6189] = {.lex_state = 400, .external_lex_state = 5},
  [6190] = {.lex_state = 48, .external_lex_state = 2},
  [6191] = {.lex_state = 400, .external_lex_state = 5},
  [6192] = {.lex_state = 48, .external_lex_state = 2},
  [6193] = {.lex_state = 400, .external_lex_state = 8},
  [6194] = {.lex_state = 48, .external_lex_state = 2},
  [6195] = {.lex_state = 400, .external_lex_state = 5},
  [6196] = {.lex_state = 400, .external_lex_state = 5},
  [6197] = {.lex_state = 51, .external_lex_state = 2},
  [6198] = {.lex_state = 400, .external_lex_state = 5},
  [6199] = {.lex_state = 400, .external_lex_state = 5},
  [6200] = {.lex_state = 400, .external_lex_state = 5},
  [6201] = {.lex_state = 55, .external_lex_state = 2},
  [6202] = {.lex_state = 48, .external_lex_state = 2},
  [6203] = {.lex_state = 400, .external_lex_state = 5},
  [6204] = {.lex_state = 64, .external_lex_state = 2},
  [6205] = {.lex_state = 400, .external_lex_state = 5},
  [6206] = {.lex_state = 400, .external_lex_state = 5},
  [6207] = {.lex_state = 400, .external_lex_state = 5},
  [6208] = {.lex_state = 400, .external_lex_state = 5},
  [6209] = {.lex_state = 80, .external_lex_state = 2},
  [6210] = {.lex_state = 400, .external_lex_state = 5},
  [6211] = {.lex_state = 400, .external_lex_state = 5},
  [6212] = {.lex_state = 400, .external_lex_state = 5},
  [6213] = {.lex_state = 400, .external_lex_state = 2},
  [6214] = {.lex_state = 400, .external_lex_state = 5},
  [6215] = {.lex_state = 400, .external_lex_state = 5},
  [6216] = {.lex_state = 400, .external_lex_state = 5},
  [6217] = {.lex_state = 51, .external_lex_state = 2},
  [6218] = {.lex_state = 400, .external_lex_state = 2},
  [6219] = {.lex_state = 400, .external_lex_state = 2},
  [6220] = {.lex_state = 27, .external_lex_state = 2},
  [6221] = {.lex_state = 400, .external_lex_state = 5},
  [6222] = {.lex_state = 400, .external_lex_state = 2},
  [6223] = {.lex_state = 24, .external_lex_state = 2},
  [6224] = {.lex_state = 400, .external_lex_state = 2},
  [6225] = {.lex_state = 51, .external_lex_state = 2},
  [6226] = {.lex_state = 400, .external_lex_state = 2},
  [6227] = {.lex_state = 24, .external_lex_state = 2},
  [6228] = {.lex_state = 400, .external_lex_state = 2},
  [6229] = {.lex_state = 400, .external_lex_state = 2},
  [6230] = {.lex_state = 400, .external_lex_state = 2},
  [6231] = {.lex_state = 400, .external_lex_state = 2},
  [6232] = {.lex_state = 400, .external_lex_state = 5},
  [6233] = {.lex_state = 400, .external_lex_state = 5},
  [6234] = {.lex_state = 400, .external_lex_state = 2},
  [6235] = {.lex_state = 400, .external_lex_state = 5},
  [6236] = {.lex_state = 400, .external_lex_state = 2},
  [6237] = {.lex_state = 400, .external_lex_state = 2},
  [6238] = {.lex_state = 400, .external_lex_state = 5},
  [6239] = {.lex_state = 400, .external_lex_state = 5},
  [6240] = {.lex_state = 400, .external_lex_state = 5},
  [6241] = {.lex_state = 400, .external_lex_state = 5},
  [6242] = {.lex_state = 400, .external_lex_state = 5},
  [6243] = {.lex_state = 400, .external_lex_state = 2},
  [6244] = {.lex_state = 400, .external_lex_state = 5},
  [6245] = {.lex_state = 400, .external_lex_state = 2},
  [6246] = {.lex_state = 400, .external_lex_state = 2},
  [6247] = {.lex_state = 400, .external_lex_state = 5},
  [6248] = {.lex_state = 400, .external_lex_state = 5},
  [6249] = {.lex_state = 400, .external_lex_state = 5},
  [6250] = {.lex_state = 400, .external_lex_state = 5},
  [6251] = {.lex_state = 400, .external_lex_state = 5},
  [6252] = {.lex_state = 400, .external_lex_state = 5},
  [6253] = {.lex_state = 400, .external_lex_state = 5},
  [6254] = {.lex_state = 400, .external_lex_state = 5},
  [6255] = {.lex_state = 400, .external_lex_state = 5},
  [6256] = {.lex_state = 24, .external_lex_state = 2},
  [6257] = {.lex_state = 400, .external_lex_state = 5},
  [6258] = {.lex_state = 400, .external_lex_state = 2},
  [6259] = {.lex_state = 400, .external_lex_state = 5},
  [6260] = {.lex_state = 400, .external_lex_state = 2},
  [6261] = {.lex_state = 85, .external_lex_state = 2},
  [6262] = {.lex_state = 400, .external_lex_state = 2},
  [6263] = {.lex_state = 400, .external_lex_state = 5},
  [6264] = {.lex_state = 400, .external_lex_state = 2},
  [6265] = {.lex_state = 400, .external_lex_state = 2},
  [6266] = {.lex_state = 400, .external_lex_state = 5},
  [6267] = {.lex_state = 400, .external_lex_state = 5},
  [6268] = {.lex_state = 400, .external_lex_state = 5},
  [6269] = {.lex_state = 400, .external_lex_state = 5},
  [6270] = {.lex_state = 400, .external_lex_state = 5},
  [6271] = {.lex_state = 400, .external_lex_state = 5},
  [6272] = {.lex_state = 400, .external_lex_state = 5},
  [6273] = {.lex_state = 400, .external_lex_state = 5},
  [6274] = {.lex_state = 400, .external_lex_state = 5},
  [6275] = {.lex_state = 400, .external_lex_state = 5},
  [6276] = {.lex_state = 400, .external_lex_state = 5},
  [6277] = {.lex_state = 400, .external_lex_state = 5},
  [6278] = {.lex_state = 400, .external_lex_state = 5},
  [6279] = {.lex_state = 400, .external_lex_state = 5},
  [6280] = {.lex_state = 400, .external_lex_state = 2},
  [6281] = {.lex_state = 400, .external_lex_state = 5},
  [6282] = {.lex_state = 400, .external_lex_state = 5},
  [6283] = {.lex_state = 400, .external_lex_state = 5},
  [6284] = {.lex_state = 51, .external_lex_state = 5},
  [6285] = {.lex_state = 51, .external_lex_state = 5},
  [6286] = {.lex_state = 400, .external_lex_state = 5},
  [6287] = {.lex_state = 48, .external_lex_state = 2},
  [6288] = {.lex_state = 400, .external_lex_state = 5},
  [6289] = {.lex_state = 400, .external_lex_state = 2},
  [6290] = {.lex_state = 400, .external_lex_state = 2},
  [6291] = {.lex_state = 400, .external_lex_state = 5},
  [6292] = {.lex_state = 400, .external_lex_state = 2},
  [6293] = {.lex_state = 400, .external_lex_state = 5},
  [6294] = {.lex_state = 400, .external_lex_state = 5},
  [6295] = {.lex_state = 400, .external_lex_state = 5},
  [6296] = {.lex_state = 400, .external_lex_state = 5},
  [6297] = {.lex_state = 400, .external_lex_state = 5},
  [6298] = {.lex_state = 400, .external_lex_state = 5},
  [6299] = {.lex_state = 400, .external_lex_state = 5},
  [6300] = {.lex_state = 400, .external_lex_state = 5},
  [6301] = {.lex_state = 400, .external_lex_state = 5},
  [6302] = {.lex_state = 400, .external_lex_state = 5},
  [6303] = {.lex_state = 400, .external_lex_state = 5},
  [6304] = {.lex_state = 48, .external_lex_state = 2},
  [6305] = {.lex_state = 400, .external_lex_state = 5},
  [6306] = {.lex_state = 48, .external_lex_state = 2},
  [6307] = {.lex_state = 400, .external_lex_state = 5},
  [6308] = {.lex_state = 400, .external_lex_state = 5},
  [6309] = {.lex_state = 48, .external_lex_state = 2},
  [6310] = {.lex_state = 400, .external_lex_state = 5},
  [6311] = {.lex_state = 48, .external_lex_state = 2},
  [6312] = {.lex_state = 400, .external_lex_state = 2},
  [6313] = {.lex_state = 400, .external_lex_state = 5},
  [6314] = {.lex_state = 400, .external_lex_state = 5},
  [6315] = {.lex_state = 400, .external_lex_state = 5},
  [6316] = {.lex_state = 400, .external_lex_state = 5},
  [6317] = {.lex_state = 400, .external_lex_state = 5},
  [6318] = {.lex_state = 400, .external_lex_state = 2},
  [6319] = {.lex_state = 400, .external_lex_state = 2},
  [6320] = {.lex_state = 400, .external_lex_state = 5},
  [6321] = {.lex_state = 400, .external_lex_state = 5},
  [6322] = {.lex_state = 400, .external_lex_state = 5},
  [6323] = {.lex_state = 400, .external_lex_state = 5},
  [6324] = {.lex_state = 400, .external_lex_state = 5},
  [6325] = {.lex_state = 50, .external_lex_state = 2},
  [6326] = {.lex_state = 400, .external_lex_state = 5},
  [6327] = {.lex_state = 400, .external_lex_state = 5},
  [6328] = {.lex_state = 400, .external_lex_state = 5},
  [6329] = {.lex_state = 400, .external_lex_state = 5},
  [6330] = {.lex_state = 400, .external_lex_state = 5},
  [6331] = {.lex_state = 400, .external_lex_state = 5},
  [6332] = {.lex_state = 400, .external_lex_state = 5},
  [6333] = {.lex_state = 400, .external_lex_state = 2},
  [6334] = {.lex_state = 400, .external_lex_state = 5},
  [6335] = {.lex_state = 400, .external_lex_state = 5},
  [6336] = {.lex_state = 400, .external_lex_state = 5},
  [6337] = {.lex_state = 400, .external_lex_state = 5},
  [6338] = {.lex_state = 400, .external_lex_state = 5},
  [6339] = {.lex_state = 400, .external_lex_state = 2},
  [6340] = {.lex_state = 400, .external_lex_state = 2},
  [6341] = {.lex_state = 400, .external_lex_state = 5},
  [6342] = {.lex_state = 400, .external_lex_state = 5},
  [6343] = {.lex_state = 400, .external_lex_state = 5},
  [6344] = {.lex_state = 400, .external_lex_state = 5},
  [6345] = {.lex_state = 400, .external_lex_state = 5},
  [6346] = {.lex_state = 400, .external_lex_state = 5},
  [6347] = {.lex_state = 400, .external_lex_state = 5},
  [6348] = {.lex_state = 400, .external_lex_state = 5},
  [6349] = {.lex_state = 400, .external_lex_state = 5},
  [6350] = {.lex_state = 400, .external_lex_state = 5},
  [6351] = {.lex_state = 400, .external_lex_state = 5},
  [6352] = {.lex_state = 400, .external_lex_state = 5},
  [6353] = {.lex_state = 400, .external_lex_state = 5},
  [6354] = {.lex_state = 400, .external_lex_state = 2},
  [6355] = {.lex_state = 400, .external_lex_state = 5},
  [6356] = {.lex_state = 400, .external_lex_state = 2},
  [6357] = {.lex_state = 400, .external_lex_state = 5},
  [6358] = {.lex_state = 400, .external_lex_state = 5},
  [6359] = {.lex_state = 400, .external_lex_state = 5},
  [6360] = {.lex_state = 27, .external_lex_state = 2},
  [6361] = {.lex_state = 400, .external_lex_state = 2},
  [6362] = {.lex_state = 400, .external_lex_state = 5},
  [6363] = {.lex_state = 400, .external_lex_state = 5},
  [6364] = {.lex_state = 48, .external_lex_state = 2},
  [6365] = {.lex_state = 400, .external_lex_state = 5},
  [6366] = {.lex_state = 48, .external_lex_state = 2},
  [6367] = {.lex_state = 400, .external_lex_state = 5},
  [6368] = {.lex_state = 48, .external_lex_state = 2},
  [6369] = {.lex_state = 400, .external_lex_state = 2},
  [6370] = {.lex_state = 400, .external_lex_state = 2},
  [6371] = {.lex_state = 400, .external_lex_state = 5},
  [6372] = {.lex_state = 400, .external_lex_state = 2},
  [6373] = {.lex_state = 400, .external_lex_state = 5},
  [6374] = {.lex_state = 400, .external_lex_state = 5},
  [6375] = {.lex_state = 400, .external_lex_state = 5},
  [6376] = {.lex_state = 400, .external_lex_state = 2},
  [6377] = {.lex_state = 48, .external_lex_state = 2},
  [6378] = {.lex_state = 27, .external_lex_state = 2},
  [6379] = {.lex_state = 400, .external_lex_state = 5},
  [6380] = {.lex_state = 400, .external_lex_state = 5},
  [6381] = {.lex_state = 400, .external_lex_state = 5},
  [6382] = {.lex_state = 400, .external_lex_state = 5},
  [6383] = {.lex_state = 400, .external_lex_state = 5},
  [6384] = {.lex_state = 27, .external_lex_state = 2},
  [6385] = {.lex_state = 400, .external_lex_state = 5},
  [6386] = {.lex_state = 400, .external_lex_state = 5},
  [6387] = {.lex_state = 400, .external_lex_state = 5},
  [6388] = {.lex_state = 400, .external_lex_state = 2},
  [6389] = {.lex_state = 400, .external_lex_state = 2},
  [6390] = {.lex_state = 400, .external_lex_state = 5},
  [6391] = {.lex_state = 400, .external_lex_state = 5},
  [6392] = {.lex_state = 400, .external_lex_state = 2},
  [6393] = {.lex_state = 400, .external_lex_state = 5},
  [6394] = {.lex_state = 400, .external_lex_state = 5},
  [6395] = {.lex_state = 400, .external_lex_state = 5},
  [6396] = {.lex_state = 400, .external_lex_state = 5},
  [6397] = {.lex_state = 400, .external_lex_state = 5},
  [6398] = {.lex_state = 400, .external_lex_state = 5},
  [6399] = {.lex_state = 400, .external_lex_state = 5},
  [6400] = {.lex_state = 400, .external_lex_state = 5},
  [6401] = {.lex_state = 400, .external_lex_state = 2},
  [6402] = {.lex_state = 400, .external_lex_state = 2},
  [6403] = {.lex_state = 400, .external_lex_state = 5},
  [6404] = {.lex_state = 400, .external_lex_state = 5},
  [6405] = {.lex_state = 400, .external_lex_state = 5},
  [6406] = {.lex_state = 400, .external_lex_state = 5},
  [6407] = {.lex_state = 400, .external_lex_state = 5},
  [6408] = {.lex_state = 27, .external_lex_state = 2},
  [6409] = {.lex_state = 400, .external_lex_state = 5},
  [6410] = {.lex_state = 400, .external_lex_state = 5},
  [6411] = {.lex_state = 400, .external_lex_state = 5},
  [6412] = {.lex_state = 27, .external_lex_state = 2},
  [6413] = {.lex_state = 400, .external_lex_state = 5},
  [6414] = {.lex_state = 400, .external_lex_state = 5},
  [6415] = {.lex_state = 400, .external_lex_state = 2},
  [6416] = {.lex_state = 400, .external_lex_state = 2},
  [6417] = {.lex_state = 400, .external_lex_state = 2},
  [6418] = {.lex_state = 400, .external_lex_state = 5},
  [6419] = {.lex_state = 400, .external_lex_state = 2},
  [6420] = {.lex_state = 400, .external_lex_state = 2},
  [6421] = {.lex_state = 400, .external_lex_state = 5},
  [6422] = {.lex_state = 400, .external_lex_state = 5},
  [6423] = {.lex_state = 400, .external_lex_state = 5},
  [6424] = {.lex_state = 48, .external_lex_state = 2},
  [6425] = {.lex_state = 400, .external_lex_state = 5},
  [6426] = {.lex_state = 48, .external_lex_state = 2},
  [6427] = {.lex_state = 400, .external_lex_state = 5},
  [6428] = {.lex_state = 400, .external_lex_state = 5},
  [6429] = {.lex_state = 400, .external_lex_state = 5},
  [6430] = {.lex_state = 400, .external_lex_state = 5},
  [6431] = {.lex_state = 48, .external_lex_state = 2},
  [6432] = {.lex_state = 27, .external_lex_state = 2},
  [6433] = {.lex_state = 400, .external_lex_state = 2},
  [6434] = {.lex_state = 400, .external_lex_state = 2},
  [6435] = {.lex_state = 400, .external_lex_state = 2},
  [6436] = {.lex_state = 400, .external_lex_state = 5},
  [6437] = {.lex_state = 48, .external_lex_state = 2},
  [6438] = {.lex_state = 400, .external_lex_state = 5},
  [6439] = {.lex_state = 48, .external_lex_state = 2},
  [6440] = {.lex_state = 400, .external_lex_state = 5},
  [6441] = {.lex_state = 48, .external_lex_state = 2},
  [6442] = {.lex_state = 400, .external_lex_state = 5},
  [6443] = {.lex_state = 400, .external_lex_state = 5},
  [6444] = {.lex_state = 48, .external_lex_state = 2},
  [6445] = {.lex_state = 400, .external_lex_state = 5},
  [6446] = {.lex_state = 400, .external_lex_state = 5},
  [6447] = {.lex_state = 400, .external_lex_state = 2},
  [6448] = {.lex_state = 400, .external_lex_state = 5},
  [6449] = {.lex_state = 400, .external_lex_state = 5},
  [6450] = {.lex_state = 400, .external_lex_state = 2},
  [6451] = {.lex_state = 400, .external_lex_state = 5},
  [6452] = {.lex_state = 400, .external_lex_state = 5},
  [6453] = {.lex_state = 400, .external_lex_state = 2},
  [6454] = {.lex_state = 400, .external_lex_state = 5},
  [6455] = {.lex_state = 400, .external_lex_state = 2},
  [6456] = {.lex_state = 400, .external_lex_state = 5},
  [6457] = {.lex_state = 400, .external_lex_state = 5},
  [6458] = {.lex_state = 400, .external_lex_state = 5},
  [6459] = {.lex_state = 400, .external_lex_state = 5},
  [6460] = {.lex_state = 400, .external_lex_state = 5},
  [6461] = {.lex_state = 400, .external_lex_state = 5},
  [6462] = {.lex_state = 51, .external_lex_state = 2},
  [6463] = {.lex_state = 400, .external_lex_state = 5},
  [6464] = {.lex_state = 51, .external_lex_state = 2},
  [6465] = {.lex_state = 400, .external_lex_state = 5},
  [6466] = {.lex_state = 51, .external_lex_state = 2},
  [6467] = {.lex_state = 400, .external_lex_state = 2},
  [6468] = {.lex_state = 51, .external_lex_state = 2},
  [6469] = {.lex_state = 400, .external_lex_state = 2},
  [6470] = {.lex_state = 400, .external_lex_state = 2},
  [6471] = {.lex_state = 51, .external_lex_state = 2},
  [6472] = {.lex_state = 400, .external_lex_state = 2},
  [6473] = {.lex_state = 400, .external_lex_state = 2},
  [6474] = {.lex_state = 400, .external_lex_state = 2},
  [6475] = {.lex_state = 400, .external_lex_state = 2},
  [6476] = {.lex_state = 400, .external_lex_state = 2},
  [6477] = {.lex_state = 400, .external_lex_state = 5},
  [6478] = {.lex_state = 400, .external_lex_state = 2},
  [6479] = {.lex_state = 51, .external_lex_state = 2},
  [6480] = {.lex_state = 400, .external_lex_state = 2},
  [6481] = {.lex_state = 400, .external_lex_state = 2},
  [6482] = {.lex_state = 400, .external_lex_state = 2},
  [6483] = {.lex_state = 400, .external_lex_state = 2},
  [6484] = {.lex_state = 400, .external_lex_state = 2},
  [6485] = {.lex_state = 51, .external_lex_state = 2},
  [6486] = {.lex_state = 400, .external_lex_state = 2},
  [6487] = {.lex_state = 400, .external_lex_state = 2},
  [6488] = {.lex_state = 400, .external_lex_state = 2},
  [6489] = {.lex_state = 51, .external_lex_state = 2},
  [6490] = {.lex_state = 51, .external_lex_state = 2},
  [6491] = {.lex_state = 400, .external_lex_state = 2},
  [6492] = {.lex_state = 400, .external_lex_state = 2},
  [6493] = {.lex_state = 400, .external_lex_state = 2},
  [6494] = {.lex_state = 400, .external_lex_state = 2},
  [6495] = {.lex_state = 400, .external_lex_state = 2},
  [6496] = {.lex_state = 400, .external_lex_state = 2},
  [6497] = {.lex_state = 400, .external_lex_state = 2},
  [6498] = {.lex_state = 400, .external_lex_state = 2},
  [6499] = {.lex_state = 400, .external_lex_state = 2},
  [6500] = {.lex_state = 400, .external_lex_state = 2},
  [6501] = {.lex_state = 400, .external_lex_state = 2},
  [6502] = {.lex_state = 400, .external_lex_state = 2},
  [6503] = {.lex_state = 400, .external_lex_state = 2},
  [6504] = {.lex_state = 400, .external_lex_state = 5},
  [6505] = {.lex_state = 400, .external_lex_state = 2},
  [6506] = {.lex_state = 400, .external_lex_state = 2},
  [6507] = {.lex_state = 400, .external_lex_state = 2},
  [6508] = {.lex_state = 400, .external_lex_state = 2},
  [6509] = {.lex_state = 51, .external_lex_state = 2},
  [6510] = {.lex_state = 400, .external_lex_state = 2},
  [6511] = {.lex_state = 400, .external_lex_state = 2},
  [6512] = {.lex_state = 400, .external_lex_state = 2},
  [6513] = {.lex_state = 400, .external_lex_state = 2},
  [6514] = {.lex_state = 51, .external_lex_state = 2},
  [6515] = {.lex_state = 400, .external_lex_state = 2},
  [6516] = {.lex_state = 400, .external_lex_state = 2},
  [6517] = {.lex_state = 400, .external_lex_state = 2},
  [6518] = {.lex_state = 400, .external_lex_state = 2},
  [6519] = {.lex_state = 400, .external_lex_state = 2},
  [6520] = {.lex_state = 51, .external_lex_state = 2},
  [6521] = {.lex_state = 400, .external_lex_state = 2},
  [6522] = {.lex_state = 400, .external_lex_state = 5},
  [6523] = {.lex_state = 51, .external_lex_state = 2},
  [6524] = {.lex_state = 400, .external_lex_state = 2},
  [6525] = {.lex_state = 400, .external_lex_state = 2},
  [6526] = {.lex_state = 400, .external_lex_state = 2},
  [6527] = {.lex_state = 400, .external_lex_state = 2},
  [6528] = {.lex_state = 400, .external_lex_state = 2},
  [6529] = {.lex_state = 400, .external_lex_state = 5},
  [6530] = {.lex_state = 51, .external_lex_state = 2},
  [6531] = {.lex_state = 400, .external_lex_state = 5},
  [6532] = {.lex_state = 51, .external_lex_state = 2},
  [6533] = {.lex_state = 51, .external_lex_state = 2},
  [6534] = {.lex_state = 400, .external_lex_state = 2},
  [6535] = {.lex_state = 51, .external_lex_state = 2},
  [6536] = {.lex_state = 400, .external_lex_state = 2},
  [6537] = {.lex_state = 400, .external_lex_state = 2},
  [6538] = {.lex_state = 400, .external_lex_state = 2},
  [6539] = {.lex_state = 51, .external_lex_state = 2},
  [6540] = {.lex_state = 400, .external_lex_state = 2},
  [6541] = {.lex_state = 400, .external_lex_state = 2},
  [6542] = {.lex_state = 400, .external_lex_state = 2},
  [6543] = {.lex_state = 51, .external_lex_state = 2},
  [6544] = {.lex_state = 400, .external_lex_state = 2},
  [6545] = {.lex_state = 400, .external_lex_state = 2},
  [6546] = {.lex_state = 400, .external_lex_state = 5},
  [6547] = {.lex_state = 400, .external_lex_state = 2},
  [6548] = {.lex_state = 400, .external_lex_state = 2},
  [6549] = {.lex_state = 400, .external_lex_state = 2},
  [6550] = {.lex_state = 400, .external_lex_state = 2},
  [6551] = {.lex_state = 400, .external_lex_state = 2},
  [6552] = {.lex_state = 400, .external_lex_state = 5},
  [6553] = {.lex_state = 51, .external_lex_state = 2},
  [6554] = {.lex_state = 400, .external_lex_state = 2},
  [6555] = {.lex_state = 400, .external_lex_state = 2},
  [6556] = {.lex_state = 51, .external_lex_state = 2},
  [6557] = {.lex_state = 400, .external_lex_state = 2},
  [6558] = {.lex_state = 400, .external_lex_state = 5},
  [6559] = {.lex_state = 400, .external_lex_state = 5},
  [6560] = {.lex_state = 400, .external_lex_state = 2},
  [6561] = {.lex_state = 400, .external_lex_state = 2},
  [6562] = {.lex_state = 400, .external_lex_state = 2},
  [6563] = {.lex_state = 51, .external_lex_state = 2},
  [6564] = {.lex_state = 400, .external_lex_state = 2},
  [6565] = {.lex_state = 400, .external_lex_state = 2},
  [6566] = {.lex_state = 400, .external_lex_state = 2},
  [6567] = {.lex_state = 400, .external_lex_state = 2},
  [6568] = {.lex_state = 400, .external_lex_state = 2},
  [6569] = {.lex_state = 400, .external_lex_state = 2},
  [6570] = {.lex_state = 400, .external_lex_state = 5},
  [6571] = {.lex_state = 400, .external_lex_state = 5},
  [6572] = {.lex_state = 400, .external_lex_state = 5},
  [6573] = {.lex_state = 400, .external_lex_state = 2},
  [6574] = {.lex_state = 400, .external_lex_state = 2},
  [6575] = {.lex_state = 400, .external_lex_state = 2},
  [6576] = {.lex_state = 400, .external_lex_state = 2},
  [6577] = {.lex_state = 400, .external_lex_state = 5},
  [6578] = {.lex_state = 400, .external_lex_state = 2},
  [6579] = {.lex_state = 400, .external_lex_state = 5},
  [6580] = {.lex_state = 400, .external_lex_state = 2},
  [6581] = {.lex_state = 400, .external_lex_state = 2},
  [6582] = {.lex_state = 400, .external_lex_state = 2},
  [6583] = {.lex_state = 400, .external_lex_state = 2},
  [6584] = {.lex_state = 400, .external_lex_state = 2},
  [6585] = {.lex_state = 400, .external_lex_state = 5},
  [6586] = {.lex_state = 400, .external_lex_state = 5},
  [6587] = {.lex_state = 400, .external_lex_state = 2},
  [6588] = {.lex_state = 400, .external_lex_state = 2},
  [6589] = {.lex_state = 400, .external_lex_state = 2},
  [6590] = {.lex_state = 400, .external_lex_state = 2},
  [6591] = {.lex_state = 400, .external_lex_state = 5},
  [6592] = {.lex_state = 400, .external_lex_state = 2},
  [6593] = {.lex_state = 51, .external_lex_state = 2},
  [6594] = {.lex_state = 400, .external_lex_state = 2},
  [6595] = {.lex_state = 400, .external_lex_state = 5},
  [6596] = {.lex_state = 400, .external_lex_state = 2},
  [6597] = {.lex_state = 400, .external_lex_state = 5},
  [6598] = {.lex_state = 400, .external_lex_state = 5},
  [6599] = {.lex_state = 400, .external_lex_state = 2},
  [6600] = {.lex_state = 400, .external_lex_state = 2},
  [6601] = {.lex_state = 400, .external_lex_state = 2},
  [6602] = {.lex_state = 400, .external_lex_state = 2},
  [6603] = {.lex_state = 51, .external_lex_state = 2},
  [6604] = {.lex_state = 400, .external_lex_state = 2},
  [6605] = {.lex_state = 400, .external_lex_state = 2},
  [6606] = {.lex_state = 400, .external_lex_state = 5},
  [6607] = {.lex_state = 400, .external_lex_state = 2},
  [6608] = {.lex_state = 2, .external_lex_state = 2},
  [6609] = {.lex_state = 400, .external_lex_state = 2},
  [6610] = {.lex_state = 400, .external_lex_state = 2},
  [6611] = {.lex_state = 400, .external_lex_state = 2},
  [6612] = {.lex_state = 400, .external_lex_state = 2},
  [6613] = {.lex_state = 400, .external_lex_state = 5},
  [6614] = {.lex_state = 400, .external_lex_state = 2},
  [6615] = {.lex_state = 400, .external_lex_state = 5},
  [6616] = {.lex_state = 400, .external_lex_state = 5},
  [6617] = {.lex_state = 400, .external_lex_state = 2},
  [6618] = {.lex_state = 51, .external_lex_state = 2},
  [6619] = {.lex_state = 400, .external_lex_state = 2},
  [6620] = {.lex_state = 400, .external_lex_state = 2},
  [6621] = {.lex_state = 400, .external_lex_state = 2},
  [6622] = {.lex_state = 51, .external_lex_state = 2},
  [6623] = {.lex_state = 400, .external_lex_state = 5},
  [6624] = {.lex_state = 400, .external_lex_state = 2},
  [6625] = {.lex_state = 400, .external_lex_state = 2},
  [6626] = {.lex_state = 400, .external_lex_state = 2},
  [6627] = {.lex_state = 400, .external_lex_state = 2},
  [6628] = {.lex_state = 400, .external_lex_state = 2},
  [6629] = {.lex_state = 400, .external_lex_state = 2},
  [6630] = {.lex_state = 400, .external_lex_state = 5},
  [6631] = {.lex_state = 400, .external_lex_state = 5},
  [6632] = {.lex_state = 400, .external_lex_state = 2},
  [6633] = {.lex_state = 400, .external_lex_state = 2},
  [6634] = {.lex_state = 400, .external_lex_state = 2},
  [6635] = {.lex_state = 400, .external_lex_state = 2},
  [6636] = {.lex_state = 400, .external_lex_state = 2},
  [6637] = {.lex_state = 400, .external_lex_state = 5},
  [6638] = {.lex_state = 400, .external_lex_state = 2},
  [6639] = {.lex_state = 400, .external_lex_state = 2},
  [6640] = {.lex_state = 400, .external_lex_state = 5},
  [6641] = {.lex_state = 400, .external_lex_state = 5},
  [6642] = {.lex_state = 400, .external_lex_state = 2},
  [6643] = {.lex_state = 400, .external_lex_state = 2},
  [6644] = {.lex_state = 400, .external_lex_state = 2},
  [6645] = {.lex_state = 400, .external_lex_state = 2},
  [6646] = {.lex_state = 400, .external_lex_state = 2},
  [6647] = {.lex_state = 400, .external_lex_state = 2},
  [6648] = {.lex_state = 51, .external_lex_state = 2},
  [6649] = {.lex_state = 400, .external_lex_state = 2},
  [6650] = {.lex_state = 400, .external_lex_state = 2},
  [6651] = {.lex_state = 400, .external_lex_state = 2},
  [6652] = {.lex_state = 400, .external_lex_state = 2},
  [6653] = {.lex_state = 400, .external_lex_state = 2},
  [6654] = {.lex_state = 50, .external_lex_state = 2},
  [6655] = {.lex_state = 400, .external_lex_state = 2},
  [6656] = {.lex_state = 400, .external_lex_state = 2},
  [6657] = {.lex_state = 400, .external_lex_state = 2},
  [6658] = {.lex_state = 400, .external_lex_state = 2},
  [6659] = {.lex_state = 400, .external_lex_state = 5},
  [6660] = {.lex_state = 400, .external_lex_state = 2},
  [6661] = {.lex_state = 400, .external_lex_state = 2},
  [6662] = {.lex_state = 400, .external_lex_state = 2},
  [6663] = {.lex_state = 400, .external_lex_state = 2},
  [6664] = {.lex_state = 400, .external_lex_state = 2},
  [6665] = {.lex_state = 400, .external_lex_state = 2},
  [6666] = {.lex_state = 400, .external_lex_state = 2},
  [6667] = {.lex_state = 400, .external_lex_state = 5},
  [6668] = {.lex_state = 400, .external_lex_state = 2},
  [6669] = {.lex_state = 400, .external_lex_state = 5},
  [6670] = {.lex_state = 400, .external_lex_state = 5},
  [6671] = {.lex_state = 400, .external_lex_state = 5},
  [6672] = {.lex_state = 400, .external_lex_state = 5},
  [6673] = {.lex_state = 400, .external_lex_state = 2},
  [6674] = {.lex_state = 400, .external_lex_state = 5},
  [6675] = {.lex_state = 400, .external_lex_state = 2},
  [6676] = {.lex_state = 400, .external_lex_state = 2},
  [6677] = {.lex_state = 400, .external_lex_state = 2},
  [6678] = {.lex_state = 400, .external_lex_state = 2},
  [6679] = {.lex_state = 400, .external_lex_state = 2},
  [6680] = {.lex_state = 400, .external_lex_state = 2},
  [6681] = {.lex_state = 400, .external_lex_state = 2},
  [6682] = {.lex_state = 400, .external_lex_state = 2},
  [6683] = {.lex_state = 400, .external_lex_state = 2},
  [6684] = {.lex_state = 400, .external_lex_state = 2},
  [6685] = {.lex_state = 400, .external_lex_state = 2},
  [6686] = {.lex_state = 400, .external_lex_state = 5},
  [6687] = {.lex_state = 400, .external_lex_state = 2},
  [6688] = {.lex_state = 48, .external_lex_state = 2},
  [6689] = {.lex_state = 400, .external_lex_state = 2},
  [6690] = {.lex_state = 400, .external_lex_state = 5},
  [6691] = {.lex_state = 400, .external_lex_state = 2},
  [6692] = {.lex_state = 48, .external_lex_state = 2},
  [6693] = {.lex_state = 400, .external_lex_state = 2},
  [6694] = {.lex_state = 400, .external_lex_state = 2},
  [6695] = {.lex_state = 400, .external_lex_state = 2},
  [6696] = {.lex_state = 400, .external_lex_state = 5},
  [6697] = {.lex_state = 400, .external_lex_state = 2},
  [6698] = {.lex_state = 400, .external_lex_state = 2},
  [6699] = {.lex_state = 400, .external_lex_state = 2},
  [6700] = {.lex_state = 400, .external_lex_state = 5},
  [6701] = {.lex_state = 400, .external_lex_state = 2},
  [6702] = {.lex_state = 400, .external_lex_state = 2},
  [6703] = {.lex_state = 400, .external_lex_state = 2},
  [6704] = {.lex_state = 400, .external_lex_state = 2},
  [6705] = {.lex_state = 51, .external_lex_state = 2},
  [6706] = {.lex_state = 400, .external_lex_state = 5},
  [6707] = {.lex_state = 51, .external_lex_state = 2},
  [6708] = {.lex_state = 400, .external_lex_state = 5},
  [6709] = {.lex_state = 400, .external_lex_state = 2},
  [6710] = {.lex_state = 400, .external_lex_state = 2},
  [6711] = {.lex_state = 400, .external_lex_state = 2},
  [6712] = {.lex_state = 400, .external_lex_state = 2},
  [6713] = {.lex_state = 400, .external_lex_state = 2},
  [6714] = {.lex_state = 400, .external_lex_state = 2},
  [6715] = {.lex_state = 51, .external_lex_state = 2},
  [6716] = {.lex_state = 400, .external_lex_state = 2},
  [6717] = {.lex_state = 400, .external_lex_state = 5},
  [6718] = {.lex_state = 400, .external_lex_state = 5},
  [6719] = {.lex_state = 400, .external_lex_state = 2},
  [6720] = {.lex_state = 400, .external_lex_state = 2},
  [6721] = {.lex_state = 400, .external_lex_state = 5},
  [6722] = {.lex_state = 400, .external_lex_state = 2},
  [6723] = {.lex_state = 400, .external_lex_state = 2},
  [6724] = {.lex_state = 400, .external_lex_state = 2},
  [6725] = {.lex_state = 400, .external_lex_state = 2},
  [6726] = {.lex_state = 400, .external_lex_state = 2},
  [6727] = {.lex_state = 400, .external_lex_state = 2},
  [6728] = {.lex_state = 400, .external_lex_state = 2},
  [6729] = {.lex_state = 400, .external_lex_state = 2},
  [6730] = {.lex_state = 48, .external_lex_state = 2},
  [6731] = {.lex_state = 48, .external_lex_state = 2},
  [6732] = {.lex_state = 51, .external_lex_state = 2},
  [6733] = {.lex_state = 51, .external_lex_state = 2},
  [6734] = {.lex_state = 400, .external_lex_state = 2},
  [6735] = {.lex_state = 78, .external_lex_state = 2},
  [6736] = {.lex_state = 400, .external_lex_state = 2},
  [6737] = {.lex_state = 400, .external_lex_state = 2},
  [6738] = {.lex_state = 400, .external_lex_state = 2},
  [6739] = {.lex_state = 400, .external_lex_state = 2},
  [6740] = {.lex_state = 400, .external_lex_state = 2},
  [6741] = {.lex_state = 400, .external_lex_state = 2},
  [6742] = {.lex_state = 400, .external_lex_state = 2},
  [6743] = {.lex_state = 400, .external_lex_state = 5},
  [6744] = {.lex_state = 400, .external_lex_state = 5},
  [6745] = {.lex_state = 400, .external_lex_state = 2},
  [6746] = {.lex_state = 400, .external_lex_state = 2},
  [6747] = {.lex_state = 400, .external_lex_state = 2},
  [6748] = {.lex_state = 400, .external_lex_state = 2},
  [6749] = {.lex_state = 400, .external_lex_state = 2},
  [6750] = {.lex_state = 400, .external_lex_state = 5},
  [6751] = {.lex_state = 400, .external_lex_state = 2},
  [6752] = {.lex_state = 400, .external_lex_state = 2},
  [6753] = {.lex_state = 400, .external_lex_state = 5},
  [6754] = {.lex_state = 400, .external_lex_state = 2},
  [6755] = {.lex_state = 400, .external_lex_state = 5},
  [6756] = {.lex_state = 400, .external_lex_state = 5},
  [6757] = {.lex_state = 400, .external_lex_state = 2},
  [6758] = {.lex_state = 400, .external_lex_state = 2},
  [6759] = {.lex_state = 400, .external_lex_state = 2},
  [6760] = {.lex_state = 400, .external_lex_state = 2},
  [6761] = {.lex_state = 400, .external_lex_state = 2},
  [6762] = {.lex_state = 400, .external_lex_state = 2},
  [6763] = {.lex_state = 400, .external_lex_state = 2},
  [6764] = {.lex_state = 400, .external_lex_state = 2},
  [6765] = {.lex_state = 400, .external_lex_state = 2},
  [6766] = {.lex_state = 400, .external_lex_state = 2},
  [6767] = {.lex_state = 400, .external_lex_state = 2},
  [6768] = {.lex_state = 400, .external_lex_state = 2},
  [6769] = {.lex_state = 400, .external_lex_state = 2},
  [6770] = {.lex_state = 400, .external_lex_state = 2},
  [6771] = {.lex_state = 400, .external_lex_state = 2},
  [6772] = {.lex_state = 400, .external_lex_state = 2},
  [6773] = {.lex_state = 400, .external_lex_state = 2},
  [6774] = {.lex_state = 400, .external_lex_state = 2},
  [6775] = {.lex_state = 400, .external_lex_state = 2},
  [6776] = {.lex_state = 400, .external_lex_state = 2},
  [6777] = {.lex_state = 400, .external_lex_state = 2},
  [6778] = {.lex_state = 400, .external_lex_state = 5},
  [6779] = {.lex_state = 400, .external_lex_state = 2},
  [6780] = {.lex_state = 400, .external_lex_state = 2},
  [6781] = {.lex_state = 51, .external_lex_state = 2},
  [6782] = {.lex_state = 400, .external_lex_state = 2},
  [6783] = {.lex_state = 400, .external_lex_state = 2},
  [6784] = {.lex_state = 400, .external_lex_state = 2},
  [6785] = {.lex_state = 400, .external_lex_state = 2},
  [6786] = {.lex_state = 48, .external_lex_state = 2},
  [6787] = {.lex_state = 51, .external_lex_state = 2},
  [6788] = {.lex_state = 51, .external_lex_state = 2},
  [6789] = {.lex_state = 400, .external_lex_state = 2},
  [6790] = {.lex_state = 400, .external_lex_state = 5},
  [6791] = {.lex_state = 400, .external_lex_state = 2},
  [6792] = {.lex_state = 51, .external_lex_state = 2},
  [6793] = {.lex_state = 400, .external_lex_state = 2},
  [6794] = {.lex_state = 400, .external_lex_state = 5},
  [6795] = {.lex_state = 400, .external_lex_state = 2},
  [6796] = {.lex_state = 48, .external_lex_state = 2},
  [6797] = {.lex_state = 51, .external_lex_state = 2},
  [6798] = {.lex_state = 400, .external_lex_state = 2},
  [6799] = {.lex_state = 400, .external_lex_state = 2},
  [6800] = {.lex_state = 400, .external_lex_state = 2},
  [6801] = {.lex_state = 51, .external_lex_state = 2},
  [6802] = {.lex_state = 400, .external_lex_state = 2},
  [6803] = {.lex_state = 400, .external_lex_state = 2},
  [6804] = {.lex_state = 51, .external_lex_state = 2},
  [6805] = {.lex_state = 400, .external_lex_state = 2},
  [6806] = {.lex_state = 400, .external_lex_state = 2},
  [6807] = {.lex_state = 400, .external_lex_state = 2},
  [6808] = {.lex_state = 400, .external_lex_state = 2},
  [6809] = {.lex_state = 400, .external_lex_state = 2},
  [6810] = {.lex_state = 400, .external_lex_state = 2},
  [6811] = {.lex_state = 400, .external_lex_state = 2},
  [6812] = {.lex_state = 400, .external_lex_state = 2},
  [6813] = {.lex_state = 51, .external_lex_state = 2},
  [6814] = {.lex_state = 400, .external_lex_state = 2},
  [6815] = {.lex_state = 400, .external_lex_state = 2},
  [6816] = {.lex_state = 400, .external_lex_state = 2},
  [6817] = {.lex_state = 400, .external_lex_state = 2},
  [6818] = {.lex_state = 400, .external_lex_state = 2},
  [6819] = {.lex_state = 400, .external_lex_state = 2},
  [6820] = {.lex_state = 400, .external_lex_state = 2},
  [6821] = {.lex_state = 400, .external_lex_state = 2},
  [6822] = {.lex_state = 400, .external_lex_state = 2},
  [6823] = {.lex_state = 400, .external_lex_state = 2},
  [6824] = {.lex_state = 400, .external_lex_state = 2},
  [6825] = {.lex_state = 400, .external_lex_state = 2},
  [6826] = {.lex_state = 400, .external_lex_state = 5},
  [6827] = {.lex_state = 400, .external_lex_state = 2},
  [6828] = {.lex_state = 400, .external_lex_state = 2},
  [6829] = {.lex_state = 400, .external_lex_state = 2},
  [6830] = {.lex_state = 400, .external_lex_state = 2},
  [6831] = {.lex_state = 400, .external_lex_state = 2},
  [6832] = {.lex_state = 400, .external_lex_state = 2},
  [6833] = {.lex_state = 400, .external_lex_state = 2},
  [6834] = {.lex_state = 400, .external_lex_state = 2},
  [6835] = {.lex_state = 400, .external_lex_state = 2},
  [6836] = {.lex_state = 400, .external_lex_state = 2},
  [6837] = {.lex_state = 400, .external_lex_state = 5},
  [6838] = {.lex_state = 400, .external_lex_state = 5},
  [6839] = {.lex_state = 400, .external_lex_state = 2},
  [6840] = {.lex_state = 51, .external_lex_state = 2},
  [6841] = {.lex_state = 51, .external_lex_state = 2},
  [6842] = {.lex_state = 400, .external_lex_state = 2},
  [6843] = {.lex_state = 51, .external_lex_state = 2},
  [6844] = {.lex_state = 51, .external_lex_state = 2},
  [6845] = {.lex_state = 400, .external_lex_state = 2},
  [6846] = {.lex_state = 51, .external_lex_state = 2},
  [6847] = {.lex_state = 400, .external_lex_state = 2},
  [6848] = {.lex_state = 400, .external_lex_state = 2},
  [6849] = {.lex_state = 400, .external_lex_state = 2},
  [6850] = {.lex_state = 400, .external_lex_state = 2},
  [6851] = {.lex_state = 51, .external_lex_state = 2},
  [6852] = {.lex_state = 48, .external_lex_state = 2},
  [6853] = {.lex_state = 400, .external_lex_state = 2},
  [6854] = {.lex_state = 51, .external_lex_state = 2},
  [6855] = {.lex_state = 400, .external_lex_state = 2},
  [6856] = {.lex_state = 51, .external_lex_state = 2},
  [6857] = {.lex_state = 400, .external_lex_state = 2},
  [6858] = {.lex_state = 400, .external_lex_state = 5},
  [6859] = {.lex_state = 51, .external_lex_state = 2},
  [6860] = {.lex_state = 400, .external_lex_state = 2},
  [6861] = {.lex_state = 400, .external_lex_state = 2},
  [6862] = {.lex_state = 400, .external_lex_state = 2},
  [6863] = {.lex_state = 400, .external_lex_state = 2},
  [6864] = {.lex_state = 400, .external_lex_state = 2},
  [6865] = {.lex_state = 400, .external_lex_state = 2},
  [6866] = {.lex_state = 400, .external_lex_state = 2},
  [6867] = {.lex_state = 51, .external_lex_state = 2},
  [6868] = {.lex_state = 400, .external_lex_state = 2},
  [6869] = {.lex_state = 400, .external_lex_state = 2},
  [6870] = {.lex_state = 400, .external_lex_state = 2},
  [6871] = {.lex_state = 400, .external_lex_state = 2},
  [6872] = {.lex_state = 400, .external_lex_state = 2},
  [6873] = {.lex_state = 51, .external_lex_state = 2},
  [6874] = {.lex_state = 400, .external_lex_state = 2},
  [6875] = {.lex_state = 400, .external_lex_state = 2},
  [6876] = {.lex_state = 51, .external_lex_state = 2},
  [6877] = {.lex_state = 400, .external_lex_state = 2},
  [6878] = {.lex_state = 48, .external_lex_state = 2},
  [6879] = {.lex_state = 400, .external_lex_state = 5},
  [6880] = {.lex_state = 400, .external_lex_state = 2},
  [6881] = {.lex_state = 400, .external_lex_state = 2},
  [6882] = {.lex_state = 400, .external_lex_state = 2},
  [6883] = {.lex_state = 400, .external_lex_state = 2},
  [6884] = {.lex_state = 400, .external_lex_state = 2},
  [6885] = {.lex_state = 400, .external_lex_state = 2},
  [6886] = {.lex_state = 400, .external_lex_state = 2},
  [6887] = {.lex_state = 400, .external_lex_state = 2},
  [6888] = {.lex_state = 400, .external_lex_state = 2},
  [6889] = {.lex_state = 400, .external_lex_state = 2},
  [6890] = {.lex_state = 400, .external_lex_state = 2},
  [6891] = {.lex_state = 400, .external_lex_state = 2},
  [6892] = {.lex_state = 400, .external_lex_state = 2},
  [6893] = {.lex_state = 400, .external_lex_state = 2},
  [6894] = {.lex_state = 51, .external_lex_state = 2},
  [6895] = {.lex_state = 400, .external_lex_state = 2},
  [6896] = {.lex_state = 400, .external_lex_state = 2},
  [6897] = {.lex_state = 400, .external_lex_state = 2},
  [6898] = {.lex_state = 400, .external_lex_state = 2},
  [6899] = {.lex_state = 400, .external_lex_state = 2},
  [6900] = {.lex_state = 400, .external_lex_state = 2},
  [6901] = {.lex_state = 400, .external_lex_state = 2},
  [6902] = {.lex_state = 400, .external_lex_state = 2},
  [6903] = {.lex_state = 400, .external_lex_state = 2},
  [6904] = {.lex_state = 400, .external_lex_state = 2},
  [6905] = {.lex_state = 400, .external_lex_state = 2},
  [6906] = {.lex_state = 400, .external_lex_state = 2},
  [6907] = {.lex_state = 400, .external_lex_state = 5},
  [6908] = {.lex_state = 400, .external_lex_state = 5},
  [6909] = {.lex_state = 400, .external_lex_state = 2},
  [6910] = {.lex_state = 400, .external_lex_state = 2},
  [6911] = {.lex_state = 400, .external_lex_state = 2},
  [6912] = {.lex_state = 51, .external_lex_state = 2},
  [6913] = {.lex_state = 400, .external_lex_state = 2},
  [6914] = {.lex_state = 400, .external_lex_state = 5},
  [6915] = {.lex_state = 400, .external_lex_state = 2},
  [6916] = {.lex_state = 400, .external_lex_state = 2},
  [6917] = {.lex_state = 400, .external_lex_state = 2},
  [6918] = {.lex_state = 400, .external_lex_state = 2},
  [6919] = {.lex_state = 400, .external_lex_state = 5},
  [6920] = {.lex_state = 400, .external_lex_state = 5},
  [6921] = {.lex_state = 400, .external_lex_state = 2},
  [6922] = {.lex_state = 400, .external_lex_state = 2},
  [6923] = {.lex_state = 400, .external_lex_state = 2},
  [6924] = {.lex_state = 400, .external_lex_state = 2},
  [6925] = {.lex_state = 400, .external_lex_state = 2},
  [6926] = {.lex_state = 400, .external_lex_state = 2},
  [6927] = {.lex_state = 400, .external_lex_state = 2},
  [6928] = {.lex_state = 400, .external_lex_state = 2},
  [6929] = {.lex_state = 400, .external_lex_state = 2},
  [6930] = {.lex_state = 51, .external_lex_state = 2},
  [6931] = {.lex_state = 400, .external_lex_state = 2},
  [6932] = {.lex_state = 400, .external_lex_state = 2},
  [6933] = {.lex_state = 400, .external_lex_state = 2},
  [6934] = {.lex_state = 400, .external_lex_state = 2},
  [6935] = {.lex_state = 400, .external_lex_state = 2},
  [6936] = {.lex_state = 400, .external_lex_state = 2},
  [6937] = {.lex_state = 400, .external_lex_state = 2},
  [6938] = {.lex_state = 400, .external_lex_state = 2},
  [6939] = {.lex_state = 400, .external_lex_state = 2},
  [6940] = {.lex_state = 400, .external_lex_state = 5},
  [6941] = {.lex_state = 400, .external_lex_state = 2},
  [6942] = {.lex_state = 400, .external_lex_state = 2},
  [6943] = {.lex_state = 51, .external_lex_state = 2},
  [6944] = {.lex_state = 400, .external_lex_state = 2},
  [6945] = {.lex_state = 400, .external_lex_state = 2},
  [6946] = {.lex_state = 400, .external_lex_state = 5},
  [6947] = {.lex_state = 400, .external_lex_state = 2},
  [6948] = {.lex_state = 400, .external_lex_state = 5},
  [6949] = {.lex_state = 400, .external_lex_state = 2},
  [6950] = {.lex_state = 400, .external_lex_state = 2},
  [6951] = {.lex_state = 400, .external_lex_state = 2},
  [6952] = {.lex_state = 400, .external_lex_state = 2},
  [6953] = {.lex_state = 400, .external_lex_state = 2},
  [6954] = {.lex_state = 400, .external_lex_state = 2},
  [6955] = {.lex_state = 400, .external_lex_state = 5},
  [6956] = {.lex_state = 400, .external_lex_state = 5},
  [6957] = {.lex_state = 400, .external_lex_state = 2},
  [6958] = {.lex_state = 400, .external_lex_state = 2},
  [6959] = {.lex_state = 400, .external_lex_state = 2},
  [6960] = {.lex_state = 400, .external_lex_state = 5},
  [6961] = {.lex_state = 400, .external_lex_state = 2},
  [6962] = {.lex_state = 400, .external_lex_state = 2},
  [6963] = {.lex_state = 400, .external_lex_state = 2},
  [6964] = {.lex_state = 48, .external_lex_state = 2},
  [6965] = {.lex_state = 400, .external_lex_state = 5},
  [6966] = {.lex_state = 48, .external_lex_state = 2},
  [6967] = {.lex_state = 400, .external_lex_state = 2},
  [6968] = {.lex_state = 400, .external_lex_state = 2},
  [6969] = {.lex_state = 400, .external_lex_state = 2},
  [6970] = {.lex_state = 400, .external_lex_state = 2},
  [6971] = {.lex_state = 400, .external_lex_state = 2},
  [6972] = {.lex_state = 400, .external_lex_state = 2},
  [6973] = {.lex_state = 400, .external_lex_state = 2},
  [6974] = {.lex_state = 400, .external_lex_state = 2},
  [6975] = {.lex_state = 400, .external_lex_state = 2},
  [6976] = {.lex_state = 400, .external_lex_state = 2},
  [6977] = {.lex_state = 400, .external_lex_state = 2},
  [6978] = {.lex_state = 400, .external_lex_state = 2},
  [6979] = {.lex_state = 400, .external_lex_state = 2},
  [6980] = {.lex_state = 400, .external_lex_state = 2},
  [6981] = {.lex_state = 400, .external_lex_state = 5},
  [6982] = {.lex_state = 400, .external_lex_state = 2},
  [6983] = {.lex_state = 400, .external_lex_state = 2},
  [6984] = {.lex_state = 48, .external_lex_state = 2},
  [6985] = {.lex_state = 400, .external_lex_state = 2},
  [6986] = {.lex_state = 400, .external_lex_state = 2},
  [6987] = {.lex_state = 400, .external_lex_state = 2},
  [6988] = {.lex_state = 400, .external_lex_state = 2},
  [6989] = {.lex_state = 400, .external_lex_state = 2},
  [6990] = {.lex_state = 400, .external_lex_state = 2},
  [6991] = {.lex_state = 48, .external_lex_state = 2},
  [6992] = {.lex_state = 400, .external_lex_state = 5},
  [6993] = {.lex_state = 400, .external_lex_state = 2},
  [6994] = {.lex_state = 400, .external_lex_state = 2},
  [6995] = {.lex_state = 400, .external_lex_state = 2},
  [6996] = {.lex_state = 400, .external_lex_state = 2},
  [6997] = {.lex_state = 400, .external_lex_state = 2},
  [6998] = {.lex_state = 400, .external_lex_state = 2},
  [6999] = {.lex_state = 2, .external_lex_state = 2},
  [7000] = {.lex_state = 400, .external_lex_state = 2},
  [7001] = {.lex_state = 400, .external_lex_state = 2},
  [7002] = {.lex_state = 400, .external_lex_state = 2},
  [7003] = {.lex_state = 400, .external_lex_state = 2},
  [7004] = {.lex_state = 400, .external_lex_state = 2},
  [7005] = {.lex_state = 400, .external_lex_state = 2},
  [7006] = {.lex_state = 400, .external_lex_state = 2},
  [7007] = {.lex_state = 400, .external_lex_state = 2},
  [7008] = {.lex_state = 400, .external_lex_state = 2},
  [7009] = {.lex_state = 51, .external_lex_state = 2},
  [7010] = {.lex_state = 400, .external_lex_state = 2},
  [7011] = {.lex_state = 51, .external_lex_state = 2},
  [7012] = {.lex_state = 400, .external_lex_state = 2},
  [7013] = {.lex_state = 400, .external_lex_state = 2},
  [7014] = {.lex_state = 400, .external_lex_state = 2},
  [7015] = {.lex_state = 400, .external_lex_state = 2},
  [7016] = {.lex_state = 400, .external_lex_state = 2},
  [7017] = {.lex_state = 400, .external_lex_state = 2},
  [7018] = {.lex_state = 400, .external_lex_state = 2},
  [7019] = {.lex_state = 400, .external_lex_state = 2},
  [7020] = {.lex_state = 400, .external_lex_state = 2},
  [7021] = {.lex_state = 400, .external_lex_state = 2},
  [7022] = {.lex_state = 400, .external_lex_state = 2},
  [7023] = {.lex_state = 400, .external_lex_state = 2},
  [7024] = {.lex_state = 400, .external_lex_state = 2},
  [7025] = {.lex_state = 400, .external_lex_state = 2},
  [7026] = {.lex_state = 400, .external_lex_state = 2},
  [7027] = {.lex_state = 400, .external_lex_state = 2},
  [7028] = {.lex_state = 400, .external_lex_state = 2},
  [7029] = {.lex_state = 400, .external_lex_state = 2},
  [7030] = {.lex_state = 400, .external_lex_state = 2},
  [7031] = {.lex_state = 400, .external_lex_state = 2},
  [7032] = {.lex_state = 400, .external_lex_state = 2},
  [7033] = {.lex_state = 400, .external_lex_state = 2},
  [7034] = {.lex_state = 400, .external_lex_state = 2},
  [7035] = {.lex_state = 400, .external_lex_state = 2},
  [7036] = {.lex_state = 400, .external_lex_state = 5},
  [7037] = {.lex_state = 400, .external_lex_state = 2},
  [7038] = {.lex_state = 400, .external_lex_state = 5},
  [7039] = {.lex_state = 400, .external_lex_state = 2},
  [7040] = {.lex_state = 400, .external_lex_state = 5},
  [7041] = {.lex_state = 400, .external_lex_state = 5},
  [7042] = {.lex_state = 400, .external_lex_state = 2},
  [7043] = {.lex_state = 400, .external_lex_state = 5},
  [7044] = {.lex_state = 400, .external_lex_state = 2},
  [7045] = {.lex_state = 400, .external_lex_state = 2},
  [7046] = {.lex_state = 400, .external_lex_state = 5},
  [7047] = {.lex_state = 400, .external_lex_state = 2},
  [7048] = {.lex_state = 400, .external_lex_state = 2},
  [7049] = {.lex_state = 400, .external_lex_state = 5},
  [7050] = {.lex_state = 400, .external_lex_state = 2},
  [7051] = {.lex_state = 400, .external_lex_state = 2},
  [7052] = {.lex_state = 400, .external_lex_state = 5},
  [7053] = {.lex_state = 400, .external_lex_state = 2},
  [7054] = {.lex_state = 400, .external_lex_state = 2},
  [7055] = {.lex_state = 400, .external_lex_state = 2},
  [7056] = {.lex_state = 400, .external_lex_state = 2},
  [7057] = {.lex_state = 400, .external_lex_state = 5},
  [7058] = {.lex_state = 400, .external_lex_state = 2},
  [7059] = {.lex_state = 400, .external_lex_state = 2},
  [7060] = {.lex_state = 400, .external_lex_state = 2},
  [7061] = {.lex_state = 400, .external_lex_state = 2},
  [7062] = {.lex_state = 400, .external_lex_state = 2},
  [7063] = {.lex_state = 400, .external_lex_state = 2},
  [7064] = {.lex_state = 400, .external_lex_state = 2},
  [7065] = {.lex_state = 400, .external_lex_state = 5},
  [7066] = {.lex_state = 51, .external_lex_state = 2},
  [7067] = {.lex_state = 400, .external_lex_state = 2},
  [7068] = {.lex_state = 400, .external_lex_state = 2},
  [7069] = {.lex_state = 400, .external_lex_state = 2},
  [7070] = {.lex_state = 400, .external_lex_state = 2},
  [7071] = {.lex_state = 400, .external_lex_state = 2},
  [7072] = {.lex_state = 400, .external_lex_state = 2},
  [7073] = {.lex_state = 50, .external_lex_state = 2},
  [7074] = {.lex_state = 400, .external_lex_state = 2},
  [7075] = {.lex_state = 400, .external_lex_state = 2},
  [7076] = {.lex_state = 400, .external_lex_state = 2},
  [7077] = {.lex_state = 400, .external_lex_state = 2},
  [7078] = {.lex_state = 400, .external_lex_state = 2},
  [7079] = {.lex_state = 400, .external_lex_state = 2},
  [7080] = {.lex_state = 400, .external_lex_state = 2},
  [7081] = {.lex_state = 400, .external_lex_state = 2},
  [7082] = {.lex_state = 50, .external_lex_state = 2},
  [7083] = {.lex_state = 400, .external_lex_state = 5},
  [7084] = {.lex_state = 400, .external_lex_state = 5},
  [7085] = {.lex_state = 400, .external_lex_state = 2},
  [7086] = {.lex_state = 400, .external_lex_state = 2},
  [7087] = {.lex_state = 400, .external_lex_state = 5},
  [7088] = {.lex_state = 400, .external_lex_state = 2},
  [7089] = {.lex_state = 400, .external_lex_state = 5},
  [7090] = {.lex_state = 400, .external_lex_state = 2},
  [7091] = {.lex_state = 400, .external_lex_state = 2},
  [7092] = {.lex_state = 400, .external_lex_state = 2},
  [7093] = {.lex_state = 400, .external_lex_state = 2},
  [7094] = {.lex_state = 400, .external_lex_state = 2},
  [7095] = {.lex_state = 400, .external_lex_state = 2},
  [7096] = {.lex_state = 400, .external_lex_state = 2},
  [7097] = {.lex_state = 400, .external_lex_state = 2},
  [7098] = {.lex_state = 400, .external_lex_state = 2},
  [7099] = {.lex_state = 400, .external_lex_state = 2},
  [7100] = {.lex_state = 400, .external_lex_state = 2},
  [7101] = {.lex_state = 51, .external_lex_state = 2},
  [7102] = {.lex_state = 400, .external_lex_state = 5},
  [7103] = {.lex_state = 400, .external_lex_state = 2},
  [7104] = {.lex_state = 400, .external_lex_state = 2},
  [7105] = {.lex_state = 400, .external_lex_state = 2},
  [7106] = {.lex_state = 400, .external_lex_state = 2},
  [7107] = {.lex_state = 400, .external_lex_state = 2},
  [7108] = {.lex_state = 400, .external_lex_state = 2},
  [7109] = {.lex_state = 400, .external_lex_state = 5},
  [7110] = {.lex_state = 400, .external_lex_state = 2},
  [7111] = {.lex_state = 400, .external_lex_state = 2},
  [7112] = {.lex_state = 400, .external_lex_state = 5},
  [7113] = {.lex_state = 400, .external_lex_state = 2},
  [7114] = {.lex_state = 400, .external_lex_state = 2},
  [7115] = {.lex_state = 400, .external_lex_state = 5},
  [7116] = {.lex_state = 400, .external_lex_state = 5},
  [7117] = {.lex_state = 400, .external_lex_state = 2},
  [7118] = {.lex_state = 400, .external_lex_state = 2},
  [7119] = {.lex_state = 400, .external_lex_state = 2},
  [7120] = {.lex_state = 400, .external_lex_state = 2},
  [7121] = {.lex_state = 400, .external_lex_state = 2},
  [7122] = {.lex_state = 400, .external_lex_state = 2},
  [7123] = {.lex_state = 400, .external_lex_state = 5},
  [7124] = {.lex_state = 400, .external_lex_state = 2},
  [7125] = {.lex_state = 400, .external_lex_state = 2},
  [7126] = {.lex_state = 400, .external_lex_state = 2},
  [7127] = {.lex_state = 400, .external_lex_state = 2},
  [7128] = {.lex_state = 400, .external_lex_state = 2},
  [7129] = {.lex_state = 400, .external_lex_state = 2},
  [7130] = {.lex_state = 400, .external_lex_state = 2},
  [7131] = {.lex_state = 400, .external_lex_state = 2},
  [7132] = {.lex_state = 400, .external_lex_state = 2},
  [7133] = {.lex_state = 400, .external_lex_state = 2},
  [7134] = {.lex_state = 48, .external_lex_state = 2},
  [7135] = {.lex_state = 400, .external_lex_state = 2},
  [7136] = {.lex_state = 400, .external_lex_state = 2},
  [7137] = {.lex_state = 400, .external_lex_state = 2},
  [7138] = {.lex_state = 400, .external_lex_state = 2},
  [7139] = {.lex_state = 400, .external_lex_state = 2},
  [7140] = {.lex_state = 400, .external_lex_state = 2},
  [7141] = {.lex_state = 400, .external_lex_state = 2},
  [7142] = {.lex_state = 400, .external_lex_state = 2},
  [7143] = {.lex_state = 400, .external_lex_state = 2},
  [7144] = {.lex_state = 400, .external_lex_state = 5},
  [7145] = {.lex_state = 400, .external_lex_state = 2},
  [7146] = {.lex_state = 400, .external_lex_state = 2},
  [7147] = {.lex_state = 400, .external_lex_state = 2},
  [7148] = {.lex_state = 400, .external_lex_state = 5},
  [7149] = {.lex_state = 400, .external_lex_state = 2},
  [7150] = {.lex_state = 400, .external_lex_state = 2},
  [7151] = {.lex_state = 400, .external_lex_state = 2},
  [7152] = {.lex_state = 400, .external_lex_state = 2},
  [7153] = {.lex_state = 400, .external_lex_state = 2},
  [7154] = {.lex_state = 400, .external_lex_state = 2},
  [7155] = {.lex_state = 400, .external_lex_state = 2},
  [7156] = {.lex_state = 400, .external_lex_state = 2},
  [7157] = {.lex_state = 400, .external_lex_state = 2},
  [7158] = {.lex_state = 400, .external_lex_state = 2},
  [7159] = {.lex_state = 400, .external_lex_state = 2},
  [7160] = {.lex_state = 400, .external_lex_state = 5},
  [7161] = {.lex_state = 400, .external_lex_state = 2},
  [7162] = {.lex_state = 78, .external_lex_state = 2},
  [7163] = {.lex_state = 51, .external_lex_state = 2},
  [7164] = {.lex_state = 400, .external_lex_state = 2},
  [7165] = {.lex_state = 400, .external_lex_state = 2},
  [7166] = {.lex_state = 50, .external_lex_state = 2},
  [7167] = {.lex_state = 400, .external_lex_state = 2},
  [7168] = {.lex_state = 50, .external_lex_state = 2},
  [7169] = {.lex_state = 50, .external_lex_state = 2},
  [7170] = {.lex_state = 400, .external_lex_state = 2},
  [7171] = {.lex_state = 400, .external_lex_state = 2},
  [7172] = {.lex_state = 400, .external_lex_state = 2},
  [7173] = {.lex_state = 400, .external_lex_state = 2},
  [7174] = {.lex_state = 400, .external_lex_state = 2},
  [7175] = {.lex_state = 400, .external_lex_state = 2},
  [7176] = {.lex_state = 400, .external_lex_state = 2},
  [7177] = {.lex_state = 400, .external_lex_state = 2},
  [7178] = {.lex_state = 400, .external_lex_state = 2},
  [7179] = {.lex_state = 400, .external_lex_state = 2},
  [7180] = {.lex_state = 48, .external_lex_state = 2},
  [7181] = {.lex_state = 51, .external_lex_state = 2},
  [7182] = {.lex_state = 400, .external_lex_state = 2},
  [7183] = {.lex_state = 400, .external_lex_state = 2},
  [7184] = {.lex_state = 3, .external_lex_state = 2},
  [7185] = {.lex_state = 51, .external_lex_state = 2},
  [7186] = {.lex_state = 51, .external_lex_state = 2},
  [7187] = {.lex_state = 400, .external_lex_state = 2},
  [7188] = {.lex_state = 400, .external_lex_state = 2},
  [7189] = {.lex_state = 400, .external_lex_state = 2},
  [7190] = {.lex_state = 400, .external_lex_state = 2},
  [7191] = {.lex_state = 400, .external_lex_state = 2},
  [7192] = {.lex_state = 51, .external_lex_state = 2},
  [7193] = {.lex_state = 51, .external_lex_state = 2},
  [7194] = {.lex_state = 400, .external_lex_state = 2},
  [7195] = {.lex_state = 400, .external_lex_state = 2},
  [7196] = {.lex_state = 400, .external_lex_state = 2},
  [7197] = {.lex_state = 400, .external_lex_state = 2},
  [7198] = {.lex_state = 51, .external_lex_state = 2},
  [7199] = {.lex_state = 400, .external_lex_state = 2},
  [7200] = {.lex_state = 400, .external_lex_state = 2},
  [7201] = {.lex_state = 51, .external_lex_state = 2},
  [7202] = {.lex_state = 51, .external_lex_state = 2},
  [7203] = {.lex_state = 51, .external_lex_state = 2},
  [7204] = {.lex_state = 400, .external_lex_state = 2},
  [7205] = {.lex_state = 51, .external_lex_state = 2},
  [7206] = {.lex_state = 51, .external_lex_state = 2},
  [7207] = {.lex_state = 400, .external_lex_state = 2},
  [7208] = {.lex_state = 51, .external_lex_state = 2},
  [7209] = {.lex_state = 400, .external_lex_state = 2},
  [7210] = {.lex_state = 51, .external_lex_state = 2},
  [7211] = {.lex_state = 400, .external_lex_state = 2},
  [7212] = {.lex_state = 48, .external_lex_state = 2},
  [7213] = {.lex_state = 400, .external_lex_state = 2},
  [7214] = {.lex_state = 51, .external_lex_state = 2},
  [7215] = {.lex_state = 400, .external_lex_state = 2},
  [7216] = {.lex_state = 51, .external_lex_state = 2},
  [7217] = {.lex_state = 400, .external_lex_state = 2},
  [7218] = {.lex_state = 400, .external_lex_state = 2},
  [7219] = {.lex_state = 51, .external_lex_state = 2},
  [7220] = {.lex_state = 51, .external_lex_state = 2},
  [7221] = {.lex_state = 3, .external_lex_state = 2},
  [7222] = {.lex_state = 400, .external_lex_state = 2},
  [7223] = {.lex_state = 400, .external_lex_state = 2},
  [7224] = {.lex_state = 400, .external_lex_state = 2},
  [7225] = {.lex_state = 51, .external_lex_state = 2},
  [7226] = {.lex_state = 51, .external_lex_state = 2},
  [7227] = {.lex_state = 24, .external_lex_state = 2},
  [7228] = {.lex_state = 400, .external_lex_state = 2},
  [7229] = {.lex_state = 400, .external_lex_state = 2},
  [7230] = {.lex_state = 400, .external_lex_state = 2},
  [7231] = {.lex_state = 51, .external_lex_state = 2},
  [7232] = {.lex_state = 400, .external_lex_state = 2},
  [7233] = {.lex_state = 51, .external_lex_state = 2},
  [7234] = {.lex_state = 400, .external_lex_state = 2},
  [7235] = {.lex_state = 400, .external_lex_state = 2},
  [7236] = {.lex_state = 400, .external_lex_state = 2},
  [7237] = {.lex_state = 51, .external_lex_state = 2},
  [7238] = {.lex_state = 400, .external_lex_state = 2},
  [7239] = {.lex_state = 400, .external_lex_state = 2},
  [7240] = {.lex_state = 400, .external_lex_state = 2},
  [7241] = {.lex_state = 400, .external_lex_state = 2},
  [7242] = {.lex_state = 400, .external_lex_state = 2},
  [7243] = {.lex_state = 400, .external_lex_state = 2},
  [7244] = {.lex_state = 400, .external_lex_state = 2},
  [7245] = {.lex_state = 50, .external_lex_state = 2},
  [7246] = {.lex_state = 51, .external_lex_state = 2},
  [7247] = {.lex_state = 400, .external_lex_state = 2},
  [7248] = {.lex_state = 400, .external_lex_state = 2},
  [7249] = {.lex_state = 48, .external_lex_state = 2},
  [7250] = {.lex_state = 3, .external_lex_state = 2},
  [7251] = {.lex_state = 51, .external_lex_state = 2},
  [7252] = {.lex_state = 51, .external_lex_state = 2},
  [7253] = {.lex_state = 400, .external_lex_state = 2},
  [7254] = {.lex_state = 50, .external_lex_state = 2},
  [7255] = {.lex_state = 400, .external_lex_state = 2},
  [7256] = {.lex_state = 400, .external_lex_state = 2},
  [7257] = {.lex_state = 400, .external_lex_state = 2},
  [7258] = {.lex_state = 51, .external_lex_state = 2},
  [7259] = {.lex_state = 400, .external_lex_state = 2},
  [7260] = {.lex_state = 400, .external_lex_state = 2},
  [7261] = {.lex_state = 400, .external_lex_state = 2},
  [7262] = {.lex_state = 400, .external_lex_state = 2},
  [7263] = {.lex_state = 51, .external_lex_state = 2},
  [7264] = {.lex_state = 51, .external_lex_state = 2},
  [7265] = {.lex_state = 400, .external_lex_state = 2},
  [7266] = {.lex_state = 400, .external_lex_state = 2},
  [7267] = {.lex_state = 51, .external_lex_state = 2},
  [7268] = {.lex_state = 400, .external_lex_state = 2},
  [7269] = {.lex_state = 51, .external_lex_state = 2},
  [7270] = {.lex_state = 400, .external_lex_state = 2},
  [7271] = {.lex_state = 400, .external_lex_state = 2},
  [7272] = {.lex_state = 51, .external_lex_state = 2},
  [7273] = {.lex_state = 400, .external_lex_state = 2},
  [7274] = {.lex_state = 51, .external_lex_state = 2},
  [7275] = {.lex_state = 400, .external_lex_state = 2},
  [7276] = {.lex_state = 48, .external_lex_state = 2},
  [7277] = {.lex_state = 400, .external_lex_state = 2},
  [7278] = {.lex_state = 400, .external_lex_state = 2},
  [7279] = {.lex_state = 400, .external_lex_state = 2},
  [7280] = {.lex_state = 400, .external_lex_state = 2},
  [7281] = {.lex_state = 400, .external_lex_state = 2},
  [7282] = {.lex_state = 400, .external_lex_state = 2},
  [7283] = {.lex_state = 400, .external_lex_state = 2},
  [7284] = {.lex_state = 400, .external_lex_state = 2},
  [7285] = {.lex_state = 51, .external_lex_state = 2},
  [7286] = {.lex_state = 400, .external_lex_state = 2},
  [7287] = {.lex_state = 400, .external_lex_state = 2},
  [7288] = {.lex_state = 400, .external_lex_state = 2},
  [7289] = {.lex_state = 400, .external_lex_state = 2},
  [7290] = {.lex_state = 400, .external_lex_state = 2},
  [7291] = {.lex_state = 400, .external_lex_state = 2},
  [7292] = {.lex_state = 400, .external_lex_state = 2},
  [7293] = {.lex_state = 400, .external_lex_state = 2},
  [7294] = {.lex_state = 400, .external_lex_state = 2},
  [7295] = {.lex_state = 400, .external_lex_state = 2},
  [7296] = {.lex_state = 400, .external_lex_state = 2},
  [7297] = {.lex_state = 400, .external_lex_state = 2},
  [7298] = {.lex_state = 400, .external_lex_state = 2},
  [7299] = {.lex_state = 51, .external_lex_state = 2},
  [7300] = {.lex_state = 400, .external_lex_state = 2},
  [7301] = {.lex_state = 400, .external_lex_state = 2},
  [7302] = {.lex_state = 400, .external_lex_state = 2},
  [7303] = {.lex_state = 400, .external_lex_state = 2},
  [7304] = {.lex_state = 400, .external_lex_state = 2},
  [7305] = {.lex_state = 400, .external_lex_state = 2},
  [7306] = {.lex_state = 400, .external_lex_state = 2},
  [7307] = {.lex_state = 400, .external_lex_state = 2},
  [7308] = {.lex_state = 400, .external_lex_state = 2},
  [7309] = {.lex_state = 400, .external_lex_state = 2},
  [7310] = {.lex_state = 400, .external_lex_state = 2},
  [7311] = {.lex_state = 400, .external_lex_state = 2},
  [7312] = {.lex_state = 51, .external_lex_state = 2},
  [7313] = {.lex_state = 51, .external_lex_state = 2},
  [7314] = {.lex_state = 400, .external_lex_state = 2},
  [7315] = {.lex_state = 51, .external_lex_state = 2},
  [7316] = {.lex_state = 51, .external_lex_state = 2},
  [7317] = {.lex_state = 51, .external_lex_state = 2},
  [7318] = {.lex_state = 51, .external_lex_state = 2},
  [7319] = {.lex_state = 51, .external_lex_state = 2},
  [7320] = {.lex_state = 400, .external_lex_state = 2},
  [7321] = {.lex_state = 51, .external_lex_state = 2},
  [7322] = {.lex_state = 400, .external_lex_state = 2},
  [7323] = {.lex_state = 400, .external_lex_state = 2},
  [7324] = {.lex_state = 51, .external_lex_state = 2},
  [7325] = {.lex_state = 51, .external_lex_state = 2},
  [7326] = {.lex_state = 51, .external_lex_state = 2},
  [7327] = {.lex_state = 51, .external_lex_state = 2},
  [7328] = {.lex_state = 400, .external_lex_state = 2},
  [7329] = {.lex_state = 400, .external_lex_state = 2},
  [7330] = {.lex_state = 400, .external_lex_state = 2},
  [7331] = {.lex_state = 51, .external_lex_state = 2},
  [7332] = {.lex_state = 51, .external_lex_state = 2},
  [7333] = {.lex_state = 400, .external_lex_state = 2},
  [7334] = {.lex_state = 400, .external_lex_state = 2},
  [7335] = {.lex_state = 400, .external_lex_state = 2},
  [7336] = {.lex_state = 400, .external_lex_state = 2},
  [7337] = {.lex_state = 400, .external_lex_state = 2},
  [7338] = {.lex_state = 400, .external_lex_state = 2},
  [7339] = {.lex_state = 51, .external_lex_state = 2},
  [7340] = {.lex_state = 24, .external_lex_state = 2},
  [7341] = {.lex_state = 400, .external_lex_state = 2},
  [7342] = {.lex_state = 400, .external_lex_state = 2},
  [7343] = {.lex_state = 400, .external_lex_state = 2},
  [7344] = {.lex_state = 400, .external_lex_state = 2},
  [7345] = {.lex_state = 51, .external_lex_state = 2},
  [7346] = {.lex_state = 400, .external_lex_state = 2},
  [7347] = {.lex_state = 51, .external_lex_state = 2},
  [7348] = {.lex_state = 400, .external_lex_state = 2},
  [7349] = {.lex_state = 400, .external_lex_state = 2},
  [7350] = {.lex_state = 400, .external_lex_state = 2},
  [7351] = {.lex_state = 400, .external_lex_state = 2},
  [7352] = {.lex_state = 48, .external_lex_state = 2},
  [7353] = {.lex_state = 400, .external_lex_state = 2},
  [7354] = {.lex_state = 50, .external_lex_state = 2},
  [7355] = {.lex_state = 400, .external_lex_state = 2},
  [7356] = {.lex_state = 400, .external_lex_state = 2},
  [7357] = {.lex_state = 400, .external_lex_state = 2},
  [7358] = {.lex_state = 400, .external_lex_state = 2},
  [7359] = {.lex_state = 400, .external_lex_state = 2},
  [7360] = {.lex_state = 400, .external_lex_state = 2},
  [7361] = {.lex_state = 400, .external_lex_state = 2},
  [7362] = {.lex_state = 51, .external_lex_state = 2},
  [7363] = {.lex_state = 400, .external_lex_state = 2},
  [7364] = {.lex_state = 51, .external_lex_state = 2},
  [7365] = {.lex_state = 400, .external_lex_state = 2},
  [7366] = {.lex_state = 400, .external_lex_state = 2},
  [7367] = {.lex_state = 400, .external_lex_state = 2},
  [7368] = {.lex_state = 51, .external_lex_state = 2},
  [7369] = {.lex_state = 400, .external_lex_state = 2},
  [7370] = {.lex_state = 400, .external_lex_state = 2},
  [7371] = {.lex_state = 400, .external_lex_state = 2},
  [7372] = {.lex_state = 400, .external_lex_state = 2},
  [7373] = {.lex_state = 400, .external_lex_state = 2},
  [7374] = {.lex_state = 400, .external_lex_state = 2},
  [7375] = {.lex_state = 400, .external_lex_state = 2},
  [7376] = {.lex_state = 400, .external_lex_state = 2},
  [7377] = {.lex_state = 400, .external_lex_state = 2},
  [7378] = {.lex_state = 51, .external_lex_state = 2},
  [7379] = {.lex_state = 51, .external_lex_state = 2},
  [7380] = {.lex_state = 3, .external_lex_state = 2},
  [7381] = {.lex_state = 400, .external_lex_state = 2},
  [7382] = {.lex_state = 400, .external_lex_state = 2},
  [7383] = {.lex_state = 51, .external_lex_state = 2},
  [7384] = {.lex_state = 400, .external_lex_state = 2},
  [7385] = {.lex_state = 51, .external_lex_state = 2},
  [7386] = {.lex_state = 400, .external_lex_state = 2},
  [7387] = {.lex_state = 400, .external_lex_state = 2},
  [7388] = {.lex_state = 51, .external_lex_state = 2},
  [7389] = {.lex_state = 51, .external_lex_state = 2},
  [7390] = {.lex_state = 400, .external_lex_state = 2},
  [7391] = {.lex_state = 400, .external_lex_state = 2},
  [7392] = {.lex_state = 400, .external_lex_state = 2},
  [7393] = {.lex_state = 400, .external_lex_state = 2},
  [7394] = {.lex_state = 400, .external_lex_state = 2},
  [7395] = {.lex_state = 400, .external_lex_state = 2},
  [7396] = {.lex_state = 400, .external_lex_state = 2},
  [7397] = {.lex_state = 400, .external_lex_state = 2},
  [7398] = {.lex_state = 400, .external_lex_state = 2},
  [7399] = {.lex_state = 400, .external_lex_state = 2},
  [7400] = {.lex_state = 51, .external_lex_state = 2},
  [7401] = {.lex_state = 51, .external_lex_state = 2},
  [7402] = {.lex_state = 400, .external_lex_state = 2},
  [7403] = {.lex_state = 400, .external_lex_state = 2},
  [7404] = {.lex_state = 400, .external_lex_state = 2},
  [7405] = {.lex_state = 400, .external_lex_state = 2},
  [7406] = {.lex_state = 51, .external_lex_state = 2},
  [7407] = {.lex_state = 400, .external_lex_state = 2},
  [7408] = {.lex_state = 400, .external_lex_state = 2},
  [7409] = {.lex_state = 400, .external_lex_state = 2},
  [7410] = {.lex_state = 400, .external_lex_state = 2},
  [7411] = {.lex_state = 400, .external_lex_state = 2},
  [7412] = {.lex_state = 400, .external_lex_state = 2},
  [7413] = {.lex_state = 400, .external_lex_state = 2},
  [7414] = {.lex_state = 51, .external_lex_state = 2},
  [7415] = {.lex_state = 51, .external_lex_state = 2},
  [7416] = {.lex_state = 24, .external_lex_state = 2},
  [7417] = {.lex_state = 400, .external_lex_state = 2},
  [7418] = {.lex_state = 400, .external_lex_state = 2},
  [7419] = {.lex_state = 51, .external_lex_state = 2},
  [7420] = {.lex_state = 51, .external_lex_state = 2},
  [7421] = {.lex_state = 400, .external_lex_state = 2},
  [7422] = {.lex_state = 400, .external_lex_state = 2},
  [7423] = {.lex_state = 400, .external_lex_state = 2},
  [7424] = {.lex_state = 400, .external_lex_state = 2},
  [7425] = {.lex_state = 51, .external_lex_state = 2},
  [7426] = {.lex_state = 51, .external_lex_state = 2},
  [7427] = {.lex_state = 400, .external_lex_state = 2},
  [7428] = {.lex_state = 400, .external_lex_state = 2},
  [7429] = {.lex_state = 400, .external_lex_state = 2},
  [7430] = {.lex_state = 400, .external_lex_state = 2},
  [7431] = {.lex_state = 400, .external_lex_state = 2},
  [7432] = {.lex_state = 400, .external_lex_state = 2},
  [7433] = {.lex_state = 400, .external_lex_state = 2},
  [7434] = {.lex_state = 51, .external_lex_state = 2},
  [7435] = {.lex_state = 51, .external_lex_state = 2},
  [7436] = {.lex_state = 400, .external_lex_state = 2},
  [7437] = {.lex_state = 400, .external_lex_state = 2},
  [7438] = {.lex_state = 400, .external_lex_state = 2},
  [7439] = {.lex_state = 400, .external_lex_state = 2},
  [7440] = {.lex_state = 51, .external_lex_state = 2},
  [7441] = {.lex_state = 51, .external_lex_state = 2},
  [7442] = {.lex_state = 51, .external_lex_state = 2},
  [7443] = {.lex_state = 400, .external_lex_state = 2},
  [7444] = {.lex_state = 400, .external_lex_state = 2},
  [7445] = {.lex_state = 51, .external_lex_state = 2},
  [7446] = {.lex_state = 400, .external_lex_state = 2},
  [7447] = {.lex_state = 400, .external_lex_state = 2},
  [7448] = {.lex_state = 400, .external_lex_state = 2},
  [7449] = {.lex_state = 48, .external_lex_state = 2},
  [7450] = {.lex_state = 400, .external_lex_state = 2},
  [7451] = {.lex_state = 400, .external_lex_state = 2},
  [7452] = {.lex_state = 400, .external_lex_state = 2},
  [7453] = {.lex_state = 51, .external_lex_state = 2},
  [7454] = {.lex_state = 51, .external_lex_state = 2},
  [7455] = {.lex_state = 400, .external_lex_state = 2},
  [7456] = {.lex_state = 51, .external_lex_state = 2},
  [7457] = {.lex_state = 50, .external_lex_state = 2},
  [7458] = {.lex_state = 400, .external_lex_state = 2},
  [7459] = {.lex_state = 400, .external_lex_state = 2},
  [7460] = {.lex_state = 51, .external_lex_state = 2},
  [7461] = {.lex_state = 51, .external_lex_state = 2},
  [7462] = {.lex_state = 51, .external_lex_state = 2},
  [7463] = {.lex_state = 51, .external_lex_state = 2},
  [7464] = {.lex_state = 51, .external_lex_state = 2},
  [7465] = {.lex_state = 400, .external_lex_state = 2},
  [7466] = {.lex_state = 400, .external_lex_state = 2},
  [7467] = {.lex_state = 400, .external_lex_state = 2},
  [7468] = {.lex_state = 400, .external_lex_state = 2},
  [7469] = {.lex_state = 400, .external_lex_state = 2},
  [7470] = {.lex_state = 400, .external_lex_state = 2},
  [7471] = {.lex_state = 400, .external_lex_state = 2},
  [7472] = {.lex_state = 400, .external_lex_state = 2},
  [7473] = {.lex_state = 400, .external_lex_state = 2},
  [7474] = {.lex_state = 400, .external_lex_state = 2},
  [7475] = {.lex_state = 400, .external_lex_state = 2},
  [7476] = {.lex_state = 400, .external_lex_state = 2},
  [7477] = {.lex_state = 400, .external_lex_state = 2},
  [7478] = {.lex_state = 400, .external_lex_state = 2},
  [7479] = {.lex_state = 51, .external_lex_state = 2},
  [7480] = {.lex_state = 400, .external_lex_state = 2},
  [7481] = {.lex_state = 400, .external_lex_state = 2},
  [7482] = {.lex_state = 48, .external_lex_state = 2},
  [7483] = {.lex_state = 400, .external_lex_state = 2},
  [7484] = {.lex_state = 400, .external_lex_state = 2},
  [7485] = {.lex_state = 50, .external_lex_state = 2},
  [7486] = {.lex_state = 400, .external_lex_state = 2},
  [7487] = {.lex_state = 400, .external_lex_state = 2},
  [7488] = {.lex_state = 400, .external_lex_state = 2},
  [7489] = {.lex_state = 400, .external_lex_state = 2},
  [7490] = {.lex_state = 400, .external_lex_state = 2},
  [7491] = {.lex_state = 51, .external_lex_state = 2},
  [7492] = {.lex_state = 51, .external_lex_state = 2},
  [7493] = {.lex_state = 51, .external_lex_state = 2},
  [7494] = {.lex_state = 400, .external_lex_state = 2},
  [7495] = {.lex_state = 51, .external_lex_state = 2},
  [7496] = {.lex_state = 400, .external_lex_state = 2},
  [7497] = {.lex_state = 400, .external_lex_state = 2},
  [7498] = {.lex_state = 400, .external_lex_state = 2},
  [7499] = {.lex_state = 400, .external_lex_state = 2},
  [7500] = {.lex_state = 400, .external_lex_state = 2},
  [7501] = {.lex_state = 400, .external_lex_state = 2},
  [7502] = {.lex_state = 51, .external_lex_state = 2},
  [7503] = {.lex_state = 400, .external_lex_state = 2},
  [7504] = {.lex_state = 400, .external_lex_state = 2},
  [7505] = {.lex_state = 50, .external_lex_state = 2},
  [7506] = {.lex_state = 400, .external_lex_state = 2},
  [7507] = {.lex_state = 51, .external_lex_state = 2},
  [7508] = {.lex_state = 400, .external_lex_state = 2},
  [7509] = {.lex_state = 400, .external_lex_state = 2},
  [7510] = {.lex_state = 400, .external_lex_state = 2},
  [7511] = {.lex_state = 3, .external_lex_state = 2},
  [7512] = {.lex_state = 400, .external_lex_state = 2},
  [7513] = {.lex_state = 400, .external_lex_state = 2},
  [7514] = {.lex_state = 400, .external_lex_state = 2},
  [7515] = {.lex_state = 400, .external_lex_state = 2},
  [7516] = {.lex_state = 400, .external_lex_state = 2},
  [7517] = {.lex_state = 48, .external_lex_state = 2},
  [7518] = {.lex_state = 400, .external_lex_state = 2},
  [7519] = {.lex_state = 51, .external_lex_state = 2},
  [7520] = {.lex_state = 400, .external_lex_state = 2},
  [7521] = {.lex_state = 51, .external_lex_state = 2},
  [7522] = {.lex_state = 51, .external_lex_state = 2},
  [7523] = {.lex_state = 51, .external_lex_state = 2},
  [7524] = {.lex_state = 400, .external_lex_state = 2},
  [7525] = {.lex_state = 400, .external_lex_state = 2},
  [7526] = {.lex_state = 400, .external_lex_state = 2},
  [7527] = {.lex_state = 400, .external_lex_state = 2},
  [7528] = {.lex_state = 400, .external_lex_state = 2},
  [7529] = {.lex_state = 51, .external_lex_state = 2},
  [7530] = {.lex_state = 400, .external_lex_state = 2},
  [7531] = {.lex_state = 400, .external_lex_state = 2},
  [7532] = {.lex_state = 400, .external_lex_state = 2},
  [7533] = {.lex_state = 51, .external_lex_state = 2},
  [7534] = {.lex_state = 400, .external_lex_state = 2},
  [7535] = {.lex_state = 400, .external_lex_state = 2},
  [7536] = {.lex_state = 400, .external_lex_state = 2},
  [7537] = {.lex_state = 400, .external_lex_state = 2},
  [7538] = {.lex_state = 400, .external_lex_state = 2},
  [7539] = {.lex_state = 400, .external_lex_state = 2},
  [7540] = {.lex_state = 400, .external_lex_state = 2},
  [7541] = {.lex_state = 400, .external_lex_state = 2},
  [7542] = {.lex_state = 400, .external_lex_state = 2},
  [7543] = {.lex_state = 400, .external_lex_state = 2},
  [7544] = {.lex_state = 400, .external_lex_state = 2},
  [7545] = {.lex_state = 400, .external_lex_state = 2},
  [7546] = {.lex_state = 400, .external_lex_state = 2},
  [7547] = {.lex_state = 51, .external_lex_state = 2},
  [7548] = {.lex_state = 400, .external_lex_state = 2},
  [7549] = {.lex_state = 400, .external_lex_state = 2},
  [7550] = {.lex_state = 400, .external_lex_state = 2},
  [7551] = {.lex_state = 51, .external_lex_state = 2},
  [7552] = {.lex_state = 51, .external_lex_state = 2},
  [7553] = {.lex_state = 51, .external_lex_state = 2},
  [7554] = {.lex_state = 51, .external_lex_state = 2},
  [7555] = {.lex_state = 51, .external_lex_state = 2},
  [7556] = {.lex_state = 400, .external_lex_state = 2},
  [7557] = {.lex_state = 51, .external_lex_state = 2},
  [7558] = {.lex_state = 400, .external_lex_state = 2},
  [7559] = {.lex_state = 51, .external_lex_state = 2},
  [7560] = {.lex_state = 400, .external_lex_state = 2},
  [7561] = {.lex_state = 400, .external_lex_state = 2},
  [7562] = {.lex_state = 400, .external_lex_state = 2},
  [7563] = {.lex_state = 51, .external_lex_state = 2},
  [7564] = {.lex_state = 400, .external_lex_state = 2},
  [7565] = {.lex_state = 400, .external_lex_state = 2},
  [7566] = {.lex_state = 400, .external_lex_state = 2},
  [7567] = {.lex_state = 51, .external_lex_state = 2},
  [7568] = {.lex_state = 400, .external_lex_state = 2},
  [7569] = {.lex_state = 400, .external_lex_state = 2},
  [7570] = {.lex_state = 400, .external_lex_state = 2},
  [7571] = {.lex_state = 48, .external_lex_state = 2},
  [7572] = {.lex_state = 51, .external_lex_state = 2},
  [7573] = {.lex_state = 400, .external_lex_state = 2},
  [7574] = {.lex_state = 51, .external_lex_state = 2},
  [7575] = {.lex_state = 400, .external_lex_state = 2},
  [7576] = {.lex_state = 400, .external_lex_state = 2},
  [7577] = {.lex_state = 400, .external_lex_state = 2},
  [7578] = {.lex_state = 51, .external_lex_state = 2},
  [7579] = {.lex_state = 400, .external_lex_state = 2},
  [7580] = {.lex_state = 51, .external_lex_state = 2},
  [7581] = {.lex_state = 400, .external_lex_state = 2},
  [7582] = {.lex_state = 400, .external_lex_state = 2},
  [7583] = {.lex_state = 400, .external_lex_state = 2},
  [7584] = {.lex_state = 400, .external_lex_state = 2},
  [7585] = {.lex_state = 51, .external_lex_state = 2},
  [7586] = {.lex_state = 400, .external_lex_state = 2},
  [7587] = {.lex_state = 400, .external_lex_state = 2},
  [7588] = {.lex_state = 400, .external_lex_state = 2},
  [7589] = {.lex_state = 400, .external_lex_state = 2},
  [7590] = {.lex_state = 400, .external_lex_state = 2},
  [7591] = {.lex_state = 51, .external_lex_state = 2},
  [7592] = {.lex_state = 400, .external_lex_state = 2},
  [7593] = {.lex_state = 400, .external_lex_state = 2},
  [7594] = {.lex_state = 400, .external_lex_state = 2},
  [7595] = {.lex_state = 51, .external_lex_state = 2},
  [7596] = {.lex_state = 400, .external_lex_state = 2},
  [7597] = {.lex_state = 400, .external_lex_state = 2},
  [7598] = {.lex_state = 400, .external_lex_state = 2},
  [7599] = {.lex_state = 400, .external_lex_state = 2},
  [7600] = {.lex_state = 400, .external_lex_state = 2},
  [7601] = {.lex_state = 400, .external_lex_state = 2},
  [7602] = {.lex_state = 400, .external_lex_state = 2},
  [7603] = {.lex_state = 400, .external_lex_state = 2},
  [7604] = {.lex_state = 400, .external_lex_state = 2},
  [7605] = {.lex_state = 400, .external_lex_state = 2},
  [7606] = {.lex_state = 400, .external_lex_state = 2},
  [7607] = {.lex_state = 400, .external_lex_state = 2},
  [7608] = {.lex_state = 51, .external_lex_state = 2},
  [7609] = {.lex_state = 400, .external_lex_state = 2},
  [7610] = {.lex_state = 400, .external_lex_state = 2},
  [7611] = {.lex_state = 400, .external_lex_state = 2},
  [7612] = {.lex_state = 400, .external_lex_state = 2},
  [7613] = {.lex_state = 51, .external_lex_state = 2},
  [7614] = {.lex_state = 400, .external_lex_state = 2},
  [7615] = {.lex_state = 400, .external_lex_state = 2},
  [7616] = {.lex_state = 51, .external_lex_state = 2},
  [7617] = {.lex_state = 400, .external_lex_state = 2},
  [7618] = {.lex_state = 400, .external_lex_state = 2},
  [7619] = {.lex_state = 400, .external_lex_state = 2},
  [7620] = {.lex_state = 400, .external_lex_state = 2},
  [7621] = {.lex_state = 51, .external_lex_state = 2},
  [7622] = {.lex_state = 400, .external_lex_state = 2},
  [7623] = {.lex_state = 400, .external_lex_state = 2},
  [7624] = {.lex_state = 400, .external_lex_state = 2},
  [7625] = {.lex_state = 51, .external_lex_state = 2},
  [7626] = {.lex_state = 400, .external_lex_state = 2},
  [7627] = {.lex_state = 400, .external_lex_state = 2},
  [7628] = {.lex_state = 51, .external_lex_state = 2},
  [7629] = {.lex_state = 400, .external_lex_state = 2},
  [7630] = {.lex_state = 400, .external_lex_state = 2},
  [7631] = {.lex_state = 51, .external_lex_state = 2},
  [7632] = {.lex_state = 400, .external_lex_state = 2},
  [7633] = {.lex_state = 51, .external_lex_state = 2},
  [7634] = {.lex_state = 400, .external_lex_state = 2},
  [7635] = {.lex_state = 400, .external_lex_state = 2},
  [7636] = {.lex_state = 51, .external_lex_state = 2},
  [7637] = {.lex_state = 400, .external_lex_state = 2},
  [7638] = {.lex_state = 51, .external_lex_state = 2},
  [7639] = {.lex_state = 400, .external_lex_state = 2},
  [7640] = {.lex_state = 48, .external_lex_state = 2},
  [7641] = {.lex_state = 51, .external_lex_state = 2},
  [7642] = {.lex_state = 400, .external_lex_state = 2},
  [7643] = {.lex_state = 51, .external_lex_state = 2},
  [7644] = {.lex_state = 400, .external_lex_state = 2},
  [7645] = {.lex_state = 400, .external_lex_state = 2},
  [7646] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_satisfies] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_PLUS_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unique] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(7484),
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(1),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(2),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5445),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(156),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(168),
    [anon_sym_DASH] = ACTIONS(168),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(177),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(192),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(194),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(198),
    [anon_sym_number] = ACTIONS(198),
    [anon_sym_boolean] = ACTIONS(198),
    [anon_sym_string] = ACTIONS(198),
    [anon_sym_symbol] = ACTIONS(198),
    [anon_sym_object] = ACTIONS(198),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(3),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5445),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(214),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(156),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(168),
    [anon_sym_DASH] = ACTIONS(168),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(177),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(192),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(194),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(198),
    [anon_sym_number] = ACTIONS(198),
    [anon_sym_boolean] = ACTIONS(198),
    [anon_sym_string] = ACTIONS(198),
    [anon_sym_symbol] = ACTIONS(198),
    [anon_sym_object] = ACTIONS(198),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7408),
    [sym_spread_element] = STATE(5911),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3256),
    [sym_comment] = STATE(4),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(5911),
    [sym_pair] = STATE(5911),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4674),
    [sym_computed_property_name] = STATE(4679),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_accessibility_modifier] = STATE(3607),
    [sym_override_modifier] = STATE(3670),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5919),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(233),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7408),
    [sym_spread_element] = STATE(6153),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3256),
    [sym_comment] = STATE(5),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(6153),
    [sym_pair] = STATE(6153),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4674),
    [sym_computed_property_name] = STATE(4679),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_accessibility_modifier] = STATE(3607),
    [sym_override_modifier] = STATE(3670),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(60),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(6155),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(265),
    [anon_sym_export] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(269),
    [anon_sym_namespace] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(275),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(277),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(279),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(281),
    [anon_sym_readonly] = ACTIONS(283),
    [anon_sym_get] = ACTIONS(285),
    [anon_sym_set] = ACTIONS(285),
    [anon_sym_declare] = ACTIONS(287),
    [anon_sym_public] = ACTIONS(289),
    [anon_sym_private] = ACTIONS(289),
    [anon_sym_protected] = ACTIONS(289),
    [anon_sym_override] = ACTIONS(291),
    [anon_sym_module] = ACTIONS(293),
    [anon_sym_any] = ACTIONS(295),
    [anon_sym_number] = ACTIONS(295),
    [anon_sym_boolean] = ACTIONS(295),
    [anon_sym_string] = ACTIONS(295),
    [anon_sym_symbol] = ACTIONS(295),
    [anon_sym_object] = ACTIONS(295),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7408),
    [sym_spread_element] = STATE(5911),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3256),
    [sym_comment] = STATE(6),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(5911),
    [sym_pair] = STATE(5911),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4674),
    [sym_computed_property_name] = STATE(4679),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_accessibility_modifier] = STATE(3607),
    [sym_override_modifier] = STATE(3670),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(69),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5919),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7408),
    [sym_spread_element] = STATE(5911),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3256),
    [sym_comment] = STATE(7),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(5911),
    [sym_pair] = STATE(5911),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4674),
    [sym_computed_property_name] = STATE(4679),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_accessibility_modifier] = STATE(3607),
    [sym_override_modifier] = STATE(3670),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5919),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(299),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7408),
    [sym_spread_element] = STATE(5911),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3256),
    [sym_comment] = STATE(8),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(5911),
    [sym_pair] = STATE(5911),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4674),
    [sym_computed_property_name] = STATE(4679),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_accessibility_modifier] = STATE(3607),
    [sym_override_modifier] = STATE(3670),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(38),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5919),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7408),
    [sym_spread_element] = STATE(5911),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3256),
    [sym_comment] = STATE(9),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(5911),
    [sym_pair] = STATE(5911),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4674),
    [sym_computed_property_name] = STATE(4679),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_accessibility_modifier] = STATE(3607),
    [sym_override_modifier] = STATE(3670),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5919),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7408),
    [sym_spread_element] = STATE(5911),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3256),
    [sym_comment] = STATE(10),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(5911),
    [sym_pair] = STATE(5911),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4674),
    [sym_computed_property_name] = STATE(4679),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_accessibility_modifier] = STATE(3607),
    [sym_override_modifier] = STATE(3670),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(45),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5919),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7408),
    [sym_spread_element] = STATE(6153),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3256),
    [sym_comment] = STATE(11),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(6153),
    [sym_pair] = STATE(6153),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4674),
    [sym_computed_property_name] = STATE(4679),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_accessibility_modifier] = STATE(3607),
    [sym_override_modifier] = STATE(3670),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(60),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(6155),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_export] = ACTIONS(309),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_namespace] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(319),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(325),
    [anon_sym_set] = ACTIONS(325),
    [anon_sym_declare] = ACTIONS(327),
    [anon_sym_public] = ACTIONS(329),
    [anon_sym_private] = ACTIONS(329),
    [anon_sym_protected] = ACTIONS(329),
    [anon_sym_override] = ACTIONS(331),
    [anon_sym_module] = ACTIONS(333),
    [anon_sym_any] = ACTIONS(335),
    [anon_sym_number] = ACTIONS(335),
    [anon_sym_boolean] = ACTIONS(335),
    [anon_sym_string] = ACTIONS(335),
    [anon_sym_symbol] = ACTIONS(335),
    [anon_sym_object] = ACTIONS(335),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(1189),
    [sym_declaration] = STATE(1189),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1189),
    [sym_expression_statement] = STATE(1189),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_statement_block] = STATE(1189),
    [sym_if_statement] = STATE(1189),
    [sym_switch_statement] = STATE(1189),
    [sym_for_statement] = STATE(1189),
    [sym_for_in_statement] = STATE(1189),
    [sym_while_statement] = STATE(1189),
    [sym_do_statement] = STATE(1189),
    [sym_try_statement] = STATE(1189),
    [sym_with_statement] = STATE(1189),
    [sym_break_statement] = STATE(1189),
    [sym_continue_statement] = STATE(1189),
    [sym_debugger_statement] = STATE(1189),
    [sym_return_statement] = STATE(1189),
    [sym_throw_statement] = STATE(1189),
    [sym_empty_statement] = STATE(1189),
    [sym_labeled_statement] = STATE(1189),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1462),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6696),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(12),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1462),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(391),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(4971),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(341),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_RBRACE] = ACTIONS(341),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(341),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(1189),
    [sym_declaration] = STATE(1189),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1189),
    [sym_expression_statement] = STATE(1189),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_statement_block] = STATE(1189),
    [sym_if_statement] = STATE(1189),
    [sym_switch_statement] = STATE(1189),
    [sym_for_statement] = STATE(1189),
    [sym_for_in_statement] = STATE(1189),
    [sym_while_statement] = STATE(1189),
    [sym_do_statement] = STATE(1189),
    [sym_try_statement] = STATE(1189),
    [sym_with_statement] = STATE(1189),
    [sym_break_statement] = STATE(1189),
    [sym_continue_statement] = STATE(1189),
    [sym_debugger_statement] = STATE(1189),
    [sym_return_statement] = STATE(1189),
    [sym_throw_statement] = STATE(1189),
    [sym_empty_statement] = STATE(1189),
    [sym_labeled_statement] = STATE(1189),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1462),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6696),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(13),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1462),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(391),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(4971),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(403),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(403),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(1189),
    [sym_declaration] = STATE(1189),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1189),
    [sym_expression_statement] = STATE(1189),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_statement_block] = STATE(1189),
    [sym_if_statement] = STATE(1189),
    [sym_switch_statement] = STATE(1189),
    [sym_for_statement] = STATE(1189),
    [sym_for_in_statement] = STATE(1189),
    [sym_while_statement] = STATE(1189),
    [sym_do_statement] = STATE(1189),
    [sym_try_statement] = STATE(1189),
    [sym_with_statement] = STATE(1189),
    [sym_break_statement] = STATE(1189),
    [sym_continue_statement] = STATE(1189),
    [sym_debugger_statement] = STATE(1189),
    [sym_return_statement] = STATE(1189),
    [sym_throw_statement] = STATE(1189),
    [sym_empty_statement] = STATE(1189),
    [sym_labeled_statement] = STATE(1189),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1462),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6696),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(14),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1462),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(391),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(4971),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_export] = ACTIONS(408),
    [anon_sym_default] = ACTIONS(411),
    [anon_sym_type] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(416),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(422),
    [anon_sym_import] = ACTIONS(425),
    [anon_sym_with] = ACTIONS(428),
    [anon_sym_var] = ACTIONS(431),
    [anon_sym_let] = ACTIONS(434),
    [anon_sym_const] = ACTIONS(437),
    [anon_sym_BANG] = ACTIONS(422),
    [anon_sym_if] = ACTIONS(440),
    [anon_sym_switch] = ACTIONS(443),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(449),
    [anon_sym_await] = ACTIONS(452),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_do] = ACTIONS(458),
    [anon_sym_try] = ACTIONS(461),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_continue] = ACTIONS(467),
    [anon_sym_debugger] = ACTIONS(470),
    [anon_sym_return] = ACTIONS(473),
    [anon_sym_throw] = ACTIONS(476),
    [anon_sym_SEMI] = ACTIONS(479),
    [anon_sym_case] = ACTIONS(411),
    [anon_sym_yield] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(485),
    [anon_sym_LTtemplate_GT] = ACTIONS(488),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [anon_sym_SQUOTE] = ACTIONS(494),
    [anon_sym_class] = ACTIONS(497),
    [anon_sym_async] = ACTIONS(500),
    [anon_sym_function] = ACTIONS(503),
    [anon_sym_new] = ACTIONS(506),
    [anon_sym_using] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(422),
    [anon_sym_DASH] = ACTIONS(422),
    [anon_sym_SLASH] = ACTIONS(512),
    [anon_sym_LT] = ACTIONS(515),
    [anon_sym_TILDE] = ACTIONS(422),
    [anon_sym_void] = ACTIONS(422),
    [anon_sym_delete] = ACTIONS(422),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(521),
    [sym_number] = ACTIONS(524),
    [sym_private_property_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(524),
    [sym_super] = ACTIONS(524),
    [sym_true] = ACTIONS(524),
    [sym_false] = ACTIONS(524),
    [sym_null] = ACTIONS(524),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(533),
    [anon_sym_static] = ACTIONS(536),
    [anon_sym_readonly] = ACTIONS(536),
    [anon_sym_get] = ACTIONS(536),
    [anon_sym_set] = ACTIONS(536),
    [anon_sym_declare] = ACTIONS(539),
    [anon_sym_public] = ACTIONS(536),
    [anon_sym_private] = ACTIONS(536),
    [anon_sym_protected] = ACTIONS(536),
    [anon_sym_override] = ACTIONS(536),
    [anon_sym_module] = ACTIONS(542),
    [anon_sym_any] = ACTIONS(536),
    [anon_sym_number] = ACTIONS(536),
    [anon_sym_boolean] = ACTIONS(536),
    [anon_sym_string] = ACTIONS(536),
    [anon_sym_symbol] = ACTIONS(536),
    [anon_sym_object] = ACTIONS(536),
    [anon_sym_abstract] = ACTIONS(545),
    [anon_sym_interface] = ACTIONS(548),
    [anon_sym_enum] = ACTIONS(551),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(1189),
    [sym_declaration] = STATE(1189),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1189),
    [sym_expression_statement] = STATE(1189),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_statement_block] = STATE(1189),
    [sym_if_statement] = STATE(1189),
    [sym_switch_statement] = STATE(1189),
    [sym_for_statement] = STATE(1189),
    [sym_for_in_statement] = STATE(1189),
    [sym_while_statement] = STATE(1189),
    [sym_do_statement] = STATE(1189),
    [sym_try_statement] = STATE(1189),
    [sym_with_statement] = STATE(1189),
    [sym_break_statement] = STATE(1189),
    [sym_continue_statement] = STATE(1189),
    [sym_debugger_statement] = STATE(1189),
    [sym_return_statement] = STATE(1189),
    [sym_throw_statement] = STATE(1189),
    [sym_empty_statement] = STATE(1189),
    [sym_labeled_statement] = STATE(1189),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1462),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6696),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(15),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1462),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(391),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(4971),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(554),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(554),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(1189),
    [sym_declaration] = STATE(1189),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1189),
    [sym_expression_statement] = STATE(1189),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_statement_block] = STATE(1189),
    [sym_if_statement] = STATE(1189),
    [sym_switch_statement] = STATE(1189),
    [sym_for_statement] = STATE(1189),
    [sym_for_in_statement] = STATE(1189),
    [sym_while_statement] = STATE(1189),
    [sym_do_statement] = STATE(1189),
    [sym_try_statement] = STATE(1189),
    [sym_with_statement] = STATE(1189),
    [sym_break_statement] = STATE(1189),
    [sym_continue_statement] = STATE(1189),
    [sym_debugger_statement] = STATE(1189),
    [sym_return_statement] = STATE(1189),
    [sym_throw_statement] = STATE(1189),
    [sym_empty_statement] = STATE(1189),
    [sym_labeled_statement] = STATE(1189),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1462),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6696),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(16),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1462),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(391),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(4971),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(556),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_RBRACE] = ACTIONS(556),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(17),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [ts_builtin_sym_end] = ACTIONS(558),
    [sym_identifier] = ACTIONS(560),
    [anon_sym_export] = ACTIONS(563),
    [anon_sym_type] = ACTIONS(566),
    [anon_sym_namespace] = ACTIONS(569),
    [anon_sym_LBRACE] = ACTIONS(572),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(422),
    [anon_sym_import] = ACTIONS(575),
    [anon_sym_with] = ACTIONS(578),
    [anon_sym_var] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(584),
    [anon_sym_const] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(422),
    [anon_sym_if] = ACTIONS(590),
    [anon_sym_switch] = ACTIONS(593),
    [anon_sym_for] = ACTIONS(596),
    [anon_sym_LPAREN] = ACTIONS(449),
    [anon_sym_await] = ACTIONS(452),
    [anon_sym_while] = ACTIONS(599),
    [anon_sym_do] = ACTIONS(602),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_break] = ACTIONS(608),
    [anon_sym_continue] = ACTIONS(611),
    [anon_sym_debugger] = ACTIONS(614),
    [anon_sym_return] = ACTIONS(617),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(485),
    [anon_sym_LTtemplate_GT] = ACTIONS(488),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [anon_sym_SQUOTE] = ACTIONS(494),
    [anon_sym_class] = ACTIONS(626),
    [anon_sym_async] = ACTIONS(629),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(635),
    [anon_sym_using] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(422),
    [anon_sym_DASH] = ACTIONS(422),
    [anon_sym_SLASH] = ACTIONS(512),
    [anon_sym_LT] = ACTIONS(515),
    [anon_sym_TILDE] = ACTIONS(422),
    [anon_sym_void] = ACTIONS(422),
    [anon_sym_delete] = ACTIONS(422),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(521),
    [sym_number] = ACTIONS(524),
    [sym_private_property_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(524),
    [sym_super] = ACTIONS(524),
    [sym_true] = ACTIONS(524),
    [sym_false] = ACTIONS(524),
    [sym_null] = ACTIONS(524),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(533),
    [anon_sym_static] = ACTIONS(638),
    [anon_sym_readonly] = ACTIONS(638),
    [anon_sym_get] = ACTIONS(638),
    [anon_sym_set] = ACTIONS(638),
    [anon_sym_declare] = ACTIONS(641),
    [anon_sym_public] = ACTIONS(638),
    [anon_sym_private] = ACTIONS(638),
    [anon_sym_protected] = ACTIONS(638),
    [anon_sym_override] = ACTIONS(638),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(638),
    [anon_sym_number] = ACTIONS(638),
    [anon_sym_boolean] = ACTIONS(638),
    [anon_sym_string] = ACTIONS(638),
    [anon_sym_symbol] = ACTIONS(638),
    [anon_sym_object] = ACTIONS(638),
    [anon_sym_abstract] = ACTIONS(647),
    [anon_sym_interface] = ACTIONS(650),
    [anon_sym_enum] = ACTIONS(653),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(18),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(656),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(19),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(658),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(20),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(660),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(21),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(662),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(22),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(23),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(666),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(24),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(668),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(25),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(38),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(26),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(27),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(674),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(28),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(676),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(29),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(31),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(678),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(30),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(680),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(31),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(682),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(32),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(33),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(684),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(33),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(686),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(34),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(688),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(35),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(45),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(690),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(36),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(37),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(38),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(39),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(40),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(698),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(40),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(41),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(42),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(42),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(704),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(43),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(706),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(44),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(53),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [ts_builtin_sym_end] = ACTIONS(708),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(45),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(710),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(46),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(712),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(47),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(714),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(48),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(716),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(49),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(718),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(50),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(720),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(51),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(722),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(52),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(724),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(53),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [ts_builtin_sym_end] = ACTIONS(726),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(54),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(69),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(728),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(55),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(730),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(56),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(57),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(734),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(58),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(736),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(59),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(738),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(60),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(61),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(58),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(62),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(63),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(746),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(64),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(60),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(748),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(65),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(68),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(750),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(66),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(67),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(36),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(754),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(68),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(756),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(69),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(758),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(70),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(760),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(71),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(762),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_export_statement] = STATE(1647),
    [sym_declaration] = STATE(1647),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1647),
    [sym_expression_statement] = STATE(1647),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_switch_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_for_in_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1647),
    [sym_try_statement] = STATE(1647),
    [sym_with_statement] = STATE(1647),
    [sym_break_statement] = STATE(1647),
    [sym_continue_statement] = STATE(1647),
    [sym_debugger_statement] = STATE(1647),
    [sym_return_statement] = STATE(1647),
    [sym_throw_statement] = STATE(1647),
    [sym_empty_statement] = STATE(1647),
    [sym_labeled_statement] = STATE(1647),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(72),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [ts_builtin_sym_end] = ACTIONS(708),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_export_statement] = STATE(1499),
    [sym_declaration] = STATE(1513),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1515),
    [sym_expression_statement] = STATE(1520),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_statement_block] = STATE(1521),
    [sym_if_statement] = STATE(1522),
    [sym_switch_statement] = STATE(1523),
    [sym_for_statement] = STATE(1527),
    [sym_for_in_statement] = STATE(1528),
    [sym_while_statement] = STATE(1529),
    [sym_do_statement] = STATE(1530),
    [sym_try_statement] = STATE(1532),
    [sym_with_statement] = STATE(1535),
    [sym_break_statement] = STATE(1547),
    [sym_continue_statement] = STATE(1545),
    [sym_debugger_statement] = STATE(1541),
    [sym_return_statement] = STATE(1539),
    [sym_throw_statement] = STATE(1538),
    [sym_empty_statement] = STATE(1537),
    [sym_labeled_statement] = STATE(1536),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1462),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6696),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(73),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1462),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(391),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4971),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_export_statement] = STATE(1633),
    [sym_declaration] = STATE(1633),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1633),
    [sym_expression_statement] = STATE(1633),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1633),
    [sym_if_statement] = STATE(1633),
    [sym_switch_statement] = STATE(1633),
    [sym_for_statement] = STATE(1633),
    [sym_for_in_statement] = STATE(1633),
    [sym_while_statement] = STATE(1633),
    [sym_do_statement] = STATE(1633),
    [sym_try_statement] = STATE(1633),
    [sym_with_statement] = STATE(1633),
    [sym_break_statement] = STATE(1633),
    [sym_continue_statement] = STATE(1633),
    [sym_debugger_statement] = STATE(1633),
    [sym_return_statement] = STATE(1633),
    [sym_throw_statement] = STATE(1633),
    [sym_empty_statement] = STATE(1633),
    [sym_labeled_statement] = STATE(1633),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(74),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_export_statement] = STATE(7199),
    [sym_declaration] = STATE(7199),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(7199),
    [sym_expression_statement] = STATE(7199),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_statement_block] = STATE(7199),
    [sym_if_statement] = STATE(7199),
    [sym_switch_statement] = STATE(7199),
    [sym_for_statement] = STATE(7199),
    [sym_for_in_statement] = STATE(7199),
    [sym_while_statement] = STATE(7199),
    [sym_do_statement] = STATE(7199),
    [sym_try_statement] = STATE(7199),
    [sym_with_statement] = STATE(7199),
    [sym_break_statement] = STATE(7199),
    [sym_continue_statement] = STATE(7199),
    [sym_debugger_statement] = STATE(7199),
    [sym_return_statement] = STATE(7199),
    [sym_throw_statement] = STATE(7199),
    [sym_empty_statement] = STATE(7199),
    [sym_labeled_statement] = STATE(7199),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6965),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(75),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4912),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_export_statement] = STATE(1352),
    [sym_declaration] = STATE(1352),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1352),
    [sym_expression_statement] = STATE(1352),
    [sym_variable_declaration] = STATE(1376),
    [sym_lexical_declaration] = STATE(1376),
    [sym_statement_block] = STATE(1352),
    [sym_if_statement] = STATE(1352),
    [sym_switch_statement] = STATE(1352),
    [sym_for_statement] = STATE(1352),
    [sym_for_in_statement] = STATE(1352),
    [sym_while_statement] = STATE(1352),
    [sym_do_statement] = STATE(1352),
    [sym_try_statement] = STATE(1352),
    [sym_with_statement] = STATE(1352),
    [sym_break_statement] = STATE(1352),
    [sym_continue_statement] = STATE(1352),
    [sym_debugger_statement] = STATE(1352),
    [sym_return_statement] = STATE(1352),
    [sym_throw_statement] = STATE(1352),
    [sym_empty_statement] = STATE(1352),
    [sym_labeled_statement] = STATE(1352),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2585),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1376),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1376),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1376),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7040),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(76),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1376),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1376),
    [sym_abstract_class_declaration] = STATE(1376),
    [sym_module] = STATE(1376),
    [sym_internal_module] = STATE(414),
    [sym_import_alias] = STATE(1376),
    [sym_interface_declaration] = STATE(1376),
    [sym_enum_declaration] = STATE(1376),
    [sym_type_alias_declaration] = STATE(1376),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4957),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_export_statement] = STATE(7150),
    [sym_declaration] = STATE(7150),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(7150),
    [sym_expression_statement] = STATE(7150),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_statement_block] = STATE(7150),
    [sym_if_statement] = STATE(7150),
    [sym_switch_statement] = STATE(7150),
    [sym_for_statement] = STATE(7150),
    [sym_for_in_statement] = STATE(7150),
    [sym_while_statement] = STATE(7150),
    [sym_do_statement] = STATE(7150),
    [sym_try_statement] = STATE(7150),
    [sym_with_statement] = STATE(7150),
    [sym_break_statement] = STATE(7150),
    [sym_continue_statement] = STATE(7150),
    [sym_debugger_statement] = STATE(7150),
    [sym_return_statement] = STATE(7150),
    [sym_throw_statement] = STATE(7150),
    [sym_empty_statement] = STATE(7150),
    [sym_labeled_statement] = STATE(7150),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6965),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(77),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4912),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_export_statement] = STATE(1426),
    [sym_declaration] = STATE(1426),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1426),
    [sym_expression_statement] = STATE(1426),
    [sym_variable_declaration] = STATE(1376),
    [sym_lexical_declaration] = STATE(1376),
    [sym_statement_block] = STATE(1426),
    [sym_if_statement] = STATE(1426),
    [sym_switch_statement] = STATE(1426),
    [sym_for_statement] = STATE(1426),
    [sym_for_in_statement] = STATE(1426),
    [sym_while_statement] = STATE(1426),
    [sym_do_statement] = STATE(1426),
    [sym_try_statement] = STATE(1426),
    [sym_with_statement] = STATE(1426),
    [sym_break_statement] = STATE(1426),
    [sym_continue_statement] = STATE(1426),
    [sym_debugger_statement] = STATE(1426),
    [sym_return_statement] = STATE(1426),
    [sym_throw_statement] = STATE(1426),
    [sym_empty_statement] = STATE(1426),
    [sym_labeled_statement] = STATE(1426),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2585),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1376),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1376),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1376),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7040),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(78),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1376),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1376),
    [sym_abstract_class_declaration] = STATE(1376),
    [sym_module] = STATE(1376),
    [sym_internal_module] = STATE(414),
    [sym_import_alias] = STATE(1376),
    [sym_interface_declaration] = STATE(1376),
    [sym_enum_declaration] = STATE(1376),
    [sym_type_alias_declaration] = STATE(1376),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4957),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_export_statement] = STATE(1323),
    [sym_declaration] = STATE(1323),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1323),
    [sym_expression_statement] = STATE(1323),
    [sym_variable_declaration] = STATE(1376),
    [sym_lexical_declaration] = STATE(1376),
    [sym_statement_block] = STATE(1323),
    [sym_if_statement] = STATE(1323),
    [sym_switch_statement] = STATE(1323),
    [sym_for_statement] = STATE(1323),
    [sym_for_in_statement] = STATE(1323),
    [sym_while_statement] = STATE(1323),
    [sym_do_statement] = STATE(1323),
    [sym_try_statement] = STATE(1323),
    [sym_with_statement] = STATE(1323),
    [sym_break_statement] = STATE(1323),
    [sym_continue_statement] = STATE(1323),
    [sym_debugger_statement] = STATE(1323),
    [sym_return_statement] = STATE(1323),
    [sym_throw_statement] = STATE(1323),
    [sym_empty_statement] = STATE(1323),
    [sym_labeled_statement] = STATE(1323),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2585),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1376),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1376),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1376),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7040),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(79),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1376),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1376),
    [sym_abstract_class_declaration] = STATE(1376),
    [sym_module] = STATE(1376),
    [sym_internal_module] = STATE(414),
    [sym_import_alias] = STATE(1376),
    [sym_interface_declaration] = STATE(1376),
    [sym_enum_declaration] = STATE(1376),
    [sym_type_alias_declaration] = STATE(1376),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4957),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_export_statement] = STATE(1446),
    [sym_declaration] = STATE(1454),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1455),
    [sym_expression_statement] = STATE(1456),
    [sym_variable_declaration] = STATE(1376),
    [sym_lexical_declaration] = STATE(1376),
    [sym_statement_block] = STATE(1461),
    [sym_if_statement] = STATE(1463),
    [sym_switch_statement] = STATE(1464),
    [sym_for_statement] = STATE(1465),
    [sym_for_in_statement] = STATE(1469),
    [sym_while_statement] = STATE(1471),
    [sym_do_statement] = STATE(1480),
    [sym_try_statement] = STATE(1481),
    [sym_with_statement] = STATE(1486),
    [sym_break_statement] = STATE(1494),
    [sym_continue_statement] = STATE(1495),
    [sym_debugger_statement] = STATE(1188),
    [sym_return_statement] = STATE(1498),
    [sym_throw_statement] = STATE(1501),
    [sym_empty_statement] = STATE(1509),
    [sym_labeled_statement] = STATE(1510),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2585),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1376),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1376),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1376),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7040),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(80),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1376),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1376),
    [sym_abstract_class_declaration] = STATE(1376),
    [sym_module] = STATE(1376),
    [sym_internal_module] = STATE(414),
    [sym_import_alias] = STATE(1376),
    [sym_interface_declaration] = STATE(1376),
    [sym_enum_declaration] = STATE(1376),
    [sym_type_alias_declaration] = STATE(1376),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4957),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_export_statement] = STATE(6747),
    [sym_declaration] = STATE(6747),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(6747),
    [sym_expression_statement] = STATE(6747),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_statement_block] = STATE(6747),
    [sym_if_statement] = STATE(6747),
    [sym_switch_statement] = STATE(6747),
    [sym_for_statement] = STATE(6747),
    [sym_for_in_statement] = STATE(6747),
    [sym_while_statement] = STATE(6747),
    [sym_do_statement] = STATE(6747),
    [sym_try_statement] = STATE(6747),
    [sym_with_statement] = STATE(6747),
    [sym_break_statement] = STATE(6747),
    [sym_continue_statement] = STATE(6747),
    [sym_debugger_statement] = STATE(6747),
    [sym_return_statement] = STATE(6747),
    [sym_throw_statement] = STATE(6747),
    [sym_empty_statement] = STATE(6747),
    [sym_labeled_statement] = STATE(6747),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6965),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(81),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4912),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_export_statement] = STATE(1693),
    [sym_declaration] = STATE(1685),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1661),
    [sym_expression_statement] = STATE(1637),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1636),
    [sym_if_statement] = STATE(1634),
    [sym_switch_statement] = STATE(1631),
    [sym_for_statement] = STATE(1630),
    [sym_for_in_statement] = STATE(1629),
    [sym_while_statement] = STATE(1596),
    [sym_do_statement] = STATE(1628),
    [sym_try_statement] = STATE(1627),
    [sym_with_statement] = STATE(1626),
    [sym_break_statement] = STATE(1624),
    [sym_continue_statement] = STATE(1623),
    [sym_debugger_statement] = STATE(1620),
    [sym_return_statement] = STATE(1609),
    [sym_throw_statement] = STATE(1608),
    [sym_empty_statement] = STATE(1700),
    [sym_labeled_statement] = STATE(1594),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(82),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_export_statement] = STATE(1393),
    [sym_declaration] = STATE(1394),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1395),
    [sym_expression_statement] = STATE(1396),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_statement_block] = STATE(1399),
    [sym_if_statement] = STATE(1400),
    [sym_switch_statement] = STATE(1401),
    [sym_for_statement] = STATE(1402),
    [sym_for_in_statement] = STATE(1404),
    [sym_while_statement] = STATE(1409),
    [sym_do_statement] = STATE(1411),
    [sym_try_statement] = STATE(1413),
    [sym_with_statement] = STATE(1414),
    [sym_break_statement] = STATE(1416),
    [sym_continue_statement] = STATE(1420),
    [sym_debugger_statement] = STATE(1421),
    [sym_return_statement] = STATE(1422),
    [sym_throw_statement] = STATE(1423),
    [sym_empty_statement] = STATE(1434),
    [sym_labeled_statement] = STATE(1439),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1462),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6696),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(83),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1462),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(391),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4971),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_export_statement] = STATE(1582),
    [sym_declaration] = STATE(1582),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1582),
    [sym_expression_statement] = STATE(1582),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1582),
    [sym_if_statement] = STATE(1582),
    [sym_switch_statement] = STATE(1582),
    [sym_for_statement] = STATE(1582),
    [sym_for_in_statement] = STATE(1582),
    [sym_while_statement] = STATE(1582),
    [sym_do_statement] = STATE(1582),
    [sym_try_statement] = STATE(1582),
    [sym_with_statement] = STATE(1582),
    [sym_break_statement] = STATE(1582),
    [sym_continue_statement] = STATE(1582),
    [sym_debugger_statement] = STATE(1582),
    [sym_return_statement] = STATE(1582),
    [sym_throw_statement] = STATE(1582),
    [sym_empty_statement] = STATE(1582),
    [sym_labeled_statement] = STATE(1582),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(84),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_export_statement] = STATE(7001),
    [sym_declaration] = STATE(7001),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(7001),
    [sym_expression_statement] = STATE(7001),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_statement_block] = STATE(7001),
    [sym_if_statement] = STATE(7001),
    [sym_switch_statement] = STATE(7001),
    [sym_for_statement] = STATE(7001),
    [sym_for_in_statement] = STATE(7001),
    [sym_while_statement] = STATE(7001),
    [sym_do_statement] = STATE(7001),
    [sym_try_statement] = STATE(7001),
    [sym_with_statement] = STATE(7001),
    [sym_break_statement] = STATE(7001),
    [sym_continue_statement] = STATE(7001),
    [sym_debugger_statement] = STATE(7001),
    [sym_return_statement] = STATE(7001),
    [sym_throw_statement] = STATE(7001),
    [sym_empty_statement] = STATE(7001),
    [sym_labeled_statement] = STATE(7001),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6965),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(85),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4912),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_export_statement] = STATE(1286),
    [sym_declaration] = STATE(1286),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1286),
    [sym_expression_statement] = STATE(1286),
    [sym_variable_declaration] = STATE(1376),
    [sym_lexical_declaration] = STATE(1376),
    [sym_statement_block] = STATE(1286),
    [sym_if_statement] = STATE(1286),
    [sym_switch_statement] = STATE(1286),
    [sym_for_statement] = STATE(1286),
    [sym_for_in_statement] = STATE(1286),
    [sym_while_statement] = STATE(1286),
    [sym_do_statement] = STATE(1286),
    [sym_try_statement] = STATE(1286),
    [sym_with_statement] = STATE(1286),
    [sym_break_statement] = STATE(1286),
    [sym_continue_statement] = STATE(1286),
    [sym_debugger_statement] = STATE(1286),
    [sym_return_statement] = STATE(1286),
    [sym_throw_statement] = STATE(1286),
    [sym_empty_statement] = STATE(1286),
    [sym_labeled_statement] = STATE(1286),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2585),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1376),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1376),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1376),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7040),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(86),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1376),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1376),
    [sym_abstract_class_declaration] = STATE(1376),
    [sym_module] = STATE(1376),
    [sym_internal_module] = STATE(414),
    [sym_import_alias] = STATE(1376),
    [sym_interface_declaration] = STATE(1376),
    [sym_enum_declaration] = STATE(1376),
    [sym_type_alias_declaration] = STATE(1376),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4957),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_export_statement] = STATE(1511),
    [sym_declaration] = STATE(1511),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1511),
    [sym_expression_statement] = STATE(1511),
    [sym_variable_declaration] = STATE(1376),
    [sym_lexical_declaration] = STATE(1376),
    [sym_statement_block] = STATE(1511),
    [sym_if_statement] = STATE(1511),
    [sym_switch_statement] = STATE(1511),
    [sym_for_statement] = STATE(1511),
    [sym_for_in_statement] = STATE(1511),
    [sym_while_statement] = STATE(1511),
    [sym_do_statement] = STATE(1511),
    [sym_try_statement] = STATE(1511),
    [sym_with_statement] = STATE(1511),
    [sym_break_statement] = STATE(1511),
    [sym_continue_statement] = STATE(1511),
    [sym_debugger_statement] = STATE(1511),
    [sym_return_statement] = STATE(1511),
    [sym_throw_statement] = STATE(1511),
    [sym_empty_statement] = STATE(1511),
    [sym_labeled_statement] = STATE(1511),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2585),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1376),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1376),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1376),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7040),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(87),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1376),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1376),
    [sym_abstract_class_declaration] = STATE(1376),
    [sym_module] = STATE(1376),
    [sym_internal_module] = STATE(414),
    [sym_import_alias] = STATE(1376),
    [sym_interface_declaration] = STATE(1376),
    [sym_enum_declaration] = STATE(1376),
    [sym_type_alias_declaration] = STATE(1376),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4957),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_export_statement] = STATE(5989),
    [sym_declaration] = STATE(5989),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(5989),
    [sym_expression_statement] = STATE(5989),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_statement_block] = STATE(5989),
    [sym_if_statement] = STATE(5989),
    [sym_switch_statement] = STATE(5989),
    [sym_for_statement] = STATE(5989),
    [sym_for_in_statement] = STATE(5989),
    [sym_while_statement] = STATE(5989),
    [sym_do_statement] = STATE(5989),
    [sym_try_statement] = STATE(5989),
    [sym_with_statement] = STATE(5989),
    [sym_break_statement] = STATE(5989),
    [sym_continue_statement] = STATE(5989),
    [sym_debugger_statement] = STATE(5989),
    [sym_return_statement] = STATE(5989),
    [sym_throw_statement] = STATE(5989),
    [sym_empty_statement] = STATE(5989),
    [sym_labeled_statement] = STATE(5989),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6965),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(88),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4912),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_export_statement] = STATE(1182),
    [sym_declaration] = STATE(1182),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1182),
    [sym_expression_statement] = STATE(1182),
    [sym_variable_declaration] = STATE(1183),
    [sym_lexical_declaration] = STATE(1183),
    [sym_statement_block] = STATE(1182),
    [sym_if_statement] = STATE(1182),
    [sym_switch_statement] = STATE(1182),
    [sym_for_statement] = STATE(1182),
    [sym_for_in_statement] = STATE(1182),
    [sym_while_statement] = STATE(1182),
    [sym_do_statement] = STATE(1182),
    [sym_try_statement] = STATE(1182),
    [sym_with_statement] = STATE(1182),
    [sym_break_statement] = STATE(1182),
    [sym_continue_statement] = STATE(1182),
    [sym_debugger_statement] = STATE(1182),
    [sym_return_statement] = STATE(1182),
    [sym_throw_statement] = STATE(1182),
    [sym_empty_statement] = STATE(1182),
    [sym_labeled_statement] = STATE(1182),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2688),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1183),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1183),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1183),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(89),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1183),
    [sym_abstract_class_declaration] = STATE(1183),
    [sym_module] = STATE(1183),
    [sym_internal_module] = STATE(316),
    [sym_import_alias] = STATE(1183),
    [sym_interface_declaration] = STATE(1183),
    [sym_enum_declaration] = STATE(1183),
    [sym_type_alias_declaration] = STATE(1183),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4979),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_export_statement] = STATE(1181),
    [sym_declaration] = STATE(1181),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1181),
    [sym_expression_statement] = STATE(1181),
    [sym_variable_declaration] = STATE(1183),
    [sym_lexical_declaration] = STATE(1183),
    [sym_statement_block] = STATE(1181),
    [sym_if_statement] = STATE(1181),
    [sym_switch_statement] = STATE(1181),
    [sym_for_statement] = STATE(1181),
    [sym_for_in_statement] = STATE(1181),
    [sym_while_statement] = STATE(1181),
    [sym_do_statement] = STATE(1181),
    [sym_try_statement] = STATE(1181),
    [sym_with_statement] = STATE(1181),
    [sym_break_statement] = STATE(1181),
    [sym_continue_statement] = STATE(1181),
    [sym_debugger_statement] = STATE(1181),
    [sym_return_statement] = STATE(1181),
    [sym_throw_statement] = STATE(1181),
    [sym_empty_statement] = STATE(1181),
    [sym_labeled_statement] = STATE(1181),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2688),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1183),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1183),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1183),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(90),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1183),
    [sym_abstract_class_declaration] = STATE(1183),
    [sym_module] = STATE(1183),
    [sym_internal_module] = STATE(316),
    [sym_import_alias] = STATE(1183),
    [sym_interface_declaration] = STATE(1183),
    [sym_enum_declaration] = STATE(1183),
    [sym_type_alias_declaration] = STATE(1183),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4979),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_export_statement] = STATE(1665),
    [sym_declaration] = STATE(1665),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1665),
    [sym_expression_statement] = STATE(1665),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1665),
    [sym_if_statement] = STATE(1665),
    [sym_switch_statement] = STATE(1665),
    [sym_for_statement] = STATE(1665),
    [sym_for_in_statement] = STATE(1665),
    [sym_while_statement] = STATE(1665),
    [sym_do_statement] = STATE(1665),
    [sym_try_statement] = STATE(1665),
    [sym_with_statement] = STATE(1665),
    [sym_break_statement] = STATE(1665),
    [sym_continue_statement] = STATE(1665),
    [sym_debugger_statement] = STATE(1665),
    [sym_return_statement] = STATE(1665),
    [sym_throw_statement] = STATE(1665),
    [sym_empty_statement] = STATE(1665),
    [sym_labeled_statement] = STATE(1665),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(91),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_export_statement] = STATE(933),
    [sym_declaration] = STATE(933),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(933),
    [sym_expression_statement] = STATE(933),
    [sym_variable_declaration] = STATE(1183),
    [sym_lexical_declaration] = STATE(1183),
    [sym_statement_block] = STATE(933),
    [sym_if_statement] = STATE(933),
    [sym_switch_statement] = STATE(933),
    [sym_for_statement] = STATE(933),
    [sym_for_in_statement] = STATE(933),
    [sym_while_statement] = STATE(933),
    [sym_do_statement] = STATE(933),
    [sym_try_statement] = STATE(933),
    [sym_with_statement] = STATE(933),
    [sym_break_statement] = STATE(933),
    [sym_continue_statement] = STATE(933),
    [sym_debugger_statement] = STATE(933),
    [sym_return_statement] = STATE(933),
    [sym_throw_statement] = STATE(933),
    [sym_empty_statement] = STATE(933),
    [sym_labeled_statement] = STATE(933),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2688),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1183),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1183),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1183),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(92),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1183),
    [sym_abstract_class_declaration] = STATE(1183),
    [sym_module] = STATE(1183),
    [sym_internal_module] = STATE(316),
    [sym_import_alias] = STATE(1183),
    [sym_interface_declaration] = STATE(1183),
    [sym_enum_declaration] = STATE(1183),
    [sym_type_alias_declaration] = STATE(1183),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4979),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_export_statement] = STATE(1169),
    [sym_declaration] = STATE(1169),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1169),
    [sym_expression_statement] = STATE(1169),
    [sym_variable_declaration] = STATE(1183),
    [sym_lexical_declaration] = STATE(1183),
    [sym_statement_block] = STATE(1169),
    [sym_if_statement] = STATE(1169),
    [sym_switch_statement] = STATE(1169),
    [sym_for_statement] = STATE(1169),
    [sym_for_in_statement] = STATE(1169),
    [sym_while_statement] = STATE(1169),
    [sym_do_statement] = STATE(1169),
    [sym_try_statement] = STATE(1169),
    [sym_with_statement] = STATE(1169),
    [sym_break_statement] = STATE(1169),
    [sym_continue_statement] = STATE(1169),
    [sym_debugger_statement] = STATE(1169),
    [sym_return_statement] = STATE(1169),
    [sym_throw_statement] = STATE(1169),
    [sym_empty_statement] = STATE(1169),
    [sym_labeled_statement] = STATE(1169),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2688),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1183),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1183),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1183),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(93),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1183),
    [sym_abstract_class_declaration] = STATE(1183),
    [sym_module] = STATE(1183),
    [sym_internal_module] = STATE(316),
    [sym_import_alias] = STATE(1183),
    [sym_interface_declaration] = STATE(1183),
    [sym_enum_declaration] = STATE(1183),
    [sym_type_alias_declaration] = STATE(1183),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4979),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_export_statement] = STATE(1502),
    [sym_declaration] = STATE(1502),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1502),
    [sym_expression_statement] = STATE(1502),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_statement_block] = STATE(1502),
    [sym_if_statement] = STATE(1502),
    [sym_switch_statement] = STATE(1502),
    [sym_for_statement] = STATE(1502),
    [sym_for_in_statement] = STATE(1502),
    [sym_while_statement] = STATE(1502),
    [sym_do_statement] = STATE(1502),
    [sym_try_statement] = STATE(1502),
    [sym_with_statement] = STATE(1502),
    [sym_break_statement] = STATE(1502),
    [sym_continue_statement] = STATE(1502),
    [sym_debugger_statement] = STATE(1502),
    [sym_return_statement] = STATE(1502),
    [sym_throw_statement] = STATE(1502),
    [sym_empty_statement] = STATE(1502),
    [sym_labeled_statement] = STATE(1502),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1462),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6696),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(94),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1462),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(391),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4971),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_export_statement] = STATE(1616),
    [sym_declaration] = STATE(1616),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1616),
    [sym_expression_statement] = STATE(1616),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1616),
    [sym_if_statement] = STATE(1616),
    [sym_switch_statement] = STATE(1616),
    [sym_for_statement] = STATE(1616),
    [sym_for_in_statement] = STATE(1616),
    [sym_while_statement] = STATE(1616),
    [sym_do_statement] = STATE(1616),
    [sym_try_statement] = STATE(1616),
    [sym_with_statement] = STATE(1616),
    [sym_break_statement] = STATE(1616),
    [sym_continue_statement] = STATE(1616),
    [sym_debugger_statement] = STATE(1616),
    [sym_return_statement] = STATE(1616),
    [sym_throw_statement] = STATE(1616),
    [sym_empty_statement] = STATE(1616),
    [sym_labeled_statement] = STATE(1616),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(95),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_export_statement] = STATE(7367),
    [sym_declaration] = STATE(7367),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(7367),
    [sym_expression_statement] = STATE(7367),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_statement_block] = STATE(7367),
    [sym_if_statement] = STATE(7367),
    [sym_switch_statement] = STATE(7367),
    [sym_for_statement] = STATE(7367),
    [sym_for_in_statement] = STATE(7367),
    [sym_while_statement] = STATE(7367),
    [sym_do_statement] = STATE(7367),
    [sym_try_statement] = STATE(7367),
    [sym_with_statement] = STATE(7367),
    [sym_break_statement] = STATE(7367),
    [sym_continue_statement] = STATE(7367),
    [sym_debugger_statement] = STATE(7367),
    [sym_return_statement] = STATE(7367),
    [sym_throw_statement] = STATE(7367),
    [sym_empty_statement] = STATE(7367),
    [sym_labeled_statement] = STATE(7367),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6965),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(96),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4912),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_export_statement] = STATE(1431),
    [sym_declaration] = STATE(1431),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1431),
    [sym_expression_statement] = STATE(1431),
    [sym_variable_declaration] = STATE(1376),
    [sym_lexical_declaration] = STATE(1376),
    [sym_statement_block] = STATE(1431),
    [sym_if_statement] = STATE(1431),
    [sym_switch_statement] = STATE(1431),
    [sym_for_statement] = STATE(1431),
    [sym_for_in_statement] = STATE(1431),
    [sym_while_statement] = STATE(1431),
    [sym_do_statement] = STATE(1431),
    [sym_try_statement] = STATE(1431),
    [sym_with_statement] = STATE(1431),
    [sym_break_statement] = STATE(1431),
    [sym_continue_statement] = STATE(1431),
    [sym_debugger_statement] = STATE(1431),
    [sym_return_statement] = STATE(1431),
    [sym_throw_statement] = STATE(1431),
    [sym_empty_statement] = STATE(1431),
    [sym_labeled_statement] = STATE(1431),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2585),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1376),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1376),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1376),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7040),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(97),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1376),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1376),
    [sym_abstract_class_declaration] = STATE(1376),
    [sym_module] = STATE(1376),
    [sym_internal_module] = STATE(414),
    [sym_import_alias] = STATE(1376),
    [sym_interface_declaration] = STATE(1376),
    [sym_enum_declaration] = STATE(1376),
    [sym_type_alias_declaration] = STATE(1376),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4957),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_export_statement] = STATE(1474),
    [sym_declaration] = STATE(1474),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1474),
    [sym_expression_statement] = STATE(1474),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_statement_block] = STATE(1474),
    [sym_if_statement] = STATE(1474),
    [sym_switch_statement] = STATE(1474),
    [sym_for_statement] = STATE(1474),
    [sym_for_in_statement] = STATE(1474),
    [sym_while_statement] = STATE(1474),
    [sym_do_statement] = STATE(1474),
    [sym_try_statement] = STATE(1474),
    [sym_with_statement] = STATE(1474),
    [sym_break_statement] = STATE(1474),
    [sym_continue_statement] = STATE(1474),
    [sym_debugger_statement] = STATE(1474),
    [sym_return_statement] = STATE(1474),
    [sym_throw_statement] = STATE(1474),
    [sym_empty_statement] = STATE(1474),
    [sym_labeled_statement] = STATE(1474),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1462),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6696),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(98),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1462),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(391),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4971),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_export_statement] = STATE(1084),
    [sym_declaration] = STATE(1093),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1094),
    [sym_expression_statement] = STATE(1098),
    [sym_variable_declaration] = STATE(1183),
    [sym_lexical_declaration] = STATE(1183),
    [sym_statement_block] = STATE(1100),
    [sym_if_statement] = STATE(1104),
    [sym_switch_statement] = STATE(1105),
    [sym_for_statement] = STATE(1112),
    [sym_for_in_statement] = STATE(1115),
    [sym_while_statement] = STATE(1120),
    [sym_do_statement] = STATE(1122),
    [sym_try_statement] = STATE(1123),
    [sym_with_statement] = STATE(1125),
    [sym_break_statement] = STATE(1128),
    [sym_continue_statement] = STATE(1130),
    [sym_debugger_statement] = STATE(1131),
    [sym_return_statement] = STATE(1133),
    [sym_throw_statement] = STATE(1134),
    [sym_empty_statement] = STATE(1135),
    [sym_labeled_statement] = STATE(1136),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2688),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1183),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1183),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1183),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(99),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1183),
    [sym_abstract_class_declaration] = STATE(1183),
    [sym_module] = STATE(1183),
    [sym_internal_module] = STATE(316),
    [sym_import_alias] = STATE(1183),
    [sym_interface_declaration] = STATE(1183),
    [sym_enum_declaration] = STATE(1183),
    [sym_type_alias_declaration] = STATE(1183),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4979),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_export_statement] = STATE(1389),
    [sym_declaration] = STATE(1389),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1389),
    [sym_expression_statement] = STATE(1389),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_statement_block] = STATE(1389),
    [sym_if_statement] = STATE(1389),
    [sym_switch_statement] = STATE(1389),
    [sym_for_statement] = STATE(1389),
    [sym_for_in_statement] = STATE(1389),
    [sym_while_statement] = STATE(1389),
    [sym_do_statement] = STATE(1389),
    [sym_try_statement] = STATE(1389),
    [sym_with_statement] = STATE(1389),
    [sym_break_statement] = STATE(1389),
    [sym_continue_statement] = STATE(1389),
    [sym_debugger_statement] = STATE(1389),
    [sym_return_statement] = STATE(1389),
    [sym_throw_statement] = STATE(1389),
    [sym_empty_statement] = STATE(1389),
    [sym_labeled_statement] = STATE(1389),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1462),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6696),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(100),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1462),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(391),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4971),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_export_statement] = STATE(7265),
    [sym_declaration] = STATE(7265),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(7265),
    [sym_expression_statement] = STATE(7265),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_statement_block] = STATE(7265),
    [sym_if_statement] = STATE(7265),
    [sym_switch_statement] = STATE(7265),
    [sym_for_statement] = STATE(7265),
    [sym_for_in_statement] = STATE(7265),
    [sym_while_statement] = STATE(7265),
    [sym_do_statement] = STATE(7265),
    [sym_try_statement] = STATE(7265),
    [sym_with_statement] = STATE(7265),
    [sym_break_statement] = STATE(7265),
    [sym_continue_statement] = STATE(7265),
    [sym_debugger_statement] = STATE(7265),
    [sym_return_statement] = STATE(7265),
    [sym_throw_statement] = STATE(7265),
    [sym_empty_statement] = STATE(7265),
    [sym_labeled_statement] = STATE(7265),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6965),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(101),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4912),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_export_statement] = STATE(6936),
    [sym_declaration] = STATE(6936),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(6936),
    [sym_expression_statement] = STATE(6936),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_statement_block] = STATE(6936),
    [sym_if_statement] = STATE(6936),
    [sym_switch_statement] = STATE(6936),
    [sym_for_statement] = STATE(6936),
    [sym_for_in_statement] = STATE(6936),
    [sym_while_statement] = STATE(6936),
    [sym_do_statement] = STATE(6936),
    [sym_try_statement] = STATE(6936),
    [sym_with_statement] = STATE(6936),
    [sym_break_statement] = STATE(6936),
    [sym_continue_statement] = STATE(6936),
    [sym_debugger_statement] = STATE(6936),
    [sym_return_statement] = STATE(6936),
    [sym_throw_statement] = STATE(6936),
    [sym_empty_statement] = STATE(6936),
    [sym_labeled_statement] = STATE(6936),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6965),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(102),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4912),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_export_statement] = STATE(6994),
    [sym_declaration] = STATE(6994),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(6994),
    [sym_expression_statement] = STATE(6994),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_statement_block] = STATE(6994),
    [sym_if_statement] = STATE(6994),
    [sym_switch_statement] = STATE(6994),
    [sym_for_statement] = STATE(6994),
    [sym_for_in_statement] = STATE(6994),
    [sym_while_statement] = STATE(6994),
    [sym_do_statement] = STATE(6994),
    [sym_try_statement] = STATE(6994),
    [sym_with_statement] = STATE(6994),
    [sym_break_statement] = STATE(6994),
    [sym_continue_statement] = STATE(6994),
    [sym_debugger_statement] = STATE(6994),
    [sym_return_statement] = STATE(6994),
    [sym_throw_statement] = STATE(6994),
    [sym_empty_statement] = STATE(6994),
    [sym_labeled_statement] = STATE(6994),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6965),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(103),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4912),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_export_statement] = STATE(1354),
    [sym_declaration] = STATE(1351),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1326),
    [sym_expression_statement] = STATE(1325),
    [sym_variable_declaration] = STATE(1376),
    [sym_lexical_declaration] = STATE(1376),
    [sym_statement_block] = STATE(1319),
    [sym_if_statement] = STATE(1497),
    [sym_switch_statement] = STATE(1190),
    [sym_for_statement] = STATE(1194),
    [sym_for_in_statement] = STATE(1195),
    [sym_while_statement] = STATE(1207),
    [sym_do_statement] = STATE(1212),
    [sym_try_statement] = STATE(1223),
    [sym_with_statement] = STATE(1224),
    [sym_break_statement] = STATE(1225),
    [sym_continue_statement] = STATE(1227),
    [sym_debugger_statement] = STATE(1228),
    [sym_return_statement] = STATE(1229),
    [sym_throw_statement] = STATE(1231),
    [sym_empty_statement] = STATE(1232),
    [sym_labeled_statement] = STATE(1233),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2585),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1376),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1376),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1376),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7040),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(104),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1376),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1376),
    [sym_abstract_class_declaration] = STATE(1376),
    [sym_module] = STATE(1376),
    [sym_internal_module] = STATE(414),
    [sym_import_alias] = STATE(1376),
    [sym_interface_declaration] = STATE(1376),
    [sym_enum_declaration] = STATE(1376),
    [sym_type_alias_declaration] = STATE(1376),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4957),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_export_statement] = STATE(1053),
    [sym_declaration] = STATE(1053),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1053),
    [sym_expression_statement] = STATE(1053),
    [sym_variable_declaration] = STATE(1183),
    [sym_lexical_declaration] = STATE(1183),
    [sym_statement_block] = STATE(1053),
    [sym_if_statement] = STATE(1053),
    [sym_switch_statement] = STATE(1053),
    [sym_for_statement] = STATE(1053),
    [sym_for_in_statement] = STATE(1053),
    [sym_while_statement] = STATE(1053),
    [sym_do_statement] = STATE(1053),
    [sym_try_statement] = STATE(1053),
    [sym_with_statement] = STATE(1053),
    [sym_break_statement] = STATE(1053),
    [sym_continue_statement] = STATE(1053),
    [sym_debugger_statement] = STATE(1053),
    [sym_return_statement] = STATE(1053),
    [sym_throw_statement] = STATE(1053),
    [sym_empty_statement] = STATE(1053),
    [sym_labeled_statement] = STATE(1053),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2688),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1183),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1183),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1183),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(105),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1183),
    [sym_abstract_class_declaration] = STATE(1183),
    [sym_module] = STATE(1183),
    [sym_internal_module] = STATE(316),
    [sym_import_alias] = STATE(1183),
    [sym_interface_declaration] = STATE(1183),
    [sym_enum_declaration] = STATE(1183),
    [sym_type_alias_declaration] = STATE(1183),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4979),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_export_statement] = STATE(6974),
    [sym_declaration] = STATE(6974),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(6974),
    [sym_expression_statement] = STATE(6974),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_statement_block] = STATE(6974),
    [sym_if_statement] = STATE(6974),
    [sym_switch_statement] = STATE(6974),
    [sym_for_statement] = STATE(6974),
    [sym_for_in_statement] = STATE(6974),
    [sym_while_statement] = STATE(6974),
    [sym_do_statement] = STATE(6974),
    [sym_try_statement] = STATE(6974),
    [sym_with_statement] = STATE(6974),
    [sym_break_statement] = STATE(6974),
    [sym_continue_statement] = STATE(6974),
    [sym_debugger_statement] = STATE(6974),
    [sym_return_statement] = STATE(6974),
    [sym_throw_statement] = STATE(6974),
    [sym_empty_statement] = STATE(6974),
    [sym_labeled_statement] = STATE(6974),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6965),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(106),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4912),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_export_statement] = STATE(1380),
    [sym_declaration] = STATE(1380),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1380),
    [sym_expression_statement] = STATE(1380),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_statement_block] = STATE(1380),
    [sym_if_statement] = STATE(1380),
    [sym_switch_statement] = STATE(1380),
    [sym_for_statement] = STATE(1380),
    [sym_for_in_statement] = STATE(1380),
    [sym_while_statement] = STATE(1380),
    [sym_do_statement] = STATE(1380),
    [sym_try_statement] = STATE(1380),
    [sym_with_statement] = STATE(1380),
    [sym_break_statement] = STATE(1380),
    [sym_continue_statement] = STATE(1380),
    [sym_debugger_statement] = STATE(1380),
    [sym_return_statement] = STATE(1380),
    [sym_throw_statement] = STATE(1380),
    [sym_empty_statement] = STATE(1380),
    [sym_labeled_statement] = STATE(1380),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1462),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6696),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(107),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1462),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(391),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4971),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_export_statement] = STATE(7209),
    [sym_declaration] = STATE(7209),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(7209),
    [sym_expression_statement] = STATE(7209),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_statement_block] = STATE(7209),
    [sym_if_statement] = STATE(7209),
    [sym_switch_statement] = STATE(7209),
    [sym_for_statement] = STATE(7209),
    [sym_for_in_statement] = STATE(7209),
    [sym_while_statement] = STATE(7209),
    [sym_do_statement] = STATE(7209),
    [sym_try_statement] = STATE(7209),
    [sym_with_statement] = STATE(7209),
    [sym_break_statement] = STATE(7209),
    [sym_continue_statement] = STATE(7209),
    [sym_debugger_statement] = STATE(7209),
    [sym_return_statement] = STATE(7209),
    [sym_throw_statement] = STATE(7209),
    [sym_empty_statement] = STATE(7209),
    [sym_labeled_statement] = STATE(7209),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6965),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(108),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4912),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_export_statement] = STATE(1560),
    [sym_declaration] = STATE(1560),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1560),
    [sym_expression_statement] = STATE(1560),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1560),
    [sym_if_statement] = STATE(1560),
    [sym_switch_statement] = STATE(1560),
    [sym_for_statement] = STATE(1560),
    [sym_for_in_statement] = STATE(1560),
    [sym_while_statement] = STATE(1560),
    [sym_do_statement] = STATE(1560),
    [sym_try_statement] = STATE(1560),
    [sym_with_statement] = STATE(1560),
    [sym_break_statement] = STATE(1560),
    [sym_continue_statement] = STATE(1560),
    [sym_debugger_statement] = STATE(1560),
    [sym_return_statement] = STATE(1560),
    [sym_throw_statement] = STATE(1560),
    [sym_empty_statement] = STATE(1560),
    [sym_labeled_statement] = STATE(1560),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(109),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_export_statement] = STATE(963),
    [sym_declaration] = STATE(963),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(963),
    [sym_expression_statement] = STATE(963),
    [sym_variable_declaration] = STATE(1376),
    [sym_lexical_declaration] = STATE(1376),
    [sym_statement_block] = STATE(963),
    [sym_if_statement] = STATE(963),
    [sym_switch_statement] = STATE(963),
    [sym_for_statement] = STATE(963),
    [sym_for_in_statement] = STATE(963),
    [sym_while_statement] = STATE(963),
    [sym_do_statement] = STATE(963),
    [sym_try_statement] = STATE(963),
    [sym_with_statement] = STATE(963),
    [sym_break_statement] = STATE(963),
    [sym_continue_statement] = STATE(963),
    [sym_debugger_statement] = STATE(963),
    [sym_return_statement] = STATE(963),
    [sym_throw_statement] = STATE(963),
    [sym_empty_statement] = STATE(963),
    [sym_labeled_statement] = STATE(963),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2585),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1376),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1376),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1376),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7040),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(110),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1376),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1376),
    [sym_abstract_class_declaration] = STATE(1376),
    [sym_module] = STATE(1376),
    [sym_internal_module] = STATE(414),
    [sym_import_alias] = STATE(1376),
    [sym_interface_declaration] = STATE(1376),
    [sym_enum_declaration] = STATE(1376),
    [sym_type_alias_declaration] = STATE(1376),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4957),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_export_statement] = STATE(1023),
    [sym_declaration] = STATE(1024),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1025),
    [sym_expression_statement] = STATE(1026),
    [sym_variable_declaration] = STATE(1183),
    [sym_lexical_declaration] = STATE(1183),
    [sym_statement_block] = STATE(1028),
    [sym_if_statement] = STATE(1031),
    [sym_switch_statement] = STATE(1032),
    [sym_for_statement] = STATE(1033),
    [sym_for_in_statement] = STATE(1034),
    [sym_while_statement] = STATE(1035),
    [sym_do_statement] = STATE(1036),
    [sym_try_statement] = STATE(1037),
    [sym_with_statement] = STATE(1038),
    [sym_break_statement] = STATE(1040),
    [sym_continue_statement] = STATE(1041),
    [sym_debugger_statement] = STATE(1042),
    [sym_return_statement] = STATE(1043),
    [sym_throw_statement] = STATE(1050),
    [sym_empty_statement] = STATE(1051),
    [sym_labeled_statement] = STATE(1052),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2688),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1183),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1183),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1183),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(111),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1183),
    [sym_abstract_class_declaration] = STATE(1183),
    [sym_module] = STATE(1183),
    [sym_internal_module] = STATE(316),
    [sym_import_alias] = STATE(1183),
    [sym_interface_declaration] = STATE(1183),
    [sym_enum_declaration] = STATE(1183),
    [sym_type_alias_declaration] = STATE(1183),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4979),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_export_statement] = STATE(6742),
    [sym_declaration] = STATE(6740),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(6726),
    [sym_expression_statement] = STATE(6723),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_statement_block] = STATE(6550),
    [sym_if_statement] = STATE(6703),
    [sym_switch_statement] = STATE(6689),
    [sym_for_statement] = STATE(6687),
    [sym_for_in_statement] = STATE(6685),
    [sym_while_statement] = STATE(6684),
    [sym_do_statement] = STATE(6683),
    [sym_try_statement] = STATE(6682),
    [sym_with_statement] = STATE(6675),
    [sym_break_statement] = STATE(6668),
    [sym_continue_statement] = STATE(6665),
    [sym_debugger_statement] = STATE(6650),
    [sym_return_statement] = STATE(6649),
    [sym_throw_statement] = STATE(6647),
    [sym_empty_statement] = STATE(6632),
    [sym_labeled_statement] = STATE(6625),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6965),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(112),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4912),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_export_statement] = STATE(1015),
    [sym_declaration] = STATE(1015),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1015),
    [sym_expression_statement] = STATE(1015),
    [sym_variable_declaration] = STATE(1183),
    [sym_lexical_declaration] = STATE(1183),
    [sym_statement_block] = STATE(1015),
    [sym_if_statement] = STATE(1015),
    [sym_switch_statement] = STATE(1015),
    [sym_for_statement] = STATE(1015),
    [sym_for_in_statement] = STATE(1015),
    [sym_while_statement] = STATE(1015),
    [sym_do_statement] = STATE(1015),
    [sym_try_statement] = STATE(1015),
    [sym_with_statement] = STATE(1015),
    [sym_break_statement] = STATE(1015),
    [sym_continue_statement] = STATE(1015),
    [sym_debugger_statement] = STATE(1015),
    [sym_return_statement] = STATE(1015),
    [sym_throw_statement] = STATE(1015),
    [sym_empty_statement] = STATE(1015),
    [sym_labeled_statement] = STATE(1015),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2688),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1183),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1183),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1183),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(113),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1183),
    [sym_abstract_class_declaration] = STATE(1183),
    [sym_module] = STATE(1183),
    [sym_internal_module] = STATE(316),
    [sym_import_alias] = STATE(1183),
    [sym_interface_declaration] = STATE(1183),
    [sym_enum_declaration] = STATE(1183),
    [sym_type_alias_declaration] = STATE(1183),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4979),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_export_statement] = STATE(1638),
    [sym_declaration] = STATE(1638),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1638),
    [sym_expression_statement] = STATE(1638),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1638),
    [sym_if_statement] = STATE(1638),
    [sym_switch_statement] = STATE(1638),
    [sym_for_statement] = STATE(1638),
    [sym_for_in_statement] = STATE(1638),
    [sym_while_statement] = STATE(1638),
    [sym_do_statement] = STATE(1638),
    [sym_try_statement] = STATE(1638),
    [sym_with_statement] = STATE(1638),
    [sym_break_statement] = STATE(1638),
    [sym_continue_statement] = STATE(1638),
    [sym_debugger_statement] = STATE(1638),
    [sym_return_statement] = STATE(1638),
    [sym_throw_statement] = STATE(1638),
    [sym_empty_statement] = STATE(1638),
    [sym_labeled_statement] = STATE(1638),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(114),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_export_statement] = STATE(926),
    [sym_declaration] = STATE(926),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(926),
    [sym_expression_statement] = STATE(926),
    [sym_variable_declaration] = STATE(1183),
    [sym_lexical_declaration] = STATE(1183),
    [sym_statement_block] = STATE(926),
    [sym_if_statement] = STATE(926),
    [sym_switch_statement] = STATE(926),
    [sym_for_statement] = STATE(926),
    [sym_for_in_statement] = STATE(926),
    [sym_while_statement] = STATE(926),
    [sym_do_statement] = STATE(926),
    [sym_try_statement] = STATE(926),
    [sym_with_statement] = STATE(926),
    [sym_break_statement] = STATE(926),
    [sym_continue_statement] = STATE(926),
    [sym_debugger_statement] = STATE(926),
    [sym_return_statement] = STATE(926),
    [sym_throw_statement] = STATE(926),
    [sym_empty_statement] = STATE(926),
    [sym_labeled_statement] = STATE(926),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2688),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1183),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1183),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1183),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(115),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1183),
    [sym_abstract_class_declaration] = STATE(1183),
    [sym_module] = STATE(1183),
    [sym_internal_module] = STATE(316),
    [sym_import_alias] = STATE(1183),
    [sym_interface_declaration] = STATE(1183),
    [sym_enum_declaration] = STATE(1183),
    [sym_type_alias_declaration] = STATE(1183),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4979),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_export_statement] = STATE(7207),
    [sym_declaration] = STATE(7207),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(7207),
    [sym_expression_statement] = STATE(7207),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_statement_block] = STATE(7207),
    [sym_if_statement] = STATE(7207),
    [sym_switch_statement] = STATE(7207),
    [sym_for_statement] = STATE(7207),
    [sym_for_in_statement] = STATE(7207),
    [sym_while_statement] = STATE(7207),
    [sym_do_statement] = STATE(7207),
    [sym_try_statement] = STATE(7207),
    [sym_with_statement] = STATE(7207),
    [sym_break_statement] = STATE(7207),
    [sym_continue_statement] = STATE(7207),
    [sym_debugger_statement] = STATE(7207),
    [sym_return_statement] = STATE(7207),
    [sym_throw_statement] = STATE(7207),
    [sym_empty_statement] = STATE(7207),
    [sym_labeled_statement] = STATE(7207),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6965),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(116),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4912),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_export_statement] = STATE(1061),
    [sym_declaration] = STATE(1061),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1061),
    [sym_expression_statement] = STATE(1061),
    [sym_variable_declaration] = STATE(1376),
    [sym_lexical_declaration] = STATE(1376),
    [sym_statement_block] = STATE(1061),
    [sym_if_statement] = STATE(1061),
    [sym_switch_statement] = STATE(1061),
    [sym_for_statement] = STATE(1061),
    [sym_for_in_statement] = STATE(1061),
    [sym_while_statement] = STATE(1061),
    [sym_do_statement] = STATE(1061),
    [sym_try_statement] = STATE(1061),
    [sym_with_statement] = STATE(1061),
    [sym_break_statement] = STATE(1061),
    [sym_continue_statement] = STATE(1061),
    [sym_debugger_statement] = STATE(1061),
    [sym_return_statement] = STATE(1061),
    [sym_throw_statement] = STATE(1061),
    [sym_empty_statement] = STATE(1061),
    [sym_labeled_statement] = STATE(1061),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2585),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1376),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1376),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1376),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7040),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(117),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1376),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1376),
    [sym_abstract_class_declaration] = STATE(1376),
    [sym_module] = STATE(1376),
    [sym_internal_module] = STATE(414),
    [sym_import_alias] = STATE(1376),
    [sym_interface_declaration] = STATE(1376),
    [sym_enum_declaration] = STATE(1376),
    [sym_type_alias_declaration] = STATE(1376),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4957),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_export_statement] = STATE(1483),
    [sym_declaration] = STATE(1483),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1483),
    [sym_expression_statement] = STATE(1483),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_statement_block] = STATE(1483),
    [sym_if_statement] = STATE(1483),
    [sym_switch_statement] = STATE(1483),
    [sym_for_statement] = STATE(1483),
    [sym_for_in_statement] = STATE(1483),
    [sym_while_statement] = STATE(1483),
    [sym_do_statement] = STATE(1483),
    [sym_try_statement] = STATE(1483),
    [sym_with_statement] = STATE(1483),
    [sym_break_statement] = STATE(1483),
    [sym_continue_statement] = STATE(1483),
    [sym_debugger_statement] = STATE(1483),
    [sym_return_statement] = STATE(1483),
    [sym_throw_statement] = STATE(1483),
    [sym_empty_statement] = STATE(1483),
    [sym_labeled_statement] = STATE(1483),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1462),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6696),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(118),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1462),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(391),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4971),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_export_statement] = STATE(1579),
    [sym_declaration] = STATE(1583),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1588),
    [sym_expression_statement] = STATE(1602),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_statement_block] = STATE(1618),
    [sym_if_statement] = STATE(1619),
    [sym_switch_statement] = STATE(1622),
    [sym_for_statement] = STATE(1660),
    [sym_for_in_statement] = STATE(1666),
    [sym_while_statement] = STATE(1668),
    [sym_do_statement] = STATE(1669),
    [sym_try_statement] = STATE(1680),
    [sym_with_statement] = STATE(1674),
    [sym_break_statement] = STATE(1683),
    [sym_continue_statement] = STATE(1707),
    [sym_debugger_statement] = STATE(1703),
    [sym_return_statement] = STATE(1694),
    [sym_throw_statement] = STATE(1548),
    [sym_empty_statement] = STATE(1676),
    [sym_labeled_statement] = STATE(1592),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6690),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(119),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_export_statement] = STATE(1021),
    [sym_declaration] = STATE(1021),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1021),
    [sym_expression_statement] = STATE(1021),
    [sym_variable_declaration] = STATE(1183),
    [sym_lexical_declaration] = STATE(1183),
    [sym_statement_block] = STATE(1021),
    [sym_if_statement] = STATE(1021),
    [sym_switch_statement] = STATE(1021),
    [sym_for_statement] = STATE(1021),
    [sym_for_in_statement] = STATE(1021),
    [sym_while_statement] = STATE(1021),
    [sym_do_statement] = STATE(1021),
    [sym_try_statement] = STATE(1021),
    [sym_with_statement] = STATE(1021),
    [sym_break_statement] = STATE(1021),
    [sym_continue_statement] = STATE(1021),
    [sym_debugger_statement] = STATE(1021),
    [sym_return_statement] = STATE(1021),
    [sym_throw_statement] = STATE(1021),
    [sym_empty_statement] = STATE(1021),
    [sym_labeled_statement] = STATE(1021),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2688),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1183),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1183),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1183),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(120),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1183),
    [sym_abstract_class_declaration] = STATE(1183),
    [sym_module] = STATE(1183),
    [sym_internal_module] = STATE(316),
    [sym_import_alias] = STATE(1183),
    [sym_interface_declaration] = STATE(1183),
    [sym_enum_declaration] = STATE(1183),
    [sym_type_alias_declaration] = STATE(1183),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4979),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_export_statement] = STATE(1441),
    [sym_declaration] = STATE(1441),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(1441),
    [sym_expression_statement] = STATE(1441),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_statement_block] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_for_statement] = STATE(1441),
    [sym_for_in_statement] = STATE(1441),
    [sym_while_statement] = STATE(1441),
    [sym_do_statement] = STATE(1441),
    [sym_try_statement] = STATE(1441),
    [sym_with_statement] = STATE(1441),
    [sym_break_statement] = STATE(1441),
    [sym_continue_statement] = STATE(1441),
    [sym_debugger_statement] = STATE(1441),
    [sym_return_statement] = STATE(1441),
    [sym_throw_statement] = STATE(1441),
    [sym_empty_statement] = STATE(1441),
    [sym_labeled_statement] = STATE(1441),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1462),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6696),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(121),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(1462),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(391),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4971),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_export_statement] = STATE(7053),
    [sym_declaration] = STATE(7054),
    [sym_import] = STATE(4231),
    [sym_import_statement] = STATE(7064),
    [sym_expression_statement] = STATE(7069),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_statement_block] = STATE(7070),
    [sym_if_statement] = STATE(7071),
    [sym_switch_statement] = STATE(7072),
    [sym_for_statement] = STATE(7081),
    [sym_for_in_statement] = STATE(7085),
    [sym_while_statement] = STATE(7088),
    [sym_do_statement] = STATE(7095),
    [sym_try_statement] = STATE(7104),
    [sym_with_statement] = STATE(7105),
    [sym_break_statement] = STATE(7110),
    [sym_continue_statement] = STATE(7114),
    [sym_debugger_statement] = STATE(7120),
    [sym_return_statement] = STATE(7133),
    [sym_throw_statement] = STATE(7137),
    [sym_empty_statement] = STATE(7140),
    [sym_labeled_statement] = STATE(7142),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6965),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(122),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4912),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2780),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6023),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(123),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(5516),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(5953),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6025),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(976),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6176),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(124),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(5516),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(5953),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6178),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1004),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2159),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2674),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2159),
    [sym_subscript_expression] = STATE(2159),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(125),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2159),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(1006),
    [anon_sym_export] = ACTIONS(1008),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1008),
    [anon_sym_readonly] = ACTIONS(1008),
    [anon_sym_get] = ACTIONS(1008),
    [anon_sym_set] = ACTIONS(1008),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(1008),
    [anon_sym_public] = ACTIONS(1008),
    [anon_sym_private] = ACTIONS(1008),
    [anon_sym_protected] = ACTIONS(1008),
    [anon_sym_override] = ACTIONS(1008),
    [anon_sym_module] = ACTIONS(1008),
    [anon_sym_any] = ACTIONS(1008),
    [anon_sym_number] = ACTIONS(1008),
    [anon_sym_boolean] = ACTIONS(1008),
    [anon_sym_string] = ACTIONS(1008),
    [anon_sym_symbol] = ACTIONS(1008),
    [anon_sym_object] = ACTIONS(1008),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2159),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2674),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2159),
    [sym_subscript_expression] = STATE(2159),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(126),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2159),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [aux_sym_object_repeat1] = STATE(6180),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(1006),
    [anon_sym_export] = ACTIONS(1008),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1008),
    [anon_sym_readonly] = ACTIONS(1008),
    [anon_sym_get] = ACTIONS(1008),
    [anon_sym_set] = ACTIONS(1008),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(1008),
    [anon_sym_public] = ACTIONS(1008),
    [anon_sym_private] = ACTIONS(1008),
    [anon_sym_protected] = ACTIONS(1008),
    [anon_sym_override] = ACTIONS(1008),
    [anon_sym_module] = ACTIONS(1008),
    [anon_sym_any] = ACTIONS(1008),
    [anon_sym_number] = ACTIONS(1008),
    [anon_sym_boolean] = ACTIONS(1008),
    [anon_sym_string] = ACTIONS(1008),
    [anon_sym_symbol] = ACTIONS(1008),
    [anon_sym_object] = ACTIONS(1008),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2780),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6023),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(127),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(5516),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(5953),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6025),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1041),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6176),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(128),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(5516),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(5953),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6178),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1043),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6176),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(129),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(5516),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(5953),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6178),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1045),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6176),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(130),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(5516),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(5953),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6178),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1047),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6176),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(131),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(5516),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(5881),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6178),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1051),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6176),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(132),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(5516),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(5953),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6178),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1053),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2159),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2674),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2159),
    [sym_subscript_expression] = STATE(2159),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(133),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2159),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(1006),
    [anon_sym_export] = ACTIONS(1008),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1008),
    [anon_sym_readonly] = ACTIONS(1008),
    [anon_sym_get] = ACTIONS(1008),
    [anon_sym_set] = ACTIONS(1008),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(1008),
    [anon_sym_public] = ACTIONS(1008),
    [anon_sym_private] = ACTIONS(1008),
    [anon_sym_protected] = ACTIONS(1008),
    [anon_sym_override] = ACTIONS(1008),
    [anon_sym_module] = ACTIONS(1008),
    [anon_sym_any] = ACTIONS(1008),
    [anon_sym_number] = ACTIONS(1008),
    [anon_sym_boolean] = ACTIONS(1008),
    [anon_sym_string] = ACTIONS(1008),
    [anon_sym_symbol] = ACTIONS(1008),
    [anon_sym_object] = ACTIONS(1008),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6176),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(134),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(5516),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(5953),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6178),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1057),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6176),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(135),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(5516),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(5953),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6178),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1059),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(136),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5384),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(214),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1079),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(137),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5363),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(214),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1083),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(138),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5445),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(139),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5437),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(214),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1087),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(140),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5445),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(214),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(141),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5125),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(214),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1089),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(142),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5087),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(214),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1091),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(143),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5115),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(214),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1093),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(144),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(145),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(214),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(217),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(146),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1133),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1133),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_QMARK] = ACTIONS(1133),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(147),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2404),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym__formal_parameter] = STATE(5987),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7182),
    [sym_string] = STATE(3200),
    [sym_comment] = STATE(148),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym__type] = STATE(5750),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(1137),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_typeof] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1151),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1153),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1155),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1165),
    [anon_sym_number] = ACTIONS(1165),
    [anon_sym_boolean] = ACTIONS(1165),
    [anon_sym_string] = ACTIONS(1165),
    [anon_sym_symbol] = ACTIONS(1165),
    [anon_sym_object] = ACTIONS(1165),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(149),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5358),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6657),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym__formal_parameter] = STATE(5987),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7238),
    [sym_string] = STATE(3200),
    [sym_comment] = STATE(150),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym__type] = STATE(5750),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(1137),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_typeof] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1151),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1153),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1155),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1165),
    [anon_sym_number] = ACTIONS(1165),
    [anon_sym_boolean] = ACTIONS(1165),
    [anon_sym_string] = ACTIONS(1165),
    [anon_sym_symbol] = ACTIONS(1165),
    [anon_sym_object] = ACTIONS(1165),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(151),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5358),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6657),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2404),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym__formal_parameter] = STATE(5987),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7182),
    [sym_string] = STATE(3200),
    [sym_comment] = STATE(152),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym__type] = STATE(5741),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(1137),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_typeof] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1151),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1153),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1155),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1165),
    [anon_sym_number] = ACTIONS(1165),
    [anon_sym_boolean] = ACTIONS(1165),
    [anon_sym_string] = ACTIONS(1165),
    [anon_sym_symbol] = ACTIONS(1165),
    [anon_sym_object] = ACTIONS(1165),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(153),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2159),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2674),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2159),
    [sym_subscript_expression] = STATE(2159),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(154),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2159),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1006),
    [anon_sym_export] = ACTIONS(1008),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1008),
    [anon_sym_readonly] = ACTIONS(1008),
    [anon_sym_get] = ACTIONS(1008),
    [anon_sym_set] = ACTIONS(1008),
    [anon_sym_declare] = ACTIONS(1008),
    [anon_sym_public] = ACTIONS(1008),
    [anon_sym_private] = ACTIONS(1008),
    [anon_sym_protected] = ACTIONS(1008),
    [anon_sym_override] = ACTIONS(1008),
    [anon_sym_module] = ACTIONS(1008),
    [anon_sym_any] = ACTIONS(1008),
    [anon_sym_number] = ACTIONS(1008),
    [anon_sym_boolean] = ACTIONS(1008),
    [anon_sym_string] = ACTIONS(1008),
    [anon_sym_symbol] = ACTIONS(1008),
    [anon_sym_object] = ACTIONS(1008),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym__formal_parameter] = STATE(5987),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(155),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym__type] = STATE(5741),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(156),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(168),
    [anon_sym_DASH] = ACTIONS(168),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(177),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1171),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(192),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1173),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(198),
    [anon_sym_number] = ACTIONS(198),
    [anon_sym_boolean] = ACTIONS(198),
    [anon_sym_string] = ACTIONS(198),
    [anon_sym_symbol] = ACTIONS(198),
    [anon_sym_object] = ACTIONS(198),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2159),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2674),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2159),
    [sym_subscript_expression] = STATE(2159),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(156),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2159),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1179),
    [anon_sym_export] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1181),
    [anon_sym_EQ] = ACTIONS(1183),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1191),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1181),
    [anon_sym_readonly] = ACTIONS(1181),
    [anon_sym_get] = ACTIONS(1181),
    [anon_sym_set] = ACTIONS(1181),
    [anon_sym_declare] = ACTIONS(1181),
    [anon_sym_public] = ACTIONS(1181),
    [anon_sym_private] = ACTIONS(1181),
    [anon_sym_protected] = ACTIONS(1181),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(1181),
    [anon_sym_any] = ACTIONS(1181),
    [anon_sym_number] = ACTIONS(1181),
    [anon_sym_boolean] = ACTIONS(1181),
    [anon_sym_string] = ACTIONS(1181),
    [anon_sym_symbol] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1181),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2159),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2674),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2159),
    [sym_subscript_expression] = STATE(2159),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(157),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2159),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1006),
    [anon_sym_export] = ACTIONS(1008),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(1195),
    [anon_sym_of] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1008),
    [anon_sym_readonly] = ACTIONS(1008),
    [anon_sym_get] = ACTIONS(1008),
    [anon_sym_set] = ACTIONS(1008),
    [anon_sym_declare] = ACTIONS(1008),
    [anon_sym_public] = ACTIONS(1008),
    [anon_sym_private] = ACTIONS(1008),
    [anon_sym_protected] = ACTIONS(1008),
    [anon_sym_override] = ACTIONS(1008),
    [anon_sym_module] = ACTIONS(1008),
    [anon_sym_any] = ACTIONS(1008),
    [anon_sym_number] = ACTIONS(1008),
    [anon_sym_boolean] = ACTIONS(1008),
    [anon_sym_string] = ACTIONS(1008),
    [anon_sym_symbol] = ACTIONS(1008),
    [anon_sym_object] = ACTIONS(1008),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2159),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2674),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2159),
    [sym_subscript_expression] = STATE(2159),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(158),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2159),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1006),
    [anon_sym_export] = ACTIONS(1008),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1200),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1008),
    [anon_sym_readonly] = ACTIONS(1008),
    [anon_sym_get] = ACTIONS(1008),
    [anon_sym_set] = ACTIONS(1008),
    [anon_sym_declare] = ACTIONS(1008),
    [anon_sym_public] = ACTIONS(1008),
    [anon_sym_private] = ACTIONS(1008),
    [anon_sym_protected] = ACTIONS(1008),
    [anon_sym_override] = ACTIONS(1008),
    [anon_sym_module] = ACTIONS(1008),
    [anon_sym_any] = ACTIONS(1008),
    [anon_sym_number] = ACTIONS(1008),
    [anon_sym_boolean] = ACTIONS(1008),
    [anon_sym_string] = ACTIONS(1008),
    [anon_sym_symbol] = ACTIONS(1008),
    [anon_sym_object] = ACTIONS(1008),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2159),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2674),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2159),
    [sym_subscript_expression] = STATE(2159),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(159),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2159),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1006),
    [anon_sym_export] = ACTIONS(1008),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1008),
    [anon_sym_readonly] = ACTIONS(1008),
    [anon_sym_get] = ACTIONS(1008),
    [anon_sym_set] = ACTIONS(1008),
    [anon_sym_declare] = ACTIONS(1008),
    [anon_sym_public] = ACTIONS(1008),
    [anon_sym_private] = ACTIONS(1008),
    [anon_sym_protected] = ACTIONS(1008),
    [anon_sym_override] = ACTIONS(1008),
    [anon_sym_module] = ACTIONS(1008),
    [anon_sym_any] = ACTIONS(1008),
    [anon_sym_number] = ACTIONS(1008),
    [anon_sym_boolean] = ACTIONS(1008),
    [anon_sym_string] = ACTIONS(1008),
    [anon_sym_symbol] = ACTIONS(1008),
    [anon_sym_object] = ACTIONS(1008),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym__formal_parameter] = STATE(5987),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(160),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym__type] = STATE(5660),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(156),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(168),
    [anon_sym_DASH] = ACTIONS(168),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(177),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1171),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(192),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1173),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(198),
    [anon_sym_number] = ACTIONS(198),
    [anon_sym_boolean] = ACTIONS(198),
    [anon_sym_string] = ACTIONS(198),
    [anon_sym_symbol] = ACTIONS(198),
    [anon_sym_object] = ACTIONS(198),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2159),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2674),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2159),
    [sym_subscript_expression] = STATE(2159),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(161),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2159),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1006),
    [anon_sym_export] = ACTIONS(1008),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1202),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1008),
    [anon_sym_readonly] = ACTIONS(1008),
    [anon_sym_get] = ACTIONS(1008),
    [anon_sym_set] = ACTIONS(1008),
    [anon_sym_declare] = ACTIONS(1008),
    [anon_sym_public] = ACTIONS(1008),
    [anon_sym_private] = ACTIONS(1008),
    [anon_sym_protected] = ACTIONS(1008),
    [anon_sym_override] = ACTIONS(1008),
    [anon_sym_module] = ACTIONS(1008),
    [anon_sym_any] = ACTIONS(1008),
    [anon_sym_number] = ACTIONS(1008),
    [anon_sym_boolean] = ACTIONS(1008),
    [anon_sym_string] = ACTIONS(1008),
    [anon_sym_symbol] = ACTIONS(1008),
    [anon_sym_object] = ACTIONS(1008),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2159),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2674),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2159),
    [sym_subscript_expression] = STATE(2159),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(162),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2159),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1006),
    [anon_sym_export] = ACTIONS(1008),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1204),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1008),
    [anon_sym_readonly] = ACTIONS(1008),
    [anon_sym_get] = ACTIONS(1008),
    [anon_sym_set] = ACTIONS(1008),
    [anon_sym_declare] = ACTIONS(1008),
    [anon_sym_public] = ACTIONS(1008),
    [anon_sym_private] = ACTIONS(1008),
    [anon_sym_protected] = ACTIONS(1008),
    [anon_sym_override] = ACTIONS(1008),
    [anon_sym_module] = ACTIONS(1008),
    [anon_sym_any] = ACTIONS(1008),
    [anon_sym_number] = ACTIONS(1008),
    [anon_sym_boolean] = ACTIONS(1008),
    [anon_sym_string] = ACTIONS(1008),
    [anon_sym_symbol] = ACTIONS(1008),
    [anon_sym_object] = ACTIONS(1008),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(163),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2159),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2674),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2159),
    [sym_subscript_expression] = STATE(2159),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(164),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5358),
    [sym_non_null_expression] = STATE(2159),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6657),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1006),
    [anon_sym_export] = ACTIONS(1008),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1008),
    [anon_sym_readonly] = ACTIONS(1008),
    [anon_sym_get] = ACTIONS(1008),
    [anon_sym_set] = ACTIONS(1008),
    [anon_sym_declare] = ACTIONS(1008),
    [anon_sym_public] = ACTIONS(1008),
    [anon_sym_private] = ACTIONS(1008),
    [anon_sym_protected] = ACTIONS(1008),
    [anon_sym_override] = ACTIONS(1008),
    [anon_sym_module] = ACTIONS(1008),
    [anon_sym_any] = ACTIONS(1008),
    [anon_sym_number] = ACTIONS(1008),
    [anon_sym_boolean] = ACTIONS(1008),
    [anon_sym_string] = ACTIONS(1008),
    [anon_sym_symbol] = ACTIONS(1008),
    [anon_sym_object] = ACTIONS(1008),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2159),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2674),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2159),
    [sym_subscript_expression] = STATE(2159),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(165),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2159),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1006),
    [anon_sym_export] = ACTIONS(1008),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1206),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1008),
    [anon_sym_readonly] = ACTIONS(1008),
    [anon_sym_get] = ACTIONS(1008),
    [anon_sym_set] = ACTIONS(1008),
    [anon_sym_declare] = ACTIONS(1008),
    [anon_sym_public] = ACTIONS(1008),
    [anon_sym_private] = ACTIONS(1008),
    [anon_sym_protected] = ACTIONS(1008),
    [anon_sym_override] = ACTIONS(1008),
    [anon_sym_module] = ACTIONS(1008),
    [anon_sym_any] = ACTIONS(1008),
    [anon_sym_number] = ACTIONS(1008),
    [anon_sym_boolean] = ACTIONS(1008),
    [anon_sym_string] = ACTIONS(1008),
    [anon_sym_symbol] = ACTIONS(1008),
    [anon_sym_object] = ACTIONS(1008),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym__formal_parameter] = STATE(5987),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(166),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym__type] = STATE(5576),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(156),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(168),
    [anon_sym_DASH] = ACTIONS(168),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(177),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1171),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(192),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1173),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(198),
    [anon_sym_number] = ACTIONS(198),
    [anon_sym_boolean] = ACTIONS(198),
    [anon_sym_string] = ACTIONS(198),
    [anon_sym_symbol] = ACTIONS(198),
    [anon_sym_object] = ACTIONS(198),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym__formal_parameter] = STATE(5987),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(167),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym__type] = STATE(5750),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(156),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(168),
    [anon_sym_DASH] = ACTIONS(168),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(177),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1171),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(192),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1173),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(198),
    [anon_sym_number] = ACTIONS(198),
    [anon_sym_boolean] = ACTIONS(198),
    [anon_sym_string] = ACTIONS(198),
    [anon_sym_symbol] = ACTIONS(198),
    [anon_sym_object] = ACTIONS(198),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym__formal_parameter] = STATE(5987),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(168),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(5295),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym__type] = STATE(5640),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(156),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(168),
    [anon_sym_DASH] = ACTIONS(168),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(177),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1171),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(192),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1173),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(198),
    [anon_sym_number] = ACTIONS(198),
    [anon_sym_boolean] = ACTIONS(198),
    [anon_sym_string] = ACTIONS(198),
    [anon_sym_symbol] = ACTIONS(198),
    [anon_sym_object] = ACTIONS(198),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(169),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5358),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6657),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(214),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(170),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2159),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2674),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2159),
    [sym_subscript_expression] = STATE(2159),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(171),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5358),
    [sym_non_null_expression] = STATE(2159),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6657),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1179),
    [anon_sym_export] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1181),
    [anon_sym_EQ] = ACTIONS(1183),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1191),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1181),
    [anon_sym_readonly] = ACTIONS(1181),
    [anon_sym_get] = ACTIONS(1181),
    [anon_sym_set] = ACTIONS(1181),
    [anon_sym_declare] = ACTIONS(1181),
    [anon_sym_public] = ACTIONS(1181),
    [anon_sym_private] = ACTIONS(1181),
    [anon_sym_protected] = ACTIONS(1181),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(1181),
    [anon_sym_any] = ACTIONS(1181),
    [anon_sym_number] = ACTIONS(1181),
    [anon_sym_boolean] = ACTIONS(1181),
    [anon_sym_string] = ACTIONS(1181),
    [anon_sym_symbol] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1181),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(172),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1208),
    [anon_sym_export] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1210),
    [anon_sym_EQ] = ACTIONS(1212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1217),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1219),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1223),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1210),
    [anon_sym_readonly] = ACTIONS(1210),
    [anon_sym_get] = ACTIONS(1210),
    [anon_sym_set] = ACTIONS(1210),
    [anon_sym_declare] = ACTIONS(1210),
    [anon_sym_public] = ACTIONS(1210),
    [anon_sym_private] = ACTIONS(1210),
    [anon_sym_protected] = ACTIONS(1210),
    [anon_sym_override] = ACTIONS(1210),
    [anon_sym_module] = ACTIONS(1210),
    [anon_sym_any] = ACTIONS(1210),
    [anon_sym_number] = ACTIONS(1210),
    [anon_sym_boolean] = ACTIONS(1210),
    [anon_sym_string] = ACTIONS(1210),
    [anon_sym_symbol] = ACTIONS(1210),
    [anon_sym_object] = ACTIONS(1210),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(173),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5358),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6657),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1225),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(174),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1225),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2159),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2674),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2159),
    [sym_subscript_expression] = STATE(2159),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(175),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2159),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1228),
    [anon_sym_export] = ACTIONS(1230),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1230),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1236),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1230),
    [anon_sym_readonly] = ACTIONS(1230),
    [anon_sym_get] = ACTIONS(1230),
    [anon_sym_set] = ACTIONS(1230),
    [anon_sym_declare] = ACTIONS(1230),
    [anon_sym_public] = ACTIONS(1230),
    [anon_sym_private] = ACTIONS(1230),
    [anon_sym_protected] = ACTIONS(1230),
    [anon_sym_override] = ACTIONS(1230),
    [anon_sym_module] = ACTIONS(1230),
    [anon_sym_any] = ACTIONS(1230),
    [anon_sym_number] = ACTIONS(1230),
    [anon_sym_boolean] = ACTIONS(1230),
    [anon_sym_string] = ACTIONS(1230),
    [anon_sym_symbol] = ACTIONS(1230),
    [anon_sym_object] = ACTIONS(1230),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(176),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1242),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(177),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1244),
    [anon_sym_export] = ACTIONS(1246),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1246),
    [anon_sym_EQ] = ACTIONS(1248),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1252),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1256),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1246),
    [anon_sym_readonly] = ACTIONS(1246),
    [anon_sym_get] = ACTIONS(1246),
    [anon_sym_set] = ACTIONS(1246),
    [anon_sym_declare] = ACTIONS(1246),
    [anon_sym_public] = ACTIONS(1246),
    [anon_sym_private] = ACTIONS(1246),
    [anon_sym_protected] = ACTIONS(1246),
    [anon_sym_override] = ACTIONS(1246),
    [anon_sym_module] = ACTIONS(1246),
    [anon_sym_any] = ACTIONS(1246),
    [anon_sym_number] = ACTIONS(1246),
    [anon_sym_boolean] = ACTIONS(1246),
    [anon_sym_string] = ACTIONS(1246),
    [anon_sym_symbol] = ACTIONS(1246),
    [anon_sym_object] = ACTIONS(1246),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(178),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1208),
    [anon_sym_export] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1210),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1217),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1219),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1223),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1210),
    [anon_sym_readonly] = ACTIONS(1210),
    [anon_sym_get] = ACTIONS(1210),
    [anon_sym_set] = ACTIONS(1210),
    [anon_sym_declare] = ACTIONS(1210),
    [anon_sym_public] = ACTIONS(1210),
    [anon_sym_private] = ACTIONS(1210),
    [anon_sym_protected] = ACTIONS(1210),
    [anon_sym_override] = ACTIONS(1210),
    [anon_sym_module] = ACTIONS(1210),
    [anon_sym_any] = ACTIONS(1210),
    [anon_sym_number] = ACTIONS(1210),
    [anon_sym_boolean] = ACTIONS(1210),
    [anon_sym_string] = ACTIONS(1210),
    [anon_sym_symbol] = ACTIONS(1210),
    [anon_sym_object] = ACTIONS(1210),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(179),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(180),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5358),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6657),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1244),
    [anon_sym_export] = ACTIONS(1246),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1246),
    [anon_sym_EQ] = ACTIONS(1248),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1252),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1256),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1246),
    [anon_sym_readonly] = ACTIONS(1246),
    [anon_sym_get] = ACTIONS(1246),
    [anon_sym_set] = ACTIONS(1246),
    [anon_sym_declare] = ACTIONS(1246),
    [anon_sym_public] = ACTIONS(1246),
    [anon_sym_private] = ACTIONS(1246),
    [anon_sym_protected] = ACTIONS(1246),
    [anon_sym_override] = ACTIONS(1246),
    [anon_sym_module] = ACTIONS(1246),
    [anon_sym_any] = ACTIONS(1246),
    [anon_sym_number] = ACTIONS(1246),
    [anon_sym_boolean] = ACTIONS(1246),
    [anon_sym_string] = ACTIONS(1246),
    [anon_sym_symbol] = ACTIONS(1246),
    [anon_sym_object] = ACTIONS(1246),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(181),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1208),
    [anon_sym_export] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1210),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1260),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1219),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1223),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1210),
    [anon_sym_readonly] = ACTIONS(1210),
    [anon_sym_get] = ACTIONS(1210),
    [anon_sym_set] = ACTIONS(1210),
    [anon_sym_declare] = ACTIONS(1210),
    [anon_sym_public] = ACTIONS(1210),
    [anon_sym_private] = ACTIONS(1210),
    [anon_sym_protected] = ACTIONS(1210),
    [anon_sym_override] = ACTIONS(1210),
    [anon_sym_module] = ACTIONS(1210),
    [anon_sym_any] = ACTIONS(1210),
    [anon_sym_number] = ACTIONS(1210),
    [anon_sym_boolean] = ACTIONS(1210),
    [anon_sym_string] = ACTIONS(1210),
    [anon_sym_symbol] = ACTIONS(1210),
    [anon_sym_object] = ACTIONS(1210),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2159),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2674),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2159),
    [sym_subscript_expression] = STATE(2159),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(182),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5358),
    [sym_non_null_expression] = STATE(2159),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6657),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1228),
    [anon_sym_export] = ACTIONS(1230),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1230),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1236),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1230),
    [anon_sym_readonly] = ACTIONS(1230),
    [anon_sym_get] = ACTIONS(1230),
    [anon_sym_set] = ACTIONS(1230),
    [anon_sym_declare] = ACTIONS(1230),
    [anon_sym_public] = ACTIONS(1230),
    [anon_sym_private] = ACTIONS(1230),
    [anon_sym_protected] = ACTIONS(1230),
    [anon_sym_override] = ACTIONS(1230),
    [anon_sym_module] = ACTIONS(1230),
    [anon_sym_any] = ACTIONS(1230),
    [anon_sym_number] = ACTIONS(1230),
    [anon_sym_boolean] = ACTIONS(1230),
    [anon_sym_string] = ACTIONS(1230),
    [anon_sym_symbol] = ACTIONS(1230),
    [anon_sym_object] = ACTIONS(1230),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(183),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5358),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6657),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1262),
    [anon_sym_export] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1264),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1270),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1242),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1272),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_readonly] = ACTIONS(1264),
    [anon_sym_get] = ACTIONS(1264),
    [anon_sym_set] = ACTIONS(1264),
    [anon_sym_declare] = ACTIONS(1264),
    [anon_sym_public] = ACTIONS(1264),
    [anon_sym_private] = ACTIONS(1264),
    [anon_sym_protected] = ACTIONS(1264),
    [anon_sym_override] = ACTIONS(1264),
    [anon_sym_module] = ACTIONS(1264),
    [anon_sym_any] = ACTIONS(1264),
    [anon_sym_number] = ACTIONS(1264),
    [anon_sym_boolean] = ACTIONS(1264),
    [anon_sym_string] = ACTIONS(1264),
    [anon_sym_symbol] = ACTIONS(1264),
    [anon_sym_object] = ACTIONS(1264),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(184),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5502),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6931),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(185),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(186),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1262),
    [anon_sym_export] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1264),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1270),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1242),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1272),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_readonly] = ACTIONS(1264),
    [anon_sym_get] = ACTIONS(1264),
    [anon_sym_set] = ACTIONS(1264),
    [anon_sym_declare] = ACTIONS(1264),
    [anon_sym_public] = ACTIONS(1264),
    [anon_sym_private] = ACTIONS(1264),
    [anon_sym_protected] = ACTIONS(1264),
    [anon_sym_override] = ACTIONS(1264),
    [anon_sym_module] = ACTIONS(1264),
    [anon_sym_any] = ACTIONS(1264),
    [anon_sym_number] = ACTIONS(1264),
    [anon_sym_boolean] = ACTIONS(1264),
    [anon_sym_string] = ACTIONS(1264),
    [anon_sym_symbol] = ACTIONS(1264),
    [anon_sym_object] = ACTIONS(1264),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(187),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1208),
    [anon_sym_export] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1210),
    [anon_sym_EQ] = ACTIONS(1212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1219),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1223),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1210),
    [anon_sym_readonly] = ACTIONS(1210),
    [anon_sym_get] = ACTIONS(1210),
    [anon_sym_set] = ACTIONS(1210),
    [anon_sym_declare] = ACTIONS(1210),
    [anon_sym_public] = ACTIONS(1210),
    [anon_sym_private] = ACTIONS(1210),
    [anon_sym_protected] = ACTIONS(1210),
    [anon_sym_override] = ACTIONS(1210),
    [anon_sym_module] = ACTIONS(1210),
    [anon_sym_any] = ACTIONS(1210),
    [anon_sym_number] = ACTIONS(1210),
    [anon_sym_boolean] = ACTIONS(1210),
    [anon_sym_string] = ACTIONS(1210),
    [anon_sym_symbol] = ACTIONS(1210),
    [anon_sym_object] = ACTIONS(1210),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(188),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5358),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6657),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(189),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1208),
    [anon_sym_export] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1210),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1219),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1223),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1210),
    [anon_sym_readonly] = ACTIONS(1210),
    [anon_sym_get] = ACTIONS(1210),
    [anon_sym_set] = ACTIONS(1210),
    [anon_sym_declare] = ACTIONS(1210),
    [anon_sym_public] = ACTIONS(1210),
    [anon_sym_private] = ACTIONS(1210),
    [anon_sym_protected] = ACTIONS(1210),
    [anon_sym_override] = ACTIONS(1210),
    [anon_sym_module] = ACTIONS(1210),
    [anon_sym_any] = ACTIONS(1210),
    [anon_sym_number] = ACTIONS(1210),
    [anon_sym_boolean] = ACTIONS(1210),
    [anon_sym_string] = ACTIONS(1210),
    [anon_sym_symbol] = ACTIONS(1210),
    [anon_sym_object] = ACTIONS(1210),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(190),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5358),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6657),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1276),
    [anon_sym_export] = ACTIONS(1278),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1288),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1278),
    [anon_sym_readonly] = ACTIONS(1278),
    [anon_sym_get] = ACTIONS(1278),
    [anon_sym_set] = ACTIONS(1278),
    [anon_sym_declare] = ACTIONS(1278),
    [anon_sym_public] = ACTIONS(1278),
    [anon_sym_private] = ACTIONS(1278),
    [anon_sym_protected] = ACTIONS(1278),
    [anon_sym_override] = ACTIONS(1278),
    [anon_sym_module] = ACTIONS(1278),
    [anon_sym_any] = ACTIONS(1278),
    [anon_sym_number] = ACTIONS(1278),
    [anon_sym_boolean] = ACTIONS(1278),
    [anon_sym_string] = ACTIONS(1278),
    [anon_sym_symbol] = ACTIONS(1278),
    [anon_sym_object] = ACTIONS(1278),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(191),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5358),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6657),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1208),
    [anon_sym_export] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1210),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1219),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1223),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1210),
    [anon_sym_readonly] = ACTIONS(1210),
    [anon_sym_get] = ACTIONS(1210),
    [anon_sym_set] = ACTIONS(1210),
    [anon_sym_declare] = ACTIONS(1210),
    [anon_sym_public] = ACTIONS(1210),
    [anon_sym_private] = ACTIONS(1210),
    [anon_sym_protected] = ACTIONS(1210),
    [anon_sym_override] = ACTIONS(1210),
    [anon_sym_module] = ACTIONS(1210),
    [anon_sym_any] = ACTIONS(1210),
    [anon_sym_number] = ACTIONS(1210),
    [anon_sym_boolean] = ACTIONS(1210),
    [anon_sym_string] = ACTIONS(1210),
    [anon_sym_symbol] = ACTIONS(1210),
    [anon_sym_object] = ACTIONS(1210),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(192),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(193),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1276),
    [anon_sym_export] = ACTIONS(1278),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1288),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1278),
    [anon_sym_readonly] = ACTIONS(1278),
    [anon_sym_get] = ACTIONS(1278),
    [anon_sym_set] = ACTIONS(1278),
    [anon_sym_declare] = ACTIONS(1278),
    [anon_sym_public] = ACTIONS(1278),
    [anon_sym_private] = ACTIONS(1278),
    [anon_sym_protected] = ACTIONS(1278),
    [anon_sym_override] = ACTIONS(1278),
    [anon_sym_module] = ACTIONS(1278),
    [anon_sym_any] = ACTIONS(1278),
    [anon_sym_number] = ACTIONS(1278),
    [anon_sym_boolean] = ACTIONS(1278),
    [anon_sym_string] = ACTIONS(1278),
    [anon_sym_symbol] = ACTIONS(1278),
    [anon_sym_object] = ACTIONS(1278),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(194),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(1195),
    [anon_sym_of] = ACTIONS(1198),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(195),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(196),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1292),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(197),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1294),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(4213),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2970),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6917),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7197),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2894),
    [sym_comment] = STATE(198),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5420),
    [sym_pattern] = STATE(6120),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4171),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4444),
    [sym__type] = STATE(4186),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1296),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_typeof] = ACTIONS(1302),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1306),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1310),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [sym_number] = ACTIONS(1322),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1324),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [sym_null] = ACTIONS(1322),
    [sym_undefined] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1328),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(199),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1346),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(200),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1348),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(201),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1350),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(202),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1352),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(203),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1354),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(204),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(205),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1356),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(206),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5358),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6657),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2345),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(207),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1358),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(4209),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2442),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2583),
    [sym_comment] = STATE(208),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4759),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5757),
    [sym__type] = STATE(4761),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1360),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_typeof] = ACTIONS(1368),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1374),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [sym_number] = ACTIONS(1380),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1382),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [sym_null] = ACTIONS(1380),
    [sym_undefined] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1388),
    [anon_sym_number] = ACTIONS(1388),
    [anon_sym_boolean] = ACTIONS(1388),
    [anon_sym_string] = ACTIONS(1388),
    [anon_sym_symbol] = ACTIONS(1388),
    [anon_sym_object] = ACTIONS(1388),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(4313),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2534),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(2916),
    [sym_comment] = STATE(209),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4894),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5619),
    [sym__type] = STATE(4892),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1390),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_typeof] = ACTIONS(1398),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1412),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1418),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1422),
    [sym_number] = ACTIONS(1424),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(1428),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [sym_null] = ACTIONS(1424),
    [sym_undefined] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1432),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(4363),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3259),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2917),
    [sym_comment] = STATE(210),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4759),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5757),
    [sym__type] = STATE(4761),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1436),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_typeof] = ACTIONS(1444),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1462),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [sym_number] = ACTIONS(1468),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(1472),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [sym_undefined] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1476),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1478),
    [anon_sym_number] = ACTIONS(1478),
    [anon_sym_boolean] = ACTIONS(1478),
    [anon_sym_string] = ACTIONS(1478),
    [anon_sym_symbol] = ACTIONS(1478),
    [anon_sym_object] = ACTIONS(1478),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(4437),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2975),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3395),
    [sym_comment] = STATE(211),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4894),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5619),
    [sym__type] = STATE(4892),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_typeof] = ACTIONS(1488),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1500),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1506),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1510),
    [sym_number] = ACTIONS(1512),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(1516),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [sym_null] = ACTIONS(1512),
    [sym_undefined] = ACTIONS(1518),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1520),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1522),
    [anon_sym_number] = ACTIONS(1522),
    [anon_sym_boolean] = ACTIONS(1522),
    [anon_sym_string] = ACTIONS(1522),
    [anon_sym_symbol] = ACTIONS(1522),
    [anon_sym_object] = ACTIONS(1522),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(4313),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2607),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(2916),
    [sym_comment] = STATE(212),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4894),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5619),
    [sym__type] = STATE(4892),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1524),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_typeof] = ACTIONS(1530),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1534),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1422),
    [sym_number] = ACTIONS(1424),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(1428),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [sym_null] = ACTIONS(1424),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1542),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1544),
    [anon_sym_number] = ACTIONS(1544),
    [anon_sym_boolean] = ACTIONS(1544),
    [anon_sym_string] = ACTIONS(1544),
    [anon_sym_symbol] = ACTIONS(1544),
    [anon_sym_object] = ACTIONS(1544),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(4363),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3011),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2917),
    [sym_comment] = STATE(213),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4759),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5757),
    [sym__type] = STATE(4761),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1546),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1552),
    [anon_sym_typeof] = ACTIONS(1554),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1564),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [sym_number] = ACTIONS(1468),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(1472),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [sym_undefined] = ACTIONS(1576),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1578),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1580),
    [anon_sym_number] = ACTIONS(1580),
    [anon_sym_boolean] = ACTIONS(1580),
    [anon_sym_string] = ACTIONS(1580),
    [anon_sym_symbol] = ACTIONS(1580),
    [anon_sym_object] = ACTIONS(1580),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(4363),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3195),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2917),
    [sym_comment] = STATE(214),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4759),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5757),
    [sym__type] = STATE(4761),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1582),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1552),
    [anon_sym_typeof] = ACTIONS(1588),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1598),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [sym_number] = ACTIONS(1468),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(1472),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [sym_undefined] = ACTIONS(1610),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1612),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1614),
    [anon_sym_number] = ACTIONS(1614),
    [anon_sym_boolean] = ACTIONS(1614),
    [anon_sym_string] = ACTIONS(1614),
    [anon_sym_symbol] = ACTIONS(1614),
    [anon_sym_object] = ACTIONS(1614),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(4209),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2583),
    [sym_comment] = STATE(215),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4759),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5757),
    [sym__type] = STATE(4761),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1616),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_typeof] = ACTIONS(1622),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1632),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1636),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [sym_number] = ACTIONS(1380),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(1382),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [sym_null] = ACTIONS(1380),
    [sym_undefined] = ACTIONS(1644),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1646),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1648),
    [anon_sym_number] = ACTIONS(1648),
    [anon_sym_boolean] = ACTIONS(1648),
    [anon_sym_string] = ACTIONS(1648),
    [anon_sym_symbol] = ACTIONS(1648),
    [anon_sym_object] = ACTIONS(1648),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(4363),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3392),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2917),
    [sym_comment] = STATE(216),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4759),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5757),
    [sym__type] = STATE(4761),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1650),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_typeof] = ACTIONS(1652),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1654),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(177),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [sym_number] = ACTIONS(1468),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1472),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [sym_undefined] = ACTIONS(1658),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1660),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1662),
    [anon_sym_number] = ACTIONS(1662),
    [anon_sym_boolean] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_symbol] = ACTIONS(1662),
    [anon_sym_object] = ACTIONS(1662),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2815),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7402),
    [sym_string] = STATE(3200),
    [sym_comment] = STATE(217),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5949),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(5397),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(5621),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1664),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1666),
    [anon_sym_typeof] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1374),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1151),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1670),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1672),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1674),
    [anon_sym_number] = ACTIONS(1674),
    [anon_sym_boolean] = ACTIONS(1674),
    [anon_sym_string] = ACTIONS(1674),
    [anon_sym_symbol] = ACTIONS(1674),
    [anon_sym_object] = ACTIONS(1674),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2251),
    [sym_subscript_expression] = STATE(2251),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4684),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3443),
    [sym_comment] = STATE(218),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_non_null_expression] = STATE(2251),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5408),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_export] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1678),
    [anon_sym_namespace] = ACTIONS(1680),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_typeof] = ACTIONS(1684),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1686),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1688),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1690),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(177),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1694),
    [sym_number] = ACTIONS(1696),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1698),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(1696),
    [sym_false] = ACTIONS(1696),
    [sym_null] = ACTIONS(1696),
    [sym_undefined] = ACTIONS(1700),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1678),
    [anon_sym_readonly] = ACTIONS(1702),
    [anon_sym_get] = ACTIONS(1678),
    [anon_sym_set] = ACTIONS(1678),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(1678),
    [anon_sym_public] = ACTIONS(1678),
    [anon_sym_private] = ACTIONS(1678),
    [anon_sym_protected] = ACTIONS(1678),
    [anon_sym_override] = ACTIONS(1678),
    [anon_sym_module] = ACTIONS(1678),
    [anon_sym_any] = ACTIONS(1704),
    [anon_sym_number] = ACTIONS(1704),
    [anon_sym_boolean] = ACTIONS(1704),
    [anon_sym_string] = ACTIONS(1704),
    [anon_sym_symbol] = ACTIONS(1704),
    [anon_sym_object] = ACTIONS(1704),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2554),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_nested_identifier] = STATE(7374),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(5304),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(3215),
    [sym_comment] = STATE(219),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(5295),
    [sym_non_null_expression] = STATE(2168),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5408),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(7108),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1706),
    [anon_sym_export] = ACTIONS(1708),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1708),
    [anon_sym_namespace] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1708),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1714),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1716),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(182),
    [sym_number] = ACTIONS(184),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(184),
    [sym_false] = ACTIONS(184),
    [sym_null] = ACTIONS(184),
    [sym_undefined] = ACTIONS(1718),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1708),
    [anon_sym_readonly] = ACTIONS(1720),
    [anon_sym_get] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_declare] = ACTIONS(1708),
    [anon_sym_public] = ACTIONS(1708),
    [anon_sym_private] = ACTIONS(1708),
    [anon_sym_protected] = ACTIONS(1708),
    [anon_sym_override] = ACTIONS(1708),
    [anon_sym_module] = ACTIONS(1708),
    [anon_sym_any] = ACTIONS(1722),
    [anon_sym_number] = ACTIONS(1722),
    [anon_sym_boolean] = ACTIONS(1722),
    [anon_sym_string] = ACTIONS(1722),
    [anon_sym_symbol] = ACTIONS(1722),
    [anon_sym_object] = ACTIONS(1722),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2373),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(220),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_RBRACE] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1728),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_COLON] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1728),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2606),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(221),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_RBRACE] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__automatic_semicolon] = ACTIONS(1734),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2548),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(222),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_of] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__automatic_semicolon] = ACTIONS(1734),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2967),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(223),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_COLON] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3025),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(224),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1760),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__automatic_semicolon] = ACTIONS(1734),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2781),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(225),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [anon_sym_satisfies] = ACTIONS(1728),
    [anon_sym_implements] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3155),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(226),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1728),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3152),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(227),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_of] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3399),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(228),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(1790),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_declaration] = STATE(6972),
    [sym_import] = STATE(4231),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3051),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(229),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5286),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1792),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1794),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(1796),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(1798),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1800),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1802),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_declaration] = STATE(5017),
    [sym_import] = STATE(4231),
    [sym_variable_declaration] = STATE(5192),
    [sym_lexical_declaration] = STATE(5192),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2825),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(5192),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(5192),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(5192),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(230),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_function_signature] = STATE(5192),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(5192),
    [sym_abstract_class_declaration] = STATE(5192),
    [sym_module] = STATE(5192),
    [sym_internal_module] = STATE(3070),
    [sym_import_alias] = STATE(5192),
    [sym_interface_declaration] = STATE(5192),
    [sym_enum_declaration] = STATE(5192),
    [sym_type_alias_declaration] = STATE(5192),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5081),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1804),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1806),
    [anon_sym_var] = ACTIONS(1808),
    [anon_sym_let] = ACTIONS(1810),
    [anon_sym_const] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1814),
    [anon_sym_async] = ACTIONS(1816),
    [anon_sym_function] = ACTIONS(1818),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1820),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1822),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_abstract] = ACTIONS(1824),
    [anon_sym_interface] = ACTIONS(1826),
    [anon_sym_enum] = ACTIONS(1828),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_declaration] = STATE(1261),
    [sym_import] = STATE(4231),
    [sym_variable_declaration] = STATE(1376),
    [sym_lexical_declaration] = STATE(1376),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3049),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1376),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1376),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1376),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(231),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_function_signature] = STATE(1376),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1376),
    [sym_abstract_class_declaration] = STATE(1376),
    [sym_module] = STATE(1376),
    [sym_internal_module] = STATE(414),
    [sym_import_alias] = STATE(1376),
    [sym_interface_declaration] = STATE(1376),
    [sym_enum_declaration] = STATE(1376),
    [sym_type_alias_declaration] = STATE(1376),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5149),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1830),
    [anon_sym_namespace] = ACTIONS(1832),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1834),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(1836),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1840),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1842),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_declaration] = STATE(1425),
    [sym_import] = STATE(4231),
    [sym_variable_declaration] = STATE(1376),
    [sym_lexical_declaration] = STATE(1376),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3048),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1376),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1376),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1376),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(232),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_function_signature] = STATE(1376),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1376),
    [sym_abstract_class_declaration] = STATE(1376),
    [sym_module] = STATE(1376),
    [sym_internal_module] = STATE(414),
    [sym_import_alias] = STATE(1376),
    [sym_interface_declaration] = STATE(1376),
    [sym_enum_declaration] = STATE(1376),
    [sym_type_alias_declaration] = STATE(1376),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5149),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1830),
    [anon_sym_namespace] = ACTIONS(1832),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1834),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(1836),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1840),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1842),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_declaration] = STATE(1284),
    [sym_import] = STATE(4231),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2930),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1462),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(233),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_function_signature] = STATE(1462),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(391),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4992),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1844),
    [anon_sym_namespace] = ACTIONS(1846),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1848),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(1850),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(1852),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1854),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_declaration] = STATE(1617),
    [sym_import] = STATE(4231),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3045),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(234),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5206),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1858),
    [anon_sym_namespace] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1862),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1864),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1866),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1868),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1870),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_declaration] = STATE(1412),
    [sym_import] = STATE(4231),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2901),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1462),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(235),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_function_signature] = STATE(1462),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(391),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(4992),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1844),
    [anon_sym_namespace] = ACTIONS(1846),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1848),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(1850),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(1852),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1854),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_declaration] = STATE(5136),
    [sym_import] = STATE(4231),
    [sym_variable_declaration] = STATE(5192),
    [sym_lexical_declaration] = STATE(5192),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2895),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(5192),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(5192),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(5192),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(236),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_function_signature] = STATE(5192),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(5192),
    [sym_abstract_class_declaration] = STATE(5192),
    [sym_module] = STATE(5192),
    [sym_internal_module] = STATE(3070),
    [sym_import_alias] = STATE(5192),
    [sym_interface_declaration] = STATE(5192),
    [sym_enum_declaration] = STATE(5192),
    [sym_type_alias_declaration] = STATE(5192),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5081),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1804),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1806),
    [anon_sym_var] = ACTIONS(1808),
    [anon_sym_let] = ACTIONS(1810),
    [anon_sym_const] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1814),
    [anon_sym_async] = ACTIONS(1816),
    [anon_sym_function] = ACTIONS(1818),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1820),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1822),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_abstract] = ACTIONS(1824),
    [anon_sym_interface] = ACTIONS(1826),
    [anon_sym_enum] = ACTIONS(1828),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_declaration] = STATE(1111),
    [sym_import] = STATE(4231),
    [sym_variable_declaration] = STATE(1183),
    [sym_lexical_declaration] = STATE(1183),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2971),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1183),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1183),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1183),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(237),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_function_signature] = STATE(1183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1183),
    [sym_abstract_class_declaration] = STATE(1183),
    [sym_module] = STATE(1183),
    [sym_internal_module] = STATE(316),
    [sym_import_alias] = STATE(1183),
    [sym_interface_declaration] = STATE(1183),
    [sym_enum_declaration] = STATE(1183),
    [sym_type_alias_declaration] = STATE(1183),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5356),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1872),
    [anon_sym_namespace] = ACTIONS(1874),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1876),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(1880),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1882),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1884),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_declaration] = STATE(1550),
    [sym_import] = STATE(4231),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2864),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1650),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(238),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_function_signature] = STATE(1650),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(447),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5206),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1858),
    [anon_sym_namespace] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1862),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1864),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1866),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1868),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1870),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_declaration] = STATE(6762),
    [sym_import] = STATE(4231),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3031),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(6691),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(239),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_function_signature] = STATE(6691),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(3293),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5286),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1792),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1794),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(1796),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(1798),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1800),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1802),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_declaration] = STATE(1171),
    [sym_import] = STATE(4231),
    [sym_variable_declaration] = STATE(1183),
    [sym_lexical_declaration] = STATE(1183),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2955),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_class_declaration] = STATE(1183),
    [sym_function_expression] = STATE(3310),
    [sym_function_declaration] = STATE(1183),
    [sym_generator_function] = STATE(3310),
    [sym_generator_function_declaration] = STATE(1183),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(240),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_function_signature] = STATE(1183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_ambient_declaration] = STATE(1183),
    [sym_abstract_class_declaration] = STATE(1183),
    [sym_module] = STATE(1183),
    [sym_internal_module] = STATE(316),
    [sym_import_alias] = STATE(1183),
    [sym_interface_declaration] = STATE(1183),
    [sym_enum_declaration] = STATE(1183),
    [sym_type_alias_declaration] = STATE(1183),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5356),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1872),
    [anon_sym_namespace] = ACTIONS(1874),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1876),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(1880),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1882),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1884),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(241),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(208),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(242),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1183),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(208),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(243),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(208),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(244),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(214),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(208),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(245),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(1225),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(208),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(246),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1242),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(208),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym__formal_parameter] = STATE(5987),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7238),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(247),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1916),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1920),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(248),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4155),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(249),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(208),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(250),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(208),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(251),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1248),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(208),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2404),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym__formal_parameter] = STATE(5987),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7182),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(252),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1916),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1920),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym__formal_parameter] = STATE(7119),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(253),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1946),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym__formal_parameter] = STATE(7119),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(254),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1954),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym__formal_parameter] = STATE(7119),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(255),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1956),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(256),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(208),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym__formal_parameter] = STATE(6170),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(257),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym__formal_parameter] = STATE(7119),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(258),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1960),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym__formal_parameter] = STATE(7119),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(259),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym__formal_parameter] = STATE(5866),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(260),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1964),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(261),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(208),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(262),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(208),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym__formal_parameter] = STATE(5987),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(263),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym__formal_parameter] = STATE(7119),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(264),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1966),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym__formal_parameter] = STATE(7119),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(265),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5049),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_accessibility_modifier] = STATE(384),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7062),
    [sym_optional_parameter] = STATE(7062),
    [sym__parameter_name] = STATE(4616),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6176),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(266),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6178),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1970),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2814),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6023),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(267),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6025),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1972),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(268),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(208),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6176),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(269),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6178),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6176),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(270),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6178),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1976),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(271),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_RBRACE] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1978),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_QMARK] = ACTIONS(1978),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6176),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(272),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6178),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1980),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2780),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6023),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(273),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6025),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1982),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2780),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6023),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(274),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6025),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1972),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6176),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(275),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6178),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1984),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3167),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2213),
    [sym_subscript_expression] = STATE(2213),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(5818),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(276),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2213),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_mapped_type_clause] = STATE(7183),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_COMMA] = ACTIONS(1994),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1988),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [anon_sym_RBRACK] = ACTIONS(1998),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(2004),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(277),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_RBRACE] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_SEMI] = ACTIONS(1978),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_extends] = ACTIONS(1978),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1978),
    [sym__automatic_semicolon] = ACTIONS(2006),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(4231),
    [sym_expression_statement] = STATE(356),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_empty_statement] = STATE(356),
    [sym_parenthesized_expression] = STATE(2166),
    [sym_expression] = STATE(2710),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2166),
    [sym_subscript_expression] = STATE(2166),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(6325),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7148),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(278),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2166),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_export] = ACTIONS(2010),
    [anon_sym_type] = ACTIONS(2010),
    [anon_sym_namespace] = ACTIONS(2012),
    [anon_sym_LBRACE] = ACTIONS(2014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2016),
    [anon_sym_let] = ACTIONS(2018),
    [anon_sym_const] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2022),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2024),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2030),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2010),
    [anon_sym_readonly] = ACTIONS(2010),
    [anon_sym_get] = ACTIONS(2010),
    [anon_sym_set] = ACTIONS(2010),
    [anon_sym_declare] = ACTIONS(2010),
    [anon_sym_public] = ACTIONS(2010),
    [anon_sym_private] = ACTIONS(2010),
    [anon_sym_protected] = ACTIONS(2010),
    [anon_sym_override] = ACTIONS(2010),
    [anon_sym_module] = ACTIONS(2010),
    [anon_sym_any] = ACTIONS(2010),
    [anon_sym_number] = ACTIONS(2010),
    [anon_sym_boolean] = ACTIONS(2010),
    [anon_sym_string] = ACTIONS(2010),
    [anon_sym_symbol] = ACTIONS(2010),
    [anon_sym_object] = ACTIONS(2010),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(4231),
    [sym_expression_statement] = STATE(397),
    [sym_variable_declaration] = STATE(397),
    [sym_lexical_declaration] = STATE(397),
    [sym_empty_statement] = STATE(397),
    [sym_parenthesized_expression] = STATE(2166),
    [sym_expression] = STATE(2710),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2166),
    [sym_subscript_expression] = STATE(2166),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(6325),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7148),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(279),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2166),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_export] = ACTIONS(2010),
    [anon_sym_type] = ACTIONS(2010),
    [anon_sym_namespace] = ACTIONS(2012),
    [anon_sym_LBRACE] = ACTIONS(2014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2016),
    [anon_sym_let] = ACTIONS(2018),
    [anon_sym_const] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2022),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2024),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2030),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2010),
    [anon_sym_readonly] = ACTIONS(2010),
    [anon_sym_get] = ACTIONS(2010),
    [anon_sym_set] = ACTIONS(2010),
    [anon_sym_declare] = ACTIONS(2010),
    [anon_sym_public] = ACTIONS(2010),
    [anon_sym_private] = ACTIONS(2010),
    [anon_sym_protected] = ACTIONS(2010),
    [anon_sym_override] = ACTIONS(2010),
    [anon_sym_module] = ACTIONS(2010),
    [anon_sym_any] = ACTIONS(2010),
    [anon_sym_number] = ACTIONS(2010),
    [anon_sym_boolean] = ACTIONS(2010),
    [anon_sym_string] = ACTIONS(2010),
    [anon_sym_symbol] = ACTIONS(2010),
    [anon_sym_object] = ACTIONS(2010),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(4231),
    [sym_expression_statement] = STATE(378),
    [sym_variable_declaration] = STATE(378),
    [sym_lexical_declaration] = STATE(378),
    [sym_empty_statement] = STATE(378),
    [sym_parenthesized_expression] = STATE(2166),
    [sym_expression] = STATE(2710),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2166),
    [sym_subscript_expression] = STATE(2166),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(6325),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7148),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(280),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2166),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_export] = ACTIONS(2010),
    [anon_sym_type] = ACTIONS(2010),
    [anon_sym_namespace] = ACTIONS(2012),
    [anon_sym_LBRACE] = ACTIONS(2014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2016),
    [anon_sym_let] = ACTIONS(2018),
    [anon_sym_const] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2022),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2024),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2030),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2010),
    [anon_sym_readonly] = ACTIONS(2010),
    [anon_sym_get] = ACTIONS(2010),
    [anon_sym_set] = ACTIONS(2010),
    [anon_sym_declare] = ACTIONS(2010),
    [anon_sym_public] = ACTIONS(2010),
    [anon_sym_private] = ACTIONS(2010),
    [anon_sym_protected] = ACTIONS(2010),
    [anon_sym_override] = ACTIONS(2010),
    [anon_sym_module] = ACTIONS(2010),
    [anon_sym_any] = ACTIONS(2010),
    [anon_sym_number] = ACTIONS(2010),
    [anon_sym_boolean] = ACTIONS(2010),
    [anon_sym_string] = ACTIONS(2010),
    [anon_sym_symbol] = ACTIONS(2010),
    [anon_sym_object] = ACTIONS(2010),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(4231),
    [sym_expression_statement] = STATE(421),
    [sym_variable_declaration] = STATE(421),
    [sym_lexical_declaration] = STATE(421),
    [sym_empty_statement] = STATE(421),
    [sym_parenthesized_expression] = STATE(2166),
    [sym_expression] = STATE(2710),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2166),
    [sym_subscript_expression] = STATE(2166),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(6325),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7148),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(281),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2166),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_export] = ACTIONS(2010),
    [anon_sym_type] = ACTIONS(2010),
    [anon_sym_namespace] = ACTIONS(2012),
    [anon_sym_LBRACE] = ACTIONS(2014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2016),
    [anon_sym_let] = ACTIONS(2018),
    [anon_sym_const] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2022),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2024),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2030),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2010),
    [anon_sym_readonly] = ACTIONS(2010),
    [anon_sym_get] = ACTIONS(2010),
    [anon_sym_set] = ACTIONS(2010),
    [anon_sym_declare] = ACTIONS(2010),
    [anon_sym_public] = ACTIONS(2010),
    [anon_sym_private] = ACTIONS(2010),
    [anon_sym_protected] = ACTIONS(2010),
    [anon_sym_override] = ACTIONS(2010),
    [anon_sym_module] = ACTIONS(2010),
    [anon_sym_any] = ACTIONS(2010),
    [anon_sym_number] = ACTIONS(2010),
    [anon_sym_boolean] = ACTIONS(2010),
    [anon_sym_string] = ACTIONS(2010),
    [anon_sym_symbol] = ACTIONS(2010),
    [anon_sym_object] = ACTIONS(2010),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(4231),
    [sym_expression_statement] = STATE(377),
    [sym_variable_declaration] = STATE(377),
    [sym_lexical_declaration] = STATE(377),
    [sym_empty_statement] = STATE(377),
    [sym_parenthesized_expression] = STATE(2166),
    [sym_expression] = STATE(2710),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2166),
    [sym_subscript_expression] = STATE(2166),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(6325),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7148),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(282),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2166),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_export] = ACTIONS(2010),
    [anon_sym_type] = ACTIONS(2010),
    [anon_sym_namespace] = ACTIONS(2012),
    [anon_sym_LBRACE] = ACTIONS(2014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2016),
    [anon_sym_let] = ACTIONS(2018),
    [anon_sym_const] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2022),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2024),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2030),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2010),
    [anon_sym_readonly] = ACTIONS(2010),
    [anon_sym_get] = ACTIONS(2010),
    [anon_sym_set] = ACTIONS(2010),
    [anon_sym_declare] = ACTIONS(2010),
    [anon_sym_public] = ACTIONS(2010),
    [anon_sym_private] = ACTIONS(2010),
    [anon_sym_protected] = ACTIONS(2010),
    [anon_sym_override] = ACTIONS(2010),
    [anon_sym_module] = ACTIONS(2010),
    [anon_sym_any] = ACTIONS(2010),
    [anon_sym_number] = ACTIONS(2010),
    [anon_sym_boolean] = ACTIONS(2010),
    [anon_sym_string] = ACTIONS(2010),
    [anon_sym_symbol] = ACTIONS(2010),
    [anon_sym_object] = ACTIONS(2010),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6541),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6447),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(283),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(6450),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(2032),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(2035),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6174),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(284),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5698),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_pattern_repeat1] = STATE(6179),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(1994),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_RBRACK] = ACTIONS(2039),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3401),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(285),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1978),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(286),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(1994),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_RBRACK] = ACTIONS(1998),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6541),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6447),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(287),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(6450),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(2032),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(2032),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6541),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_spread_element] = STATE(6447),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(288),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(6450),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(2032),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(2041),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3217),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6019),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2213),
    [sym_subscript_expression] = STATE(2213),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(5818),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(289),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5753),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2213),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_pattern_repeat1] = STATE(6026),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2047),
    [anon_sym_type] = ACTIONS(2047),
    [anon_sym_namespace] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_COMMA] = ACTIONS(1994),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [anon_sym_RBRACK] = ACTIONS(1998),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2051),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2053),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(2004),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2047),
    [anon_sym_readonly] = ACTIONS(2047),
    [anon_sym_get] = ACTIONS(2047),
    [anon_sym_set] = ACTIONS(2047),
    [anon_sym_declare] = ACTIONS(2047),
    [anon_sym_public] = ACTIONS(2047),
    [anon_sym_private] = ACTIONS(2047),
    [anon_sym_protected] = ACTIONS(2047),
    [anon_sym_override] = ACTIONS(2047),
    [anon_sym_module] = ACTIONS(2047),
    [anon_sym_any] = ACTIONS(2047),
    [anon_sym_number] = ACTIONS(2047),
    [anon_sym_boolean] = ACTIONS(2047),
    [anon_sym_string] = ACTIONS(2047),
    [anon_sym_symbol] = ACTIONS(2047),
    [anon_sym_object] = ACTIONS(2047),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_comment] = STATE(290),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_EQ] = ACTIONS(2059),
    [anon_sym_as] = ACTIONS(2057),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_COMMA] = ACTIONS(2057),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2057),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2057),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2057),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2057),
    [anon_sym_PIPE_PIPE] = ACTIONS(2057),
    [anon_sym_GT_GT] = ACTIONS(2057),
    [anon_sym_GT_GT_GT] = ACTIONS(2057),
    [anon_sym_LT_LT] = ACTIONS(2057),
    [anon_sym_AMP] = ACTIONS(2057),
    [anon_sym_CARET] = ACTIONS(2057),
    [anon_sym_PIPE] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2057),
    [anon_sym_STAR_STAR] = ACTIONS(2057),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2057),
    [anon_sym_EQ_EQ] = ACTIONS(2057),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2057),
    [anon_sym_BANG_EQ] = ACTIONS(2057),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2057),
    [anon_sym_GT_EQ] = ACTIONS(2057),
    [anon_sym_QMARK_QMARK] = ACTIONS(2057),
    [anon_sym_instanceof] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2057),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2061),
    [sym__ternary_qmark] = ACTIONS(2063),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6541),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(291),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(6450),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_RBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_statement_block] = STATE(303),
    [sym_comment] = STATE(292),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2069),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2073),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_statement_block] = STATE(303),
    [sym_comment] = STATE(293),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2069),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2073),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_statement_block] = STATE(303),
    [sym_comment] = STATE(294),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2069),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2073),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_comment] = STATE(295),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2077),
    [sym__ternary_qmark] = ACTIONS(2079),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_comment] = STATE(296),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_STAR] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_as] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_COMMA] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_in] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_GT] = ACTIONS(2081),
    [anon_sym_DOT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_QMARK_DOT] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_AMP_AMP] = ACTIONS(2081),
    [anon_sym_PIPE_PIPE] = ACTIONS(2081),
    [anon_sym_GT_GT] = ACTIONS(2081),
    [anon_sym_GT_GT_GT] = ACTIONS(2081),
    [anon_sym_LT_LT] = ACTIONS(2081),
    [anon_sym_AMP] = ACTIONS(2081),
    [anon_sym_CARET] = ACTIONS(2081),
    [anon_sym_PIPE] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_PERCENT] = ACTIONS(2081),
    [anon_sym_STAR_STAR] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_LT_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2081),
    [anon_sym_GT_EQ] = ACTIONS(2081),
    [anon_sym_QMARK_QMARK] = ACTIONS(2081),
    [anon_sym_instanceof] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_satisfies] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym__automatic_semicolon] = ACTIONS(2083),
    [sym__ternary_qmark] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3078),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(297),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2751),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_spread_element] = STATE(6402),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(298),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6401),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2087),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2581),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(299),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_comment] = STATE(300),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_STAR] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_as] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_COMMA] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_in] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_GT] = ACTIONS(2091),
    [anon_sym_DOT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_QMARK_DOT] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_AMP_AMP] = ACTIONS(2091),
    [anon_sym_PIPE_PIPE] = ACTIONS(2091),
    [anon_sym_GT_GT] = ACTIONS(2091),
    [anon_sym_GT_GT_GT] = ACTIONS(2091),
    [anon_sym_LT_LT] = ACTIONS(2091),
    [anon_sym_AMP] = ACTIONS(2091),
    [anon_sym_CARET] = ACTIONS(2091),
    [anon_sym_PIPE] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_PERCENT] = ACTIONS(2091),
    [anon_sym_STAR_STAR] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_LT_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2091),
    [anon_sym_GT_EQ] = ACTIONS(2091),
    [anon_sym_QMARK_QMARK] = ACTIONS(2091),
    [anon_sym_instanceof] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_satisfies] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(2093),
    [sym__ternary_qmark] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2784),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_spread_element] = STATE(5803),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(301),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(5804),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2095),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_comment] = STATE(302),
    [sym_identifier] = ACTIONS(2097),
    [anon_sym_export] = ACTIONS(2097),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_default] = ACTIONS(2097),
    [anon_sym_type] = ACTIONS(2097),
    [anon_sym_as] = ACTIONS(2099),
    [anon_sym_namespace] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_RBRACE] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(2097),
    [anon_sym_import] = ACTIONS(2097),
    [anon_sym_with] = ACTIONS(2097),
    [anon_sym_var] = ACTIONS(2097),
    [anon_sym_let] = ACTIONS(2097),
    [anon_sym_const] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2097),
    [anon_sym_else] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2097),
    [anon_sym_switch] = ACTIONS(2097),
    [anon_sym_for] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2097),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_in] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(2097),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_try] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_debugger] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_throw] = ACTIONS(2097),
    [anon_sym_SEMI] = ACTIONS(2097),
    [anon_sym_case] = ACTIONS(2097),
    [anon_sym_yield] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2097),
    [anon_sym_LTtemplate_GT] = ACTIONS(2097),
    [anon_sym_GT] = ACTIONS(2099),
    [anon_sym_DOT] = ACTIONS(2099),
    [anon_sym_DQUOTE] = ACTIONS(2097),
    [anon_sym_SQUOTE] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_function] = ACTIONS(2097),
    [anon_sym_QMARK_DOT] = ACTIONS(2099),
    [anon_sym_new] = ACTIONS(2097),
    [anon_sym_using] = ACTIONS(2097),
    [anon_sym_AMP_AMP] = ACTIONS(2099),
    [anon_sym_PIPE_PIPE] = ACTIONS(2099),
    [anon_sym_GT_GT] = ACTIONS(2099),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2099),
    [anon_sym_CARET] = ACTIONS(2099),
    [anon_sym_PIPE] = ACTIONS(2099),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_SLASH] = ACTIONS(2097),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_STAR_STAR] = ACTIONS(2099),
    [anon_sym_LT] = ACTIONS(2097),
    [anon_sym_LT_EQ] = ACTIONS(2099),
    [anon_sym_EQ_EQ] = ACTIONS(2099),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2099),
    [anon_sym_BANG_EQ] = ACTIONS(2099),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2099),
    [anon_sym_GT_EQ] = ACTIONS(2099),
    [anon_sym_QMARK_QMARK] = ACTIONS(2099),
    [anon_sym_instanceof] = ACTIONS(2099),
    [anon_sym_TILDE] = ACTIONS(2097),
    [anon_sym_void] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2097),
    [anon_sym_DASH_DASH] = ACTIONS(2097),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2097),
    [sym_number] = ACTIONS(2097),
    [sym_private_property_identifier] = ACTIONS(2097),
    [sym_this] = ACTIONS(2097),
    [sym_super] = ACTIONS(2097),
    [sym_true] = ACTIONS(2097),
    [sym_false] = ACTIONS(2097),
    [sym_null] = ACTIONS(2097),
    [sym_undefined] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2097),
    [anon_sym_static] = ACTIONS(2097),
    [anon_sym_readonly] = ACTIONS(2097),
    [anon_sym_get] = ACTIONS(2097),
    [anon_sym_set] = ACTIONS(2097),
    [anon_sym_declare] = ACTIONS(2097),
    [anon_sym_public] = ACTIONS(2097),
    [anon_sym_private] = ACTIONS(2097),
    [anon_sym_protected] = ACTIONS(2097),
    [anon_sym_override] = ACTIONS(2097),
    [anon_sym_module] = ACTIONS(2097),
    [anon_sym_any] = ACTIONS(2097),
    [anon_sym_number] = ACTIONS(2097),
    [anon_sym_boolean] = ACTIONS(2097),
    [anon_sym_string] = ACTIONS(2097),
    [anon_sym_symbol] = ACTIONS(2097),
    [anon_sym_object] = ACTIONS(2097),
    [anon_sym_abstract] = ACTIONS(2097),
    [anon_sym_satisfies] = ACTIONS(2099),
    [anon_sym_interface] = ACTIONS(2097),
    [anon_sym_enum] = ACTIONS(2097),
    [sym__automatic_semicolon] = ACTIONS(2101),
    [sym__ternary_qmark] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_comment] = STATE(303),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_STAR] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_as] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_COMMA] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_in] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_GT] = ACTIONS(2105),
    [anon_sym_DOT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_QMARK_DOT] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2105),
    [anon_sym_PIPE_PIPE] = ACTIONS(2105),
    [anon_sym_GT_GT] = ACTIONS(2105),
    [anon_sym_GT_GT_GT] = ACTIONS(2105),
    [anon_sym_LT_LT] = ACTIONS(2105),
    [anon_sym_AMP] = ACTIONS(2105),
    [anon_sym_CARET] = ACTIONS(2105),
    [anon_sym_PIPE] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_PERCENT] = ACTIONS(2105),
    [anon_sym_STAR_STAR] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_LT_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2105),
    [anon_sym_GT_EQ] = ACTIONS(2105),
    [anon_sym_QMARK_QMARK] = ACTIONS(2105),
    [anon_sym_instanceof] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_satisfies] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym__automatic_semicolon] = ACTIONS(2107),
    [sym__ternary_qmark] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_statement_block] = STATE(422),
    [sym_comment] = STATE(304),
    [ts_builtin_sym_end] = ACTIONS(2073),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2073),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_statement_block] = STATE(422),
    [sym_comment] = STATE(305),
    [ts_builtin_sym_end] = ACTIONS(2073),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2111),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2073),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_statement_block] = STATE(422),
    [sym_comment] = STATE(306),
    [ts_builtin_sym_end] = ACTIONS(2073),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2113),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2073),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_spread_element] = STATE(6447),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(307),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2115),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2115),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(2115),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_comment] = STATE(308),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_else] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_case] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2121),
    [sym__ternary_qmark] = ACTIONS(2123),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_comment] = STATE(309),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_STAR] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_as] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_COMMA] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_in] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_GT] = ACTIONS(2091),
    [anon_sym_DOT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_QMARK_DOT] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_AMP_AMP] = ACTIONS(2091),
    [anon_sym_PIPE_PIPE] = ACTIONS(2091),
    [anon_sym_GT_GT] = ACTIONS(2091),
    [anon_sym_GT_GT_GT] = ACTIONS(2091),
    [anon_sym_LT_LT] = ACTIONS(2091),
    [anon_sym_AMP] = ACTIONS(2091),
    [anon_sym_CARET] = ACTIONS(2091),
    [anon_sym_PIPE] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_PERCENT] = ACTIONS(2091),
    [anon_sym_STAR_STAR] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_LT_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2091),
    [anon_sym_GT_EQ] = ACTIONS(2091),
    [anon_sym_QMARK_QMARK] = ACTIONS(2091),
    [anon_sym_instanceof] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_satisfies] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(2125),
    [sym__ternary_qmark] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_comment] = STATE(310),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_as] = ACTIONS(2129),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_COMMA] = ACTIONS(2129),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2129),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_GT] = ACTIONS(2129),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_QMARK_DOT] = ACTIONS(2129),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_AMP_AMP] = ACTIONS(2129),
    [anon_sym_PIPE_PIPE] = ACTIONS(2129),
    [anon_sym_GT_GT] = ACTIONS(2129),
    [anon_sym_GT_GT_GT] = ACTIONS(2129),
    [anon_sym_LT_LT] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2129),
    [anon_sym_CARET] = ACTIONS(2129),
    [anon_sym_PIPE] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_PERCENT] = ACTIONS(2129),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_LT_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2129),
    [anon_sym_GT_EQ] = ACTIONS(2129),
    [anon_sym_QMARK_QMARK] = ACTIONS(2129),
    [anon_sym_instanceof] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_satisfies] = ACTIONS(2129),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2131),
    [sym__ternary_qmark] = ACTIONS(2133),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_comment] = STATE(311),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2137),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_as] = ACTIONS(2137),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_COMMA] = ACTIONS(2137),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_GT] = ACTIONS(2137),
    [anon_sym_DOT] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_QMARK_DOT] = ACTIONS(2137),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_AMP_AMP] = ACTIONS(2137),
    [anon_sym_PIPE_PIPE] = ACTIONS(2137),
    [anon_sym_GT_GT] = ACTIONS(2137),
    [anon_sym_GT_GT_GT] = ACTIONS(2137),
    [anon_sym_LT_LT] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_PIPE] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2137),
    [anon_sym_STAR_STAR] = ACTIONS(2137),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_LT_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2137),
    [anon_sym_GT_EQ] = ACTIONS(2137),
    [anon_sym_QMARK_QMARK] = ACTIONS(2137),
    [anon_sym_instanceof] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_satisfies] = ACTIONS(2137),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2139),
    [sym__ternary_qmark] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_comment] = STATE(312),
    [sym_identifier] = ACTIONS(2143),
    [anon_sym_export] = ACTIONS(2143),
    [anon_sym_STAR] = ACTIONS(2143),
    [anon_sym_default] = ACTIONS(2143),
    [anon_sym_type] = ACTIONS(2143),
    [anon_sym_as] = ACTIONS(2143),
    [anon_sym_namespace] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(2143),
    [anon_sym_COMMA] = ACTIONS(2143),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [anon_sym_typeof] = ACTIONS(2143),
    [anon_sym_import] = ACTIONS(2143),
    [anon_sym_with] = ACTIONS(2143),
    [anon_sym_var] = ACTIONS(2143),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(2143),
    [anon_sym_BANG] = ACTIONS(2143),
    [anon_sym_else] = ACTIONS(2143),
    [anon_sym_if] = ACTIONS(2143),
    [anon_sym_switch] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2143),
    [anon_sym_LPAREN] = ACTIONS(2143),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_in] = ACTIONS(2143),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2143),
    [anon_sym_try] = ACTIONS(2143),
    [anon_sym_break] = ACTIONS(2143),
    [anon_sym_continue] = ACTIONS(2143),
    [anon_sym_debugger] = ACTIONS(2143),
    [anon_sym_return] = ACTIONS(2143),
    [anon_sym_throw] = ACTIONS(2143),
    [anon_sym_SEMI] = ACTIONS(2143),
    [anon_sym_case] = ACTIONS(2143),
    [anon_sym_yield] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(2143),
    [anon_sym_GT] = ACTIONS(2143),
    [anon_sym_DOT] = ACTIONS(2143),
    [anon_sym_DQUOTE] = ACTIONS(2143),
    [anon_sym_SQUOTE] = ACTIONS(2143),
    [anon_sym_class] = ACTIONS(2143),
    [anon_sym_async] = ACTIONS(2143),
    [anon_sym_function] = ACTIONS(2143),
    [anon_sym_QMARK_DOT] = ACTIONS(2143),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_using] = ACTIONS(2143),
    [anon_sym_AMP_AMP] = ACTIONS(2143),
    [anon_sym_PIPE_PIPE] = ACTIONS(2143),
    [anon_sym_GT_GT] = ACTIONS(2143),
    [anon_sym_GT_GT_GT] = ACTIONS(2143),
    [anon_sym_LT_LT] = ACTIONS(2143),
    [anon_sym_AMP] = ACTIONS(2143),
    [anon_sym_CARET] = ACTIONS(2143),
    [anon_sym_PIPE] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(2143),
    [anon_sym_DASH] = ACTIONS(2143),
    [anon_sym_SLASH] = ACTIONS(2143),
    [anon_sym_PERCENT] = ACTIONS(2143),
    [anon_sym_STAR_STAR] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2143),
    [anon_sym_LT_EQ] = ACTIONS(2143),
    [anon_sym_EQ_EQ] = ACTIONS(2143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2143),
    [anon_sym_GT_EQ] = ACTIONS(2143),
    [anon_sym_QMARK_QMARK] = ACTIONS(2143),
    [anon_sym_instanceof] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(2143),
    [anon_sym_void] = ACTIONS(2143),
    [anon_sym_delete] = ACTIONS(2143),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2143),
    [sym_number] = ACTIONS(2143),
    [sym_private_property_identifier] = ACTIONS(2143),
    [sym_this] = ACTIONS(2143),
    [sym_super] = ACTIONS(2143),
    [sym_true] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
    [sym_null] = ACTIONS(2143),
    [sym_undefined] = ACTIONS(2143),
    [anon_sym_AT] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2143),
    [anon_sym_readonly] = ACTIONS(2143),
    [anon_sym_get] = ACTIONS(2143),
    [anon_sym_set] = ACTIONS(2143),
    [anon_sym_declare] = ACTIONS(2143),
    [anon_sym_public] = ACTIONS(2143),
    [anon_sym_private] = ACTIONS(2143),
    [anon_sym_protected] = ACTIONS(2143),
    [anon_sym_override] = ACTIONS(2143),
    [anon_sym_module] = ACTIONS(2143),
    [anon_sym_any] = ACTIONS(2143),
    [anon_sym_number] = ACTIONS(2143),
    [anon_sym_boolean] = ACTIONS(2143),
    [anon_sym_string] = ACTIONS(2143),
    [anon_sym_symbol] = ACTIONS(2143),
    [anon_sym_object] = ACTIONS(2143),
    [anon_sym_abstract] = ACTIONS(2143),
    [anon_sym_satisfies] = ACTIONS(2143),
    [anon_sym_interface] = ACTIONS(2143),
    [anon_sym_enum] = ACTIONS(2143),
    [sym__automatic_semicolon] = ACTIONS(2145),
    [sym__ternary_qmark] = ACTIONS(2145),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_comment] = STATE(313),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_default] = ACTIONS(2147),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_as] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_case] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_GT] = ACTIONS(2149),
    [anon_sym_DOT] = ACTIONS(2149),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_QMARK_DOT] = ACTIONS(2149),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2149),
    [anon_sym_GT_GT_GT] = ACTIONS(2149),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2149),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2149),
    [anon_sym_STAR_STAR] = ACTIONS(2149),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2149),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_QMARK_QMARK] = ACTIONS(2149),
    [anon_sym_instanceof] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_satisfies] = ACTIONS(2149),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2151),
    [sym__ternary_qmark] = ACTIONS(2153),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_comment] = STATE(314),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_STAR] = ACTIONS(2157),
    [anon_sym_default] = ACTIONS(2155),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_as] = ACTIONS(2157),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_COMMA] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_in] = ACTIONS(2157),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_GT] = ACTIONS(2157),
    [anon_sym_DOT] = ACTIONS(2157),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_QMARK_DOT] = ACTIONS(2157),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_AMP_AMP] = ACTIONS(2157),
    [anon_sym_PIPE_PIPE] = ACTIONS(2157),
    [anon_sym_GT_GT] = ACTIONS(2157),
    [anon_sym_GT_GT_GT] = ACTIONS(2157),
    [anon_sym_LT_LT] = ACTIONS(2157),
    [anon_sym_AMP] = ACTIONS(2157),
    [anon_sym_CARET] = ACTIONS(2157),
    [anon_sym_PIPE] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_PERCENT] = ACTIONS(2157),
    [anon_sym_STAR_STAR] = ACTIONS(2157),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_LT_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2157),
    [anon_sym_GT_EQ] = ACTIONS(2157),
    [anon_sym_QMARK_QMARK] = ACTIONS(2157),
    [anon_sym_instanceof] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_satisfies] = ACTIONS(2157),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2159),
    [sym__ternary_qmark] = ACTIONS(2161),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_comment] = STATE(315),
    [sym_identifier] = ACTIONS(2163),
    [anon_sym_export] = ACTIONS(2163),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2163),
    [anon_sym_type] = ACTIONS(2163),
    [anon_sym_as] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2163),
    [anon_sym_LBRACE] = ACTIONS(2163),
    [anon_sym_COMMA] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_typeof] = ACTIONS(2163),
    [anon_sym_import] = ACTIONS(2163),
    [anon_sym_with] = ACTIONS(2163),
    [anon_sym_var] = ACTIONS(2163),
    [anon_sym_let] = ACTIONS(2163),
    [anon_sym_const] = ACTIONS(2163),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_else] = ACTIONS(2163),
    [anon_sym_if] = ACTIONS(2163),
    [anon_sym_switch] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2163),
    [anon_sym_LPAREN] = ACTIONS(2163),
    [anon_sym_await] = ACTIONS(2163),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_do] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2163),
    [anon_sym_break] = ACTIONS(2163),
    [anon_sym_continue] = ACTIONS(2163),
    [anon_sym_debugger] = ACTIONS(2163),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_throw] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_case] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2163),
    [anon_sym_LBRACK] = ACTIONS(2163),
    [anon_sym_LTtemplate_GT] = ACTIONS(2163),
    [anon_sym_GT] = ACTIONS(2165),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2163),
    [anon_sym_SQUOTE] = ACTIONS(2163),
    [anon_sym_class] = ACTIONS(2163),
    [anon_sym_async] = ACTIONS(2163),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_QMARK_DOT] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(2163),
    [anon_sym_AMP_AMP] = ACTIONS(2165),
    [anon_sym_PIPE_PIPE] = ACTIONS(2165),
    [anon_sym_GT_GT] = ACTIONS(2165),
    [anon_sym_GT_GT_GT] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2165),
    [anon_sym_PIPE] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2163),
    [anon_sym_DASH] = ACTIONS(2163),
    [anon_sym_SLASH] = ACTIONS(2163),
    [anon_sym_PERCENT] = ACTIONS(2165),
    [anon_sym_STAR_STAR] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2163),
    [anon_sym_LT_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2165),
    [anon_sym_GT_EQ] = ACTIONS(2165),
    [anon_sym_QMARK_QMARK] = ACTIONS(2165),
    [anon_sym_instanceof] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_void] = ACTIONS(2163),
    [anon_sym_delete] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2163),
    [sym_number] = ACTIONS(2163),
    [sym_private_property_identifier] = ACTIONS(2163),
    [sym_this] = ACTIONS(2163),
    [sym_super] = ACTIONS(2163),
    [sym_true] = ACTIONS(2163),
    [sym_false] = ACTIONS(2163),
    [sym_null] = ACTIONS(2163),
    [sym_undefined] = ACTIONS(2163),
    [anon_sym_AT] = ACTIONS(2163),
    [anon_sym_static] = ACTIONS(2163),
    [anon_sym_readonly] = ACTIONS(2163),
    [anon_sym_get] = ACTIONS(2163),
    [anon_sym_set] = ACTIONS(2163),
    [anon_sym_declare] = ACTIONS(2163),
    [anon_sym_public] = ACTIONS(2163),
    [anon_sym_private] = ACTIONS(2163),
    [anon_sym_protected] = ACTIONS(2163),
    [anon_sym_override] = ACTIONS(2163),
    [anon_sym_module] = ACTIONS(2163),
    [anon_sym_any] = ACTIONS(2163),
    [anon_sym_number] = ACTIONS(2163),
    [anon_sym_boolean] = ACTIONS(2163),
    [anon_sym_string] = ACTIONS(2163),
    [anon_sym_symbol] = ACTIONS(2163),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_abstract] = ACTIONS(2163),
    [anon_sym_satisfies] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2163),
    [anon_sym_enum] = ACTIONS(2163),
    [sym__automatic_semicolon] = ACTIONS(2167),
    [sym__ternary_qmark] = ACTIONS(2169),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_comment] = STATE(316),
    [sym_identifier] = ACTIONS(2171),
    [anon_sym_export] = ACTIONS(2171),
    [anon_sym_STAR] = ACTIONS(2173),
    [anon_sym_default] = ACTIONS(2171),
    [anon_sym_type] = ACTIONS(2171),
    [anon_sym_as] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_COMMA] = ACTIONS(2173),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_typeof] = ACTIONS(2171),
    [anon_sym_import] = ACTIONS(2171),
    [anon_sym_with] = ACTIONS(2171),
    [anon_sym_var] = ACTIONS(2171),
    [anon_sym_let] = ACTIONS(2171),
    [anon_sym_const] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_else] = ACTIONS(2171),
    [anon_sym_if] = ACTIONS(2171),
    [anon_sym_switch] = ACTIONS(2171),
    [anon_sym_for] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2171),
    [anon_sym_in] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2171),
    [anon_sym_try] = ACTIONS(2171),
    [anon_sym_break] = ACTIONS(2171),
    [anon_sym_continue] = ACTIONS(2171),
    [anon_sym_debugger] = ACTIONS(2171),
    [anon_sym_return] = ACTIONS(2171),
    [anon_sym_throw] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_case] = ACTIONS(2171),
    [anon_sym_yield] = ACTIONS(2171),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LTtemplate_GT] = ACTIONS(2171),
    [anon_sym_GT] = ACTIONS(2173),
    [anon_sym_DOT] = ACTIONS(2173),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2171),
    [anon_sym_async] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2171),
    [anon_sym_QMARK_DOT] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2171),
    [anon_sym_using] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(2173),
    [anon_sym_PIPE_PIPE] = ACTIONS(2173),
    [anon_sym_GT_GT] = ACTIONS(2173),
    [anon_sym_GT_GT_GT] = ACTIONS(2173),
    [anon_sym_LT_LT] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_PIPE] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_PERCENT] = ACTIONS(2173),
    [anon_sym_STAR_STAR] = ACTIONS(2173),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_LT_EQ] = ACTIONS(2173),
    [anon_sym_EQ_EQ] = ACTIONS(2173),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2173),
    [anon_sym_BANG_EQ] = ACTIONS(2173),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2173),
    [anon_sym_GT_EQ] = ACTIONS(2173),
    [anon_sym_QMARK_QMARK] = ACTIONS(2173),
    [anon_sym_instanceof] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_void] = ACTIONS(2171),
    [anon_sym_delete] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [sym_private_property_identifier] = ACTIONS(2171),
    [sym_this] = ACTIONS(2171),
    [sym_super] = ACTIONS(2171),
    [sym_true] = ACTIONS(2171),
    [sym_false] = ACTIONS(2171),
    [sym_null] = ACTIONS(2171),
    [sym_undefined] = ACTIONS(2171),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2171),
    [anon_sym_readonly] = ACTIONS(2171),
    [anon_sym_get] = ACTIONS(2171),
    [anon_sym_set] = ACTIONS(2171),
    [anon_sym_declare] = ACTIONS(2171),
    [anon_sym_public] = ACTIONS(2171),
    [anon_sym_private] = ACTIONS(2171),
    [anon_sym_protected] = ACTIONS(2171),
    [anon_sym_override] = ACTIONS(2171),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_any] = ACTIONS(2171),
    [anon_sym_number] = ACTIONS(2171),
    [anon_sym_boolean] = ACTIONS(2171),
    [anon_sym_string] = ACTIONS(2171),
    [anon_sym_symbol] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(2171),
    [anon_sym_abstract] = ACTIONS(2171),
    [anon_sym_satisfies] = ACTIONS(2173),
    [anon_sym_interface] = ACTIONS(2171),
    [anon_sym_enum] = ACTIONS(2171),
    [sym__automatic_semicolon] = ACTIONS(2175),
    [sym__ternary_qmark] = ACTIONS(2175),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_comment] = STATE(317),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_EQ] = ACTIONS(2059),
    [anon_sym_as] = ACTIONS(2057),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_COMMA] = ACTIONS(2057),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2057),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2057),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2057),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2057),
    [anon_sym_PIPE_PIPE] = ACTIONS(2057),
    [anon_sym_GT_GT] = ACTIONS(2057),
    [anon_sym_GT_GT_GT] = ACTIONS(2057),
    [anon_sym_LT_LT] = ACTIONS(2057),
    [anon_sym_AMP] = ACTIONS(2057),
    [anon_sym_CARET] = ACTIONS(2057),
    [anon_sym_PIPE] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2057),
    [anon_sym_STAR_STAR] = ACTIONS(2057),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2057),
    [anon_sym_EQ_EQ] = ACTIONS(2057),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2057),
    [anon_sym_BANG_EQ] = ACTIONS(2057),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2057),
    [anon_sym_GT_EQ] = ACTIONS(2057),
    [anon_sym_QMARK_QMARK] = ACTIONS(2057),
    [anon_sym_instanceof] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2057),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2177),
    [sym__ternary_qmark] = ACTIONS(2063),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_comment] = STATE(318),
    [sym_identifier] = ACTIONS(2179),
    [anon_sym_export] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(2181),
    [anon_sym_default] = ACTIONS(2179),
    [anon_sym_type] = ACTIONS(2179),
    [anon_sym_as] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2179),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(2181),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_typeof] = ACTIONS(2179),
    [anon_sym_import] = ACTIONS(2179),
    [anon_sym_with] = ACTIONS(2179),
    [anon_sym_var] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_const] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_else] = ACTIONS(2179),
    [anon_sym_if] = ACTIONS(2179),
    [anon_sym_switch] = ACTIONS(2179),
    [anon_sym_for] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(2179),
    [anon_sym_in] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2179),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_try] = ACTIONS(2179),
    [anon_sym_break] = ACTIONS(2179),
    [anon_sym_continue] = ACTIONS(2179),
    [anon_sym_debugger] = ACTIONS(2179),
    [anon_sym_return] = ACTIONS(2179),
    [anon_sym_throw] = ACTIONS(2179),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_case] = ACTIONS(2179),
    [anon_sym_yield] = ACTIONS(2179),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_LTtemplate_GT] = ACTIONS(2179),
    [anon_sym_GT] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [anon_sym_class] = ACTIONS(2179),
    [anon_sym_async] = ACTIONS(2179),
    [anon_sym_function] = ACTIONS(2179),
    [anon_sym_QMARK_DOT] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2179),
    [anon_sym_using] = ACTIONS(2179),
    [anon_sym_AMP_AMP] = ACTIONS(2181),
    [anon_sym_PIPE_PIPE] = ACTIONS(2181),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2181),
    [anon_sym_LT_LT] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_PIPE] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_SLASH] = ACTIONS(2179),
    [anon_sym_PERCENT] = ACTIONS(2181),
    [anon_sym_STAR_STAR] = ACTIONS(2181),
    [anon_sym_LT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2181),
    [anon_sym_EQ_EQ] = ACTIONS(2181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2181),
    [anon_sym_BANG_EQ] = ACTIONS(2181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2181),
    [anon_sym_GT_EQ] = ACTIONS(2181),
    [anon_sym_QMARK_QMARK] = ACTIONS(2181),
    [anon_sym_instanceof] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_void] = ACTIONS(2179),
    [anon_sym_delete] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2179),
    [sym_number] = ACTIONS(2179),
    [sym_private_property_identifier] = ACTIONS(2179),
    [sym_this] = ACTIONS(2179),
    [sym_super] = ACTIONS(2179),
    [sym_true] = ACTIONS(2179),
    [sym_false] = ACTIONS(2179),
    [sym_null] = ACTIONS(2179),
    [sym_undefined] = ACTIONS(2179),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_static] = ACTIONS(2179),
    [anon_sym_readonly] = ACTIONS(2179),
    [anon_sym_get] = ACTIONS(2179),
    [anon_sym_set] = ACTIONS(2179),
    [anon_sym_declare] = ACTIONS(2179),
    [anon_sym_public] = ACTIONS(2179),
    [anon_sym_private] = ACTIONS(2179),
    [anon_sym_protected] = ACTIONS(2179),
    [anon_sym_override] = ACTIONS(2179),
    [anon_sym_module] = ACTIONS(2179),
    [anon_sym_any] = ACTIONS(2179),
    [anon_sym_number] = ACTIONS(2179),
    [anon_sym_boolean] = ACTIONS(2179),
    [anon_sym_string] = ACTIONS(2179),
    [anon_sym_symbol] = ACTIONS(2179),
    [anon_sym_object] = ACTIONS(2179),
    [anon_sym_abstract] = ACTIONS(2179),
    [anon_sym_satisfies] = ACTIONS(2181),
    [anon_sym_interface] = ACTIONS(2179),
    [anon_sym_enum] = ACTIONS(2179),
    [sym__automatic_semicolon] = ACTIONS(2183),
    [sym__ternary_qmark] = ACTIONS(2185),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2723),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_spread_element] = STATE(6388),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(319),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6389),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2187),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_comment] = STATE(320),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_export] = ACTIONS(2189),
    [anon_sym_STAR] = ACTIONS(2191),
    [anon_sym_default] = ACTIONS(2189),
    [anon_sym_type] = ACTIONS(2189),
    [anon_sym_as] = ACTIONS(2191),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_COMMA] = ACTIONS(2191),
    [anon_sym_RBRACE] = ACTIONS(2189),
    [anon_sym_typeof] = ACTIONS(2189),
    [anon_sym_import] = ACTIONS(2189),
    [anon_sym_with] = ACTIONS(2189),
    [anon_sym_var] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2189),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_in] = ACTIONS(2191),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_debugger] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2189),
    [anon_sym_case] = ACTIONS(2189),
    [anon_sym_yield] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_LTtemplate_GT] = ACTIONS(2189),
    [anon_sym_GT] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2189),
    [anon_sym_SQUOTE] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_function] = ACTIONS(2189),
    [anon_sym_QMARK_DOT] = ACTIONS(2191),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_using] = ACTIONS(2189),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [anon_sym_GT_GT] = ACTIONS(2191),
    [anon_sym_GT_GT_GT] = ACTIONS(2191),
    [anon_sym_LT_LT] = ACTIONS(2191),
    [anon_sym_AMP] = ACTIONS(2191),
    [anon_sym_CARET] = ACTIONS(2191),
    [anon_sym_PIPE] = ACTIONS(2191),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_SLASH] = ACTIONS(2189),
    [anon_sym_PERCENT] = ACTIONS(2191),
    [anon_sym_STAR_STAR] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2189),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2191),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_QMARK_QMARK] = ACTIONS(2191),
    [anon_sym_instanceof] = ACTIONS(2191),
    [anon_sym_TILDE] = ACTIONS(2189),
    [anon_sym_void] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2189),
    [sym_number] = ACTIONS(2189),
    [sym_private_property_identifier] = ACTIONS(2189),
    [sym_this] = ACTIONS(2189),
    [sym_super] = ACTIONS(2189),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [sym_null] = ACTIONS(2189),
    [sym_undefined] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2189),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_readonly] = ACTIONS(2189),
    [anon_sym_get] = ACTIONS(2189),
    [anon_sym_set] = ACTIONS(2189),
    [anon_sym_declare] = ACTIONS(2189),
    [anon_sym_public] = ACTIONS(2189),
    [anon_sym_private] = ACTIONS(2189),
    [anon_sym_protected] = ACTIONS(2189),
    [anon_sym_override] = ACTIONS(2189),
    [anon_sym_module] = ACTIONS(2189),
    [anon_sym_any] = ACTIONS(2189),
    [anon_sym_number] = ACTIONS(2189),
    [anon_sym_boolean] = ACTIONS(2189),
    [anon_sym_string] = ACTIONS(2189),
    [anon_sym_symbol] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_abstract] = ACTIONS(2189),
    [anon_sym_satisfies] = ACTIONS(2191),
    [anon_sym_interface] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
    [sym__automatic_semicolon] = ACTIONS(2193),
    [sym__ternary_qmark] = ACTIONS(2195),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_comment] = STATE(321),
    [sym_identifier] = ACTIONS(2197),
    [anon_sym_export] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_default] = ACTIONS(2197),
    [anon_sym_type] = ACTIONS(2197),
    [anon_sym_as] = ACTIONS(2199),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_COMMA] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2197),
    [anon_sym_typeof] = ACTIONS(2197),
    [anon_sym_import] = ACTIONS(2197),
    [anon_sym_with] = ACTIONS(2197),
    [anon_sym_var] = ACTIONS(2197),
    [anon_sym_let] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_else] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_in] = ACTIONS(2199),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_debugger] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_case] = ACTIONS(2197),
    [anon_sym_yield] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LTtemplate_GT] = ACTIONS(2197),
    [anon_sym_GT] = ACTIONS(2199),
    [anon_sym_DOT] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2197),
    [anon_sym_SQUOTE] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2197),
    [anon_sym_QMARK_DOT] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_using] = ACTIONS(2197),
    [anon_sym_AMP_AMP] = ACTIONS(2199),
    [anon_sym_PIPE_PIPE] = ACTIONS(2199),
    [anon_sym_GT_GT] = ACTIONS(2199),
    [anon_sym_GT_GT_GT] = ACTIONS(2199),
    [anon_sym_LT_LT] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_PERCENT] = ACTIONS(2199),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_LT_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2199),
    [anon_sym_GT_EQ] = ACTIONS(2199),
    [anon_sym_QMARK_QMARK] = ACTIONS(2199),
    [anon_sym_instanceof] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_void] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2197),
    [sym_number] = ACTIONS(2197),
    [sym_private_property_identifier] = ACTIONS(2197),
    [sym_this] = ACTIONS(2197),
    [sym_super] = ACTIONS(2197),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [sym_null] = ACTIONS(2197),
    [sym_undefined] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_readonly] = ACTIONS(2197),
    [anon_sym_get] = ACTIONS(2197),
    [anon_sym_set] = ACTIONS(2197),
    [anon_sym_declare] = ACTIONS(2197),
    [anon_sym_public] = ACTIONS(2197),
    [anon_sym_private] = ACTIONS(2197),
    [anon_sym_protected] = ACTIONS(2197),
    [anon_sym_override] = ACTIONS(2197),
    [anon_sym_module] = ACTIONS(2197),
    [anon_sym_any] = ACTIONS(2197),
    [anon_sym_number] = ACTIONS(2197),
    [anon_sym_boolean] = ACTIONS(2197),
    [anon_sym_string] = ACTIONS(2197),
    [anon_sym_symbol] = ACTIONS(2197),
    [anon_sym_object] = ACTIONS(2197),
    [anon_sym_abstract] = ACTIONS(2197),
    [anon_sym_satisfies] = ACTIONS(2199),
    [anon_sym_interface] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
    [sym__automatic_semicolon] = ACTIONS(2201),
    [sym__ternary_qmark] = ACTIONS(2203),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_comment] = STATE(322),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_as] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_COMMA] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_GT] = ACTIONS(2205),
    [anon_sym_DOT] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_QMARK_DOT] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_AMP_AMP] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE] = ACTIONS(2205),
    [anon_sym_GT_GT] = ACTIONS(2205),
    [anon_sym_GT_GT_GT] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_PIPE] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_PERCENT] = ACTIONS(2205),
    [anon_sym_STAR_STAR] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2205),
    [anon_sym_BANG_EQ] = ACTIONS(2205),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2205),
    [anon_sym_GT_EQ] = ACTIONS(2205),
    [anon_sym_QMARK_QMARK] = ACTIONS(2205),
    [anon_sym_instanceof] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_satisfies] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2207),
    [sym__ternary_qmark] = ACTIONS(2207),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_comment] = STATE(323),
    [sym_identifier] = ACTIONS(2209),
    [anon_sym_export] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2209),
    [anon_sym_default] = ACTIONS(2209),
    [anon_sym_type] = ACTIONS(2209),
    [anon_sym_as] = ACTIONS(2209),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_COMMA] = ACTIONS(2209),
    [anon_sym_RBRACE] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(2209),
    [anon_sym_import] = ACTIONS(2209),
    [anon_sym_with] = ACTIONS(2209),
    [anon_sym_var] = ACTIONS(2209),
    [anon_sym_let] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2209),
    [anon_sym_else] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_in] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_debugger] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2209),
    [anon_sym_case] = ACTIONS(2209),
    [anon_sym_yield] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(2209),
    [anon_sym_GT] = ACTIONS(2209),
    [anon_sym_DOT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [anon_sym_SQUOTE] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2209),
    [anon_sym_QMARK_DOT] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(2209),
    [anon_sym_AMP_AMP] = ACTIONS(2209),
    [anon_sym_PIPE_PIPE] = ACTIONS(2209),
    [anon_sym_GT_GT] = ACTIONS(2209),
    [anon_sym_GT_GT_GT] = ACTIONS(2209),
    [anon_sym_LT_LT] = ACTIONS(2209),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_CARET] = ACTIONS(2209),
    [anon_sym_PIPE] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_SLASH] = ACTIONS(2209),
    [anon_sym_PERCENT] = ACTIONS(2209),
    [anon_sym_STAR_STAR] = ACTIONS(2209),
    [anon_sym_LT] = ACTIONS(2209),
    [anon_sym_LT_EQ] = ACTIONS(2209),
    [anon_sym_EQ_EQ] = ACTIONS(2209),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2209),
    [anon_sym_BANG_EQ] = ACTIONS(2209),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2209),
    [anon_sym_GT_EQ] = ACTIONS(2209),
    [anon_sym_QMARK_QMARK] = ACTIONS(2209),
    [anon_sym_instanceof] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_void] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2209),
    [sym_number] = ACTIONS(2209),
    [sym_private_property_identifier] = ACTIONS(2209),
    [sym_this] = ACTIONS(2209),
    [sym_super] = ACTIONS(2209),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [sym_null] = ACTIONS(2209),
    [sym_undefined] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_readonly] = ACTIONS(2209),
    [anon_sym_get] = ACTIONS(2209),
    [anon_sym_set] = ACTIONS(2209),
    [anon_sym_declare] = ACTIONS(2209),
    [anon_sym_public] = ACTIONS(2209),
    [anon_sym_private] = ACTIONS(2209),
    [anon_sym_protected] = ACTIONS(2209),
    [anon_sym_override] = ACTIONS(2209),
    [anon_sym_module] = ACTIONS(2209),
    [anon_sym_any] = ACTIONS(2209),
    [anon_sym_number] = ACTIONS(2209),
    [anon_sym_boolean] = ACTIONS(2209),
    [anon_sym_string] = ACTIONS(2209),
    [anon_sym_symbol] = ACTIONS(2209),
    [anon_sym_object] = ACTIONS(2209),
    [anon_sym_abstract] = ACTIONS(2209),
    [anon_sym_satisfies] = ACTIONS(2209),
    [anon_sym_interface] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [sym__automatic_semicolon] = ACTIONS(2211),
    [sym__ternary_qmark] = ACTIONS(2211),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2747),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_spread_element] = STATE(5842),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(324),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(5843),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_comment] = STATE(325),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_export] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_default] = ACTIONS(2215),
    [anon_sym_type] = ACTIONS(2215),
    [anon_sym_as] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_COMMA] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2215),
    [anon_sym_typeof] = ACTIONS(2215),
    [anon_sym_import] = ACTIONS(2215),
    [anon_sym_with] = ACTIONS(2215),
    [anon_sym_var] = ACTIONS(2215),
    [anon_sym_let] = ACTIONS(2215),
    [anon_sym_const] = ACTIONS(2215),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_else] = ACTIONS(2215),
    [anon_sym_if] = ACTIONS(2215),
    [anon_sym_switch] = ACTIONS(2215),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_LPAREN] = ACTIONS(2215),
    [anon_sym_await] = ACTIONS(2215),
    [anon_sym_in] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2215),
    [anon_sym_do] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2215),
    [anon_sym_break] = ACTIONS(2215),
    [anon_sym_continue] = ACTIONS(2215),
    [anon_sym_debugger] = ACTIONS(2215),
    [anon_sym_return] = ACTIONS(2215),
    [anon_sym_throw] = ACTIONS(2215),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym_case] = ACTIONS(2215),
    [anon_sym_yield] = ACTIONS(2215),
    [anon_sym_LBRACK] = ACTIONS(2215),
    [anon_sym_LTtemplate_GT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2215),
    [anon_sym_SQUOTE] = ACTIONS(2215),
    [anon_sym_class] = ACTIONS(2215),
    [anon_sym_async] = ACTIONS(2215),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_QMARK_DOT] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_using] = ACTIONS(2215),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2215),
    [anon_sym_GT_GT] = ACTIONS(2215),
    [anon_sym_GT_GT_GT] = ACTIONS(2215),
    [anon_sym_LT_LT] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2215),
    [anon_sym_CARET] = ACTIONS(2215),
    [anon_sym_PIPE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_QMARK_QMARK] = ACTIONS(2215),
    [anon_sym_instanceof] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_void] = ACTIONS(2215),
    [anon_sym_delete] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2215),
    [sym_number] = ACTIONS(2215),
    [sym_private_property_identifier] = ACTIONS(2215),
    [sym_this] = ACTIONS(2215),
    [sym_super] = ACTIONS(2215),
    [sym_true] = ACTIONS(2215),
    [sym_false] = ACTIONS(2215),
    [sym_null] = ACTIONS(2215),
    [sym_undefined] = ACTIONS(2215),
    [anon_sym_AT] = ACTIONS(2215),
    [anon_sym_static] = ACTIONS(2215),
    [anon_sym_readonly] = ACTIONS(2215),
    [anon_sym_get] = ACTIONS(2215),
    [anon_sym_set] = ACTIONS(2215),
    [anon_sym_declare] = ACTIONS(2215),
    [anon_sym_public] = ACTIONS(2215),
    [anon_sym_private] = ACTIONS(2215),
    [anon_sym_protected] = ACTIONS(2215),
    [anon_sym_override] = ACTIONS(2215),
    [anon_sym_module] = ACTIONS(2215),
    [anon_sym_any] = ACTIONS(2215),
    [anon_sym_number] = ACTIONS(2215),
    [anon_sym_boolean] = ACTIONS(2215),
    [anon_sym_string] = ACTIONS(2215),
    [anon_sym_symbol] = ACTIONS(2215),
    [anon_sym_object] = ACTIONS(2215),
    [anon_sym_abstract] = ACTIONS(2215),
    [anon_sym_satisfies] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2215),
    [anon_sym_enum] = ACTIONS(2215),
    [sym__automatic_semicolon] = ACTIONS(2217),
    [sym__ternary_qmark] = ACTIONS(2217),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_comment] = STATE(326),
    [sym_identifier] = ACTIONS(2219),
    [anon_sym_export] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(2219),
    [anon_sym_default] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2219),
    [anon_sym_as] = ACTIONS(2219),
    [anon_sym_namespace] = ACTIONS(2219),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [anon_sym_typeof] = ACTIONS(2219),
    [anon_sym_import] = ACTIONS(2219),
    [anon_sym_with] = ACTIONS(2219),
    [anon_sym_var] = ACTIONS(2219),
    [anon_sym_let] = ACTIONS(2219),
    [anon_sym_const] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_else] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(2219),
    [anon_sym_switch] = ACTIONS(2219),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_LPAREN] = ACTIONS(2219),
    [anon_sym_await] = ACTIONS(2219),
    [anon_sym_in] = ACTIONS(2219),
    [anon_sym_while] = ACTIONS(2219),
    [anon_sym_do] = ACTIONS(2219),
    [anon_sym_try] = ACTIONS(2219),
    [anon_sym_break] = ACTIONS(2219),
    [anon_sym_continue] = ACTIONS(2219),
    [anon_sym_debugger] = ACTIONS(2219),
    [anon_sym_return] = ACTIONS(2219),
    [anon_sym_throw] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym_case] = ACTIONS(2219),
    [anon_sym_yield] = ACTIONS(2219),
    [anon_sym_LBRACK] = ACTIONS(2219),
    [anon_sym_LTtemplate_GT] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_DOT] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_class] = ACTIONS(2219),
    [anon_sym_async] = ACTIONS(2219),
    [anon_sym_function] = ACTIONS(2219),
    [anon_sym_QMARK_DOT] = ACTIONS(2219),
    [anon_sym_new] = ACTIONS(2219),
    [anon_sym_using] = ACTIONS(2219),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_PIPE_PIPE] = ACTIONS(2219),
    [anon_sym_GT_GT] = ACTIONS(2219),
    [anon_sym_GT_GT_GT] = ACTIONS(2219),
    [anon_sym_LT_LT] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_CARET] = ACTIONS(2219),
    [anon_sym_PIPE] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_SLASH] = ACTIONS(2219),
    [anon_sym_PERCENT] = ACTIONS(2219),
    [anon_sym_STAR_STAR] = ACTIONS(2219),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_EQ_EQ] = ACTIONS(2219),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2219),
    [anon_sym_BANG_EQ] = ACTIONS(2219),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2219),
    [anon_sym_QMARK_QMARK] = ACTIONS(2219),
    [anon_sym_instanceof] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_void] = ACTIONS(2219),
    [anon_sym_delete] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2219),
    [sym_number] = ACTIONS(2219),
    [sym_private_property_identifier] = ACTIONS(2219),
    [sym_this] = ACTIONS(2219),
    [sym_super] = ACTIONS(2219),
    [sym_true] = ACTIONS(2219),
    [sym_false] = ACTIONS(2219),
    [sym_null] = ACTIONS(2219),
    [sym_undefined] = ACTIONS(2219),
    [anon_sym_AT] = ACTIONS(2219),
    [anon_sym_static] = ACTIONS(2219),
    [anon_sym_readonly] = ACTIONS(2219),
    [anon_sym_get] = ACTIONS(2219),
    [anon_sym_set] = ACTIONS(2219),
    [anon_sym_declare] = ACTIONS(2219),
    [anon_sym_public] = ACTIONS(2219),
    [anon_sym_private] = ACTIONS(2219),
    [anon_sym_protected] = ACTIONS(2219),
    [anon_sym_override] = ACTIONS(2219),
    [anon_sym_module] = ACTIONS(2219),
    [anon_sym_any] = ACTIONS(2219),
    [anon_sym_number] = ACTIONS(2219),
    [anon_sym_boolean] = ACTIONS(2219),
    [anon_sym_string] = ACTIONS(2219),
    [anon_sym_symbol] = ACTIONS(2219),
    [anon_sym_object] = ACTIONS(2219),
    [anon_sym_abstract] = ACTIONS(2219),
    [anon_sym_satisfies] = ACTIONS(2219),
    [anon_sym_interface] = ACTIONS(2219),
    [anon_sym_enum] = ACTIONS(2219),
    [sym__automatic_semicolon] = ACTIONS(2221),
    [sym__ternary_qmark] = ACTIONS(2221),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2776),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_spread_element] = STATE(6135),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(327),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6136),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2223),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_comment] = STATE(328),
    [sym_identifier] = ACTIONS(2225),
    [anon_sym_export] = ACTIONS(2225),
    [anon_sym_STAR] = ACTIONS(2227),
    [anon_sym_default] = ACTIONS(2225),
    [anon_sym_type] = ACTIONS(2225),
    [anon_sym_as] = ACTIONS(2227),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_COMMA] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(2225),
    [anon_sym_import] = ACTIONS(2225),
    [anon_sym_with] = ACTIONS(2225),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2225),
    [anon_sym_const] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_else] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_in] = ACTIONS(2227),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_debugger] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_case] = ACTIONS(2225),
    [anon_sym_yield] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LTtemplate_GT] = ACTIONS(2225),
    [anon_sym_GT] = ACTIONS(2227),
    [anon_sym_DOT] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2225),
    [anon_sym_SQUOTE] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_QMARK_DOT] = ACTIONS(2227),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_using] = ACTIONS(2225),
    [anon_sym_AMP_AMP] = ACTIONS(2227),
    [anon_sym_PIPE_PIPE] = ACTIONS(2227),
    [anon_sym_GT_GT] = ACTIONS(2227),
    [anon_sym_GT_GT_GT] = ACTIONS(2227),
    [anon_sym_LT_LT] = ACTIONS(2227),
    [anon_sym_AMP] = ACTIONS(2227),
    [anon_sym_CARET] = ACTIONS(2227),
    [anon_sym_PIPE] = ACTIONS(2227),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_SLASH] = ACTIONS(2225),
    [anon_sym_PERCENT] = ACTIONS(2227),
    [anon_sym_STAR_STAR] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2225),
    [anon_sym_LT_EQ] = ACTIONS(2227),
    [anon_sym_EQ_EQ] = ACTIONS(2227),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2227),
    [anon_sym_BANG_EQ] = ACTIONS(2227),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2227),
    [anon_sym_GT_EQ] = ACTIONS(2227),
    [anon_sym_QMARK_QMARK] = ACTIONS(2227),
    [anon_sym_instanceof] = ACTIONS(2227),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_void] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_number] = ACTIONS(2225),
    [sym_private_property_identifier] = ACTIONS(2225),
    [sym_this] = ACTIONS(2225),
    [sym_super] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_undefined] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_static] = ACTIONS(2225),
    [anon_sym_readonly] = ACTIONS(2225),
    [anon_sym_get] = ACTIONS(2225),
    [anon_sym_set] = ACTIONS(2225),
    [anon_sym_declare] = ACTIONS(2225),
    [anon_sym_public] = ACTIONS(2225),
    [anon_sym_private] = ACTIONS(2225),
    [anon_sym_protected] = ACTIONS(2225),
    [anon_sym_override] = ACTIONS(2225),
    [anon_sym_module] = ACTIONS(2225),
    [anon_sym_any] = ACTIONS(2225),
    [anon_sym_number] = ACTIONS(2225),
    [anon_sym_boolean] = ACTIONS(2225),
    [anon_sym_string] = ACTIONS(2225),
    [anon_sym_symbol] = ACTIONS(2225),
    [anon_sym_object] = ACTIONS(2225),
    [anon_sym_abstract] = ACTIONS(2225),
    [anon_sym_satisfies] = ACTIONS(2227),
    [anon_sym_interface] = ACTIONS(2225),
    [anon_sym_enum] = ACTIONS(2225),
    [sym__automatic_semicolon] = ACTIONS(2229),
    [sym__ternary_qmark] = ACTIONS(2231),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_comment] = STATE(329),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_EQ] = ACTIONS(2059),
    [anon_sym_as] = ACTIONS(2057),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_COMMA] = ACTIONS(2057),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2057),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2057),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2057),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2057),
    [anon_sym_PIPE_PIPE] = ACTIONS(2057),
    [anon_sym_GT_GT] = ACTIONS(2057),
    [anon_sym_GT_GT_GT] = ACTIONS(2057),
    [anon_sym_LT_LT] = ACTIONS(2057),
    [anon_sym_AMP] = ACTIONS(2057),
    [anon_sym_CARET] = ACTIONS(2057),
    [anon_sym_PIPE] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2057),
    [anon_sym_STAR_STAR] = ACTIONS(2057),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2057),
    [anon_sym_EQ_EQ] = ACTIONS(2057),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2057),
    [anon_sym_BANG_EQ] = ACTIONS(2057),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2057),
    [anon_sym_GT_EQ] = ACTIONS(2057),
    [anon_sym_QMARK_QMARK] = ACTIONS(2057),
    [anon_sym_instanceof] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2057),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2233),
    [sym__ternary_qmark] = ACTIONS(2063),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_comment] = STATE(330),
    [sym_identifier] = ACTIONS(2235),
    [anon_sym_export] = ACTIONS(2235),
    [anon_sym_STAR] = ACTIONS(2237),
    [anon_sym_default] = ACTIONS(2235),
    [anon_sym_type] = ACTIONS(2235),
    [anon_sym_as] = ACTIONS(2237),
    [anon_sym_namespace] = ACTIONS(2235),
    [anon_sym_LBRACE] = ACTIONS(2235),
    [anon_sym_COMMA] = ACTIONS(2237),
    [anon_sym_RBRACE] = ACTIONS(2235),
    [anon_sym_typeof] = ACTIONS(2235),
    [anon_sym_import] = ACTIONS(2235),
    [anon_sym_with] = ACTIONS(2235),
    [anon_sym_var] = ACTIONS(2235),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_else] = ACTIONS(2235),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_switch] = ACTIONS(2235),
    [anon_sym_for] = ACTIONS(2235),
    [anon_sym_LPAREN] = ACTIONS(2235),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_in] = ACTIONS(2237),
    [anon_sym_while] = ACTIONS(2235),
    [anon_sym_do] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_break] = ACTIONS(2235),
    [anon_sym_continue] = ACTIONS(2235),
    [anon_sym_debugger] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_throw] = ACTIONS(2235),
    [anon_sym_SEMI] = ACTIONS(2235),
    [anon_sym_case] = ACTIONS(2235),
    [anon_sym_yield] = ACTIONS(2235),
    [anon_sym_LBRACK] = ACTIONS(2235),
    [anon_sym_LTtemplate_GT] = ACTIONS(2235),
    [anon_sym_GT] = ACTIONS(2237),
    [anon_sym_DOT] = ACTIONS(2237),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_SQUOTE] = ACTIONS(2235),
    [anon_sym_class] = ACTIONS(2235),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_function] = ACTIONS(2235),
    [anon_sym_QMARK_DOT] = ACTIONS(2237),
    [anon_sym_new] = ACTIONS(2235),
    [anon_sym_using] = ACTIONS(2235),
    [anon_sym_AMP_AMP] = ACTIONS(2237),
    [anon_sym_PIPE_PIPE] = ACTIONS(2237),
    [anon_sym_GT_GT] = ACTIONS(2237),
    [anon_sym_GT_GT_GT] = ACTIONS(2237),
    [anon_sym_LT_LT] = ACTIONS(2237),
    [anon_sym_AMP] = ACTIONS(2237),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PIPE] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_SLASH] = ACTIONS(2235),
    [anon_sym_PERCENT] = ACTIONS(2237),
    [anon_sym_STAR_STAR] = ACTIONS(2237),
    [anon_sym_LT] = ACTIONS(2235),
    [anon_sym_LT_EQ] = ACTIONS(2237),
    [anon_sym_EQ_EQ] = ACTIONS(2237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2237),
    [anon_sym_BANG_EQ] = ACTIONS(2237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2237),
    [anon_sym_GT_EQ] = ACTIONS(2237),
    [anon_sym_QMARK_QMARK] = ACTIONS(2237),
    [anon_sym_instanceof] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_void] = ACTIONS(2235),
    [anon_sym_delete] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2235),
    [anon_sym_DASH_DASH] = ACTIONS(2235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2235),
    [sym_number] = ACTIONS(2235),
    [sym_private_property_identifier] = ACTIONS(2235),
    [sym_this] = ACTIONS(2235),
    [sym_super] = ACTIONS(2235),
    [sym_true] = ACTIONS(2235),
    [sym_false] = ACTIONS(2235),
    [sym_null] = ACTIONS(2235),
    [sym_undefined] = ACTIONS(2235),
    [anon_sym_AT] = ACTIONS(2235),
    [anon_sym_static] = ACTIONS(2235),
    [anon_sym_readonly] = ACTIONS(2235),
    [anon_sym_get] = ACTIONS(2235),
    [anon_sym_set] = ACTIONS(2235),
    [anon_sym_declare] = ACTIONS(2235),
    [anon_sym_public] = ACTIONS(2235),
    [anon_sym_private] = ACTIONS(2235),
    [anon_sym_protected] = ACTIONS(2235),
    [anon_sym_override] = ACTIONS(2235),
    [anon_sym_module] = ACTIONS(2235),
    [anon_sym_any] = ACTIONS(2235),
    [anon_sym_number] = ACTIONS(2235),
    [anon_sym_boolean] = ACTIONS(2235),
    [anon_sym_string] = ACTIONS(2235),
    [anon_sym_symbol] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(2235),
    [anon_sym_abstract] = ACTIONS(2235),
    [anon_sym_satisfies] = ACTIONS(2237),
    [anon_sym_interface] = ACTIONS(2235),
    [anon_sym_enum] = ACTIONS(2235),
    [sym__automatic_semicolon] = ACTIONS(2239),
    [sym__ternary_qmark] = ACTIONS(2241),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(331),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(2145),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5467),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_accessibility_modifier] = STATE(405),
    [sym_override_modifier] = STATE(429),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(2058),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(2243),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(2245),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2247),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_statement_block] = STATE(393),
    [sym_comment] = STATE(332),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2073),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_comment] = STATE(333),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2253),
    [anon_sym_STAR] = ACTIONS(2253),
    [anon_sym_default] = ACTIONS(2253),
    [anon_sym_type] = ACTIONS(2253),
    [anon_sym_as] = ACTIONS(2253),
    [anon_sym_namespace] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_COMMA] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_typeof] = ACTIONS(2253),
    [anon_sym_import] = ACTIONS(2253),
    [anon_sym_with] = ACTIONS(2253),
    [anon_sym_var] = ACTIONS(2253),
    [anon_sym_let] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_else] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_switch] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_in] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_debugger] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_throw] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_case] = ACTIONS(2253),
    [anon_sym_yield] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LTtemplate_GT] = ACTIONS(2253),
    [anon_sym_GT] = ACTIONS(2253),
    [anon_sym_DOT] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(2253),
    [anon_sym_SQUOTE] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2253),
    [anon_sym_QMARK_DOT] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2253),
    [anon_sym_using] = ACTIONS(2253),
    [anon_sym_AMP_AMP] = ACTIONS(2253),
    [anon_sym_PIPE_PIPE] = ACTIONS(2253),
    [anon_sym_GT_GT] = ACTIONS(2253),
    [anon_sym_GT_GT_GT] = ACTIONS(2253),
    [anon_sym_LT_LT] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_PIPE] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_SLASH] = ACTIONS(2253),
    [anon_sym_PERCENT] = ACTIONS(2253),
    [anon_sym_STAR_STAR] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(2253),
    [anon_sym_LT_EQ] = ACTIONS(2253),
    [anon_sym_EQ_EQ] = ACTIONS(2253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2253),
    [anon_sym_BANG_EQ] = ACTIONS(2253),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2253),
    [anon_sym_GT_EQ] = ACTIONS(2253),
    [anon_sym_QMARK_QMARK] = ACTIONS(2253),
    [anon_sym_instanceof] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_void] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [sym_private_property_identifier] = ACTIONS(2253),
    [sym_this] = ACTIONS(2253),
    [sym_super] = ACTIONS(2253),
    [sym_true] = ACTIONS(2253),
    [sym_false] = ACTIONS(2253),
    [sym_null] = ACTIONS(2253),
    [sym_undefined] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_static] = ACTIONS(2253),
    [anon_sym_readonly] = ACTIONS(2253),
    [anon_sym_get] = ACTIONS(2253),
    [anon_sym_set] = ACTIONS(2253),
    [anon_sym_declare] = ACTIONS(2253),
    [anon_sym_public] = ACTIONS(2253),
    [anon_sym_private] = ACTIONS(2253),
    [anon_sym_protected] = ACTIONS(2253),
    [anon_sym_override] = ACTIONS(2253),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_any] = ACTIONS(2253),
    [anon_sym_number] = ACTIONS(2253),
    [anon_sym_boolean] = ACTIONS(2253),
    [anon_sym_string] = ACTIONS(2253),
    [anon_sym_symbol] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2253),
    [anon_sym_satisfies] = ACTIONS(2253),
    [anon_sym_interface] = ACTIONS(2253),
    [anon_sym_enum] = ACTIONS(2253),
    [sym__automatic_semicolon] = ACTIONS(2255),
    [sym__ternary_qmark] = ACTIONS(2255),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2715),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(334),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_statement_block] = STATE(393),
    [sym_comment] = STATE(335),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2257),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2073),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3142),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(336),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_comment] = STATE(337),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_default] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_as] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_else] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_in] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_case] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_GT] = ACTIONS(2259),
    [anon_sym_DOT] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_QMARK_DOT] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_PIPE_PIPE] = ACTIONS(2259),
    [anon_sym_GT_GT] = ACTIONS(2259),
    [anon_sym_GT_GT_GT] = ACTIONS(2259),
    [anon_sym_LT_LT] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2259),
    [anon_sym_PIPE] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_PERCENT] = ACTIONS(2259),
    [anon_sym_STAR_STAR] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_LT_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2259),
    [anon_sym_GT_EQ] = ACTIONS(2259),
    [anon_sym_QMARK_QMARK] = ACTIONS(2259),
    [anon_sym_instanceof] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_satisfies] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(2261),
    [sym__ternary_qmark] = ACTIONS(2261),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2762),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_spread_element] = STATE(6289),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(338),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6290),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2263),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2598),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(339),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_statement_block] = STATE(393),
    [sym_comment] = STATE(340),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2073),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3015),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(341),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2969),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(342),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2771),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_spread_element] = STATE(6319),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(343),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [aux_sym_array_repeat1] = STATE(6318),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2265),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2740),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_spread_element] = STATE(7471),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7471),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(344),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(2267),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_comment] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(2271),
    [sym_identifier] = ACTIONS(2097),
    [anon_sym_export] = ACTIONS(2097),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_type] = ACTIONS(2097),
    [anon_sym_as] = ACTIONS(2099),
    [anon_sym_namespace] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_RBRACE] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(2097),
    [anon_sym_import] = ACTIONS(2097),
    [anon_sym_with] = ACTIONS(2097),
    [anon_sym_var] = ACTIONS(2097),
    [anon_sym_let] = ACTIONS(2097),
    [anon_sym_const] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2097),
    [anon_sym_else] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2097),
    [anon_sym_switch] = ACTIONS(2097),
    [anon_sym_for] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2097),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_in] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(2097),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_try] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_debugger] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_throw] = ACTIONS(2097),
    [anon_sym_SEMI] = ACTIONS(2097),
    [anon_sym_yield] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2097),
    [anon_sym_LTtemplate_GT] = ACTIONS(2097),
    [anon_sym_GT] = ACTIONS(2099),
    [anon_sym_DOT] = ACTIONS(2099),
    [anon_sym_DQUOTE] = ACTIONS(2097),
    [anon_sym_SQUOTE] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_function] = ACTIONS(2097),
    [anon_sym_QMARK_DOT] = ACTIONS(2099),
    [anon_sym_new] = ACTIONS(2097),
    [anon_sym_using] = ACTIONS(2097),
    [anon_sym_AMP_AMP] = ACTIONS(2099),
    [anon_sym_PIPE_PIPE] = ACTIONS(2099),
    [anon_sym_GT_GT] = ACTIONS(2099),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2099),
    [anon_sym_CARET] = ACTIONS(2099),
    [anon_sym_PIPE] = ACTIONS(2099),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_SLASH] = ACTIONS(2097),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_STAR_STAR] = ACTIONS(2099),
    [anon_sym_LT] = ACTIONS(2097),
    [anon_sym_LT_EQ] = ACTIONS(2099),
    [anon_sym_EQ_EQ] = ACTIONS(2099),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2099),
    [anon_sym_BANG_EQ] = ACTIONS(2099),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2099),
    [anon_sym_GT_EQ] = ACTIONS(2099),
    [anon_sym_QMARK_QMARK] = ACTIONS(2099),
    [anon_sym_instanceof] = ACTIONS(2099),
    [anon_sym_TILDE] = ACTIONS(2097),
    [anon_sym_void] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2097),
    [anon_sym_DASH_DASH] = ACTIONS(2097),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2097),
    [sym_number] = ACTIONS(2097),
    [sym_private_property_identifier] = ACTIONS(2097),
    [sym_this] = ACTIONS(2097),
    [sym_super] = ACTIONS(2097),
    [sym_true] = ACTIONS(2097),
    [sym_false] = ACTIONS(2097),
    [sym_null] = ACTIONS(2097),
    [sym_undefined] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2097),
    [anon_sym_static] = ACTIONS(2097),
    [anon_sym_readonly] = ACTIONS(2097),
    [anon_sym_get] = ACTIONS(2097),
    [anon_sym_set] = ACTIONS(2097),
    [anon_sym_declare] = ACTIONS(2097),
    [anon_sym_public] = ACTIONS(2097),
    [anon_sym_private] = ACTIONS(2097),
    [anon_sym_protected] = ACTIONS(2097),
    [anon_sym_override] = ACTIONS(2097),
    [anon_sym_module] = ACTIONS(2097),
    [anon_sym_any] = ACTIONS(2097),
    [anon_sym_number] = ACTIONS(2097),
    [anon_sym_boolean] = ACTIONS(2097),
    [anon_sym_string] = ACTIONS(2097),
    [anon_sym_symbol] = ACTIONS(2097),
    [anon_sym_object] = ACTIONS(2097),
    [anon_sym_abstract] = ACTIONS(2097),
    [anon_sym_satisfies] = ACTIONS(2099),
    [anon_sym_interface] = ACTIONS(2097),
    [anon_sym_enum] = ACTIONS(2097),
    [sym__automatic_semicolon] = ACTIONS(2273),
    [sym__ternary_qmark] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_comment] = STATE(346),
    [ts_builtin_sym_end] = ACTIONS(2275),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_as] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_GT] = ACTIONS(2149),
    [anon_sym_DOT] = ACTIONS(2149),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_QMARK_DOT] = ACTIONS(2149),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2149),
    [anon_sym_GT_GT_GT] = ACTIONS(2149),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2149),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2149),
    [anon_sym_STAR_STAR] = ACTIONS(2149),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2149),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_QMARK_QMARK] = ACTIONS(2149),
    [anon_sym_instanceof] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_satisfies] = ACTIONS(2149),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2277),
    [sym__ternary_qmark] = ACTIONS(2153),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_comment] = STATE(347),
    [sym_identifier] = ACTIONS(2197),
    [anon_sym_export] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_default] = ACTIONS(2197),
    [anon_sym_type] = ACTIONS(2197),
    [anon_sym_as] = ACTIONS(2199),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_COMMA] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2197),
    [anon_sym_typeof] = ACTIONS(2197),
    [anon_sym_import] = ACTIONS(2197),
    [anon_sym_with] = ACTIONS(2197),
    [anon_sym_var] = ACTIONS(2197),
    [anon_sym_let] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_in] = ACTIONS(2199),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_debugger] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_case] = ACTIONS(2197),
    [anon_sym_yield] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LTtemplate_GT] = ACTIONS(2197),
    [anon_sym_GT] = ACTIONS(2199),
    [anon_sym_DOT] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2197),
    [anon_sym_SQUOTE] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2197),
    [anon_sym_QMARK_DOT] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_using] = ACTIONS(2197),
    [anon_sym_AMP_AMP] = ACTIONS(2199),
    [anon_sym_PIPE_PIPE] = ACTIONS(2199),
    [anon_sym_GT_GT] = ACTIONS(2199),
    [anon_sym_GT_GT_GT] = ACTIONS(2199),
    [anon_sym_LT_LT] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_PERCENT] = ACTIONS(2199),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_LT_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2199),
    [anon_sym_GT_EQ] = ACTIONS(2199),
    [anon_sym_QMARK_QMARK] = ACTIONS(2199),
    [anon_sym_instanceof] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_void] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2197),
    [sym_number] = ACTIONS(2197),
    [sym_private_property_identifier] = ACTIONS(2197),
    [sym_this] = ACTIONS(2197),
    [sym_super] = ACTIONS(2197),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [sym_null] = ACTIONS(2197),
    [sym_undefined] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_readonly] = ACTIONS(2197),
    [anon_sym_get] = ACTIONS(2197),
    [anon_sym_set] = ACTIONS(2197),
    [anon_sym_declare] = ACTIONS(2197),
    [anon_sym_public] = ACTIONS(2197),
    [anon_sym_private] = ACTIONS(2197),
    [anon_sym_protected] = ACTIONS(2197),
    [anon_sym_override] = ACTIONS(2197),
    [anon_sym_module] = ACTIONS(2197),
    [anon_sym_any] = ACTIONS(2197),
    [anon_sym_number] = ACTIONS(2197),
    [anon_sym_boolean] = ACTIONS(2197),
    [anon_sym_string] = ACTIONS(2197),
    [anon_sym_symbol] = ACTIONS(2197),
    [anon_sym_object] = ACTIONS(2197),
    [anon_sym_abstract] = ACTIONS(2197),
    [anon_sym_satisfies] = ACTIONS(2199),
    [anon_sym_interface] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
    [sym__automatic_semicolon] = ACTIONS(2279),
    [sym__ternary_qmark] = ACTIONS(2203),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_comment] = STATE(348),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_export] = ACTIONS(2189),
    [anon_sym_STAR] = ACTIONS(2191),
    [anon_sym_default] = ACTIONS(2189),
    [anon_sym_type] = ACTIONS(2189),
    [anon_sym_as] = ACTIONS(2191),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_COMMA] = ACTIONS(2191),
    [anon_sym_RBRACE] = ACTIONS(2189),
    [anon_sym_typeof] = ACTIONS(2189),
    [anon_sym_import] = ACTIONS(2189),
    [anon_sym_with] = ACTIONS(2189),
    [anon_sym_var] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_in] = ACTIONS(2191),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_debugger] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2189),
    [anon_sym_case] = ACTIONS(2189),
    [anon_sym_yield] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_LTtemplate_GT] = ACTIONS(2189),
    [anon_sym_GT] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2189),
    [anon_sym_SQUOTE] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_function] = ACTIONS(2189),
    [anon_sym_QMARK_DOT] = ACTIONS(2191),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_using] = ACTIONS(2189),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [anon_sym_GT_GT] = ACTIONS(2191),
    [anon_sym_GT_GT_GT] = ACTIONS(2191),
    [anon_sym_LT_LT] = ACTIONS(2191),
    [anon_sym_AMP] = ACTIONS(2191),
    [anon_sym_CARET] = ACTIONS(2191),
    [anon_sym_PIPE] = ACTIONS(2191),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_SLASH] = ACTIONS(2189),
    [anon_sym_PERCENT] = ACTIONS(2191),
    [anon_sym_STAR_STAR] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2189),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2191),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_QMARK_QMARK] = ACTIONS(2191),
    [anon_sym_instanceof] = ACTIONS(2191),
    [anon_sym_TILDE] = ACTIONS(2189),
    [anon_sym_void] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2189),
    [sym_number] = ACTIONS(2189),
    [sym_private_property_identifier] = ACTIONS(2189),
    [sym_this] = ACTIONS(2189),
    [sym_super] = ACTIONS(2189),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [sym_null] = ACTIONS(2189),
    [sym_undefined] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2189),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_readonly] = ACTIONS(2189),
    [anon_sym_get] = ACTIONS(2189),
    [anon_sym_set] = ACTIONS(2189),
    [anon_sym_declare] = ACTIONS(2189),
    [anon_sym_public] = ACTIONS(2189),
    [anon_sym_private] = ACTIONS(2189),
    [anon_sym_protected] = ACTIONS(2189),
    [anon_sym_override] = ACTIONS(2189),
    [anon_sym_module] = ACTIONS(2189),
    [anon_sym_any] = ACTIONS(2189),
    [anon_sym_number] = ACTIONS(2189),
    [anon_sym_boolean] = ACTIONS(2189),
    [anon_sym_string] = ACTIONS(2189),
    [anon_sym_symbol] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_abstract] = ACTIONS(2189),
    [anon_sym_satisfies] = ACTIONS(2191),
    [anon_sym_interface] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
    [sym__automatic_semicolon] = ACTIONS(2281),
    [sym__ternary_qmark] = ACTIONS(2195),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_comment] = STATE(349),
    [sym_identifier] = ACTIONS(2179),
    [anon_sym_export] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(2181),
    [anon_sym_default] = ACTIONS(2179),
    [anon_sym_type] = ACTIONS(2179),
    [anon_sym_as] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2179),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(2181),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_typeof] = ACTIONS(2179),
    [anon_sym_import] = ACTIONS(2179),
    [anon_sym_with] = ACTIONS(2179),
    [anon_sym_var] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_const] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_if] = ACTIONS(2179),
    [anon_sym_switch] = ACTIONS(2179),
    [anon_sym_for] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(2179),
    [anon_sym_in] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2179),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_try] = ACTIONS(2179),
    [anon_sym_break] = ACTIONS(2179),
    [anon_sym_continue] = ACTIONS(2179),
    [anon_sym_debugger] = ACTIONS(2179),
    [anon_sym_return] = ACTIONS(2179),
    [anon_sym_throw] = ACTIONS(2179),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_case] = ACTIONS(2179),
    [anon_sym_yield] = ACTIONS(2179),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_LTtemplate_GT] = ACTIONS(2179),
    [anon_sym_GT] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [anon_sym_class] = ACTIONS(2179),
    [anon_sym_async] = ACTIONS(2179),
    [anon_sym_function] = ACTIONS(2179),
    [anon_sym_QMARK_DOT] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2179),
    [anon_sym_using] = ACTIONS(2179),
    [anon_sym_AMP_AMP] = ACTIONS(2181),
    [anon_sym_PIPE_PIPE] = ACTIONS(2181),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2181),
    [anon_sym_LT_LT] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_PIPE] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_SLASH] = ACTIONS(2179),
    [anon_sym_PERCENT] = ACTIONS(2181),
    [anon_sym_STAR_STAR] = ACTIONS(2181),
    [anon_sym_LT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2181),
    [anon_sym_EQ_EQ] = ACTIONS(2181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2181),
    [anon_sym_BANG_EQ] = ACTIONS(2181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2181),
    [anon_sym_GT_EQ] = ACTIONS(2181),
    [anon_sym_QMARK_QMARK] = ACTIONS(2181),
    [anon_sym_instanceof] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_void] = ACTIONS(2179),
    [anon_sym_delete] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2179),
    [sym_number] = ACTIONS(2179),
    [sym_private_property_identifier] = ACTIONS(2179),
    [sym_this] = ACTIONS(2179),
    [sym_super] = ACTIONS(2179),
    [sym_true] = ACTIONS(2179),
    [sym_false] = ACTIONS(2179),
    [sym_null] = ACTIONS(2179),
    [sym_undefined] = ACTIONS(2179),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_static] = ACTIONS(2179),
    [anon_sym_readonly] = ACTIONS(2179),
    [anon_sym_get] = ACTIONS(2179),
    [anon_sym_set] = ACTIONS(2179),
    [anon_sym_declare] = ACTIONS(2179),
    [anon_sym_public] = ACTIONS(2179),
    [anon_sym_private] = ACTIONS(2179),
    [anon_sym_protected] = ACTIONS(2179),
    [anon_sym_override] = ACTIONS(2179),
    [anon_sym_module] = ACTIONS(2179),
    [anon_sym_any] = ACTIONS(2179),
    [anon_sym_number] = ACTIONS(2179),
    [anon_sym_boolean] = ACTIONS(2179),
    [anon_sym_string] = ACTIONS(2179),
    [anon_sym_symbol] = ACTIONS(2179),
    [anon_sym_object] = ACTIONS(2179),
    [anon_sym_abstract] = ACTIONS(2179),
    [anon_sym_satisfies] = ACTIONS(2181),
    [anon_sym_interface] = ACTIONS(2179),
    [anon_sym_enum] = ACTIONS(2179),
    [sym__automatic_semicolon] = ACTIONS(2283),
    [sym__ternary_qmark] = ACTIONS(2185),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_comment] = STATE(350),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_default] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_as] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_in] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_case] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_GT] = ACTIONS(2259),
    [anon_sym_DOT] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_QMARK_DOT] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_PIPE_PIPE] = ACTIONS(2259),
    [anon_sym_GT_GT] = ACTIONS(2259),
    [anon_sym_GT_GT_GT] = ACTIONS(2259),
    [anon_sym_LT_LT] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2259),
    [anon_sym_PIPE] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_PERCENT] = ACTIONS(2259),
    [anon_sym_STAR_STAR] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_LT_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2259),
    [anon_sym_GT_EQ] = ACTIONS(2259),
    [anon_sym_QMARK_QMARK] = ACTIONS(2259),
    [anon_sym_instanceof] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_satisfies] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(2261),
    [sym__ternary_qmark] = ACTIONS(2261),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_import] = STATE(4229),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(351),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym__type_query_member_expression] = STATE(3737),
    [sym__type_query_subscript_expression] = STATE(3736),
    [sym__type_query_call_expression] = STATE(3791),
    [sym__type_query_instantiation_expression] = STATE(3828),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2285),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_comment] = STATE(352),
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2137),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_as] = ACTIONS(2137),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_COMMA] = ACTIONS(2137),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_GT] = ACTIONS(2137),
    [anon_sym_DOT] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_QMARK_DOT] = ACTIONS(2137),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_AMP_AMP] = ACTIONS(2137),
    [anon_sym_PIPE_PIPE] = ACTIONS(2137),
    [anon_sym_GT_GT] = ACTIONS(2137),
    [anon_sym_GT_GT_GT] = ACTIONS(2137),
    [anon_sym_LT_LT] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_PIPE] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2137),
    [anon_sym_STAR_STAR] = ACTIONS(2137),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_LT_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2137),
    [anon_sym_GT_EQ] = ACTIONS(2137),
    [anon_sym_QMARK_QMARK] = ACTIONS(2137),
    [anon_sym_instanceof] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_satisfies] = ACTIONS(2137),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2289),
    [sym__ternary_qmark] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_comment] = STATE(353),
    [ts_builtin_sym_end] = ACTIONS(2291),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_as] = ACTIONS(2129),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_COMMA] = ACTIONS(2129),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2129),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_GT] = ACTIONS(2129),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_QMARK_DOT] = ACTIONS(2129),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_AMP_AMP] = ACTIONS(2129),
    [anon_sym_PIPE_PIPE] = ACTIONS(2129),
    [anon_sym_GT_GT] = ACTIONS(2129),
    [anon_sym_GT_GT_GT] = ACTIONS(2129),
    [anon_sym_LT_LT] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2129),
    [anon_sym_CARET] = ACTIONS(2129),
    [anon_sym_PIPE] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_PERCENT] = ACTIONS(2129),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_LT_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2129),
    [anon_sym_GT_EQ] = ACTIONS(2129),
    [anon_sym_QMARK_QMARK] = ACTIONS(2129),
    [anon_sym_instanceof] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_satisfies] = ACTIONS(2129),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2293),
    [sym__ternary_qmark] = ACTIONS(2133),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_comment] = STATE(354),
    [sym_identifier] = ACTIONS(2163),
    [anon_sym_export] = ACTIONS(2163),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2163),
    [anon_sym_type] = ACTIONS(2163),
    [anon_sym_as] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2163),
    [anon_sym_LBRACE] = ACTIONS(2163),
    [anon_sym_COMMA] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_typeof] = ACTIONS(2163),
    [anon_sym_import] = ACTIONS(2163),
    [anon_sym_with] = ACTIONS(2163),
    [anon_sym_var] = ACTIONS(2163),
    [anon_sym_let] = ACTIONS(2163),
    [anon_sym_const] = ACTIONS(2163),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_if] = ACTIONS(2163),
    [anon_sym_switch] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2163),
    [anon_sym_LPAREN] = ACTIONS(2163),
    [anon_sym_await] = ACTIONS(2163),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_do] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2163),
    [anon_sym_break] = ACTIONS(2163),
    [anon_sym_continue] = ACTIONS(2163),
    [anon_sym_debugger] = ACTIONS(2163),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_throw] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_case] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2163),
    [anon_sym_LBRACK] = ACTIONS(2163),
    [anon_sym_LTtemplate_GT] = ACTIONS(2163),
    [anon_sym_GT] = ACTIONS(2165),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2163),
    [anon_sym_SQUOTE] = ACTIONS(2163),
    [anon_sym_class] = ACTIONS(2163),
    [anon_sym_async] = ACTIONS(2163),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_QMARK_DOT] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(2163),
    [anon_sym_AMP_AMP] = ACTIONS(2165),
    [anon_sym_PIPE_PIPE] = ACTIONS(2165),
    [anon_sym_GT_GT] = ACTIONS(2165),
    [anon_sym_GT_GT_GT] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2165),
    [anon_sym_PIPE] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2163),
    [anon_sym_DASH] = ACTIONS(2163),
    [anon_sym_SLASH] = ACTIONS(2163),
    [anon_sym_PERCENT] = ACTIONS(2165),
    [anon_sym_STAR_STAR] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2163),
    [anon_sym_LT_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2165),
    [anon_sym_GT_EQ] = ACTIONS(2165),
    [anon_sym_QMARK_QMARK] = ACTIONS(2165),
    [anon_sym_instanceof] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_void] = ACTIONS(2163),
    [anon_sym_delete] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2163),
    [sym_number] = ACTIONS(2163),
    [sym_private_property_identifier] = ACTIONS(2163),
    [sym_this] = ACTIONS(2163),
    [sym_super] = ACTIONS(2163),
    [sym_true] = ACTIONS(2163),
    [sym_false] = ACTIONS(2163),
    [sym_null] = ACTIONS(2163),
    [sym_undefined] = ACTIONS(2163),
    [anon_sym_AT] = ACTIONS(2163),
    [anon_sym_static] = ACTIONS(2163),
    [anon_sym_readonly] = ACTIONS(2163),
    [anon_sym_get] = ACTIONS(2163),
    [anon_sym_set] = ACTIONS(2163),
    [anon_sym_declare] = ACTIONS(2163),
    [anon_sym_public] = ACTIONS(2163),
    [anon_sym_private] = ACTIONS(2163),
    [anon_sym_protected] = ACTIONS(2163),
    [anon_sym_override] = ACTIONS(2163),
    [anon_sym_module] = ACTIONS(2163),
    [anon_sym_any] = ACTIONS(2163),
    [anon_sym_number] = ACTIONS(2163),
    [anon_sym_boolean] = ACTIONS(2163),
    [anon_sym_string] = ACTIONS(2163),
    [anon_sym_symbol] = ACTIONS(2163),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_abstract] = ACTIONS(2163),
    [anon_sym_satisfies] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2163),
    [anon_sym_enum] = ACTIONS(2163),
    [sym__automatic_semicolon] = ACTIONS(2295),
    [sym__ternary_qmark] = ACTIONS(2169),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_comment] = STATE(355),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_STAR] = ACTIONS(2157),
    [anon_sym_default] = ACTIONS(2155),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_as] = ACTIONS(2157),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_COMMA] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_in] = ACTIONS(2157),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_GT] = ACTIONS(2157),
    [anon_sym_DOT] = ACTIONS(2157),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_QMARK_DOT] = ACTIONS(2157),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_AMP_AMP] = ACTIONS(2157),
    [anon_sym_PIPE_PIPE] = ACTIONS(2157),
    [anon_sym_GT_GT] = ACTIONS(2157),
    [anon_sym_GT_GT_GT] = ACTIONS(2157),
    [anon_sym_LT_LT] = ACTIONS(2157),
    [anon_sym_AMP] = ACTIONS(2157),
    [anon_sym_CARET] = ACTIONS(2157),
    [anon_sym_PIPE] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_PERCENT] = ACTIONS(2157),
    [anon_sym_STAR_STAR] = ACTIONS(2157),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_LT_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2157),
    [anon_sym_GT_EQ] = ACTIONS(2157),
    [anon_sym_QMARK_QMARK] = ACTIONS(2157),
    [anon_sym_instanceof] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_satisfies] = ACTIONS(2157),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2297),
    [sym__ternary_qmark] = ACTIONS(2161),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_import] = STATE(4231),
    [sym_expression_statement] = STATE(461),
    [sym_empty_statement] = STATE(461),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2710),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7148),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(356),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2022),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_import] = STATE(4373),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2969),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(357),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym__type_query_member_expression] = STATE(3737),
    [sym__type_query_subscript_expression] = STATE(3736),
    [sym__type_query_call_expression] = STATE(3791),
    [sym__type_query_instantiation_expression] = STATE(3828),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2299),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_comment] = STATE(358),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_default] = ACTIONS(2147),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_as] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_case] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_GT] = ACTIONS(2149),
    [anon_sym_DOT] = ACTIONS(2149),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_QMARK_DOT] = ACTIONS(2149),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2149),
    [anon_sym_GT_GT_GT] = ACTIONS(2149),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2149),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2149),
    [anon_sym_STAR_STAR] = ACTIONS(2149),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2149),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_QMARK_QMARK] = ACTIONS(2149),
    [anon_sym_instanceof] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_satisfies] = ACTIONS(2149),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2301),
    [sym__ternary_qmark] = ACTIONS(2153),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_comment] = STATE(359),
    [ts_builtin_sym_end] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_else] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2305),
    [sym__ternary_qmark] = ACTIONS(2123),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_comment] = STATE(360),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2307),
    [sym__ternary_qmark] = ACTIONS(2079),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_comment] = STATE(361),
    [sym_identifier] = ACTIONS(2225),
    [anon_sym_export] = ACTIONS(2225),
    [anon_sym_STAR] = ACTIONS(2227),
    [anon_sym_default] = ACTIONS(2225),
    [anon_sym_type] = ACTIONS(2225),
    [anon_sym_as] = ACTIONS(2227),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_COMMA] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(2225),
    [anon_sym_import] = ACTIONS(2225),
    [anon_sym_with] = ACTIONS(2225),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2225),
    [anon_sym_const] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_in] = ACTIONS(2227),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_debugger] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_case] = ACTIONS(2225),
    [anon_sym_yield] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LTtemplate_GT] = ACTIONS(2225),
    [anon_sym_GT] = ACTIONS(2227),
    [anon_sym_DOT] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2225),
    [anon_sym_SQUOTE] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_QMARK_DOT] = ACTIONS(2227),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_using] = ACTIONS(2225),
    [anon_sym_AMP_AMP] = ACTIONS(2227),
    [anon_sym_PIPE_PIPE] = ACTIONS(2227),
    [anon_sym_GT_GT] = ACTIONS(2227),
    [anon_sym_GT_GT_GT] = ACTIONS(2227),
    [anon_sym_LT_LT] = ACTIONS(2227),
    [anon_sym_AMP] = ACTIONS(2227),
    [anon_sym_CARET] = ACTIONS(2227),
    [anon_sym_PIPE] = ACTIONS(2227),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_SLASH] = ACTIONS(2225),
    [anon_sym_PERCENT] = ACTIONS(2227),
    [anon_sym_STAR_STAR] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2225),
    [anon_sym_LT_EQ] = ACTIONS(2227),
    [anon_sym_EQ_EQ] = ACTIONS(2227),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2227),
    [anon_sym_BANG_EQ] = ACTIONS(2227),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2227),
    [anon_sym_GT_EQ] = ACTIONS(2227),
    [anon_sym_QMARK_QMARK] = ACTIONS(2227),
    [anon_sym_instanceof] = ACTIONS(2227),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_void] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_number] = ACTIONS(2225),
    [sym_private_property_identifier] = ACTIONS(2225),
    [sym_this] = ACTIONS(2225),
    [sym_super] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_undefined] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_static] = ACTIONS(2225),
    [anon_sym_readonly] = ACTIONS(2225),
    [anon_sym_get] = ACTIONS(2225),
    [anon_sym_set] = ACTIONS(2225),
    [anon_sym_declare] = ACTIONS(2225),
    [anon_sym_public] = ACTIONS(2225),
    [anon_sym_private] = ACTIONS(2225),
    [anon_sym_protected] = ACTIONS(2225),
    [anon_sym_override] = ACTIONS(2225),
    [anon_sym_module] = ACTIONS(2225),
    [anon_sym_any] = ACTIONS(2225),
    [anon_sym_number] = ACTIONS(2225),
    [anon_sym_boolean] = ACTIONS(2225),
    [anon_sym_string] = ACTIONS(2225),
    [anon_sym_symbol] = ACTIONS(2225),
    [anon_sym_object] = ACTIONS(2225),
    [anon_sym_abstract] = ACTIONS(2225),
    [anon_sym_satisfies] = ACTIONS(2227),
    [anon_sym_interface] = ACTIONS(2225),
    [anon_sym_enum] = ACTIONS(2225),
    [sym__automatic_semicolon] = ACTIONS(2309),
    [sym__ternary_qmark] = ACTIONS(2231),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_comment] = STATE(362),
    [ts_builtin_sym_end] = ACTIONS(2311),
    [sym_identifier] = ACTIONS(2163),
    [anon_sym_export] = ACTIONS(2163),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2163),
    [anon_sym_as] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2163),
    [anon_sym_LBRACE] = ACTIONS(2163),
    [anon_sym_COMMA] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_typeof] = ACTIONS(2163),
    [anon_sym_import] = ACTIONS(2163),
    [anon_sym_with] = ACTIONS(2163),
    [anon_sym_var] = ACTIONS(2163),
    [anon_sym_let] = ACTIONS(2163),
    [anon_sym_const] = ACTIONS(2163),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_else] = ACTIONS(2163),
    [anon_sym_if] = ACTIONS(2163),
    [anon_sym_switch] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2163),
    [anon_sym_LPAREN] = ACTIONS(2163),
    [anon_sym_await] = ACTIONS(2163),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_do] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2163),
    [anon_sym_break] = ACTIONS(2163),
    [anon_sym_continue] = ACTIONS(2163),
    [anon_sym_debugger] = ACTIONS(2163),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_throw] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2163),
    [anon_sym_LBRACK] = ACTIONS(2163),
    [anon_sym_LTtemplate_GT] = ACTIONS(2163),
    [anon_sym_GT] = ACTIONS(2165),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2163),
    [anon_sym_SQUOTE] = ACTIONS(2163),
    [anon_sym_class] = ACTIONS(2163),
    [anon_sym_async] = ACTIONS(2163),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_QMARK_DOT] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(2163),
    [anon_sym_AMP_AMP] = ACTIONS(2165),
    [anon_sym_PIPE_PIPE] = ACTIONS(2165),
    [anon_sym_GT_GT] = ACTIONS(2165),
    [anon_sym_GT_GT_GT] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2165),
    [anon_sym_PIPE] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2163),
    [anon_sym_DASH] = ACTIONS(2163),
    [anon_sym_SLASH] = ACTIONS(2163),
    [anon_sym_PERCENT] = ACTIONS(2165),
    [anon_sym_STAR_STAR] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2163),
    [anon_sym_LT_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2165),
    [anon_sym_GT_EQ] = ACTIONS(2165),
    [anon_sym_QMARK_QMARK] = ACTIONS(2165),
    [anon_sym_instanceof] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_void] = ACTIONS(2163),
    [anon_sym_delete] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2163),
    [sym_number] = ACTIONS(2163),
    [sym_private_property_identifier] = ACTIONS(2163),
    [sym_this] = ACTIONS(2163),
    [sym_super] = ACTIONS(2163),
    [sym_true] = ACTIONS(2163),
    [sym_false] = ACTIONS(2163),
    [sym_null] = ACTIONS(2163),
    [sym_undefined] = ACTIONS(2163),
    [anon_sym_AT] = ACTIONS(2163),
    [anon_sym_static] = ACTIONS(2163),
    [anon_sym_readonly] = ACTIONS(2163),
    [anon_sym_get] = ACTIONS(2163),
    [anon_sym_set] = ACTIONS(2163),
    [anon_sym_declare] = ACTIONS(2163),
    [anon_sym_public] = ACTIONS(2163),
    [anon_sym_private] = ACTIONS(2163),
    [anon_sym_protected] = ACTIONS(2163),
    [anon_sym_override] = ACTIONS(2163),
    [anon_sym_module] = ACTIONS(2163),
    [anon_sym_any] = ACTIONS(2163),
    [anon_sym_number] = ACTIONS(2163),
    [anon_sym_boolean] = ACTIONS(2163),
    [anon_sym_string] = ACTIONS(2163),
    [anon_sym_symbol] = ACTIONS(2163),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_abstract] = ACTIONS(2163),
    [anon_sym_satisfies] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2163),
    [anon_sym_enum] = ACTIONS(2163),
    [sym__automatic_semicolon] = ACTIONS(2313),
    [sym__ternary_qmark] = ACTIONS(2169),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_comment] = STATE(363),
    [sym_identifier] = ACTIONS(2235),
    [anon_sym_export] = ACTIONS(2235),
    [anon_sym_STAR] = ACTIONS(2237),
    [anon_sym_default] = ACTIONS(2235),
    [anon_sym_type] = ACTIONS(2235),
    [anon_sym_as] = ACTIONS(2237),
    [anon_sym_namespace] = ACTIONS(2235),
    [anon_sym_LBRACE] = ACTIONS(2235),
    [anon_sym_COMMA] = ACTIONS(2237),
    [anon_sym_RBRACE] = ACTIONS(2235),
    [anon_sym_typeof] = ACTIONS(2235),
    [anon_sym_import] = ACTIONS(2235),
    [anon_sym_with] = ACTIONS(2235),
    [anon_sym_var] = ACTIONS(2235),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_switch] = ACTIONS(2235),
    [anon_sym_for] = ACTIONS(2235),
    [anon_sym_LPAREN] = ACTIONS(2235),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_in] = ACTIONS(2237),
    [anon_sym_while] = ACTIONS(2235),
    [anon_sym_do] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_break] = ACTIONS(2235),
    [anon_sym_continue] = ACTIONS(2235),
    [anon_sym_debugger] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_throw] = ACTIONS(2235),
    [anon_sym_SEMI] = ACTIONS(2235),
    [anon_sym_case] = ACTIONS(2235),
    [anon_sym_yield] = ACTIONS(2235),
    [anon_sym_LBRACK] = ACTIONS(2235),
    [anon_sym_LTtemplate_GT] = ACTIONS(2235),
    [anon_sym_GT] = ACTIONS(2237),
    [anon_sym_DOT] = ACTIONS(2237),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_SQUOTE] = ACTIONS(2235),
    [anon_sym_class] = ACTIONS(2235),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_function] = ACTIONS(2235),
    [anon_sym_QMARK_DOT] = ACTIONS(2237),
    [anon_sym_new] = ACTIONS(2235),
    [anon_sym_using] = ACTIONS(2235),
    [anon_sym_AMP_AMP] = ACTIONS(2237),
    [anon_sym_PIPE_PIPE] = ACTIONS(2237),
    [anon_sym_GT_GT] = ACTIONS(2237),
    [anon_sym_GT_GT_GT] = ACTIONS(2237),
    [anon_sym_LT_LT] = ACTIONS(2237),
    [anon_sym_AMP] = ACTIONS(2237),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PIPE] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_SLASH] = ACTIONS(2235),
    [anon_sym_PERCENT] = ACTIONS(2237),
    [anon_sym_STAR_STAR] = ACTIONS(2237),
    [anon_sym_LT] = ACTIONS(2235),
    [anon_sym_LT_EQ] = ACTIONS(2237),
    [anon_sym_EQ_EQ] = ACTIONS(2237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2237),
    [anon_sym_BANG_EQ] = ACTIONS(2237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2237),
    [anon_sym_GT_EQ] = ACTIONS(2237),
    [anon_sym_QMARK_QMARK] = ACTIONS(2237),
    [anon_sym_instanceof] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_void] = ACTIONS(2235),
    [anon_sym_delete] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2235),
    [anon_sym_DASH_DASH] = ACTIONS(2235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2235),
    [sym_number] = ACTIONS(2235),
    [sym_private_property_identifier] = ACTIONS(2235),
    [sym_this] = ACTIONS(2235),
    [sym_super] = ACTIONS(2235),
    [sym_true] = ACTIONS(2235),
    [sym_false] = ACTIONS(2235),
    [sym_null] = ACTIONS(2235),
    [sym_undefined] = ACTIONS(2235),
    [anon_sym_AT] = ACTIONS(2235),
    [anon_sym_static] = ACTIONS(2235),
    [anon_sym_readonly] = ACTIONS(2235),
    [anon_sym_get] = ACTIONS(2235),
    [anon_sym_set] = ACTIONS(2235),
    [anon_sym_declare] = ACTIONS(2235),
    [anon_sym_public] = ACTIONS(2235),
    [anon_sym_private] = ACTIONS(2235),
    [anon_sym_protected] = ACTIONS(2235),
    [anon_sym_override] = ACTIONS(2235),
    [anon_sym_module] = ACTIONS(2235),
    [anon_sym_any] = ACTIONS(2235),
    [anon_sym_number] = ACTIONS(2235),
    [anon_sym_boolean] = ACTIONS(2235),
    [anon_sym_string] = ACTIONS(2235),
    [anon_sym_symbol] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(2235),
    [anon_sym_abstract] = ACTIONS(2235),
    [anon_sym_satisfies] = ACTIONS(2237),
    [anon_sym_interface] = ACTIONS(2235),
    [anon_sym_enum] = ACTIONS(2235),
    [sym__automatic_semicolon] = ACTIONS(2315),
    [sym__ternary_qmark] = ACTIONS(2241),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_comment] = STATE(364),
    [ts_builtin_sym_end] = ACTIONS(2317),
    [sym_identifier] = ACTIONS(2179),
    [anon_sym_export] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(2181),
    [anon_sym_type] = ACTIONS(2179),
    [anon_sym_as] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2179),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(2181),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_typeof] = ACTIONS(2179),
    [anon_sym_import] = ACTIONS(2179),
    [anon_sym_with] = ACTIONS(2179),
    [anon_sym_var] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_const] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_else] = ACTIONS(2179),
    [anon_sym_if] = ACTIONS(2179),
    [anon_sym_switch] = ACTIONS(2179),
    [anon_sym_for] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(2179),
    [anon_sym_in] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2179),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_try] = ACTIONS(2179),
    [anon_sym_break] = ACTIONS(2179),
    [anon_sym_continue] = ACTIONS(2179),
    [anon_sym_debugger] = ACTIONS(2179),
    [anon_sym_return] = ACTIONS(2179),
    [anon_sym_throw] = ACTIONS(2179),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_yield] = ACTIONS(2179),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_LTtemplate_GT] = ACTIONS(2179),
    [anon_sym_GT] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [anon_sym_class] = ACTIONS(2179),
    [anon_sym_async] = ACTIONS(2179),
    [anon_sym_function] = ACTIONS(2179),
    [anon_sym_QMARK_DOT] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2179),
    [anon_sym_using] = ACTIONS(2179),
    [anon_sym_AMP_AMP] = ACTIONS(2181),
    [anon_sym_PIPE_PIPE] = ACTIONS(2181),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2181),
    [anon_sym_LT_LT] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_PIPE] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_SLASH] = ACTIONS(2179),
    [anon_sym_PERCENT] = ACTIONS(2181),
    [anon_sym_STAR_STAR] = ACTIONS(2181),
    [anon_sym_LT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2181),
    [anon_sym_EQ_EQ] = ACTIONS(2181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2181),
    [anon_sym_BANG_EQ] = ACTIONS(2181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2181),
    [anon_sym_GT_EQ] = ACTIONS(2181),
    [anon_sym_QMARK_QMARK] = ACTIONS(2181),
    [anon_sym_instanceof] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_void] = ACTIONS(2179),
    [anon_sym_delete] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2179),
    [sym_number] = ACTIONS(2179),
    [sym_private_property_identifier] = ACTIONS(2179),
    [sym_this] = ACTIONS(2179),
    [sym_super] = ACTIONS(2179),
    [sym_true] = ACTIONS(2179),
    [sym_false] = ACTIONS(2179),
    [sym_null] = ACTIONS(2179),
    [sym_undefined] = ACTIONS(2179),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_static] = ACTIONS(2179),
    [anon_sym_readonly] = ACTIONS(2179),
    [anon_sym_get] = ACTIONS(2179),
    [anon_sym_set] = ACTIONS(2179),
    [anon_sym_declare] = ACTIONS(2179),
    [anon_sym_public] = ACTIONS(2179),
    [anon_sym_private] = ACTIONS(2179),
    [anon_sym_protected] = ACTIONS(2179),
    [anon_sym_override] = ACTIONS(2179),
    [anon_sym_module] = ACTIONS(2179),
    [anon_sym_any] = ACTIONS(2179),
    [anon_sym_number] = ACTIONS(2179),
    [anon_sym_boolean] = ACTIONS(2179),
    [anon_sym_string] = ACTIONS(2179),
    [anon_sym_symbol] = ACTIONS(2179),
    [anon_sym_object] = ACTIONS(2179),
    [anon_sym_abstract] = ACTIONS(2179),
    [anon_sym_satisfies] = ACTIONS(2181),
    [anon_sym_interface] = ACTIONS(2179),
    [anon_sym_enum] = ACTIONS(2179),
    [sym__automatic_semicolon] = ACTIONS(2319),
    [sym__ternary_qmark] = ACTIONS(2185),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_import] = STATE(4362),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3015),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(365),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym__type_query_member_expression] = STATE(3737),
    [sym__type_query_subscript_expression] = STATE(3736),
    [sym__type_query_call_expression] = STATE(3791),
    [sym__type_query_instantiation_expression] = STATE(3828),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(2321),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_comment] = STATE(366),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_STAR] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_as] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_COMMA] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_in] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_GT] = ACTIONS(2091),
    [anon_sym_DOT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_QMARK_DOT] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_AMP_AMP] = ACTIONS(2091),
    [anon_sym_PIPE_PIPE] = ACTIONS(2091),
    [anon_sym_GT_GT] = ACTIONS(2091),
    [anon_sym_GT_GT_GT] = ACTIONS(2091),
    [anon_sym_LT_LT] = ACTIONS(2091),
    [anon_sym_AMP] = ACTIONS(2091),
    [anon_sym_CARET] = ACTIONS(2091),
    [anon_sym_PIPE] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_PERCENT] = ACTIONS(2091),
    [anon_sym_STAR_STAR] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_LT_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2091),
    [anon_sym_GT_EQ] = ACTIONS(2091),
    [anon_sym_QMARK_QMARK] = ACTIONS(2091),
    [anon_sym_instanceof] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_satisfies] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(2323),
    [sym__ternary_qmark] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_import] = STATE(4373),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3078),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(367),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym__type_query_member_expression] = STATE(3737),
    [sym__type_query_subscript_expression] = STATE(3736),
    [sym__type_query_call_expression] = STATE(3791),
    [sym__type_query_instantiation_expression] = STATE(3828),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2325),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_import] = STATE(4229),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(368),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym__type_query_member_expression] = STATE(3737),
    [sym__type_query_subscript_expression] = STATE(3736),
    [sym__type_query_call_expression] = STATE(3791),
    [sym__type_query_instantiation_expression] = STATE(3828),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2327),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_comment] = STATE(369),
    [ts_builtin_sym_end] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_export] = ACTIONS(2189),
    [anon_sym_STAR] = ACTIONS(2191),
    [anon_sym_type] = ACTIONS(2189),
    [anon_sym_as] = ACTIONS(2191),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_COMMA] = ACTIONS(2191),
    [anon_sym_RBRACE] = ACTIONS(2189),
    [anon_sym_typeof] = ACTIONS(2189),
    [anon_sym_import] = ACTIONS(2189),
    [anon_sym_with] = ACTIONS(2189),
    [anon_sym_var] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2189),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_in] = ACTIONS(2191),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_debugger] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2189),
    [anon_sym_yield] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_LTtemplate_GT] = ACTIONS(2189),
    [anon_sym_GT] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2189),
    [anon_sym_SQUOTE] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_function] = ACTIONS(2189),
    [anon_sym_QMARK_DOT] = ACTIONS(2191),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_using] = ACTIONS(2189),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [anon_sym_GT_GT] = ACTIONS(2191),
    [anon_sym_GT_GT_GT] = ACTIONS(2191),
    [anon_sym_LT_LT] = ACTIONS(2191),
    [anon_sym_AMP] = ACTIONS(2191),
    [anon_sym_CARET] = ACTIONS(2191),
    [anon_sym_PIPE] = ACTIONS(2191),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_SLASH] = ACTIONS(2189),
    [anon_sym_PERCENT] = ACTIONS(2191),
    [anon_sym_STAR_STAR] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2189),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2191),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_QMARK_QMARK] = ACTIONS(2191),
    [anon_sym_instanceof] = ACTIONS(2191),
    [anon_sym_TILDE] = ACTIONS(2189),
    [anon_sym_void] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2189),
    [sym_number] = ACTIONS(2189),
    [sym_private_property_identifier] = ACTIONS(2189),
    [sym_this] = ACTIONS(2189),
    [sym_super] = ACTIONS(2189),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [sym_null] = ACTIONS(2189),
    [sym_undefined] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2189),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_readonly] = ACTIONS(2189),
    [anon_sym_get] = ACTIONS(2189),
    [anon_sym_set] = ACTIONS(2189),
    [anon_sym_declare] = ACTIONS(2189),
    [anon_sym_public] = ACTIONS(2189),
    [anon_sym_private] = ACTIONS(2189),
    [anon_sym_protected] = ACTIONS(2189),
    [anon_sym_override] = ACTIONS(2189),
    [anon_sym_module] = ACTIONS(2189),
    [anon_sym_any] = ACTIONS(2189),
    [anon_sym_number] = ACTIONS(2189),
    [anon_sym_boolean] = ACTIONS(2189),
    [anon_sym_string] = ACTIONS(2189),
    [anon_sym_symbol] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_abstract] = ACTIONS(2189),
    [anon_sym_satisfies] = ACTIONS(2191),
    [anon_sym_interface] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
    [sym__automatic_semicolon] = ACTIONS(2331),
    [sym__ternary_qmark] = ACTIONS(2195),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_comment] = STATE(370),
    [ts_builtin_sym_end] = ACTIONS(2333),
    [sym_identifier] = ACTIONS(2197),
    [anon_sym_export] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_type] = ACTIONS(2197),
    [anon_sym_as] = ACTIONS(2199),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_COMMA] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2197),
    [anon_sym_typeof] = ACTIONS(2197),
    [anon_sym_import] = ACTIONS(2197),
    [anon_sym_with] = ACTIONS(2197),
    [anon_sym_var] = ACTIONS(2197),
    [anon_sym_let] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_else] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_in] = ACTIONS(2199),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_debugger] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_yield] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LTtemplate_GT] = ACTIONS(2197),
    [anon_sym_GT] = ACTIONS(2199),
    [anon_sym_DOT] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2197),
    [anon_sym_SQUOTE] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2197),
    [anon_sym_QMARK_DOT] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_using] = ACTIONS(2197),
    [anon_sym_AMP_AMP] = ACTIONS(2199),
    [anon_sym_PIPE_PIPE] = ACTIONS(2199),
    [anon_sym_GT_GT] = ACTIONS(2199),
    [anon_sym_GT_GT_GT] = ACTIONS(2199),
    [anon_sym_LT_LT] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_PERCENT] = ACTIONS(2199),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_LT_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2199),
    [anon_sym_GT_EQ] = ACTIONS(2199),
    [anon_sym_QMARK_QMARK] = ACTIONS(2199),
    [anon_sym_instanceof] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_void] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2197),
    [sym_number] = ACTIONS(2197),
    [sym_private_property_identifier] = ACTIONS(2197),
    [sym_this] = ACTIONS(2197),
    [sym_super] = ACTIONS(2197),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [sym_null] = ACTIONS(2197),
    [sym_undefined] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_readonly] = ACTIONS(2197),
    [anon_sym_get] = ACTIONS(2197),
    [anon_sym_set] = ACTIONS(2197),
    [anon_sym_declare] = ACTIONS(2197),
    [anon_sym_public] = ACTIONS(2197),
    [anon_sym_private] = ACTIONS(2197),
    [anon_sym_protected] = ACTIONS(2197),
    [anon_sym_override] = ACTIONS(2197),
    [anon_sym_module] = ACTIONS(2197),
    [anon_sym_any] = ACTIONS(2197),
    [anon_sym_number] = ACTIONS(2197),
    [anon_sym_boolean] = ACTIONS(2197),
    [anon_sym_string] = ACTIONS(2197),
    [anon_sym_symbol] = ACTIONS(2197),
    [anon_sym_object] = ACTIONS(2197),
    [anon_sym_abstract] = ACTIONS(2197),
    [anon_sym_satisfies] = ACTIONS(2199),
    [anon_sym_interface] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
    [sym__automatic_semicolon] = ACTIONS(2335),
    [sym__ternary_qmark] = ACTIONS(2203),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_comment] = STATE(371),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2137),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_as] = ACTIONS(2137),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_COMMA] = ACTIONS(2137),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_GT] = ACTIONS(2137),
    [anon_sym_DOT] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_QMARK_DOT] = ACTIONS(2137),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_AMP_AMP] = ACTIONS(2137),
    [anon_sym_PIPE_PIPE] = ACTIONS(2137),
    [anon_sym_GT_GT] = ACTIONS(2137),
    [anon_sym_GT_GT_GT] = ACTIONS(2137),
    [anon_sym_LT_LT] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_PIPE] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2137),
    [anon_sym_STAR_STAR] = ACTIONS(2137),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_LT_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2137),
    [anon_sym_GT_EQ] = ACTIONS(2137),
    [anon_sym_QMARK_QMARK] = ACTIONS(2137),
    [anon_sym_instanceof] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_satisfies] = ACTIONS(2137),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2337),
    [sym__ternary_qmark] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_import] = STATE(4229),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2715),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(372),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym__type_query_member_expression] = STATE(3737),
    [sym__type_query_subscript_expression] = STATE(3736),
    [sym__type_query_call_expression] = STATE(3791),
    [sym__type_query_instantiation_expression] = STATE(3828),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_comment] = STATE(373),
    [ts_builtin_sym_end] = ACTIONS(2221),
    [sym_identifier] = ACTIONS(2219),
    [anon_sym_export] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2219),
    [anon_sym_as] = ACTIONS(2219),
    [anon_sym_namespace] = ACTIONS(2219),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [anon_sym_typeof] = ACTIONS(2219),
    [anon_sym_import] = ACTIONS(2219),
    [anon_sym_with] = ACTIONS(2219),
    [anon_sym_var] = ACTIONS(2219),
    [anon_sym_let] = ACTIONS(2219),
    [anon_sym_const] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_else] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(2219),
    [anon_sym_switch] = ACTIONS(2219),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_LPAREN] = ACTIONS(2219),
    [anon_sym_await] = ACTIONS(2219),
    [anon_sym_in] = ACTIONS(2219),
    [anon_sym_while] = ACTIONS(2219),
    [anon_sym_do] = ACTIONS(2219),
    [anon_sym_try] = ACTIONS(2219),
    [anon_sym_break] = ACTIONS(2219),
    [anon_sym_continue] = ACTIONS(2219),
    [anon_sym_debugger] = ACTIONS(2219),
    [anon_sym_return] = ACTIONS(2219),
    [anon_sym_throw] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym_yield] = ACTIONS(2219),
    [anon_sym_LBRACK] = ACTIONS(2219),
    [anon_sym_LTtemplate_GT] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_DOT] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_class] = ACTIONS(2219),
    [anon_sym_async] = ACTIONS(2219),
    [anon_sym_function] = ACTIONS(2219),
    [anon_sym_QMARK_DOT] = ACTIONS(2219),
    [anon_sym_new] = ACTIONS(2219),
    [anon_sym_using] = ACTIONS(2219),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_PIPE_PIPE] = ACTIONS(2219),
    [anon_sym_GT_GT] = ACTIONS(2219),
    [anon_sym_GT_GT_GT] = ACTIONS(2219),
    [anon_sym_LT_LT] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_CARET] = ACTIONS(2219),
    [anon_sym_PIPE] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_SLASH] = ACTIONS(2219),
    [anon_sym_PERCENT] = ACTIONS(2219),
    [anon_sym_STAR_STAR] = ACTIONS(2219),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_EQ_EQ] = ACTIONS(2219),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2219),
    [anon_sym_BANG_EQ] = ACTIONS(2219),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2219),
    [anon_sym_QMARK_QMARK] = ACTIONS(2219),
    [anon_sym_instanceof] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_void] = ACTIONS(2219),
    [anon_sym_delete] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2219),
    [sym_number] = ACTIONS(2219),
    [sym_private_property_identifier] = ACTIONS(2219),
    [sym_this] = ACTIONS(2219),
    [sym_super] = ACTIONS(2219),
    [sym_true] = ACTIONS(2219),
    [sym_false] = ACTIONS(2219),
    [sym_null] = ACTIONS(2219),
    [sym_undefined] = ACTIONS(2219),
    [anon_sym_AT] = ACTIONS(2219),
    [anon_sym_static] = ACTIONS(2219),
    [anon_sym_readonly] = ACTIONS(2219),
    [anon_sym_get] = ACTIONS(2219),
    [anon_sym_set] = ACTIONS(2219),
    [anon_sym_declare] = ACTIONS(2219),
    [anon_sym_public] = ACTIONS(2219),
    [anon_sym_private] = ACTIONS(2219),
    [anon_sym_protected] = ACTIONS(2219),
    [anon_sym_override] = ACTIONS(2219),
    [anon_sym_module] = ACTIONS(2219),
    [anon_sym_any] = ACTIONS(2219),
    [anon_sym_number] = ACTIONS(2219),
    [anon_sym_boolean] = ACTIONS(2219),
    [anon_sym_string] = ACTIONS(2219),
    [anon_sym_symbol] = ACTIONS(2219),
    [anon_sym_object] = ACTIONS(2219),
    [anon_sym_abstract] = ACTIONS(2219),
    [anon_sym_satisfies] = ACTIONS(2219),
    [anon_sym_interface] = ACTIONS(2219),
    [anon_sym_enum] = ACTIONS(2219),
    [sym__automatic_semicolon] = ACTIONS(2221),
    [sym__ternary_qmark] = ACTIONS(2221),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_comment] = STATE(374),
    [ts_builtin_sym_end] = ACTIONS(2217),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_export] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_type] = ACTIONS(2215),
    [anon_sym_as] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_COMMA] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2215),
    [anon_sym_typeof] = ACTIONS(2215),
    [anon_sym_import] = ACTIONS(2215),
    [anon_sym_with] = ACTIONS(2215),
    [anon_sym_var] = ACTIONS(2215),
    [anon_sym_let] = ACTIONS(2215),
    [anon_sym_const] = ACTIONS(2215),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_else] = ACTIONS(2215),
    [anon_sym_if] = ACTIONS(2215),
    [anon_sym_switch] = ACTIONS(2215),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_LPAREN] = ACTIONS(2215),
    [anon_sym_await] = ACTIONS(2215),
    [anon_sym_in] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2215),
    [anon_sym_do] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2215),
    [anon_sym_break] = ACTIONS(2215),
    [anon_sym_continue] = ACTIONS(2215),
    [anon_sym_debugger] = ACTIONS(2215),
    [anon_sym_return] = ACTIONS(2215),
    [anon_sym_throw] = ACTIONS(2215),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym_yield] = ACTIONS(2215),
    [anon_sym_LBRACK] = ACTIONS(2215),
    [anon_sym_LTtemplate_GT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2215),
    [anon_sym_SQUOTE] = ACTIONS(2215),
    [anon_sym_class] = ACTIONS(2215),
    [anon_sym_async] = ACTIONS(2215),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_QMARK_DOT] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_using] = ACTIONS(2215),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2215),
    [anon_sym_GT_GT] = ACTIONS(2215),
    [anon_sym_GT_GT_GT] = ACTIONS(2215),
    [anon_sym_LT_LT] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2215),
    [anon_sym_CARET] = ACTIONS(2215),
    [anon_sym_PIPE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_QMARK_QMARK] = ACTIONS(2215),
    [anon_sym_instanceof] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_void] = ACTIONS(2215),
    [anon_sym_delete] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2215),
    [sym_number] = ACTIONS(2215),
    [sym_private_property_identifier] = ACTIONS(2215),
    [sym_this] = ACTIONS(2215),
    [sym_super] = ACTIONS(2215),
    [sym_true] = ACTIONS(2215),
    [sym_false] = ACTIONS(2215),
    [sym_null] = ACTIONS(2215),
    [sym_undefined] = ACTIONS(2215),
    [anon_sym_AT] = ACTIONS(2215),
    [anon_sym_static] = ACTIONS(2215),
    [anon_sym_readonly] = ACTIONS(2215),
    [anon_sym_get] = ACTIONS(2215),
    [anon_sym_set] = ACTIONS(2215),
    [anon_sym_declare] = ACTIONS(2215),
    [anon_sym_public] = ACTIONS(2215),
    [anon_sym_private] = ACTIONS(2215),
    [anon_sym_protected] = ACTIONS(2215),
    [anon_sym_override] = ACTIONS(2215),
    [anon_sym_module] = ACTIONS(2215),
    [anon_sym_any] = ACTIONS(2215),
    [anon_sym_number] = ACTIONS(2215),
    [anon_sym_boolean] = ACTIONS(2215),
    [anon_sym_string] = ACTIONS(2215),
    [anon_sym_symbol] = ACTIONS(2215),
    [anon_sym_object] = ACTIONS(2215),
    [anon_sym_abstract] = ACTIONS(2215),
    [anon_sym_satisfies] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2215),
    [anon_sym_enum] = ACTIONS(2215),
    [sym__automatic_semicolon] = ACTIONS(2217),
    [sym__ternary_qmark] = ACTIONS(2217),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_comment] = STATE(375),
    [ts_builtin_sym_end] = ACTIONS(2211),
    [sym_identifier] = ACTIONS(2209),
    [anon_sym_export] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2209),
    [anon_sym_type] = ACTIONS(2209),
    [anon_sym_as] = ACTIONS(2209),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_COMMA] = ACTIONS(2209),
    [anon_sym_RBRACE] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(2209),
    [anon_sym_import] = ACTIONS(2209),
    [anon_sym_with] = ACTIONS(2209),
    [anon_sym_var] = ACTIONS(2209),
    [anon_sym_let] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2209),
    [anon_sym_else] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_in] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_debugger] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2209),
    [anon_sym_yield] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(2209),
    [anon_sym_GT] = ACTIONS(2209),
    [anon_sym_DOT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [anon_sym_SQUOTE] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2209),
    [anon_sym_QMARK_DOT] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(2209),
    [anon_sym_AMP_AMP] = ACTIONS(2209),
    [anon_sym_PIPE_PIPE] = ACTIONS(2209),
    [anon_sym_GT_GT] = ACTIONS(2209),
    [anon_sym_GT_GT_GT] = ACTIONS(2209),
    [anon_sym_LT_LT] = ACTIONS(2209),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_CARET] = ACTIONS(2209),
    [anon_sym_PIPE] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_SLASH] = ACTIONS(2209),
    [anon_sym_PERCENT] = ACTIONS(2209),
    [anon_sym_STAR_STAR] = ACTIONS(2209),
    [anon_sym_LT] = ACTIONS(2209),
    [anon_sym_LT_EQ] = ACTIONS(2209),
    [anon_sym_EQ_EQ] = ACTIONS(2209),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2209),
    [anon_sym_BANG_EQ] = ACTIONS(2209),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2209),
    [anon_sym_GT_EQ] = ACTIONS(2209),
    [anon_sym_QMARK_QMARK] = ACTIONS(2209),
    [anon_sym_instanceof] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_void] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2209),
    [sym_number] = ACTIONS(2209),
    [sym_private_property_identifier] = ACTIONS(2209),
    [sym_this] = ACTIONS(2209),
    [sym_super] = ACTIONS(2209),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [sym_null] = ACTIONS(2209),
    [sym_undefined] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_readonly] = ACTIONS(2209),
    [anon_sym_get] = ACTIONS(2209),
    [anon_sym_set] = ACTIONS(2209),
    [anon_sym_declare] = ACTIONS(2209),
    [anon_sym_public] = ACTIONS(2209),
    [anon_sym_private] = ACTIONS(2209),
    [anon_sym_protected] = ACTIONS(2209),
    [anon_sym_override] = ACTIONS(2209),
    [anon_sym_module] = ACTIONS(2209),
    [anon_sym_any] = ACTIONS(2209),
    [anon_sym_number] = ACTIONS(2209),
    [anon_sym_boolean] = ACTIONS(2209),
    [anon_sym_string] = ACTIONS(2209),
    [anon_sym_symbol] = ACTIONS(2209),
    [anon_sym_object] = ACTIONS(2209),
    [anon_sym_abstract] = ACTIONS(2209),
    [anon_sym_satisfies] = ACTIONS(2209),
    [anon_sym_interface] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [sym__automatic_semicolon] = ACTIONS(2211),
    [sym__ternary_qmark] = ACTIONS(2211),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_comment] = STATE(376),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_STAR] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_as] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_COMMA] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_in] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_GT] = ACTIONS(2081),
    [anon_sym_DOT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_QMARK_DOT] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_AMP_AMP] = ACTIONS(2081),
    [anon_sym_PIPE_PIPE] = ACTIONS(2081),
    [anon_sym_GT_GT] = ACTIONS(2081),
    [anon_sym_GT_GT_GT] = ACTIONS(2081),
    [anon_sym_LT_LT] = ACTIONS(2081),
    [anon_sym_AMP] = ACTIONS(2081),
    [anon_sym_CARET] = ACTIONS(2081),
    [anon_sym_PIPE] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_PERCENT] = ACTIONS(2081),
    [anon_sym_STAR_STAR] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_LT_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2081),
    [anon_sym_GT_EQ] = ACTIONS(2081),
    [anon_sym_QMARK_QMARK] = ACTIONS(2081),
    [anon_sym_instanceof] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_satisfies] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym__automatic_semicolon] = ACTIONS(2083),
    [sym__ternary_qmark] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_import] = STATE(4231),
    [sym_expression_statement] = STATE(465),
    [sym_empty_statement] = STATE(465),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2710),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7148),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(377),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2022),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_import] = STATE(4231),
    [sym_expression_statement] = STATE(463),
    [sym_empty_statement] = STATE(463),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2710),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7148),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(378),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2022),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_comment] = STATE(379),
    [ts_builtin_sym_end] = ACTIONS(2145),
    [sym_identifier] = ACTIONS(2143),
    [anon_sym_export] = ACTIONS(2143),
    [anon_sym_STAR] = ACTIONS(2143),
    [anon_sym_type] = ACTIONS(2143),
    [anon_sym_as] = ACTIONS(2143),
    [anon_sym_namespace] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(2143),
    [anon_sym_COMMA] = ACTIONS(2143),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [anon_sym_typeof] = ACTIONS(2143),
    [anon_sym_import] = ACTIONS(2143),
    [anon_sym_with] = ACTIONS(2143),
    [anon_sym_var] = ACTIONS(2143),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(2143),
    [anon_sym_BANG] = ACTIONS(2143),
    [anon_sym_else] = ACTIONS(2143),
    [anon_sym_if] = ACTIONS(2143),
    [anon_sym_switch] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2143),
    [anon_sym_LPAREN] = ACTIONS(2143),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_in] = ACTIONS(2143),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2143),
    [anon_sym_try] = ACTIONS(2143),
    [anon_sym_break] = ACTIONS(2143),
    [anon_sym_continue] = ACTIONS(2143),
    [anon_sym_debugger] = ACTIONS(2143),
    [anon_sym_return] = ACTIONS(2143),
    [anon_sym_throw] = ACTIONS(2143),
    [anon_sym_SEMI] = ACTIONS(2143),
    [anon_sym_yield] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(2143),
    [anon_sym_GT] = ACTIONS(2143),
    [anon_sym_DOT] = ACTIONS(2143),
    [anon_sym_DQUOTE] = ACTIONS(2143),
    [anon_sym_SQUOTE] = ACTIONS(2143),
    [anon_sym_class] = ACTIONS(2143),
    [anon_sym_async] = ACTIONS(2143),
    [anon_sym_function] = ACTIONS(2143),
    [anon_sym_QMARK_DOT] = ACTIONS(2143),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_using] = ACTIONS(2143),
    [anon_sym_AMP_AMP] = ACTIONS(2143),
    [anon_sym_PIPE_PIPE] = ACTIONS(2143),
    [anon_sym_GT_GT] = ACTIONS(2143),
    [anon_sym_GT_GT_GT] = ACTIONS(2143),
    [anon_sym_LT_LT] = ACTIONS(2143),
    [anon_sym_AMP] = ACTIONS(2143),
    [anon_sym_CARET] = ACTIONS(2143),
    [anon_sym_PIPE] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(2143),
    [anon_sym_DASH] = ACTIONS(2143),
    [anon_sym_SLASH] = ACTIONS(2143),
    [anon_sym_PERCENT] = ACTIONS(2143),
    [anon_sym_STAR_STAR] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2143),
    [anon_sym_LT_EQ] = ACTIONS(2143),
    [anon_sym_EQ_EQ] = ACTIONS(2143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2143),
    [anon_sym_GT_EQ] = ACTIONS(2143),
    [anon_sym_QMARK_QMARK] = ACTIONS(2143),
    [anon_sym_instanceof] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(2143),
    [anon_sym_void] = ACTIONS(2143),
    [anon_sym_delete] = ACTIONS(2143),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2143),
    [sym_number] = ACTIONS(2143),
    [sym_private_property_identifier] = ACTIONS(2143),
    [sym_this] = ACTIONS(2143),
    [sym_super] = ACTIONS(2143),
    [sym_true] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
    [sym_null] = ACTIONS(2143),
    [sym_undefined] = ACTIONS(2143),
    [anon_sym_AT] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2143),
    [anon_sym_readonly] = ACTIONS(2143),
    [anon_sym_get] = ACTIONS(2143),
    [anon_sym_set] = ACTIONS(2143),
    [anon_sym_declare] = ACTIONS(2143),
    [anon_sym_public] = ACTIONS(2143),
    [anon_sym_private] = ACTIONS(2143),
    [anon_sym_protected] = ACTIONS(2143),
    [anon_sym_override] = ACTIONS(2143),
    [anon_sym_module] = ACTIONS(2143),
    [anon_sym_any] = ACTIONS(2143),
    [anon_sym_number] = ACTIONS(2143),
    [anon_sym_boolean] = ACTIONS(2143),
    [anon_sym_string] = ACTIONS(2143),
    [anon_sym_symbol] = ACTIONS(2143),
    [anon_sym_object] = ACTIONS(2143),
    [anon_sym_abstract] = ACTIONS(2143),
    [anon_sym_satisfies] = ACTIONS(2143),
    [anon_sym_interface] = ACTIONS(2143),
    [anon_sym_enum] = ACTIONS(2143),
    [sym__automatic_semicolon] = ACTIONS(2145),
    [sym__ternary_qmark] = ACTIONS(2145),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_comment] = STATE(380),
    [ts_builtin_sym_end] = ACTIONS(2261),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_as] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_else] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_in] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_GT] = ACTIONS(2259),
    [anon_sym_DOT] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_QMARK_DOT] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_PIPE_PIPE] = ACTIONS(2259),
    [anon_sym_GT_GT] = ACTIONS(2259),
    [anon_sym_GT_GT_GT] = ACTIONS(2259),
    [anon_sym_LT_LT] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2259),
    [anon_sym_PIPE] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_PERCENT] = ACTIONS(2259),
    [anon_sym_STAR_STAR] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_LT_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2259),
    [anon_sym_GT_EQ] = ACTIONS(2259),
    [anon_sym_QMARK_QMARK] = ACTIONS(2259),
    [anon_sym_instanceof] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_satisfies] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(2261),
    [sym__ternary_qmark] = ACTIONS(2261),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_comment] = STATE(381),
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2225),
    [anon_sym_export] = ACTIONS(2225),
    [anon_sym_STAR] = ACTIONS(2227),
    [anon_sym_type] = ACTIONS(2225),
    [anon_sym_as] = ACTIONS(2227),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_COMMA] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(2225),
    [anon_sym_import] = ACTIONS(2225),
    [anon_sym_with] = ACTIONS(2225),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2225),
    [anon_sym_const] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_else] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_in] = ACTIONS(2227),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_debugger] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_yield] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LTtemplate_GT] = ACTIONS(2225),
    [anon_sym_GT] = ACTIONS(2227),
    [anon_sym_DOT] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2225),
    [anon_sym_SQUOTE] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_QMARK_DOT] = ACTIONS(2227),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_using] = ACTIONS(2225),
    [anon_sym_AMP_AMP] = ACTIONS(2227),
    [anon_sym_PIPE_PIPE] = ACTIONS(2227),
    [anon_sym_GT_GT] = ACTIONS(2227),
    [anon_sym_GT_GT_GT] = ACTIONS(2227),
    [anon_sym_LT_LT] = ACTIONS(2227),
    [anon_sym_AMP] = ACTIONS(2227),
    [anon_sym_CARET] = ACTIONS(2227),
    [anon_sym_PIPE] = ACTIONS(2227),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_SLASH] = ACTIONS(2225),
    [anon_sym_PERCENT] = ACTIONS(2227),
    [anon_sym_STAR_STAR] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2225),
    [anon_sym_LT_EQ] = ACTIONS(2227),
    [anon_sym_EQ_EQ] = ACTIONS(2227),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2227),
    [anon_sym_BANG_EQ] = ACTIONS(2227),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2227),
    [anon_sym_GT_EQ] = ACTIONS(2227),
    [anon_sym_QMARK_QMARK] = ACTIONS(2227),
    [anon_sym_instanceof] = ACTIONS(2227),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_void] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_number] = ACTIONS(2225),
    [sym_private_property_identifier] = ACTIONS(2225),
    [sym_this] = ACTIONS(2225),
    [sym_super] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_undefined] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_static] = ACTIONS(2225),
    [anon_sym_readonly] = ACTIONS(2225),
    [anon_sym_get] = ACTIONS(2225),
    [anon_sym_set] = ACTIONS(2225),
    [anon_sym_declare] = ACTIONS(2225),
    [anon_sym_public] = ACTIONS(2225),
    [anon_sym_private] = ACTIONS(2225),
    [anon_sym_protected] = ACTIONS(2225),
    [anon_sym_override] = ACTIONS(2225),
    [anon_sym_module] = ACTIONS(2225),
    [anon_sym_any] = ACTIONS(2225),
    [anon_sym_number] = ACTIONS(2225),
    [anon_sym_boolean] = ACTIONS(2225),
    [anon_sym_string] = ACTIONS(2225),
    [anon_sym_symbol] = ACTIONS(2225),
    [anon_sym_object] = ACTIONS(2225),
    [anon_sym_abstract] = ACTIONS(2225),
    [anon_sym_satisfies] = ACTIONS(2227),
    [anon_sym_interface] = ACTIONS(2225),
    [anon_sym_enum] = ACTIONS(2225),
    [sym__automatic_semicolon] = ACTIONS(2343),
    [sym__ternary_qmark] = ACTIONS(2231),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_comment] = STATE(382),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_as] = ACTIONS(2129),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_COMMA] = ACTIONS(2129),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2129),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_GT] = ACTIONS(2129),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_QMARK_DOT] = ACTIONS(2129),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_AMP_AMP] = ACTIONS(2129),
    [anon_sym_PIPE_PIPE] = ACTIONS(2129),
    [anon_sym_GT_GT] = ACTIONS(2129),
    [anon_sym_GT_GT_GT] = ACTIONS(2129),
    [anon_sym_LT_LT] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2129),
    [anon_sym_CARET] = ACTIONS(2129),
    [anon_sym_PIPE] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_PERCENT] = ACTIONS(2129),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_LT_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2129),
    [anon_sym_GT_EQ] = ACTIONS(2129),
    [anon_sym_QMARK_QMARK] = ACTIONS(2129),
    [anon_sym_instanceof] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_satisfies] = ACTIONS(2129),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2345),
    [sym__ternary_qmark] = ACTIONS(2133),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_comment] = STATE(383),
    [ts_builtin_sym_end] = ACTIONS(2347),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_STAR] = ACTIONS(2157),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_as] = ACTIONS(2157),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_COMMA] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_in] = ACTIONS(2157),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_GT] = ACTIONS(2157),
    [anon_sym_DOT] = ACTIONS(2157),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_QMARK_DOT] = ACTIONS(2157),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_AMP_AMP] = ACTIONS(2157),
    [anon_sym_PIPE_PIPE] = ACTIONS(2157),
    [anon_sym_GT_GT] = ACTIONS(2157),
    [anon_sym_GT_GT_GT] = ACTIONS(2157),
    [anon_sym_LT_LT] = ACTIONS(2157),
    [anon_sym_AMP] = ACTIONS(2157),
    [anon_sym_CARET] = ACTIONS(2157),
    [anon_sym_PIPE] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_PERCENT] = ACTIONS(2157),
    [anon_sym_STAR_STAR] = ACTIONS(2157),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_LT_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2157),
    [anon_sym_GT_EQ] = ACTIONS(2157),
    [anon_sym_QMARK_QMARK] = ACTIONS(2157),
    [anon_sym_instanceof] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_satisfies] = ACTIONS(2157),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2349),
    [sym__ternary_qmark] = ACTIONS(2161),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(384),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5445),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_override_modifier] = STATE(430),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2351),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_statement_block] = STATE(443),
    [sym_comment] = STATE(385),
    [ts_builtin_sym_end] = ACTIONS(2073),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2353),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2073),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_comment] = STATE(386),
    [ts_builtin_sym_end] = ACTIONS(2357),
    [sym_identifier] = ACTIONS(2235),
    [anon_sym_export] = ACTIONS(2235),
    [anon_sym_STAR] = ACTIONS(2237),
    [anon_sym_type] = ACTIONS(2235),
    [anon_sym_as] = ACTIONS(2237),
    [anon_sym_namespace] = ACTIONS(2235),
    [anon_sym_LBRACE] = ACTIONS(2235),
    [anon_sym_COMMA] = ACTIONS(2237),
    [anon_sym_RBRACE] = ACTIONS(2235),
    [anon_sym_typeof] = ACTIONS(2235),
    [anon_sym_import] = ACTIONS(2235),
    [anon_sym_with] = ACTIONS(2235),
    [anon_sym_var] = ACTIONS(2235),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_else] = ACTIONS(2235),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_switch] = ACTIONS(2235),
    [anon_sym_for] = ACTIONS(2235),
    [anon_sym_LPAREN] = ACTIONS(2235),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_in] = ACTIONS(2237),
    [anon_sym_while] = ACTIONS(2235),
    [anon_sym_do] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_break] = ACTIONS(2235),
    [anon_sym_continue] = ACTIONS(2235),
    [anon_sym_debugger] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_throw] = ACTIONS(2235),
    [anon_sym_SEMI] = ACTIONS(2235),
    [anon_sym_yield] = ACTIONS(2235),
    [anon_sym_LBRACK] = ACTIONS(2235),
    [anon_sym_LTtemplate_GT] = ACTIONS(2235),
    [anon_sym_GT] = ACTIONS(2237),
    [anon_sym_DOT] = ACTIONS(2237),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_SQUOTE] = ACTIONS(2235),
    [anon_sym_class] = ACTIONS(2235),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_function] = ACTIONS(2235),
    [anon_sym_QMARK_DOT] = ACTIONS(2237),
    [anon_sym_new] = ACTIONS(2235),
    [anon_sym_using] = ACTIONS(2235),
    [anon_sym_AMP_AMP] = ACTIONS(2237),
    [anon_sym_PIPE_PIPE] = ACTIONS(2237),
    [anon_sym_GT_GT] = ACTIONS(2237),
    [anon_sym_GT_GT_GT] = ACTIONS(2237),
    [anon_sym_LT_LT] = ACTIONS(2237),
    [anon_sym_AMP] = ACTIONS(2237),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PIPE] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_SLASH] = ACTIONS(2235),
    [anon_sym_PERCENT] = ACTIONS(2237),
    [anon_sym_STAR_STAR] = ACTIONS(2237),
    [anon_sym_LT] = ACTIONS(2235),
    [anon_sym_LT_EQ] = ACTIONS(2237),
    [anon_sym_EQ_EQ] = ACTIONS(2237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2237),
    [anon_sym_BANG_EQ] = ACTIONS(2237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2237),
    [anon_sym_GT_EQ] = ACTIONS(2237),
    [anon_sym_QMARK_QMARK] = ACTIONS(2237),
    [anon_sym_instanceof] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_void] = ACTIONS(2235),
    [anon_sym_delete] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2235),
    [anon_sym_DASH_DASH] = ACTIONS(2235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2235),
    [sym_number] = ACTIONS(2235),
    [sym_private_property_identifier] = ACTIONS(2235),
    [sym_this] = ACTIONS(2235),
    [sym_super] = ACTIONS(2235),
    [sym_true] = ACTIONS(2235),
    [sym_false] = ACTIONS(2235),
    [sym_null] = ACTIONS(2235),
    [sym_undefined] = ACTIONS(2235),
    [anon_sym_AT] = ACTIONS(2235),
    [anon_sym_static] = ACTIONS(2235),
    [anon_sym_readonly] = ACTIONS(2235),
    [anon_sym_get] = ACTIONS(2235),
    [anon_sym_set] = ACTIONS(2235),
    [anon_sym_declare] = ACTIONS(2235),
    [anon_sym_public] = ACTIONS(2235),
    [anon_sym_private] = ACTIONS(2235),
    [anon_sym_protected] = ACTIONS(2235),
    [anon_sym_override] = ACTIONS(2235),
    [anon_sym_module] = ACTIONS(2235),
    [anon_sym_any] = ACTIONS(2235),
    [anon_sym_number] = ACTIONS(2235),
    [anon_sym_boolean] = ACTIONS(2235),
    [anon_sym_string] = ACTIONS(2235),
    [anon_sym_symbol] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(2235),
    [anon_sym_abstract] = ACTIONS(2235),
    [anon_sym_satisfies] = ACTIONS(2237),
    [anon_sym_interface] = ACTIONS(2235),
    [anon_sym_enum] = ACTIONS(2235),
    [sym__automatic_semicolon] = ACTIONS(2359),
    [sym__ternary_qmark] = ACTIONS(2241),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_comment] = STATE(387),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_case] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2361),
    [sym__ternary_qmark] = ACTIONS(2123),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_statement_block] = STATE(443),
    [sym_comment] = STATE(388),
    [ts_builtin_sym_end] = ACTIONS(2073),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2353),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2363),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2073),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_statement_block] = STATE(443),
    [sym_comment] = STATE(389),
    [ts_builtin_sym_end] = ACTIONS(2073),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2353),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2073),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_comment] = STATE(390),
    [sym_identifier] = ACTIONS(2097),
    [anon_sym_export] = ACTIONS(2097),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_default] = ACTIONS(2097),
    [anon_sym_type] = ACTIONS(2097),
    [anon_sym_as] = ACTIONS(2099),
    [anon_sym_namespace] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_RBRACE] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(2097),
    [anon_sym_import] = ACTIONS(2097),
    [anon_sym_with] = ACTIONS(2097),
    [anon_sym_var] = ACTIONS(2097),
    [anon_sym_let] = ACTIONS(2097),
    [anon_sym_const] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2097),
    [anon_sym_switch] = ACTIONS(2097),
    [anon_sym_for] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2097),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_in] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(2097),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_try] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_debugger] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_throw] = ACTIONS(2097),
    [anon_sym_SEMI] = ACTIONS(2097),
    [anon_sym_case] = ACTIONS(2097),
    [anon_sym_yield] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2097),
    [anon_sym_LTtemplate_GT] = ACTIONS(2097),
    [anon_sym_GT] = ACTIONS(2099),
    [anon_sym_DOT] = ACTIONS(2099),
    [anon_sym_DQUOTE] = ACTIONS(2097),
    [anon_sym_SQUOTE] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_function] = ACTIONS(2097),
    [anon_sym_QMARK_DOT] = ACTIONS(2099),
    [anon_sym_new] = ACTIONS(2097),
    [anon_sym_using] = ACTIONS(2097),
    [anon_sym_AMP_AMP] = ACTIONS(2099),
    [anon_sym_PIPE_PIPE] = ACTIONS(2099),
    [anon_sym_GT_GT] = ACTIONS(2099),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2099),
    [anon_sym_CARET] = ACTIONS(2099),
    [anon_sym_PIPE] = ACTIONS(2099),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_SLASH] = ACTIONS(2097),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_STAR_STAR] = ACTIONS(2099),
    [anon_sym_LT] = ACTIONS(2097),
    [anon_sym_LT_EQ] = ACTIONS(2099),
    [anon_sym_EQ_EQ] = ACTIONS(2099),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2099),
    [anon_sym_BANG_EQ] = ACTIONS(2099),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2099),
    [anon_sym_GT_EQ] = ACTIONS(2099),
    [anon_sym_QMARK_QMARK] = ACTIONS(2099),
    [anon_sym_instanceof] = ACTIONS(2099),
    [anon_sym_TILDE] = ACTIONS(2097),
    [anon_sym_void] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2097),
    [anon_sym_DASH_DASH] = ACTIONS(2097),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2097),
    [sym_number] = ACTIONS(2097),
    [sym_private_property_identifier] = ACTIONS(2097),
    [sym_this] = ACTIONS(2097),
    [sym_super] = ACTIONS(2097),
    [sym_true] = ACTIONS(2097),
    [sym_false] = ACTIONS(2097),
    [sym_null] = ACTIONS(2097),
    [sym_undefined] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2097),
    [anon_sym_static] = ACTIONS(2097),
    [anon_sym_readonly] = ACTIONS(2097),
    [anon_sym_get] = ACTIONS(2097),
    [anon_sym_set] = ACTIONS(2097),
    [anon_sym_declare] = ACTIONS(2097),
    [anon_sym_public] = ACTIONS(2097),
    [anon_sym_private] = ACTIONS(2097),
    [anon_sym_protected] = ACTIONS(2097),
    [anon_sym_override] = ACTIONS(2097),
    [anon_sym_module] = ACTIONS(2097),
    [anon_sym_any] = ACTIONS(2097),
    [anon_sym_number] = ACTIONS(2097),
    [anon_sym_boolean] = ACTIONS(2097),
    [anon_sym_string] = ACTIONS(2097),
    [anon_sym_symbol] = ACTIONS(2097),
    [anon_sym_object] = ACTIONS(2097),
    [anon_sym_abstract] = ACTIONS(2097),
    [anon_sym_satisfies] = ACTIONS(2099),
    [anon_sym_interface] = ACTIONS(2097),
    [anon_sym_enum] = ACTIONS(2097),
    [sym__automatic_semicolon] = ACTIONS(2365),
    [sym__ternary_qmark] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_comment] = STATE(391),
    [sym_identifier] = ACTIONS(2171),
    [anon_sym_export] = ACTIONS(2171),
    [anon_sym_STAR] = ACTIONS(2173),
    [anon_sym_default] = ACTIONS(2171),
    [anon_sym_type] = ACTIONS(2171),
    [anon_sym_as] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_COMMA] = ACTIONS(2173),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_typeof] = ACTIONS(2171),
    [anon_sym_import] = ACTIONS(2171),
    [anon_sym_with] = ACTIONS(2171),
    [anon_sym_var] = ACTIONS(2171),
    [anon_sym_let] = ACTIONS(2171),
    [anon_sym_const] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_if] = ACTIONS(2171),
    [anon_sym_switch] = ACTIONS(2171),
    [anon_sym_for] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2171),
    [anon_sym_in] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2171),
    [anon_sym_try] = ACTIONS(2171),
    [anon_sym_break] = ACTIONS(2171),
    [anon_sym_continue] = ACTIONS(2171),
    [anon_sym_debugger] = ACTIONS(2171),
    [anon_sym_return] = ACTIONS(2171),
    [anon_sym_throw] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_case] = ACTIONS(2171),
    [anon_sym_yield] = ACTIONS(2171),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LTtemplate_GT] = ACTIONS(2171),
    [anon_sym_GT] = ACTIONS(2173),
    [anon_sym_DOT] = ACTIONS(2173),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2171),
    [anon_sym_async] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2171),
    [anon_sym_QMARK_DOT] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2171),
    [anon_sym_using] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(2173),
    [anon_sym_PIPE_PIPE] = ACTIONS(2173),
    [anon_sym_GT_GT] = ACTIONS(2173),
    [anon_sym_GT_GT_GT] = ACTIONS(2173),
    [anon_sym_LT_LT] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_PIPE] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_PERCENT] = ACTIONS(2173),
    [anon_sym_STAR_STAR] = ACTIONS(2173),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_LT_EQ] = ACTIONS(2173),
    [anon_sym_EQ_EQ] = ACTIONS(2173),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2173),
    [anon_sym_BANG_EQ] = ACTIONS(2173),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2173),
    [anon_sym_GT_EQ] = ACTIONS(2173),
    [anon_sym_QMARK_QMARK] = ACTIONS(2173),
    [anon_sym_instanceof] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_void] = ACTIONS(2171),
    [anon_sym_delete] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [sym_private_property_identifier] = ACTIONS(2171),
    [sym_this] = ACTIONS(2171),
    [sym_super] = ACTIONS(2171),
    [sym_true] = ACTIONS(2171),
    [sym_false] = ACTIONS(2171),
    [sym_null] = ACTIONS(2171),
    [sym_undefined] = ACTIONS(2171),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2171),
    [anon_sym_readonly] = ACTIONS(2171),
    [anon_sym_get] = ACTIONS(2171),
    [anon_sym_set] = ACTIONS(2171),
    [anon_sym_declare] = ACTIONS(2171),
    [anon_sym_public] = ACTIONS(2171),
    [anon_sym_private] = ACTIONS(2171),
    [anon_sym_protected] = ACTIONS(2171),
    [anon_sym_override] = ACTIONS(2171),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_any] = ACTIONS(2171),
    [anon_sym_number] = ACTIONS(2171),
    [anon_sym_boolean] = ACTIONS(2171),
    [anon_sym_string] = ACTIONS(2171),
    [anon_sym_symbol] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(2171),
    [anon_sym_abstract] = ACTIONS(2171),
    [anon_sym_satisfies] = ACTIONS(2173),
    [anon_sym_interface] = ACTIONS(2171),
    [anon_sym_enum] = ACTIONS(2171),
    [sym__automatic_semicolon] = ACTIONS(2175),
    [sym__ternary_qmark] = ACTIONS(2175),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_comment] = STATE(392),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_EQ] = ACTIONS(2059),
    [anon_sym_as] = ACTIONS(2057),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_COMMA] = ACTIONS(2057),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2057),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2057),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2057),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2057),
    [anon_sym_PIPE_PIPE] = ACTIONS(2057),
    [anon_sym_GT_GT] = ACTIONS(2057),
    [anon_sym_GT_GT_GT] = ACTIONS(2057),
    [anon_sym_LT_LT] = ACTIONS(2057),
    [anon_sym_AMP] = ACTIONS(2057),
    [anon_sym_CARET] = ACTIONS(2057),
    [anon_sym_PIPE] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2057),
    [anon_sym_STAR_STAR] = ACTIONS(2057),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2057),
    [anon_sym_EQ_EQ] = ACTIONS(2057),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2057),
    [anon_sym_BANG_EQ] = ACTIONS(2057),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2057),
    [anon_sym_GT_EQ] = ACTIONS(2057),
    [anon_sym_QMARK_QMARK] = ACTIONS(2057),
    [anon_sym_instanceof] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2057),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2367),
    [sym__ternary_qmark] = ACTIONS(2063),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_comment] = STATE(393),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_STAR] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_as] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_COMMA] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_in] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_GT] = ACTIONS(2105),
    [anon_sym_DOT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_QMARK_DOT] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2105),
    [anon_sym_PIPE_PIPE] = ACTIONS(2105),
    [anon_sym_GT_GT] = ACTIONS(2105),
    [anon_sym_GT_GT_GT] = ACTIONS(2105),
    [anon_sym_LT_LT] = ACTIONS(2105),
    [anon_sym_AMP] = ACTIONS(2105),
    [anon_sym_CARET] = ACTIONS(2105),
    [anon_sym_PIPE] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_PERCENT] = ACTIONS(2105),
    [anon_sym_STAR_STAR] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_LT_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2105),
    [anon_sym_GT_EQ] = ACTIONS(2105),
    [anon_sym_QMARK_QMARK] = ACTIONS(2105),
    [anon_sym_instanceof] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_satisfies] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym__automatic_semicolon] = ACTIONS(2107),
    [sym__ternary_qmark] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_import] = STATE(4305),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3142),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(394),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym__type_query_member_expression] = STATE(3737),
    [sym__type_query_subscript_expression] = STATE(3736),
    [sym__type_query_call_expression] = STATE(3791),
    [sym__type_query_instantiation_expression] = STATE(3828),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_import] = STATE(4433),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(395),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym__type_query_member_expression] = STATE(3802),
    [sym__type_query_subscript_expression] = STATE(3810),
    [sym__type_query_call_expression] = STATE(3976),
    [sym__type_query_instantiation_expression] = STATE(4164),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2371),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_comment] = STATE(396),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_STAR] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_as] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_COMMA] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_in] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_GT] = ACTIONS(2091),
    [anon_sym_DOT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_QMARK_DOT] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_AMP_AMP] = ACTIONS(2091),
    [anon_sym_PIPE_PIPE] = ACTIONS(2091),
    [anon_sym_GT_GT] = ACTIONS(2091),
    [anon_sym_GT_GT_GT] = ACTIONS(2091),
    [anon_sym_LT_LT] = ACTIONS(2091),
    [anon_sym_AMP] = ACTIONS(2091),
    [anon_sym_CARET] = ACTIONS(2091),
    [anon_sym_PIPE] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_PERCENT] = ACTIONS(2091),
    [anon_sym_STAR_STAR] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_LT_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2091),
    [anon_sym_GT_EQ] = ACTIONS(2091),
    [anon_sym_QMARK_QMARK] = ACTIONS(2091),
    [anon_sym_instanceof] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_satisfies] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(2093),
    [sym__ternary_qmark] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_import] = STATE(4231),
    [sym_expression_statement] = STATE(464),
    [sym_empty_statement] = STATE(464),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2710),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7148),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(397),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2022),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_comment] = STATE(398),
    [sym_identifier] = ACTIONS(2143),
    [anon_sym_export] = ACTIONS(2143),
    [anon_sym_STAR] = ACTIONS(2143),
    [anon_sym_default] = ACTIONS(2143),
    [anon_sym_type] = ACTIONS(2143),
    [anon_sym_as] = ACTIONS(2143),
    [anon_sym_namespace] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(2143),
    [anon_sym_COMMA] = ACTIONS(2143),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [anon_sym_typeof] = ACTIONS(2143),
    [anon_sym_import] = ACTIONS(2143),
    [anon_sym_with] = ACTIONS(2143),
    [anon_sym_var] = ACTIONS(2143),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(2143),
    [anon_sym_BANG] = ACTIONS(2143),
    [anon_sym_if] = ACTIONS(2143),
    [anon_sym_switch] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2143),
    [anon_sym_LPAREN] = ACTIONS(2143),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_in] = ACTIONS(2143),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2143),
    [anon_sym_try] = ACTIONS(2143),
    [anon_sym_break] = ACTIONS(2143),
    [anon_sym_continue] = ACTIONS(2143),
    [anon_sym_debugger] = ACTIONS(2143),
    [anon_sym_return] = ACTIONS(2143),
    [anon_sym_throw] = ACTIONS(2143),
    [anon_sym_SEMI] = ACTIONS(2143),
    [anon_sym_case] = ACTIONS(2143),
    [anon_sym_yield] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(2143),
    [anon_sym_GT] = ACTIONS(2143),
    [anon_sym_DOT] = ACTIONS(2143),
    [anon_sym_DQUOTE] = ACTIONS(2143),
    [anon_sym_SQUOTE] = ACTIONS(2143),
    [anon_sym_class] = ACTIONS(2143),
    [anon_sym_async] = ACTIONS(2143),
    [anon_sym_function] = ACTIONS(2143),
    [anon_sym_QMARK_DOT] = ACTIONS(2143),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_using] = ACTIONS(2143),
    [anon_sym_AMP_AMP] = ACTIONS(2143),
    [anon_sym_PIPE_PIPE] = ACTIONS(2143),
    [anon_sym_GT_GT] = ACTIONS(2143),
    [anon_sym_GT_GT_GT] = ACTIONS(2143),
    [anon_sym_LT_LT] = ACTIONS(2143),
    [anon_sym_AMP] = ACTIONS(2143),
    [anon_sym_CARET] = ACTIONS(2143),
    [anon_sym_PIPE] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(2143),
    [anon_sym_DASH] = ACTIONS(2143),
    [anon_sym_SLASH] = ACTIONS(2143),
    [anon_sym_PERCENT] = ACTIONS(2143),
    [anon_sym_STAR_STAR] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2143),
    [anon_sym_LT_EQ] = ACTIONS(2143),
    [anon_sym_EQ_EQ] = ACTIONS(2143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2143),
    [anon_sym_GT_EQ] = ACTIONS(2143),
    [anon_sym_QMARK_QMARK] = ACTIONS(2143),
    [anon_sym_instanceof] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(2143),
    [anon_sym_void] = ACTIONS(2143),
    [anon_sym_delete] = ACTIONS(2143),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2143),
    [sym_number] = ACTIONS(2143),
    [sym_private_property_identifier] = ACTIONS(2143),
    [sym_this] = ACTIONS(2143),
    [sym_super] = ACTIONS(2143),
    [sym_true] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
    [sym_null] = ACTIONS(2143),
    [sym_undefined] = ACTIONS(2143),
    [anon_sym_AT] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2143),
    [anon_sym_readonly] = ACTIONS(2143),
    [anon_sym_get] = ACTIONS(2143),
    [anon_sym_set] = ACTIONS(2143),
    [anon_sym_declare] = ACTIONS(2143),
    [anon_sym_public] = ACTIONS(2143),
    [anon_sym_private] = ACTIONS(2143),
    [anon_sym_protected] = ACTIONS(2143),
    [anon_sym_override] = ACTIONS(2143),
    [anon_sym_module] = ACTIONS(2143),
    [anon_sym_any] = ACTIONS(2143),
    [anon_sym_number] = ACTIONS(2143),
    [anon_sym_boolean] = ACTIONS(2143),
    [anon_sym_string] = ACTIONS(2143),
    [anon_sym_symbol] = ACTIONS(2143),
    [anon_sym_object] = ACTIONS(2143),
    [anon_sym_abstract] = ACTIONS(2143),
    [anon_sym_satisfies] = ACTIONS(2143),
    [anon_sym_interface] = ACTIONS(2143),
    [anon_sym_enum] = ACTIONS(2143),
    [sym__automatic_semicolon] = ACTIONS(2145),
    [sym__ternary_qmark] = ACTIONS(2145),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2789),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_spread_element] = STATE(7234),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7234),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(399),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(2373),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_comment] = STATE(400),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_STAR] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_as] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_COMMA] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_in] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_GT] = ACTIONS(2091),
    [anon_sym_DOT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_QMARK_DOT] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_AMP_AMP] = ACTIONS(2091),
    [anon_sym_PIPE_PIPE] = ACTIONS(2091),
    [anon_sym_GT_GT] = ACTIONS(2091),
    [anon_sym_GT_GT_GT] = ACTIONS(2091),
    [anon_sym_LT_LT] = ACTIONS(2091),
    [anon_sym_AMP] = ACTIONS(2091),
    [anon_sym_CARET] = ACTIONS(2091),
    [anon_sym_PIPE] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_PERCENT] = ACTIONS(2091),
    [anon_sym_STAR_STAR] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_LT_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2091),
    [anon_sym_GT_EQ] = ACTIONS(2091),
    [anon_sym_QMARK_QMARK] = ACTIONS(2091),
    [anon_sym_instanceof] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_satisfies] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(2375),
    [sym__ternary_qmark] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6917),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(401),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(6120),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_comment] = STATE(402),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2377),
    [sym__ternary_qmark] = ACTIONS(2079),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_comment] = STATE(403),
    [sym_identifier] = ACTIONS(2209),
    [anon_sym_export] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2209),
    [anon_sym_default] = ACTIONS(2209),
    [anon_sym_type] = ACTIONS(2209),
    [anon_sym_as] = ACTIONS(2209),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_COMMA] = ACTIONS(2209),
    [anon_sym_RBRACE] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(2209),
    [anon_sym_import] = ACTIONS(2209),
    [anon_sym_with] = ACTIONS(2209),
    [anon_sym_var] = ACTIONS(2209),
    [anon_sym_let] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_in] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_debugger] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2209),
    [anon_sym_case] = ACTIONS(2209),
    [anon_sym_yield] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(2209),
    [anon_sym_GT] = ACTIONS(2209),
    [anon_sym_DOT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [anon_sym_SQUOTE] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2209),
    [anon_sym_QMARK_DOT] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(2209),
    [anon_sym_AMP_AMP] = ACTIONS(2209),
    [anon_sym_PIPE_PIPE] = ACTIONS(2209),
    [anon_sym_GT_GT] = ACTIONS(2209),
    [anon_sym_GT_GT_GT] = ACTIONS(2209),
    [anon_sym_LT_LT] = ACTIONS(2209),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_CARET] = ACTIONS(2209),
    [anon_sym_PIPE] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_SLASH] = ACTIONS(2209),
    [anon_sym_PERCENT] = ACTIONS(2209),
    [anon_sym_STAR_STAR] = ACTIONS(2209),
    [anon_sym_LT] = ACTIONS(2209),
    [anon_sym_LT_EQ] = ACTIONS(2209),
    [anon_sym_EQ_EQ] = ACTIONS(2209),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2209),
    [anon_sym_BANG_EQ] = ACTIONS(2209),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2209),
    [anon_sym_GT_EQ] = ACTIONS(2209),
    [anon_sym_QMARK_QMARK] = ACTIONS(2209),
    [anon_sym_instanceof] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_void] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2209),
    [sym_number] = ACTIONS(2209),
    [sym_private_property_identifier] = ACTIONS(2209),
    [sym_this] = ACTIONS(2209),
    [sym_super] = ACTIONS(2209),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [sym_null] = ACTIONS(2209),
    [sym_undefined] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_readonly] = ACTIONS(2209),
    [anon_sym_get] = ACTIONS(2209),
    [anon_sym_set] = ACTIONS(2209),
    [anon_sym_declare] = ACTIONS(2209),
    [anon_sym_public] = ACTIONS(2209),
    [anon_sym_private] = ACTIONS(2209),
    [anon_sym_protected] = ACTIONS(2209),
    [anon_sym_override] = ACTIONS(2209),
    [anon_sym_module] = ACTIONS(2209),
    [anon_sym_any] = ACTIONS(2209),
    [anon_sym_number] = ACTIONS(2209),
    [anon_sym_boolean] = ACTIONS(2209),
    [anon_sym_string] = ACTIONS(2209),
    [anon_sym_symbol] = ACTIONS(2209),
    [anon_sym_object] = ACTIONS(2209),
    [anon_sym_abstract] = ACTIONS(2209),
    [anon_sym_satisfies] = ACTIONS(2209),
    [anon_sym_interface] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [sym__automatic_semicolon] = ACTIONS(2211),
    [sym__ternary_qmark] = ACTIONS(2211),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_import] = STATE(4373),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3401),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(404),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym__type_query_member_expression] = STATE(3737),
    [sym__type_query_subscript_expression] = STATE(3736),
    [sym__type_query_call_expression] = STATE(3791),
    [sym__type_query_instantiation_expression] = STATE(3828),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2379),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(405),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5113),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_override_modifier] = STATE(433),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(2381),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2383),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_import] = STATE(4373),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3401),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(406),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym__type_query_member_expression] = STATE(3737),
    [sym__type_query_subscript_expression] = STATE(3736),
    [sym__type_query_call_expression] = STATE(3791),
    [sym__type_query_instantiation_expression] = STATE(3828),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_comment] = STATE(407),
    [ts_builtin_sym_end] = ACTIONS(2207),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_as] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_COMMA] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_GT] = ACTIONS(2205),
    [anon_sym_DOT] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_QMARK_DOT] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_AMP_AMP] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE] = ACTIONS(2205),
    [anon_sym_GT_GT] = ACTIONS(2205),
    [anon_sym_GT_GT_GT] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_PIPE] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_PERCENT] = ACTIONS(2205),
    [anon_sym_STAR_STAR] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2205),
    [anon_sym_BANG_EQ] = ACTIONS(2205),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2205),
    [anon_sym_GT_EQ] = ACTIONS(2205),
    [anon_sym_QMARK_QMARK] = ACTIONS(2205),
    [anon_sym_instanceof] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_satisfies] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2207),
    [sym__ternary_qmark] = ACTIONS(2207),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_comment] = STATE(408),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_STAR] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_as] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_COMMA] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_in] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_GT] = ACTIONS(2091),
    [anon_sym_DOT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_QMARK_DOT] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_AMP_AMP] = ACTIONS(2091),
    [anon_sym_PIPE_PIPE] = ACTIONS(2091),
    [anon_sym_GT_GT] = ACTIONS(2091),
    [anon_sym_GT_GT_GT] = ACTIONS(2091),
    [anon_sym_LT_LT] = ACTIONS(2091),
    [anon_sym_AMP] = ACTIONS(2091),
    [anon_sym_CARET] = ACTIONS(2091),
    [anon_sym_PIPE] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_PERCENT] = ACTIONS(2091),
    [anon_sym_STAR_STAR] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_LT_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2091),
    [anon_sym_GT_EQ] = ACTIONS(2091),
    [anon_sym_QMARK_QMARK] = ACTIONS(2091),
    [anon_sym_instanceof] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_satisfies] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(2093),
    [sym__ternary_qmark] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_comment] = STATE(409),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_export] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_default] = ACTIONS(2215),
    [anon_sym_type] = ACTIONS(2215),
    [anon_sym_as] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_COMMA] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2215),
    [anon_sym_typeof] = ACTIONS(2215),
    [anon_sym_import] = ACTIONS(2215),
    [anon_sym_with] = ACTIONS(2215),
    [anon_sym_var] = ACTIONS(2215),
    [anon_sym_let] = ACTIONS(2215),
    [anon_sym_const] = ACTIONS(2215),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_if] = ACTIONS(2215),
    [anon_sym_switch] = ACTIONS(2215),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_LPAREN] = ACTIONS(2215),
    [anon_sym_await] = ACTIONS(2215),
    [anon_sym_in] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2215),
    [anon_sym_do] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2215),
    [anon_sym_break] = ACTIONS(2215),
    [anon_sym_continue] = ACTIONS(2215),
    [anon_sym_debugger] = ACTIONS(2215),
    [anon_sym_return] = ACTIONS(2215),
    [anon_sym_throw] = ACTIONS(2215),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym_case] = ACTIONS(2215),
    [anon_sym_yield] = ACTIONS(2215),
    [anon_sym_LBRACK] = ACTIONS(2215),
    [anon_sym_LTtemplate_GT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2215),
    [anon_sym_SQUOTE] = ACTIONS(2215),
    [anon_sym_class] = ACTIONS(2215),
    [anon_sym_async] = ACTIONS(2215),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_QMARK_DOT] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_using] = ACTIONS(2215),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2215),
    [anon_sym_GT_GT] = ACTIONS(2215),
    [anon_sym_GT_GT_GT] = ACTIONS(2215),
    [anon_sym_LT_LT] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2215),
    [anon_sym_CARET] = ACTIONS(2215),
    [anon_sym_PIPE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_QMARK_QMARK] = ACTIONS(2215),
    [anon_sym_instanceof] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_void] = ACTIONS(2215),
    [anon_sym_delete] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2215),
    [sym_number] = ACTIONS(2215),
    [sym_private_property_identifier] = ACTIONS(2215),
    [sym_this] = ACTIONS(2215),
    [sym_super] = ACTIONS(2215),
    [sym_true] = ACTIONS(2215),
    [sym_false] = ACTIONS(2215),
    [sym_null] = ACTIONS(2215),
    [sym_undefined] = ACTIONS(2215),
    [anon_sym_AT] = ACTIONS(2215),
    [anon_sym_static] = ACTIONS(2215),
    [anon_sym_readonly] = ACTIONS(2215),
    [anon_sym_get] = ACTIONS(2215),
    [anon_sym_set] = ACTIONS(2215),
    [anon_sym_declare] = ACTIONS(2215),
    [anon_sym_public] = ACTIONS(2215),
    [anon_sym_private] = ACTIONS(2215),
    [anon_sym_protected] = ACTIONS(2215),
    [anon_sym_override] = ACTIONS(2215),
    [anon_sym_module] = ACTIONS(2215),
    [anon_sym_any] = ACTIONS(2215),
    [anon_sym_number] = ACTIONS(2215),
    [anon_sym_boolean] = ACTIONS(2215),
    [anon_sym_string] = ACTIONS(2215),
    [anon_sym_symbol] = ACTIONS(2215),
    [anon_sym_object] = ACTIONS(2215),
    [anon_sym_abstract] = ACTIONS(2215),
    [anon_sym_satisfies] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2215),
    [anon_sym_enum] = ACTIONS(2215),
    [sym__automatic_semicolon] = ACTIONS(2217),
    [sym__ternary_qmark] = ACTIONS(2217),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_import] = STATE(4349),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2598),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(410),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym__type_query_member_expression] = STATE(3737),
    [sym__type_query_subscript_expression] = STATE(3736),
    [sym__type_query_call_expression] = STATE(3791),
    [sym__type_query_instantiation_expression] = STATE(3828),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_comment] = STATE(411),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_STAR] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_as] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_COMMA] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_in] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_GT] = ACTIONS(2081),
    [anon_sym_DOT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_QMARK_DOT] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_AMP_AMP] = ACTIONS(2081),
    [anon_sym_PIPE_PIPE] = ACTIONS(2081),
    [anon_sym_GT_GT] = ACTIONS(2081),
    [anon_sym_GT_GT_GT] = ACTIONS(2081),
    [anon_sym_LT_LT] = ACTIONS(2081),
    [anon_sym_AMP] = ACTIONS(2081),
    [anon_sym_CARET] = ACTIONS(2081),
    [anon_sym_PIPE] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_PERCENT] = ACTIONS(2081),
    [anon_sym_STAR_STAR] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_LT_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2081),
    [anon_sym_GT_EQ] = ACTIONS(2081),
    [anon_sym_QMARK_QMARK] = ACTIONS(2081),
    [anon_sym_instanceof] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_satisfies] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym__automatic_semicolon] = ACTIONS(2083),
    [sym__ternary_qmark] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_comment] = STATE(412),
    [sym_identifier] = ACTIONS(2219),
    [anon_sym_export] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(2219),
    [anon_sym_default] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2219),
    [anon_sym_as] = ACTIONS(2219),
    [anon_sym_namespace] = ACTIONS(2219),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [anon_sym_typeof] = ACTIONS(2219),
    [anon_sym_import] = ACTIONS(2219),
    [anon_sym_with] = ACTIONS(2219),
    [anon_sym_var] = ACTIONS(2219),
    [anon_sym_let] = ACTIONS(2219),
    [anon_sym_const] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(2219),
    [anon_sym_switch] = ACTIONS(2219),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_LPAREN] = ACTIONS(2219),
    [anon_sym_await] = ACTIONS(2219),
    [anon_sym_in] = ACTIONS(2219),
    [anon_sym_while] = ACTIONS(2219),
    [anon_sym_do] = ACTIONS(2219),
    [anon_sym_try] = ACTIONS(2219),
    [anon_sym_break] = ACTIONS(2219),
    [anon_sym_continue] = ACTIONS(2219),
    [anon_sym_debugger] = ACTIONS(2219),
    [anon_sym_return] = ACTIONS(2219),
    [anon_sym_throw] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym_case] = ACTIONS(2219),
    [anon_sym_yield] = ACTIONS(2219),
    [anon_sym_LBRACK] = ACTIONS(2219),
    [anon_sym_LTtemplate_GT] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_DOT] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_class] = ACTIONS(2219),
    [anon_sym_async] = ACTIONS(2219),
    [anon_sym_function] = ACTIONS(2219),
    [anon_sym_QMARK_DOT] = ACTIONS(2219),
    [anon_sym_new] = ACTIONS(2219),
    [anon_sym_using] = ACTIONS(2219),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_PIPE_PIPE] = ACTIONS(2219),
    [anon_sym_GT_GT] = ACTIONS(2219),
    [anon_sym_GT_GT_GT] = ACTIONS(2219),
    [anon_sym_LT_LT] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_CARET] = ACTIONS(2219),
    [anon_sym_PIPE] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_SLASH] = ACTIONS(2219),
    [anon_sym_PERCENT] = ACTIONS(2219),
    [anon_sym_STAR_STAR] = ACTIONS(2219),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_EQ_EQ] = ACTIONS(2219),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2219),
    [anon_sym_BANG_EQ] = ACTIONS(2219),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2219),
    [anon_sym_QMARK_QMARK] = ACTIONS(2219),
    [anon_sym_instanceof] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_void] = ACTIONS(2219),
    [anon_sym_delete] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2219),
    [sym_number] = ACTIONS(2219),
    [sym_private_property_identifier] = ACTIONS(2219),
    [sym_this] = ACTIONS(2219),
    [sym_super] = ACTIONS(2219),
    [sym_true] = ACTIONS(2219),
    [sym_false] = ACTIONS(2219),
    [sym_null] = ACTIONS(2219),
    [sym_undefined] = ACTIONS(2219),
    [anon_sym_AT] = ACTIONS(2219),
    [anon_sym_static] = ACTIONS(2219),
    [anon_sym_readonly] = ACTIONS(2219),
    [anon_sym_get] = ACTIONS(2219),
    [anon_sym_set] = ACTIONS(2219),
    [anon_sym_declare] = ACTIONS(2219),
    [anon_sym_public] = ACTIONS(2219),
    [anon_sym_private] = ACTIONS(2219),
    [anon_sym_protected] = ACTIONS(2219),
    [anon_sym_override] = ACTIONS(2219),
    [anon_sym_module] = ACTIONS(2219),
    [anon_sym_any] = ACTIONS(2219),
    [anon_sym_number] = ACTIONS(2219),
    [anon_sym_boolean] = ACTIONS(2219),
    [anon_sym_string] = ACTIONS(2219),
    [anon_sym_symbol] = ACTIONS(2219),
    [anon_sym_object] = ACTIONS(2219),
    [anon_sym_abstract] = ACTIONS(2219),
    [anon_sym_satisfies] = ACTIONS(2219),
    [anon_sym_interface] = ACTIONS(2219),
    [anon_sym_enum] = ACTIONS(2219),
    [sym__automatic_semicolon] = ACTIONS(2221),
    [sym__ternary_qmark] = ACTIONS(2221),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_import] = STATE(4229),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(413),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym__type_query_member_expression] = STATE(3737),
    [sym__type_query_subscript_expression] = STATE(3736),
    [sym__type_query_call_expression] = STATE(3791),
    [sym__type_query_instantiation_expression] = STATE(3828),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2389),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_comment] = STATE(414),
    [ts_builtin_sym_end] = ACTIONS(2391),
    [sym_identifier] = ACTIONS(2171),
    [anon_sym_export] = ACTIONS(2171),
    [anon_sym_STAR] = ACTIONS(2173),
    [anon_sym_type] = ACTIONS(2171),
    [anon_sym_as] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_COMMA] = ACTIONS(2173),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_typeof] = ACTIONS(2171),
    [anon_sym_import] = ACTIONS(2171),
    [anon_sym_with] = ACTIONS(2171),
    [anon_sym_var] = ACTIONS(2171),
    [anon_sym_let] = ACTIONS(2171),
    [anon_sym_const] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_else] = ACTIONS(2171),
    [anon_sym_if] = ACTIONS(2171),
    [anon_sym_switch] = ACTIONS(2171),
    [anon_sym_for] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2171),
    [anon_sym_in] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2171),
    [anon_sym_try] = ACTIONS(2171),
    [anon_sym_break] = ACTIONS(2171),
    [anon_sym_continue] = ACTIONS(2171),
    [anon_sym_debugger] = ACTIONS(2171),
    [anon_sym_return] = ACTIONS(2171),
    [anon_sym_throw] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_yield] = ACTIONS(2171),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LTtemplate_GT] = ACTIONS(2171),
    [anon_sym_GT] = ACTIONS(2173),
    [anon_sym_DOT] = ACTIONS(2173),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2171),
    [anon_sym_async] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2171),
    [anon_sym_QMARK_DOT] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2171),
    [anon_sym_using] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(2173),
    [anon_sym_PIPE_PIPE] = ACTIONS(2173),
    [anon_sym_GT_GT] = ACTIONS(2173),
    [anon_sym_GT_GT_GT] = ACTIONS(2173),
    [anon_sym_LT_LT] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_PIPE] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_PERCENT] = ACTIONS(2173),
    [anon_sym_STAR_STAR] = ACTIONS(2173),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_LT_EQ] = ACTIONS(2173),
    [anon_sym_EQ_EQ] = ACTIONS(2173),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2173),
    [anon_sym_BANG_EQ] = ACTIONS(2173),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2173),
    [anon_sym_GT_EQ] = ACTIONS(2173),
    [anon_sym_QMARK_QMARK] = ACTIONS(2173),
    [anon_sym_instanceof] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_void] = ACTIONS(2171),
    [anon_sym_delete] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [sym_private_property_identifier] = ACTIONS(2171),
    [sym_this] = ACTIONS(2171),
    [sym_super] = ACTIONS(2171),
    [sym_true] = ACTIONS(2171),
    [sym_false] = ACTIONS(2171),
    [sym_null] = ACTIONS(2171),
    [sym_undefined] = ACTIONS(2171),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2171),
    [anon_sym_readonly] = ACTIONS(2171),
    [anon_sym_get] = ACTIONS(2171),
    [anon_sym_set] = ACTIONS(2171),
    [anon_sym_declare] = ACTIONS(2171),
    [anon_sym_public] = ACTIONS(2171),
    [anon_sym_private] = ACTIONS(2171),
    [anon_sym_protected] = ACTIONS(2171),
    [anon_sym_override] = ACTIONS(2171),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_any] = ACTIONS(2171),
    [anon_sym_number] = ACTIONS(2171),
    [anon_sym_boolean] = ACTIONS(2171),
    [anon_sym_string] = ACTIONS(2171),
    [anon_sym_symbol] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(2171),
    [anon_sym_abstract] = ACTIONS(2171),
    [anon_sym_satisfies] = ACTIONS(2173),
    [anon_sym_interface] = ACTIONS(2171),
    [anon_sym_enum] = ACTIONS(2171),
    [sym__automatic_semicolon] = ACTIONS(2175),
    [sym__ternary_qmark] = ACTIONS(2175),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_import] = STATE(4349),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2581),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(415),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym__type_query_member_expression] = STATE(3737),
    [sym__type_query_subscript_expression] = STATE(3736),
    [sym__type_query_call_expression] = STATE(3791),
    [sym__type_query_instantiation_expression] = STATE(3828),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_comment] = STATE(416),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_as] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_COMMA] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_GT] = ACTIONS(2205),
    [anon_sym_DOT] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_QMARK_DOT] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_AMP_AMP] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE] = ACTIONS(2205),
    [anon_sym_GT_GT] = ACTIONS(2205),
    [anon_sym_GT_GT_GT] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_PIPE] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_PERCENT] = ACTIONS(2205),
    [anon_sym_STAR_STAR] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2205),
    [anon_sym_BANG_EQ] = ACTIONS(2205),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2205),
    [anon_sym_GT_EQ] = ACTIONS(2205),
    [anon_sym_QMARK_QMARK] = ACTIONS(2205),
    [anon_sym_instanceof] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_satisfies] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2207),
    [sym__ternary_qmark] = ACTIONS(2207),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_comment] = STATE(417),
    [ts_builtin_sym_end] = ACTIONS(2255),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2253),
    [anon_sym_STAR] = ACTIONS(2253),
    [anon_sym_type] = ACTIONS(2253),
    [anon_sym_as] = ACTIONS(2253),
    [anon_sym_namespace] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_COMMA] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_typeof] = ACTIONS(2253),
    [anon_sym_import] = ACTIONS(2253),
    [anon_sym_with] = ACTIONS(2253),
    [anon_sym_var] = ACTIONS(2253),
    [anon_sym_let] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_else] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_switch] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_in] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_debugger] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_throw] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_yield] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LTtemplate_GT] = ACTIONS(2253),
    [anon_sym_GT] = ACTIONS(2253),
    [anon_sym_DOT] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(2253),
    [anon_sym_SQUOTE] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2253),
    [anon_sym_QMARK_DOT] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2253),
    [anon_sym_using] = ACTIONS(2253),
    [anon_sym_AMP_AMP] = ACTIONS(2253),
    [anon_sym_PIPE_PIPE] = ACTIONS(2253),
    [anon_sym_GT_GT] = ACTIONS(2253),
    [anon_sym_GT_GT_GT] = ACTIONS(2253),
    [anon_sym_LT_LT] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_PIPE] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_SLASH] = ACTIONS(2253),
    [anon_sym_PERCENT] = ACTIONS(2253),
    [anon_sym_STAR_STAR] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(2253),
    [anon_sym_LT_EQ] = ACTIONS(2253),
    [anon_sym_EQ_EQ] = ACTIONS(2253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2253),
    [anon_sym_BANG_EQ] = ACTIONS(2253),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2253),
    [anon_sym_GT_EQ] = ACTIONS(2253),
    [anon_sym_QMARK_QMARK] = ACTIONS(2253),
    [anon_sym_instanceof] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_void] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [sym_private_property_identifier] = ACTIONS(2253),
    [sym_this] = ACTIONS(2253),
    [sym_super] = ACTIONS(2253),
    [sym_true] = ACTIONS(2253),
    [sym_false] = ACTIONS(2253),
    [sym_null] = ACTIONS(2253),
    [sym_undefined] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_static] = ACTIONS(2253),
    [anon_sym_readonly] = ACTIONS(2253),
    [anon_sym_get] = ACTIONS(2253),
    [anon_sym_set] = ACTIONS(2253),
    [anon_sym_declare] = ACTIONS(2253),
    [anon_sym_public] = ACTIONS(2253),
    [anon_sym_private] = ACTIONS(2253),
    [anon_sym_protected] = ACTIONS(2253),
    [anon_sym_override] = ACTIONS(2253),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_any] = ACTIONS(2253),
    [anon_sym_number] = ACTIONS(2253),
    [anon_sym_boolean] = ACTIONS(2253),
    [anon_sym_string] = ACTIONS(2253),
    [anon_sym_symbol] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2253),
    [anon_sym_satisfies] = ACTIONS(2253),
    [anon_sym_interface] = ACTIONS(2253),
    [anon_sym_enum] = ACTIONS(2253),
    [sym__automatic_semicolon] = ACTIONS(2255),
    [sym__ternary_qmark] = ACTIONS(2255),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2970),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_assignment_pattern] = STATE(6917),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2099),
    [sym_subscript_expression] = STATE(2099),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4620),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(418),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(6120),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2099),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_import] = STATE(4373),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3401),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(419),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym__type_query_member_expression] = STATE(3737),
    [sym__type_query_subscript_expression] = STATE(3736),
    [sym__type_query_call_expression] = STATE(3791),
    [sym__type_query_instantiation_expression] = STATE(3828),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2395),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_comment] = STATE(420),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2253),
    [anon_sym_STAR] = ACTIONS(2253),
    [anon_sym_default] = ACTIONS(2253),
    [anon_sym_type] = ACTIONS(2253),
    [anon_sym_as] = ACTIONS(2253),
    [anon_sym_namespace] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_COMMA] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_typeof] = ACTIONS(2253),
    [anon_sym_import] = ACTIONS(2253),
    [anon_sym_with] = ACTIONS(2253),
    [anon_sym_var] = ACTIONS(2253),
    [anon_sym_let] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_switch] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_in] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_debugger] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_throw] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_case] = ACTIONS(2253),
    [anon_sym_yield] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LTtemplate_GT] = ACTIONS(2253),
    [anon_sym_GT] = ACTIONS(2253),
    [anon_sym_DOT] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(2253),
    [anon_sym_SQUOTE] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2253),
    [anon_sym_QMARK_DOT] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2253),
    [anon_sym_using] = ACTIONS(2253),
    [anon_sym_AMP_AMP] = ACTIONS(2253),
    [anon_sym_PIPE_PIPE] = ACTIONS(2253),
    [anon_sym_GT_GT] = ACTIONS(2253),
    [anon_sym_GT_GT_GT] = ACTIONS(2253),
    [anon_sym_LT_LT] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_PIPE] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_SLASH] = ACTIONS(2253),
    [anon_sym_PERCENT] = ACTIONS(2253),
    [anon_sym_STAR_STAR] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(2253),
    [anon_sym_LT_EQ] = ACTIONS(2253),
    [anon_sym_EQ_EQ] = ACTIONS(2253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2253),
    [anon_sym_BANG_EQ] = ACTIONS(2253),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2253),
    [anon_sym_GT_EQ] = ACTIONS(2253),
    [anon_sym_QMARK_QMARK] = ACTIONS(2253),
    [anon_sym_instanceof] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_void] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [sym_private_property_identifier] = ACTIONS(2253),
    [sym_this] = ACTIONS(2253),
    [sym_super] = ACTIONS(2253),
    [sym_true] = ACTIONS(2253),
    [sym_false] = ACTIONS(2253),
    [sym_null] = ACTIONS(2253),
    [sym_undefined] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_static] = ACTIONS(2253),
    [anon_sym_readonly] = ACTIONS(2253),
    [anon_sym_get] = ACTIONS(2253),
    [anon_sym_set] = ACTIONS(2253),
    [anon_sym_declare] = ACTIONS(2253),
    [anon_sym_public] = ACTIONS(2253),
    [anon_sym_private] = ACTIONS(2253),
    [anon_sym_protected] = ACTIONS(2253),
    [anon_sym_override] = ACTIONS(2253),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_any] = ACTIONS(2253),
    [anon_sym_number] = ACTIONS(2253),
    [anon_sym_boolean] = ACTIONS(2253),
    [anon_sym_string] = ACTIONS(2253),
    [anon_sym_symbol] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2253),
    [anon_sym_satisfies] = ACTIONS(2253),
    [anon_sym_interface] = ACTIONS(2253),
    [anon_sym_enum] = ACTIONS(2253),
    [sym__automatic_semicolon] = ACTIONS(2255),
    [sym__ternary_qmark] = ACTIONS(2255),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_import] = STATE(4231),
    [sym_expression_statement] = STATE(466),
    [sym_empty_statement] = STATE(466),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2710),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7148),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(421),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2022),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_comment] = STATE(422),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_STAR] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_as] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_COMMA] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_in] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_GT] = ACTIONS(2105),
    [anon_sym_DOT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_QMARK_DOT] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2105),
    [anon_sym_PIPE_PIPE] = ACTIONS(2105),
    [anon_sym_GT_GT] = ACTIONS(2105),
    [anon_sym_GT_GT_GT] = ACTIONS(2105),
    [anon_sym_LT_LT] = ACTIONS(2105),
    [anon_sym_AMP] = ACTIONS(2105),
    [anon_sym_CARET] = ACTIONS(2105),
    [anon_sym_PIPE] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_PERCENT] = ACTIONS(2105),
    [anon_sym_STAR_STAR] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_LT_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2105),
    [anon_sym_GT_EQ] = ACTIONS(2105),
    [anon_sym_QMARK_QMARK] = ACTIONS(2105),
    [anon_sym_instanceof] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_satisfies] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym__automatic_semicolon] = ACTIONS(2107),
    [sym__ternary_qmark] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6879),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(423),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2397),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym__automatic_semicolon] = ACTIONS(2399),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_comment] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(2211),
    [sym_identifier] = ACTIONS(2209),
    [anon_sym_export] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2209),
    [anon_sym_type] = ACTIONS(2209),
    [anon_sym_as] = ACTIONS(2209),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_COMMA] = ACTIONS(2209),
    [anon_sym_RBRACE] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(2209),
    [anon_sym_import] = ACTIONS(2209),
    [anon_sym_with] = ACTIONS(2209),
    [anon_sym_var] = ACTIONS(2209),
    [anon_sym_let] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_in] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_debugger] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2209),
    [anon_sym_yield] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(2209),
    [anon_sym_GT] = ACTIONS(2209),
    [anon_sym_DOT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [anon_sym_SQUOTE] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2209),
    [anon_sym_QMARK_DOT] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(2209),
    [anon_sym_AMP_AMP] = ACTIONS(2209),
    [anon_sym_PIPE_PIPE] = ACTIONS(2209),
    [anon_sym_GT_GT] = ACTIONS(2209),
    [anon_sym_GT_GT_GT] = ACTIONS(2209),
    [anon_sym_LT_LT] = ACTIONS(2209),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_CARET] = ACTIONS(2209),
    [anon_sym_PIPE] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_SLASH] = ACTIONS(2209),
    [anon_sym_PERCENT] = ACTIONS(2209),
    [anon_sym_STAR_STAR] = ACTIONS(2209),
    [anon_sym_LT] = ACTIONS(2209),
    [anon_sym_LT_EQ] = ACTIONS(2209),
    [anon_sym_EQ_EQ] = ACTIONS(2209),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2209),
    [anon_sym_BANG_EQ] = ACTIONS(2209),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2209),
    [anon_sym_GT_EQ] = ACTIONS(2209),
    [anon_sym_QMARK_QMARK] = ACTIONS(2209),
    [anon_sym_instanceof] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_void] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2209),
    [sym_number] = ACTIONS(2209),
    [sym_private_property_identifier] = ACTIONS(2209),
    [sym_this] = ACTIONS(2209),
    [sym_super] = ACTIONS(2209),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [sym_null] = ACTIONS(2209),
    [sym_undefined] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_readonly] = ACTIONS(2209),
    [anon_sym_get] = ACTIONS(2209),
    [anon_sym_set] = ACTIONS(2209),
    [anon_sym_declare] = ACTIONS(2209),
    [anon_sym_public] = ACTIONS(2209),
    [anon_sym_private] = ACTIONS(2209),
    [anon_sym_protected] = ACTIONS(2209),
    [anon_sym_override] = ACTIONS(2209),
    [anon_sym_module] = ACTIONS(2209),
    [anon_sym_any] = ACTIONS(2209),
    [anon_sym_number] = ACTIONS(2209),
    [anon_sym_boolean] = ACTIONS(2209),
    [anon_sym_string] = ACTIONS(2209),
    [anon_sym_symbol] = ACTIONS(2209),
    [anon_sym_object] = ACTIONS(2209),
    [anon_sym_abstract] = ACTIONS(2209),
    [anon_sym_satisfies] = ACTIONS(2209),
    [anon_sym_interface] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [sym__automatic_semicolon] = ACTIONS(2211),
    [sym__ternary_qmark] = ACTIONS(2211),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2666),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6700),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(425),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2401),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym__automatic_semicolon] = ACTIONS(2403),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_comment] = STATE(426),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_STAR] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_as] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_COMMA] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_in] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_GT] = ACTIONS(2091),
    [anon_sym_DOT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_QMARK_DOT] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_AMP_AMP] = ACTIONS(2091),
    [anon_sym_PIPE_PIPE] = ACTIONS(2091),
    [anon_sym_GT_GT] = ACTIONS(2091),
    [anon_sym_GT_GT_GT] = ACTIONS(2091),
    [anon_sym_LT_LT] = ACTIONS(2091),
    [anon_sym_AMP] = ACTIONS(2091),
    [anon_sym_CARET] = ACTIONS(2091),
    [anon_sym_PIPE] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_PERCENT] = ACTIONS(2091),
    [anon_sym_STAR_STAR] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_LT_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2091),
    [anon_sym_GT_EQ] = ACTIONS(2091),
    [anon_sym_QMARK_QMARK] = ACTIONS(2091),
    [anon_sym_instanceof] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_satisfies] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(2093),
    [sym__ternary_qmark] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_comment] = STATE(427),
    [ts_builtin_sym_end] = ACTIONS(2221),
    [sym_identifier] = ACTIONS(2219),
    [anon_sym_export] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2219),
    [anon_sym_as] = ACTIONS(2219),
    [anon_sym_namespace] = ACTIONS(2219),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_COMMA] = ACTIONS(2219),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [anon_sym_typeof] = ACTIONS(2219),
    [anon_sym_import] = ACTIONS(2219),
    [anon_sym_with] = ACTIONS(2219),
    [anon_sym_var] = ACTIONS(2219),
    [anon_sym_let] = ACTIONS(2219),
    [anon_sym_const] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(2219),
    [anon_sym_switch] = ACTIONS(2219),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_LPAREN] = ACTIONS(2219),
    [anon_sym_await] = ACTIONS(2219),
    [anon_sym_in] = ACTIONS(2219),
    [anon_sym_while] = ACTIONS(2219),
    [anon_sym_do] = ACTIONS(2219),
    [anon_sym_try] = ACTIONS(2219),
    [anon_sym_break] = ACTIONS(2219),
    [anon_sym_continue] = ACTIONS(2219),
    [anon_sym_debugger] = ACTIONS(2219),
    [anon_sym_return] = ACTIONS(2219),
    [anon_sym_throw] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym_yield] = ACTIONS(2219),
    [anon_sym_LBRACK] = ACTIONS(2219),
    [anon_sym_LTtemplate_GT] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_DOT] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_class] = ACTIONS(2219),
    [anon_sym_async] = ACTIONS(2219),
    [anon_sym_function] = ACTIONS(2219),
    [anon_sym_QMARK_DOT] = ACTIONS(2219),
    [anon_sym_new] = ACTIONS(2219),
    [anon_sym_using] = ACTIONS(2219),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_PIPE_PIPE] = ACTIONS(2219),
    [anon_sym_GT_GT] = ACTIONS(2219),
    [anon_sym_GT_GT_GT] = ACTIONS(2219),
    [anon_sym_LT_LT] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_CARET] = ACTIONS(2219),
    [anon_sym_PIPE] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_SLASH] = ACTIONS(2219),
    [anon_sym_PERCENT] = ACTIONS(2219),
    [anon_sym_STAR_STAR] = ACTIONS(2219),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_LT_EQ] = ACTIONS(2219),
    [anon_sym_EQ_EQ] = ACTIONS(2219),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2219),
    [anon_sym_BANG_EQ] = ACTIONS(2219),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2219),
    [anon_sym_GT_EQ] = ACTIONS(2219),
    [anon_sym_QMARK_QMARK] = ACTIONS(2219),
    [anon_sym_instanceof] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_void] = ACTIONS(2219),
    [anon_sym_delete] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2219),
    [sym_number] = ACTIONS(2219),
    [sym_private_property_identifier] = ACTIONS(2219),
    [sym_this] = ACTIONS(2219),
    [sym_super] = ACTIONS(2219),
    [sym_true] = ACTIONS(2219),
    [sym_false] = ACTIONS(2219),
    [sym_null] = ACTIONS(2219),
    [sym_undefined] = ACTIONS(2219),
    [anon_sym_AT] = ACTIONS(2219),
    [anon_sym_static] = ACTIONS(2219),
    [anon_sym_readonly] = ACTIONS(2219),
    [anon_sym_get] = ACTIONS(2219),
    [anon_sym_set] = ACTIONS(2219),
    [anon_sym_declare] = ACTIONS(2219),
    [anon_sym_public] = ACTIONS(2219),
    [anon_sym_private] = ACTIONS(2219),
    [anon_sym_protected] = ACTIONS(2219),
    [anon_sym_override] = ACTIONS(2219),
    [anon_sym_module] = ACTIONS(2219),
    [anon_sym_any] = ACTIONS(2219),
    [anon_sym_number] = ACTIONS(2219),
    [anon_sym_boolean] = ACTIONS(2219),
    [anon_sym_string] = ACTIONS(2219),
    [anon_sym_symbol] = ACTIONS(2219),
    [anon_sym_object] = ACTIONS(2219),
    [anon_sym_abstract] = ACTIONS(2219),
    [anon_sym_satisfies] = ACTIONS(2219),
    [anon_sym_interface] = ACTIONS(2219),
    [anon_sym_enum] = ACTIONS(2219),
    [sym__automatic_semicolon] = ACTIONS(2221),
    [sym__ternary_qmark] = ACTIONS(2221),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2622),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7102),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(428),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2405),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym__automatic_semicolon] = ACTIONS(2407),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(429),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5111),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(2409),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2411),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(430),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5125),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1089),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2413),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_comment] = STATE(431),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_STAR] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_as] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_COMMA] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_in] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_GT] = ACTIONS(2091),
    [anon_sym_DOT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_QMARK_DOT] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_AMP_AMP] = ACTIONS(2091),
    [anon_sym_PIPE_PIPE] = ACTIONS(2091),
    [anon_sym_GT_GT] = ACTIONS(2091),
    [anon_sym_GT_GT_GT] = ACTIONS(2091),
    [anon_sym_LT_LT] = ACTIONS(2091),
    [anon_sym_AMP] = ACTIONS(2091),
    [anon_sym_CARET] = ACTIONS(2091),
    [anon_sym_PIPE] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_PERCENT] = ACTIONS(2091),
    [anon_sym_STAR_STAR] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_LT_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2091),
    [anon_sym_GT_EQ] = ACTIONS(2091),
    [anon_sym_QMARK_QMARK] = ACTIONS(2091),
    [anon_sym_instanceof] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_satisfies] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(2415),
    [sym__ternary_qmark] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_comment] = STATE(432),
    [ts_builtin_sym_end] = ACTIONS(2347),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_STAR] = ACTIONS(2157),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_as] = ACTIONS(2157),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_COMMA] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_in] = ACTIONS(2157),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_GT] = ACTIONS(2157),
    [anon_sym_DOT] = ACTIONS(2157),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_QMARK_DOT] = ACTIONS(2157),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_AMP_AMP] = ACTIONS(2157),
    [anon_sym_PIPE_PIPE] = ACTIONS(2157),
    [anon_sym_GT_GT] = ACTIONS(2157),
    [anon_sym_GT_GT_GT] = ACTIONS(2157),
    [anon_sym_LT_LT] = ACTIONS(2157),
    [anon_sym_AMP] = ACTIONS(2157),
    [anon_sym_CARET] = ACTIONS(2157),
    [anon_sym_PIPE] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_PERCENT] = ACTIONS(2157),
    [anon_sym_STAR_STAR] = ACTIONS(2157),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_LT_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2157),
    [anon_sym_GT_EQ] = ACTIONS(2157),
    [anon_sym_QMARK_QMARK] = ACTIONS(2157),
    [anon_sym_instanceof] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_satisfies] = ACTIONS(2157),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2417),
    [sym__ternary_qmark] = ACTIONS(2161),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(433),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5393),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(2419),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2421),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_comment] = STATE(434),
    [ts_builtin_sym_end] = ACTIONS(2275),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_as] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_GT] = ACTIONS(2149),
    [anon_sym_DOT] = ACTIONS(2149),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_QMARK_DOT] = ACTIONS(2149),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2149),
    [anon_sym_GT_GT_GT] = ACTIONS(2149),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2149),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2149),
    [anon_sym_STAR_STAR] = ACTIONS(2149),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2149),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_QMARK_QMARK] = ACTIONS(2149),
    [anon_sym_instanceof] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_satisfies] = ACTIONS(2149),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2423),
    [sym__ternary_qmark] = ACTIONS(2153),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_comment] = STATE(435),
    [ts_builtin_sym_end] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2425),
    [sym__ternary_qmark] = ACTIONS(2123),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_comment] = STATE(436),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2427),
    [sym__ternary_qmark] = ACTIONS(2079),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_comment] = STATE(437),
    [sym_identifier] = ACTIONS(2429),
    [anon_sym_export] = ACTIONS(2429),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2429),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2429),
    [anon_sym_LBRACE] = ACTIONS(2429),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2429),
    [anon_sym_import] = ACTIONS(2429),
    [anon_sym_let] = ACTIONS(2429),
    [anon_sym_BANG] = ACTIONS(2429),
    [anon_sym_LPAREN] = ACTIONS(2429),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(2429),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(2429),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_LTtemplate_GT] = ACTIONS(2429),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2429),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_class] = ACTIONS(2429),
    [anon_sym_async] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2429),
    [anon_sym_using] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2429),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2429),
    [anon_sym_DASH] = ACTIONS(2429),
    [anon_sym_SLASH] = ACTIONS(2429),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2429),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2429),
    [anon_sym_void] = ACTIONS(2429),
    [anon_sym_delete] = ACTIONS(2429),
    [anon_sym_PLUS_PLUS] = ACTIONS(2429),
    [anon_sym_DASH_DASH] = ACTIONS(2429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2429),
    [sym_number] = ACTIONS(2429),
    [sym_private_property_identifier] = ACTIONS(2429),
    [sym_this] = ACTIONS(2429),
    [sym_super] = ACTIONS(2429),
    [sym_true] = ACTIONS(2429),
    [sym_false] = ACTIONS(2429),
    [sym_null] = ACTIONS(2429),
    [sym_undefined] = ACTIONS(2429),
    [anon_sym_AT] = ACTIONS(2429),
    [anon_sym_static] = ACTIONS(2429),
    [anon_sym_readonly] = ACTIONS(2429),
    [anon_sym_get] = ACTIONS(2429),
    [anon_sym_set] = ACTIONS(2429),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(2429),
    [anon_sym_public] = ACTIONS(2429),
    [anon_sym_private] = ACTIONS(2429),
    [anon_sym_protected] = ACTIONS(2429),
    [anon_sym_override] = ACTIONS(2429),
    [anon_sym_module] = ACTIONS(2429),
    [anon_sym_any] = ACTIONS(2429),
    [anon_sym_number] = ACTIONS(2429),
    [anon_sym_boolean] = ACTIONS(2429),
    [anon_sym_string] = ACTIONS(2429),
    [anon_sym_symbol] = ACTIONS(2429),
    [anon_sym_object] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_comment] = STATE(438),
    [ts_builtin_sym_end] = ACTIONS(2311),
    [sym_identifier] = ACTIONS(2163),
    [anon_sym_export] = ACTIONS(2163),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2163),
    [anon_sym_as] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2163),
    [anon_sym_LBRACE] = ACTIONS(2163),
    [anon_sym_COMMA] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_typeof] = ACTIONS(2163),
    [anon_sym_import] = ACTIONS(2163),
    [anon_sym_with] = ACTIONS(2163),
    [anon_sym_var] = ACTIONS(2163),
    [anon_sym_let] = ACTIONS(2163),
    [anon_sym_const] = ACTIONS(2163),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_if] = ACTIONS(2163),
    [anon_sym_switch] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2163),
    [anon_sym_LPAREN] = ACTIONS(2163),
    [anon_sym_await] = ACTIONS(2163),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_do] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2163),
    [anon_sym_break] = ACTIONS(2163),
    [anon_sym_continue] = ACTIONS(2163),
    [anon_sym_debugger] = ACTIONS(2163),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_throw] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2163),
    [anon_sym_LBRACK] = ACTIONS(2163),
    [anon_sym_LTtemplate_GT] = ACTIONS(2163),
    [anon_sym_GT] = ACTIONS(2165),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2163),
    [anon_sym_SQUOTE] = ACTIONS(2163),
    [anon_sym_class] = ACTIONS(2163),
    [anon_sym_async] = ACTIONS(2163),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_QMARK_DOT] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(2163),
    [anon_sym_AMP_AMP] = ACTIONS(2165),
    [anon_sym_PIPE_PIPE] = ACTIONS(2165),
    [anon_sym_GT_GT] = ACTIONS(2165),
    [anon_sym_GT_GT_GT] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2165),
    [anon_sym_PIPE] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2163),
    [anon_sym_DASH] = ACTIONS(2163),
    [anon_sym_SLASH] = ACTIONS(2163),
    [anon_sym_PERCENT] = ACTIONS(2165),
    [anon_sym_STAR_STAR] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2163),
    [anon_sym_LT_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2165),
    [anon_sym_GT_EQ] = ACTIONS(2165),
    [anon_sym_QMARK_QMARK] = ACTIONS(2165),
    [anon_sym_instanceof] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_void] = ACTIONS(2163),
    [anon_sym_delete] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2163),
    [sym_number] = ACTIONS(2163),
    [sym_private_property_identifier] = ACTIONS(2163),
    [sym_this] = ACTIONS(2163),
    [sym_super] = ACTIONS(2163),
    [sym_true] = ACTIONS(2163),
    [sym_false] = ACTIONS(2163),
    [sym_null] = ACTIONS(2163),
    [sym_undefined] = ACTIONS(2163),
    [anon_sym_AT] = ACTIONS(2163),
    [anon_sym_static] = ACTIONS(2163),
    [anon_sym_readonly] = ACTIONS(2163),
    [anon_sym_get] = ACTIONS(2163),
    [anon_sym_set] = ACTIONS(2163),
    [anon_sym_declare] = ACTIONS(2163),
    [anon_sym_public] = ACTIONS(2163),
    [anon_sym_private] = ACTIONS(2163),
    [anon_sym_protected] = ACTIONS(2163),
    [anon_sym_override] = ACTIONS(2163),
    [anon_sym_module] = ACTIONS(2163),
    [anon_sym_any] = ACTIONS(2163),
    [anon_sym_number] = ACTIONS(2163),
    [anon_sym_boolean] = ACTIONS(2163),
    [anon_sym_string] = ACTIONS(2163),
    [anon_sym_symbol] = ACTIONS(2163),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_abstract] = ACTIONS(2163),
    [anon_sym_satisfies] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2163),
    [anon_sym_enum] = ACTIONS(2163),
    [sym__automatic_semicolon] = ACTIONS(2431),
    [sym__ternary_qmark] = ACTIONS(2169),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_comment] = STATE(439),
    [ts_builtin_sym_end] = ACTIONS(2317),
    [sym_identifier] = ACTIONS(2179),
    [anon_sym_export] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(2181),
    [anon_sym_type] = ACTIONS(2179),
    [anon_sym_as] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2179),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(2181),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_typeof] = ACTIONS(2179),
    [anon_sym_import] = ACTIONS(2179),
    [anon_sym_with] = ACTIONS(2179),
    [anon_sym_var] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_const] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_if] = ACTIONS(2179),
    [anon_sym_switch] = ACTIONS(2179),
    [anon_sym_for] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(2179),
    [anon_sym_in] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2179),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_try] = ACTIONS(2179),
    [anon_sym_break] = ACTIONS(2179),
    [anon_sym_continue] = ACTIONS(2179),
    [anon_sym_debugger] = ACTIONS(2179),
    [anon_sym_return] = ACTIONS(2179),
    [anon_sym_throw] = ACTIONS(2179),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_yield] = ACTIONS(2179),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_LTtemplate_GT] = ACTIONS(2179),
    [anon_sym_GT] = ACTIONS(2181),
    [anon_sym_DOT] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [anon_sym_class] = ACTIONS(2179),
    [anon_sym_async] = ACTIONS(2179),
    [anon_sym_function] = ACTIONS(2179),
    [anon_sym_QMARK_DOT] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2179),
    [anon_sym_using] = ACTIONS(2179),
    [anon_sym_AMP_AMP] = ACTIONS(2181),
    [anon_sym_PIPE_PIPE] = ACTIONS(2181),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(2181),
    [anon_sym_LT_LT] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_PIPE] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_SLASH] = ACTIONS(2179),
    [anon_sym_PERCENT] = ACTIONS(2181),
    [anon_sym_STAR_STAR] = ACTIONS(2181),
    [anon_sym_LT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2181),
    [anon_sym_EQ_EQ] = ACTIONS(2181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2181),
    [anon_sym_BANG_EQ] = ACTIONS(2181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2181),
    [anon_sym_GT_EQ] = ACTIONS(2181),
    [anon_sym_QMARK_QMARK] = ACTIONS(2181),
    [anon_sym_instanceof] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_void] = ACTIONS(2179),
    [anon_sym_delete] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2179),
    [sym_number] = ACTIONS(2179),
    [sym_private_property_identifier] = ACTIONS(2179),
    [sym_this] = ACTIONS(2179),
    [sym_super] = ACTIONS(2179),
    [sym_true] = ACTIONS(2179),
    [sym_false] = ACTIONS(2179),
    [sym_null] = ACTIONS(2179),
    [sym_undefined] = ACTIONS(2179),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_static] = ACTIONS(2179),
    [anon_sym_readonly] = ACTIONS(2179),
    [anon_sym_get] = ACTIONS(2179),
    [anon_sym_set] = ACTIONS(2179),
    [anon_sym_declare] = ACTIONS(2179),
    [anon_sym_public] = ACTIONS(2179),
    [anon_sym_private] = ACTIONS(2179),
    [anon_sym_protected] = ACTIONS(2179),
    [anon_sym_override] = ACTIONS(2179),
    [anon_sym_module] = ACTIONS(2179),
    [anon_sym_any] = ACTIONS(2179),
    [anon_sym_number] = ACTIONS(2179),
    [anon_sym_boolean] = ACTIONS(2179),
    [anon_sym_string] = ACTIONS(2179),
    [anon_sym_symbol] = ACTIONS(2179),
    [anon_sym_object] = ACTIONS(2179),
    [anon_sym_abstract] = ACTIONS(2179),
    [anon_sym_satisfies] = ACTIONS(2181),
    [anon_sym_interface] = ACTIONS(2179),
    [anon_sym_enum] = ACTIONS(2179),
    [sym__automatic_semicolon] = ACTIONS(2433),
    [sym__ternary_qmark] = ACTIONS(2185),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_comment] = STATE(440),
    [sym_identifier] = ACTIONS(2429),
    [anon_sym_export] = ACTIONS(2429),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2429),
    [anon_sym_EQ] = ACTIONS(214),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2429),
    [anon_sym_LBRACE] = ACTIONS(2429),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_typeof] = ACTIONS(2429),
    [anon_sym_import] = ACTIONS(2429),
    [anon_sym_let] = ACTIONS(2429),
    [anon_sym_BANG] = ACTIONS(2429),
    [anon_sym_LPAREN] = ACTIONS(2429),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_await] = ACTIONS(2429),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(2429),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_LTtemplate_GT] = ACTIONS(2429),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2429),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_class] = ACTIONS(2429),
    [anon_sym_async] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2429),
    [anon_sym_using] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2429),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2429),
    [anon_sym_DASH] = ACTIONS(2429),
    [anon_sym_SLASH] = ACTIONS(2429),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2429),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2429),
    [anon_sym_void] = ACTIONS(2429),
    [anon_sym_delete] = ACTIONS(2429),
    [anon_sym_PLUS_PLUS] = ACTIONS(2429),
    [anon_sym_DASH_DASH] = ACTIONS(2429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2429),
    [sym_number] = ACTIONS(2429),
    [sym_private_property_identifier] = ACTIONS(2429),
    [sym_this] = ACTIONS(2429),
    [sym_super] = ACTIONS(2429),
    [sym_true] = ACTIONS(2429),
    [sym_false] = ACTIONS(2429),
    [sym_null] = ACTIONS(2429),
    [sym_undefined] = ACTIONS(2429),
    [anon_sym_AT] = ACTIONS(2429),
    [anon_sym_static] = ACTIONS(2429),
    [anon_sym_readonly] = ACTIONS(2429),
    [anon_sym_get] = ACTIONS(2429),
    [anon_sym_set] = ACTIONS(2429),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(2429),
    [anon_sym_public] = ACTIONS(2429),
    [anon_sym_private] = ACTIONS(2429),
    [anon_sym_protected] = ACTIONS(2429),
    [anon_sym_override] = ACTIONS(2429),
    [anon_sym_module] = ACTIONS(2429),
    [anon_sym_any] = ACTIONS(2429),
    [anon_sym_number] = ACTIONS(2429),
    [anon_sym_boolean] = ACTIONS(2429),
    [anon_sym_string] = ACTIONS(2429),
    [anon_sym_symbol] = ACTIONS(2429),
    [anon_sym_object] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_comment] = STATE(441),
    [sym_identifier] = ACTIONS(2435),
    [anon_sym_export] = ACTIONS(2435),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2435),
    [anon_sym_EQ] = ACTIONS(214),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_typeof] = ACTIONS(2435),
    [anon_sym_import] = ACTIONS(2435),
    [anon_sym_let] = ACTIONS(2435),
    [anon_sym_BANG] = ACTIONS(2435),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_await] = ACTIONS(2435),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_LTtemplate_GT] = ACTIONS(2435),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_class] = ACTIONS(2435),
    [anon_sym_async] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2435),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_using] = ACTIONS(2435),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2435),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_SLASH] = ACTIONS(2435),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2435),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_void] = ACTIONS(2435),
    [anon_sym_delete] = ACTIONS(2435),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2435),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2435),
    [sym_number] = ACTIONS(2435),
    [sym_private_property_identifier] = ACTIONS(2435),
    [sym_this] = ACTIONS(2435),
    [sym_super] = ACTIONS(2435),
    [sym_true] = ACTIONS(2435),
    [sym_false] = ACTIONS(2435),
    [sym_null] = ACTIONS(2435),
    [sym_undefined] = ACTIONS(2435),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_static] = ACTIONS(2435),
    [anon_sym_readonly] = ACTIONS(2435),
    [anon_sym_get] = ACTIONS(2435),
    [anon_sym_set] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(2435),
    [anon_sym_public] = ACTIONS(2435),
    [anon_sym_private] = ACTIONS(2435),
    [anon_sym_protected] = ACTIONS(2435),
    [anon_sym_override] = ACTIONS(2435),
    [anon_sym_module] = ACTIONS(2435),
    [anon_sym_any] = ACTIONS(2435),
    [anon_sym_number] = ACTIONS(2435),
    [anon_sym_boolean] = ACTIONS(2435),
    [anon_sym_string] = ACTIONS(2435),
    [anon_sym_symbol] = ACTIONS(2435),
    [anon_sym_object] = ACTIONS(2435),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_comment] = STATE(442),
    [sym_identifier] = ACTIONS(2435),
    [anon_sym_export] = ACTIONS(2435),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2435),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2435),
    [anon_sym_import] = ACTIONS(2435),
    [anon_sym_let] = ACTIONS(2435),
    [anon_sym_BANG] = ACTIONS(2435),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(2435),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_LTtemplate_GT] = ACTIONS(2435),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_class] = ACTIONS(2435),
    [anon_sym_async] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2435),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_using] = ACTIONS(2435),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2435),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_SLASH] = ACTIONS(2435),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2435),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_void] = ACTIONS(2435),
    [anon_sym_delete] = ACTIONS(2435),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2435),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2435),
    [sym_number] = ACTIONS(2435),
    [sym_private_property_identifier] = ACTIONS(2435),
    [sym_this] = ACTIONS(2435),
    [sym_super] = ACTIONS(2435),
    [sym_true] = ACTIONS(2435),
    [sym_false] = ACTIONS(2435),
    [sym_null] = ACTIONS(2435),
    [sym_undefined] = ACTIONS(2435),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_static] = ACTIONS(2435),
    [anon_sym_readonly] = ACTIONS(2435),
    [anon_sym_get] = ACTIONS(2435),
    [anon_sym_set] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(2435),
    [anon_sym_public] = ACTIONS(2435),
    [anon_sym_private] = ACTIONS(2435),
    [anon_sym_protected] = ACTIONS(2435),
    [anon_sym_override] = ACTIONS(2435),
    [anon_sym_module] = ACTIONS(2435),
    [anon_sym_any] = ACTIONS(2435),
    [anon_sym_number] = ACTIONS(2435),
    [anon_sym_boolean] = ACTIONS(2435),
    [anon_sym_string] = ACTIONS(2435),
    [anon_sym_symbol] = ACTIONS(2435),
    [anon_sym_object] = ACTIONS(2435),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_comment] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_STAR] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_as] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_COMMA] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_in] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_GT] = ACTIONS(2105),
    [anon_sym_DOT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_QMARK_DOT] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2105),
    [anon_sym_PIPE_PIPE] = ACTIONS(2105),
    [anon_sym_GT_GT] = ACTIONS(2105),
    [anon_sym_GT_GT_GT] = ACTIONS(2105),
    [anon_sym_LT_LT] = ACTIONS(2105),
    [anon_sym_AMP] = ACTIONS(2105),
    [anon_sym_CARET] = ACTIONS(2105),
    [anon_sym_PIPE] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_PERCENT] = ACTIONS(2105),
    [anon_sym_STAR_STAR] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_LT_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2105),
    [anon_sym_GT_EQ] = ACTIONS(2105),
    [anon_sym_QMARK_QMARK] = ACTIONS(2105),
    [anon_sym_instanceof] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_satisfies] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym__automatic_semicolon] = ACTIONS(2107),
    [sym__ternary_qmark] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2087),
    [sym_subscript_expression] = STATE(2087),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4668),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(444),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_pattern] = STATE(5445),
    [sym_rest_pattern] = STATE(4617),
    [sym_non_null_expression] = STATE(2087),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2351),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_comment] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(2217),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_export] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_type] = ACTIONS(2215),
    [anon_sym_as] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_COMMA] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2215),
    [anon_sym_typeof] = ACTIONS(2215),
    [anon_sym_import] = ACTIONS(2215),
    [anon_sym_with] = ACTIONS(2215),
    [anon_sym_var] = ACTIONS(2215),
    [anon_sym_let] = ACTIONS(2215),
    [anon_sym_const] = ACTIONS(2215),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_if] = ACTIONS(2215),
    [anon_sym_switch] = ACTIONS(2215),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_LPAREN] = ACTIONS(2215),
    [anon_sym_await] = ACTIONS(2215),
    [anon_sym_in] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2215),
    [anon_sym_do] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2215),
    [anon_sym_break] = ACTIONS(2215),
    [anon_sym_continue] = ACTIONS(2215),
    [anon_sym_debugger] = ACTIONS(2215),
    [anon_sym_return] = ACTIONS(2215),
    [anon_sym_throw] = ACTIONS(2215),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym_yield] = ACTIONS(2215),
    [anon_sym_LBRACK] = ACTIONS(2215),
    [anon_sym_LTtemplate_GT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2215),
    [anon_sym_SQUOTE] = ACTIONS(2215),
    [anon_sym_class] = ACTIONS(2215),
    [anon_sym_async] = ACTIONS(2215),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_QMARK_DOT] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_using] = ACTIONS(2215),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2215),
    [anon_sym_GT_GT] = ACTIONS(2215),
    [anon_sym_GT_GT_GT] = ACTIONS(2215),
    [anon_sym_LT_LT] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2215),
    [anon_sym_CARET] = ACTIONS(2215),
    [anon_sym_PIPE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_QMARK_QMARK] = ACTIONS(2215),
    [anon_sym_instanceof] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_void] = ACTIONS(2215),
    [anon_sym_delete] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2215),
    [sym_number] = ACTIONS(2215),
    [sym_private_property_identifier] = ACTIONS(2215),
    [sym_this] = ACTIONS(2215),
    [sym_super] = ACTIONS(2215),
    [sym_true] = ACTIONS(2215),
    [sym_false] = ACTIONS(2215),
    [sym_null] = ACTIONS(2215),
    [sym_undefined] = ACTIONS(2215),
    [anon_sym_AT] = ACTIONS(2215),
    [anon_sym_static] = ACTIONS(2215),
    [anon_sym_readonly] = ACTIONS(2215),
    [anon_sym_get] = ACTIONS(2215),
    [anon_sym_set] = ACTIONS(2215),
    [anon_sym_declare] = ACTIONS(2215),
    [anon_sym_public] = ACTIONS(2215),
    [anon_sym_private] = ACTIONS(2215),
    [anon_sym_protected] = ACTIONS(2215),
    [anon_sym_override] = ACTIONS(2215),
    [anon_sym_module] = ACTIONS(2215),
    [anon_sym_any] = ACTIONS(2215),
    [anon_sym_number] = ACTIONS(2215),
    [anon_sym_boolean] = ACTIONS(2215),
    [anon_sym_string] = ACTIONS(2215),
    [anon_sym_symbol] = ACTIONS(2215),
    [anon_sym_object] = ACTIONS(2215),
    [anon_sym_abstract] = ACTIONS(2215),
    [anon_sym_satisfies] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2215),
    [anon_sym_enum] = ACTIONS(2215),
    [sym__automatic_semicolon] = ACTIONS(2217),
    [sym__ternary_qmark] = ACTIONS(2217),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_comment] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_STAR] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_as] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_COMMA] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_in] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_GT] = ACTIONS(2081),
    [anon_sym_DOT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_QMARK_DOT] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_AMP_AMP] = ACTIONS(2081),
    [anon_sym_PIPE_PIPE] = ACTIONS(2081),
    [anon_sym_GT_GT] = ACTIONS(2081),
    [anon_sym_GT_GT_GT] = ACTIONS(2081),
    [anon_sym_LT_LT] = ACTIONS(2081),
    [anon_sym_AMP] = ACTIONS(2081),
    [anon_sym_CARET] = ACTIONS(2081),
    [anon_sym_PIPE] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_PERCENT] = ACTIONS(2081),
    [anon_sym_STAR_STAR] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_LT_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2081),
    [anon_sym_GT_EQ] = ACTIONS(2081),
    [anon_sym_QMARK_QMARK] = ACTIONS(2081),
    [anon_sym_instanceof] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_satisfies] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym__automatic_semicolon] = ACTIONS(2083),
    [sym__ternary_qmark] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_comment] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(2391),
    [sym_identifier] = ACTIONS(2171),
    [anon_sym_export] = ACTIONS(2171),
    [anon_sym_STAR] = ACTIONS(2173),
    [anon_sym_type] = ACTIONS(2171),
    [anon_sym_as] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_COMMA] = ACTIONS(2173),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_typeof] = ACTIONS(2171),
    [anon_sym_import] = ACTIONS(2171),
    [anon_sym_with] = ACTIONS(2171),
    [anon_sym_var] = ACTIONS(2171),
    [anon_sym_let] = ACTIONS(2171),
    [anon_sym_const] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_if] = ACTIONS(2171),
    [anon_sym_switch] = ACTIONS(2171),
    [anon_sym_for] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2171),
    [anon_sym_in] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2171),
    [anon_sym_try] = ACTIONS(2171),
    [anon_sym_break] = ACTIONS(2171),
    [anon_sym_continue] = ACTIONS(2171),
    [anon_sym_debugger] = ACTIONS(2171),
    [anon_sym_return] = ACTIONS(2171),
    [anon_sym_throw] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_yield] = ACTIONS(2171),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LTtemplate_GT] = ACTIONS(2171),
    [anon_sym_GT] = ACTIONS(2173),
    [anon_sym_DOT] = ACTIONS(2173),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2171),
    [anon_sym_async] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2171),
    [anon_sym_QMARK_DOT] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2171),
    [anon_sym_using] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(2173),
    [anon_sym_PIPE_PIPE] = ACTIONS(2173),
    [anon_sym_GT_GT] = ACTIONS(2173),
    [anon_sym_GT_GT_GT] = ACTIONS(2173),
    [anon_sym_LT_LT] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_PIPE] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_PERCENT] = ACTIONS(2173),
    [anon_sym_STAR_STAR] = ACTIONS(2173),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_LT_EQ] = ACTIONS(2173),
    [anon_sym_EQ_EQ] = ACTIONS(2173),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2173),
    [anon_sym_BANG_EQ] = ACTIONS(2173),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2173),
    [anon_sym_GT_EQ] = ACTIONS(2173),
    [anon_sym_QMARK_QMARK] = ACTIONS(2173),
    [anon_sym_instanceof] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_void] = ACTIONS(2171),
    [anon_sym_delete] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [sym_private_property_identifier] = ACTIONS(2171),
    [sym_this] = ACTIONS(2171),
    [sym_super] = ACTIONS(2171),
    [sym_true] = ACTIONS(2171),
    [sym_false] = ACTIONS(2171),
    [sym_null] = ACTIONS(2171),
    [sym_undefined] = ACTIONS(2171),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2171),
    [anon_sym_readonly] = ACTIONS(2171),
    [anon_sym_get] = ACTIONS(2171),
    [anon_sym_set] = ACTIONS(2171),
    [anon_sym_declare] = ACTIONS(2171),
    [anon_sym_public] = ACTIONS(2171),
    [anon_sym_private] = ACTIONS(2171),
    [anon_sym_protected] = ACTIONS(2171),
    [anon_sym_override] = ACTIONS(2171),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_any] = ACTIONS(2171),
    [anon_sym_number] = ACTIONS(2171),
    [anon_sym_boolean] = ACTIONS(2171),
    [anon_sym_string] = ACTIONS(2171),
    [anon_sym_symbol] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(2171),
    [anon_sym_abstract] = ACTIONS(2171),
    [anon_sym_satisfies] = ACTIONS(2173),
    [anon_sym_interface] = ACTIONS(2171),
    [anon_sym_enum] = ACTIONS(2171),
    [sym__automatic_semicolon] = ACTIONS(2175),
    [sym__ternary_qmark] = ACTIONS(2175),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_comment] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(2291),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_as] = ACTIONS(2129),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_COMMA] = ACTIONS(2129),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2129),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_GT] = ACTIONS(2129),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_QMARK_DOT] = ACTIONS(2129),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_AMP_AMP] = ACTIONS(2129),
    [anon_sym_PIPE_PIPE] = ACTIONS(2129),
    [anon_sym_GT_GT] = ACTIONS(2129),
    [anon_sym_GT_GT_GT] = ACTIONS(2129),
    [anon_sym_LT_LT] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2129),
    [anon_sym_CARET] = ACTIONS(2129),
    [anon_sym_PIPE] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_PERCENT] = ACTIONS(2129),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_LT_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2129),
    [anon_sym_GT_EQ] = ACTIONS(2129),
    [anon_sym_QMARK_QMARK] = ACTIONS(2129),
    [anon_sym_instanceof] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_satisfies] = ACTIONS(2129),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2437),
    [sym__ternary_qmark] = ACTIONS(2133),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_comment] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2225),
    [anon_sym_export] = ACTIONS(2225),
    [anon_sym_STAR] = ACTIONS(2227),
    [anon_sym_type] = ACTIONS(2225),
    [anon_sym_as] = ACTIONS(2227),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_COMMA] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(2225),
    [anon_sym_import] = ACTIONS(2225),
    [anon_sym_with] = ACTIONS(2225),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2225),
    [anon_sym_const] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_in] = ACTIONS(2227),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_debugger] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_yield] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LTtemplate_GT] = ACTIONS(2225),
    [anon_sym_GT] = ACTIONS(2227),
    [anon_sym_DOT] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2225),
    [anon_sym_SQUOTE] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_QMARK_DOT] = ACTIONS(2227),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_using] = ACTIONS(2225),
    [anon_sym_AMP_AMP] = ACTIONS(2227),
    [anon_sym_PIPE_PIPE] = ACTIONS(2227),
    [anon_sym_GT_GT] = ACTIONS(2227),
    [anon_sym_GT_GT_GT] = ACTIONS(2227),
    [anon_sym_LT_LT] = ACTIONS(2227),
    [anon_sym_AMP] = ACTIONS(2227),
    [anon_sym_CARET] = ACTIONS(2227),
    [anon_sym_PIPE] = ACTIONS(2227),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_SLASH] = ACTIONS(2225),
    [anon_sym_PERCENT] = ACTIONS(2227),
    [anon_sym_STAR_STAR] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2225),
    [anon_sym_LT_EQ] = ACTIONS(2227),
    [anon_sym_EQ_EQ] = ACTIONS(2227),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2227),
    [anon_sym_BANG_EQ] = ACTIONS(2227),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2227),
    [anon_sym_GT_EQ] = ACTIONS(2227),
    [anon_sym_QMARK_QMARK] = ACTIONS(2227),
    [anon_sym_instanceof] = ACTIONS(2227),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_void] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_number] = ACTIONS(2225),
    [sym_private_property_identifier] = ACTIONS(2225),
    [sym_this] = ACTIONS(2225),
    [sym_super] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_undefined] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_static] = ACTIONS(2225),
    [anon_sym_readonly] = ACTIONS(2225),
    [anon_sym_get] = ACTIONS(2225),
    [anon_sym_set] = ACTIONS(2225),
    [anon_sym_declare] = ACTIONS(2225),
    [anon_sym_public] = ACTIONS(2225),
    [anon_sym_private] = ACTIONS(2225),
    [anon_sym_protected] = ACTIONS(2225),
    [anon_sym_override] = ACTIONS(2225),
    [anon_sym_module] = ACTIONS(2225),
    [anon_sym_any] = ACTIONS(2225),
    [anon_sym_number] = ACTIONS(2225),
    [anon_sym_boolean] = ACTIONS(2225),
    [anon_sym_string] = ACTIONS(2225),
    [anon_sym_symbol] = ACTIONS(2225),
    [anon_sym_object] = ACTIONS(2225),
    [anon_sym_abstract] = ACTIONS(2225),
    [anon_sym_satisfies] = ACTIONS(2227),
    [anon_sym_interface] = ACTIONS(2225),
    [anon_sym_enum] = ACTIONS(2225),
    [sym__automatic_semicolon] = ACTIONS(2439),
    [sym__ternary_qmark] = ACTIONS(2231),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_comment] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(2145),
    [sym_identifier] = ACTIONS(2143),
    [anon_sym_export] = ACTIONS(2143),
    [anon_sym_STAR] = ACTIONS(2143),
    [anon_sym_type] = ACTIONS(2143),
    [anon_sym_as] = ACTIONS(2143),
    [anon_sym_namespace] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(2143),
    [anon_sym_COMMA] = ACTIONS(2143),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [anon_sym_typeof] = ACTIONS(2143),
    [anon_sym_import] = ACTIONS(2143),
    [anon_sym_with] = ACTIONS(2143),
    [anon_sym_var] = ACTIONS(2143),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(2143),
    [anon_sym_BANG] = ACTIONS(2143),
    [anon_sym_if] = ACTIONS(2143),
    [anon_sym_switch] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2143),
    [anon_sym_LPAREN] = ACTIONS(2143),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_in] = ACTIONS(2143),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2143),
    [anon_sym_try] = ACTIONS(2143),
    [anon_sym_break] = ACTIONS(2143),
    [anon_sym_continue] = ACTIONS(2143),
    [anon_sym_debugger] = ACTIONS(2143),
    [anon_sym_return] = ACTIONS(2143),
    [anon_sym_throw] = ACTIONS(2143),
    [anon_sym_SEMI] = ACTIONS(2143),
    [anon_sym_yield] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(2143),
    [anon_sym_GT] = ACTIONS(2143),
    [anon_sym_DOT] = ACTIONS(2143),
    [anon_sym_DQUOTE] = ACTIONS(2143),
    [anon_sym_SQUOTE] = ACTIONS(2143),
    [anon_sym_class] = ACTIONS(2143),
    [anon_sym_async] = ACTIONS(2143),
    [anon_sym_function] = ACTIONS(2143),
    [anon_sym_QMARK_DOT] = ACTIONS(2143),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_using] = ACTIONS(2143),
    [anon_sym_AMP_AMP] = ACTIONS(2143),
    [anon_sym_PIPE_PIPE] = ACTIONS(2143),
    [anon_sym_GT_GT] = ACTIONS(2143),
    [anon_sym_GT_GT_GT] = ACTIONS(2143),
    [anon_sym_LT_LT] = ACTIONS(2143),
    [anon_sym_AMP] = ACTIONS(2143),
    [anon_sym_CARET] = ACTIONS(2143),
    [anon_sym_PIPE] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(2143),
    [anon_sym_DASH] = ACTIONS(2143),
    [anon_sym_SLASH] = ACTIONS(2143),
    [anon_sym_PERCENT] = ACTIONS(2143),
    [anon_sym_STAR_STAR] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2143),
    [anon_sym_LT_EQ] = ACTIONS(2143),
    [anon_sym_EQ_EQ] = ACTIONS(2143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2143),
    [anon_sym_GT_EQ] = ACTIONS(2143),
    [anon_sym_QMARK_QMARK] = ACTIONS(2143),
    [anon_sym_instanceof] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(2143),
    [anon_sym_void] = ACTIONS(2143),
    [anon_sym_delete] = ACTIONS(2143),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2143),
    [sym_number] = ACTIONS(2143),
    [sym_private_property_identifier] = ACTIONS(2143),
    [sym_this] = ACTIONS(2143),
    [sym_super] = ACTIONS(2143),
    [sym_true] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
    [sym_null] = ACTIONS(2143),
    [sym_undefined] = ACTIONS(2143),
    [anon_sym_AT] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2143),
    [anon_sym_readonly] = ACTIONS(2143),
    [anon_sym_get] = ACTIONS(2143),
    [anon_sym_set] = ACTIONS(2143),
    [anon_sym_declare] = ACTIONS(2143),
    [anon_sym_public] = ACTIONS(2143),
    [anon_sym_private] = ACTIONS(2143),
    [anon_sym_protected] = ACTIONS(2143),
    [anon_sym_override] = ACTIONS(2143),
    [anon_sym_module] = ACTIONS(2143),
    [anon_sym_any] = ACTIONS(2143),
    [anon_sym_number] = ACTIONS(2143),
    [anon_sym_boolean] = ACTIONS(2143),
    [anon_sym_string] = ACTIONS(2143),
    [anon_sym_symbol] = ACTIONS(2143),
    [anon_sym_object] = ACTIONS(2143),
    [anon_sym_abstract] = ACTIONS(2143),
    [anon_sym_satisfies] = ACTIONS(2143),
    [anon_sym_interface] = ACTIONS(2143),
    [anon_sym_enum] = ACTIONS(2143),
    [sym__automatic_semicolon] = ACTIONS(2145),
    [sym__ternary_qmark] = ACTIONS(2145),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2707),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7112),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(451),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2441),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym__automatic_semicolon] = ACTIONS(2443),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_comment] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2137),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_as] = ACTIONS(2137),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_COMMA] = ACTIONS(2137),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_GT] = ACTIONS(2137),
    [anon_sym_DOT] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_QMARK_DOT] = ACTIONS(2137),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_AMP_AMP] = ACTIONS(2137),
    [anon_sym_PIPE_PIPE] = ACTIONS(2137),
    [anon_sym_GT_GT] = ACTIONS(2137),
    [anon_sym_GT_GT_GT] = ACTIONS(2137),
    [anon_sym_LT_LT] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_PIPE] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2137),
    [anon_sym_STAR_STAR] = ACTIONS(2137),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_LT_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2137),
    [anon_sym_GT_EQ] = ACTIONS(2137),
    [anon_sym_QMARK_QMARK] = ACTIONS(2137),
    [anon_sym_instanceof] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_satisfies] = ACTIONS(2137),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2445),
    [sym__ternary_qmark] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_comment] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(2271),
    [sym_identifier] = ACTIONS(2097),
    [anon_sym_export] = ACTIONS(2097),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_type] = ACTIONS(2097),
    [anon_sym_as] = ACTIONS(2099),
    [anon_sym_namespace] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_RBRACE] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(2097),
    [anon_sym_import] = ACTIONS(2097),
    [anon_sym_with] = ACTIONS(2097),
    [anon_sym_var] = ACTIONS(2097),
    [anon_sym_let] = ACTIONS(2097),
    [anon_sym_const] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2097),
    [anon_sym_switch] = ACTIONS(2097),
    [anon_sym_for] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2097),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_in] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(2097),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_try] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_debugger] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_throw] = ACTIONS(2097),
    [anon_sym_SEMI] = ACTIONS(2097),
    [anon_sym_yield] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2097),
    [anon_sym_LTtemplate_GT] = ACTIONS(2097),
    [anon_sym_GT] = ACTIONS(2099),
    [anon_sym_DOT] = ACTIONS(2099),
    [anon_sym_DQUOTE] = ACTIONS(2097),
    [anon_sym_SQUOTE] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_function] = ACTIONS(2097),
    [anon_sym_QMARK_DOT] = ACTIONS(2099),
    [anon_sym_new] = ACTIONS(2097),
    [anon_sym_using] = ACTIONS(2097),
    [anon_sym_AMP_AMP] = ACTIONS(2099),
    [anon_sym_PIPE_PIPE] = ACTIONS(2099),
    [anon_sym_GT_GT] = ACTIONS(2099),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_AMP] = ACTIONS(2099),
    [anon_sym_CARET] = ACTIONS(2099),
    [anon_sym_PIPE] = ACTIONS(2099),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_SLASH] = ACTIONS(2097),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_STAR_STAR] = ACTIONS(2099),
    [anon_sym_LT] = ACTIONS(2097),
    [anon_sym_LT_EQ] = ACTIONS(2099),
    [anon_sym_EQ_EQ] = ACTIONS(2099),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2099),
    [anon_sym_BANG_EQ] = ACTIONS(2099),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2099),
    [anon_sym_GT_EQ] = ACTIONS(2099),
    [anon_sym_QMARK_QMARK] = ACTIONS(2099),
    [anon_sym_instanceof] = ACTIONS(2099),
    [anon_sym_TILDE] = ACTIONS(2097),
    [anon_sym_void] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2097),
    [anon_sym_DASH_DASH] = ACTIONS(2097),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2097),
    [sym_number] = ACTIONS(2097),
    [sym_private_property_identifier] = ACTIONS(2097),
    [sym_this] = ACTIONS(2097),
    [sym_super] = ACTIONS(2097),
    [sym_true] = ACTIONS(2097),
    [sym_false] = ACTIONS(2097),
    [sym_null] = ACTIONS(2097),
    [sym_undefined] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2097),
    [anon_sym_static] = ACTIONS(2097),
    [anon_sym_readonly] = ACTIONS(2097),
    [anon_sym_get] = ACTIONS(2097),
    [anon_sym_set] = ACTIONS(2097),
    [anon_sym_declare] = ACTIONS(2097),
    [anon_sym_public] = ACTIONS(2097),
    [anon_sym_private] = ACTIONS(2097),
    [anon_sym_protected] = ACTIONS(2097),
    [anon_sym_override] = ACTIONS(2097),
    [anon_sym_module] = ACTIONS(2097),
    [anon_sym_any] = ACTIONS(2097),
    [anon_sym_number] = ACTIONS(2097),
    [anon_sym_boolean] = ACTIONS(2097),
    [anon_sym_string] = ACTIONS(2097),
    [anon_sym_symbol] = ACTIONS(2097),
    [anon_sym_object] = ACTIONS(2097),
    [anon_sym_abstract] = ACTIONS(2097),
    [anon_sym_satisfies] = ACTIONS(2099),
    [anon_sym_interface] = ACTIONS(2097),
    [anon_sym_enum] = ACTIONS(2097),
    [sym__automatic_semicolon] = ACTIONS(2447),
    [sym__ternary_qmark] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_comment] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(2357),
    [sym_identifier] = ACTIONS(2235),
    [anon_sym_export] = ACTIONS(2235),
    [anon_sym_STAR] = ACTIONS(2237),
    [anon_sym_type] = ACTIONS(2235),
    [anon_sym_as] = ACTIONS(2237),
    [anon_sym_namespace] = ACTIONS(2235),
    [anon_sym_LBRACE] = ACTIONS(2235),
    [anon_sym_COMMA] = ACTIONS(2237),
    [anon_sym_RBRACE] = ACTIONS(2235),
    [anon_sym_typeof] = ACTIONS(2235),
    [anon_sym_import] = ACTIONS(2235),
    [anon_sym_with] = ACTIONS(2235),
    [anon_sym_var] = ACTIONS(2235),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_switch] = ACTIONS(2235),
    [anon_sym_for] = ACTIONS(2235),
    [anon_sym_LPAREN] = ACTIONS(2235),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_in] = ACTIONS(2237),
    [anon_sym_while] = ACTIONS(2235),
    [anon_sym_do] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_break] = ACTIONS(2235),
    [anon_sym_continue] = ACTIONS(2235),
    [anon_sym_debugger] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_throw] = ACTIONS(2235),
    [anon_sym_SEMI] = ACTIONS(2235),
    [anon_sym_yield] = ACTIONS(2235),
    [anon_sym_LBRACK] = ACTIONS(2235),
    [anon_sym_LTtemplate_GT] = ACTIONS(2235),
    [anon_sym_GT] = ACTIONS(2237),
    [anon_sym_DOT] = ACTIONS(2237),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_SQUOTE] = ACTIONS(2235),
    [anon_sym_class] = ACTIONS(2235),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_function] = ACTIONS(2235),
    [anon_sym_QMARK_DOT] = ACTIONS(2237),
    [anon_sym_new] = ACTIONS(2235),
    [anon_sym_using] = ACTIONS(2235),
    [anon_sym_AMP_AMP] = ACTIONS(2237),
    [anon_sym_PIPE_PIPE] = ACTIONS(2237),
    [anon_sym_GT_GT] = ACTIONS(2237),
    [anon_sym_GT_GT_GT] = ACTIONS(2237),
    [anon_sym_LT_LT] = ACTIONS(2237),
    [anon_sym_AMP] = ACTIONS(2237),
    [anon_sym_CARET] = ACTIONS(2237),
    [anon_sym_PIPE] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_SLASH] = ACTIONS(2235),
    [anon_sym_PERCENT] = ACTIONS(2237),
    [anon_sym_STAR_STAR] = ACTIONS(2237),
    [anon_sym_LT] = ACTIONS(2235),
    [anon_sym_LT_EQ] = ACTIONS(2237),
    [anon_sym_EQ_EQ] = ACTIONS(2237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2237),
    [anon_sym_BANG_EQ] = ACTIONS(2237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2237),
    [anon_sym_GT_EQ] = ACTIONS(2237),
    [anon_sym_QMARK_QMARK] = ACTIONS(2237),
    [anon_sym_instanceof] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_void] = ACTIONS(2235),
    [anon_sym_delete] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2235),
    [anon_sym_DASH_DASH] = ACTIONS(2235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2235),
    [sym_number] = ACTIONS(2235),
    [sym_private_property_identifier] = ACTIONS(2235),
    [sym_this] = ACTIONS(2235),
    [sym_super] = ACTIONS(2235),
    [sym_true] = ACTIONS(2235),
    [sym_false] = ACTIONS(2235),
    [sym_null] = ACTIONS(2235),
    [sym_undefined] = ACTIONS(2235),
    [anon_sym_AT] = ACTIONS(2235),
    [anon_sym_static] = ACTIONS(2235),
    [anon_sym_readonly] = ACTIONS(2235),
    [anon_sym_get] = ACTIONS(2235),
    [anon_sym_set] = ACTIONS(2235),
    [anon_sym_declare] = ACTIONS(2235),
    [anon_sym_public] = ACTIONS(2235),
    [anon_sym_private] = ACTIONS(2235),
    [anon_sym_protected] = ACTIONS(2235),
    [anon_sym_override] = ACTIONS(2235),
    [anon_sym_module] = ACTIONS(2235),
    [anon_sym_any] = ACTIONS(2235),
    [anon_sym_number] = ACTIONS(2235),
    [anon_sym_boolean] = ACTIONS(2235),
    [anon_sym_string] = ACTIONS(2235),
    [anon_sym_symbol] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(2235),
    [anon_sym_abstract] = ACTIONS(2235),
    [anon_sym_satisfies] = ACTIONS(2237),
    [anon_sym_interface] = ACTIONS(2235),
    [anon_sym_enum] = ACTIONS(2235),
    [sym__automatic_semicolon] = ACTIONS(2449),
    [sym__ternary_qmark] = ACTIONS(2241),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_comment] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(2261),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_as] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_in] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_GT] = ACTIONS(2259),
    [anon_sym_DOT] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_QMARK_DOT] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_PIPE_PIPE] = ACTIONS(2259),
    [anon_sym_GT_GT] = ACTIONS(2259),
    [anon_sym_GT_GT_GT] = ACTIONS(2259),
    [anon_sym_LT_LT] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2259),
    [anon_sym_PIPE] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_PERCENT] = ACTIONS(2259),
    [anon_sym_STAR_STAR] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_LT_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2259),
    [anon_sym_GT_EQ] = ACTIONS(2259),
    [anon_sym_QMARK_QMARK] = ACTIONS(2259),
    [anon_sym_instanceof] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_satisfies] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(2261),
    [sym__ternary_qmark] = ACTIONS(2261),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_comment] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(2207),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_as] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_COMMA] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_GT] = ACTIONS(2205),
    [anon_sym_DOT] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_QMARK_DOT] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_AMP_AMP] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE] = ACTIONS(2205),
    [anon_sym_GT_GT] = ACTIONS(2205),
    [anon_sym_GT_GT_GT] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_PIPE] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_PERCENT] = ACTIONS(2205),
    [anon_sym_STAR_STAR] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2205),
    [anon_sym_BANG_EQ] = ACTIONS(2205),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2205),
    [anon_sym_GT_EQ] = ACTIONS(2205),
    [anon_sym_QMARK_QMARK] = ACTIONS(2205),
    [anon_sym_instanceof] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_satisfies] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2207),
    [sym__ternary_qmark] = ACTIONS(2207),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_comment] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(2333),
    [sym_identifier] = ACTIONS(2197),
    [anon_sym_export] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_type] = ACTIONS(2197),
    [anon_sym_as] = ACTIONS(2199),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_COMMA] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2197),
    [anon_sym_typeof] = ACTIONS(2197),
    [anon_sym_import] = ACTIONS(2197),
    [anon_sym_with] = ACTIONS(2197),
    [anon_sym_var] = ACTIONS(2197),
    [anon_sym_let] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_in] = ACTIONS(2199),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_debugger] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_yield] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LTtemplate_GT] = ACTIONS(2197),
    [anon_sym_GT] = ACTIONS(2199),
    [anon_sym_DOT] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2197),
    [anon_sym_SQUOTE] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2197),
    [anon_sym_QMARK_DOT] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_using] = ACTIONS(2197),
    [anon_sym_AMP_AMP] = ACTIONS(2199),
    [anon_sym_PIPE_PIPE] = ACTIONS(2199),
    [anon_sym_GT_GT] = ACTIONS(2199),
    [anon_sym_GT_GT_GT] = ACTIONS(2199),
    [anon_sym_LT_LT] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_PERCENT] = ACTIONS(2199),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_LT_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2199),
    [anon_sym_GT_EQ] = ACTIONS(2199),
    [anon_sym_QMARK_QMARK] = ACTIONS(2199),
    [anon_sym_instanceof] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_void] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2197),
    [sym_number] = ACTIONS(2197),
    [sym_private_property_identifier] = ACTIONS(2197),
    [sym_this] = ACTIONS(2197),
    [sym_super] = ACTIONS(2197),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [sym_null] = ACTIONS(2197),
    [sym_undefined] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_readonly] = ACTIONS(2197),
    [anon_sym_get] = ACTIONS(2197),
    [anon_sym_set] = ACTIONS(2197),
    [anon_sym_declare] = ACTIONS(2197),
    [anon_sym_public] = ACTIONS(2197),
    [anon_sym_private] = ACTIONS(2197),
    [anon_sym_protected] = ACTIONS(2197),
    [anon_sym_override] = ACTIONS(2197),
    [anon_sym_module] = ACTIONS(2197),
    [anon_sym_any] = ACTIONS(2197),
    [anon_sym_number] = ACTIONS(2197),
    [anon_sym_boolean] = ACTIONS(2197),
    [anon_sym_string] = ACTIONS(2197),
    [anon_sym_symbol] = ACTIONS(2197),
    [anon_sym_object] = ACTIONS(2197),
    [anon_sym_abstract] = ACTIONS(2197),
    [anon_sym_satisfies] = ACTIONS(2199),
    [anon_sym_interface] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
    [sym__automatic_semicolon] = ACTIONS(2451),
    [sym__ternary_qmark] = ACTIONS(2203),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2527),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6670),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(458),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2453),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym__automatic_semicolon] = ACTIONS(2455),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_comment] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_export] = ACTIONS(2189),
    [anon_sym_STAR] = ACTIONS(2191),
    [anon_sym_type] = ACTIONS(2189),
    [anon_sym_as] = ACTIONS(2191),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_COMMA] = ACTIONS(2191),
    [anon_sym_RBRACE] = ACTIONS(2189),
    [anon_sym_typeof] = ACTIONS(2189),
    [anon_sym_import] = ACTIONS(2189),
    [anon_sym_with] = ACTIONS(2189),
    [anon_sym_var] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_in] = ACTIONS(2191),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_debugger] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2189),
    [anon_sym_yield] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_LTtemplate_GT] = ACTIONS(2189),
    [anon_sym_GT] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2189),
    [anon_sym_SQUOTE] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_function] = ACTIONS(2189),
    [anon_sym_QMARK_DOT] = ACTIONS(2191),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_using] = ACTIONS(2189),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [anon_sym_GT_GT] = ACTIONS(2191),
    [anon_sym_GT_GT_GT] = ACTIONS(2191),
    [anon_sym_LT_LT] = ACTIONS(2191),
    [anon_sym_AMP] = ACTIONS(2191),
    [anon_sym_CARET] = ACTIONS(2191),
    [anon_sym_PIPE] = ACTIONS(2191),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_SLASH] = ACTIONS(2189),
    [anon_sym_PERCENT] = ACTIONS(2191),
    [anon_sym_STAR_STAR] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2189),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2191),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_QMARK_QMARK] = ACTIONS(2191),
    [anon_sym_instanceof] = ACTIONS(2191),
    [anon_sym_TILDE] = ACTIONS(2189),
    [anon_sym_void] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2189),
    [sym_number] = ACTIONS(2189),
    [sym_private_property_identifier] = ACTIONS(2189),
    [sym_this] = ACTIONS(2189),
    [sym_super] = ACTIONS(2189),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [sym_null] = ACTIONS(2189),
    [sym_undefined] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2189),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_readonly] = ACTIONS(2189),
    [anon_sym_get] = ACTIONS(2189),
    [anon_sym_set] = ACTIONS(2189),
    [anon_sym_declare] = ACTIONS(2189),
    [anon_sym_public] = ACTIONS(2189),
    [anon_sym_private] = ACTIONS(2189),
    [anon_sym_protected] = ACTIONS(2189),
    [anon_sym_override] = ACTIONS(2189),
    [anon_sym_module] = ACTIONS(2189),
    [anon_sym_any] = ACTIONS(2189),
    [anon_sym_number] = ACTIONS(2189),
    [anon_sym_boolean] = ACTIONS(2189),
    [anon_sym_string] = ACTIONS(2189),
    [anon_sym_symbol] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_abstract] = ACTIONS(2189),
    [anon_sym_satisfies] = ACTIONS(2191),
    [anon_sym_interface] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
    [sym__automatic_semicolon] = ACTIONS(2457),
    [sym__ternary_qmark] = ACTIONS(2195),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_comment] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(2255),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2253),
    [anon_sym_STAR] = ACTIONS(2253),
    [anon_sym_type] = ACTIONS(2253),
    [anon_sym_as] = ACTIONS(2253),
    [anon_sym_namespace] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_COMMA] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_typeof] = ACTIONS(2253),
    [anon_sym_import] = ACTIONS(2253),
    [anon_sym_with] = ACTIONS(2253),
    [anon_sym_var] = ACTIONS(2253),
    [anon_sym_let] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_switch] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_in] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_debugger] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_throw] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_yield] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LTtemplate_GT] = ACTIONS(2253),
    [anon_sym_GT] = ACTIONS(2253),
    [anon_sym_DOT] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(2253),
    [anon_sym_SQUOTE] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2253),
    [anon_sym_QMARK_DOT] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2253),
    [anon_sym_using] = ACTIONS(2253),
    [anon_sym_AMP_AMP] = ACTIONS(2253),
    [anon_sym_PIPE_PIPE] = ACTIONS(2253),
    [anon_sym_GT_GT] = ACTIONS(2253),
    [anon_sym_GT_GT_GT] = ACTIONS(2253),
    [anon_sym_LT_LT] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_PIPE] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_SLASH] = ACTIONS(2253),
    [anon_sym_PERCENT] = ACTIONS(2253),
    [anon_sym_STAR_STAR] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(2253),
    [anon_sym_LT_EQ] = ACTIONS(2253),
    [anon_sym_EQ_EQ] = ACTIONS(2253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2253),
    [anon_sym_BANG_EQ] = ACTIONS(2253),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2253),
    [anon_sym_GT_EQ] = ACTIONS(2253),
    [anon_sym_QMARK_QMARK] = ACTIONS(2253),
    [anon_sym_instanceof] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_void] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [sym_private_property_identifier] = ACTIONS(2253),
    [sym_this] = ACTIONS(2253),
    [sym_super] = ACTIONS(2253),
    [sym_true] = ACTIONS(2253),
    [sym_false] = ACTIONS(2253),
    [sym_null] = ACTIONS(2253),
    [sym_undefined] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_static] = ACTIONS(2253),
    [anon_sym_readonly] = ACTIONS(2253),
    [anon_sym_get] = ACTIONS(2253),
    [anon_sym_set] = ACTIONS(2253),
    [anon_sym_declare] = ACTIONS(2253),
    [anon_sym_public] = ACTIONS(2253),
    [anon_sym_private] = ACTIONS(2253),
    [anon_sym_protected] = ACTIONS(2253),
    [anon_sym_override] = ACTIONS(2253),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_any] = ACTIONS(2253),
    [anon_sym_number] = ACTIONS(2253),
    [anon_sym_boolean] = ACTIONS(2253),
    [anon_sym_string] = ACTIONS(2253),
    [anon_sym_symbol] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2253),
    [anon_sym_satisfies] = ACTIONS(2253),
    [anon_sym_interface] = ACTIONS(2253),
    [anon_sym_enum] = ACTIONS(2253),
    [sym__automatic_semicolon] = ACTIONS(2255),
    [sym__ternary_qmark] = ACTIONS(2255),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2727),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7516),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(461),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2459),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2275),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2275),
    [sym_subscript_expression] = STATE(2275),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(6091),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(462),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2275),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2461),
    [anon_sym_export] = ACTIONS(2463),
    [anon_sym_type] = ACTIONS(2463),
    [anon_sym_namespace] = ACTIONS(2465),
    [anon_sym_LBRACE] = ACTIONS(2467),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2469),
    [anon_sym_let] = ACTIONS(2471),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2477),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2479),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(2481),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2463),
    [anon_sym_readonly] = ACTIONS(2463),
    [anon_sym_get] = ACTIONS(2463),
    [anon_sym_set] = ACTIONS(2463),
    [anon_sym_declare] = ACTIONS(2463),
    [anon_sym_public] = ACTIONS(2463),
    [anon_sym_private] = ACTIONS(2463),
    [anon_sym_protected] = ACTIONS(2463),
    [anon_sym_override] = ACTIONS(2463),
    [anon_sym_module] = ACTIONS(2463),
    [anon_sym_any] = ACTIONS(2463),
    [anon_sym_number] = ACTIONS(2463),
    [anon_sym_boolean] = ACTIONS(2463),
    [anon_sym_string] = ACTIONS(2463),
    [anon_sym_symbol] = ACTIONS(2463),
    [anon_sym_object] = ACTIONS(2463),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2801),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7366),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(463),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2483),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2816),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7369),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(464),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2485),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2753),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7618),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(465),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2487),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2722),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7615),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(466),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2489),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2621),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2460),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(467),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2803),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7534),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(468),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2562),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2498),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(469),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2623),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2458),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(470),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3060),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2535),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(471),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3136),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2927),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(472),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2635),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3245),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(473),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3096),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2538),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(474),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2615),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2725),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(475),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3099),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2539),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(476),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2621),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2724),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(477),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2623),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2720),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(478),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2659),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3198),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(479),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3106),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2544),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(480),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3060),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2988),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(481),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3096),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2991),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(482),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3106),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2992),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(483),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2430),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7587),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(484),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2706),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7109),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(485),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2810),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7217),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(486),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2562),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3064),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(487),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2615),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3120),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(488),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2372),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7309),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(489),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2719),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7590),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(490),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2770),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(491),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym__extends_clause_single] = STATE(5610),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2621),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3127),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(492),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2659),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2441),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(493),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2623),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3129),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(494),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2623),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2979),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(495),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2717),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7399),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(496),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2621),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2980),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(497),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2615),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2981),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(498),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2770),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(499),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym__extends_clause_single] = STATE(5884),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2635),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3346),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(500),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3060),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2557),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(501),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2786),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7532),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(502),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2562),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2987),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(503),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2659),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2748),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(504),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2635),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3241),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(505),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2659),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3342),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(506),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2760),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7466),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(507),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2615),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2466),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(508),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2623),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3169),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(509),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2621),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3166),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(510),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7448),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(511),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2807),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7450),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(512),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2783),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7407),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(513),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2615),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3165),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(514),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2766),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7455),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(515),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3063),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2972),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(516),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2659),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3012),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(517),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2679),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6669),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(518),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2436),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7627),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(519),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3136),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(520),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3099),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2526),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(521),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2562),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2800),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(522),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3099),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3047),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(523),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2635),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3018),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(524),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2562),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3357),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(525),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2615),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3351),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(526),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2621),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3349),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(527),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2623),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3345),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(528),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2659),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3260),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(529),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2684),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(7123),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(530),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2447),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7503),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(531),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3106),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2573),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(532),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3096),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2572),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(533),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2392),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7483),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(534),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2815),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7402),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(535),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3063),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2530),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(536),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2660),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6686),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(537),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3167),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(538),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_mapped_type_clause] = STATE(7183),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2503),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [sym_html_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2562),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3186),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(539),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3063),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2549),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(540),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_import] = STATE(4231),
    [sym_statement_block] = STATE(3136),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2705),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(541),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2551),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_sequence_expression] = STATE(6914),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(542),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2635),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2769),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(543),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_import] = STATE(4404),
    [sym_statement_block] = STATE(2635),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2382),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(544),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2777),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7336),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(545),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2746),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_sequence_expression] = STATE(7538),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(546),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3167),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(547),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_mapped_type_clause] = STATE(7573),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2507),
    [anon_sym_export] = ACTIONS(2509),
    [anon_sym_type] = ACTIONS(2509),
    [anon_sym_namespace] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2513),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2515),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2509),
    [anon_sym_readonly] = ACTIONS(2509),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_declare] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_module] = ACTIONS(2509),
    [anon_sym_any] = ACTIONS(2509),
    [anon_sym_number] = ACTIONS(2509),
    [anon_sym_boolean] = ACTIONS(2509),
    [anon_sym_string] = ACTIONS(2509),
    [anon_sym_symbol] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2509),
    [sym_html_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2998),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(548),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3014),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(549),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2555),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(550),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2534),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(551),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2579),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(552),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(553),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2581),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(554),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2384),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(555),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3284),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(556),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2550),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(557),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2547),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(558),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3401),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(559),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2517),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2718),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(560),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2546),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(561),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2543),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(562),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2561),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(563),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2574),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(564),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2612),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(565),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2620),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(566),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(567),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2681),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(568),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2693),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(569),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3144),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(570),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2278),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2278),
    [sym_subscript_expression] = STATE(2278),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7382),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(571),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2278),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2519),
    [anon_sym_export] = ACTIONS(2521),
    [anon_sym_type] = ACTIONS(2521),
    [anon_sym_namespace] = ACTIONS(2523),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2521),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2525),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2527),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(2529),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2521),
    [anon_sym_readonly] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_declare] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_module] = ACTIONS(2521),
    [anon_sym_any] = ACTIONS(2521),
    [anon_sym_number] = ACTIONS(2521),
    [anon_sym_boolean] = ACTIONS(2521),
    [anon_sym_string] = ACTIONS(2521),
    [anon_sym_symbol] = ACTIONS(2521),
    [anon_sym_object] = ACTIONS(2521),
    [sym_html_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(572),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2531),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2599),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(573),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2571),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(574),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2851),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(575),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2662),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(576),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2736),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(577),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3156),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(578),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2277),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7179),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(579),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2277),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_export] = ACTIONS(2535),
    [anon_sym_type] = ACTIONS(2535),
    [anon_sym_namespace] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2535),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2539),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2541),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(2543),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2535),
    [anon_sym_readonly] = ACTIONS(2535),
    [anon_sym_get] = ACTIONS(2535),
    [anon_sym_set] = ACTIONS(2535),
    [anon_sym_declare] = ACTIONS(2535),
    [anon_sym_public] = ACTIONS(2535),
    [anon_sym_private] = ACTIONS(2535),
    [anon_sym_protected] = ACTIONS(2535),
    [anon_sym_override] = ACTIONS(2535),
    [anon_sym_module] = ACTIONS(2535),
    [anon_sym_any] = ACTIONS(2535),
    [anon_sym_number] = ACTIONS(2535),
    [anon_sym_boolean] = ACTIONS(2535),
    [anon_sym_string] = ACTIONS(2535),
    [anon_sym_symbol] = ACTIONS(2535),
    [anon_sym_object] = ACTIONS(2535),
    [sym_html_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2708),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(580),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2715),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(581),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2545),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3321),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(582),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2726),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(583),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2768),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(584),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2759),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(585),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3150),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(586),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2282),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2282),
    [sym_subscript_expression] = STATE(2282),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7498),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(587),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2282),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2547),
    [anon_sym_export] = ACTIONS(2549),
    [anon_sym_type] = ACTIONS(2549),
    [anon_sym_namespace] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2549),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2553),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(2557),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2549),
    [anon_sym_readonly] = ACTIONS(2549),
    [anon_sym_get] = ACTIONS(2549),
    [anon_sym_set] = ACTIONS(2549),
    [anon_sym_declare] = ACTIONS(2549),
    [anon_sym_public] = ACTIONS(2549),
    [anon_sym_private] = ACTIONS(2549),
    [anon_sym_protected] = ACTIONS(2549),
    [anon_sym_override] = ACTIONS(2549),
    [anon_sym_module] = ACTIONS(2549),
    [anon_sym_any] = ACTIONS(2549),
    [anon_sym_number] = ACTIONS(2549),
    [anon_sym_boolean] = ACTIONS(2549),
    [anon_sym_string] = ACTIONS(2549),
    [anon_sym_symbol] = ACTIONS(2549),
    [anon_sym_object] = ACTIONS(2549),
    [sym_html_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3078),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(588),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3143),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(589),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [590] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2629),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(590),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [591] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3142),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(591),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [592] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2716),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(592),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [593] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2280),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2280),
    [sym_subscript_expression] = STATE(2280),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7348),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(593),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2280),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2559),
    [anon_sym_export] = ACTIONS(2561),
    [anon_sym_type] = ACTIONS(2561),
    [anon_sym_namespace] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2561),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(2569),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2561),
    [anon_sym_readonly] = ACTIONS(2561),
    [anon_sym_get] = ACTIONS(2561),
    [anon_sym_set] = ACTIONS(2561),
    [anon_sym_declare] = ACTIONS(2561),
    [anon_sym_public] = ACTIONS(2561),
    [anon_sym_private] = ACTIONS(2561),
    [anon_sym_protected] = ACTIONS(2561),
    [anon_sym_override] = ACTIONS(2561),
    [anon_sym_module] = ACTIONS(2561),
    [anon_sym_any] = ACTIONS(2561),
    [anon_sym_number] = ACTIONS(2561),
    [anon_sym_boolean] = ACTIONS(2561),
    [anon_sym_string] = ACTIONS(2561),
    [anon_sym_symbol] = ACTIONS(2561),
    [anon_sym_object] = ACTIONS(2561),
    [sym_html_comment] = ACTIONS(5),
  },
  [594] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2639),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(594),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [595] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(595),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [596] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3137),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(596),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [597] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2811),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(597),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [598] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(598),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2517),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [599] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2633),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(599),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [600] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3038),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(600),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [601] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3142),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(601),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2545),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [602] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2598),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(602),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2571),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [603] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2953),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(603),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [604] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2658),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(604),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [605] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2949),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(605),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [606] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2975),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(606),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [607] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2796),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(607),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [608] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3132),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(608),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [609] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3131),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(609),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [610] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2794),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(610),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [611] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3019),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(611),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [612] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3021),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(612),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [613] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3026),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(613),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [614] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3004),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(614),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [615] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2836),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(615),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [616] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2846),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(616),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [617] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3130),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(617),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [618] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3343),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(618),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [619] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2859),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(619),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [620] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2866),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(620),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [621] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2900),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(621),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [622] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3117),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(622),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [623] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2905),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(623),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [624] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2947),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(624),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [625] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2779),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(625),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [626] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3167),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(626),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [627] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2650),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(627),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [628] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3217),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(628),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [629] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(629),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [630] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2993),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(630),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [631] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3009),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(631),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [632] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3068),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(632),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [633] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2582),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(633),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [634] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2584),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(634),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [635] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3105),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(635),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [636] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3076),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(636),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [637] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2775),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(637),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [638] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3015),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(638),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2571),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [639] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2576),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(639),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [640] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2648),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(640),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [641] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2598),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(641),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [642] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2773),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(642),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [643] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2808),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(643),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [644] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2974),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(644),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [645] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3077),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(645),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [646] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2608),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(646),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [647] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2765),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(647),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [648] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3079),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(648),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [649] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2763),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(649),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [650] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2761),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(650),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [651] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2757),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(651),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [652] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(652),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2573),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [653] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2755),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(653),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [654] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3396),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(654),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [655] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3362),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(655),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [656] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(656),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [657] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3080),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(657),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [658] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3328),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(658),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [659] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3327),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(659),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [660] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2745),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(660),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [661] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3163),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(661),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [662] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2805),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(662),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [663] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3084),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(663),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [664] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3392),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(664),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [665] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3391),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(665),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [666] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3389),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(666),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [667] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3271),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(667),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [668] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3386),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(668),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [669] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3385),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(669),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [670] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3384),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(670),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [671] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3089),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(671),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [672] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3119),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(672),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [673] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3383),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(673),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [674] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3382),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(674),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [675] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3381),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(675),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [676] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3380),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(676),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [677] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3138),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(677),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [678] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2738),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(678),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [679] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2554),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(679),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [680] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3154),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(680),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [681] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3196),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(681),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [682] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2646),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(682),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [683] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3361),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(683),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [684] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3267),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(684),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [685] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3358),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(685),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [686] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3354),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(686),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [687] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3259),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(687),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [688] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3282),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(688),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [689] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3195),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(689),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [690] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3205),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(690),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [691] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3211),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(691),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [692] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3212),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3824),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7545),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(692),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1590),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1608),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_object] = ACTIONS(1584),
    [sym_html_comment] = ACTIONS(5),
  },
  [693] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2414),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(693),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [694] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3247),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(694),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [695] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3344),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(695),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [696] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2540),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(696),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [697] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3242),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(697),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [698] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3240),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(698),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [699] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3239),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(699),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [700] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2440),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(700),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [701] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3128),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(701),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [702] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3237),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(702),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [703] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2442),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(703),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [704] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3401),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(704),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2545),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [705] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2449),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(705),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [706] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2474),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(706),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [707] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3226),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(707),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [708] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3338),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(708),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [709] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2618),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(709),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [710] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2625),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(710),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [711] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(711),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [712] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2581),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(712),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2571),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [713] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(713),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [714] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2712),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(714),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [715] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2772),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(715),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [716] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3225),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(716),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [717] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3149),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(717),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [718] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2715),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(718),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [719] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2589),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(719),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [720] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3210),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(720),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [721] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2600),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(721),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [722] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2631),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(722),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [723] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3056),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(723),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [724] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2554),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(5304),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(724),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2168),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2575),
    [anon_sym_export] = ACTIONS(1708),
    [anon_sym_type] = ACTIONS(1708),
    [anon_sym_namespace] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1708),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1714),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2577),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1708),
    [anon_sym_readonly] = ACTIONS(1708),
    [anon_sym_get] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_declare] = ACTIONS(1708),
    [anon_sym_public] = ACTIONS(1708),
    [anon_sym_private] = ACTIONS(1708),
    [anon_sym_protected] = ACTIONS(1708),
    [anon_sym_override] = ACTIONS(1708),
    [anon_sym_module] = ACTIONS(1708),
    [anon_sym_any] = ACTIONS(1708),
    [anon_sym_number] = ACTIONS(1708),
    [anon_sym_boolean] = ACTIONS(1708),
    [anon_sym_string] = ACTIONS(1708),
    [anon_sym_symbol] = ACTIONS(1708),
    [anon_sym_object] = ACTIONS(1708),
    [sym_html_comment] = ACTIONS(5),
  },
  [725] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2965),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(725),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [726] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3188),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(726),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [727] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2628),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(727),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [728] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2634),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(728),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [729] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2774),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(729),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [730] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2683),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(730),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [731] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3190),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(731),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [732] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2478),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(732),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [733] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2483),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(733),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [734] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2484),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(734),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [735] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3401),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(735),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [736] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3402),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(736),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [737] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2485),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(737),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [738] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2750),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(738),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [739] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2689),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(739),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [740] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2607),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(740),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [741] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2531),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(741),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [742] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3401),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2040),
    [sym_subscript_expression] = STATE(2040),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7266),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(742),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2040),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2573),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [743] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2276),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2276),
    [sym_subscript_expression] = STATE(2276),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7236),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(743),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2276),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2581),
    [anon_sym_export] = ACTIONS(2583),
    [anon_sym_type] = ACTIONS(2583),
    [anon_sym_namespace] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2583),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2587),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2589),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(2591),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_readonly] = ACTIONS(2583),
    [anon_sym_get] = ACTIONS(2583),
    [anon_sym_set] = ACTIONS(2583),
    [anon_sym_declare] = ACTIONS(2583),
    [anon_sym_public] = ACTIONS(2583),
    [anon_sym_private] = ACTIONS(2583),
    [anon_sym_protected] = ACTIONS(2583),
    [anon_sym_override] = ACTIONS(2583),
    [anon_sym_module] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2583),
    [anon_sym_number] = ACTIONS(2583),
    [anon_sym_boolean] = ACTIONS(2583),
    [anon_sym_string] = ACTIONS(2583),
    [anon_sym_symbol] = ACTIONS(2583),
    [anon_sym_object] = ACTIONS(2583),
    [sym_html_comment] = ACTIONS(5),
  },
  [744] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2812),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(744),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [745] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3185),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(745),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [746] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2782),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7189),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3882),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7218),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(746),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [747] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3176),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(747),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [748] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2487),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(748),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [749] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(2961),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(749),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [750] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3016),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(750),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [751] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2183),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7170),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2183),
    [sym_subscript_expression] = STATE(2183),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3865),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7171),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(751),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2183),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1410),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_void] = ACTIONS(1400),
    [anon_sym_delete] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1426),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_declare] = ACTIONS(1392),
    [anon_sym_public] = ACTIONS(1392),
    [anon_sym_private] = ACTIONS(1392),
    [anon_sym_protected] = ACTIONS(1392),
    [anon_sym_override] = ACTIONS(1392),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_any] = ACTIONS(1392),
    [anon_sym_number] = ACTIONS(1392),
    [anon_sym_boolean] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_symbol] = ACTIONS(1392),
    [anon_sym_object] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [752] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3013),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(752),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [753] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3011),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(753),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [754] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(754),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [755] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2489),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(755),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [756] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2439),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(756),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [757] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3007),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(757),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [758] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3174),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(758),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [759] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3005),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(759),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [760] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3003),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(760),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [761] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3175),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(761),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [762] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3002),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(762),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [763] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3000),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(763),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [764] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2997),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(764),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [765] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3078),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(765),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2545),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [766] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2996),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(766),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [767] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2995),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(767),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [768] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2994),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(768),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [769] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2985),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(769),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [770] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3023),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(770),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [771] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3015),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(771),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [772] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3264),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(772),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [773] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2978),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(773),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [774] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(3112),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3822),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7470),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(774),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2271),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_void] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1470),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_readonly] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_declare] = ACTIONS(1438),
    [anon_sym_public] = ACTIONS(1438),
    [anon_sym_private] = ACTIONS(1438),
    [anon_sym_protected] = ACTIONS(1438),
    [anon_sym_override] = ACTIONS(1438),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_any] = ACTIONS(1438),
    [anon_sym_number] = ACTIONS(1438),
    [anon_sym_boolean] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_symbol] = ACTIONS(1438),
    [anon_sym_object] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [775] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2977),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(775),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [776] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2969),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(776),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2545),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [777] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2976),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(777),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [778] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(778),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [779] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2281),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2281),
    [sym_subscript_expression] = STATE(2281),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7515),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(779),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2281),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2593),
    [anon_sym_export] = ACTIONS(2595),
    [anon_sym_type] = ACTIONS(2595),
    [anon_sym_namespace] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2595),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2599),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2601),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(2603),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2595),
    [anon_sym_readonly] = ACTIONS(2595),
    [anon_sym_get] = ACTIONS(2595),
    [anon_sym_set] = ACTIONS(2595),
    [anon_sym_declare] = ACTIONS(2595),
    [anon_sym_public] = ACTIONS(2595),
    [anon_sym_private] = ACTIONS(2595),
    [anon_sym_protected] = ACTIONS(2595),
    [anon_sym_override] = ACTIONS(2595),
    [anon_sym_module] = ACTIONS(2595),
    [anon_sym_any] = ACTIONS(2595),
    [anon_sym_number] = ACTIONS(2595),
    [anon_sym_boolean] = ACTIONS(2595),
    [anon_sym_string] = ACTIONS(2595),
    [anon_sym_symbol] = ACTIONS(2595),
    [anon_sym_object] = ACTIONS(2595),
    [sym_html_comment] = ACTIONS(5),
  },
  [780] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2969),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(780),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [781] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(2968),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(781),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [782] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2493),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(782),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [783] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2494),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(783),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [784] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2678),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(784),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [785] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2279),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2279),
    [sym_subscript_expression] = STATE(2279),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7605),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(785),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2279),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_export] = ACTIONS(2607),
    [anon_sym_type] = ACTIONS(2607),
    [anon_sym_namespace] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2611),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2613),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(2615),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2607),
    [anon_sym_readonly] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2607),
    [anon_sym_set] = ACTIONS(2607),
    [anon_sym_declare] = ACTIONS(2607),
    [anon_sym_public] = ACTIONS(2607),
    [anon_sym_private] = ACTIONS(2607),
    [anon_sym_protected] = ACTIONS(2607),
    [anon_sym_override] = ACTIONS(2607),
    [anon_sym_module] = ACTIONS(2607),
    [anon_sym_any] = ACTIONS(2607),
    [anon_sym_number] = ACTIONS(2607),
    [anon_sym_boolean] = ACTIONS(2607),
    [anon_sym_string] = ACTIONS(2607),
    [anon_sym_symbol] = ACTIONS(2607),
    [anon_sym_object] = ACTIONS(2607),
    [sym_html_comment] = ACTIONS(5),
  },
  [786] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2216),
    [sym_expression] = STATE(3027),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7358),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2216),
    [sym_subscript_expression] = STATE(2216),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3845),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7360),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(786),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2216),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1514),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [787] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2495),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(787),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [788] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2970),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(788),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [789] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2737),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(789),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [790] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(790),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2545),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [791] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2283),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2283),
    [sym_subscript_expression] = STATE(2283),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7211),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(791),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2283),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_export] = ACTIONS(2619),
    [anon_sym_type] = ACTIONS(2619),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2623),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(2627),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2619),
    [anon_sym_readonly] = ACTIONS(2619),
    [anon_sym_get] = ACTIONS(2619),
    [anon_sym_set] = ACTIONS(2619),
    [anon_sym_declare] = ACTIONS(2619),
    [anon_sym_public] = ACTIONS(2619),
    [anon_sym_private] = ACTIONS(2619),
    [anon_sym_protected] = ACTIONS(2619),
    [anon_sym_override] = ACTIONS(2619),
    [anon_sym_module] = ACTIONS(2619),
    [anon_sym_any] = ACTIONS(2619),
    [anon_sym_number] = ACTIONS(2619),
    [anon_sym_boolean] = ACTIONS(2619),
    [anon_sym_string] = ACTIONS(2619),
    [anon_sym_symbol] = ACTIONS(2619),
    [anon_sym_object] = ACTIONS(2619),
    [sym_html_comment] = ACTIONS(5),
  },
  [792] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(792),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [793] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(793),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [794] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2374),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(794),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [795] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3071),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(795),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [796] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2501),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(796),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [797] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2453),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(797),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [798] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7167),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3920),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7422),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(798),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2222),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(1574),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1548),
    [anon_sym_readonly] = ACTIONS(1548),
    [anon_sym_get] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_declare] = ACTIONS(1548),
    [anon_sym_public] = ACTIONS(1548),
    [anon_sym_private] = ACTIONS(1548),
    [anon_sym_protected] = ACTIONS(1548),
    [anon_sym_override] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_any] = ACTIONS(1548),
    [anon_sym_number] = ACTIONS(1548),
    [anon_sym_boolean] = ACTIONS(1548),
    [anon_sym_string] = ACTIONS(1548),
    [anon_sym_symbol] = ACTIONS(1548),
    [anon_sym_object] = ACTIONS(1548),
    [sym_html_comment] = ACTIONS(5),
  },
  [799] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2819),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(799),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [800] = {
    [sym_import] = STATE(4231),
    [sym_parenthesized_expression] = STATE(2163),
    [sym_expression] = STATE(2731),
    [sym_primary_expression] = STATE(2922),
    [sym_yield_expression] = STATE(3057),
    [sym_object] = STATE(3310),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(3310),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(3057),
    [sym_glimmer_opening_tag] = STATE(5605),
    [sym_jsx_element] = STATE(3057),
    [sym_jsx_opening_element] = STATE(4017),
    [sym_jsx_self_closing_element] = STATE(3057),
    [sym_class] = STATE(3310),
    [sym_function_expression] = STATE(3310),
    [sym_generator_function] = STATE(3310),
    [sym_arrow_function] = STATE(3310),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3310),
    [sym_new_expression] = STATE(3057),
    [sym_await_expression] = STATE(3057),
    [sym_member_expression] = STATE(2163),
    [sym_subscript_expression] = STATE(2163),
    [sym_assignment_expression] = STATE(3057),
    [sym__augmented_assignment_lhs] = STATE(3826),
    [sym_augmented_assignment_expression] = STATE(3057),
    [sym__destructuring_pattern] = STATE(7473),
    [sym_ternary_expression] = STATE(3057),
    [sym_binary_expression] = STATE(3057),
    [sym_unary_expression] = STATE(3057),
    [sym_update_expression] = STATE(3057),
    [sym_string] = STATE(3310),
    [sym_comment] = STATE(800),
    [sym_template_string] = STATE(3310),
    [sym_regex] = STATE(3310),
    [sym_meta_property] = STATE(3310),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2163),
    [sym_as_expression] = STATE(3057),
    [sym_satisfies_expression] = STATE(3057),
    [sym_instantiation_expression] = STATE(3057),
    [sym_internal_module] = STATE(3057),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5686),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [801] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2907),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(801),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [802] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(2936),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7262),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3843),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7242),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(802),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2146),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [803] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(7173),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(803),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2284),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2629),
    [anon_sym_export] = ACTIONS(2631),
    [anon_sym_type] = ACTIONS(2631),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2635),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(2639),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2631),
    [anon_sym_readonly] = ACTIONS(2631),
    [anon_sym_get] = ACTIONS(2631),
    [anon_sym_set] = ACTIONS(2631),
    [anon_sym_declare] = ACTIONS(2631),
    [anon_sym_public] = ACTIONS(2631),
    [anon_sym_private] = ACTIONS(2631),
    [anon_sym_protected] = ACTIONS(2631),
    [anon_sym_override] = ACTIONS(2631),
    [anon_sym_module] = ACTIONS(2631),
    [anon_sym_any] = ACTIONS(2631),
    [anon_sym_number] = ACTIONS(2631),
    [anon_sym_boolean] = ACTIONS(2631),
    [anon_sym_string] = ACTIONS(2631),
    [anon_sym_symbol] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2631),
    [sym_html_comment] = ACTIONS(5),
  },
  [804] = {
    [sym_import] = STATE(4404),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2390),
    [sym_yield_expression] = STATE(2654),
    [sym_object] = STATE(2665),
    [sym_object_pattern] = STATE(4237),
    [sym_array] = STATE(2665),
    [sym_array_pattern] = STATE(4237),
    [sym_glimmer_template] = STATE(2654),
    [sym_glimmer_opening_tag] = STATE(5721),
    [sym_jsx_element] = STATE(2654),
    [sym_jsx_opening_element] = STATE(3981),
    [sym_jsx_self_closing_element] = STATE(2654),
    [sym_class] = STATE(2665),
    [sym_function_expression] = STATE(2665),
    [sym_generator_function] = STATE(2665),
    [sym_arrow_function] = STATE(2665),
    [sym__call_signature] = STATE(7244),
    [sym_call_expression] = STATE(2665),
    [sym_new_expression] = STATE(2654),
    [sym_await_expression] = STATE(2654),
    [sym_member_expression] = STATE(2083),
    [sym_subscript_expression] = STATE(2083),
    [sym_assignment_expression] = STATE(2654),
    [sym__augmented_assignment_lhs] = STATE(3907),
    [sym_augmented_assignment_expression] = STATE(2654),
    [sym__destructuring_pattern] = STATE(4684),
    [sym_ternary_expression] = STATE(2654),
    [sym_binary_expression] = STATE(2654),
    [sym_unary_expression] = STATE(2654),
    [sym_update_expression] = STATE(2654),
    [sym_string] = STATE(2665),
    [sym_comment] = STATE(804),
    [sym_template_string] = STATE(2665),
    [sym_regex] = STATE(2665),
    [sym_meta_property] = STATE(2665),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4826),
    [sym_non_null_expression] = STATE(2083),
    [sym_as_expression] = STATE(2654),
    [sym_satisfies_expression] = STATE(2654),
    [sym_instantiation_expression] = STATE(2654),
    [sym_internal_module] = STATE(2654),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_export_statement_repeat1] = STATE(5678),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_export] = ACTIONS(2643),
    [anon_sym_type] = ACTIONS(2643),
    [anon_sym_namespace] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2647),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(190),
    [sym_private_property_identifier] = ACTIONS(186),
    [sym_this] = ACTIONS(190),
    [sym_super] = ACTIONS(190),
    [sym_true] = ACTIONS(190),
    [sym_false] = ACTIONS(190),
    [sym_null] = ACTIONS(190),
    [sym_undefined] = ACTIONS(2651),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2643),
    [anon_sym_readonly] = ACTIONS(2643),
    [anon_sym_get] = ACTIONS(2643),
    [anon_sym_set] = ACTIONS(2643),
    [anon_sym_declare] = ACTIONS(2643),
    [anon_sym_public] = ACTIONS(2643),
    [anon_sym_private] = ACTIONS(2643),
    [anon_sym_protected] = ACTIONS(2643),
    [anon_sym_override] = ACTIONS(2643),
    [anon_sym_module] = ACTIONS(2643),
    [anon_sym_any] = ACTIONS(2643),
    [anon_sym_number] = ACTIONS(2643),
    [anon_sym_boolean] = ACTIONS(2643),
    [anon_sym_string] = ACTIONS(2643),
    [anon_sym_symbol] = ACTIONS(2643),
    [anon_sym_object] = ACTIONS(2643),
    [sym_html_comment] = ACTIONS(5),
  },
  [805] = {
    [sym_namespace_export] = STATE(6727),
    [sym_export_clause] = STATE(5557),
    [sym_declaration] = STATE(1549),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_class_declaration] = STATE(1650),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_comment] = STATE(805),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1650),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(1658),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(5542),
    [aux_sym_object_repeat1] = STATE(6180),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_type] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2659),
    [anon_sym_as] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(2667),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2702),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [806] = {
    [sym_namespace_export] = STATE(6727),
    [sym_export_clause] = STATE(5557),
    [sym_declaration] = STATE(1549),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_class_declaration] = STATE(1650),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_comment] = STATE(806),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1650),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(1658),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(5542),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_type] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2659),
    [anon_sym_as] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2702),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [807] = {
    [sym_namespace_export] = STATE(6727),
    [sym_export_clause] = STATE(5557),
    [sym_declaration] = STATE(1549),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_class_declaration] = STATE(1650),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_comment] = STATE(807),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1650),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(1658),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(5542),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_type] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2659),
    [anon_sym_as] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(2712),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2702),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [808] = {
    [sym__call_signature] = STATE(7177),
    [sym_string] = STATE(4679),
    [sym_comment] = STATE(808),
    [sym_formal_parameters] = STATE(4826),
    [sym__property_name] = STATE(4927),
    [sym_computed_property_name] = STATE(4679),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2714),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2716),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_readonly] = ACTIONS(2716),
    [anon_sym_get] = ACTIONS(2736),
    [anon_sym_set] = ACTIONS(2736),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2716),
    [anon_sym_public] = ACTIONS(2716),
    [anon_sym_private] = ACTIONS(2716),
    [anon_sym_protected] = ACTIONS(2716),
    [anon_sym_override] = ACTIONS(2716),
    [anon_sym_module] = ACTIONS(2716),
    [anon_sym_any] = ACTIONS(2716),
    [anon_sym_number] = ACTIONS(2716),
    [anon_sym_boolean] = ACTIONS(2716),
    [anon_sym_string] = ACTIONS(2716),
    [anon_sym_symbol] = ACTIONS(2716),
    [anon_sym_object] = ACTIONS(2716),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [809] = {
    [sym__call_signature] = STATE(7177),
    [sym_string] = STATE(4679),
    [sym_comment] = STATE(809),
    [sym_formal_parameters] = STATE(4826),
    [sym__property_name] = STATE(4927),
    [sym_computed_property_name] = STATE(4679),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_object_repeat1] = STATE(6180),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2714),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2716),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_readonly] = ACTIONS(2716),
    [anon_sym_get] = ACTIONS(2736),
    [anon_sym_set] = ACTIONS(2736),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2716),
    [anon_sym_public] = ACTIONS(2716),
    [anon_sym_private] = ACTIONS(2716),
    [anon_sym_protected] = ACTIONS(2716),
    [anon_sym_override] = ACTIONS(2716),
    [anon_sym_module] = ACTIONS(2716),
    [anon_sym_any] = ACTIONS(2716),
    [anon_sym_number] = ACTIONS(2716),
    [anon_sym_boolean] = ACTIONS(2716),
    [anon_sym_string] = ACTIONS(2716),
    [anon_sym_symbol] = ACTIONS(2716),
    [anon_sym_object] = ACTIONS(2716),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [810] = {
    [sym__call_signature] = STATE(7177),
    [sym_string] = STATE(4679),
    [sym_comment] = STATE(810),
    [sym_formal_parameters] = STATE(4826),
    [sym__property_name] = STATE(4927),
    [sym_computed_property_name] = STATE(4679),
    [sym_type_parameters] = STATE(6699),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2714),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2716),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_readonly] = ACTIONS(2716),
    [anon_sym_get] = ACTIONS(2736),
    [anon_sym_set] = ACTIONS(2736),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2716),
    [anon_sym_public] = ACTIONS(2716),
    [anon_sym_private] = ACTIONS(2716),
    [anon_sym_protected] = ACTIONS(2716),
    [anon_sym_override] = ACTIONS(2716),
    [anon_sym_module] = ACTIONS(2716),
    [anon_sym_any] = ACTIONS(2716),
    [anon_sym_number] = ACTIONS(2716),
    [anon_sym_boolean] = ACTIONS(2716),
    [anon_sym_string] = ACTIONS(2716),
    [anon_sym_symbol] = ACTIONS(2716),
    [anon_sym_object] = ACTIONS(2716),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [811] = {
    [sym_declaration] = STATE(1643),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_class_declaration] = STATE(1650),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_comment] = STATE(811),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1650),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(1658),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(5542),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [812] = {
    [sym_declaration] = STATE(1643),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_class_declaration] = STATE(1650),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_comment] = STATE(812),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1650),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(1658),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(5542),
    [aux_sym_object_repeat1] = STATE(6180),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(2667),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [813] = {
    [sym_declaration] = STATE(1643),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_class_declaration] = STATE(1650),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_comment] = STATE(813),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1650),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(1658),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(5542),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(2712),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [814] = {
    [sym_namespace_export] = STATE(6973),
    [sym_export_clause] = STATE(5593),
    [sym_declaration] = STATE(1460),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_class_declaration] = STATE(1462),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_comment] = STATE(814),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1462),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(1459),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [aux_sym_export_statement_repeat1] = STATE(5194),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2746),
    [anon_sym_type] = ACTIONS(2748),
    [anon_sym_EQ] = ACTIONS(2750),
    [anon_sym_as] = ACTIONS(2752),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_import] = ACTIONS(2756),
    [anon_sym_var] = ACTIONS(2758),
    [anon_sym_let] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_async] = ACTIONS(2768),
    [anon_sym_function] = ACTIONS(2770),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2772),
    [anon_sym_module] = ACTIONS(2774),
    [anon_sym_abstract] = ACTIONS(2776),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_interface] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2780),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [815] = {
    [sym_namespace_export] = STATE(7074),
    [sym_export_clause] = STATE(5722),
    [sym_declaration] = STATE(1382),
    [sym_variable_declaration] = STATE(1376),
    [sym_lexical_declaration] = STATE(1376),
    [sym_class_declaration] = STATE(1376),
    [sym_function_declaration] = STATE(1376),
    [sym_generator_function_declaration] = STATE(1376),
    [sym_comment] = STATE(815),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1376),
    [sym_ambient_declaration] = STATE(1376),
    [sym_abstract_class_declaration] = STATE(1376),
    [sym_module] = STATE(1376),
    [sym_internal_module] = STATE(1385),
    [sym_import_alias] = STATE(1376),
    [sym_interface_declaration] = STATE(1376),
    [sym_enum_declaration] = STATE(1376),
    [sym_type_alias_declaration] = STATE(1376),
    [aux_sym_export_statement_repeat1] = STATE(5318),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2784),
    [anon_sym_type] = ACTIONS(2786),
    [anon_sym_EQ] = ACTIONS(2788),
    [anon_sym_as] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2792),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_import] = ACTIONS(2794),
    [anon_sym_var] = ACTIONS(2796),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_async] = ACTIONS(2806),
    [anon_sym_function] = ACTIONS(2808),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2810),
    [anon_sym_module] = ACTIONS(2812),
    [anon_sym_abstract] = ACTIONS(2814),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_interface] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2818),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [816] = {
    [sym_namespace_export] = STATE(6833),
    [sym_export_clause] = STATE(5718),
    [sym_declaration] = STATE(6702),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_class_declaration] = STATE(6691),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_comment] = STATE(816),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(6691),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(6704),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [aux_sym_export_statement_repeat1] = STATE(5395),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_type] = ACTIONS(2824),
    [anon_sym_EQ] = ACTIONS(2826),
    [anon_sym_as] = ACTIONS(2828),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_import] = ACTIONS(2832),
    [anon_sym_var] = ACTIONS(2834),
    [anon_sym_let] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_async] = ACTIONS(2844),
    [anon_sym_function] = ACTIONS(2846),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2848),
    [anon_sym_module] = ACTIONS(2850),
    [anon_sym_abstract] = ACTIONS(2852),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_interface] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2856),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [817] = {
    [sym_namespace_export] = STATE(6727),
    [sym_export_clause] = STATE(5557),
    [sym_declaration] = STATE(1549),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_class_declaration] = STATE(1650),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_comment] = STATE(817),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1650),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(1658),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(5542),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_type] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2858),
    [anon_sym_as] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2702),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [818] = {
    [sym_namespace_export] = STATE(6906),
    [sym_export_clause] = STATE(5560),
    [sym_declaration] = STATE(1186),
    [sym_variable_declaration] = STATE(1183),
    [sym_lexical_declaration] = STATE(1183),
    [sym_class_declaration] = STATE(1183),
    [sym_function_declaration] = STATE(1183),
    [sym_generator_function_declaration] = STATE(1183),
    [sym_comment] = STATE(818),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1183),
    [sym_ambient_declaration] = STATE(1183),
    [sym_abstract_class_declaration] = STATE(1183),
    [sym_module] = STATE(1183),
    [sym_internal_module] = STATE(1185),
    [sym_import_alias] = STATE(1183),
    [sym_interface_declaration] = STATE(1183),
    [sym_enum_declaration] = STATE(1183),
    [sym_type_alias_declaration] = STATE(1183),
    [aux_sym_export_statement_repeat1] = STATE(5146),
    [anon_sym_STAR] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2864),
    [anon_sym_type] = ACTIONS(2866),
    [anon_sym_EQ] = ACTIONS(2868),
    [anon_sym_as] = ACTIONS(2870),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_import] = ACTIONS(2874),
    [anon_sym_var] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2878),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_async] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2890),
    [anon_sym_module] = ACTIONS(2892),
    [anon_sym_abstract] = ACTIONS(2894),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_interface] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2898),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [819] = {
    [sym_string] = STATE(4679),
    [sym_comment] = STATE(819),
    [sym__property_name] = STATE(4927),
    [sym_computed_property_name] = STATE(4679),
    [sym_override_modifier] = STATE(3662),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2904),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2908),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [820] = {
    [sym_string] = STATE(4679),
    [sym_comment] = STATE(820),
    [sym__property_name] = STATE(4927),
    [sym_computed_property_name] = STATE(4679),
    [sym_override_modifier] = STATE(3662),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2904),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2908),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [821] = {
    [sym_string] = STATE(4679),
    [sym_comment] = STATE(821),
    [sym__property_name] = STATE(4927),
    [sym_computed_property_name] = STATE(4679),
    [sym_override_modifier] = STATE(3662),
    [aux_sym_object_repeat1] = STATE(6180),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2904),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2908),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [822] = {
    [sym_string] = STATE(4679),
    [sym_comment] = STATE(822),
    [sym__property_name] = STATE(4927),
    [sym_computed_property_name] = STATE(4679),
    [aux_sym_object_repeat1] = STATE(6180),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [823] = {
    [sym_string] = STATE(4679),
    [sym_comment] = STATE(823),
    [sym__property_name] = STATE(4927),
    [sym_computed_property_name] = STATE(4679),
    [aux_sym_object_repeat1] = STATE(6180),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2900),
    [anon_sym_set] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [824] = {
    [sym_string] = STATE(4679),
    [sym_comment] = STATE(824),
    [sym__property_name] = STATE(4927),
    [sym_computed_property_name] = STATE(4679),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [825] = {
    [sym_string] = STATE(4679),
    [sym_comment] = STATE(825),
    [sym__property_name] = STATE(4927),
    [sym_computed_property_name] = STATE(4679),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [826] = {
    [sym_string] = STATE(4679),
    [sym_comment] = STATE(826),
    [sym__property_name] = STATE(4927),
    [sym_computed_property_name] = STATE(4679),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2900),
    [anon_sym_set] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [827] = {
    [sym_string] = STATE(4679),
    [sym_comment] = STATE(827),
    [sym__property_name] = STATE(4927),
    [sym_computed_property_name] = STATE(4679),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2900),
    [anon_sym_set] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [828] = {
    [sym_declaration] = STATE(6868),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_class_declaration] = STATE(6691),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_comment] = STATE(828),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(6691),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(6704),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [aux_sym_export_statement_repeat1] = STATE(5395),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2910),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_import] = ACTIONS(2832),
    [anon_sym_var] = ACTIONS(2834),
    [anon_sym_let] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_async] = ACTIONS(2844),
    [anon_sym_function] = ACTIONS(2846),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2848),
    [anon_sym_module] = ACTIONS(2912),
    [anon_sym_abstract] = ACTIONS(2852),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_global] = ACTIONS(2914),
    [anon_sym_interface] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2856),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [829] = {
    [sym_declaration] = STATE(1417),
    [sym_variable_declaration] = STATE(1376),
    [sym_lexical_declaration] = STATE(1376),
    [sym_class_declaration] = STATE(1376),
    [sym_function_declaration] = STATE(1376),
    [sym_generator_function_declaration] = STATE(1376),
    [sym_comment] = STATE(829),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1376),
    [sym_ambient_declaration] = STATE(1376),
    [sym_abstract_class_declaration] = STATE(1376),
    [sym_module] = STATE(1376),
    [sym_internal_module] = STATE(1385),
    [sym_import_alias] = STATE(1376),
    [sym_interface_declaration] = STATE(1376),
    [sym_enum_declaration] = STATE(1376),
    [sym_type_alias_declaration] = STATE(1376),
    [aux_sym_export_statement_repeat1] = STATE(5318),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2792),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_import] = ACTIONS(2794),
    [anon_sym_var] = ACTIONS(2796),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_async] = ACTIONS(2806),
    [anon_sym_function] = ACTIONS(2808),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2810),
    [anon_sym_module] = ACTIONS(2918),
    [anon_sym_abstract] = ACTIONS(2814),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_global] = ACTIONS(2920),
    [anon_sym_interface] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2818),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [830] = {
    [sym_declaration] = STATE(1435),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_class_declaration] = STATE(1462),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_comment] = STATE(830),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1462),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(1459),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [aux_sym_export_statement_repeat1] = STATE(5194),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2922),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_import] = ACTIONS(2756),
    [anon_sym_var] = ACTIONS(2758),
    [anon_sym_let] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_async] = ACTIONS(2768),
    [anon_sym_function] = ACTIONS(2770),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2772),
    [anon_sym_module] = ACTIONS(2924),
    [anon_sym_abstract] = ACTIONS(2776),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_global] = ACTIONS(2926),
    [anon_sym_interface] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2780),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [831] = {
    [sym_declaration] = STATE(1643),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_class_declaration] = STATE(1650),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_comment] = STATE(831),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1650),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(1658),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(5542),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [832] = {
    [sym_declaration] = STATE(1174),
    [sym_variable_declaration] = STATE(1183),
    [sym_lexical_declaration] = STATE(1183),
    [sym_class_declaration] = STATE(1183),
    [sym_function_declaration] = STATE(1183),
    [sym_generator_function_declaration] = STATE(1183),
    [sym_comment] = STATE(832),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1183),
    [sym_ambient_declaration] = STATE(1183),
    [sym_abstract_class_declaration] = STATE(1183),
    [sym_module] = STATE(1183),
    [sym_internal_module] = STATE(1185),
    [sym_import_alias] = STATE(1183),
    [sym_interface_declaration] = STATE(1183),
    [sym_enum_declaration] = STATE(1183),
    [sym_type_alias_declaration] = STATE(1183),
    [aux_sym_export_statement_repeat1] = STATE(5146),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2928),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_COMMA] = ACTIONS(212),
    [anon_sym_import] = ACTIONS(2874),
    [anon_sym_var] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2878),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_async] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2890),
    [anon_sym_module] = ACTIONS(2930),
    [anon_sym_abstract] = ACTIONS(2894),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_global] = ACTIONS(2932),
    [anon_sym_interface] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2898),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [833] = {
    [sym_declaration] = STATE(6868),
    [sym_variable_declaration] = STATE(6691),
    [sym_lexical_declaration] = STATE(6691),
    [sym_class_declaration] = STATE(6691),
    [sym_function_declaration] = STATE(6691),
    [sym_generator_function_declaration] = STATE(6691),
    [sym_comment] = STATE(833),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(6691),
    [sym_ambient_declaration] = STATE(6691),
    [sym_abstract_class_declaration] = STATE(6691),
    [sym_module] = STATE(6691),
    [sym_internal_module] = STATE(6704),
    [sym_import_alias] = STATE(6691),
    [sym_interface_declaration] = STATE(6691),
    [sym_enum_declaration] = STATE(6691),
    [sym_type_alias_declaration] = STATE(6691),
    [aux_sym_export_statement_repeat1] = STATE(5395),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2910),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_import] = ACTIONS(2832),
    [anon_sym_var] = ACTIONS(2834),
    [anon_sym_let] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_async] = ACTIONS(2844),
    [anon_sym_function] = ACTIONS(2846),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2848),
    [anon_sym_module] = ACTIONS(2912),
    [anon_sym_abstract] = ACTIONS(2852),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_global] = ACTIONS(2914),
    [anon_sym_interface] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2856),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [834] = {
    [sym_declaration] = STATE(1417),
    [sym_variable_declaration] = STATE(1376),
    [sym_lexical_declaration] = STATE(1376),
    [sym_class_declaration] = STATE(1376),
    [sym_function_declaration] = STATE(1376),
    [sym_generator_function_declaration] = STATE(1376),
    [sym_comment] = STATE(834),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1376),
    [sym_ambient_declaration] = STATE(1376),
    [sym_abstract_class_declaration] = STATE(1376),
    [sym_module] = STATE(1376),
    [sym_internal_module] = STATE(1385),
    [sym_import_alias] = STATE(1376),
    [sym_interface_declaration] = STATE(1376),
    [sym_enum_declaration] = STATE(1376),
    [sym_type_alias_declaration] = STATE(1376),
    [aux_sym_export_statement_repeat1] = STATE(5318),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2792),
    [anon_sym_import] = ACTIONS(2794),
    [anon_sym_var] = ACTIONS(2796),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_async] = ACTIONS(2806),
    [anon_sym_function] = ACTIONS(2808),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2810),
    [anon_sym_module] = ACTIONS(2918),
    [anon_sym_abstract] = ACTIONS(2814),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_global] = ACTIONS(2920),
    [anon_sym_interface] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2818),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [835] = {
    [sym_declaration] = STATE(1435),
    [sym_variable_declaration] = STATE(1462),
    [sym_lexical_declaration] = STATE(1462),
    [sym_class_declaration] = STATE(1462),
    [sym_function_declaration] = STATE(1462),
    [sym_generator_function_declaration] = STATE(1462),
    [sym_comment] = STATE(835),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1462),
    [sym_ambient_declaration] = STATE(1462),
    [sym_abstract_class_declaration] = STATE(1462),
    [sym_module] = STATE(1462),
    [sym_internal_module] = STATE(1459),
    [sym_import_alias] = STATE(1462),
    [sym_interface_declaration] = STATE(1462),
    [sym_enum_declaration] = STATE(1462),
    [sym_type_alias_declaration] = STATE(1462),
    [aux_sym_export_statement_repeat1] = STATE(5194),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2922),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_import] = ACTIONS(2756),
    [anon_sym_var] = ACTIONS(2758),
    [anon_sym_let] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_async] = ACTIONS(2768),
    [anon_sym_function] = ACTIONS(2770),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2772),
    [anon_sym_module] = ACTIONS(2924),
    [anon_sym_abstract] = ACTIONS(2776),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_global] = ACTIONS(2926),
    [anon_sym_interface] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2780),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [836] = {
    [sym_comment] = STATE(836),
    [aux_sym_object_repeat1] = STATE(6180),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2429),
    [anon_sym_export] = ACTIONS(2429),
    [anon_sym_STAR] = ACTIONS(2429),
    [anon_sym_type] = ACTIONS(2429),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2429),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [anon_sym_let] = ACTIONS(2429),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2429),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_async] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2429),
    [sym_private_property_identifier] = ACTIONS(2429),
    [anon_sym_static] = ACTIONS(2429),
    [anon_sym_readonly] = ACTIONS(2429),
    [anon_sym_get] = ACTIONS(2429),
    [anon_sym_set] = ACTIONS(2429),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2429),
    [anon_sym_public] = ACTIONS(2429),
    [anon_sym_private] = ACTIONS(2429),
    [anon_sym_protected] = ACTIONS(2429),
    [anon_sym_override] = ACTIONS(2429),
    [anon_sym_module] = ACTIONS(2429),
    [anon_sym_any] = ACTIONS(2429),
    [anon_sym_number] = ACTIONS(2429),
    [anon_sym_boolean] = ACTIONS(2429),
    [anon_sym_string] = ACTIONS(2429),
    [anon_sym_symbol] = ACTIONS(2429),
    [anon_sym_object] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [837] = {
    [sym_comment] = STATE(837),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2429),
    [anon_sym_export] = ACTIONS(2429),
    [anon_sym_STAR] = ACTIONS(2429),
    [anon_sym_type] = ACTIONS(2429),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2429),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2429),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2429),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_async] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2429),
    [sym_private_property_identifier] = ACTIONS(2429),
    [anon_sym_static] = ACTIONS(2429),
    [anon_sym_readonly] = ACTIONS(2429),
    [anon_sym_get] = ACTIONS(2429),
    [anon_sym_set] = ACTIONS(2429),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2429),
    [anon_sym_public] = ACTIONS(2429),
    [anon_sym_private] = ACTIONS(2429),
    [anon_sym_protected] = ACTIONS(2429),
    [anon_sym_override] = ACTIONS(2429),
    [anon_sym_module] = ACTIONS(2429),
    [anon_sym_any] = ACTIONS(2429),
    [anon_sym_number] = ACTIONS(2429),
    [anon_sym_boolean] = ACTIONS(2429),
    [anon_sym_string] = ACTIONS(2429),
    [anon_sym_symbol] = ACTIONS(2429),
    [anon_sym_object] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [838] = {
    [sym_comment] = STATE(838),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2435),
    [anon_sym_export] = ACTIONS(2435),
    [anon_sym_STAR] = ACTIONS(2435),
    [anon_sym_type] = ACTIONS(2435),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2435),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_async] = ACTIONS(2435),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2435),
    [sym_private_property_identifier] = ACTIONS(2435),
    [anon_sym_static] = ACTIONS(2435),
    [anon_sym_readonly] = ACTIONS(2435),
    [anon_sym_get] = ACTIONS(2435),
    [anon_sym_set] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2435),
    [anon_sym_public] = ACTIONS(2435),
    [anon_sym_private] = ACTIONS(2435),
    [anon_sym_protected] = ACTIONS(2435),
    [anon_sym_override] = ACTIONS(2435),
    [anon_sym_module] = ACTIONS(2435),
    [anon_sym_any] = ACTIONS(2435),
    [anon_sym_number] = ACTIONS(2435),
    [anon_sym_boolean] = ACTIONS(2435),
    [anon_sym_string] = ACTIONS(2435),
    [anon_sym_symbol] = ACTIONS(2435),
    [anon_sym_object] = ACTIONS(2435),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [839] = {
    [sym_comment] = STATE(839),
    [aux_sym_object_repeat1] = STATE(6180),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2435),
    [anon_sym_export] = ACTIONS(2435),
    [anon_sym_STAR] = ACTIONS(2435),
    [anon_sym_type] = ACTIONS(2435),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [anon_sym_let] = ACTIONS(2435),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_async] = ACTIONS(2435),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2435),
    [sym_private_property_identifier] = ACTIONS(2435),
    [anon_sym_static] = ACTIONS(2435),
    [anon_sym_readonly] = ACTIONS(2435),
    [anon_sym_get] = ACTIONS(2435),
    [anon_sym_set] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2435),
    [anon_sym_public] = ACTIONS(2435),
    [anon_sym_private] = ACTIONS(2435),
    [anon_sym_protected] = ACTIONS(2435),
    [anon_sym_override] = ACTIONS(2435),
    [anon_sym_module] = ACTIONS(2435),
    [anon_sym_any] = ACTIONS(2435),
    [anon_sym_number] = ACTIONS(2435),
    [anon_sym_boolean] = ACTIONS(2435),
    [anon_sym_string] = ACTIONS(2435),
    [anon_sym_symbol] = ACTIONS(2435),
    [anon_sym_object] = ACTIONS(2435),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [840] = {
    [sym_declaration] = STATE(5170),
    [sym_variable_declaration] = STATE(5192),
    [sym_lexical_declaration] = STATE(5192),
    [sym_class_declaration] = STATE(5192),
    [sym_function_declaration] = STATE(5192),
    [sym_generator_function_declaration] = STATE(5192),
    [sym_comment] = STATE(840),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(5192),
    [sym_ambient_declaration] = STATE(5192),
    [sym_abstract_class_declaration] = STATE(5192),
    [sym_module] = STATE(5192),
    [sym_internal_module] = STATE(5184),
    [sym_import_alias] = STATE(5192),
    [sym_interface_declaration] = STATE(5192),
    [sym_enum_declaration] = STATE(5192),
    [sym_type_alias_declaration] = STATE(5192),
    [aux_sym_export_statement_repeat1] = STATE(5220),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2936),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2938),
    [anon_sym_import] = ACTIONS(2940),
    [anon_sym_var] = ACTIONS(2942),
    [anon_sym_let] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_async] = ACTIONS(2950),
    [anon_sym_function] = ACTIONS(2952),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2954),
    [anon_sym_module] = ACTIONS(2956),
    [anon_sym_abstract] = ACTIONS(2958),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_global] = ACTIONS(2960),
    [anon_sym_interface] = ACTIONS(2962),
    [anon_sym_enum] = ACTIONS(2964),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [841] = {
    [sym_declaration] = STATE(1643),
    [sym_variable_declaration] = STATE(1650),
    [sym_lexical_declaration] = STATE(1650),
    [sym_class_declaration] = STATE(1650),
    [sym_function_declaration] = STATE(1650),
    [sym_generator_function_declaration] = STATE(1650),
    [sym_comment] = STATE(841),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1650),
    [sym_ambient_declaration] = STATE(1650),
    [sym_abstract_class_declaration] = STATE(1650),
    [sym_module] = STATE(1650),
    [sym_internal_module] = STATE(1658),
    [sym_import_alias] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_type_alias_declaration] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(5542),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [842] = {
    [sym_declaration] = STATE(1174),
    [sym_variable_declaration] = STATE(1183),
    [sym_lexical_declaration] = STATE(1183),
    [sym_class_declaration] = STATE(1183),
    [sym_function_declaration] = STATE(1183),
    [sym_generator_function_declaration] = STATE(1183),
    [sym_comment] = STATE(842),
    [sym_decorator] = STATE(5594),
    [sym_function_signature] = STATE(1183),
    [sym_ambient_declaration] = STATE(1183),
    [sym_abstract_class_declaration] = STATE(1183),
    [sym_module] = STATE(1183),
    [sym_internal_module] = STATE(1185),
    [sym_import_alias] = STATE(1183),
    [sym_interface_declaration] = STATE(1183),
    [sym_enum_declaration] = STATE(1183),
    [sym_type_alias_declaration] = STATE(1183),
    [aux_sym_export_statement_repeat1] = STATE(5146),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2928),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_import] = ACTIONS(2874),
    [anon_sym_var] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2878),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(212),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_LBRACK] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(212),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_async] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(212),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(212),
    [anon_sym_PLUS_PLUS] = ACTIONS(212),
    [anon_sym_DASH_DASH] = ACTIONS(212),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(212),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2890),
    [anon_sym_module] = ACTIONS(2930),
    [anon_sym_abstract] = ACTIONS(2894),
    [anon_sym_satisfies] = ACTIONS(212),
    [anon_sym_global] = ACTIONS(2932),
    [anon_sym_interface] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2898),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [843] = {
    [sym_comment] = STATE(843),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2435),
    [anon_sym_export] = ACTIONS(2435),
    [anon_sym_STAR] = ACTIONS(2435),
    [anon_sym_type] = ACTIONS(2435),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_let] = ACTIONS(2435),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_async] = ACTIONS(2435),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2435),
    [sym_private_property_identifier] = ACTIONS(2435),
    [anon_sym_static] = ACTIONS(2435),
    [anon_sym_readonly] = ACTIONS(2435),
    [anon_sym_get] = ACTIONS(2435),
    [anon_sym_set] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2435),
    [anon_sym_public] = ACTIONS(2435),
    [anon_sym_private] = ACTIONS(2435),
    [anon_sym_protected] = ACTIONS(2435),
    [anon_sym_override] = ACTIONS(2435),
    [anon_sym_module] = ACTIONS(2435),
    [anon_sym_any] = ACTIONS(2435),
    [anon_sym_number] = ACTIONS(2435),
    [anon_sym_boolean] = ACTIONS(2435),
    [anon_sym_string] = ACTIONS(2435),
    [anon_sym_symbol] = ACTIONS(2435),
    [anon_sym_object] = ACTIONS(2435),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [844] = {
    [sym_comment] = STATE(844),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(2429),
    [anon_sym_export] = ACTIONS(2429),
    [anon_sym_STAR] = ACTIONS(2429),
    [anon_sym_type] = ACTIONS(2429),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2429),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_let] = ACTIONS(2429),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2429),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_async] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2429),
    [sym_private_property_identifier] = ACTIONS(2429),
    [anon_sym_static] = ACTIONS(2429),
    [anon_sym_readonly] = ACTIONS(2429),
    [anon_sym_get] = ACTIONS(2429),
    [anon_sym_set] = ACTIONS(2429),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(2429),
    [anon_sym_public] = ACTIONS(2429),
    [anon_sym_private] = ACTIONS(2429),
    [anon_sym_protected] = ACTIONS(2429),
    [anon_sym_override] = ACTIONS(2429),
    [anon_sym_module] = ACTIONS(2429),
    [anon_sym_any] = ACTIONS(2429),
    [anon_sym_number] = ACTIONS(2429),
    [anon_sym_boolean] = ACTIONS(2429),
    [anon_sym_string] = ACTIONS(2429),
    [anon_sym_symbol] = ACTIONS(2429),
    [anon_sym_object] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [845] = {
    [sym__call_signature] = STATE(7239),
    [sym_comment] = STATE(845),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_COMMA] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(1133),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1133),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_QMARK] = ACTIONS(1133),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [846] = {
    [sym__call_signature] = STATE(7338),
    [sym_comment] = STATE(846),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2978),
    [anon_sym_export] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_let] = ACTIONS(2980),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2980),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2980),
    [anon_sym_set] = ACTIONS(2980),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_override] = ACTIONS(2980),
    [anon_sym_module] = ACTIONS(2980),
    [anon_sym_any] = ACTIONS(2980),
    [anon_sym_number] = ACTIONS(2980),
    [anon_sym_boolean] = ACTIONS(2980),
    [anon_sym_string] = ACTIONS(2980),
    [anon_sym_symbol] = ACTIONS(2980),
    [anon_sym_object] = ACTIONS(2980),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [847] = {
    [sym__call_signature] = STATE(7239),
    [sym_comment] = STATE(847),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(214),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(217),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [848] = {
    [sym__call_signature] = STATE(7338),
    [sym_comment] = STATE(848),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2978),
    [anon_sym_export] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2980),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2980),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2980),
    [anon_sym_set] = ACTIONS(2980),
    [anon_sym_declare] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_override] = ACTIONS(2980),
    [anon_sym_module] = ACTIONS(2980),
    [anon_sym_any] = ACTIONS(2980),
    [anon_sym_number] = ACTIONS(2980),
    [anon_sym_boolean] = ACTIONS(2980),
    [anon_sym_string] = ACTIONS(2980),
    [anon_sym_symbol] = ACTIONS(2980),
    [anon_sym_object] = ACTIONS(2980),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [849] = {
    [sym__call_signature] = STATE(7338),
    [sym_comment] = STATE(849),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2978),
    [anon_sym_export] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2980),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2980),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2980),
    [anon_sym_set] = ACTIONS(2980),
    [anon_sym_declare] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_override] = ACTIONS(2980),
    [anon_sym_module] = ACTIONS(2980),
    [anon_sym_any] = ACTIONS(2980),
    [anon_sym_number] = ACTIONS(2980),
    [anon_sym_boolean] = ACTIONS(2980),
    [anon_sym_string] = ACTIONS(2980),
    [anon_sym_symbol] = ACTIONS(2980),
    [anon_sym_object] = ACTIONS(2980),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [850] = {
    [sym__call_signature] = STATE(7177),
    [sym_comment] = STATE(850),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [851] = {
    [sym__call_signature] = STATE(7177),
    [sym_comment] = STATE(851),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(1195),
    [anon_sym_of] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [852] = {
    [sym__call_signature] = STATE(7177),
    [sym_comment] = STATE(852),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2990),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [853] = {
    [sym__call_signature] = STATE(7177),
    [sym_comment] = STATE(853),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2992),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [854] = {
    [sym__call_signature] = STATE(7177),
    [sym_comment] = STATE(854),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [855] = {
    [sym__call_signature] = STATE(7196),
    [sym_comment] = STATE(855),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2994),
    [anon_sym_export] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2996),
    [anon_sym_EQ] = ACTIONS(1183),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2996),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2996),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_readonly] = ACTIONS(2996),
    [anon_sym_get] = ACTIONS(2996),
    [anon_sym_set] = ACTIONS(2996),
    [anon_sym_declare] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_override] = ACTIONS(2996),
    [anon_sym_module] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(2996),
    [anon_sym_number] = ACTIONS(2996),
    [anon_sym_boolean] = ACTIONS(2996),
    [anon_sym_string] = ACTIONS(2996),
    [anon_sym_symbol] = ACTIONS(2996),
    [anon_sym_object] = ACTIONS(2996),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [856] = {
    [sym__call_signature] = STATE(7338),
    [sym_comment] = STATE(856),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2978),
    [anon_sym_export] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2980),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1225),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2980),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2980),
    [anon_sym_set] = ACTIONS(2980),
    [anon_sym_declare] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_override] = ACTIONS(2980),
    [anon_sym_module] = ACTIONS(2980),
    [anon_sym_any] = ACTIONS(2980),
    [anon_sym_number] = ACTIONS(2980),
    [anon_sym_boolean] = ACTIONS(2980),
    [anon_sym_string] = ACTIONS(2980),
    [anon_sym_symbol] = ACTIONS(2980),
    [anon_sym_object] = ACTIONS(2980),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [857] = {
    [sym__call_signature] = STATE(7177),
    [sym_comment] = STATE(857),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [858] = {
    [sym__call_signature] = STATE(7196),
    [sym_comment] = STATE(858),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2994),
    [anon_sym_export] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2996),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2996),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2996),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_readonly] = ACTIONS(2996),
    [anon_sym_get] = ACTIONS(2996),
    [anon_sym_set] = ACTIONS(2996),
    [anon_sym_declare] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_override] = ACTIONS(2996),
    [anon_sym_module] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(2996),
    [anon_sym_number] = ACTIONS(2996),
    [anon_sym_boolean] = ACTIONS(2996),
    [anon_sym_string] = ACTIONS(2996),
    [anon_sym_symbol] = ACTIONS(2996),
    [anon_sym_object] = ACTIONS(2996),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [859] = {
    [sym__call_signature] = STATE(7177),
    [sym_comment] = STATE(859),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1169),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2998),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [860] = {
    [sym__call_signature] = STATE(7177),
    [sym_comment] = STATE(860),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [861] = {
    [sym__call_signature] = STATE(7490),
    [sym_comment] = STATE(861),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3000),
    [anon_sym_export] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(1212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1217),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3002),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_readonly] = ACTIONS(3002),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_declare] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_module] = ACTIONS(3002),
    [anon_sym_any] = ACTIONS(3002),
    [anon_sym_number] = ACTIONS(3002),
    [anon_sym_boolean] = ACTIONS(3002),
    [anon_sym_string] = ACTIONS(3002),
    [anon_sym_symbol] = ACTIONS(3002),
    [anon_sym_object] = ACTIONS(3002),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [862] = {
    [sym__call_signature] = STATE(7544),
    [sym_comment] = STATE(862),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3006),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1242),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_readonly] = ACTIONS(3006),
    [anon_sym_get] = ACTIONS(3006),
    [anon_sym_set] = ACTIONS(3006),
    [anon_sym_declare] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_any] = ACTIONS(3006),
    [anon_sym_number] = ACTIONS(3006),
    [anon_sym_boolean] = ACTIONS(3006),
    [anon_sym_string] = ACTIONS(3006),
    [anon_sym_symbol] = ACTIONS(3006),
    [anon_sym_object] = ACTIONS(3006),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [863] = {
    [sym__call_signature] = STATE(7544),
    [sym_comment] = STATE(863),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3006),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1242),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_readonly] = ACTIONS(3006),
    [anon_sym_get] = ACTIONS(3006),
    [anon_sym_set] = ACTIONS(3006),
    [anon_sym_declare] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_any] = ACTIONS(3006),
    [anon_sym_number] = ACTIONS(3006),
    [anon_sym_boolean] = ACTIONS(3006),
    [anon_sym_string] = ACTIONS(3006),
    [anon_sym_symbol] = ACTIONS(3006),
    [anon_sym_object] = ACTIONS(3006),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [864] = {
    [sym__call_signature] = STATE(7373),
    [sym_comment] = STATE(864),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [865] = {
    [sym__call_signature] = STATE(7373),
    [sym_comment] = STATE(865),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [866] = {
    [sym__call_signature] = STATE(7490),
    [sym_comment] = STATE(866),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3000),
    [anon_sym_export] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3002),
    [anon_sym_let] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1217),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3002),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_readonly] = ACTIONS(3002),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_declare] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_module] = ACTIONS(3002),
    [anon_sym_any] = ACTIONS(3002),
    [anon_sym_number] = ACTIONS(3002),
    [anon_sym_boolean] = ACTIONS(3002),
    [anon_sym_string] = ACTIONS(3002),
    [anon_sym_symbol] = ACTIONS(3002),
    [anon_sym_object] = ACTIONS(3002),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [867] = {
    [sym__call_signature] = STATE(7165),
    [sym_comment] = STATE(867),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3012),
    [anon_sym_export] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3014),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3014),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_readonly] = ACTIONS(3014),
    [anon_sym_get] = ACTIONS(3014),
    [anon_sym_set] = ACTIONS(3014),
    [anon_sym_declare] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_module] = ACTIONS(3014),
    [anon_sym_any] = ACTIONS(3014),
    [anon_sym_number] = ACTIONS(3014),
    [anon_sym_boolean] = ACTIONS(3014),
    [anon_sym_string] = ACTIONS(3014),
    [anon_sym_symbol] = ACTIONS(3014),
    [anon_sym_object] = ACTIONS(3014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [868] = {
    [sym__call_signature] = STATE(7373),
    [sym_comment] = STATE(868),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(2992),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [869] = {
    [sym_catch_clause] = STATE(909),
    [sym_finally_clause] = STATE(1055),
    [sym_comment] = STATE(869),
    [sym_identifier] = ACTIONS(3016),
    [anon_sym_export] = ACTIONS(3016),
    [anon_sym_default] = ACTIONS(3016),
    [anon_sym_type] = ACTIONS(3016),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_typeof] = ACTIONS(3016),
    [anon_sym_import] = ACTIONS(3016),
    [anon_sym_with] = ACTIONS(3016),
    [anon_sym_var] = ACTIONS(3016),
    [anon_sym_let] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(3016),
    [anon_sym_else] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_switch] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_await] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_debugger] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_case] = ACTIONS(3016),
    [anon_sym_catch] = ACTIONS(3018),
    [anon_sym_finally] = ACTIONS(3020),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_LTtemplate_GT] = ACTIONS(3016),
    [anon_sym_DQUOTE] = ACTIONS(3016),
    [anon_sym_SQUOTE] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_async] = ACTIONS(3016),
    [anon_sym_function] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3016),
    [anon_sym_void] = ACTIONS(3016),
    [anon_sym_delete] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3016),
    [sym_private_property_identifier] = ACTIONS(3016),
    [sym_this] = ACTIONS(3016),
    [sym_super] = ACTIONS(3016),
    [sym_true] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [sym_null] = ACTIONS(3016),
    [sym_undefined] = ACTIONS(3016),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_readonly] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3016),
    [anon_sym_declare] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3016),
    [anon_sym_module] = ACTIONS(3016),
    [anon_sym_any] = ACTIONS(3016),
    [anon_sym_number] = ACTIONS(3016),
    [anon_sym_boolean] = ACTIONS(3016),
    [anon_sym_string] = ACTIONS(3016),
    [anon_sym_symbol] = ACTIONS(3016),
    [anon_sym_object] = ACTIONS(3016),
    [anon_sym_abstract] = ACTIONS(3016),
    [anon_sym_interface] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [sym_html_comment] = ACTIONS(5),
  },
  [870] = {
    [sym__call_signature] = STATE(7373),
    [sym_comment] = STATE(870),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(2998),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [871] = {
    [sym__call_signature] = STATE(7373),
    [sym_comment] = STATE(871),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [872] = {
    [sym__call_signature] = STATE(7373),
    [sym_comment] = STATE(872),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [873] = {
    [sym__call_signature] = STATE(7490),
    [sym_comment] = STATE(873),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3000),
    [anon_sym_export] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(1212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3002),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_readonly] = ACTIONS(3002),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_declare] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_module] = ACTIONS(3002),
    [anon_sym_any] = ACTIONS(3002),
    [anon_sym_number] = ACTIONS(3002),
    [anon_sym_boolean] = ACTIONS(3002),
    [anon_sym_string] = ACTIONS(3002),
    [anon_sym_symbol] = ACTIONS(3002),
    [anon_sym_object] = ACTIONS(3002),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [874] = {
    [sym__call_signature] = STATE(7373),
    [sym_comment] = STATE(874),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(3022),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [875] = {
    [sym__call_signature] = STATE(7373),
    [sym_comment] = STATE(875),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(2990),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [876] = {
    [sym__call_signature] = STATE(7490),
    [sym_comment] = STATE(876),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3000),
    [anon_sym_export] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3002),
    [anon_sym_let] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3002),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_readonly] = ACTIONS(3002),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_declare] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_module] = ACTIONS(3002),
    [anon_sym_any] = ACTIONS(3002),
    [anon_sym_number] = ACTIONS(3002),
    [anon_sym_boolean] = ACTIONS(3002),
    [anon_sym_string] = ACTIONS(3002),
    [anon_sym_symbol] = ACTIONS(3002),
    [anon_sym_object] = ACTIONS(3002),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [877] = {
    [sym__call_signature] = STATE(7165),
    [sym_comment] = STATE(877),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3012),
    [anon_sym_export] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3014),
    [anon_sym_EQ] = ACTIONS(1248),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3014),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_readonly] = ACTIONS(3014),
    [anon_sym_get] = ACTIONS(3014),
    [anon_sym_set] = ACTIONS(3014),
    [anon_sym_declare] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_module] = ACTIONS(3014),
    [anon_sym_any] = ACTIONS(3014),
    [anon_sym_number] = ACTIONS(3014),
    [anon_sym_boolean] = ACTIONS(3014),
    [anon_sym_string] = ACTIONS(3014),
    [anon_sym_symbol] = ACTIONS(3014),
    [anon_sym_object] = ACTIONS(3014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [878] = {
    [sym_catch_clause] = STATE(931),
    [sym_finally_clause] = STATE(1514),
    [sym_comment] = STATE(878),
    [ts_builtin_sym_end] = ACTIONS(3024),
    [sym_identifier] = ACTIONS(3016),
    [anon_sym_export] = ACTIONS(3016),
    [anon_sym_type] = ACTIONS(3016),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_typeof] = ACTIONS(3016),
    [anon_sym_import] = ACTIONS(3016),
    [anon_sym_with] = ACTIONS(3016),
    [anon_sym_var] = ACTIONS(3016),
    [anon_sym_let] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(3016),
    [anon_sym_else] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_switch] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_await] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_debugger] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_catch] = ACTIONS(3026),
    [anon_sym_finally] = ACTIONS(3028),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_LTtemplate_GT] = ACTIONS(3016),
    [anon_sym_DQUOTE] = ACTIONS(3016),
    [anon_sym_SQUOTE] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_async] = ACTIONS(3016),
    [anon_sym_function] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3016),
    [anon_sym_void] = ACTIONS(3016),
    [anon_sym_delete] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3016),
    [sym_private_property_identifier] = ACTIONS(3016),
    [sym_this] = ACTIONS(3016),
    [sym_super] = ACTIONS(3016),
    [sym_true] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [sym_null] = ACTIONS(3016),
    [sym_undefined] = ACTIONS(3016),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_readonly] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3016),
    [anon_sym_declare] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3016),
    [anon_sym_module] = ACTIONS(3016),
    [anon_sym_any] = ACTIONS(3016),
    [anon_sym_number] = ACTIONS(3016),
    [anon_sym_boolean] = ACTIONS(3016),
    [anon_sym_string] = ACTIONS(3016),
    [anon_sym_symbol] = ACTIONS(3016),
    [anon_sym_object] = ACTIONS(3016),
    [anon_sym_abstract] = ACTIONS(3016),
    [anon_sym_interface] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [sym_html_comment] = ACTIONS(5),
  },
  [879] = {
    [sym__call_signature] = STATE(7506),
    [sym_comment] = STATE(879),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3030),
    [anon_sym_export] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_let] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3032),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_readonly] = ACTIONS(3032),
    [anon_sym_get] = ACTIONS(3032),
    [anon_sym_set] = ACTIONS(3032),
    [anon_sym_declare] = ACTIONS(3032),
    [anon_sym_public] = ACTIONS(3032),
    [anon_sym_private] = ACTIONS(3032),
    [anon_sym_protected] = ACTIONS(3032),
    [anon_sym_override] = ACTIONS(3032),
    [anon_sym_module] = ACTIONS(3032),
    [anon_sym_any] = ACTIONS(3032),
    [anon_sym_number] = ACTIONS(3032),
    [anon_sym_boolean] = ACTIONS(3032),
    [anon_sym_string] = ACTIONS(3032),
    [anon_sym_symbol] = ACTIONS(3032),
    [anon_sym_object] = ACTIONS(3032),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [880] = {
    [sym_catch_clause] = STATE(937),
    [sym_finally_clause] = STATE(1445),
    [sym_comment] = STATE(880),
    [sym_identifier] = ACTIONS(3016),
    [anon_sym_export] = ACTIONS(3016),
    [anon_sym_default] = ACTIONS(3016),
    [anon_sym_type] = ACTIONS(3016),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_typeof] = ACTIONS(3016),
    [anon_sym_import] = ACTIONS(3016),
    [anon_sym_with] = ACTIONS(3016),
    [anon_sym_var] = ACTIONS(3016),
    [anon_sym_let] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_switch] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_await] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_debugger] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_case] = ACTIONS(3016),
    [anon_sym_catch] = ACTIONS(3034),
    [anon_sym_finally] = ACTIONS(3036),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_LTtemplate_GT] = ACTIONS(3016),
    [anon_sym_DQUOTE] = ACTIONS(3016),
    [anon_sym_SQUOTE] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_async] = ACTIONS(3016),
    [anon_sym_function] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3016),
    [anon_sym_void] = ACTIONS(3016),
    [anon_sym_delete] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3016),
    [sym_private_property_identifier] = ACTIONS(3016),
    [sym_this] = ACTIONS(3016),
    [sym_super] = ACTIONS(3016),
    [sym_true] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [sym_null] = ACTIONS(3016),
    [sym_undefined] = ACTIONS(3016),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_readonly] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3016),
    [anon_sym_declare] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3016),
    [anon_sym_module] = ACTIONS(3016),
    [anon_sym_any] = ACTIONS(3016),
    [anon_sym_number] = ACTIONS(3016),
    [anon_sym_boolean] = ACTIONS(3016),
    [anon_sym_string] = ACTIONS(3016),
    [anon_sym_symbol] = ACTIONS(3016),
    [anon_sym_object] = ACTIONS(3016),
    [anon_sym_abstract] = ACTIONS(3016),
    [anon_sym_interface] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [sym_html_comment] = ACTIONS(5),
  },
  [881] = {
    [sym__call_signature] = STATE(7490),
    [sym_comment] = STATE(881),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3000),
    [anon_sym_export] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3002),
    [anon_sym_let] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3002),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_readonly] = ACTIONS(3002),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_declare] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_module] = ACTIONS(3002),
    [anon_sym_any] = ACTIONS(3002),
    [anon_sym_number] = ACTIONS(3002),
    [anon_sym_boolean] = ACTIONS(3002),
    [anon_sym_string] = ACTIONS(3002),
    [anon_sym_symbol] = ACTIONS(3002),
    [anon_sym_object] = ACTIONS(3002),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [882] = {
    [sym__call_signature] = STATE(7490),
    [sym_comment] = STATE(882),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3000),
    [anon_sym_export] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3002),
    [anon_sym_let] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3002),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_readonly] = ACTIONS(3002),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_declare] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_module] = ACTIONS(3002),
    [anon_sym_any] = ACTIONS(3002),
    [anon_sym_number] = ACTIONS(3002),
    [anon_sym_boolean] = ACTIONS(3002),
    [anon_sym_string] = ACTIONS(3002),
    [anon_sym_symbol] = ACTIONS(3002),
    [anon_sym_object] = ACTIONS(3002),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [883] = {
    [sym__call_signature] = STATE(7506),
    [sym_comment] = STATE(883),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(3030),
    [anon_sym_export] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_let] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3032),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_readonly] = ACTIONS(3032),
    [anon_sym_get] = ACTIONS(3032),
    [anon_sym_set] = ACTIONS(3032),
    [anon_sym_declare] = ACTIONS(3032),
    [anon_sym_public] = ACTIONS(3032),
    [anon_sym_private] = ACTIONS(3032),
    [anon_sym_protected] = ACTIONS(3032),
    [anon_sym_override] = ACTIONS(3032),
    [anon_sym_module] = ACTIONS(3032),
    [anon_sym_any] = ACTIONS(3032),
    [anon_sym_number] = ACTIONS(3032),
    [anon_sym_boolean] = ACTIONS(3032),
    [anon_sym_string] = ACTIONS(3032),
    [anon_sym_symbol] = ACTIONS(3032),
    [anon_sym_object] = ACTIONS(3032),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [884] = {
    [sym__call_signature] = STATE(7239),
    [sym_comment] = STATE(884),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(1195),
    [anon_sym_of] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [885] = {
    [sym_comment] = STATE(885),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_catch] = ACTIONS(2055),
    [anon_sym_finally] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(3038),
    [sym_html_comment] = ACTIONS(5),
  },
  [886] = {
    [sym_comment] = STATE(886),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_catch] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3040),
    [sym_html_comment] = ACTIONS(5),
  },
  [887] = {
    [sym__call_signature] = STATE(7239),
    [sym_comment] = STATE(887),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [888] = {
    [sym__call_signature] = STATE(7239),
    [sym_comment] = STATE(888),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1292),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [889] = {
    [sym_comment] = STATE(889),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_catch] = ACTIONS(2081),
    [anon_sym_finally] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [890] = {
    [sym_comment] = STATE(890),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_catch] = ACTIONS(2055),
    [anon_sym_finally] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(3042),
    [sym_html_comment] = ACTIONS(5),
  },
  [891] = {
    [sym_catch_clause] = STATE(998),
    [sym_finally_clause] = STATE(1657),
    [sym_comment] = STATE(891),
    [ts_builtin_sym_end] = ACTIONS(3024),
    [sym_identifier] = ACTIONS(3016),
    [anon_sym_export] = ACTIONS(3016),
    [anon_sym_type] = ACTIONS(3016),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_typeof] = ACTIONS(3016),
    [anon_sym_import] = ACTIONS(3016),
    [anon_sym_with] = ACTIONS(3016),
    [anon_sym_var] = ACTIONS(3016),
    [anon_sym_let] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_switch] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_await] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_debugger] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_catch] = ACTIONS(3044),
    [anon_sym_finally] = ACTIONS(3046),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_LTtemplate_GT] = ACTIONS(3016),
    [anon_sym_DQUOTE] = ACTIONS(3016),
    [anon_sym_SQUOTE] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_async] = ACTIONS(3016),
    [anon_sym_function] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3016),
    [anon_sym_void] = ACTIONS(3016),
    [anon_sym_delete] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3016),
    [sym_private_property_identifier] = ACTIONS(3016),
    [sym_this] = ACTIONS(3016),
    [sym_super] = ACTIONS(3016),
    [sym_true] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [sym_null] = ACTIONS(3016),
    [sym_undefined] = ACTIONS(3016),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_readonly] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3016),
    [anon_sym_declare] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3016),
    [anon_sym_module] = ACTIONS(3016),
    [anon_sym_any] = ACTIONS(3016),
    [anon_sym_number] = ACTIONS(3016),
    [anon_sym_boolean] = ACTIONS(3016),
    [anon_sym_string] = ACTIONS(3016),
    [anon_sym_symbol] = ACTIONS(3016),
    [anon_sym_object] = ACTIONS(3016),
    [anon_sym_abstract] = ACTIONS(3016),
    [anon_sym_interface] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [sym_html_comment] = ACTIONS(5),
  },
  [892] = {
    [sym_statement_block] = STATE(969),
    [sym_comment] = STATE(892),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [893] = {
    [sym__call_signature] = STATE(7239),
    [sym_comment] = STATE(893),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1354),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [894] = {
    [sym_statement_block] = STATE(969),
    [sym_comment] = STATE(894),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [895] = {
    [sym__call_signature] = STATE(7239),
    [sym_comment] = STATE(895),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1348),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [896] = {
    [sym_comment] = STATE(896),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_finally] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(3054),
    [sym_html_comment] = ACTIONS(5),
  },
  [897] = {
    [sym__call_signature] = STATE(7239),
    [sym_comment] = STATE(897),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1350),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [898] = {
    [sym__call_signature] = STATE(7239),
    [sym_comment] = STATE(898),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1346),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [899] = {
    [sym__call_signature] = STATE(7239),
    [sym_comment] = STATE(899),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [900] = {
    [sym_comment] = STATE(900),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_catch] = ACTIONS(2055),
    [anon_sym_finally] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(3056),
    [sym_html_comment] = ACTIONS(5),
  },
  [901] = {
    [sym_comment] = STATE(901),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_catch] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [902] = {
    [sym_comment] = STATE(902),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_catch] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3060),
    [sym_html_comment] = ACTIONS(5),
  },
  [903] = {
    [sym__call_signature] = STATE(7239),
    [sym_comment] = STATE(903),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1352),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [904] = {
    [sym_comment] = STATE(904),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_catch] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [905] = {
    [sym__call_signature] = STATE(7239),
    [sym_comment] = STATE(905),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1356),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [906] = {
    [sym__call_signature] = STATE(7239),
    [sym_comment] = STATE(906),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1358),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [907] = {
    [sym__call_signature] = STATE(7239),
    [sym_comment] = STATE(907),
    [sym_formal_parameters] = STATE(4826),
    [sym_type_parameters] = STATE(6699),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1294),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [908] = {
    [sym_comment] = STATE(908),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3062),
    [sym_html_comment] = ACTIONS(5),
  },
  [909] = {
    [sym_finally_clause] = STATE(1143),
    [sym_comment] = STATE(909),
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_export] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_type] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_RBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(3064),
    [anon_sym_import] = ACTIONS(3064),
    [anon_sym_with] = ACTIONS(3064),
    [anon_sym_var] = ACTIONS(3064),
    [anon_sym_let] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3064),
    [anon_sym_await] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_debugger] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_finally] = ACTIONS(3020),
    [anon_sym_yield] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_LTtemplate_GT] = ACTIONS(3064),
    [anon_sym_DQUOTE] = ACTIONS(3064),
    [anon_sym_SQUOTE] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_async] = ACTIONS(3064),
    [anon_sym_function] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_TILDE] = ACTIONS(3064),
    [anon_sym_void] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3064),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3064),
    [sym_number] = ACTIONS(3064),
    [sym_private_property_identifier] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
    [sym_super] = ACTIONS(3064),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [sym_null] = ACTIONS(3064),
    [sym_undefined] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_readonly] = ACTIONS(3064),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_declare] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_module] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3064),
    [anon_sym_number] = ACTIONS(3064),
    [anon_sym_boolean] = ACTIONS(3064),
    [anon_sym_string] = ACTIONS(3064),
    [anon_sym_symbol] = ACTIONS(3064),
    [anon_sym_object] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_interface] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [sym_html_comment] = ACTIONS(5),
  },
  [910] = {
    [sym_comment] = STATE(910),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_catch] = ACTIONS(2081),
    [anon_sym_finally] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [911] = {
    [sym_statement_block] = STATE(1265),
    [sym_comment] = STATE(911),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [912] = {
    [sym_comment] = STATE(912),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3070),
    [sym_html_comment] = ACTIONS(5),
  },
  [913] = {
    [sym_comment] = STATE(913),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_catch] = ACTIONS(2081),
    [anon_sym_finally] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [914] = {
    [sym_comment] = STATE(914),
    [sym_identifier] = ACTIONS(2097),
    [anon_sym_export] = ACTIONS(2097),
    [anon_sym_default] = ACTIONS(2097),
    [anon_sym_type] = ACTIONS(2097),
    [anon_sym_namespace] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_RBRACE] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(2097),
    [anon_sym_import] = ACTIONS(2097),
    [anon_sym_with] = ACTIONS(2097),
    [anon_sym_var] = ACTIONS(2097),
    [anon_sym_let] = ACTIONS(2097),
    [anon_sym_const] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2097),
    [anon_sym_else] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2097),
    [anon_sym_switch] = ACTIONS(2097),
    [anon_sym_for] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2097),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_while] = ACTIONS(2097),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_try] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_debugger] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_throw] = ACTIONS(2097),
    [anon_sym_SEMI] = ACTIONS(2097),
    [anon_sym_case] = ACTIONS(2097),
    [anon_sym_yield] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2097),
    [anon_sym_LTtemplate_GT] = ACTIONS(2097),
    [anon_sym_DQUOTE] = ACTIONS(2097),
    [anon_sym_SQUOTE] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_function] = ACTIONS(2097),
    [anon_sym_new] = ACTIONS(2097),
    [anon_sym_using] = ACTIONS(2097),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_SLASH] = ACTIONS(2097),
    [anon_sym_LT] = ACTIONS(2097),
    [anon_sym_TILDE] = ACTIONS(2097),
    [anon_sym_void] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2097),
    [anon_sym_DASH_DASH] = ACTIONS(2097),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2097),
    [sym_number] = ACTIONS(2097),
    [sym_private_property_identifier] = ACTIONS(2097),
    [sym_this] = ACTIONS(2097),
    [sym_super] = ACTIONS(2097),
    [sym_true] = ACTIONS(2097),
    [sym_false] = ACTIONS(2097),
    [sym_null] = ACTIONS(2097),
    [sym_undefined] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2097),
    [anon_sym_static] = ACTIONS(2097),
    [anon_sym_readonly] = ACTIONS(2097),
    [anon_sym_get] = ACTIONS(2097),
    [anon_sym_set] = ACTIONS(2097),
    [anon_sym_declare] = ACTIONS(2097),
    [anon_sym_public] = ACTIONS(2097),
    [anon_sym_private] = ACTIONS(2097),
    [anon_sym_protected] = ACTIONS(2097),
    [anon_sym_override] = ACTIONS(2097),
    [anon_sym_module] = ACTIONS(2097),
    [anon_sym_any] = ACTIONS(2097),
    [anon_sym_number] = ACTIONS(2097),
    [anon_sym_boolean] = ACTIONS(2097),
    [anon_sym_string] = ACTIONS(2097),
    [anon_sym_symbol] = ACTIONS(2097),
    [anon_sym_object] = ACTIONS(2097),
    [anon_sym_abstract] = ACTIONS(2097),
    [anon_sym_interface] = ACTIONS(2097),
    [anon_sym_enum] = ACTIONS(2097),
    [sym__automatic_semicolon] = ACTIONS(2101),
    [sym_html_comment] = ACTIONS(5),
  },
  [915] = {
    [sym_comment] = STATE(915),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_finally] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(3072),
    [sym_html_comment] = ACTIONS(5),
  },
  [916] = {
    [sym_comment] = STATE(916),
    [sym_identifier] = ACTIONS(2219),
    [anon_sym_export] = ACTIONS(2219),
    [anon_sym_default] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2219),
    [anon_sym_namespace] = ACTIONS(2219),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [anon_sym_typeof] = ACTIONS(2219),
    [anon_sym_import] = ACTIONS(2219),
    [anon_sym_with] = ACTIONS(2219),
    [anon_sym_var] = ACTIONS(2219),
    [anon_sym_let] = ACTIONS(2219),
    [anon_sym_const] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_else] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(2219),
    [anon_sym_switch] = ACTIONS(2219),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_LPAREN] = ACTIONS(2219),
    [anon_sym_await] = ACTIONS(2219),
    [anon_sym_while] = ACTIONS(2219),
    [anon_sym_do] = ACTIONS(2219),
    [anon_sym_try] = ACTIONS(2219),
    [anon_sym_break] = ACTIONS(2219),
    [anon_sym_continue] = ACTIONS(2219),
    [anon_sym_debugger] = ACTIONS(2219),
    [anon_sym_return] = ACTIONS(2219),
    [anon_sym_throw] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym_case] = ACTIONS(2219),
    [anon_sym_yield] = ACTIONS(2219),
    [anon_sym_LBRACK] = ACTIONS(2219),
    [anon_sym_LTtemplate_GT] = ACTIONS(2219),
    [anon_sym_DOT] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_class] = ACTIONS(2219),
    [anon_sym_async] = ACTIONS(2219),
    [anon_sym_function] = ACTIONS(2219),
    [anon_sym_new] = ACTIONS(2219),
    [anon_sym_using] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_SLASH] = ACTIONS(2219),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_void] = ACTIONS(2219),
    [anon_sym_delete] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2219),
    [sym_number] = ACTIONS(2219),
    [sym_private_property_identifier] = ACTIONS(2219),
    [sym_this] = ACTIONS(2219),
    [sym_super] = ACTIONS(2219),
    [sym_true] = ACTIONS(2219),
    [sym_false] = ACTIONS(2219),
    [sym_null] = ACTIONS(2219),
    [sym_undefined] = ACTIONS(2219),
    [anon_sym_AT] = ACTIONS(2219),
    [anon_sym_static] = ACTIONS(2219),
    [anon_sym_readonly] = ACTIONS(2219),
    [anon_sym_get] = ACTIONS(2219),
    [anon_sym_set] = ACTIONS(2219),
    [anon_sym_declare] = ACTIONS(2219),
    [anon_sym_public] = ACTIONS(2219),
    [anon_sym_private] = ACTIONS(2219),
    [anon_sym_protected] = ACTIONS(2219),
    [anon_sym_override] = ACTIONS(2219),
    [anon_sym_module] = ACTIONS(2219),
    [anon_sym_any] = ACTIONS(2219),
    [anon_sym_number] = ACTIONS(2219),
    [anon_sym_boolean] = ACTIONS(2219),
    [anon_sym_string] = ACTIONS(2219),
    [anon_sym_symbol] = ACTIONS(2219),
    [anon_sym_object] = ACTIONS(2219),
    [anon_sym_abstract] = ACTIONS(2219),
    [anon_sym_interface] = ACTIONS(2219),
    [anon_sym_enum] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [917] = {
    [sym_comment] = STATE(917),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_export] = ACTIONS(2215),
    [anon_sym_default] = ACTIONS(2215),
    [anon_sym_type] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2215),
    [anon_sym_typeof] = ACTIONS(2215),
    [anon_sym_import] = ACTIONS(2215),
    [anon_sym_with] = ACTIONS(2215),
    [anon_sym_var] = ACTIONS(2215),
    [anon_sym_let] = ACTIONS(2215),
    [anon_sym_const] = ACTIONS(2215),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_else] = ACTIONS(2215),
    [anon_sym_if] = ACTIONS(2215),
    [anon_sym_switch] = ACTIONS(2215),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_LPAREN] = ACTIONS(2215),
    [anon_sym_await] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2215),
    [anon_sym_do] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2215),
    [anon_sym_break] = ACTIONS(2215),
    [anon_sym_continue] = ACTIONS(2215),
    [anon_sym_debugger] = ACTIONS(2215),
    [anon_sym_return] = ACTIONS(2215),
    [anon_sym_throw] = ACTIONS(2215),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym_case] = ACTIONS(2215),
    [anon_sym_yield] = ACTIONS(2215),
    [anon_sym_LBRACK] = ACTIONS(2215),
    [anon_sym_LTtemplate_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2215),
    [anon_sym_SQUOTE] = ACTIONS(2215),
    [anon_sym_class] = ACTIONS(2215),
    [anon_sym_async] = ACTIONS(2215),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_using] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_void] = ACTIONS(2215),
    [anon_sym_delete] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2215),
    [sym_number] = ACTIONS(2215),
    [sym_private_property_identifier] = ACTIONS(2215),
    [sym_this] = ACTIONS(2215),
    [sym_super] = ACTIONS(2215),
    [sym_true] = ACTIONS(2215),
    [sym_false] = ACTIONS(2215),
    [sym_null] = ACTIONS(2215),
    [sym_undefined] = ACTIONS(2215),
    [anon_sym_AT] = ACTIONS(2215),
    [anon_sym_static] = ACTIONS(2215),
    [anon_sym_readonly] = ACTIONS(2215),
    [anon_sym_get] = ACTIONS(2215),
    [anon_sym_set] = ACTIONS(2215),
    [anon_sym_declare] = ACTIONS(2215),
    [anon_sym_public] = ACTIONS(2215),
    [anon_sym_private] = ACTIONS(2215),
    [anon_sym_protected] = ACTIONS(2215),
    [anon_sym_override] = ACTIONS(2215),
    [anon_sym_module] = ACTIONS(2215),
    [anon_sym_any] = ACTIONS(2215),
    [anon_sym_number] = ACTIONS(2215),
    [anon_sym_boolean] = ACTIONS(2215),
    [anon_sym_string] = ACTIONS(2215),
    [anon_sym_symbol] = ACTIONS(2215),
    [anon_sym_object] = ACTIONS(2215),
    [anon_sym_abstract] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2215),
    [anon_sym_enum] = ACTIONS(2215),
    [sym_html_comment] = ACTIONS(5),
  },
  [918] = {
    [sym_comment] = STATE(918),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2207),
    [sym_html_comment] = ACTIONS(5),
  },
  [919] = {
    [sym_comment] = STATE(919),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_export] = ACTIONS(3074),
    [anon_sym_default] = ACTIONS(3074),
    [anon_sym_type] = ACTIONS(3074),
    [anon_sym_namespace] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(3074),
    [anon_sym_with] = ACTIONS(3074),
    [anon_sym_var] = ACTIONS(3074),
    [anon_sym_let] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_else] = ACTIONS(3074),
    [anon_sym_if] = ACTIONS(3074),
    [anon_sym_switch] = ACTIONS(3074),
    [anon_sym_for] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3074),
    [anon_sym_await] = ACTIONS(3074),
    [anon_sym_while] = ACTIONS(3074),
    [anon_sym_do] = ACTIONS(3074),
    [anon_sym_try] = ACTIONS(3074),
    [anon_sym_break] = ACTIONS(3074),
    [anon_sym_continue] = ACTIONS(3074),
    [anon_sym_debugger] = ACTIONS(3074),
    [anon_sym_return] = ACTIONS(3074),
    [anon_sym_throw] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym_case] = ACTIONS(3074),
    [anon_sym_finally] = ACTIONS(3074),
    [anon_sym_yield] = ACTIONS(3074),
    [anon_sym_LBRACK] = ACTIONS(3074),
    [anon_sym_LTtemplate_GT] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_class] = ACTIONS(3074),
    [anon_sym_async] = ACTIONS(3074),
    [anon_sym_function] = ACTIONS(3074),
    [anon_sym_new] = ACTIONS(3074),
    [anon_sym_using] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_void] = ACTIONS(3074),
    [anon_sym_delete] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3074),
    [sym_number] = ACTIONS(3074),
    [sym_private_property_identifier] = ACTIONS(3074),
    [sym_this] = ACTIONS(3074),
    [sym_super] = ACTIONS(3074),
    [sym_true] = ACTIONS(3074),
    [sym_false] = ACTIONS(3074),
    [sym_null] = ACTIONS(3074),
    [sym_undefined] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3074),
    [anon_sym_static] = ACTIONS(3074),
    [anon_sym_readonly] = ACTIONS(3074),
    [anon_sym_get] = ACTIONS(3074),
    [anon_sym_set] = ACTIONS(3074),
    [anon_sym_declare] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3074),
    [anon_sym_module] = ACTIONS(3074),
    [anon_sym_any] = ACTIONS(3074),
    [anon_sym_number] = ACTIONS(3074),
    [anon_sym_boolean] = ACTIONS(3074),
    [anon_sym_string] = ACTIONS(3074),
    [anon_sym_symbol] = ACTIONS(3074),
    [anon_sym_object] = ACTIONS(3074),
    [anon_sym_abstract] = ACTIONS(3074),
    [anon_sym_interface] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [sym_html_comment] = ACTIONS(5),
  },
  [920] = {
    [sym_comment] = STATE(920),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_finally] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [921] = {
    [sym_comment] = STATE(921),
    [sym_identifier] = ACTIONS(2197),
    [anon_sym_export] = ACTIONS(2197),
    [anon_sym_default] = ACTIONS(2197),
    [anon_sym_type] = ACTIONS(2197),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_RBRACE] = ACTIONS(2197),
    [anon_sym_typeof] = ACTIONS(2197),
    [anon_sym_import] = ACTIONS(2197),
    [anon_sym_with] = ACTIONS(2197),
    [anon_sym_var] = ACTIONS(2197),
    [anon_sym_let] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_else] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_debugger] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_case] = ACTIONS(2197),
    [anon_sym_yield] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LTtemplate_GT] = ACTIONS(2197),
    [anon_sym_DQUOTE] = ACTIONS(2197),
    [anon_sym_SQUOTE] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2197),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_using] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_void] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2197),
    [sym_number] = ACTIONS(2197),
    [sym_private_property_identifier] = ACTIONS(2197),
    [sym_this] = ACTIONS(2197),
    [sym_super] = ACTIONS(2197),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [sym_null] = ACTIONS(2197),
    [sym_undefined] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_readonly] = ACTIONS(2197),
    [anon_sym_get] = ACTIONS(2197),
    [anon_sym_set] = ACTIONS(2197),
    [anon_sym_declare] = ACTIONS(2197),
    [anon_sym_public] = ACTIONS(2197),
    [anon_sym_private] = ACTIONS(2197),
    [anon_sym_protected] = ACTIONS(2197),
    [anon_sym_override] = ACTIONS(2197),
    [anon_sym_module] = ACTIONS(2197),
    [anon_sym_any] = ACTIONS(2197),
    [anon_sym_number] = ACTIONS(2197),
    [anon_sym_boolean] = ACTIONS(2197),
    [anon_sym_string] = ACTIONS(2197),
    [anon_sym_symbol] = ACTIONS(2197),
    [anon_sym_object] = ACTIONS(2197),
    [anon_sym_abstract] = ACTIONS(2197),
    [anon_sym_interface] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
    [sym__automatic_semicolon] = ACTIONS(2201),
    [sym_html_comment] = ACTIONS(5),
  },
  [922] = {
    [sym_comment] = STATE(922),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2253),
    [anon_sym_default] = ACTIONS(2253),
    [anon_sym_type] = ACTIONS(2253),
    [anon_sym_namespace] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_typeof] = ACTIONS(2253),
    [anon_sym_import] = ACTIONS(2253),
    [anon_sym_with] = ACTIONS(2253),
    [anon_sym_var] = ACTIONS(2253),
    [anon_sym_let] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_else] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_switch] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_debugger] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_throw] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_case] = ACTIONS(2253),
    [anon_sym_yield] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LTtemplate_GT] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(2253),
    [anon_sym_SQUOTE] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2253),
    [anon_sym_using] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_SLASH] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_void] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [sym_private_property_identifier] = ACTIONS(2253),
    [sym_this] = ACTIONS(2253),
    [sym_super] = ACTIONS(2253),
    [sym_true] = ACTIONS(2253),
    [sym_false] = ACTIONS(2253),
    [sym_null] = ACTIONS(2253),
    [sym_undefined] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_static] = ACTIONS(2253),
    [anon_sym_readonly] = ACTIONS(2253),
    [anon_sym_get] = ACTIONS(2253),
    [anon_sym_set] = ACTIONS(2253),
    [anon_sym_declare] = ACTIONS(2253),
    [anon_sym_public] = ACTIONS(2253),
    [anon_sym_private] = ACTIONS(2253),
    [anon_sym_protected] = ACTIONS(2253),
    [anon_sym_override] = ACTIONS(2253),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_any] = ACTIONS(2253),
    [anon_sym_number] = ACTIONS(2253),
    [anon_sym_boolean] = ACTIONS(2253),
    [anon_sym_string] = ACTIONS(2253),
    [anon_sym_symbol] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2253),
    [anon_sym_interface] = ACTIONS(2253),
    [anon_sym_enum] = ACTIONS(2253),
    [sym__automatic_semicolon] = ACTIONS(2255),
    [sym_html_comment] = ACTIONS(5),
  },
  [923] = {
    [sym_comment] = STATE(923),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_catch] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [924] = {
    [sym_comment] = STATE(924),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [925] = {
    [sym_comment] = STATE(925),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_catch] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3078),
    [sym_html_comment] = ACTIONS(5),
  },
  [926] = {
    [sym_else_clause] = STATE(1493),
    [sym_comment] = STATE(926),
    [sym_identifier] = ACTIONS(3080),
    [anon_sym_export] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_type] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3080),
    [anon_sym_import] = ACTIONS(3080),
    [anon_sym_with] = ACTIONS(3080),
    [anon_sym_var] = ACTIONS(3080),
    [anon_sym_let] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_BANG] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3082),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_await] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_debugger] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_yield] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_LTtemplate_GT] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(3080),
    [anon_sym_SQUOTE] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_async] = ACTIONS(3080),
    [anon_sym_function] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_TILDE] = ACTIONS(3080),
    [anon_sym_void] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3080),
    [sym_number] = ACTIONS(3080),
    [sym_private_property_identifier] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
    [sym_super] = ACTIONS(3080),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [sym_null] = ACTIONS(3080),
    [sym_undefined] = ACTIONS(3080),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_readonly] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3080),
    [anon_sym_set] = ACTIONS(3080),
    [anon_sym_declare] = ACTIONS(3080),
    [anon_sym_public] = ACTIONS(3080),
    [anon_sym_private] = ACTIONS(3080),
    [anon_sym_protected] = ACTIONS(3080),
    [anon_sym_override] = ACTIONS(3080),
    [anon_sym_module] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(3080),
    [anon_sym_number] = ACTIONS(3080),
    [anon_sym_boolean] = ACTIONS(3080),
    [anon_sym_string] = ACTIONS(3080),
    [anon_sym_symbol] = ACTIONS(3080),
    [anon_sym_object] = ACTIONS(3080),
    [anon_sym_abstract] = ACTIONS(3080),
    [anon_sym_interface] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [sym_html_comment] = ACTIONS(5),
  },
  [927] = {
    [sym_comment] = STATE(927),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_catch] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [928] = {
    [sym_comment] = STATE(928),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2139),
    [sym_html_comment] = ACTIONS(5),
  },
  [929] = {
    [sym_comment] = STATE(929),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_export] = ACTIONS(2189),
    [anon_sym_default] = ACTIONS(2189),
    [anon_sym_type] = ACTIONS(2189),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_RBRACE] = ACTIONS(2189),
    [anon_sym_typeof] = ACTIONS(2189),
    [anon_sym_import] = ACTIONS(2189),
    [anon_sym_with] = ACTIONS(2189),
    [anon_sym_var] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2189),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_debugger] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2189),
    [anon_sym_case] = ACTIONS(2189),
    [anon_sym_yield] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_LTtemplate_GT] = ACTIONS(2189),
    [anon_sym_DQUOTE] = ACTIONS(2189),
    [anon_sym_SQUOTE] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_function] = ACTIONS(2189),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_using] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_SLASH] = ACTIONS(2189),
    [anon_sym_LT] = ACTIONS(2189),
    [anon_sym_TILDE] = ACTIONS(2189),
    [anon_sym_void] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2189),
    [sym_number] = ACTIONS(2189),
    [sym_private_property_identifier] = ACTIONS(2189),
    [sym_this] = ACTIONS(2189),
    [sym_super] = ACTIONS(2189),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [sym_null] = ACTIONS(2189),
    [sym_undefined] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2189),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_readonly] = ACTIONS(2189),
    [anon_sym_get] = ACTIONS(2189),
    [anon_sym_set] = ACTIONS(2189),
    [anon_sym_declare] = ACTIONS(2189),
    [anon_sym_public] = ACTIONS(2189),
    [anon_sym_private] = ACTIONS(2189),
    [anon_sym_protected] = ACTIONS(2189),
    [anon_sym_override] = ACTIONS(2189),
    [anon_sym_module] = ACTIONS(2189),
    [anon_sym_any] = ACTIONS(2189),
    [anon_sym_number] = ACTIONS(2189),
    [anon_sym_boolean] = ACTIONS(2189),
    [anon_sym_string] = ACTIONS(2189),
    [anon_sym_symbol] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_abstract] = ACTIONS(2189),
    [anon_sym_interface] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
    [sym__automatic_semicolon] = ACTIONS(2193),
    [sym_html_comment] = ACTIONS(5),
  },
  [930] = {
    [sym_comment] = STATE(930),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3084),
    [sym_html_comment] = ACTIONS(5),
  },
  [931] = {
    [sym_finally_clause] = STATE(1239),
    [sym_comment] = STATE(931),
    [ts_builtin_sym_end] = ACTIONS(3086),
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_export] = ACTIONS(3064),
    [anon_sym_type] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_RBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(3064),
    [anon_sym_import] = ACTIONS(3064),
    [anon_sym_with] = ACTIONS(3064),
    [anon_sym_var] = ACTIONS(3064),
    [anon_sym_let] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3064),
    [anon_sym_await] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_debugger] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3064),
    [anon_sym_finally] = ACTIONS(3028),
    [anon_sym_yield] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_LTtemplate_GT] = ACTIONS(3064),
    [anon_sym_DQUOTE] = ACTIONS(3064),
    [anon_sym_SQUOTE] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_async] = ACTIONS(3064),
    [anon_sym_function] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_TILDE] = ACTIONS(3064),
    [anon_sym_void] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3064),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3064),
    [sym_number] = ACTIONS(3064),
    [sym_private_property_identifier] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
    [sym_super] = ACTIONS(3064),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [sym_null] = ACTIONS(3064),
    [sym_undefined] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_readonly] = ACTIONS(3064),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_declare] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_module] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3064),
    [anon_sym_number] = ACTIONS(3064),
    [anon_sym_boolean] = ACTIONS(3064),
    [anon_sym_string] = ACTIONS(3064),
    [anon_sym_symbol] = ACTIONS(3064),
    [anon_sym_object] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_interface] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [sym_html_comment] = ACTIONS(5),
  },
  [932] = {
    [sym_comment] = STATE(932),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_default] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_else] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_case] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2121),
    [sym_html_comment] = ACTIONS(5),
  },
  [933] = {
    [sym_else_clause] = STATE(1079),
    [sym_comment] = STATE(933),
    [sym_identifier] = ACTIONS(3080),
    [anon_sym_export] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_type] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3080),
    [anon_sym_import] = ACTIONS(3080),
    [anon_sym_with] = ACTIONS(3080),
    [anon_sym_var] = ACTIONS(3080),
    [anon_sym_let] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_BANG] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_await] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_debugger] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_yield] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_LTtemplate_GT] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(3080),
    [anon_sym_SQUOTE] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_async] = ACTIONS(3080),
    [anon_sym_function] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_TILDE] = ACTIONS(3080),
    [anon_sym_void] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3080),
    [sym_number] = ACTIONS(3080),
    [sym_private_property_identifier] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
    [sym_super] = ACTIONS(3080),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [sym_null] = ACTIONS(3080),
    [sym_undefined] = ACTIONS(3080),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_readonly] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3080),
    [anon_sym_set] = ACTIONS(3080),
    [anon_sym_declare] = ACTIONS(3080),
    [anon_sym_public] = ACTIONS(3080),
    [anon_sym_private] = ACTIONS(3080),
    [anon_sym_protected] = ACTIONS(3080),
    [anon_sym_override] = ACTIONS(3080),
    [anon_sym_module] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(3080),
    [anon_sym_number] = ACTIONS(3080),
    [anon_sym_boolean] = ACTIONS(3080),
    [anon_sym_string] = ACTIONS(3080),
    [anon_sym_symbol] = ACTIONS(3080),
    [anon_sym_object] = ACTIONS(3080),
    [anon_sym_abstract] = ACTIONS(3080),
    [anon_sym_interface] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [sym_html_comment] = ACTIONS(5),
  },
  [934] = {
    [sym_comment] = STATE(934),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3090),
    [sym_html_comment] = ACTIONS(5),
  },
  [935] = {
    [sym_statement_block] = STATE(1265),
    [sym_comment] = STATE(935),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [936] = {
    [sym_statement_block] = STATE(1397),
    [sym_comment] = STATE(936),
    [ts_builtin_sym_end] = ACTIONS(2073),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [937] = {
    [sym_finally_clause] = STATE(1525),
    [sym_comment] = STATE(937),
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_export] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_type] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_RBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(3064),
    [anon_sym_import] = ACTIONS(3064),
    [anon_sym_with] = ACTIONS(3064),
    [anon_sym_var] = ACTIONS(3064),
    [anon_sym_let] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3064),
    [anon_sym_await] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_debugger] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_finally] = ACTIONS(3036),
    [anon_sym_yield] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_LTtemplate_GT] = ACTIONS(3064),
    [anon_sym_DQUOTE] = ACTIONS(3064),
    [anon_sym_SQUOTE] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_async] = ACTIONS(3064),
    [anon_sym_function] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_TILDE] = ACTIONS(3064),
    [anon_sym_void] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3064),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3064),
    [sym_number] = ACTIONS(3064),
    [sym_private_property_identifier] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
    [sym_super] = ACTIONS(3064),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [sym_null] = ACTIONS(3064),
    [sym_undefined] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_readonly] = ACTIONS(3064),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_declare] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_module] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3064),
    [anon_sym_number] = ACTIONS(3064),
    [anon_sym_boolean] = ACTIONS(3064),
    [anon_sym_string] = ACTIONS(3064),
    [anon_sym_symbol] = ACTIONS(3064),
    [anon_sym_object] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_interface] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [sym_html_comment] = ACTIONS(5),
  },
  [938] = {
    [sym_comment] = STATE(938),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [939] = {
    [sym_comment] = STATE(939),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(3098),
    [sym_html_comment] = ACTIONS(5),
  },
  [940] = {
    [sym_comment] = STATE(940),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_finally] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [941] = {
    [sym_statement_block] = STATE(969),
    [sym_comment] = STATE(941),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [942] = {
    [sym_statement_block] = STATE(1397),
    [sym_comment] = STATE(942),
    [ts_builtin_sym_end] = ACTIONS(2073),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(3100),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [943] = {
    [sym_comment] = STATE(943),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [944] = {
    [sym_comment] = STATE(944),
    [sym_identifier] = ACTIONS(2163),
    [anon_sym_export] = ACTIONS(2163),
    [anon_sym_default] = ACTIONS(2163),
    [anon_sym_type] = ACTIONS(2163),
    [anon_sym_namespace] = ACTIONS(2163),
    [anon_sym_LBRACE] = ACTIONS(2163),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_typeof] = ACTIONS(2163),
    [anon_sym_import] = ACTIONS(2163),
    [anon_sym_with] = ACTIONS(2163),
    [anon_sym_var] = ACTIONS(2163),
    [anon_sym_let] = ACTIONS(2163),
    [anon_sym_const] = ACTIONS(2163),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_else] = ACTIONS(2163),
    [anon_sym_if] = ACTIONS(2163),
    [anon_sym_switch] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2163),
    [anon_sym_LPAREN] = ACTIONS(2163),
    [anon_sym_await] = ACTIONS(2163),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_do] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2163),
    [anon_sym_break] = ACTIONS(2163),
    [anon_sym_continue] = ACTIONS(2163),
    [anon_sym_debugger] = ACTIONS(2163),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_throw] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_case] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2163),
    [anon_sym_LBRACK] = ACTIONS(2163),
    [anon_sym_LTtemplate_GT] = ACTIONS(2163),
    [anon_sym_DQUOTE] = ACTIONS(2163),
    [anon_sym_SQUOTE] = ACTIONS(2163),
    [anon_sym_class] = ACTIONS(2163),
    [anon_sym_async] = ACTIONS(2163),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(2163),
    [anon_sym_PLUS] = ACTIONS(2163),
    [anon_sym_DASH] = ACTIONS(2163),
    [anon_sym_SLASH] = ACTIONS(2163),
    [anon_sym_LT] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_void] = ACTIONS(2163),
    [anon_sym_delete] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2163),
    [sym_number] = ACTIONS(2163),
    [sym_private_property_identifier] = ACTIONS(2163),
    [sym_this] = ACTIONS(2163),
    [sym_super] = ACTIONS(2163),
    [sym_true] = ACTIONS(2163),
    [sym_false] = ACTIONS(2163),
    [sym_null] = ACTIONS(2163),
    [sym_undefined] = ACTIONS(2163),
    [anon_sym_AT] = ACTIONS(2163),
    [anon_sym_static] = ACTIONS(2163),
    [anon_sym_readonly] = ACTIONS(2163),
    [anon_sym_get] = ACTIONS(2163),
    [anon_sym_set] = ACTIONS(2163),
    [anon_sym_declare] = ACTIONS(2163),
    [anon_sym_public] = ACTIONS(2163),
    [anon_sym_private] = ACTIONS(2163),
    [anon_sym_protected] = ACTIONS(2163),
    [anon_sym_override] = ACTIONS(2163),
    [anon_sym_module] = ACTIONS(2163),
    [anon_sym_any] = ACTIONS(2163),
    [anon_sym_number] = ACTIONS(2163),
    [anon_sym_boolean] = ACTIONS(2163),
    [anon_sym_string] = ACTIONS(2163),
    [anon_sym_symbol] = ACTIONS(2163),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_abstract] = ACTIONS(2163),
    [anon_sym_interface] = ACTIONS(2163),
    [anon_sym_enum] = ACTIONS(2163),
    [sym__automatic_semicolon] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [945] = {
    [sym_comment] = STATE(945),
    [sym_identifier] = ACTIONS(2235),
    [anon_sym_export] = ACTIONS(2235),
    [anon_sym_default] = ACTIONS(2235),
    [anon_sym_type] = ACTIONS(2235),
    [anon_sym_namespace] = ACTIONS(2235),
    [anon_sym_LBRACE] = ACTIONS(2235),
    [anon_sym_RBRACE] = ACTIONS(2235),
    [anon_sym_typeof] = ACTIONS(2235),
    [anon_sym_import] = ACTIONS(2235),
    [anon_sym_with] = ACTIONS(2235),
    [anon_sym_var] = ACTIONS(2235),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_else] = ACTIONS(2235),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_switch] = ACTIONS(2235),
    [anon_sym_for] = ACTIONS(2235),
    [anon_sym_LPAREN] = ACTIONS(2235),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_while] = ACTIONS(2235),
    [anon_sym_do] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_break] = ACTIONS(2235),
    [anon_sym_continue] = ACTIONS(2235),
    [anon_sym_debugger] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_throw] = ACTIONS(2235),
    [anon_sym_SEMI] = ACTIONS(2235),
    [anon_sym_case] = ACTIONS(2235),
    [anon_sym_yield] = ACTIONS(2235),
    [anon_sym_LBRACK] = ACTIONS(2235),
    [anon_sym_LTtemplate_GT] = ACTIONS(2235),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_SQUOTE] = ACTIONS(2235),
    [anon_sym_class] = ACTIONS(2235),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_function] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(2235),
    [anon_sym_using] = ACTIONS(2235),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_SLASH] = ACTIONS(2235),
    [anon_sym_LT] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_void] = ACTIONS(2235),
    [anon_sym_delete] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2235),
    [anon_sym_DASH_DASH] = ACTIONS(2235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2235),
    [sym_number] = ACTIONS(2235),
    [sym_private_property_identifier] = ACTIONS(2235),
    [sym_this] = ACTIONS(2235),
    [sym_super] = ACTIONS(2235),
    [sym_true] = ACTIONS(2235),
    [sym_false] = ACTIONS(2235),
    [sym_null] = ACTIONS(2235),
    [sym_undefined] = ACTIONS(2235),
    [anon_sym_AT] = ACTIONS(2235),
    [anon_sym_static] = ACTIONS(2235),
    [anon_sym_readonly] = ACTIONS(2235),
    [anon_sym_get] = ACTIONS(2235),
    [anon_sym_set] = ACTIONS(2235),
    [anon_sym_declare] = ACTIONS(2235),
    [anon_sym_public] = ACTIONS(2235),
    [anon_sym_private] = ACTIONS(2235),
    [anon_sym_protected] = ACTIONS(2235),
    [anon_sym_override] = ACTIONS(2235),
    [anon_sym_module] = ACTIONS(2235),
    [anon_sym_any] = ACTIONS(2235),
    [anon_sym_number] = ACTIONS(2235),
    [anon_sym_boolean] = ACTIONS(2235),
    [anon_sym_string] = ACTIONS(2235),
    [anon_sym_symbol] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(2235),
    [anon_sym_abstract] = ACTIONS(2235),
    [anon_sym_interface] = ACTIONS(2235),
    [anon_sym_enum] = ACTIONS(2235),
    [sym__automatic_semicolon] = ACTIONS(2239),
    [sym_html_comment] = ACTIONS(5),
  },
  [946] = {
    [sym_comment] = STATE(946),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2131),
    [sym_html_comment] = ACTIONS(5),
  },
  [947] = {
    [sym_comment] = STATE(947),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym__automatic_semicolon] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [948] = {
    [sym_comment] = STATE(948),
    [sym_identifier] = ACTIONS(2179),
    [anon_sym_export] = ACTIONS(2179),
    [anon_sym_default] = ACTIONS(2179),
    [anon_sym_type] = ACTIONS(2179),
    [anon_sym_namespace] = ACTIONS(2179),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_typeof] = ACTIONS(2179),
    [anon_sym_import] = ACTIONS(2179),
    [anon_sym_with] = ACTIONS(2179),
    [anon_sym_var] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_const] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_else] = ACTIONS(2179),
    [anon_sym_if] = ACTIONS(2179),
    [anon_sym_switch] = ACTIONS(2179),
    [anon_sym_for] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(2179),
    [anon_sym_while] = ACTIONS(2179),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_try] = ACTIONS(2179),
    [anon_sym_break] = ACTIONS(2179),
    [anon_sym_continue] = ACTIONS(2179),
    [anon_sym_debugger] = ACTIONS(2179),
    [anon_sym_return] = ACTIONS(2179),
    [anon_sym_throw] = ACTIONS(2179),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_case] = ACTIONS(2179),
    [anon_sym_yield] = ACTIONS(2179),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_LTtemplate_GT] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [anon_sym_class] = ACTIONS(2179),
    [anon_sym_async] = ACTIONS(2179),
    [anon_sym_function] = ACTIONS(2179),
    [anon_sym_new] = ACTIONS(2179),
    [anon_sym_using] = ACTIONS(2179),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_SLASH] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_void] = ACTIONS(2179),
    [anon_sym_delete] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2179),
    [sym_number] = ACTIONS(2179),
    [sym_private_property_identifier] = ACTIONS(2179),
    [sym_this] = ACTIONS(2179),
    [sym_super] = ACTIONS(2179),
    [sym_true] = ACTIONS(2179),
    [sym_false] = ACTIONS(2179),
    [sym_null] = ACTIONS(2179),
    [sym_undefined] = ACTIONS(2179),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_static] = ACTIONS(2179),
    [anon_sym_readonly] = ACTIONS(2179),
    [anon_sym_get] = ACTIONS(2179),
    [anon_sym_set] = ACTIONS(2179),
    [anon_sym_declare] = ACTIONS(2179),
    [anon_sym_public] = ACTIONS(2179),
    [anon_sym_private] = ACTIONS(2179),
    [anon_sym_protected] = ACTIONS(2179),
    [anon_sym_override] = ACTIONS(2179),
    [anon_sym_module] = ACTIONS(2179),
    [anon_sym_any] = ACTIONS(2179),
    [anon_sym_number] = ACTIONS(2179),
    [anon_sym_boolean] = ACTIONS(2179),
    [anon_sym_string] = ACTIONS(2179),
    [anon_sym_symbol] = ACTIONS(2179),
    [anon_sym_object] = ACTIONS(2179),
    [anon_sym_abstract] = ACTIONS(2179),
    [anon_sym_interface] = ACTIONS(2179),
    [anon_sym_enum] = ACTIONS(2179),
    [sym__automatic_semicolon] = ACTIONS(2183),
    [sym_html_comment] = ACTIONS(5),
  },
  [949] = {
    [sym_comment] = STATE(949),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_catch] = ACTIONS(2055),
    [anon_sym_finally] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(3102),
    [sym_html_comment] = ACTIONS(5),
  },
  [950] = {
    [sym_comment] = STATE(950),
    [sym_identifier] = ACTIONS(2225),
    [anon_sym_export] = ACTIONS(2225),
    [anon_sym_default] = ACTIONS(2225),
    [anon_sym_type] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(2225),
    [anon_sym_import] = ACTIONS(2225),
    [anon_sym_with] = ACTIONS(2225),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2225),
    [anon_sym_const] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_else] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_debugger] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_case] = ACTIONS(2225),
    [anon_sym_yield] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LTtemplate_GT] = ACTIONS(2225),
    [anon_sym_DQUOTE] = ACTIONS(2225),
    [anon_sym_SQUOTE] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_using] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_SLASH] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_void] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_number] = ACTIONS(2225),
    [sym_private_property_identifier] = ACTIONS(2225),
    [sym_this] = ACTIONS(2225),
    [sym_super] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_undefined] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_static] = ACTIONS(2225),
    [anon_sym_readonly] = ACTIONS(2225),
    [anon_sym_get] = ACTIONS(2225),
    [anon_sym_set] = ACTIONS(2225),
    [anon_sym_declare] = ACTIONS(2225),
    [anon_sym_public] = ACTIONS(2225),
    [anon_sym_private] = ACTIONS(2225),
    [anon_sym_protected] = ACTIONS(2225),
    [anon_sym_override] = ACTIONS(2225),
    [anon_sym_module] = ACTIONS(2225),
    [anon_sym_any] = ACTIONS(2225),
    [anon_sym_number] = ACTIONS(2225),
    [anon_sym_boolean] = ACTIONS(2225),
    [anon_sym_string] = ACTIONS(2225),
    [anon_sym_symbol] = ACTIONS(2225),
    [anon_sym_object] = ACTIONS(2225),
    [anon_sym_abstract] = ACTIONS(2225),
    [anon_sym_interface] = ACTIONS(2225),
    [anon_sym_enum] = ACTIONS(2225),
    [sym__automatic_semicolon] = ACTIONS(2229),
    [sym_html_comment] = ACTIONS(5),
  },
  [951] = {
    [sym_comment] = STATE(951),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_default] = ACTIONS(2147),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_case] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2151),
    [sym_html_comment] = ACTIONS(5),
  },
  [952] = {
    [sym_comment] = STATE(952),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_default] = ACTIONS(2155),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2159),
    [sym_html_comment] = ACTIONS(5),
  },
  [953] = {
    [sym_comment] = STATE(953),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [954] = {
    [sym_comment] = STATE(954),
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_export] = ACTIONS(3106),
    [anon_sym_default] = ACTIONS(3106),
    [anon_sym_type] = ACTIONS(3106),
    [anon_sym_namespace] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_typeof] = ACTIONS(3106),
    [anon_sym_import] = ACTIONS(3106),
    [anon_sym_with] = ACTIONS(3106),
    [anon_sym_var] = ACTIONS(3106),
    [anon_sym_let] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_switch] = ACTIONS(3106),
    [anon_sym_for] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3106),
    [anon_sym_await] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_do] = ACTIONS(3106),
    [anon_sym_try] = ACTIONS(3106),
    [anon_sym_break] = ACTIONS(3106),
    [anon_sym_continue] = ACTIONS(3106),
    [anon_sym_debugger] = ACTIONS(3106),
    [anon_sym_return] = ACTIONS(3106),
    [anon_sym_throw] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym_case] = ACTIONS(3106),
    [anon_sym_finally] = ACTIONS(3106),
    [anon_sym_yield] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_LTtemplate_GT] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_async] = ACTIONS(3106),
    [anon_sym_function] = ACTIONS(3106),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_using] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_void] = ACTIONS(3106),
    [anon_sym_delete] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3106),
    [sym_number] = ACTIONS(3106),
    [sym_private_property_identifier] = ACTIONS(3106),
    [sym_this] = ACTIONS(3106),
    [sym_super] = ACTIONS(3106),
    [sym_true] = ACTIONS(3106),
    [sym_false] = ACTIONS(3106),
    [sym_null] = ACTIONS(3106),
    [sym_undefined] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_readonly] = ACTIONS(3106),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_declare] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_module] = ACTIONS(3106),
    [anon_sym_any] = ACTIONS(3106),
    [anon_sym_number] = ACTIONS(3106),
    [anon_sym_boolean] = ACTIONS(3106),
    [anon_sym_string] = ACTIONS(3106),
    [anon_sym_symbol] = ACTIONS(3106),
    [anon_sym_object] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_interface] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [sym_html_comment] = ACTIONS(5),
  },
  [955] = {
    [sym_comment] = STATE(955),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_export] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_type] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_RBRACE] = ACTIONS(3108),
    [anon_sym_typeof] = ACTIONS(3108),
    [anon_sym_import] = ACTIONS(3108),
    [anon_sym_with] = ACTIONS(3108),
    [anon_sym_var] = ACTIONS(3108),
    [anon_sym_let] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_BANG] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_await] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_debugger] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_finally] = ACTIONS(3108),
    [anon_sym_yield] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_LTtemplate_GT] = ACTIONS(3108),
    [anon_sym_DQUOTE] = ACTIONS(3108),
    [anon_sym_SQUOTE] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_async] = ACTIONS(3108),
    [anon_sym_function] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_TILDE] = ACTIONS(3108),
    [anon_sym_void] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3108),
    [sym_number] = ACTIONS(3108),
    [sym_private_property_identifier] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
    [sym_super] = ACTIONS(3108),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [sym_null] = ACTIONS(3108),
    [sym_undefined] = ACTIONS(3108),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_readonly] = ACTIONS(3108),
    [anon_sym_get] = ACTIONS(3108),
    [anon_sym_set] = ACTIONS(3108),
    [anon_sym_declare] = ACTIONS(3108),
    [anon_sym_public] = ACTIONS(3108),
    [anon_sym_private] = ACTIONS(3108),
    [anon_sym_protected] = ACTIONS(3108),
    [anon_sym_override] = ACTIONS(3108),
    [anon_sym_module] = ACTIONS(3108),
    [anon_sym_any] = ACTIONS(3108),
    [anon_sym_number] = ACTIONS(3108),
    [anon_sym_boolean] = ACTIONS(3108),
    [anon_sym_string] = ACTIONS(3108),
    [anon_sym_symbol] = ACTIONS(3108),
    [anon_sym_object] = ACTIONS(3108),
    [anon_sym_abstract] = ACTIONS(3108),
    [anon_sym_interface] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [sym_html_comment] = ACTIONS(5),
  },
  [956] = {
    [sym_comment] = STATE(956),
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_export] = ACTIONS(3110),
    [anon_sym_default] = ACTIONS(3110),
    [anon_sym_type] = ACTIONS(3110),
    [anon_sym_namespace] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_typeof] = ACTIONS(3110),
    [anon_sym_import] = ACTIONS(3110),
    [anon_sym_with] = ACTIONS(3110),
    [anon_sym_var] = ACTIONS(3110),
    [anon_sym_let] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_else] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_switch] = ACTIONS(3110),
    [anon_sym_for] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3110),
    [anon_sym_await] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_do] = ACTIONS(3110),
    [anon_sym_try] = ACTIONS(3110),
    [anon_sym_break] = ACTIONS(3110),
    [anon_sym_continue] = ACTIONS(3110),
    [anon_sym_debugger] = ACTIONS(3110),
    [anon_sym_return] = ACTIONS(3110),
    [anon_sym_throw] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_case] = ACTIONS(3110),
    [anon_sym_yield] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_LTtemplate_GT] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_class] = ACTIONS(3110),
    [anon_sym_async] = ACTIONS(3110),
    [anon_sym_function] = ACTIONS(3110),
    [anon_sym_new] = ACTIONS(3110),
    [anon_sym_using] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_void] = ACTIONS(3110),
    [anon_sym_delete] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3110),
    [sym_number] = ACTIONS(3110),
    [sym_private_property_identifier] = ACTIONS(3110),
    [sym_this] = ACTIONS(3110),
    [sym_super] = ACTIONS(3110),
    [sym_true] = ACTIONS(3110),
    [sym_false] = ACTIONS(3110),
    [sym_null] = ACTIONS(3110),
    [sym_undefined] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3110),
    [anon_sym_static] = ACTIONS(3110),
    [anon_sym_readonly] = ACTIONS(3110),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_declare] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_module] = ACTIONS(3110),
    [anon_sym_any] = ACTIONS(3110),
    [anon_sym_number] = ACTIONS(3110),
    [anon_sym_boolean] = ACTIONS(3110),
    [anon_sym_string] = ACTIONS(3110),
    [anon_sym_symbol] = ACTIONS(3110),
    [anon_sym_object] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_interface] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [sym_html_comment] = ACTIONS(5),
  },
  [957] = {
    [sym_comment] = STATE(957),
    [sym_identifier] = ACTIONS(2235),
    [anon_sym_export] = ACTIONS(2235),
    [anon_sym_default] = ACTIONS(2235),
    [anon_sym_type] = ACTIONS(2235),
    [anon_sym_namespace] = ACTIONS(2235),
    [anon_sym_LBRACE] = ACTIONS(2235),
    [anon_sym_RBRACE] = ACTIONS(2235),
    [anon_sym_typeof] = ACTIONS(2235),
    [anon_sym_import] = ACTIONS(2235),
    [anon_sym_with] = ACTIONS(2235),
    [anon_sym_var] = ACTIONS(2235),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_switch] = ACTIONS(2235),
    [anon_sym_for] = ACTIONS(2235),
    [anon_sym_LPAREN] = ACTIONS(2235),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_while] = ACTIONS(2235),
    [anon_sym_do] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_break] = ACTIONS(2235),
    [anon_sym_continue] = ACTIONS(2235),
    [anon_sym_debugger] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_throw] = ACTIONS(2235),
    [anon_sym_SEMI] = ACTIONS(2235),
    [anon_sym_case] = ACTIONS(2235),
    [anon_sym_yield] = ACTIONS(2235),
    [anon_sym_LBRACK] = ACTIONS(2235),
    [anon_sym_LTtemplate_GT] = ACTIONS(2235),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_SQUOTE] = ACTIONS(2235),
    [anon_sym_class] = ACTIONS(2235),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_function] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(2235),
    [anon_sym_using] = ACTIONS(2235),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_SLASH] = ACTIONS(2235),
    [anon_sym_LT] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_void] = ACTIONS(2235),
    [anon_sym_delete] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2235),
    [anon_sym_DASH_DASH] = ACTIONS(2235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2235),
    [sym_number] = ACTIONS(2235),
    [sym_private_property_identifier] = ACTIONS(2235),
    [sym_this] = ACTIONS(2235),
    [sym_super] = ACTIONS(2235),
    [sym_true] = ACTIONS(2235),
    [sym_false] = ACTIONS(2235),
    [sym_null] = ACTIONS(2235),
    [sym_undefined] = ACTIONS(2235),
    [anon_sym_AT] = ACTIONS(2235),
    [anon_sym_static] = ACTIONS(2235),
    [anon_sym_readonly] = ACTIONS(2235),
    [anon_sym_get] = ACTIONS(2235),
    [anon_sym_set] = ACTIONS(2235),
    [anon_sym_declare] = ACTIONS(2235),
    [anon_sym_public] = ACTIONS(2235),
    [anon_sym_private] = ACTIONS(2235),
    [anon_sym_protected] = ACTIONS(2235),
    [anon_sym_override] = ACTIONS(2235),
    [anon_sym_module] = ACTIONS(2235),
    [anon_sym_any] = ACTIONS(2235),
    [anon_sym_number] = ACTIONS(2235),
    [anon_sym_boolean] = ACTIONS(2235),
    [anon_sym_string] = ACTIONS(2235),
    [anon_sym_symbol] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(2235),
    [anon_sym_abstract] = ACTIONS(2235),
    [anon_sym_interface] = ACTIONS(2235),
    [anon_sym_enum] = ACTIONS(2235),
    [sym__automatic_semicolon] = ACTIONS(2315),
    [sym_html_comment] = ACTIONS(5),
  },
  [958] = {
    [sym_statement_block] = STATE(1671),
    [sym_comment] = STATE(958),
    [ts_builtin_sym_end] = ACTIONS(2073),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [959] = {
    [sym_statement_block] = STATE(1671),
    [sym_comment] = STATE(959),
    [ts_builtin_sym_end] = ACTIONS(2073),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [960] = {
    [sym_comment] = STATE(960),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_catch] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [961] = {
    [sym_comment] = STATE(961),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_export] = ACTIONS(2215),
    [anon_sym_default] = ACTIONS(2215),
    [anon_sym_type] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2215),
    [anon_sym_typeof] = ACTIONS(2215),
    [anon_sym_import] = ACTIONS(2215),
    [anon_sym_with] = ACTIONS(2215),
    [anon_sym_var] = ACTIONS(2215),
    [anon_sym_let] = ACTIONS(2215),
    [anon_sym_const] = ACTIONS(2215),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_if] = ACTIONS(2215),
    [anon_sym_switch] = ACTIONS(2215),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_LPAREN] = ACTIONS(2215),
    [anon_sym_await] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2215),
    [anon_sym_do] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2215),
    [anon_sym_break] = ACTIONS(2215),
    [anon_sym_continue] = ACTIONS(2215),
    [anon_sym_debugger] = ACTIONS(2215),
    [anon_sym_return] = ACTIONS(2215),
    [anon_sym_throw] = ACTIONS(2215),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym_case] = ACTIONS(2215),
    [anon_sym_yield] = ACTIONS(2215),
    [anon_sym_LBRACK] = ACTIONS(2215),
    [anon_sym_LTtemplate_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2215),
    [anon_sym_SQUOTE] = ACTIONS(2215),
    [anon_sym_class] = ACTIONS(2215),
    [anon_sym_async] = ACTIONS(2215),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_using] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_void] = ACTIONS(2215),
    [anon_sym_delete] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2215),
    [sym_number] = ACTIONS(2215),
    [sym_private_property_identifier] = ACTIONS(2215),
    [sym_this] = ACTIONS(2215),
    [sym_super] = ACTIONS(2215),
    [sym_true] = ACTIONS(2215),
    [sym_false] = ACTIONS(2215),
    [sym_null] = ACTIONS(2215),
    [sym_undefined] = ACTIONS(2215),
    [anon_sym_AT] = ACTIONS(2215),
    [anon_sym_static] = ACTIONS(2215),
    [anon_sym_readonly] = ACTIONS(2215),
    [anon_sym_get] = ACTIONS(2215),
    [anon_sym_set] = ACTIONS(2215),
    [anon_sym_declare] = ACTIONS(2215),
    [anon_sym_public] = ACTIONS(2215),
    [anon_sym_private] = ACTIONS(2215),
    [anon_sym_protected] = ACTIONS(2215),
    [anon_sym_override] = ACTIONS(2215),
    [anon_sym_module] = ACTIONS(2215),
    [anon_sym_any] = ACTIONS(2215),
    [anon_sym_number] = ACTIONS(2215),
    [anon_sym_boolean] = ACTIONS(2215),
    [anon_sym_string] = ACTIONS(2215),
    [anon_sym_symbol] = ACTIONS(2215),
    [anon_sym_object] = ACTIONS(2215),
    [anon_sym_abstract] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2215),
    [anon_sym_enum] = ACTIONS(2215),
    [sym_html_comment] = ACTIONS(5),
  },
  [962] = {
    [sym_comment] = STATE(962),
    [sym_identifier] = ACTIONS(2219),
    [anon_sym_export] = ACTIONS(2219),
    [anon_sym_default] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2219),
    [anon_sym_namespace] = ACTIONS(2219),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [anon_sym_typeof] = ACTIONS(2219),
    [anon_sym_import] = ACTIONS(2219),
    [anon_sym_with] = ACTIONS(2219),
    [anon_sym_var] = ACTIONS(2219),
    [anon_sym_let] = ACTIONS(2219),
    [anon_sym_const] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(2219),
    [anon_sym_switch] = ACTIONS(2219),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_LPAREN] = ACTIONS(2219),
    [anon_sym_await] = ACTIONS(2219),
    [anon_sym_while] = ACTIONS(2219),
    [anon_sym_do] = ACTIONS(2219),
    [anon_sym_try] = ACTIONS(2219),
    [anon_sym_break] = ACTIONS(2219),
    [anon_sym_continue] = ACTIONS(2219),
    [anon_sym_debugger] = ACTIONS(2219),
    [anon_sym_return] = ACTIONS(2219),
    [anon_sym_throw] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym_case] = ACTIONS(2219),
    [anon_sym_yield] = ACTIONS(2219),
    [anon_sym_LBRACK] = ACTIONS(2219),
    [anon_sym_LTtemplate_GT] = ACTIONS(2219),
    [anon_sym_DOT] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_class] = ACTIONS(2219),
    [anon_sym_async] = ACTIONS(2219),
    [anon_sym_function] = ACTIONS(2219),
    [anon_sym_new] = ACTIONS(2219),
    [anon_sym_using] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_SLASH] = ACTIONS(2219),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_void] = ACTIONS(2219),
    [anon_sym_delete] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2219),
    [sym_number] = ACTIONS(2219),
    [sym_private_property_identifier] = ACTIONS(2219),
    [sym_this] = ACTIONS(2219),
    [sym_super] = ACTIONS(2219),
    [sym_true] = ACTIONS(2219),
    [sym_false] = ACTIONS(2219),
    [sym_null] = ACTIONS(2219),
    [sym_undefined] = ACTIONS(2219),
    [anon_sym_AT] = ACTIONS(2219),
    [anon_sym_static] = ACTIONS(2219),
    [anon_sym_readonly] = ACTIONS(2219),
    [anon_sym_get] = ACTIONS(2219),
    [anon_sym_set] = ACTIONS(2219),
    [anon_sym_declare] = ACTIONS(2219),
    [anon_sym_public] = ACTIONS(2219),
    [anon_sym_private] = ACTIONS(2219),
    [anon_sym_protected] = ACTIONS(2219),
    [anon_sym_override] = ACTIONS(2219),
    [anon_sym_module] = ACTIONS(2219),
    [anon_sym_any] = ACTIONS(2219),
    [anon_sym_number] = ACTIONS(2219),
    [anon_sym_boolean] = ACTIONS(2219),
    [anon_sym_string] = ACTIONS(2219),
    [anon_sym_symbol] = ACTIONS(2219),
    [anon_sym_object] = ACTIONS(2219),
    [anon_sym_abstract] = ACTIONS(2219),
    [anon_sym_interface] = ACTIONS(2219),
    [anon_sym_enum] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [963] = {
    [sym_else_clause] = STATE(1701),
    [sym_comment] = STATE(963),
    [ts_builtin_sym_end] = ACTIONS(3118),
    [sym_identifier] = ACTIONS(3080),
    [anon_sym_export] = ACTIONS(3080),
    [anon_sym_type] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3080),
    [anon_sym_import] = ACTIONS(3080),
    [anon_sym_with] = ACTIONS(3080),
    [anon_sym_var] = ACTIONS(3080),
    [anon_sym_let] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_BANG] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_await] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_debugger] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_yield] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_LTtemplate_GT] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(3080),
    [anon_sym_SQUOTE] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_async] = ACTIONS(3080),
    [anon_sym_function] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_TILDE] = ACTIONS(3080),
    [anon_sym_void] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3080),
    [sym_number] = ACTIONS(3080),
    [sym_private_property_identifier] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
    [sym_super] = ACTIONS(3080),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [sym_null] = ACTIONS(3080),
    [sym_undefined] = ACTIONS(3080),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_readonly] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3080),
    [anon_sym_set] = ACTIONS(3080),
    [anon_sym_declare] = ACTIONS(3080),
    [anon_sym_public] = ACTIONS(3080),
    [anon_sym_private] = ACTIONS(3080),
    [anon_sym_protected] = ACTIONS(3080),
    [anon_sym_override] = ACTIONS(3080),
    [anon_sym_module] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(3080),
    [anon_sym_number] = ACTIONS(3080),
    [anon_sym_boolean] = ACTIONS(3080),
    [anon_sym_string] = ACTIONS(3080),
    [anon_sym_symbol] = ACTIONS(3080),
    [anon_sym_object] = ACTIONS(3080),
    [anon_sym_abstract] = ACTIONS(3080),
    [anon_sym_interface] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [sym_html_comment] = ACTIONS(5),
  },
  [964] = {
    [sym_comment] = STATE(964),
    [ts_builtin_sym_end] = ACTIONS(2271),
    [sym_identifier] = ACTIONS(2097),
    [anon_sym_export] = ACTIONS(2097),
    [anon_sym_type] = ACTIONS(2097),
    [anon_sym_namespace] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_RBRACE] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(2097),
    [anon_sym_import] = ACTIONS(2097),
    [anon_sym_with] = ACTIONS(2097),
    [anon_sym_var] = ACTIONS(2097),
    [anon_sym_let] = ACTIONS(2097),
    [anon_sym_const] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2097),
    [anon_sym_else] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2097),
    [anon_sym_switch] = ACTIONS(2097),
    [anon_sym_for] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2097),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_while] = ACTIONS(2097),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_try] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_debugger] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_throw] = ACTIONS(2097),
    [anon_sym_SEMI] = ACTIONS(2097),
    [anon_sym_yield] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2097),
    [anon_sym_LTtemplate_GT] = ACTIONS(2097),
    [anon_sym_DQUOTE] = ACTIONS(2097),
    [anon_sym_SQUOTE] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_function] = ACTIONS(2097),
    [anon_sym_new] = ACTIONS(2097),
    [anon_sym_using] = ACTIONS(2097),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_SLASH] = ACTIONS(2097),
    [anon_sym_LT] = ACTIONS(2097),
    [anon_sym_TILDE] = ACTIONS(2097),
    [anon_sym_void] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2097),
    [anon_sym_DASH_DASH] = ACTIONS(2097),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2097),
    [sym_number] = ACTIONS(2097),
    [sym_private_property_identifier] = ACTIONS(2097),
    [sym_this] = ACTIONS(2097),
    [sym_super] = ACTIONS(2097),
    [sym_true] = ACTIONS(2097),
    [sym_false] = ACTIONS(2097),
    [sym_null] = ACTIONS(2097),
    [sym_undefined] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2097),
    [anon_sym_static] = ACTIONS(2097),
    [anon_sym_readonly] = ACTIONS(2097),
    [anon_sym_get] = ACTIONS(2097),
    [anon_sym_set] = ACTIONS(2097),
    [anon_sym_declare] = ACTIONS(2097),
    [anon_sym_public] = ACTIONS(2097),
    [anon_sym_private] = ACTIONS(2097),
    [anon_sym_protected] = ACTIONS(2097),
    [anon_sym_override] = ACTIONS(2097),
    [anon_sym_module] = ACTIONS(2097),
    [anon_sym_any] = ACTIONS(2097),
    [anon_sym_number] = ACTIONS(2097),
    [anon_sym_boolean] = ACTIONS(2097),
    [anon_sym_string] = ACTIONS(2097),
    [anon_sym_symbol] = ACTIONS(2097),
    [anon_sym_object] = ACTIONS(2097),
    [anon_sym_abstract] = ACTIONS(2097),
    [anon_sym_interface] = ACTIONS(2097),
    [anon_sym_enum] = ACTIONS(2097),
    [sym__automatic_semicolon] = ACTIONS(2273),
    [sym_html_comment] = ACTIONS(5),
  },
  [965] = {
    [sym_comment] = STATE(965),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_catch] = ACTIONS(2081),
    [anon_sym_finally] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [966] = {
    [sym_comment] = STATE(966),
    [ts_builtin_sym_end] = ACTIONS(3122),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_export] = ACTIONS(3074),
    [anon_sym_type] = ACTIONS(3074),
    [anon_sym_namespace] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(3074),
    [anon_sym_with] = ACTIONS(3074),
    [anon_sym_var] = ACTIONS(3074),
    [anon_sym_let] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_else] = ACTIONS(3074),
    [anon_sym_if] = ACTIONS(3074),
    [anon_sym_switch] = ACTIONS(3074),
    [anon_sym_for] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3074),
    [anon_sym_await] = ACTIONS(3074),
    [anon_sym_while] = ACTIONS(3074),
    [anon_sym_do] = ACTIONS(3074),
    [anon_sym_try] = ACTIONS(3074),
    [anon_sym_break] = ACTIONS(3074),
    [anon_sym_continue] = ACTIONS(3074),
    [anon_sym_debugger] = ACTIONS(3074),
    [anon_sym_return] = ACTIONS(3074),
    [anon_sym_throw] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym_finally] = ACTIONS(3074),
    [anon_sym_yield] = ACTIONS(3074),
    [anon_sym_LBRACK] = ACTIONS(3074),
    [anon_sym_LTtemplate_GT] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_class] = ACTIONS(3074),
    [anon_sym_async] = ACTIONS(3074),
    [anon_sym_function] = ACTIONS(3074),
    [anon_sym_new] = ACTIONS(3074),
    [anon_sym_using] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_void] = ACTIONS(3074),
    [anon_sym_delete] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3074),
    [sym_number] = ACTIONS(3074),
    [sym_private_property_identifier] = ACTIONS(3074),
    [sym_this] = ACTIONS(3074),
    [sym_super] = ACTIONS(3074),
    [sym_true] = ACTIONS(3074),
    [sym_false] = ACTIONS(3074),
    [sym_null] = ACTIONS(3074),
    [sym_undefined] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3074),
    [anon_sym_static] = ACTIONS(3074),
    [anon_sym_readonly] = ACTIONS(3074),
    [anon_sym_get] = ACTIONS(3074),
    [anon_sym_set] = ACTIONS(3074),
    [anon_sym_declare] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3074),
    [anon_sym_module] = ACTIONS(3074),
    [anon_sym_any] = ACTIONS(3074),
    [anon_sym_number] = ACTIONS(3074),
    [anon_sym_boolean] = ACTIONS(3074),
    [anon_sym_string] = ACTIONS(3074),
    [anon_sym_symbol] = ACTIONS(3074),
    [anon_sym_object] = ACTIONS(3074),
    [anon_sym_abstract] = ACTIONS(3074),
    [anon_sym_interface] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [sym_html_comment] = ACTIONS(5),
  },
  [967] = {
    [sym_comment] = STATE(967),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_default] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_else] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_case] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym_html_comment] = ACTIONS(5),
  },
  [968] = {
    [sym_comment] = STATE(968),
    [ts_builtin_sym_end] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_else] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2305),
    [sym_html_comment] = ACTIONS(5),
  },
  [969] = {
    [sym_comment] = STATE(969),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [970] = {
    [sym_comment] = STATE(970),
    [ts_builtin_sym_end] = ACTIONS(2291),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2293),
    [sym_html_comment] = ACTIONS(5),
  },
  [971] = {
    [sym_comment] = STATE(971),
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2289),
    [sym_html_comment] = ACTIONS(5),
  },
  [972] = {
    [sym_comment] = STATE(972),
    [ts_builtin_sym_end] = ACTIONS(2275),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2277),
    [sym_html_comment] = ACTIONS(5),
  },
  [973] = {
    [sym_comment] = STATE(973),
    [ts_builtin_sym_end] = ACTIONS(2347),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2349),
    [sym_html_comment] = ACTIONS(5),
  },
  [974] = {
    [sym_statement_block] = STATE(1265),
    [sym_comment] = STATE(974),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [975] = {
    [sym_comment] = STATE(975),
    [ts_builtin_sym_end] = ACTIONS(2311),
    [sym_identifier] = ACTIONS(2163),
    [anon_sym_export] = ACTIONS(2163),
    [anon_sym_type] = ACTIONS(2163),
    [anon_sym_namespace] = ACTIONS(2163),
    [anon_sym_LBRACE] = ACTIONS(2163),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_typeof] = ACTIONS(2163),
    [anon_sym_import] = ACTIONS(2163),
    [anon_sym_with] = ACTIONS(2163),
    [anon_sym_var] = ACTIONS(2163),
    [anon_sym_let] = ACTIONS(2163),
    [anon_sym_const] = ACTIONS(2163),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_else] = ACTIONS(2163),
    [anon_sym_if] = ACTIONS(2163),
    [anon_sym_switch] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2163),
    [anon_sym_LPAREN] = ACTIONS(2163),
    [anon_sym_await] = ACTIONS(2163),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_do] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2163),
    [anon_sym_break] = ACTIONS(2163),
    [anon_sym_continue] = ACTIONS(2163),
    [anon_sym_debugger] = ACTIONS(2163),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_throw] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2163),
    [anon_sym_LBRACK] = ACTIONS(2163),
    [anon_sym_LTtemplate_GT] = ACTIONS(2163),
    [anon_sym_DQUOTE] = ACTIONS(2163),
    [anon_sym_SQUOTE] = ACTIONS(2163),
    [anon_sym_class] = ACTIONS(2163),
    [anon_sym_async] = ACTIONS(2163),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(2163),
    [anon_sym_PLUS] = ACTIONS(2163),
    [anon_sym_DASH] = ACTIONS(2163),
    [anon_sym_SLASH] = ACTIONS(2163),
    [anon_sym_LT] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_void] = ACTIONS(2163),
    [anon_sym_delete] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2163),
    [sym_number] = ACTIONS(2163),
    [sym_private_property_identifier] = ACTIONS(2163),
    [sym_this] = ACTIONS(2163),
    [sym_super] = ACTIONS(2163),
    [sym_true] = ACTIONS(2163),
    [sym_false] = ACTIONS(2163),
    [sym_null] = ACTIONS(2163),
    [sym_undefined] = ACTIONS(2163),
    [anon_sym_AT] = ACTIONS(2163),
    [anon_sym_static] = ACTIONS(2163),
    [anon_sym_readonly] = ACTIONS(2163),
    [anon_sym_get] = ACTIONS(2163),
    [anon_sym_set] = ACTIONS(2163),
    [anon_sym_declare] = ACTIONS(2163),
    [anon_sym_public] = ACTIONS(2163),
    [anon_sym_private] = ACTIONS(2163),
    [anon_sym_protected] = ACTIONS(2163),
    [anon_sym_override] = ACTIONS(2163),
    [anon_sym_module] = ACTIONS(2163),
    [anon_sym_any] = ACTIONS(2163),
    [anon_sym_number] = ACTIONS(2163),
    [anon_sym_boolean] = ACTIONS(2163),
    [anon_sym_string] = ACTIONS(2163),
    [anon_sym_symbol] = ACTIONS(2163),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_abstract] = ACTIONS(2163),
    [anon_sym_interface] = ACTIONS(2163),
    [anon_sym_enum] = ACTIONS(2163),
    [sym__automatic_semicolon] = ACTIONS(2313),
    [sym_html_comment] = ACTIONS(5),
  },
  [976] = {
    [sym_comment] = STATE(976),
    [ts_builtin_sym_end] = ACTIONS(2317),
    [sym_identifier] = ACTIONS(2179),
    [anon_sym_export] = ACTIONS(2179),
    [anon_sym_type] = ACTIONS(2179),
    [anon_sym_namespace] = ACTIONS(2179),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_typeof] = ACTIONS(2179),
    [anon_sym_import] = ACTIONS(2179),
    [anon_sym_with] = ACTIONS(2179),
    [anon_sym_var] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_const] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_else] = ACTIONS(2179),
    [anon_sym_if] = ACTIONS(2179),
    [anon_sym_switch] = ACTIONS(2179),
    [anon_sym_for] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(2179),
    [anon_sym_while] = ACTIONS(2179),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_try] = ACTIONS(2179),
    [anon_sym_break] = ACTIONS(2179),
    [anon_sym_continue] = ACTIONS(2179),
    [anon_sym_debugger] = ACTIONS(2179),
    [anon_sym_return] = ACTIONS(2179),
    [anon_sym_throw] = ACTIONS(2179),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_yield] = ACTIONS(2179),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_LTtemplate_GT] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [anon_sym_class] = ACTIONS(2179),
    [anon_sym_async] = ACTIONS(2179),
    [anon_sym_function] = ACTIONS(2179),
    [anon_sym_new] = ACTIONS(2179),
    [anon_sym_using] = ACTIONS(2179),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_SLASH] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_void] = ACTIONS(2179),
    [anon_sym_delete] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2179),
    [sym_number] = ACTIONS(2179),
    [sym_private_property_identifier] = ACTIONS(2179),
    [sym_this] = ACTIONS(2179),
    [sym_super] = ACTIONS(2179),
    [sym_true] = ACTIONS(2179),
    [sym_false] = ACTIONS(2179),
    [sym_null] = ACTIONS(2179),
    [sym_undefined] = ACTIONS(2179),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_static] = ACTIONS(2179),
    [anon_sym_readonly] = ACTIONS(2179),
    [anon_sym_get] = ACTIONS(2179),
    [anon_sym_set] = ACTIONS(2179),
    [anon_sym_declare] = ACTIONS(2179),
    [anon_sym_public] = ACTIONS(2179),
    [anon_sym_private] = ACTIONS(2179),
    [anon_sym_protected] = ACTIONS(2179),
    [anon_sym_override] = ACTIONS(2179),
    [anon_sym_module] = ACTIONS(2179),
    [anon_sym_any] = ACTIONS(2179),
    [anon_sym_number] = ACTIONS(2179),
    [anon_sym_boolean] = ACTIONS(2179),
    [anon_sym_string] = ACTIONS(2179),
    [anon_sym_symbol] = ACTIONS(2179),
    [anon_sym_object] = ACTIONS(2179),
    [anon_sym_abstract] = ACTIONS(2179),
    [anon_sym_interface] = ACTIONS(2179),
    [anon_sym_enum] = ACTIONS(2179),
    [sym__automatic_semicolon] = ACTIONS(2319),
    [sym_html_comment] = ACTIONS(5),
  },
  [977] = {
    [sym_comment] = STATE(977),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [978] = {
    [sym_comment] = STATE(978),
    [sym_identifier] = ACTIONS(3126),
    [anon_sym_export] = ACTIONS(3126),
    [anon_sym_default] = ACTIONS(3126),
    [anon_sym_type] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_typeof] = ACTIONS(3126),
    [anon_sym_import] = ACTIONS(3126),
    [anon_sym_with] = ACTIONS(3126),
    [anon_sym_var] = ACTIONS(3126),
    [anon_sym_let] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_else] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_await] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_debugger] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_case] = ACTIONS(3126),
    [anon_sym_yield] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_LTtemplate_GT] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_async] = ACTIONS(3126),
    [anon_sym_function] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_SLASH] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_void] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3126),
    [sym_number] = ACTIONS(3126),
    [sym_private_property_identifier] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
    [sym_super] = ACTIONS(3126),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [sym_null] = ACTIONS(3126),
    [sym_undefined] = ACTIONS(3126),
    [anon_sym_AT] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_readonly] = ACTIONS(3126),
    [anon_sym_get] = ACTIONS(3126),
    [anon_sym_set] = ACTIONS(3126),
    [anon_sym_declare] = ACTIONS(3126),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_override] = ACTIONS(3126),
    [anon_sym_module] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3126),
    [anon_sym_number] = ACTIONS(3126),
    [anon_sym_boolean] = ACTIONS(3126),
    [anon_sym_string] = ACTIONS(3126),
    [anon_sym_symbol] = ACTIONS(3126),
    [anon_sym_object] = ACTIONS(3126),
    [anon_sym_abstract] = ACTIONS(3126),
    [anon_sym_interface] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [sym_html_comment] = ACTIONS(5),
  },
  [979] = {
    [sym_comment] = STATE(979),
    [sym_identifier] = ACTIONS(3128),
    [anon_sym_export] = ACTIONS(3128),
    [anon_sym_default] = ACTIONS(3128),
    [anon_sym_type] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_typeof] = ACTIONS(3128),
    [anon_sym_import] = ACTIONS(3128),
    [anon_sym_with] = ACTIONS(3128),
    [anon_sym_var] = ACTIONS(3128),
    [anon_sym_let] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_else] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_await] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_debugger] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_yield] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_LTtemplate_GT] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_async] = ACTIONS(3128),
    [anon_sym_function] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_void] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3128),
    [sym_number] = ACTIONS(3128),
    [sym_private_property_identifier] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
    [sym_super] = ACTIONS(3128),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [sym_null] = ACTIONS(3128),
    [sym_undefined] = ACTIONS(3128),
    [anon_sym_AT] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_readonly] = ACTIONS(3128),
    [anon_sym_get] = ACTIONS(3128),
    [anon_sym_set] = ACTIONS(3128),
    [anon_sym_declare] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_override] = ACTIONS(3128),
    [anon_sym_module] = ACTIONS(3128),
    [anon_sym_any] = ACTIONS(3128),
    [anon_sym_number] = ACTIONS(3128),
    [anon_sym_boolean] = ACTIONS(3128),
    [anon_sym_string] = ACTIONS(3128),
    [anon_sym_symbol] = ACTIONS(3128),
    [anon_sym_object] = ACTIONS(3128),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_interface] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [sym_html_comment] = ACTIONS(5),
  },
  [980] = {
    [sym_comment] = STATE(980),
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_export] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_type] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_typeof] = ACTIONS(3130),
    [anon_sym_import] = ACTIONS(3130),
    [anon_sym_with] = ACTIONS(3130),
    [anon_sym_var] = ACTIONS(3130),
    [anon_sym_let] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3130),
    [anon_sym_await] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_debugger] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_yield] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_LTtemplate_GT] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_async] = ACTIONS(3130),
    [anon_sym_function] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_void] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3130),
    [sym_number] = ACTIONS(3130),
    [sym_private_property_identifier] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
    [sym_super] = ACTIONS(3130),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [sym_null] = ACTIONS(3130),
    [sym_undefined] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_readonly] = ACTIONS(3130),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_declare] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_module] = ACTIONS(3130),
    [anon_sym_any] = ACTIONS(3130),
    [anon_sym_number] = ACTIONS(3130),
    [anon_sym_boolean] = ACTIONS(3130),
    [anon_sym_string] = ACTIONS(3130),
    [anon_sym_symbol] = ACTIONS(3130),
    [anon_sym_object] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_interface] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [sym_html_comment] = ACTIONS(5),
  },
  [981] = {
    [sym_comment] = STATE(981),
    [sym_identifier] = ACTIONS(3132),
    [anon_sym_export] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_type] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_typeof] = ACTIONS(3132),
    [anon_sym_import] = ACTIONS(3132),
    [anon_sym_with] = ACTIONS(3132),
    [anon_sym_var] = ACTIONS(3132),
    [anon_sym_let] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_else] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_await] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_debugger] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_yield] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_LTtemplate_GT] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_async] = ACTIONS(3132),
    [anon_sym_function] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_void] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3132),
    [sym_number] = ACTIONS(3132),
    [sym_private_property_identifier] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
    [sym_super] = ACTIONS(3132),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [sym_null] = ACTIONS(3132),
    [sym_undefined] = ACTIONS(3132),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_readonly] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3132),
    [anon_sym_set] = ACTIONS(3132),
    [anon_sym_declare] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_override] = ACTIONS(3132),
    [anon_sym_module] = ACTIONS(3132),
    [anon_sym_any] = ACTIONS(3132),
    [anon_sym_number] = ACTIONS(3132),
    [anon_sym_boolean] = ACTIONS(3132),
    [anon_sym_string] = ACTIONS(3132),
    [anon_sym_symbol] = ACTIONS(3132),
    [anon_sym_object] = ACTIONS(3132),
    [anon_sym_abstract] = ACTIONS(3132),
    [anon_sym_interface] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [sym_html_comment] = ACTIONS(5),
  },
  [982] = {
    [sym_comment] = STATE(982),
    [ts_builtin_sym_end] = ACTIONS(2207),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2207),
    [sym_html_comment] = ACTIONS(5),
  },
  [983] = {
    [sym_comment] = STATE(983),
    [ts_builtin_sym_end] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_export] = ACTIONS(2189),
    [anon_sym_type] = ACTIONS(2189),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_RBRACE] = ACTIONS(2189),
    [anon_sym_typeof] = ACTIONS(2189),
    [anon_sym_import] = ACTIONS(2189),
    [anon_sym_with] = ACTIONS(2189),
    [anon_sym_var] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2189),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_debugger] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2189),
    [anon_sym_yield] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_LTtemplate_GT] = ACTIONS(2189),
    [anon_sym_DQUOTE] = ACTIONS(2189),
    [anon_sym_SQUOTE] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_function] = ACTIONS(2189),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_using] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_SLASH] = ACTIONS(2189),
    [anon_sym_LT] = ACTIONS(2189),
    [anon_sym_TILDE] = ACTIONS(2189),
    [anon_sym_void] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2189),
    [sym_number] = ACTIONS(2189),
    [sym_private_property_identifier] = ACTIONS(2189),
    [sym_this] = ACTIONS(2189),
    [sym_super] = ACTIONS(2189),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [sym_null] = ACTIONS(2189),
    [sym_undefined] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2189),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_readonly] = ACTIONS(2189),
    [anon_sym_get] = ACTIONS(2189),
    [anon_sym_set] = ACTIONS(2189),
    [anon_sym_declare] = ACTIONS(2189),
    [anon_sym_public] = ACTIONS(2189),
    [anon_sym_private] = ACTIONS(2189),
    [anon_sym_protected] = ACTIONS(2189),
    [anon_sym_override] = ACTIONS(2189),
    [anon_sym_module] = ACTIONS(2189),
    [anon_sym_any] = ACTIONS(2189),
    [anon_sym_number] = ACTIONS(2189),
    [anon_sym_boolean] = ACTIONS(2189),
    [anon_sym_string] = ACTIONS(2189),
    [anon_sym_symbol] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_abstract] = ACTIONS(2189),
    [anon_sym_interface] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
    [sym__automatic_semicolon] = ACTIONS(2331),
    [sym_html_comment] = ACTIONS(5),
  },
  [984] = {
    [sym_comment] = STATE(984),
    [ts_builtin_sym_end] = ACTIONS(2221),
    [sym_identifier] = ACTIONS(2219),
    [anon_sym_export] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2219),
    [anon_sym_namespace] = ACTIONS(2219),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [anon_sym_typeof] = ACTIONS(2219),
    [anon_sym_import] = ACTIONS(2219),
    [anon_sym_with] = ACTIONS(2219),
    [anon_sym_var] = ACTIONS(2219),
    [anon_sym_let] = ACTIONS(2219),
    [anon_sym_const] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_else] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(2219),
    [anon_sym_switch] = ACTIONS(2219),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_LPAREN] = ACTIONS(2219),
    [anon_sym_await] = ACTIONS(2219),
    [anon_sym_while] = ACTIONS(2219),
    [anon_sym_do] = ACTIONS(2219),
    [anon_sym_try] = ACTIONS(2219),
    [anon_sym_break] = ACTIONS(2219),
    [anon_sym_continue] = ACTIONS(2219),
    [anon_sym_debugger] = ACTIONS(2219),
    [anon_sym_return] = ACTIONS(2219),
    [anon_sym_throw] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym_yield] = ACTIONS(2219),
    [anon_sym_LBRACK] = ACTIONS(2219),
    [anon_sym_LTtemplate_GT] = ACTIONS(2219),
    [anon_sym_DOT] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_class] = ACTIONS(2219),
    [anon_sym_async] = ACTIONS(2219),
    [anon_sym_function] = ACTIONS(2219),
    [anon_sym_new] = ACTIONS(2219),
    [anon_sym_using] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_SLASH] = ACTIONS(2219),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_void] = ACTIONS(2219),
    [anon_sym_delete] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2219),
    [sym_number] = ACTIONS(2219),
    [sym_private_property_identifier] = ACTIONS(2219),
    [sym_this] = ACTIONS(2219),
    [sym_super] = ACTIONS(2219),
    [sym_true] = ACTIONS(2219),
    [sym_false] = ACTIONS(2219),
    [sym_null] = ACTIONS(2219),
    [sym_undefined] = ACTIONS(2219),
    [anon_sym_AT] = ACTIONS(2219),
    [anon_sym_static] = ACTIONS(2219),
    [anon_sym_readonly] = ACTIONS(2219),
    [anon_sym_get] = ACTIONS(2219),
    [anon_sym_set] = ACTIONS(2219),
    [anon_sym_declare] = ACTIONS(2219),
    [anon_sym_public] = ACTIONS(2219),
    [anon_sym_private] = ACTIONS(2219),
    [anon_sym_protected] = ACTIONS(2219),
    [anon_sym_override] = ACTIONS(2219),
    [anon_sym_module] = ACTIONS(2219),
    [anon_sym_any] = ACTIONS(2219),
    [anon_sym_number] = ACTIONS(2219),
    [anon_sym_boolean] = ACTIONS(2219),
    [anon_sym_string] = ACTIONS(2219),
    [anon_sym_symbol] = ACTIONS(2219),
    [anon_sym_object] = ACTIONS(2219),
    [anon_sym_abstract] = ACTIONS(2219),
    [anon_sym_interface] = ACTIONS(2219),
    [anon_sym_enum] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [985] = {
    [sym_comment] = STATE(985),
    [ts_builtin_sym_end] = ACTIONS(2217),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_export] = ACTIONS(2215),
    [anon_sym_type] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2215),
    [anon_sym_typeof] = ACTIONS(2215),
    [anon_sym_import] = ACTIONS(2215),
    [anon_sym_with] = ACTIONS(2215),
    [anon_sym_var] = ACTIONS(2215),
    [anon_sym_let] = ACTIONS(2215),
    [anon_sym_const] = ACTIONS(2215),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_else] = ACTIONS(2215),
    [anon_sym_if] = ACTIONS(2215),
    [anon_sym_switch] = ACTIONS(2215),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_LPAREN] = ACTIONS(2215),
    [anon_sym_await] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2215),
    [anon_sym_do] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2215),
    [anon_sym_break] = ACTIONS(2215),
    [anon_sym_continue] = ACTIONS(2215),
    [anon_sym_debugger] = ACTIONS(2215),
    [anon_sym_return] = ACTIONS(2215),
    [anon_sym_throw] = ACTIONS(2215),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym_yield] = ACTIONS(2215),
    [anon_sym_LBRACK] = ACTIONS(2215),
    [anon_sym_LTtemplate_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2215),
    [anon_sym_SQUOTE] = ACTIONS(2215),
    [anon_sym_class] = ACTIONS(2215),
    [anon_sym_async] = ACTIONS(2215),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_using] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_void] = ACTIONS(2215),
    [anon_sym_delete] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2215),
    [sym_number] = ACTIONS(2215),
    [sym_private_property_identifier] = ACTIONS(2215),
    [sym_this] = ACTIONS(2215),
    [sym_super] = ACTIONS(2215),
    [sym_true] = ACTIONS(2215),
    [sym_false] = ACTIONS(2215),
    [sym_null] = ACTIONS(2215),
    [sym_undefined] = ACTIONS(2215),
    [anon_sym_AT] = ACTIONS(2215),
    [anon_sym_static] = ACTIONS(2215),
    [anon_sym_readonly] = ACTIONS(2215),
    [anon_sym_get] = ACTIONS(2215),
    [anon_sym_set] = ACTIONS(2215),
    [anon_sym_declare] = ACTIONS(2215),
    [anon_sym_public] = ACTIONS(2215),
    [anon_sym_private] = ACTIONS(2215),
    [anon_sym_protected] = ACTIONS(2215),
    [anon_sym_override] = ACTIONS(2215),
    [anon_sym_module] = ACTIONS(2215),
    [anon_sym_any] = ACTIONS(2215),
    [anon_sym_number] = ACTIONS(2215),
    [anon_sym_boolean] = ACTIONS(2215),
    [anon_sym_string] = ACTIONS(2215),
    [anon_sym_symbol] = ACTIONS(2215),
    [anon_sym_object] = ACTIONS(2215),
    [anon_sym_abstract] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2215),
    [anon_sym_enum] = ACTIONS(2215),
    [sym_html_comment] = ACTIONS(5),
  },
  [986] = {
    [sym_comment] = STATE(986),
    [ts_builtin_sym_end] = ACTIONS(2255),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2253),
    [anon_sym_type] = ACTIONS(2253),
    [anon_sym_namespace] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_typeof] = ACTIONS(2253),
    [anon_sym_import] = ACTIONS(2253),
    [anon_sym_with] = ACTIONS(2253),
    [anon_sym_var] = ACTIONS(2253),
    [anon_sym_let] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_else] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_switch] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_debugger] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_throw] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_yield] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LTtemplate_GT] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(2253),
    [anon_sym_SQUOTE] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2253),
    [anon_sym_using] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_SLASH] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_void] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [sym_private_property_identifier] = ACTIONS(2253),
    [sym_this] = ACTIONS(2253),
    [sym_super] = ACTIONS(2253),
    [sym_true] = ACTIONS(2253),
    [sym_false] = ACTIONS(2253),
    [sym_null] = ACTIONS(2253),
    [sym_undefined] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_static] = ACTIONS(2253),
    [anon_sym_readonly] = ACTIONS(2253),
    [anon_sym_get] = ACTIONS(2253),
    [anon_sym_set] = ACTIONS(2253),
    [anon_sym_declare] = ACTIONS(2253),
    [anon_sym_public] = ACTIONS(2253),
    [anon_sym_private] = ACTIONS(2253),
    [anon_sym_protected] = ACTIONS(2253),
    [anon_sym_override] = ACTIONS(2253),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_any] = ACTIONS(2253),
    [anon_sym_number] = ACTIONS(2253),
    [anon_sym_boolean] = ACTIONS(2253),
    [anon_sym_string] = ACTIONS(2253),
    [anon_sym_symbol] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2253),
    [anon_sym_interface] = ACTIONS(2253),
    [anon_sym_enum] = ACTIONS(2253),
    [sym__automatic_semicolon] = ACTIONS(2255),
    [sym_html_comment] = ACTIONS(5),
  },
  [987] = {
    [sym_comment] = STATE(987),
    [ts_builtin_sym_end] = ACTIONS(2333),
    [sym_identifier] = ACTIONS(2197),
    [anon_sym_export] = ACTIONS(2197),
    [anon_sym_type] = ACTIONS(2197),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_RBRACE] = ACTIONS(2197),
    [anon_sym_typeof] = ACTIONS(2197),
    [anon_sym_import] = ACTIONS(2197),
    [anon_sym_with] = ACTIONS(2197),
    [anon_sym_var] = ACTIONS(2197),
    [anon_sym_let] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_else] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_debugger] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_yield] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LTtemplate_GT] = ACTIONS(2197),
    [anon_sym_DQUOTE] = ACTIONS(2197),
    [anon_sym_SQUOTE] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2197),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_using] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_void] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2197),
    [sym_number] = ACTIONS(2197),
    [sym_private_property_identifier] = ACTIONS(2197),
    [sym_this] = ACTIONS(2197),
    [sym_super] = ACTIONS(2197),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [sym_null] = ACTIONS(2197),
    [sym_undefined] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_readonly] = ACTIONS(2197),
    [anon_sym_get] = ACTIONS(2197),
    [anon_sym_set] = ACTIONS(2197),
    [anon_sym_declare] = ACTIONS(2197),
    [anon_sym_public] = ACTIONS(2197),
    [anon_sym_private] = ACTIONS(2197),
    [anon_sym_protected] = ACTIONS(2197),
    [anon_sym_override] = ACTIONS(2197),
    [anon_sym_module] = ACTIONS(2197),
    [anon_sym_any] = ACTIONS(2197),
    [anon_sym_number] = ACTIONS(2197),
    [anon_sym_boolean] = ACTIONS(2197),
    [anon_sym_string] = ACTIONS(2197),
    [anon_sym_symbol] = ACTIONS(2197),
    [anon_sym_object] = ACTIONS(2197),
    [anon_sym_abstract] = ACTIONS(2197),
    [anon_sym_interface] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
    [sym__automatic_semicolon] = ACTIONS(2335),
    [sym_html_comment] = ACTIONS(5),
  },
  [988] = {
    [sym_comment] = STATE(988),
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2225),
    [anon_sym_export] = ACTIONS(2225),
    [anon_sym_type] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(2225),
    [anon_sym_import] = ACTIONS(2225),
    [anon_sym_with] = ACTIONS(2225),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2225),
    [anon_sym_const] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_else] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_debugger] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_yield] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LTtemplate_GT] = ACTIONS(2225),
    [anon_sym_DQUOTE] = ACTIONS(2225),
    [anon_sym_SQUOTE] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_using] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_SLASH] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_void] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_number] = ACTIONS(2225),
    [sym_private_property_identifier] = ACTIONS(2225),
    [sym_this] = ACTIONS(2225),
    [sym_super] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_undefined] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_static] = ACTIONS(2225),
    [anon_sym_readonly] = ACTIONS(2225),
    [anon_sym_get] = ACTIONS(2225),
    [anon_sym_set] = ACTIONS(2225),
    [anon_sym_declare] = ACTIONS(2225),
    [anon_sym_public] = ACTIONS(2225),
    [anon_sym_private] = ACTIONS(2225),
    [anon_sym_protected] = ACTIONS(2225),
    [anon_sym_override] = ACTIONS(2225),
    [anon_sym_module] = ACTIONS(2225),
    [anon_sym_any] = ACTIONS(2225),
    [anon_sym_number] = ACTIONS(2225),
    [anon_sym_boolean] = ACTIONS(2225),
    [anon_sym_string] = ACTIONS(2225),
    [anon_sym_symbol] = ACTIONS(2225),
    [anon_sym_object] = ACTIONS(2225),
    [anon_sym_abstract] = ACTIONS(2225),
    [anon_sym_interface] = ACTIONS(2225),
    [anon_sym_enum] = ACTIONS(2225),
    [sym__automatic_semicolon] = ACTIONS(2343),
    [sym_html_comment] = ACTIONS(5),
  },
  [989] = {
    [sym_comment] = STATE(989),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3134),
    [sym_html_comment] = ACTIONS(5),
  },
  [990] = {
    [sym_comment] = STATE(990),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2177),
    [sym_html_comment] = ACTIONS(5),
  },
  [991] = {
    [sym_comment] = STATE(991),
    [ts_builtin_sym_end] = ACTIONS(2357),
    [sym_identifier] = ACTIONS(2235),
    [anon_sym_export] = ACTIONS(2235),
    [anon_sym_type] = ACTIONS(2235),
    [anon_sym_namespace] = ACTIONS(2235),
    [anon_sym_LBRACE] = ACTIONS(2235),
    [anon_sym_RBRACE] = ACTIONS(2235),
    [anon_sym_typeof] = ACTIONS(2235),
    [anon_sym_import] = ACTIONS(2235),
    [anon_sym_with] = ACTIONS(2235),
    [anon_sym_var] = ACTIONS(2235),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_else] = ACTIONS(2235),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_switch] = ACTIONS(2235),
    [anon_sym_for] = ACTIONS(2235),
    [anon_sym_LPAREN] = ACTIONS(2235),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_while] = ACTIONS(2235),
    [anon_sym_do] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_break] = ACTIONS(2235),
    [anon_sym_continue] = ACTIONS(2235),
    [anon_sym_debugger] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_throw] = ACTIONS(2235),
    [anon_sym_SEMI] = ACTIONS(2235),
    [anon_sym_yield] = ACTIONS(2235),
    [anon_sym_LBRACK] = ACTIONS(2235),
    [anon_sym_LTtemplate_GT] = ACTIONS(2235),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_SQUOTE] = ACTIONS(2235),
    [anon_sym_class] = ACTIONS(2235),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_function] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(2235),
    [anon_sym_using] = ACTIONS(2235),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_SLASH] = ACTIONS(2235),
    [anon_sym_LT] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_void] = ACTIONS(2235),
    [anon_sym_delete] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2235),
    [anon_sym_DASH_DASH] = ACTIONS(2235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2235),
    [sym_number] = ACTIONS(2235),
    [sym_private_property_identifier] = ACTIONS(2235),
    [sym_this] = ACTIONS(2235),
    [sym_super] = ACTIONS(2235),
    [sym_true] = ACTIONS(2235),
    [sym_false] = ACTIONS(2235),
    [sym_null] = ACTIONS(2235),
    [sym_undefined] = ACTIONS(2235),
    [anon_sym_AT] = ACTIONS(2235),
    [anon_sym_static] = ACTIONS(2235),
    [anon_sym_readonly] = ACTIONS(2235),
    [anon_sym_get] = ACTIONS(2235),
    [anon_sym_set] = ACTIONS(2235),
    [anon_sym_declare] = ACTIONS(2235),
    [anon_sym_public] = ACTIONS(2235),
    [anon_sym_private] = ACTIONS(2235),
    [anon_sym_protected] = ACTIONS(2235),
    [anon_sym_override] = ACTIONS(2235),
    [anon_sym_module] = ACTIONS(2235),
    [anon_sym_any] = ACTIONS(2235),
    [anon_sym_number] = ACTIONS(2235),
    [anon_sym_boolean] = ACTIONS(2235),
    [anon_sym_string] = ACTIONS(2235),
    [anon_sym_symbol] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(2235),
    [anon_sym_abstract] = ACTIONS(2235),
    [anon_sym_interface] = ACTIONS(2235),
    [anon_sym_enum] = ACTIONS(2235),
    [sym__automatic_semicolon] = ACTIONS(2359),
    [sym_html_comment] = ACTIONS(5),
  },
  [992] = {
    [sym_comment] = STATE(992),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2253),
    [anon_sym_default] = ACTIONS(2253),
    [anon_sym_type] = ACTIONS(2253),
    [anon_sym_namespace] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_typeof] = ACTIONS(2253),
    [anon_sym_import] = ACTIONS(2253),
    [anon_sym_with] = ACTIONS(2253),
    [anon_sym_var] = ACTIONS(2253),
    [anon_sym_let] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_switch] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_debugger] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_throw] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_case] = ACTIONS(2253),
    [anon_sym_yield] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LTtemplate_GT] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(2253),
    [anon_sym_SQUOTE] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2253),
    [anon_sym_using] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_SLASH] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_void] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [sym_private_property_identifier] = ACTIONS(2253),
    [sym_this] = ACTIONS(2253),
    [sym_super] = ACTIONS(2253),
    [sym_true] = ACTIONS(2253),
    [sym_false] = ACTIONS(2253),
    [sym_null] = ACTIONS(2253),
    [sym_undefined] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_static] = ACTIONS(2253),
    [anon_sym_readonly] = ACTIONS(2253),
    [anon_sym_get] = ACTIONS(2253),
    [anon_sym_set] = ACTIONS(2253),
    [anon_sym_declare] = ACTIONS(2253),
    [anon_sym_public] = ACTIONS(2253),
    [anon_sym_private] = ACTIONS(2253),
    [anon_sym_protected] = ACTIONS(2253),
    [anon_sym_override] = ACTIONS(2253),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_any] = ACTIONS(2253),
    [anon_sym_number] = ACTIONS(2253),
    [anon_sym_boolean] = ACTIONS(2253),
    [anon_sym_string] = ACTIONS(2253),
    [anon_sym_symbol] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2253),
    [anon_sym_interface] = ACTIONS(2253),
    [anon_sym_enum] = ACTIONS(2253),
    [sym__automatic_semicolon] = ACTIONS(2255),
    [sym_html_comment] = ACTIONS(5),
  },
  [993] = {
    [sym_comment] = STATE(993),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2207),
    [sym_html_comment] = ACTIONS(5),
  },
  [994] = {
    [sym_comment] = STATE(994),
    [ts_builtin_sym_end] = ACTIONS(3136),
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_export] = ACTIONS(3106),
    [anon_sym_type] = ACTIONS(3106),
    [anon_sym_namespace] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_typeof] = ACTIONS(3106),
    [anon_sym_import] = ACTIONS(3106),
    [anon_sym_with] = ACTIONS(3106),
    [anon_sym_var] = ACTIONS(3106),
    [anon_sym_let] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_switch] = ACTIONS(3106),
    [anon_sym_for] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3106),
    [anon_sym_await] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_do] = ACTIONS(3106),
    [anon_sym_try] = ACTIONS(3106),
    [anon_sym_break] = ACTIONS(3106),
    [anon_sym_continue] = ACTIONS(3106),
    [anon_sym_debugger] = ACTIONS(3106),
    [anon_sym_return] = ACTIONS(3106),
    [anon_sym_throw] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym_finally] = ACTIONS(3106),
    [anon_sym_yield] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_LTtemplate_GT] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_async] = ACTIONS(3106),
    [anon_sym_function] = ACTIONS(3106),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_using] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_void] = ACTIONS(3106),
    [anon_sym_delete] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3106),
    [sym_number] = ACTIONS(3106),
    [sym_private_property_identifier] = ACTIONS(3106),
    [sym_this] = ACTIONS(3106),
    [sym_super] = ACTIONS(3106),
    [sym_true] = ACTIONS(3106),
    [sym_false] = ACTIONS(3106),
    [sym_null] = ACTIONS(3106),
    [sym_undefined] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_readonly] = ACTIONS(3106),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_declare] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_module] = ACTIONS(3106),
    [anon_sym_any] = ACTIONS(3106),
    [anon_sym_number] = ACTIONS(3106),
    [anon_sym_boolean] = ACTIONS(3106),
    [anon_sym_string] = ACTIONS(3106),
    [anon_sym_symbol] = ACTIONS(3106),
    [anon_sym_object] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_interface] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [sym_html_comment] = ACTIONS(5),
  },
  [995] = {
    [sym_comment] = STATE(995),
    [sym_identifier] = ACTIONS(2143),
    [anon_sym_export] = ACTIONS(2143),
    [anon_sym_default] = ACTIONS(2143),
    [anon_sym_type] = ACTIONS(2143),
    [anon_sym_namespace] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(2143),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [anon_sym_typeof] = ACTIONS(2143),
    [anon_sym_import] = ACTIONS(2143),
    [anon_sym_with] = ACTIONS(2143),
    [anon_sym_var] = ACTIONS(2143),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(2143),
    [anon_sym_BANG] = ACTIONS(2143),
    [anon_sym_else] = ACTIONS(2143),
    [anon_sym_if] = ACTIONS(2143),
    [anon_sym_switch] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2143),
    [anon_sym_LPAREN] = ACTIONS(2143),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2143),
    [anon_sym_try] = ACTIONS(2143),
    [anon_sym_break] = ACTIONS(2143),
    [anon_sym_continue] = ACTIONS(2143),
    [anon_sym_debugger] = ACTIONS(2143),
    [anon_sym_return] = ACTIONS(2143),
    [anon_sym_throw] = ACTIONS(2143),
    [anon_sym_SEMI] = ACTIONS(2143),
    [anon_sym_case] = ACTIONS(2143),
    [anon_sym_yield] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(2143),
    [anon_sym_DQUOTE] = ACTIONS(2143),
    [anon_sym_SQUOTE] = ACTIONS(2143),
    [anon_sym_class] = ACTIONS(2143),
    [anon_sym_async] = ACTIONS(2143),
    [anon_sym_function] = ACTIONS(2143),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_using] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(2143),
    [anon_sym_DASH] = ACTIONS(2143),
    [anon_sym_SLASH] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(2143),
    [anon_sym_void] = ACTIONS(2143),
    [anon_sym_delete] = ACTIONS(2143),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2143),
    [sym_number] = ACTIONS(2143),
    [sym_private_property_identifier] = ACTIONS(2143),
    [sym_this] = ACTIONS(2143),
    [sym_super] = ACTIONS(2143),
    [sym_true] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
    [sym_null] = ACTIONS(2143),
    [sym_undefined] = ACTIONS(2143),
    [anon_sym_AT] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2143),
    [anon_sym_readonly] = ACTIONS(2143),
    [anon_sym_get] = ACTIONS(2143),
    [anon_sym_set] = ACTIONS(2143),
    [anon_sym_declare] = ACTIONS(2143),
    [anon_sym_public] = ACTIONS(2143),
    [anon_sym_private] = ACTIONS(2143),
    [anon_sym_protected] = ACTIONS(2143),
    [anon_sym_override] = ACTIONS(2143),
    [anon_sym_module] = ACTIONS(2143),
    [anon_sym_any] = ACTIONS(2143),
    [anon_sym_number] = ACTIONS(2143),
    [anon_sym_boolean] = ACTIONS(2143),
    [anon_sym_string] = ACTIONS(2143),
    [anon_sym_symbol] = ACTIONS(2143),
    [anon_sym_object] = ACTIONS(2143),
    [anon_sym_abstract] = ACTIONS(2143),
    [anon_sym_interface] = ACTIONS(2143),
    [anon_sym_enum] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [996] = {
    [sym_comment] = STATE(996),
    [sym_identifier] = ACTIONS(2209),
    [anon_sym_export] = ACTIONS(2209),
    [anon_sym_default] = ACTIONS(2209),
    [anon_sym_type] = ACTIONS(2209),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_RBRACE] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(2209),
    [anon_sym_import] = ACTIONS(2209),
    [anon_sym_with] = ACTIONS(2209),
    [anon_sym_var] = ACTIONS(2209),
    [anon_sym_let] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2209),
    [anon_sym_else] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_debugger] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2209),
    [anon_sym_case] = ACTIONS(2209),
    [anon_sym_yield] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [anon_sym_SQUOTE] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_SLASH] = ACTIONS(2209),
    [anon_sym_LT] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_void] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2209),
    [sym_number] = ACTIONS(2209),
    [sym_private_property_identifier] = ACTIONS(2209),
    [sym_this] = ACTIONS(2209),
    [sym_super] = ACTIONS(2209),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [sym_null] = ACTIONS(2209),
    [sym_undefined] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_readonly] = ACTIONS(2209),
    [anon_sym_get] = ACTIONS(2209),
    [anon_sym_set] = ACTIONS(2209),
    [anon_sym_declare] = ACTIONS(2209),
    [anon_sym_public] = ACTIONS(2209),
    [anon_sym_private] = ACTIONS(2209),
    [anon_sym_protected] = ACTIONS(2209),
    [anon_sym_override] = ACTIONS(2209),
    [anon_sym_module] = ACTIONS(2209),
    [anon_sym_any] = ACTIONS(2209),
    [anon_sym_number] = ACTIONS(2209),
    [anon_sym_boolean] = ACTIONS(2209),
    [anon_sym_string] = ACTIONS(2209),
    [anon_sym_symbol] = ACTIONS(2209),
    [anon_sym_object] = ACTIONS(2209),
    [anon_sym_abstract] = ACTIONS(2209),
    [anon_sym_interface] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [sym_html_comment] = ACTIONS(5),
  },
  [997] = {
    [sym_comment] = STATE(997),
    [ts_builtin_sym_end] = ACTIONS(3138),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_export] = ACTIONS(3108),
    [anon_sym_type] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_RBRACE] = ACTIONS(3108),
    [anon_sym_typeof] = ACTIONS(3108),
    [anon_sym_import] = ACTIONS(3108),
    [anon_sym_with] = ACTIONS(3108),
    [anon_sym_var] = ACTIONS(3108),
    [anon_sym_let] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_BANG] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_await] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_debugger] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_finally] = ACTIONS(3108),
    [anon_sym_yield] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_LTtemplate_GT] = ACTIONS(3108),
    [anon_sym_DQUOTE] = ACTIONS(3108),
    [anon_sym_SQUOTE] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_async] = ACTIONS(3108),
    [anon_sym_function] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_TILDE] = ACTIONS(3108),
    [anon_sym_void] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3108),
    [sym_number] = ACTIONS(3108),
    [sym_private_property_identifier] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
    [sym_super] = ACTIONS(3108),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [sym_null] = ACTIONS(3108),
    [sym_undefined] = ACTIONS(3108),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_readonly] = ACTIONS(3108),
    [anon_sym_get] = ACTIONS(3108),
    [anon_sym_set] = ACTIONS(3108),
    [anon_sym_declare] = ACTIONS(3108),
    [anon_sym_public] = ACTIONS(3108),
    [anon_sym_private] = ACTIONS(3108),
    [anon_sym_protected] = ACTIONS(3108),
    [anon_sym_override] = ACTIONS(3108),
    [anon_sym_module] = ACTIONS(3108),
    [anon_sym_any] = ACTIONS(3108),
    [anon_sym_number] = ACTIONS(3108),
    [anon_sym_boolean] = ACTIONS(3108),
    [anon_sym_string] = ACTIONS(3108),
    [anon_sym_symbol] = ACTIONS(3108),
    [anon_sym_object] = ACTIONS(3108),
    [anon_sym_abstract] = ACTIONS(3108),
    [anon_sym_interface] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [sym_html_comment] = ACTIONS(5),
  },
  [998] = {
    [sym_finally_clause] = STATE(1641),
    [sym_comment] = STATE(998),
    [ts_builtin_sym_end] = ACTIONS(3086),
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_export] = ACTIONS(3064),
    [anon_sym_type] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_RBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(3064),
    [anon_sym_import] = ACTIONS(3064),
    [anon_sym_with] = ACTIONS(3064),
    [anon_sym_var] = ACTIONS(3064),
    [anon_sym_let] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3064),
    [anon_sym_await] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_debugger] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3064),
    [anon_sym_finally] = ACTIONS(3046),
    [anon_sym_yield] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_LTtemplate_GT] = ACTIONS(3064),
    [anon_sym_DQUOTE] = ACTIONS(3064),
    [anon_sym_SQUOTE] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_async] = ACTIONS(3064),
    [anon_sym_function] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_TILDE] = ACTIONS(3064),
    [anon_sym_void] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3064),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3064),
    [sym_number] = ACTIONS(3064),
    [sym_private_property_identifier] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
    [sym_super] = ACTIONS(3064),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [sym_null] = ACTIONS(3064),
    [sym_undefined] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_readonly] = ACTIONS(3064),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_declare] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_module] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3064),
    [anon_sym_number] = ACTIONS(3064),
    [anon_sym_boolean] = ACTIONS(3064),
    [anon_sym_string] = ACTIONS(3064),
    [anon_sym_symbol] = ACTIONS(3064),
    [anon_sym_object] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_interface] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [sym_html_comment] = ACTIONS(5),
  },
  [999] = {
    [sym_comment] = STATE(999),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [1000] = {
    [sym_comment] = STATE(1000),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_export] = ACTIONS(3074),
    [anon_sym_default] = ACTIONS(3074),
    [anon_sym_type] = ACTIONS(3074),
    [anon_sym_namespace] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(3074),
    [anon_sym_with] = ACTIONS(3074),
    [anon_sym_var] = ACTIONS(3074),
    [anon_sym_let] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_if] = ACTIONS(3074),
    [anon_sym_switch] = ACTIONS(3074),
    [anon_sym_for] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3074),
    [anon_sym_await] = ACTIONS(3074),
    [anon_sym_while] = ACTIONS(3074),
    [anon_sym_do] = ACTIONS(3074),
    [anon_sym_try] = ACTIONS(3074),
    [anon_sym_break] = ACTIONS(3074),
    [anon_sym_continue] = ACTIONS(3074),
    [anon_sym_debugger] = ACTIONS(3074),
    [anon_sym_return] = ACTIONS(3074),
    [anon_sym_throw] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym_case] = ACTIONS(3074),
    [anon_sym_finally] = ACTIONS(3074),
    [anon_sym_yield] = ACTIONS(3074),
    [anon_sym_LBRACK] = ACTIONS(3074),
    [anon_sym_LTtemplate_GT] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_class] = ACTIONS(3074),
    [anon_sym_async] = ACTIONS(3074),
    [anon_sym_function] = ACTIONS(3074),
    [anon_sym_new] = ACTIONS(3074),
    [anon_sym_using] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_void] = ACTIONS(3074),
    [anon_sym_delete] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3074),
    [sym_number] = ACTIONS(3074),
    [sym_private_property_identifier] = ACTIONS(3074),
    [sym_this] = ACTIONS(3074),
    [sym_super] = ACTIONS(3074),
    [sym_true] = ACTIONS(3074),
    [sym_false] = ACTIONS(3074),
    [sym_null] = ACTIONS(3074),
    [sym_undefined] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3074),
    [anon_sym_static] = ACTIONS(3074),
    [anon_sym_readonly] = ACTIONS(3074),
    [anon_sym_get] = ACTIONS(3074),
    [anon_sym_set] = ACTIONS(3074),
    [anon_sym_declare] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3074),
    [anon_sym_module] = ACTIONS(3074),
    [anon_sym_any] = ACTIONS(3074),
    [anon_sym_number] = ACTIONS(3074),
    [anon_sym_boolean] = ACTIONS(3074),
    [anon_sym_string] = ACTIONS(3074),
    [anon_sym_symbol] = ACTIONS(3074),
    [anon_sym_object] = ACTIONS(3074),
    [anon_sym_abstract] = ACTIONS(3074),
    [anon_sym_interface] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [sym_html_comment] = ACTIONS(5),
  },
  [1001] = {
    [sym_comment] = STATE(1001),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2337),
    [sym_html_comment] = ACTIONS(5),
  },
  [1002] = {
    [sym_comment] = STATE(1002),
    [sym_identifier] = ACTIONS(2163),
    [anon_sym_export] = ACTIONS(2163),
    [anon_sym_default] = ACTIONS(2163),
    [anon_sym_type] = ACTIONS(2163),
    [anon_sym_namespace] = ACTIONS(2163),
    [anon_sym_LBRACE] = ACTIONS(2163),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_typeof] = ACTIONS(2163),
    [anon_sym_import] = ACTIONS(2163),
    [anon_sym_with] = ACTIONS(2163),
    [anon_sym_var] = ACTIONS(2163),
    [anon_sym_let] = ACTIONS(2163),
    [anon_sym_const] = ACTIONS(2163),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_if] = ACTIONS(2163),
    [anon_sym_switch] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2163),
    [anon_sym_LPAREN] = ACTIONS(2163),
    [anon_sym_await] = ACTIONS(2163),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_do] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2163),
    [anon_sym_break] = ACTIONS(2163),
    [anon_sym_continue] = ACTIONS(2163),
    [anon_sym_debugger] = ACTIONS(2163),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_throw] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_case] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2163),
    [anon_sym_LBRACK] = ACTIONS(2163),
    [anon_sym_LTtemplate_GT] = ACTIONS(2163),
    [anon_sym_DQUOTE] = ACTIONS(2163),
    [anon_sym_SQUOTE] = ACTIONS(2163),
    [anon_sym_class] = ACTIONS(2163),
    [anon_sym_async] = ACTIONS(2163),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(2163),
    [anon_sym_PLUS] = ACTIONS(2163),
    [anon_sym_DASH] = ACTIONS(2163),
    [anon_sym_SLASH] = ACTIONS(2163),
    [anon_sym_LT] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_void] = ACTIONS(2163),
    [anon_sym_delete] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2163),
    [sym_number] = ACTIONS(2163),
    [sym_private_property_identifier] = ACTIONS(2163),
    [sym_this] = ACTIONS(2163),
    [sym_super] = ACTIONS(2163),
    [sym_true] = ACTIONS(2163),
    [sym_false] = ACTIONS(2163),
    [sym_null] = ACTIONS(2163),
    [sym_undefined] = ACTIONS(2163),
    [anon_sym_AT] = ACTIONS(2163),
    [anon_sym_static] = ACTIONS(2163),
    [anon_sym_readonly] = ACTIONS(2163),
    [anon_sym_get] = ACTIONS(2163),
    [anon_sym_set] = ACTIONS(2163),
    [anon_sym_declare] = ACTIONS(2163),
    [anon_sym_public] = ACTIONS(2163),
    [anon_sym_private] = ACTIONS(2163),
    [anon_sym_protected] = ACTIONS(2163),
    [anon_sym_override] = ACTIONS(2163),
    [anon_sym_module] = ACTIONS(2163),
    [anon_sym_any] = ACTIONS(2163),
    [anon_sym_number] = ACTIONS(2163),
    [anon_sym_boolean] = ACTIONS(2163),
    [anon_sym_string] = ACTIONS(2163),
    [anon_sym_symbol] = ACTIONS(2163),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_abstract] = ACTIONS(2163),
    [anon_sym_interface] = ACTIONS(2163),
    [anon_sym_enum] = ACTIONS(2163),
    [sym__automatic_semicolon] = ACTIONS(2295),
    [sym_html_comment] = ACTIONS(5),
  },
  [1003] = {
    [sym_comment] = STATE(1003),
    [sym_identifier] = ACTIONS(2179),
    [anon_sym_export] = ACTIONS(2179),
    [anon_sym_default] = ACTIONS(2179),
    [anon_sym_type] = ACTIONS(2179),
    [anon_sym_namespace] = ACTIONS(2179),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_typeof] = ACTIONS(2179),
    [anon_sym_import] = ACTIONS(2179),
    [anon_sym_with] = ACTIONS(2179),
    [anon_sym_var] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_const] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_if] = ACTIONS(2179),
    [anon_sym_switch] = ACTIONS(2179),
    [anon_sym_for] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(2179),
    [anon_sym_while] = ACTIONS(2179),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_try] = ACTIONS(2179),
    [anon_sym_break] = ACTIONS(2179),
    [anon_sym_continue] = ACTIONS(2179),
    [anon_sym_debugger] = ACTIONS(2179),
    [anon_sym_return] = ACTIONS(2179),
    [anon_sym_throw] = ACTIONS(2179),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_case] = ACTIONS(2179),
    [anon_sym_yield] = ACTIONS(2179),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_LTtemplate_GT] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [anon_sym_class] = ACTIONS(2179),
    [anon_sym_async] = ACTIONS(2179),
    [anon_sym_function] = ACTIONS(2179),
    [anon_sym_new] = ACTIONS(2179),
    [anon_sym_using] = ACTIONS(2179),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_SLASH] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_void] = ACTIONS(2179),
    [anon_sym_delete] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2179),
    [sym_number] = ACTIONS(2179),
    [sym_private_property_identifier] = ACTIONS(2179),
    [sym_this] = ACTIONS(2179),
    [sym_super] = ACTIONS(2179),
    [sym_true] = ACTIONS(2179),
    [sym_false] = ACTIONS(2179),
    [sym_null] = ACTIONS(2179),
    [sym_undefined] = ACTIONS(2179),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_static] = ACTIONS(2179),
    [anon_sym_readonly] = ACTIONS(2179),
    [anon_sym_get] = ACTIONS(2179),
    [anon_sym_set] = ACTIONS(2179),
    [anon_sym_declare] = ACTIONS(2179),
    [anon_sym_public] = ACTIONS(2179),
    [anon_sym_private] = ACTIONS(2179),
    [anon_sym_protected] = ACTIONS(2179),
    [anon_sym_override] = ACTIONS(2179),
    [anon_sym_module] = ACTIONS(2179),
    [anon_sym_any] = ACTIONS(2179),
    [anon_sym_number] = ACTIONS(2179),
    [anon_sym_boolean] = ACTIONS(2179),
    [anon_sym_string] = ACTIONS(2179),
    [anon_sym_symbol] = ACTIONS(2179),
    [anon_sym_object] = ACTIONS(2179),
    [anon_sym_abstract] = ACTIONS(2179),
    [anon_sym_interface] = ACTIONS(2179),
    [anon_sym_enum] = ACTIONS(2179),
    [sym__automatic_semicolon] = ACTIONS(2283),
    [sym_html_comment] = ACTIONS(5),
  },
  [1004] = {
    [sym_comment] = STATE(1004),
    [sym_identifier] = ACTIONS(2225),
    [anon_sym_export] = ACTIONS(2225),
    [anon_sym_default] = ACTIONS(2225),
    [anon_sym_type] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(2225),
    [anon_sym_import] = ACTIONS(2225),
    [anon_sym_with] = ACTIONS(2225),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2225),
    [anon_sym_const] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_debugger] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_case] = ACTIONS(2225),
    [anon_sym_yield] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LTtemplate_GT] = ACTIONS(2225),
    [anon_sym_DQUOTE] = ACTIONS(2225),
    [anon_sym_SQUOTE] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_using] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_SLASH] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_void] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_number] = ACTIONS(2225),
    [sym_private_property_identifier] = ACTIONS(2225),
    [sym_this] = ACTIONS(2225),
    [sym_super] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_undefined] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_static] = ACTIONS(2225),
    [anon_sym_readonly] = ACTIONS(2225),
    [anon_sym_get] = ACTIONS(2225),
    [anon_sym_set] = ACTIONS(2225),
    [anon_sym_declare] = ACTIONS(2225),
    [anon_sym_public] = ACTIONS(2225),
    [anon_sym_private] = ACTIONS(2225),
    [anon_sym_protected] = ACTIONS(2225),
    [anon_sym_override] = ACTIONS(2225),
    [anon_sym_module] = ACTIONS(2225),
    [anon_sym_any] = ACTIONS(2225),
    [anon_sym_number] = ACTIONS(2225),
    [anon_sym_boolean] = ACTIONS(2225),
    [anon_sym_string] = ACTIONS(2225),
    [anon_sym_symbol] = ACTIONS(2225),
    [anon_sym_object] = ACTIONS(2225),
    [anon_sym_abstract] = ACTIONS(2225),
    [anon_sym_interface] = ACTIONS(2225),
    [anon_sym_enum] = ACTIONS(2225),
    [sym__automatic_semicolon] = ACTIONS(2309),
    [sym_html_comment] = ACTIONS(5),
  },
  [1005] = {
    [sym_comment] = STATE(1005),
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_export] = ACTIONS(3106),
    [anon_sym_default] = ACTIONS(3106),
    [anon_sym_type] = ACTIONS(3106),
    [anon_sym_namespace] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_typeof] = ACTIONS(3106),
    [anon_sym_import] = ACTIONS(3106),
    [anon_sym_with] = ACTIONS(3106),
    [anon_sym_var] = ACTIONS(3106),
    [anon_sym_let] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_switch] = ACTIONS(3106),
    [anon_sym_for] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3106),
    [anon_sym_await] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_do] = ACTIONS(3106),
    [anon_sym_try] = ACTIONS(3106),
    [anon_sym_break] = ACTIONS(3106),
    [anon_sym_continue] = ACTIONS(3106),
    [anon_sym_debugger] = ACTIONS(3106),
    [anon_sym_return] = ACTIONS(3106),
    [anon_sym_throw] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym_case] = ACTIONS(3106),
    [anon_sym_finally] = ACTIONS(3106),
    [anon_sym_yield] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_LTtemplate_GT] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_async] = ACTIONS(3106),
    [anon_sym_function] = ACTIONS(3106),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_using] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_void] = ACTIONS(3106),
    [anon_sym_delete] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3106),
    [sym_number] = ACTIONS(3106),
    [sym_private_property_identifier] = ACTIONS(3106),
    [sym_this] = ACTIONS(3106),
    [sym_super] = ACTIONS(3106),
    [sym_true] = ACTIONS(3106),
    [sym_false] = ACTIONS(3106),
    [sym_null] = ACTIONS(3106),
    [sym_undefined] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_readonly] = ACTIONS(3106),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_declare] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_module] = ACTIONS(3106),
    [anon_sym_any] = ACTIONS(3106),
    [anon_sym_number] = ACTIONS(3106),
    [anon_sym_boolean] = ACTIONS(3106),
    [anon_sym_string] = ACTIONS(3106),
    [anon_sym_symbol] = ACTIONS(3106),
    [anon_sym_object] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_interface] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [sym_html_comment] = ACTIONS(5),
  },
  [1006] = {
    [sym_comment] = STATE(1006),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_export] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_type] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_RBRACE] = ACTIONS(3108),
    [anon_sym_typeof] = ACTIONS(3108),
    [anon_sym_import] = ACTIONS(3108),
    [anon_sym_with] = ACTIONS(3108),
    [anon_sym_var] = ACTIONS(3108),
    [anon_sym_let] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_BANG] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_await] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_debugger] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_finally] = ACTIONS(3108),
    [anon_sym_yield] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_LTtemplate_GT] = ACTIONS(3108),
    [anon_sym_DQUOTE] = ACTIONS(3108),
    [anon_sym_SQUOTE] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_async] = ACTIONS(3108),
    [anon_sym_function] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_TILDE] = ACTIONS(3108),
    [anon_sym_void] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3108),
    [sym_number] = ACTIONS(3108),
    [sym_private_property_identifier] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
    [sym_super] = ACTIONS(3108),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [sym_null] = ACTIONS(3108),
    [sym_undefined] = ACTIONS(3108),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_readonly] = ACTIONS(3108),
    [anon_sym_get] = ACTIONS(3108),
    [anon_sym_set] = ACTIONS(3108),
    [anon_sym_declare] = ACTIONS(3108),
    [anon_sym_public] = ACTIONS(3108),
    [anon_sym_private] = ACTIONS(3108),
    [anon_sym_protected] = ACTIONS(3108),
    [anon_sym_override] = ACTIONS(3108),
    [anon_sym_module] = ACTIONS(3108),
    [anon_sym_any] = ACTIONS(3108),
    [anon_sym_number] = ACTIONS(3108),
    [anon_sym_boolean] = ACTIONS(3108),
    [anon_sym_string] = ACTIONS(3108),
    [anon_sym_symbol] = ACTIONS(3108),
    [anon_sym_object] = ACTIONS(3108),
    [anon_sym_abstract] = ACTIONS(3108),
    [anon_sym_interface] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [sym_html_comment] = ACTIONS(5),
  },
  [1007] = {
    [sym_comment] = STATE(1007),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [1008] = {
    [sym_comment] = STATE(1008),
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_export] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_type] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_typeof] = ACTIONS(3142),
    [anon_sym_import] = ACTIONS(3142),
    [anon_sym_with] = ACTIONS(3142),
    [anon_sym_var] = ACTIONS(3142),
    [anon_sym_let] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_else] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3142),
    [anon_sym_await] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_debugger] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_yield] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_LTtemplate_GT] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_async] = ACTIONS(3142),
    [anon_sym_function] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_void] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3142),
    [sym_number] = ACTIONS(3142),
    [sym_private_property_identifier] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
    [sym_super] = ACTIONS(3142),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3142),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_declare] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_module] = ACTIONS(3142),
    [anon_sym_any] = ACTIONS(3142),
    [anon_sym_number] = ACTIONS(3142),
    [anon_sym_boolean] = ACTIONS(3142),
    [anon_sym_string] = ACTIONS(3142),
    [anon_sym_symbol] = ACTIONS(3142),
    [anon_sym_object] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_interface] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [sym_html_comment] = ACTIONS(5),
  },
  [1009] = {
    [sym_comment] = STATE(1009),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_finally] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [1010] = {
    [sym_comment] = STATE(1010),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3146),
    [sym_html_comment] = ACTIONS(5),
  },
  [1011] = {
    [sym_comment] = STATE(1011),
    [sym_identifier] = ACTIONS(3148),
    [anon_sym_export] = ACTIONS(3148),
    [anon_sym_default] = ACTIONS(3148),
    [anon_sym_type] = ACTIONS(3148),
    [anon_sym_namespace] = ACTIONS(3148),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_import] = ACTIONS(3148),
    [anon_sym_with] = ACTIONS(3148),
    [anon_sym_var] = ACTIONS(3148),
    [anon_sym_let] = ACTIONS(3148),
    [anon_sym_const] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_else] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_switch] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_await] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_do] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_break] = ACTIONS(3148),
    [anon_sym_continue] = ACTIONS(3148),
    [anon_sym_debugger] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_throw] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_case] = ACTIONS(3148),
    [anon_sym_yield] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_LTtemplate_GT] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_async] = ACTIONS(3148),
    [anon_sym_function] = ACTIONS(3148),
    [anon_sym_new] = ACTIONS(3148),
    [anon_sym_using] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_void] = ACTIONS(3148),
    [anon_sym_delete] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3148),
    [sym_number] = ACTIONS(3148),
    [sym_private_property_identifier] = ACTIONS(3148),
    [sym_this] = ACTIONS(3148),
    [sym_super] = ACTIONS(3148),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [sym_null] = ACTIONS(3148),
    [sym_undefined] = ACTIONS(3148),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_get] = ACTIONS(3148),
    [anon_sym_set] = ACTIONS(3148),
    [anon_sym_declare] = ACTIONS(3148),
    [anon_sym_public] = ACTIONS(3148),
    [anon_sym_private] = ACTIONS(3148),
    [anon_sym_protected] = ACTIONS(3148),
    [anon_sym_override] = ACTIONS(3148),
    [anon_sym_module] = ACTIONS(3148),
    [anon_sym_any] = ACTIONS(3148),
    [anon_sym_number] = ACTIONS(3148),
    [anon_sym_boolean] = ACTIONS(3148),
    [anon_sym_string] = ACTIONS(3148),
    [anon_sym_symbol] = ACTIONS(3148),
    [anon_sym_object] = ACTIONS(3148),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_interface] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [sym_html_comment] = ACTIONS(5),
  },
  [1012] = {
    [sym_comment] = STATE(1012),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_export] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_type] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_typeof] = ACTIONS(3150),
    [anon_sym_import] = ACTIONS(3150),
    [anon_sym_with] = ACTIONS(3150),
    [anon_sym_var] = ACTIONS(3150),
    [anon_sym_let] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_await] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_debugger] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_yield] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_LTtemplate_GT] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_async] = ACTIONS(3150),
    [anon_sym_function] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_void] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3150),
    [sym_number] = ACTIONS(3150),
    [sym_private_property_identifier] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
    [sym_super] = ACTIONS(3150),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [sym_null] = ACTIONS(3150),
    [sym_undefined] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_readonly] = ACTIONS(3150),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_declare] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_module] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3150),
    [anon_sym_number] = ACTIONS(3150),
    [anon_sym_boolean] = ACTIONS(3150),
    [anon_sym_string] = ACTIONS(3150),
    [anon_sym_symbol] = ACTIONS(3150),
    [anon_sym_object] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_interface] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [sym_html_comment] = ACTIONS(5),
  },
  [1013] = {
    [sym_comment] = STATE(1013),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3152),
    [sym_html_comment] = ACTIONS(5),
  },
  [1014] = {
    [sym_comment] = STATE(1014),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1015] = {
    [sym_comment] = STATE(1015),
    [sym_identifier] = ACTIONS(3156),
    [anon_sym_export] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_type] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_typeof] = ACTIONS(3156),
    [anon_sym_import] = ACTIONS(3156),
    [anon_sym_with] = ACTIONS(3156),
    [anon_sym_var] = ACTIONS(3156),
    [anon_sym_let] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_else] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_await] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_debugger] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_yield] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_LTtemplate_GT] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_async] = ACTIONS(3156),
    [anon_sym_function] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_void] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3156),
    [sym_number] = ACTIONS(3156),
    [sym_private_property_identifier] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
    [sym_super] = ACTIONS(3156),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [sym_null] = ACTIONS(3156),
    [sym_undefined] = ACTIONS(3156),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_readonly] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3156),
    [anon_sym_set] = ACTIONS(3156),
    [anon_sym_declare] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_override] = ACTIONS(3156),
    [anon_sym_module] = ACTIONS(3156),
    [anon_sym_any] = ACTIONS(3156),
    [anon_sym_number] = ACTIONS(3156),
    [anon_sym_boolean] = ACTIONS(3156),
    [anon_sym_string] = ACTIONS(3156),
    [anon_sym_symbol] = ACTIONS(3156),
    [anon_sym_object] = ACTIONS(3156),
    [anon_sym_abstract] = ACTIONS(3156),
    [anon_sym_interface] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [sym_html_comment] = ACTIONS(5),
  },
  [1016] = {
    [sym_comment] = STATE(1016),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_export] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_type] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_typeof] = ACTIONS(3158),
    [anon_sym_import] = ACTIONS(3158),
    [anon_sym_with] = ACTIONS(3158),
    [anon_sym_var] = ACTIONS(3158),
    [anon_sym_let] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_debugger] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_yield] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_LTtemplate_GT] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_async] = ACTIONS(3158),
    [anon_sym_function] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_void] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3158),
    [sym_number] = ACTIONS(3158),
    [sym_private_property_identifier] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
    [sym_super] = ACTIONS(3158),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [sym_null] = ACTIONS(3158),
    [sym_undefined] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_readonly] = ACTIONS(3158),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_declare] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_module] = ACTIONS(3158),
    [anon_sym_any] = ACTIONS(3158),
    [anon_sym_number] = ACTIONS(3158),
    [anon_sym_boolean] = ACTIONS(3158),
    [anon_sym_string] = ACTIONS(3158),
    [anon_sym_symbol] = ACTIONS(3158),
    [anon_sym_object] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_interface] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1017] = {
    [sym_comment] = STATE(1017),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_export] = ACTIONS(3160),
    [anon_sym_default] = ACTIONS(3160),
    [anon_sym_type] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_typeof] = ACTIONS(3160),
    [anon_sym_import] = ACTIONS(3160),
    [anon_sym_with] = ACTIONS(3160),
    [anon_sym_var] = ACTIONS(3160),
    [anon_sym_let] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_await] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_debugger] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_case] = ACTIONS(3160),
    [anon_sym_yield] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_LTtemplate_GT] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_async] = ACTIONS(3160),
    [anon_sym_function] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3160),
    [sym_number] = ACTIONS(3160),
    [sym_private_property_identifier] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
    [sym_super] = ACTIONS(3160),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [sym_null] = ACTIONS(3160),
    [sym_undefined] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_readonly] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3160),
    [anon_sym_set] = ACTIONS(3160),
    [anon_sym_declare] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_protected] = ACTIONS(3160),
    [anon_sym_override] = ACTIONS(3160),
    [anon_sym_module] = ACTIONS(3160),
    [anon_sym_any] = ACTIONS(3160),
    [anon_sym_number] = ACTIONS(3160),
    [anon_sym_boolean] = ACTIONS(3160),
    [anon_sym_string] = ACTIONS(3160),
    [anon_sym_symbol] = ACTIONS(3160),
    [anon_sym_object] = ACTIONS(3160),
    [anon_sym_abstract] = ACTIONS(3160),
    [anon_sym_interface] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1018] = {
    [sym_comment] = STATE(1018),
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_export] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_type] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_typeof] = ACTIONS(3162),
    [anon_sym_import] = ACTIONS(3162),
    [anon_sym_with] = ACTIONS(3162),
    [anon_sym_var] = ACTIONS(3162),
    [anon_sym_let] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3162),
    [anon_sym_await] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_debugger] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_yield] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_LTtemplate_GT] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_async] = ACTIONS(3162),
    [anon_sym_function] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3162),
    [sym_number] = ACTIONS(3162),
    [sym_private_property_identifier] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
    [sym_super] = ACTIONS(3162),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [sym_null] = ACTIONS(3162),
    [sym_undefined] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_readonly] = ACTIONS(3162),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_declare] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_module] = ACTIONS(3162),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_interface] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1019] = {
    [sym_comment] = STATE(1019),
    [sym_identifier] = ACTIONS(3164),
    [anon_sym_export] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_type] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3164),
    [anon_sym_import] = ACTIONS(3164),
    [anon_sym_with] = ACTIONS(3164),
    [anon_sym_var] = ACTIONS(3164),
    [anon_sym_let] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_else] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_await] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_debugger] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_LTtemplate_GT] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_async] = ACTIONS(3164),
    [anon_sym_function] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_void] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3164),
    [sym_private_property_identifier] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
    [sym_super] = ACTIONS(3164),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [sym_null] = ACTIONS(3164),
    [sym_undefined] = ACTIONS(3164),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_readonly] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3164),
    [anon_sym_set] = ACTIONS(3164),
    [anon_sym_declare] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_override] = ACTIONS(3164),
    [anon_sym_module] = ACTIONS(3164),
    [anon_sym_any] = ACTIONS(3164),
    [anon_sym_number] = ACTIONS(3164),
    [anon_sym_boolean] = ACTIONS(3164),
    [anon_sym_string] = ACTIONS(3164),
    [anon_sym_symbol] = ACTIONS(3164),
    [anon_sym_object] = ACTIONS(3164),
    [anon_sym_abstract] = ACTIONS(3164),
    [anon_sym_interface] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [sym_html_comment] = ACTIONS(5),
  },
  [1020] = {
    [sym_comment] = STATE(1020),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_export] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_type] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(3166),
    [anon_sym_with] = ACTIONS(3166),
    [anon_sym_var] = ACTIONS(3166),
    [anon_sym_let] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_else] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3166),
    [anon_sym_await] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_debugger] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_LTtemplate_GT] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_async] = ACTIONS(3166),
    [anon_sym_function] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_void] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3166),
    [sym_number] = ACTIONS(3166),
    [sym_private_property_identifier] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
    [sym_super] = ACTIONS(3166),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [sym_null] = ACTIONS(3166),
    [sym_undefined] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_readonly] = ACTIONS(3166),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_declare] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_module] = ACTIONS(3166),
    [anon_sym_any] = ACTIONS(3166),
    [anon_sym_number] = ACTIONS(3166),
    [anon_sym_boolean] = ACTIONS(3166),
    [anon_sym_string] = ACTIONS(3166),
    [anon_sym_symbol] = ACTIONS(3166),
    [anon_sym_object] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_interface] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [sym_html_comment] = ACTIONS(5),
  },
  [1021] = {
    [sym_comment] = STATE(1021),
    [sym_identifier] = ACTIONS(3168),
    [anon_sym_export] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_type] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_typeof] = ACTIONS(3168),
    [anon_sym_import] = ACTIONS(3168),
    [anon_sym_with] = ACTIONS(3168),
    [anon_sym_var] = ACTIONS(3168),
    [anon_sym_let] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_await] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_debugger] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_yield] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_LTtemplate_GT] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_async] = ACTIONS(3168),
    [anon_sym_function] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_void] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3168),
    [sym_number] = ACTIONS(3168),
    [sym_private_property_identifier] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
    [sym_super] = ACTIONS(3168),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [sym_null] = ACTIONS(3168),
    [sym_undefined] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_readonly] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3168),
    [anon_sym_set] = ACTIONS(3168),
    [anon_sym_declare] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_override] = ACTIONS(3168),
    [anon_sym_module] = ACTIONS(3168),
    [anon_sym_any] = ACTIONS(3168),
    [anon_sym_number] = ACTIONS(3168),
    [anon_sym_boolean] = ACTIONS(3168),
    [anon_sym_string] = ACTIONS(3168),
    [anon_sym_symbol] = ACTIONS(3168),
    [anon_sym_object] = ACTIONS(3168),
    [anon_sym_abstract] = ACTIONS(3168),
    [anon_sym_interface] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1022] = {
    [sym_comment] = STATE(1022),
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_export] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_typeof] = ACTIONS(3170),
    [anon_sym_import] = ACTIONS(3170),
    [anon_sym_with] = ACTIONS(3170),
    [anon_sym_var] = ACTIONS(3170),
    [anon_sym_let] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_await] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_debugger] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_yield] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_LTtemplate_GT] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_async] = ACTIONS(3170),
    [anon_sym_function] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_void] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3170),
    [sym_number] = ACTIONS(3170),
    [sym_private_property_identifier] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
    [sym_super] = ACTIONS(3170),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3170),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_declare] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(3170),
    [anon_sym_any] = ACTIONS(3170),
    [anon_sym_number] = ACTIONS(3170),
    [anon_sym_boolean] = ACTIONS(3170),
    [anon_sym_string] = ACTIONS(3170),
    [anon_sym_symbol] = ACTIONS(3170),
    [anon_sym_object] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_interface] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [sym_html_comment] = ACTIONS(5),
  },
  [1023] = {
    [sym_comment] = STATE(1023),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1024] = {
    [sym_comment] = STATE(1024),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1025] = {
    [sym_comment] = STATE(1025),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1026] = {
    [sym_comment] = STATE(1026),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1027] = {
    [sym_comment] = STATE(1027),
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_export] = ACTIONS(3174),
    [anon_sym_default] = ACTIONS(3174),
    [anon_sym_type] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_typeof] = ACTIONS(3174),
    [anon_sym_import] = ACTIONS(3174),
    [anon_sym_with] = ACTIONS(3174),
    [anon_sym_var] = ACTIONS(3174),
    [anon_sym_let] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3174),
    [anon_sym_await] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_debugger] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3174),
    [anon_sym_yield] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_LTtemplate_GT] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_async] = ACTIONS(3174),
    [anon_sym_function] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_void] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3174),
    [sym_number] = ACTIONS(3174),
    [sym_private_property_identifier] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
    [sym_super] = ACTIONS(3174),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [sym_null] = ACTIONS(3174),
    [sym_undefined] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_readonly] = ACTIONS(3174),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_declare] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_module] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3174),
    [anon_sym_number] = ACTIONS(3174),
    [anon_sym_boolean] = ACTIONS(3174),
    [anon_sym_string] = ACTIONS(3174),
    [anon_sym_symbol] = ACTIONS(3174),
    [anon_sym_object] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_interface] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [sym_html_comment] = ACTIONS(5),
  },
  [1028] = {
    [sym_comment] = STATE(1028),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1029] = {
    [sym_comment] = STATE(1029),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1030] = {
    [sym_comment] = STATE(1030),
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_export] = ACTIONS(3178),
    [anon_sym_default] = ACTIONS(3178),
    [anon_sym_type] = ACTIONS(3178),
    [anon_sym_namespace] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_typeof] = ACTIONS(3178),
    [anon_sym_import] = ACTIONS(3178),
    [anon_sym_with] = ACTIONS(3178),
    [anon_sym_var] = ACTIONS(3178),
    [anon_sym_let] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_else] = ACTIONS(3178),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_switch] = ACTIONS(3178),
    [anon_sym_for] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_await] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_do] = ACTIONS(3178),
    [anon_sym_try] = ACTIONS(3178),
    [anon_sym_break] = ACTIONS(3178),
    [anon_sym_continue] = ACTIONS(3178),
    [anon_sym_debugger] = ACTIONS(3178),
    [anon_sym_return] = ACTIONS(3178),
    [anon_sym_throw] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym_case] = ACTIONS(3178),
    [anon_sym_yield] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3178),
    [anon_sym_LTtemplate_GT] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_async] = ACTIONS(3178),
    [anon_sym_function] = ACTIONS(3178),
    [anon_sym_new] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_void] = ACTIONS(3178),
    [anon_sym_delete] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3178),
    [sym_number] = ACTIONS(3178),
    [sym_private_property_identifier] = ACTIONS(3178),
    [sym_this] = ACTIONS(3178),
    [sym_super] = ACTIONS(3178),
    [sym_true] = ACTIONS(3178),
    [sym_false] = ACTIONS(3178),
    [sym_null] = ACTIONS(3178),
    [sym_undefined] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3178),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_readonly] = ACTIONS(3178),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_declare] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_module] = ACTIONS(3178),
    [anon_sym_any] = ACTIONS(3178),
    [anon_sym_number] = ACTIONS(3178),
    [anon_sym_boolean] = ACTIONS(3178),
    [anon_sym_string] = ACTIONS(3178),
    [anon_sym_symbol] = ACTIONS(3178),
    [anon_sym_object] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_interface] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [sym_html_comment] = ACTIONS(5),
  },
  [1031] = {
    [sym_comment] = STATE(1031),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1032] = {
    [sym_comment] = STATE(1032),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1033] = {
    [sym_comment] = STATE(1033),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1034] = {
    [sym_comment] = STATE(1034),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1035] = {
    [sym_comment] = STATE(1035),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1036] = {
    [sym_comment] = STATE(1036),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1037] = {
    [sym_comment] = STATE(1037),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1038] = {
    [sym_comment] = STATE(1038),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1039] = {
    [sym_statement_block] = STATE(1397),
    [sym_comment] = STATE(1039),
    [ts_builtin_sym_end] = ACTIONS(2073),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [1040] = {
    [sym_comment] = STATE(1040),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1041] = {
    [sym_comment] = STATE(1041),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1042] = {
    [sym_comment] = STATE(1042),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1043] = {
    [sym_comment] = STATE(1043),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1044] = {
    [sym_comment] = STATE(1044),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_type] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_typeof] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3180),
    [anon_sym_with] = ACTIONS(3180),
    [anon_sym_var] = ACTIONS(3180),
    [anon_sym_let] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_else] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_await] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_debugger] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_yield] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_LTtemplate_GT] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_async] = ACTIONS(3180),
    [anon_sym_function] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_void] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3180),
    [sym_number] = ACTIONS(3180),
    [sym_private_property_identifier] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
    [sym_super] = ACTIONS(3180),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [sym_null] = ACTIONS(3180),
    [sym_undefined] = ACTIONS(3180),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_readonly] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3180),
    [anon_sym_set] = ACTIONS(3180),
    [anon_sym_declare] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_override] = ACTIONS(3180),
    [anon_sym_module] = ACTIONS(3180),
    [anon_sym_any] = ACTIONS(3180),
    [anon_sym_number] = ACTIONS(3180),
    [anon_sym_boolean] = ACTIONS(3180),
    [anon_sym_string] = ACTIONS(3180),
    [anon_sym_symbol] = ACTIONS(3180),
    [anon_sym_object] = ACTIONS(3180),
    [anon_sym_abstract] = ACTIONS(3180),
    [anon_sym_interface] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1045] = {
    [sym_comment] = STATE(1045),
    [sym_identifier] = ACTIONS(3182),
    [anon_sym_export] = ACTIONS(3182),
    [anon_sym_default] = ACTIONS(3182),
    [anon_sym_type] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_typeof] = ACTIONS(3182),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_with] = ACTIONS(3182),
    [anon_sym_var] = ACTIONS(3182),
    [anon_sym_let] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_else] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_LPAREN] = ACTIONS(3182),
    [anon_sym_await] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_debugger] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_case] = ACTIONS(3182),
    [anon_sym_yield] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_LTtemplate_GT] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3182),
    [anon_sym_function] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_SLASH] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_void] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3182),
    [sym_number] = ACTIONS(3182),
    [sym_private_property_identifier] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
    [sym_super] = ACTIONS(3182),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [sym_null] = ACTIONS(3182),
    [sym_undefined] = ACTIONS(3182),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_readonly] = ACTIONS(3182),
    [anon_sym_get] = ACTIONS(3182),
    [anon_sym_set] = ACTIONS(3182),
    [anon_sym_declare] = ACTIONS(3182),
    [anon_sym_public] = ACTIONS(3182),
    [anon_sym_private] = ACTIONS(3182),
    [anon_sym_protected] = ACTIONS(3182),
    [anon_sym_override] = ACTIONS(3182),
    [anon_sym_module] = ACTIONS(3182),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3182),
    [anon_sym_interface] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [sym_html_comment] = ACTIONS(5),
  },
  [1046] = {
    [sym_comment] = STATE(1046),
    [sym_identifier] = ACTIONS(3184),
    [anon_sym_export] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_type] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_typeof] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3184),
    [anon_sym_with] = ACTIONS(3184),
    [anon_sym_var] = ACTIONS(3184),
    [anon_sym_let] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_else] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_await] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_debugger] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_yield] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_LTtemplate_GT] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_function] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_void] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3184),
    [sym_private_property_identifier] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
    [sym_super] = ACTIONS(3184),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [sym_null] = ACTIONS(3184),
    [sym_undefined] = ACTIONS(3184),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_readonly] = ACTIONS(3184),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_declare] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_module] = ACTIONS(3184),
    [anon_sym_any] = ACTIONS(3184),
    [anon_sym_number] = ACTIONS(3184),
    [anon_sym_boolean] = ACTIONS(3184),
    [anon_sym_string] = ACTIONS(3184),
    [anon_sym_symbol] = ACTIONS(3184),
    [anon_sym_object] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_interface] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [sym_html_comment] = ACTIONS(5),
  },
  [1047] = {
    [sym_comment] = STATE(1047),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_export] = ACTIONS(3186),
    [anon_sym_default] = ACTIONS(3186),
    [anon_sym_type] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_typeof] = ACTIONS(3186),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_var] = ACTIONS(3186),
    [anon_sym_let] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_debugger] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_case] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_LTtemplate_GT] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_function] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_void] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3186),
    [sym_number] = ACTIONS(3186),
    [sym_private_property_identifier] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
    [sym_super] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_null] = ACTIONS(3186),
    [sym_undefined] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_readonly] = ACTIONS(3186),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_declare] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_module] = ACTIONS(3186),
    [anon_sym_any] = ACTIONS(3186),
    [anon_sym_number] = ACTIONS(3186),
    [anon_sym_boolean] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_symbol] = ACTIONS(3186),
    [anon_sym_object] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_interface] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [sym_html_comment] = ACTIONS(5),
  },
  [1048] = {
    [sym_comment] = STATE(1048),
    [sym_identifier] = ACTIONS(3188),
    [anon_sym_export] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_type] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_typeof] = ACTIONS(3188),
    [anon_sym_import] = ACTIONS(3188),
    [anon_sym_with] = ACTIONS(3188),
    [anon_sym_var] = ACTIONS(3188),
    [anon_sym_let] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_else] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_await] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_debugger] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_yield] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_LTtemplate_GT] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_async] = ACTIONS(3188),
    [anon_sym_function] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_void] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3188),
    [sym_number] = ACTIONS(3188),
    [sym_private_property_identifier] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
    [sym_super] = ACTIONS(3188),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [sym_null] = ACTIONS(3188),
    [sym_undefined] = ACTIONS(3188),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_readonly] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3188),
    [anon_sym_set] = ACTIONS(3188),
    [anon_sym_declare] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_protected] = ACTIONS(3188),
    [anon_sym_override] = ACTIONS(3188),
    [anon_sym_module] = ACTIONS(3188),
    [anon_sym_any] = ACTIONS(3188),
    [anon_sym_number] = ACTIONS(3188),
    [anon_sym_boolean] = ACTIONS(3188),
    [anon_sym_string] = ACTIONS(3188),
    [anon_sym_symbol] = ACTIONS(3188),
    [anon_sym_object] = ACTIONS(3188),
    [anon_sym_abstract] = ACTIONS(3188),
    [anon_sym_interface] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [sym_html_comment] = ACTIONS(5),
  },
  [1049] = {
    [sym_comment] = STATE(1049),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_export] = ACTIONS(3190),
    [anon_sym_default] = ACTIONS(3190),
    [anon_sym_type] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_typeof] = ACTIONS(3190),
    [anon_sym_import] = ACTIONS(3190),
    [anon_sym_with] = ACTIONS(3190),
    [anon_sym_var] = ACTIONS(3190),
    [anon_sym_let] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3190),
    [anon_sym_await] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_debugger] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_case] = ACTIONS(3190),
    [anon_sym_yield] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_LTtemplate_GT] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_async] = ACTIONS(3190),
    [anon_sym_function] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_void] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3190),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
    [sym_super] = ACTIONS(3190),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3190),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_declare] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(3190),
    [anon_sym_any] = ACTIONS(3190),
    [anon_sym_number] = ACTIONS(3190),
    [anon_sym_boolean] = ACTIONS(3190),
    [anon_sym_string] = ACTIONS(3190),
    [anon_sym_symbol] = ACTIONS(3190),
    [anon_sym_object] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_interface] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1050] = {
    [sym_comment] = STATE(1050),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1051] = {
    [sym_comment] = STATE(1051),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1052] = {
    [sym_comment] = STATE(1052),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1053] = {
    [sym_comment] = STATE(1053),
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_export] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_type] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_typeof] = ACTIONS(3192),
    [anon_sym_import] = ACTIONS(3192),
    [anon_sym_with] = ACTIONS(3192),
    [anon_sym_var] = ACTIONS(3192),
    [anon_sym_let] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_else] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_await] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_debugger] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_yield] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_LTtemplate_GT] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_async] = ACTIONS(3192),
    [anon_sym_function] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_void] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3192),
    [sym_number] = ACTIONS(3192),
    [sym_private_property_identifier] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
    [sym_super] = ACTIONS(3192),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [sym_null] = ACTIONS(3192),
    [sym_undefined] = ACTIONS(3192),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3192),
    [anon_sym_set] = ACTIONS(3192),
    [anon_sym_declare] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_override] = ACTIONS(3192),
    [anon_sym_module] = ACTIONS(3192),
    [anon_sym_any] = ACTIONS(3192),
    [anon_sym_number] = ACTIONS(3192),
    [anon_sym_boolean] = ACTIONS(3192),
    [anon_sym_string] = ACTIONS(3192),
    [anon_sym_symbol] = ACTIONS(3192),
    [anon_sym_object] = ACTIONS(3192),
    [anon_sym_abstract] = ACTIONS(3192),
    [anon_sym_interface] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1054] = {
    [sym_comment] = STATE(1054),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_default] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_case] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1055] = {
    [sym_comment] = STATE(1055),
    [sym_identifier] = ACTIONS(3196),
    [anon_sym_export] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_type] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_typeof] = ACTIONS(3196),
    [anon_sym_import] = ACTIONS(3196),
    [anon_sym_with] = ACTIONS(3196),
    [anon_sym_var] = ACTIONS(3196),
    [anon_sym_let] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_else] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_await] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_debugger] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_yield] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_LTtemplate_GT] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_async] = ACTIONS(3196),
    [anon_sym_function] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_void] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3196),
    [sym_number] = ACTIONS(3196),
    [sym_private_property_identifier] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
    [sym_super] = ACTIONS(3196),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [sym_null] = ACTIONS(3196),
    [sym_undefined] = ACTIONS(3196),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_readonly] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3196),
    [anon_sym_declare] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_protected] = ACTIONS(3196),
    [anon_sym_override] = ACTIONS(3196),
    [anon_sym_module] = ACTIONS(3196),
    [anon_sym_any] = ACTIONS(3196),
    [anon_sym_number] = ACTIONS(3196),
    [anon_sym_boolean] = ACTIONS(3196),
    [anon_sym_string] = ACTIONS(3196),
    [anon_sym_symbol] = ACTIONS(3196),
    [anon_sym_object] = ACTIONS(3196),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_interface] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [sym_html_comment] = ACTIONS(5),
  },
  [1056] = {
    [sym_comment] = STATE(1056),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_default] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_case] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1057] = {
    [sym_comment] = STATE(1057),
    [sym_identifier] = ACTIONS(3200),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_type] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_typeof] = ACTIONS(3200),
    [anon_sym_import] = ACTIONS(3200),
    [anon_sym_with] = ACTIONS(3200),
    [anon_sym_var] = ACTIONS(3200),
    [anon_sym_let] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_else] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_await] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_debugger] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_yield] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_LTtemplate_GT] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_async] = ACTIONS(3200),
    [anon_sym_function] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_void] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3200),
    [sym_number] = ACTIONS(3200),
    [sym_private_property_identifier] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
    [sym_super] = ACTIONS(3200),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [sym_null] = ACTIONS(3200),
    [sym_undefined] = ACTIONS(3200),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_readonly] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3200),
    [anon_sym_set] = ACTIONS(3200),
    [anon_sym_declare] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_module] = ACTIONS(3200),
    [anon_sym_any] = ACTIONS(3200),
    [anon_sym_number] = ACTIONS(3200),
    [anon_sym_boolean] = ACTIONS(3200),
    [anon_sym_string] = ACTIONS(3200),
    [anon_sym_symbol] = ACTIONS(3200),
    [anon_sym_object] = ACTIONS(3200),
    [anon_sym_abstract] = ACTIONS(3200),
    [anon_sym_interface] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1058] = {
    [sym_comment] = STATE(1058),
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_export] = ACTIONS(3202),
    [anon_sym_default] = ACTIONS(3202),
    [anon_sym_type] = ACTIONS(3202),
    [anon_sym_namespace] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_typeof] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3202),
    [anon_sym_with] = ACTIONS(3202),
    [anon_sym_var] = ACTIONS(3202),
    [anon_sym_let] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_else] = ACTIONS(3202),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_switch] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3202),
    [anon_sym_await] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_do] = ACTIONS(3202),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_break] = ACTIONS(3202),
    [anon_sym_continue] = ACTIONS(3202),
    [anon_sym_debugger] = ACTIONS(3202),
    [anon_sym_return] = ACTIONS(3202),
    [anon_sym_throw] = ACTIONS(3202),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym_case] = ACTIONS(3202),
    [anon_sym_yield] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [anon_sym_LTtemplate_GT] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_class] = ACTIONS(3202),
    [anon_sym_async] = ACTIONS(3202),
    [anon_sym_function] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(3202),
    [anon_sym_using] = ACTIONS(3202),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_void] = ACTIONS(3202),
    [anon_sym_delete] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3202),
    [sym_number] = ACTIONS(3202),
    [sym_private_property_identifier] = ACTIONS(3202),
    [sym_this] = ACTIONS(3202),
    [sym_super] = ACTIONS(3202),
    [sym_true] = ACTIONS(3202),
    [sym_false] = ACTIONS(3202),
    [sym_null] = ACTIONS(3202),
    [sym_undefined] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3202),
    [anon_sym_static] = ACTIONS(3202),
    [anon_sym_readonly] = ACTIONS(3202),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_declare] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_module] = ACTIONS(3202),
    [anon_sym_any] = ACTIONS(3202),
    [anon_sym_number] = ACTIONS(3202),
    [anon_sym_boolean] = ACTIONS(3202),
    [anon_sym_string] = ACTIONS(3202),
    [anon_sym_symbol] = ACTIONS(3202),
    [anon_sym_object] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_interface] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [sym_html_comment] = ACTIONS(5),
  },
  [1059] = {
    [sym_comment] = STATE(1059),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_export] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_type] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_typeof] = ACTIONS(3204),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_with] = ACTIONS(3204),
    [anon_sym_var] = ACTIONS(3204),
    [anon_sym_let] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_BANG] = ACTIONS(3204),
    [anon_sym_else] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_await] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_debugger] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_yield] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_LTtemplate_GT] = ACTIONS(3204),
    [anon_sym_DQUOTE] = ACTIONS(3204),
    [anon_sym_SQUOTE] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_async] = ACTIONS(3204),
    [anon_sym_function] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_TILDE] = ACTIONS(3204),
    [anon_sym_void] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3204),
    [sym_number] = ACTIONS(3204),
    [sym_private_property_identifier] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
    [sym_super] = ACTIONS(3204),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [sym_null] = ACTIONS(3204),
    [sym_undefined] = ACTIONS(3204),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_readonly] = ACTIONS(3204),
    [anon_sym_get] = ACTIONS(3204),
    [anon_sym_set] = ACTIONS(3204),
    [anon_sym_declare] = ACTIONS(3204),
    [anon_sym_public] = ACTIONS(3204),
    [anon_sym_private] = ACTIONS(3204),
    [anon_sym_protected] = ACTIONS(3204),
    [anon_sym_override] = ACTIONS(3204),
    [anon_sym_module] = ACTIONS(3204),
    [anon_sym_any] = ACTIONS(3204),
    [anon_sym_number] = ACTIONS(3204),
    [anon_sym_boolean] = ACTIONS(3204),
    [anon_sym_string] = ACTIONS(3204),
    [anon_sym_symbol] = ACTIONS(3204),
    [anon_sym_object] = ACTIONS(3204),
    [anon_sym_abstract] = ACTIONS(3204),
    [anon_sym_interface] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [1060] = {
    [sym_comment] = STATE(1060),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_export] = ACTIONS(3206),
    [anon_sym_default] = ACTIONS(3206),
    [anon_sym_type] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_typeof] = ACTIONS(3206),
    [anon_sym_import] = ACTIONS(3206),
    [anon_sym_with] = ACTIONS(3206),
    [anon_sym_var] = ACTIONS(3206),
    [anon_sym_let] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3206),
    [anon_sym_await] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_debugger] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_case] = ACTIONS(3206),
    [anon_sym_yield] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_LTtemplate_GT] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_async] = ACTIONS(3206),
    [anon_sym_function] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_void] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3206),
    [sym_number] = ACTIONS(3206),
    [sym_private_property_identifier] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
    [sym_super] = ACTIONS(3206),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [sym_null] = ACTIONS(3206),
    [sym_undefined] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_readonly] = ACTIONS(3206),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_declare] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_module] = ACTIONS(3206),
    [anon_sym_any] = ACTIONS(3206),
    [anon_sym_number] = ACTIONS(3206),
    [anon_sym_boolean] = ACTIONS(3206),
    [anon_sym_string] = ACTIONS(3206),
    [anon_sym_symbol] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_interface] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1061] = {
    [sym_else_clause] = STATE(1366),
    [sym_comment] = STATE(1061),
    [ts_builtin_sym_end] = ACTIONS(3118),
    [sym_identifier] = ACTIONS(3080),
    [anon_sym_export] = ACTIONS(3080),
    [anon_sym_type] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3080),
    [anon_sym_import] = ACTIONS(3080),
    [anon_sym_with] = ACTIONS(3080),
    [anon_sym_var] = ACTIONS(3080),
    [anon_sym_let] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_BANG] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_await] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_debugger] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_yield] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_LTtemplate_GT] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(3080),
    [anon_sym_SQUOTE] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_async] = ACTIONS(3080),
    [anon_sym_function] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_TILDE] = ACTIONS(3080),
    [anon_sym_void] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3080),
    [sym_number] = ACTIONS(3080),
    [sym_private_property_identifier] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
    [sym_super] = ACTIONS(3080),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [sym_null] = ACTIONS(3080),
    [sym_undefined] = ACTIONS(3080),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_readonly] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3080),
    [anon_sym_set] = ACTIONS(3080),
    [anon_sym_declare] = ACTIONS(3080),
    [anon_sym_public] = ACTIONS(3080),
    [anon_sym_private] = ACTIONS(3080),
    [anon_sym_protected] = ACTIONS(3080),
    [anon_sym_override] = ACTIONS(3080),
    [anon_sym_module] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(3080),
    [anon_sym_number] = ACTIONS(3080),
    [anon_sym_boolean] = ACTIONS(3080),
    [anon_sym_string] = ACTIONS(3080),
    [anon_sym_symbol] = ACTIONS(3080),
    [anon_sym_object] = ACTIONS(3080),
    [anon_sym_abstract] = ACTIONS(3080),
    [anon_sym_interface] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [sym_html_comment] = ACTIONS(5),
  },
  [1062] = {
    [sym_comment] = STATE(1062),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_export] = ACTIONS(3210),
    [anon_sym_default] = ACTIONS(3210),
    [anon_sym_type] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_typeof] = ACTIONS(3210),
    [anon_sym_import] = ACTIONS(3210),
    [anon_sym_with] = ACTIONS(3210),
    [anon_sym_var] = ACTIONS(3210),
    [anon_sym_let] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3210),
    [anon_sym_await] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_debugger] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_case] = ACTIONS(3210),
    [anon_sym_yield] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_LTtemplate_GT] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_async] = ACTIONS(3210),
    [anon_sym_function] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_void] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3210),
    [sym_number] = ACTIONS(3210),
    [sym_private_property_identifier] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
    [sym_super] = ACTIONS(3210),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [sym_null] = ACTIONS(3210),
    [sym_undefined] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_readonly] = ACTIONS(3210),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_declare] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_module] = ACTIONS(3210),
    [anon_sym_any] = ACTIONS(3210),
    [anon_sym_number] = ACTIONS(3210),
    [anon_sym_boolean] = ACTIONS(3210),
    [anon_sym_string] = ACTIONS(3210),
    [anon_sym_symbol] = ACTIONS(3210),
    [anon_sym_object] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_interface] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1063] = {
    [sym_comment] = STATE(1063),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_export] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_type] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_typeof] = ACTIONS(3212),
    [anon_sym_import] = ACTIONS(3212),
    [anon_sym_with] = ACTIONS(3212),
    [anon_sym_var] = ACTIONS(3212),
    [anon_sym_let] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_else] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_await] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_debugger] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_yield] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_LTtemplate_GT] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_async] = ACTIONS(3212),
    [anon_sym_function] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_void] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3212),
    [sym_number] = ACTIONS(3212),
    [sym_private_property_identifier] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
    [sym_super] = ACTIONS(3212),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [sym_null] = ACTIONS(3212),
    [sym_undefined] = ACTIONS(3212),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_readonly] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3212),
    [anon_sym_declare] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_override] = ACTIONS(3212),
    [anon_sym_module] = ACTIONS(3212),
    [anon_sym_any] = ACTIONS(3212),
    [anon_sym_number] = ACTIONS(3212),
    [anon_sym_boolean] = ACTIONS(3212),
    [anon_sym_string] = ACTIONS(3212),
    [anon_sym_symbol] = ACTIONS(3212),
    [anon_sym_object] = ACTIONS(3212),
    [anon_sym_abstract] = ACTIONS(3212),
    [anon_sym_interface] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1064] = {
    [sym_comment] = STATE(1064),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_export] = ACTIONS(3214),
    [anon_sym_default] = ACTIONS(3214),
    [anon_sym_type] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_typeof] = ACTIONS(3214),
    [anon_sym_import] = ACTIONS(3214),
    [anon_sym_with] = ACTIONS(3214),
    [anon_sym_var] = ACTIONS(3214),
    [anon_sym_let] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_await] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_debugger] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_case] = ACTIONS(3214),
    [anon_sym_yield] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_LTtemplate_GT] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_async] = ACTIONS(3214),
    [anon_sym_function] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_void] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3214),
    [sym_number] = ACTIONS(3214),
    [sym_private_property_identifier] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
    [sym_super] = ACTIONS(3214),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [sym_null] = ACTIONS(3214),
    [sym_undefined] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_readonly] = ACTIONS(3214),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_declare] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_module] = ACTIONS(3214),
    [anon_sym_any] = ACTIONS(3214),
    [anon_sym_number] = ACTIONS(3214),
    [anon_sym_boolean] = ACTIONS(3214),
    [anon_sym_string] = ACTIONS(3214),
    [anon_sym_symbol] = ACTIONS(3214),
    [anon_sym_object] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_interface] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [sym_html_comment] = ACTIONS(5),
  },
  [1065] = {
    [sym_comment] = STATE(1065),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1066] = {
    [sym_comment] = STATE(1066),
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_export] = ACTIONS(3218),
    [anon_sym_default] = ACTIONS(3218),
    [anon_sym_type] = ACTIONS(3218),
    [anon_sym_namespace] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_typeof] = ACTIONS(3218),
    [anon_sym_import] = ACTIONS(3218),
    [anon_sym_with] = ACTIONS(3218),
    [anon_sym_var] = ACTIONS(3218),
    [anon_sym_let] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_else] = ACTIONS(3218),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_switch] = ACTIONS(3218),
    [anon_sym_for] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3218),
    [anon_sym_await] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_do] = ACTIONS(3218),
    [anon_sym_try] = ACTIONS(3218),
    [anon_sym_break] = ACTIONS(3218),
    [anon_sym_continue] = ACTIONS(3218),
    [anon_sym_debugger] = ACTIONS(3218),
    [anon_sym_return] = ACTIONS(3218),
    [anon_sym_throw] = ACTIONS(3218),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym_case] = ACTIONS(3218),
    [anon_sym_yield] = ACTIONS(3218),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_LTtemplate_GT] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3218),
    [anon_sym_async] = ACTIONS(3218),
    [anon_sym_function] = ACTIONS(3218),
    [anon_sym_new] = ACTIONS(3218),
    [anon_sym_using] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_void] = ACTIONS(3218),
    [anon_sym_delete] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3218),
    [sym_number] = ACTIONS(3218),
    [sym_private_property_identifier] = ACTIONS(3218),
    [sym_this] = ACTIONS(3218),
    [sym_super] = ACTIONS(3218),
    [sym_true] = ACTIONS(3218),
    [sym_false] = ACTIONS(3218),
    [sym_null] = ACTIONS(3218),
    [sym_undefined] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3218),
    [anon_sym_readonly] = ACTIONS(3218),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_declare] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_module] = ACTIONS(3218),
    [anon_sym_any] = ACTIONS(3218),
    [anon_sym_number] = ACTIONS(3218),
    [anon_sym_boolean] = ACTIONS(3218),
    [anon_sym_string] = ACTIONS(3218),
    [anon_sym_symbol] = ACTIONS(3218),
    [anon_sym_object] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_interface] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [sym_html_comment] = ACTIONS(5),
  },
  [1067] = {
    [sym_comment] = STATE(1067),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_export] = ACTIONS(3220),
    [anon_sym_default] = ACTIONS(3220),
    [anon_sym_type] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [anon_sym_typeof] = ACTIONS(3220),
    [anon_sym_import] = ACTIONS(3220),
    [anon_sym_with] = ACTIONS(3220),
    [anon_sym_var] = ACTIONS(3220),
    [anon_sym_let] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_BANG] = ACTIONS(3220),
    [anon_sym_else] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_await] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_debugger] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_case] = ACTIONS(3220),
    [anon_sym_yield] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_LTtemplate_GT] = ACTIONS(3220),
    [anon_sym_DQUOTE] = ACTIONS(3220),
    [anon_sym_SQUOTE] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_async] = ACTIONS(3220),
    [anon_sym_function] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_TILDE] = ACTIONS(3220),
    [anon_sym_void] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3220),
    [sym_number] = ACTIONS(3220),
    [sym_private_property_identifier] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
    [sym_super] = ACTIONS(3220),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [sym_null] = ACTIONS(3220),
    [sym_undefined] = ACTIONS(3220),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_readonly] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3220),
    [anon_sym_set] = ACTIONS(3220),
    [anon_sym_declare] = ACTIONS(3220),
    [anon_sym_public] = ACTIONS(3220),
    [anon_sym_private] = ACTIONS(3220),
    [anon_sym_protected] = ACTIONS(3220),
    [anon_sym_override] = ACTIONS(3220),
    [anon_sym_module] = ACTIONS(3220),
    [anon_sym_any] = ACTIONS(3220),
    [anon_sym_number] = ACTIONS(3220),
    [anon_sym_boolean] = ACTIONS(3220),
    [anon_sym_string] = ACTIONS(3220),
    [anon_sym_symbol] = ACTIONS(3220),
    [anon_sym_object] = ACTIONS(3220),
    [anon_sym_abstract] = ACTIONS(3220),
    [anon_sym_interface] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [sym_html_comment] = ACTIONS(5),
  },
  [1068] = {
    [sym_comment] = STATE(1068),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_default] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_case] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1069] = {
    [sym_comment] = STATE(1069),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_export] = ACTIONS(3224),
    [anon_sym_default] = ACTIONS(3224),
    [anon_sym_type] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3224),
    [anon_sym_RBRACE] = ACTIONS(3224),
    [anon_sym_typeof] = ACTIONS(3224),
    [anon_sym_import] = ACTIONS(3224),
    [anon_sym_with] = ACTIONS(3224),
    [anon_sym_var] = ACTIONS(3224),
    [anon_sym_let] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3224),
    [anon_sym_else] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_LPAREN] = ACTIONS(3224),
    [anon_sym_await] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_debugger] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3224),
    [anon_sym_case] = ACTIONS(3224),
    [anon_sym_yield] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_LTtemplate_GT] = ACTIONS(3224),
    [anon_sym_DQUOTE] = ACTIONS(3224),
    [anon_sym_SQUOTE] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_async] = ACTIONS(3224),
    [anon_sym_function] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_TILDE] = ACTIONS(3224),
    [anon_sym_void] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3224),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3224),
    [sym_number] = ACTIONS(3224),
    [sym_private_property_identifier] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
    [sym_super] = ACTIONS(3224),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [sym_null] = ACTIONS(3224),
    [sym_undefined] = ACTIONS(3224),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_readonly] = ACTIONS(3224),
    [anon_sym_get] = ACTIONS(3224),
    [anon_sym_set] = ACTIONS(3224),
    [anon_sym_declare] = ACTIONS(3224),
    [anon_sym_public] = ACTIONS(3224),
    [anon_sym_private] = ACTIONS(3224),
    [anon_sym_protected] = ACTIONS(3224),
    [anon_sym_override] = ACTIONS(3224),
    [anon_sym_module] = ACTIONS(3224),
    [anon_sym_any] = ACTIONS(3224),
    [anon_sym_number] = ACTIONS(3224),
    [anon_sym_boolean] = ACTIONS(3224),
    [anon_sym_string] = ACTIONS(3224),
    [anon_sym_symbol] = ACTIONS(3224),
    [anon_sym_object] = ACTIONS(3224),
    [anon_sym_abstract] = ACTIONS(3224),
    [anon_sym_interface] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [sym_html_comment] = ACTIONS(5),
  },
  [1070] = {
    [sym_comment] = STATE(1070),
    [sym_identifier] = ACTIONS(2097),
    [anon_sym_export] = ACTIONS(2097),
    [anon_sym_default] = ACTIONS(2097),
    [anon_sym_type] = ACTIONS(2097),
    [anon_sym_namespace] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_RBRACE] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(2097),
    [anon_sym_import] = ACTIONS(2097),
    [anon_sym_with] = ACTIONS(2097),
    [anon_sym_var] = ACTIONS(2097),
    [anon_sym_let] = ACTIONS(2097),
    [anon_sym_const] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2097),
    [anon_sym_switch] = ACTIONS(2097),
    [anon_sym_for] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2097),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_while] = ACTIONS(2097),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_try] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_debugger] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_throw] = ACTIONS(2097),
    [anon_sym_SEMI] = ACTIONS(2097),
    [anon_sym_case] = ACTIONS(2097),
    [anon_sym_yield] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2097),
    [anon_sym_LTtemplate_GT] = ACTIONS(2097),
    [anon_sym_DQUOTE] = ACTIONS(2097),
    [anon_sym_SQUOTE] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_function] = ACTIONS(2097),
    [anon_sym_new] = ACTIONS(2097),
    [anon_sym_using] = ACTIONS(2097),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_SLASH] = ACTIONS(2097),
    [anon_sym_LT] = ACTIONS(2097),
    [anon_sym_TILDE] = ACTIONS(2097),
    [anon_sym_void] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2097),
    [anon_sym_DASH_DASH] = ACTIONS(2097),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2097),
    [sym_number] = ACTIONS(2097),
    [sym_private_property_identifier] = ACTIONS(2097),
    [sym_this] = ACTIONS(2097),
    [sym_super] = ACTIONS(2097),
    [sym_true] = ACTIONS(2097),
    [sym_false] = ACTIONS(2097),
    [sym_null] = ACTIONS(2097),
    [sym_undefined] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2097),
    [anon_sym_static] = ACTIONS(2097),
    [anon_sym_readonly] = ACTIONS(2097),
    [anon_sym_get] = ACTIONS(2097),
    [anon_sym_set] = ACTIONS(2097),
    [anon_sym_declare] = ACTIONS(2097),
    [anon_sym_public] = ACTIONS(2097),
    [anon_sym_private] = ACTIONS(2097),
    [anon_sym_protected] = ACTIONS(2097),
    [anon_sym_override] = ACTIONS(2097),
    [anon_sym_module] = ACTIONS(2097),
    [anon_sym_any] = ACTIONS(2097),
    [anon_sym_number] = ACTIONS(2097),
    [anon_sym_boolean] = ACTIONS(2097),
    [anon_sym_string] = ACTIONS(2097),
    [anon_sym_symbol] = ACTIONS(2097),
    [anon_sym_object] = ACTIONS(2097),
    [anon_sym_abstract] = ACTIONS(2097),
    [anon_sym_interface] = ACTIONS(2097),
    [anon_sym_enum] = ACTIONS(2097),
    [sym__automatic_semicolon] = ACTIONS(2365),
    [sym_html_comment] = ACTIONS(5),
  },
  [1071] = {
    [sym_comment] = STATE(1071),
    [sym_identifier] = ACTIONS(3226),
    [anon_sym_export] = ACTIONS(3226),
    [anon_sym_default] = ACTIONS(3226),
    [anon_sym_type] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_typeof] = ACTIONS(3226),
    [anon_sym_import] = ACTIONS(3226),
    [anon_sym_with] = ACTIONS(3226),
    [anon_sym_var] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_else] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_await] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_debugger] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_case] = ACTIONS(3226),
    [anon_sym_yield] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_LTtemplate_GT] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_async] = ACTIONS(3226),
    [anon_sym_function] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_void] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3226),
    [sym_number] = ACTIONS(3226),
    [sym_private_property_identifier] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
    [sym_super] = ACTIONS(3226),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [sym_null] = ACTIONS(3226),
    [sym_undefined] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_readonly] = ACTIONS(3226),
    [anon_sym_get] = ACTIONS(3226),
    [anon_sym_set] = ACTIONS(3226),
    [anon_sym_declare] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3226),
    [anon_sym_private] = ACTIONS(3226),
    [anon_sym_protected] = ACTIONS(3226),
    [anon_sym_override] = ACTIONS(3226),
    [anon_sym_module] = ACTIONS(3226),
    [anon_sym_any] = ACTIONS(3226),
    [anon_sym_number] = ACTIONS(3226),
    [anon_sym_boolean] = ACTIONS(3226),
    [anon_sym_string] = ACTIONS(3226),
    [anon_sym_symbol] = ACTIONS(3226),
    [anon_sym_object] = ACTIONS(3226),
    [anon_sym_abstract] = ACTIONS(3226),
    [anon_sym_interface] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [sym_html_comment] = ACTIONS(5),
  },
  [1072] = {
    [sym_comment] = STATE(1072),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_export] = ACTIONS(3228),
    [anon_sym_default] = ACTIONS(3228),
    [anon_sym_type] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_RBRACE] = ACTIONS(3228),
    [anon_sym_typeof] = ACTIONS(3228),
    [anon_sym_import] = ACTIONS(3228),
    [anon_sym_with] = ACTIONS(3228),
    [anon_sym_var] = ACTIONS(3228),
    [anon_sym_let] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_else] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_LPAREN] = ACTIONS(3228),
    [anon_sym_await] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_debugger] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym_case] = ACTIONS(3228),
    [anon_sym_yield] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_LTtemplate_GT] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_async] = ACTIONS(3228),
    [anon_sym_function] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_void] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3228),
    [sym_number] = ACTIONS(3228),
    [sym_private_property_identifier] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
    [sym_super] = ACTIONS(3228),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [sym_null] = ACTIONS(3228),
    [sym_undefined] = ACTIONS(3228),
    [anon_sym_AT] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_readonly] = ACTIONS(3228),
    [anon_sym_get] = ACTIONS(3228),
    [anon_sym_set] = ACTIONS(3228),
    [anon_sym_declare] = ACTIONS(3228),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_override] = ACTIONS(3228),
    [anon_sym_module] = ACTIONS(3228),
    [anon_sym_any] = ACTIONS(3228),
    [anon_sym_number] = ACTIONS(3228),
    [anon_sym_boolean] = ACTIONS(3228),
    [anon_sym_string] = ACTIONS(3228),
    [anon_sym_symbol] = ACTIONS(3228),
    [anon_sym_object] = ACTIONS(3228),
    [anon_sym_abstract] = ACTIONS(3228),
    [anon_sym_interface] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [sym_html_comment] = ACTIONS(5),
  },
  [1073] = {
    [sym_comment] = STATE(1073),
    [sym_identifier] = ACTIONS(3230),
    [anon_sym_export] = ACTIONS(3230),
    [anon_sym_default] = ACTIONS(3230),
    [anon_sym_type] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_typeof] = ACTIONS(3230),
    [anon_sym_import] = ACTIONS(3230),
    [anon_sym_with] = ACTIONS(3230),
    [anon_sym_var] = ACTIONS(3230),
    [anon_sym_let] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_else] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_LPAREN] = ACTIONS(3230),
    [anon_sym_await] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_debugger] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_case] = ACTIONS(3230),
    [anon_sym_yield] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_LTtemplate_GT] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_async] = ACTIONS(3230),
    [anon_sym_function] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_SLASH] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_void] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3230),
    [sym_number] = ACTIONS(3230),
    [sym_private_property_identifier] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
    [sym_super] = ACTIONS(3230),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [sym_null] = ACTIONS(3230),
    [sym_undefined] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_readonly] = ACTIONS(3230),
    [anon_sym_get] = ACTIONS(3230),
    [anon_sym_set] = ACTIONS(3230),
    [anon_sym_declare] = ACTIONS(3230),
    [anon_sym_public] = ACTIONS(3230),
    [anon_sym_private] = ACTIONS(3230),
    [anon_sym_protected] = ACTIONS(3230),
    [anon_sym_override] = ACTIONS(3230),
    [anon_sym_module] = ACTIONS(3230),
    [anon_sym_any] = ACTIONS(3230),
    [anon_sym_number] = ACTIONS(3230),
    [anon_sym_boolean] = ACTIONS(3230),
    [anon_sym_string] = ACTIONS(3230),
    [anon_sym_symbol] = ACTIONS(3230),
    [anon_sym_object] = ACTIONS(3230),
    [anon_sym_abstract] = ACTIONS(3230),
    [anon_sym_interface] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [sym_html_comment] = ACTIONS(5),
  },
  [1074] = {
    [sym_comment] = STATE(1074),
    [sym_identifier] = ACTIONS(3232),
    [anon_sym_export] = ACTIONS(3232),
    [anon_sym_default] = ACTIONS(3232),
    [anon_sym_type] = ACTIONS(3232),
    [anon_sym_namespace] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3232),
    [anon_sym_RBRACE] = ACTIONS(3232),
    [anon_sym_typeof] = ACTIONS(3232),
    [anon_sym_import] = ACTIONS(3232),
    [anon_sym_with] = ACTIONS(3232),
    [anon_sym_var] = ACTIONS(3232),
    [anon_sym_let] = ACTIONS(3232),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_BANG] = ACTIONS(3232),
    [anon_sym_else] = ACTIONS(3232),
    [anon_sym_if] = ACTIONS(3232),
    [anon_sym_switch] = ACTIONS(3232),
    [anon_sym_for] = ACTIONS(3232),
    [anon_sym_LPAREN] = ACTIONS(3232),
    [anon_sym_await] = ACTIONS(3232),
    [anon_sym_while] = ACTIONS(3232),
    [anon_sym_do] = ACTIONS(3232),
    [anon_sym_try] = ACTIONS(3232),
    [anon_sym_break] = ACTIONS(3232),
    [anon_sym_continue] = ACTIONS(3232),
    [anon_sym_debugger] = ACTIONS(3232),
    [anon_sym_return] = ACTIONS(3232),
    [anon_sym_throw] = ACTIONS(3232),
    [anon_sym_SEMI] = ACTIONS(3232),
    [anon_sym_case] = ACTIONS(3232),
    [anon_sym_yield] = ACTIONS(3232),
    [anon_sym_LBRACK] = ACTIONS(3232),
    [anon_sym_LTtemplate_GT] = ACTIONS(3232),
    [anon_sym_DQUOTE] = ACTIONS(3232),
    [anon_sym_SQUOTE] = ACTIONS(3232),
    [anon_sym_class] = ACTIONS(3232),
    [anon_sym_async] = ACTIONS(3232),
    [anon_sym_function] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3232),
    [anon_sym_using] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_TILDE] = ACTIONS(3232),
    [anon_sym_void] = ACTIONS(3232),
    [anon_sym_delete] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3232),
    [anon_sym_DASH_DASH] = ACTIONS(3232),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3232),
    [sym_number] = ACTIONS(3232),
    [sym_private_property_identifier] = ACTIONS(3232),
    [sym_this] = ACTIONS(3232),
    [sym_super] = ACTIONS(3232),
    [sym_true] = ACTIONS(3232),
    [sym_false] = ACTIONS(3232),
    [sym_null] = ACTIONS(3232),
    [sym_undefined] = ACTIONS(3232),
    [anon_sym_AT] = ACTIONS(3232),
    [anon_sym_static] = ACTIONS(3232),
    [anon_sym_readonly] = ACTIONS(3232),
    [anon_sym_get] = ACTIONS(3232),
    [anon_sym_set] = ACTIONS(3232),
    [anon_sym_declare] = ACTIONS(3232),
    [anon_sym_public] = ACTIONS(3232),
    [anon_sym_private] = ACTIONS(3232),
    [anon_sym_protected] = ACTIONS(3232),
    [anon_sym_override] = ACTIONS(3232),
    [anon_sym_module] = ACTIONS(3232),
    [anon_sym_any] = ACTIONS(3232),
    [anon_sym_number] = ACTIONS(3232),
    [anon_sym_boolean] = ACTIONS(3232),
    [anon_sym_string] = ACTIONS(3232),
    [anon_sym_symbol] = ACTIONS(3232),
    [anon_sym_object] = ACTIONS(3232),
    [anon_sym_abstract] = ACTIONS(3232),
    [anon_sym_interface] = ACTIONS(3232),
    [anon_sym_enum] = ACTIONS(3232),
    [sym_html_comment] = ACTIONS(5),
  },
  [1075] = {
    [sym_comment] = STATE(1075),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_default] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_else] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1076] = {
    [sym_comment] = STATE(1076),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_default] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_else] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1077] = {
    [sym_comment] = STATE(1077),
    [sym_identifier] = ACTIONS(3236),
    [anon_sym_export] = ACTIONS(3236),
    [anon_sym_default] = ACTIONS(3236),
    [anon_sym_type] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(3236),
    [anon_sym_typeof] = ACTIONS(3236),
    [anon_sym_import] = ACTIONS(3236),
    [anon_sym_with] = ACTIONS(3236),
    [anon_sym_var] = ACTIONS(3236),
    [anon_sym_let] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_else] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_LPAREN] = ACTIONS(3236),
    [anon_sym_await] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_debugger] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym_case] = ACTIONS(3236),
    [anon_sym_yield] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_LTtemplate_GT] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_async] = ACTIONS(3236),
    [anon_sym_function] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_void] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3236),
    [sym_number] = ACTIONS(3236),
    [sym_private_property_identifier] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
    [sym_super] = ACTIONS(3236),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [sym_null] = ACTIONS(3236),
    [sym_undefined] = ACTIONS(3236),
    [anon_sym_AT] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_readonly] = ACTIONS(3236),
    [anon_sym_get] = ACTIONS(3236),
    [anon_sym_set] = ACTIONS(3236),
    [anon_sym_declare] = ACTIONS(3236),
    [anon_sym_public] = ACTIONS(3236),
    [anon_sym_private] = ACTIONS(3236),
    [anon_sym_protected] = ACTIONS(3236),
    [anon_sym_override] = ACTIONS(3236),
    [anon_sym_module] = ACTIONS(3236),
    [anon_sym_any] = ACTIONS(3236),
    [anon_sym_number] = ACTIONS(3236),
    [anon_sym_boolean] = ACTIONS(3236),
    [anon_sym_string] = ACTIONS(3236),
    [anon_sym_symbol] = ACTIONS(3236),
    [anon_sym_object] = ACTIONS(3236),
    [anon_sym_abstract] = ACTIONS(3236),
    [anon_sym_interface] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [sym_html_comment] = ACTIONS(5),
  },
  [1078] = {
    [sym_comment] = STATE(1078),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_finally] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [1079] = {
    [sym_comment] = STATE(1079),
    [sym_identifier] = ACTIONS(3238),
    [anon_sym_export] = ACTIONS(3238),
    [anon_sym_default] = ACTIONS(3238),
    [anon_sym_type] = ACTIONS(3238),
    [anon_sym_namespace] = ACTIONS(3238),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_typeof] = ACTIONS(3238),
    [anon_sym_import] = ACTIONS(3238),
    [anon_sym_with] = ACTIONS(3238),
    [anon_sym_var] = ACTIONS(3238),
    [anon_sym_let] = ACTIONS(3238),
    [anon_sym_const] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_else] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3238),
    [anon_sym_switch] = ACTIONS(3238),
    [anon_sym_for] = ACTIONS(3238),
    [anon_sym_LPAREN] = ACTIONS(3238),
    [anon_sym_await] = ACTIONS(3238),
    [anon_sym_while] = ACTIONS(3238),
    [anon_sym_do] = ACTIONS(3238),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_break] = ACTIONS(3238),
    [anon_sym_continue] = ACTIONS(3238),
    [anon_sym_debugger] = ACTIONS(3238),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_throw] = ACTIONS(3238),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_case] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3238),
    [anon_sym_LTtemplate_GT] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_async] = ACTIONS(3238),
    [anon_sym_function] = ACTIONS(3238),
    [anon_sym_new] = ACTIONS(3238),
    [anon_sym_using] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3238),
    [anon_sym_SLASH] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_void] = ACTIONS(3238),
    [anon_sym_delete] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3238),
    [sym_number] = ACTIONS(3238),
    [sym_private_property_identifier] = ACTIONS(3238),
    [sym_this] = ACTIONS(3238),
    [sym_super] = ACTIONS(3238),
    [sym_true] = ACTIONS(3238),
    [sym_false] = ACTIONS(3238),
    [sym_null] = ACTIONS(3238),
    [sym_undefined] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3238),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3238),
    [anon_sym_set] = ACTIONS(3238),
    [anon_sym_declare] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_protected] = ACTIONS(3238),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_module] = ACTIONS(3238),
    [anon_sym_any] = ACTIONS(3238),
    [anon_sym_number] = ACTIONS(3238),
    [anon_sym_boolean] = ACTIONS(3238),
    [anon_sym_string] = ACTIONS(3238),
    [anon_sym_symbol] = ACTIONS(3238),
    [anon_sym_object] = ACTIONS(3238),
    [anon_sym_abstract] = ACTIONS(3238),
    [anon_sym_interface] = ACTIONS(3238),
    [anon_sym_enum] = ACTIONS(3238),
    [sym_html_comment] = ACTIONS(5),
  },
  [1080] = {
    [sym_comment] = STATE(1080),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_export] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_type] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3240),
    [anon_sym_RBRACE] = ACTIONS(3240),
    [anon_sym_typeof] = ACTIONS(3240),
    [anon_sym_import] = ACTIONS(3240),
    [anon_sym_with] = ACTIONS(3240),
    [anon_sym_var] = ACTIONS(3240),
    [anon_sym_let] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_BANG] = ACTIONS(3240),
    [anon_sym_else] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_LPAREN] = ACTIONS(3240),
    [anon_sym_await] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_debugger] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_LTtemplate_GT] = ACTIONS(3240),
    [anon_sym_DQUOTE] = ACTIONS(3240),
    [anon_sym_SQUOTE] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_async] = ACTIONS(3240),
    [anon_sym_function] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3240),
    [anon_sym_void] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_PLUS_PLUS] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3240),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3240),
    [sym_number] = ACTIONS(3240),
    [sym_private_property_identifier] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
    [sym_super] = ACTIONS(3240),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [sym_null] = ACTIONS(3240),
    [sym_undefined] = ACTIONS(3240),
    [anon_sym_AT] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_readonly] = ACTIONS(3240),
    [anon_sym_get] = ACTIONS(3240),
    [anon_sym_set] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3240),
    [anon_sym_public] = ACTIONS(3240),
    [anon_sym_private] = ACTIONS(3240),
    [anon_sym_protected] = ACTIONS(3240),
    [anon_sym_override] = ACTIONS(3240),
    [anon_sym_module] = ACTIONS(3240),
    [anon_sym_any] = ACTIONS(3240),
    [anon_sym_number] = ACTIONS(3240),
    [anon_sym_boolean] = ACTIONS(3240),
    [anon_sym_string] = ACTIONS(3240),
    [anon_sym_symbol] = ACTIONS(3240),
    [anon_sym_object] = ACTIONS(3240),
    [anon_sym_abstract] = ACTIONS(3240),
    [anon_sym_interface] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [sym_html_comment] = ACTIONS(5),
  },
  [1081] = {
    [sym_comment] = STATE(1081),
    [sym_identifier] = ACTIONS(3242),
    [anon_sym_export] = ACTIONS(3242),
    [anon_sym_default] = ACTIONS(3242),
    [anon_sym_type] = ACTIONS(3242),
    [anon_sym_namespace] = ACTIONS(3242),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_typeof] = ACTIONS(3242),
    [anon_sym_import] = ACTIONS(3242),
    [anon_sym_with] = ACTIONS(3242),
    [anon_sym_var] = ACTIONS(3242),
    [anon_sym_let] = ACTIONS(3242),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_else] = ACTIONS(3242),
    [anon_sym_if] = ACTIONS(3242),
    [anon_sym_switch] = ACTIONS(3242),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_LPAREN] = ACTIONS(3242),
    [anon_sym_await] = ACTIONS(3242),
    [anon_sym_while] = ACTIONS(3242),
    [anon_sym_do] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3242),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_continue] = ACTIONS(3242),
    [anon_sym_debugger] = ACTIONS(3242),
    [anon_sym_return] = ACTIONS(3242),
    [anon_sym_throw] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_case] = ACTIONS(3242),
    [anon_sym_yield] = ACTIONS(3242),
    [anon_sym_LBRACK] = ACTIONS(3242),
    [anon_sym_LTtemplate_GT] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_class] = ACTIONS(3242),
    [anon_sym_async] = ACTIONS(3242),
    [anon_sym_function] = ACTIONS(3242),
    [anon_sym_new] = ACTIONS(3242),
    [anon_sym_using] = ACTIONS(3242),
    [anon_sym_PLUS] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3242),
    [anon_sym_SLASH] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_void] = ACTIONS(3242),
    [anon_sym_delete] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3242),
    [sym_number] = ACTIONS(3242),
    [sym_private_property_identifier] = ACTIONS(3242),
    [sym_this] = ACTIONS(3242),
    [sym_super] = ACTIONS(3242),
    [sym_true] = ACTIONS(3242),
    [sym_false] = ACTIONS(3242),
    [sym_null] = ACTIONS(3242),
    [sym_undefined] = ACTIONS(3242),
    [anon_sym_AT] = ACTIONS(3242),
    [anon_sym_static] = ACTIONS(3242),
    [anon_sym_readonly] = ACTIONS(3242),
    [anon_sym_get] = ACTIONS(3242),
    [anon_sym_set] = ACTIONS(3242),
    [anon_sym_declare] = ACTIONS(3242),
    [anon_sym_public] = ACTIONS(3242),
    [anon_sym_private] = ACTIONS(3242),
    [anon_sym_protected] = ACTIONS(3242),
    [anon_sym_override] = ACTIONS(3242),
    [anon_sym_module] = ACTIONS(3242),
    [anon_sym_any] = ACTIONS(3242),
    [anon_sym_number] = ACTIONS(3242),
    [anon_sym_boolean] = ACTIONS(3242),
    [anon_sym_string] = ACTIONS(3242),
    [anon_sym_symbol] = ACTIONS(3242),
    [anon_sym_object] = ACTIONS(3242),
    [anon_sym_abstract] = ACTIONS(3242),
    [anon_sym_interface] = ACTIONS(3242),
    [anon_sym_enum] = ACTIONS(3242),
    [sym_html_comment] = ACTIONS(5),
  },
  [1082] = {
    [sym_comment] = STATE(1082),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(3244),
    [sym_html_comment] = ACTIONS(5),
  },
  [1083] = {
    [sym_comment] = STATE(1083),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_default] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_else] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1084] = {
    [sym_comment] = STATE(1084),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1085] = {
    [sym_comment] = STATE(1085),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_default] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_else] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_case] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1086] = {
    [sym_comment] = STATE(1086),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_default] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_else] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_case] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1087] = {
    [sym_comment] = STATE(1087),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_else] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1088] = {
    [sym_comment] = STATE(1088),
    [sym_identifier] = ACTIONS(3254),
    [anon_sym_export] = ACTIONS(3254),
    [anon_sym_default] = ACTIONS(3254),
    [anon_sym_type] = ACTIONS(3254),
    [anon_sym_namespace] = ACTIONS(3254),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_typeof] = ACTIONS(3254),
    [anon_sym_import] = ACTIONS(3254),
    [anon_sym_with] = ACTIONS(3254),
    [anon_sym_var] = ACTIONS(3254),
    [anon_sym_let] = ACTIONS(3254),
    [anon_sym_const] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_else] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3254),
    [anon_sym_switch] = ACTIONS(3254),
    [anon_sym_for] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_await] = ACTIONS(3254),
    [anon_sym_while] = ACTIONS(3254),
    [anon_sym_do] = ACTIONS(3254),
    [anon_sym_try] = ACTIONS(3254),
    [anon_sym_break] = ACTIONS(3254),
    [anon_sym_continue] = ACTIONS(3254),
    [anon_sym_debugger] = ACTIONS(3254),
    [anon_sym_return] = ACTIONS(3254),
    [anon_sym_throw] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_case] = ACTIONS(3254),
    [anon_sym_yield] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [anon_sym_LTtemplate_GT] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_class] = ACTIONS(3254),
    [anon_sym_async] = ACTIONS(3254),
    [anon_sym_function] = ACTIONS(3254),
    [anon_sym_new] = ACTIONS(3254),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_void] = ACTIONS(3254),
    [anon_sym_delete] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3254),
    [sym_number] = ACTIONS(3254),
    [sym_private_property_identifier] = ACTIONS(3254),
    [sym_this] = ACTIONS(3254),
    [sym_super] = ACTIONS(3254),
    [sym_true] = ACTIONS(3254),
    [sym_false] = ACTIONS(3254),
    [sym_null] = ACTIONS(3254),
    [sym_undefined] = ACTIONS(3254),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_static] = ACTIONS(3254),
    [anon_sym_readonly] = ACTIONS(3254),
    [anon_sym_get] = ACTIONS(3254),
    [anon_sym_set] = ACTIONS(3254),
    [anon_sym_declare] = ACTIONS(3254),
    [anon_sym_public] = ACTIONS(3254),
    [anon_sym_private] = ACTIONS(3254),
    [anon_sym_protected] = ACTIONS(3254),
    [anon_sym_override] = ACTIONS(3254),
    [anon_sym_module] = ACTIONS(3254),
    [anon_sym_any] = ACTIONS(3254),
    [anon_sym_number] = ACTIONS(3254),
    [anon_sym_boolean] = ACTIONS(3254),
    [anon_sym_string] = ACTIONS(3254),
    [anon_sym_symbol] = ACTIONS(3254),
    [anon_sym_object] = ACTIONS(3254),
    [anon_sym_abstract] = ACTIONS(3254),
    [anon_sym_interface] = ACTIONS(3254),
    [anon_sym_enum] = ACTIONS(3254),
    [sym_html_comment] = ACTIONS(5),
  },
  [1089] = {
    [sym_comment] = STATE(1089),
    [sym_identifier] = ACTIONS(3256),
    [anon_sym_export] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_type] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3256),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_typeof] = ACTIONS(3256),
    [anon_sym_import] = ACTIONS(3256),
    [anon_sym_with] = ACTIONS(3256),
    [anon_sym_var] = ACTIONS(3256),
    [anon_sym_let] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_BANG] = ACTIONS(3256),
    [anon_sym_else] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3256),
    [anon_sym_await] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_debugger] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_yield] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_LTtemplate_GT] = ACTIONS(3256),
    [anon_sym_DQUOTE] = ACTIONS(3256),
    [anon_sym_SQUOTE] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_async] = ACTIONS(3256),
    [anon_sym_function] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_TILDE] = ACTIONS(3256),
    [anon_sym_void] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_PLUS_PLUS] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3256),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3256),
    [sym_number] = ACTIONS(3256),
    [sym_private_property_identifier] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
    [sym_super] = ACTIONS(3256),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [sym_null] = ACTIONS(3256),
    [sym_undefined] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_readonly] = ACTIONS(3256),
    [anon_sym_get] = ACTIONS(3256),
    [anon_sym_set] = ACTIONS(3256),
    [anon_sym_declare] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_protected] = ACTIONS(3256),
    [anon_sym_override] = ACTIONS(3256),
    [anon_sym_module] = ACTIONS(3256),
    [anon_sym_any] = ACTIONS(3256),
    [anon_sym_number] = ACTIONS(3256),
    [anon_sym_boolean] = ACTIONS(3256),
    [anon_sym_string] = ACTIONS(3256),
    [anon_sym_symbol] = ACTIONS(3256),
    [anon_sym_object] = ACTIONS(3256),
    [anon_sym_abstract] = ACTIONS(3256),
    [anon_sym_interface] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [sym_html_comment] = ACTIONS(5),
  },
  [1090] = {
    [sym_comment] = STATE(1090),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_export] = ACTIONS(3258),
    [anon_sym_default] = ACTIONS(3258),
    [anon_sym_type] = ACTIONS(3258),
    [anon_sym_namespace] = ACTIONS(3258),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_typeof] = ACTIONS(3258),
    [anon_sym_import] = ACTIONS(3258),
    [anon_sym_with] = ACTIONS(3258),
    [anon_sym_var] = ACTIONS(3258),
    [anon_sym_let] = ACTIONS(3258),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_else] = ACTIONS(3258),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_switch] = ACTIONS(3258),
    [anon_sym_for] = ACTIONS(3258),
    [anon_sym_LPAREN] = ACTIONS(3258),
    [anon_sym_await] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3258),
    [anon_sym_do] = ACTIONS(3258),
    [anon_sym_try] = ACTIONS(3258),
    [anon_sym_break] = ACTIONS(3258),
    [anon_sym_continue] = ACTIONS(3258),
    [anon_sym_debugger] = ACTIONS(3258),
    [anon_sym_return] = ACTIONS(3258),
    [anon_sym_throw] = ACTIONS(3258),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_case] = ACTIONS(3258),
    [anon_sym_yield] = ACTIONS(3258),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_LTtemplate_GT] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3258),
    [anon_sym_async] = ACTIONS(3258),
    [anon_sym_function] = ACTIONS(3258),
    [anon_sym_new] = ACTIONS(3258),
    [anon_sym_using] = ACTIONS(3258),
    [anon_sym_PLUS] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3258),
    [anon_sym_SLASH] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_void] = ACTIONS(3258),
    [anon_sym_delete] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3258),
    [sym_number] = ACTIONS(3258),
    [sym_private_property_identifier] = ACTIONS(3258),
    [sym_this] = ACTIONS(3258),
    [sym_super] = ACTIONS(3258),
    [sym_true] = ACTIONS(3258),
    [sym_false] = ACTIONS(3258),
    [sym_null] = ACTIONS(3258),
    [sym_undefined] = ACTIONS(3258),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_static] = ACTIONS(3258),
    [anon_sym_readonly] = ACTIONS(3258),
    [anon_sym_get] = ACTIONS(3258),
    [anon_sym_set] = ACTIONS(3258),
    [anon_sym_declare] = ACTIONS(3258),
    [anon_sym_public] = ACTIONS(3258),
    [anon_sym_private] = ACTIONS(3258),
    [anon_sym_protected] = ACTIONS(3258),
    [anon_sym_override] = ACTIONS(3258),
    [anon_sym_module] = ACTIONS(3258),
    [anon_sym_any] = ACTIONS(3258),
    [anon_sym_number] = ACTIONS(3258),
    [anon_sym_boolean] = ACTIONS(3258),
    [anon_sym_string] = ACTIONS(3258),
    [anon_sym_symbol] = ACTIONS(3258),
    [anon_sym_object] = ACTIONS(3258),
    [anon_sym_abstract] = ACTIONS(3258),
    [anon_sym_interface] = ACTIONS(3258),
    [anon_sym_enum] = ACTIONS(3258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1091] = {
    [sym_comment] = STATE(1091),
    [sym_identifier] = ACTIONS(3260),
    [anon_sym_export] = ACTIONS(3260),
    [anon_sym_default] = ACTIONS(3260),
    [anon_sym_type] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3260),
    [anon_sym_RBRACE] = ACTIONS(3260),
    [anon_sym_typeof] = ACTIONS(3260),
    [anon_sym_import] = ACTIONS(3260),
    [anon_sym_with] = ACTIONS(3260),
    [anon_sym_var] = ACTIONS(3260),
    [anon_sym_let] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_BANG] = ACTIONS(3260),
    [anon_sym_else] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_LPAREN] = ACTIONS(3260),
    [anon_sym_await] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_debugger] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_yield] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_LTtemplate_GT] = ACTIONS(3260),
    [anon_sym_DQUOTE] = ACTIONS(3260),
    [anon_sym_SQUOTE] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_async] = ACTIONS(3260),
    [anon_sym_function] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_SLASH] = ACTIONS(3260),
    [anon_sym_LT] = ACTIONS(3260),
    [anon_sym_TILDE] = ACTIONS(3260),
    [anon_sym_void] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_PLUS_PLUS] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3260),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3260),
    [sym_number] = ACTIONS(3260),
    [sym_private_property_identifier] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
    [sym_super] = ACTIONS(3260),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [sym_null] = ACTIONS(3260),
    [sym_undefined] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_readonly] = ACTIONS(3260),
    [anon_sym_get] = ACTIONS(3260),
    [anon_sym_set] = ACTIONS(3260),
    [anon_sym_declare] = ACTIONS(3260),
    [anon_sym_public] = ACTIONS(3260),
    [anon_sym_private] = ACTIONS(3260),
    [anon_sym_protected] = ACTIONS(3260),
    [anon_sym_override] = ACTIONS(3260),
    [anon_sym_module] = ACTIONS(3260),
    [anon_sym_any] = ACTIONS(3260),
    [anon_sym_number] = ACTIONS(3260),
    [anon_sym_boolean] = ACTIONS(3260),
    [anon_sym_string] = ACTIONS(3260),
    [anon_sym_symbol] = ACTIONS(3260),
    [anon_sym_object] = ACTIONS(3260),
    [anon_sym_abstract] = ACTIONS(3260),
    [anon_sym_interface] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [sym_html_comment] = ACTIONS(5),
  },
  [1092] = {
    [sym_comment] = STATE(1092),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_export] = ACTIONS(3262),
    [anon_sym_default] = ACTIONS(3262),
    [anon_sym_type] = ACTIONS(3262),
    [anon_sym_namespace] = ACTIONS(3262),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_typeof] = ACTIONS(3262),
    [anon_sym_import] = ACTIONS(3262),
    [anon_sym_with] = ACTIONS(3262),
    [anon_sym_var] = ACTIONS(3262),
    [anon_sym_let] = ACTIONS(3262),
    [anon_sym_const] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_else] = ACTIONS(3262),
    [anon_sym_if] = ACTIONS(3262),
    [anon_sym_switch] = ACTIONS(3262),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_LPAREN] = ACTIONS(3262),
    [anon_sym_await] = ACTIONS(3262),
    [anon_sym_while] = ACTIONS(3262),
    [anon_sym_do] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3262),
    [anon_sym_break] = ACTIONS(3262),
    [anon_sym_continue] = ACTIONS(3262),
    [anon_sym_debugger] = ACTIONS(3262),
    [anon_sym_return] = ACTIONS(3262),
    [anon_sym_throw] = ACTIONS(3262),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym_case] = ACTIONS(3262),
    [anon_sym_yield] = ACTIONS(3262),
    [anon_sym_LBRACK] = ACTIONS(3262),
    [anon_sym_LTtemplate_GT] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_async] = ACTIONS(3262),
    [anon_sym_function] = ACTIONS(3262),
    [anon_sym_new] = ACTIONS(3262),
    [anon_sym_using] = ACTIONS(3262),
    [anon_sym_PLUS] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3262),
    [anon_sym_SLASH] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_void] = ACTIONS(3262),
    [anon_sym_delete] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3262),
    [sym_number] = ACTIONS(3262),
    [sym_private_property_identifier] = ACTIONS(3262),
    [sym_this] = ACTIONS(3262),
    [sym_super] = ACTIONS(3262),
    [sym_true] = ACTIONS(3262),
    [sym_false] = ACTIONS(3262),
    [sym_null] = ACTIONS(3262),
    [sym_undefined] = ACTIONS(3262),
    [anon_sym_AT] = ACTIONS(3262),
    [anon_sym_static] = ACTIONS(3262),
    [anon_sym_readonly] = ACTIONS(3262),
    [anon_sym_get] = ACTIONS(3262),
    [anon_sym_set] = ACTIONS(3262),
    [anon_sym_declare] = ACTIONS(3262),
    [anon_sym_public] = ACTIONS(3262),
    [anon_sym_private] = ACTIONS(3262),
    [anon_sym_protected] = ACTIONS(3262),
    [anon_sym_override] = ACTIONS(3262),
    [anon_sym_module] = ACTIONS(3262),
    [anon_sym_any] = ACTIONS(3262),
    [anon_sym_number] = ACTIONS(3262),
    [anon_sym_boolean] = ACTIONS(3262),
    [anon_sym_string] = ACTIONS(3262),
    [anon_sym_symbol] = ACTIONS(3262),
    [anon_sym_object] = ACTIONS(3262),
    [anon_sym_abstract] = ACTIONS(3262),
    [anon_sym_interface] = ACTIONS(3262),
    [anon_sym_enum] = ACTIONS(3262),
    [sym_html_comment] = ACTIONS(5),
  },
  [1093] = {
    [sym_comment] = STATE(1093),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1094] = {
    [sym_comment] = STATE(1094),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1095] = {
    [sym_comment] = STATE(1095),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1096] = {
    [sym_comment] = STATE(1096),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1097] = {
    [sym_comment] = STATE(1097),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1098] = {
    [sym_comment] = STATE(1098),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1099] = {
    [sym_comment] = STATE(1099),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_export] = ACTIONS(3266),
    [anon_sym_default] = ACTIONS(3266),
    [anon_sym_type] = ACTIONS(3266),
    [anon_sym_namespace] = ACTIONS(3266),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_typeof] = ACTIONS(3266),
    [anon_sym_import] = ACTIONS(3266),
    [anon_sym_with] = ACTIONS(3266),
    [anon_sym_var] = ACTIONS(3266),
    [anon_sym_let] = ACTIONS(3266),
    [anon_sym_const] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_else] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_switch] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_await] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_do] = ACTIONS(3266),
    [anon_sym_try] = ACTIONS(3266),
    [anon_sym_break] = ACTIONS(3266),
    [anon_sym_continue] = ACTIONS(3266),
    [anon_sym_debugger] = ACTIONS(3266),
    [anon_sym_return] = ACTIONS(3266),
    [anon_sym_throw] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_case] = ACTIONS(3266),
    [anon_sym_yield] = ACTIONS(3266),
    [anon_sym_LBRACK] = ACTIONS(3266),
    [anon_sym_LTtemplate_GT] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_class] = ACTIONS(3266),
    [anon_sym_async] = ACTIONS(3266),
    [anon_sym_function] = ACTIONS(3266),
    [anon_sym_new] = ACTIONS(3266),
    [anon_sym_using] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3266),
    [anon_sym_SLASH] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_void] = ACTIONS(3266),
    [anon_sym_delete] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3266),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [sym_this] = ACTIONS(3266),
    [sym_super] = ACTIONS(3266),
    [sym_true] = ACTIONS(3266),
    [sym_false] = ACTIONS(3266),
    [sym_null] = ACTIONS(3266),
    [sym_undefined] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3266),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_readonly] = ACTIONS(3266),
    [anon_sym_get] = ACTIONS(3266),
    [anon_sym_set] = ACTIONS(3266),
    [anon_sym_declare] = ACTIONS(3266),
    [anon_sym_public] = ACTIONS(3266),
    [anon_sym_private] = ACTIONS(3266),
    [anon_sym_protected] = ACTIONS(3266),
    [anon_sym_override] = ACTIONS(3266),
    [anon_sym_module] = ACTIONS(3266),
    [anon_sym_any] = ACTIONS(3266),
    [anon_sym_number] = ACTIONS(3266),
    [anon_sym_boolean] = ACTIONS(3266),
    [anon_sym_string] = ACTIONS(3266),
    [anon_sym_symbol] = ACTIONS(3266),
    [anon_sym_object] = ACTIONS(3266),
    [anon_sym_abstract] = ACTIONS(3266),
    [anon_sym_interface] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1100] = {
    [sym_comment] = STATE(1100),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1101] = {
    [sym_comment] = STATE(1101),
    [sym_identifier] = ACTIONS(3268),
    [anon_sym_export] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_type] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3268),
    [anon_sym_RBRACE] = ACTIONS(3268),
    [anon_sym_typeof] = ACTIONS(3268),
    [anon_sym_import] = ACTIONS(3268),
    [anon_sym_with] = ACTIONS(3268),
    [anon_sym_var] = ACTIONS(3268),
    [anon_sym_let] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_BANG] = ACTIONS(3268),
    [anon_sym_else] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_LPAREN] = ACTIONS(3268),
    [anon_sym_await] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_debugger] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_yield] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_LTtemplate_GT] = ACTIONS(3268),
    [anon_sym_DQUOTE] = ACTIONS(3268),
    [anon_sym_SQUOTE] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_async] = ACTIONS(3268),
    [anon_sym_function] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_TILDE] = ACTIONS(3268),
    [anon_sym_void] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_PLUS_PLUS] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3268),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3268),
    [sym_number] = ACTIONS(3268),
    [sym_private_property_identifier] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
    [sym_super] = ACTIONS(3268),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [sym_null] = ACTIONS(3268),
    [sym_undefined] = ACTIONS(3268),
    [anon_sym_AT] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_readonly] = ACTIONS(3268),
    [anon_sym_get] = ACTIONS(3268),
    [anon_sym_set] = ACTIONS(3268),
    [anon_sym_declare] = ACTIONS(3268),
    [anon_sym_public] = ACTIONS(3268),
    [anon_sym_private] = ACTIONS(3268),
    [anon_sym_protected] = ACTIONS(3268),
    [anon_sym_override] = ACTIONS(3268),
    [anon_sym_module] = ACTIONS(3268),
    [anon_sym_any] = ACTIONS(3268),
    [anon_sym_number] = ACTIONS(3268),
    [anon_sym_boolean] = ACTIONS(3268),
    [anon_sym_string] = ACTIONS(3268),
    [anon_sym_symbol] = ACTIONS(3268),
    [anon_sym_object] = ACTIONS(3268),
    [anon_sym_abstract] = ACTIONS(3268),
    [anon_sym_interface] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [sym_html_comment] = ACTIONS(5),
  },
  [1102] = {
    [sym_comment] = STATE(1102),
    [sym_identifier] = ACTIONS(3270),
    [anon_sym_export] = ACTIONS(3270),
    [anon_sym_default] = ACTIONS(3270),
    [anon_sym_type] = ACTIONS(3270),
    [anon_sym_namespace] = ACTIONS(3270),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_typeof] = ACTIONS(3270),
    [anon_sym_import] = ACTIONS(3270),
    [anon_sym_with] = ACTIONS(3270),
    [anon_sym_var] = ACTIONS(3270),
    [anon_sym_let] = ACTIONS(3270),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_else] = ACTIONS(3270),
    [anon_sym_if] = ACTIONS(3270),
    [anon_sym_switch] = ACTIONS(3270),
    [anon_sym_for] = ACTIONS(3270),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_await] = ACTIONS(3270),
    [anon_sym_while] = ACTIONS(3270),
    [anon_sym_do] = ACTIONS(3270),
    [anon_sym_try] = ACTIONS(3270),
    [anon_sym_break] = ACTIONS(3270),
    [anon_sym_continue] = ACTIONS(3270),
    [anon_sym_debugger] = ACTIONS(3270),
    [anon_sym_return] = ACTIONS(3270),
    [anon_sym_throw] = ACTIONS(3270),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym_case] = ACTIONS(3270),
    [anon_sym_yield] = ACTIONS(3270),
    [anon_sym_LBRACK] = ACTIONS(3270),
    [anon_sym_LTtemplate_GT] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_async] = ACTIONS(3270),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_new] = ACTIONS(3270),
    [anon_sym_using] = ACTIONS(3270),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_SLASH] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_void] = ACTIONS(3270),
    [anon_sym_delete] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3270),
    [sym_number] = ACTIONS(3270),
    [sym_private_property_identifier] = ACTIONS(3270),
    [sym_this] = ACTIONS(3270),
    [sym_super] = ACTIONS(3270),
    [sym_true] = ACTIONS(3270),
    [sym_false] = ACTIONS(3270),
    [sym_null] = ACTIONS(3270),
    [sym_undefined] = ACTIONS(3270),
    [anon_sym_AT] = ACTIONS(3270),
    [anon_sym_static] = ACTIONS(3270),
    [anon_sym_readonly] = ACTIONS(3270),
    [anon_sym_get] = ACTIONS(3270),
    [anon_sym_set] = ACTIONS(3270),
    [anon_sym_declare] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3270),
    [anon_sym_private] = ACTIONS(3270),
    [anon_sym_protected] = ACTIONS(3270),
    [anon_sym_override] = ACTIONS(3270),
    [anon_sym_module] = ACTIONS(3270),
    [anon_sym_any] = ACTIONS(3270),
    [anon_sym_number] = ACTIONS(3270),
    [anon_sym_boolean] = ACTIONS(3270),
    [anon_sym_string] = ACTIONS(3270),
    [anon_sym_symbol] = ACTIONS(3270),
    [anon_sym_object] = ACTIONS(3270),
    [anon_sym_abstract] = ACTIONS(3270),
    [anon_sym_interface] = ACTIONS(3270),
    [anon_sym_enum] = ACTIONS(3270),
    [sym_html_comment] = ACTIONS(5),
  },
  [1103] = {
    [sym_comment] = STATE(1103),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_export] = ACTIONS(3272),
    [anon_sym_default] = ACTIONS(3272),
    [anon_sym_type] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_RBRACE] = ACTIONS(3272),
    [anon_sym_typeof] = ACTIONS(3272),
    [anon_sym_import] = ACTIONS(3272),
    [anon_sym_with] = ACTIONS(3272),
    [anon_sym_var] = ACTIONS(3272),
    [anon_sym_let] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_BANG] = ACTIONS(3272),
    [anon_sym_else] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [anon_sym_await] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_debugger] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_case] = ACTIONS(3272),
    [anon_sym_yield] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_LTtemplate_GT] = ACTIONS(3272),
    [anon_sym_DQUOTE] = ACTIONS(3272),
    [anon_sym_SQUOTE] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_async] = ACTIONS(3272),
    [anon_sym_function] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_TILDE] = ACTIONS(3272),
    [anon_sym_void] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3272),
    [sym_number] = ACTIONS(3272),
    [sym_private_property_identifier] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
    [sym_super] = ACTIONS(3272),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [sym_null] = ACTIONS(3272),
    [sym_undefined] = ACTIONS(3272),
    [anon_sym_AT] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_readonly] = ACTIONS(3272),
    [anon_sym_get] = ACTIONS(3272),
    [anon_sym_set] = ACTIONS(3272),
    [anon_sym_declare] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_override] = ACTIONS(3272),
    [anon_sym_module] = ACTIONS(3272),
    [anon_sym_any] = ACTIONS(3272),
    [anon_sym_number] = ACTIONS(3272),
    [anon_sym_boolean] = ACTIONS(3272),
    [anon_sym_string] = ACTIONS(3272),
    [anon_sym_symbol] = ACTIONS(3272),
    [anon_sym_object] = ACTIONS(3272),
    [anon_sym_abstract] = ACTIONS(3272),
    [anon_sym_interface] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [sym_html_comment] = ACTIONS(5),
  },
  [1104] = {
    [sym_comment] = STATE(1104),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1105] = {
    [sym_comment] = STATE(1105),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1106] = {
    [sym_comment] = STATE(1106),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2253),
    [anon_sym_default] = ACTIONS(2253),
    [anon_sym_type] = ACTIONS(2253),
    [anon_sym_namespace] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_typeof] = ACTIONS(2253),
    [anon_sym_import] = ACTIONS(2253),
    [anon_sym_with] = ACTIONS(2253),
    [anon_sym_var] = ACTIONS(2253),
    [anon_sym_let] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_else] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_switch] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_debugger] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_throw] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_case] = ACTIONS(2253),
    [anon_sym_yield] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LTtemplate_GT] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(2253),
    [anon_sym_SQUOTE] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2253),
    [anon_sym_using] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_SLASH] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_void] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [sym_private_property_identifier] = ACTIONS(2253),
    [sym_this] = ACTIONS(2253),
    [sym_super] = ACTIONS(2253),
    [sym_true] = ACTIONS(2253),
    [sym_false] = ACTIONS(2253),
    [sym_null] = ACTIONS(2253),
    [sym_undefined] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_static] = ACTIONS(2253),
    [anon_sym_readonly] = ACTIONS(2253),
    [anon_sym_get] = ACTIONS(2253),
    [anon_sym_set] = ACTIONS(2253),
    [anon_sym_declare] = ACTIONS(2253),
    [anon_sym_public] = ACTIONS(2253),
    [anon_sym_private] = ACTIONS(2253),
    [anon_sym_protected] = ACTIONS(2253),
    [anon_sym_override] = ACTIONS(2253),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_any] = ACTIONS(2253),
    [anon_sym_number] = ACTIONS(2253),
    [anon_sym_boolean] = ACTIONS(2253),
    [anon_sym_string] = ACTIONS(2253),
    [anon_sym_symbol] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2253),
    [anon_sym_interface] = ACTIONS(2253),
    [anon_sym_enum] = ACTIONS(2253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1107] = {
    [sym_comment] = STATE(1107),
    [sym_identifier] = ACTIONS(3274),
    [anon_sym_export] = ACTIONS(3274),
    [anon_sym_default] = ACTIONS(3274),
    [anon_sym_type] = ACTIONS(3274),
    [anon_sym_namespace] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_typeof] = ACTIONS(3274),
    [anon_sym_import] = ACTIONS(3274),
    [anon_sym_with] = ACTIONS(3274),
    [anon_sym_var] = ACTIONS(3274),
    [anon_sym_let] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_BANG] = ACTIONS(3274),
    [anon_sym_else] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(3274),
    [anon_sym_await] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_try] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_debugger] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_throw] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym_case] = ACTIONS(3274),
    [anon_sym_yield] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_LTtemplate_GT] = ACTIONS(3274),
    [anon_sym_DQUOTE] = ACTIONS(3274),
    [anon_sym_SQUOTE] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_async] = ACTIONS(3274),
    [anon_sym_function] = ACTIONS(3274),
    [anon_sym_new] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_SLASH] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3274),
    [anon_sym_TILDE] = ACTIONS(3274),
    [anon_sym_void] = ACTIONS(3274),
    [anon_sym_delete] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3274),
    [sym_number] = ACTIONS(3274),
    [sym_private_property_identifier] = ACTIONS(3274),
    [sym_this] = ACTIONS(3274),
    [sym_super] = ACTIONS(3274),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [sym_null] = ACTIONS(3274),
    [sym_undefined] = ACTIONS(3274),
    [anon_sym_AT] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_readonly] = ACTIONS(3274),
    [anon_sym_get] = ACTIONS(3274),
    [anon_sym_set] = ACTIONS(3274),
    [anon_sym_declare] = ACTIONS(3274),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_override] = ACTIONS(3274),
    [anon_sym_module] = ACTIONS(3274),
    [anon_sym_any] = ACTIONS(3274),
    [anon_sym_number] = ACTIONS(3274),
    [anon_sym_boolean] = ACTIONS(3274),
    [anon_sym_string] = ACTIONS(3274),
    [anon_sym_symbol] = ACTIONS(3274),
    [anon_sym_object] = ACTIONS(3274),
    [anon_sym_abstract] = ACTIONS(3274),
    [anon_sym_interface] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [sym_html_comment] = ACTIONS(5),
  },
  [1108] = {
    [sym_comment] = STATE(1108),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_default] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_else] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_case] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1109] = {
    [sym_comment] = STATE(1109),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_default] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_else] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_case] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1110] = {
    [sym_comment] = STATE(1110),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1111] = {
    [sym_comment] = STATE(1111),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_export] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_type] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_typeof] = ACTIONS(3278),
    [anon_sym_import] = ACTIONS(3278),
    [anon_sym_with] = ACTIONS(3278),
    [anon_sym_var] = ACTIONS(3278),
    [anon_sym_let] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_BANG] = ACTIONS(3278),
    [anon_sym_else] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_await] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_debugger] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_yield] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_LTtemplate_GT] = ACTIONS(3278),
    [anon_sym_DQUOTE] = ACTIONS(3278),
    [anon_sym_SQUOTE] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_async] = ACTIONS(3278),
    [anon_sym_function] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_SLASH] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_void] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3278),
    [sym_number] = ACTIONS(3278),
    [sym_private_property_identifier] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
    [sym_super] = ACTIONS(3278),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [sym_null] = ACTIONS(3278),
    [sym_undefined] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_readonly] = ACTIONS(3278),
    [anon_sym_get] = ACTIONS(3278),
    [anon_sym_set] = ACTIONS(3278),
    [anon_sym_declare] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_override] = ACTIONS(3278),
    [anon_sym_module] = ACTIONS(3278),
    [anon_sym_any] = ACTIONS(3278),
    [anon_sym_number] = ACTIONS(3278),
    [anon_sym_boolean] = ACTIONS(3278),
    [anon_sym_string] = ACTIONS(3278),
    [anon_sym_symbol] = ACTIONS(3278),
    [anon_sym_object] = ACTIONS(3278),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_interface] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [sym_html_comment] = ACTIONS(5),
  },
  [1112] = {
    [sym_comment] = STATE(1112),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1113] = {
    [sym_comment] = STATE(1113),
    [sym_identifier] = ACTIONS(3280),
    [anon_sym_export] = ACTIONS(3280),
    [anon_sym_default] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_typeof] = ACTIONS(3280),
    [anon_sym_import] = ACTIONS(3280),
    [anon_sym_with] = ACTIONS(3280),
    [anon_sym_var] = ACTIONS(3280),
    [anon_sym_let] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_else] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_LPAREN] = ACTIONS(3280),
    [anon_sym_await] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_debugger] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym_case] = ACTIONS(3280),
    [anon_sym_yield] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_LTtemplate_GT] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_async] = ACTIONS(3280),
    [anon_sym_function] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_void] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3280),
    [sym_number] = ACTIONS(3280),
    [sym_private_property_identifier] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
    [sym_super] = ACTIONS(3280),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [sym_null] = ACTIONS(3280),
    [sym_undefined] = ACTIONS(3280),
    [anon_sym_AT] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_readonly] = ACTIONS(3280),
    [anon_sym_get] = ACTIONS(3280),
    [anon_sym_set] = ACTIONS(3280),
    [anon_sym_declare] = ACTIONS(3280),
    [anon_sym_public] = ACTIONS(3280),
    [anon_sym_private] = ACTIONS(3280),
    [anon_sym_protected] = ACTIONS(3280),
    [anon_sym_override] = ACTIONS(3280),
    [anon_sym_module] = ACTIONS(3280),
    [anon_sym_any] = ACTIONS(3280),
    [anon_sym_number] = ACTIONS(3280),
    [anon_sym_boolean] = ACTIONS(3280),
    [anon_sym_string] = ACTIONS(3280),
    [anon_sym_symbol] = ACTIONS(3280),
    [anon_sym_object] = ACTIONS(3280),
    [anon_sym_abstract] = ACTIONS(3280),
    [anon_sym_interface] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1114] = {
    [sym_comment] = STATE(1114),
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_export] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_type] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_typeof] = ACTIONS(3282),
    [anon_sym_import] = ACTIONS(3282),
    [anon_sym_with] = ACTIONS(3282),
    [anon_sym_var] = ACTIONS(3282),
    [anon_sym_let] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_else] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_await] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_debugger] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_yield] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_LTtemplate_GT] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_async] = ACTIONS(3282),
    [anon_sym_function] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_SLASH] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_void] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3282),
    [sym_number] = ACTIONS(3282),
    [sym_private_property_identifier] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
    [sym_super] = ACTIONS(3282),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_undefined] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_readonly] = ACTIONS(3282),
    [anon_sym_get] = ACTIONS(3282),
    [anon_sym_set] = ACTIONS(3282),
    [anon_sym_declare] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_module] = ACTIONS(3282),
    [anon_sym_any] = ACTIONS(3282),
    [anon_sym_number] = ACTIONS(3282),
    [anon_sym_boolean] = ACTIONS(3282),
    [anon_sym_string] = ACTIONS(3282),
    [anon_sym_symbol] = ACTIONS(3282),
    [anon_sym_object] = ACTIONS(3282),
    [anon_sym_abstract] = ACTIONS(3282),
    [anon_sym_interface] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [sym_html_comment] = ACTIONS(5),
  },
  [1115] = {
    [sym_comment] = STATE(1115),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1116] = {
    [sym_comment] = STATE(1116),
    [sym_identifier] = ACTIONS(3284),
    [anon_sym_export] = ACTIONS(3284),
    [anon_sym_default] = ACTIONS(3284),
    [anon_sym_type] = ACTIONS(3284),
    [anon_sym_namespace] = ACTIONS(3284),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_typeof] = ACTIONS(3284),
    [anon_sym_import] = ACTIONS(3284),
    [anon_sym_with] = ACTIONS(3284),
    [anon_sym_var] = ACTIONS(3284),
    [anon_sym_let] = ACTIONS(3284),
    [anon_sym_const] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_else] = ACTIONS(3284),
    [anon_sym_if] = ACTIONS(3284),
    [anon_sym_switch] = ACTIONS(3284),
    [anon_sym_for] = ACTIONS(3284),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [anon_sym_await] = ACTIONS(3284),
    [anon_sym_while] = ACTIONS(3284),
    [anon_sym_do] = ACTIONS(3284),
    [anon_sym_try] = ACTIONS(3284),
    [anon_sym_break] = ACTIONS(3284),
    [anon_sym_continue] = ACTIONS(3284),
    [anon_sym_debugger] = ACTIONS(3284),
    [anon_sym_return] = ACTIONS(3284),
    [anon_sym_throw] = ACTIONS(3284),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym_case] = ACTIONS(3284),
    [anon_sym_yield] = ACTIONS(3284),
    [anon_sym_LBRACK] = ACTIONS(3284),
    [anon_sym_LTtemplate_GT] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_class] = ACTIONS(3284),
    [anon_sym_async] = ACTIONS(3284),
    [anon_sym_function] = ACTIONS(3284),
    [anon_sym_new] = ACTIONS(3284),
    [anon_sym_using] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_void] = ACTIONS(3284),
    [anon_sym_delete] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3284),
    [sym_number] = ACTIONS(3284),
    [sym_private_property_identifier] = ACTIONS(3284),
    [sym_this] = ACTIONS(3284),
    [sym_super] = ACTIONS(3284),
    [sym_true] = ACTIONS(3284),
    [sym_false] = ACTIONS(3284),
    [sym_null] = ACTIONS(3284),
    [sym_undefined] = ACTIONS(3284),
    [anon_sym_AT] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3284),
    [anon_sym_readonly] = ACTIONS(3284),
    [anon_sym_get] = ACTIONS(3284),
    [anon_sym_set] = ACTIONS(3284),
    [anon_sym_declare] = ACTIONS(3284),
    [anon_sym_public] = ACTIONS(3284),
    [anon_sym_private] = ACTIONS(3284),
    [anon_sym_protected] = ACTIONS(3284),
    [anon_sym_override] = ACTIONS(3284),
    [anon_sym_module] = ACTIONS(3284),
    [anon_sym_any] = ACTIONS(3284),
    [anon_sym_number] = ACTIONS(3284),
    [anon_sym_boolean] = ACTIONS(3284),
    [anon_sym_string] = ACTIONS(3284),
    [anon_sym_symbol] = ACTIONS(3284),
    [anon_sym_object] = ACTIONS(3284),
    [anon_sym_abstract] = ACTIONS(3284),
    [anon_sym_interface] = ACTIONS(3284),
    [anon_sym_enum] = ACTIONS(3284),
    [sym_html_comment] = ACTIONS(5),
  },
  [1117] = {
    [sym_comment] = STATE(1117),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_export] = ACTIONS(3286),
    [anon_sym_default] = ACTIONS(3286),
    [anon_sym_type] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3286),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_typeof] = ACTIONS(3286),
    [anon_sym_import] = ACTIONS(3286),
    [anon_sym_with] = ACTIONS(3286),
    [anon_sym_var] = ACTIONS(3286),
    [anon_sym_let] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_BANG] = ACTIONS(3286),
    [anon_sym_else] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_LPAREN] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_debugger] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_case] = ACTIONS(3286),
    [anon_sym_yield] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_LTtemplate_GT] = ACTIONS(3286),
    [anon_sym_DQUOTE] = ACTIONS(3286),
    [anon_sym_SQUOTE] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_async] = ACTIONS(3286),
    [anon_sym_function] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_SLASH] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3286),
    [anon_sym_TILDE] = ACTIONS(3286),
    [anon_sym_void] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3286),
    [sym_number] = ACTIONS(3286),
    [sym_private_property_identifier] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
    [sym_super] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_null] = ACTIONS(3286),
    [sym_undefined] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_readonly] = ACTIONS(3286),
    [anon_sym_get] = ACTIONS(3286),
    [anon_sym_set] = ACTIONS(3286),
    [anon_sym_declare] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3286),
    [anon_sym_private] = ACTIONS(3286),
    [anon_sym_protected] = ACTIONS(3286),
    [anon_sym_override] = ACTIONS(3286),
    [anon_sym_module] = ACTIONS(3286),
    [anon_sym_any] = ACTIONS(3286),
    [anon_sym_number] = ACTIONS(3286),
    [anon_sym_boolean] = ACTIONS(3286),
    [anon_sym_string] = ACTIONS(3286),
    [anon_sym_symbol] = ACTIONS(3286),
    [anon_sym_object] = ACTIONS(3286),
    [anon_sym_abstract] = ACTIONS(3286),
    [anon_sym_interface] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [sym_html_comment] = ACTIONS(5),
  },
  [1118] = {
    [sym_comment] = STATE(1118),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [1119] = {
    [sym_comment] = STATE(1119),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_default] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_else] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1120] = {
    [sym_comment] = STATE(1120),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1121] = {
    [sym_comment] = STATE(1121),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_default] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_else] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1122] = {
    [sym_comment] = STATE(1122),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1123] = {
    [sym_comment] = STATE(1123),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1124] = {
    [sym_comment] = STATE(1124),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_default] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_else] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1125] = {
    [sym_comment] = STATE(1125),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1126] = {
    [sym_comment] = STATE(1126),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym__automatic_semicolon] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [1127] = {
    [sym_comment] = STATE(1127),
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_export] = ACTIONS(3290),
    [anon_sym_default] = ACTIONS(3290),
    [anon_sym_type] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_typeof] = ACTIONS(3290),
    [anon_sym_import] = ACTIONS(3290),
    [anon_sym_with] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_let] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_else] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_LPAREN] = ACTIONS(3290),
    [anon_sym_await] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_debugger] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_case] = ACTIONS(3290),
    [anon_sym_yield] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_LTtemplate_GT] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_function] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_void] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3290),
    [sym_number] = ACTIONS(3290),
    [sym_private_property_identifier] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
    [sym_super] = ACTIONS(3290),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [sym_null] = ACTIONS(3290),
    [sym_undefined] = ACTIONS(3290),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_get] = ACTIONS(3290),
    [anon_sym_set] = ACTIONS(3290),
    [anon_sym_declare] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_module] = ACTIONS(3290),
    [anon_sym_any] = ACTIONS(3290),
    [anon_sym_number] = ACTIONS(3290),
    [anon_sym_boolean] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_symbol] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [sym_html_comment] = ACTIONS(5),
  },
  [1128] = {
    [sym_comment] = STATE(1128),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1129] = {
    [sym_comment] = STATE(1129),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2233),
    [sym_html_comment] = ACTIONS(5),
  },
  [1130] = {
    [sym_comment] = STATE(1130),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1131] = {
    [sym_comment] = STATE(1131),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1132] = {
    [sym_comment] = STATE(1132),
    [sym_identifier] = ACTIONS(3292),
    [anon_sym_export] = ACTIONS(3292),
    [anon_sym_default] = ACTIONS(3292),
    [anon_sym_type] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_typeof] = ACTIONS(3292),
    [anon_sym_import] = ACTIONS(3292),
    [anon_sym_with] = ACTIONS(3292),
    [anon_sym_var] = ACTIONS(3292),
    [anon_sym_let] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_else] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_await] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_debugger] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym_case] = ACTIONS(3292),
    [anon_sym_yield] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_LTtemplate_GT] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_async] = ACTIONS(3292),
    [anon_sym_function] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_void] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3292),
    [sym_number] = ACTIONS(3292),
    [sym_private_property_identifier] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
    [sym_super] = ACTIONS(3292),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [sym_null] = ACTIONS(3292),
    [sym_undefined] = ACTIONS(3292),
    [anon_sym_AT] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_readonly] = ACTIONS(3292),
    [anon_sym_get] = ACTIONS(3292),
    [anon_sym_set] = ACTIONS(3292),
    [anon_sym_declare] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_protected] = ACTIONS(3292),
    [anon_sym_override] = ACTIONS(3292),
    [anon_sym_module] = ACTIONS(3292),
    [anon_sym_any] = ACTIONS(3292),
    [anon_sym_number] = ACTIONS(3292),
    [anon_sym_boolean] = ACTIONS(3292),
    [anon_sym_string] = ACTIONS(3292),
    [anon_sym_symbol] = ACTIONS(3292),
    [anon_sym_object] = ACTIONS(3292),
    [anon_sym_abstract] = ACTIONS(3292),
    [anon_sym_interface] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1133] = {
    [sym_comment] = STATE(1133),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1134] = {
    [sym_comment] = STATE(1134),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1135] = {
    [sym_comment] = STATE(1135),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1136] = {
    [sym_comment] = STATE(1136),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1137] = {
    [sym_comment] = STATE(1137),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1138] = {
    [sym_comment] = STATE(1138),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1139] = {
    [sym_comment] = STATE(1139),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_export] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_type] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_typeof] = ACTIONS(3296),
    [anon_sym_import] = ACTIONS(3296),
    [anon_sym_with] = ACTIONS(3296),
    [anon_sym_var] = ACTIONS(3296),
    [anon_sym_let] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_else] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3296),
    [anon_sym_await] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_debugger] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_yield] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_LTtemplate_GT] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_function] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_void] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3296),
    [sym_number] = ACTIONS(3296),
    [sym_private_property_identifier] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
    [sym_super] = ACTIONS(3296),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [sym_null] = ACTIONS(3296),
    [sym_undefined] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_readonly] = ACTIONS(3296),
    [anon_sym_get] = ACTIONS(3296),
    [anon_sym_set] = ACTIONS(3296),
    [anon_sym_declare] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_override] = ACTIONS(3296),
    [anon_sym_module] = ACTIONS(3296),
    [anon_sym_any] = ACTIONS(3296),
    [anon_sym_number] = ACTIONS(3296),
    [anon_sym_boolean] = ACTIONS(3296),
    [anon_sym_string] = ACTIONS(3296),
    [anon_sym_symbol] = ACTIONS(3296),
    [anon_sym_object] = ACTIONS(3296),
    [anon_sym_abstract] = ACTIONS(3296),
    [anon_sym_interface] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1140] = {
    [sym_comment] = STATE(1140),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1141] = {
    [sym_comment] = STATE(1141),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1142] = {
    [sym_comment] = STATE(1142),
    [sym_identifier] = ACTIONS(3298),
    [anon_sym_export] = ACTIONS(3298),
    [anon_sym_default] = ACTIONS(3298),
    [anon_sym_type] = ACTIONS(3298),
    [anon_sym_namespace] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_typeof] = ACTIONS(3298),
    [anon_sym_import] = ACTIONS(3298),
    [anon_sym_with] = ACTIONS(3298),
    [anon_sym_var] = ACTIONS(3298),
    [anon_sym_let] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_else] = ACTIONS(3298),
    [anon_sym_if] = ACTIONS(3298),
    [anon_sym_switch] = ACTIONS(3298),
    [anon_sym_for] = ACTIONS(3298),
    [anon_sym_LPAREN] = ACTIONS(3298),
    [anon_sym_await] = ACTIONS(3298),
    [anon_sym_while] = ACTIONS(3298),
    [anon_sym_do] = ACTIONS(3298),
    [anon_sym_try] = ACTIONS(3298),
    [anon_sym_break] = ACTIONS(3298),
    [anon_sym_continue] = ACTIONS(3298),
    [anon_sym_debugger] = ACTIONS(3298),
    [anon_sym_return] = ACTIONS(3298),
    [anon_sym_throw] = ACTIONS(3298),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym_case] = ACTIONS(3298),
    [anon_sym_yield] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(3298),
    [anon_sym_LTtemplate_GT] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [anon_sym_class] = ACTIONS(3298),
    [anon_sym_async] = ACTIONS(3298),
    [anon_sym_function] = ACTIONS(3298),
    [anon_sym_new] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3298),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_SLASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_void] = ACTIONS(3298),
    [anon_sym_delete] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3298),
    [sym_number] = ACTIONS(3298),
    [sym_private_property_identifier] = ACTIONS(3298),
    [sym_this] = ACTIONS(3298),
    [sym_super] = ACTIONS(3298),
    [sym_true] = ACTIONS(3298),
    [sym_false] = ACTIONS(3298),
    [sym_null] = ACTIONS(3298),
    [sym_undefined] = ACTIONS(3298),
    [anon_sym_AT] = ACTIONS(3298),
    [anon_sym_static] = ACTIONS(3298),
    [anon_sym_readonly] = ACTIONS(3298),
    [anon_sym_get] = ACTIONS(3298),
    [anon_sym_set] = ACTIONS(3298),
    [anon_sym_declare] = ACTIONS(3298),
    [anon_sym_public] = ACTIONS(3298),
    [anon_sym_private] = ACTIONS(3298),
    [anon_sym_protected] = ACTIONS(3298),
    [anon_sym_override] = ACTIONS(3298),
    [anon_sym_module] = ACTIONS(3298),
    [anon_sym_any] = ACTIONS(3298),
    [anon_sym_number] = ACTIONS(3298),
    [anon_sym_boolean] = ACTIONS(3298),
    [anon_sym_string] = ACTIONS(3298),
    [anon_sym_symbol] = ACTIONS(3298),
    [anon_sym_object] = ACTIONS(3298),
    [anon_sym_abstract] = ACTIONS(3298),
    [anon_sym_interface] = ACTIONS(3298),
    [anon_sym_enum] = ACTIONS(3298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1143] = {
    [sym_comment] = STATE(1143),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_export] = ACTIONS(3300),
    [anon_sym_default] = ACTIONS(3300),
    [anon_sym_type] = ACTIONS(3300),
    [anon_sym_namespace] = ACTIONS(3300),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3300),
    [anon_sym_typeof] = ACTIONS(3300),
    [anon_sym_import] = ACTIONS(3300),
    [anon_sym_with] = ACTIONS(3300),
    [anon_sym_var] = ACTIONS(3300),
    [anon_sym_let] = ACTIONS(3300),
    [anon_sym_const] = ACTIONS(3300),
    [anon_sym_BANG] = ACTIONS(3300),
    [anon_sym_else] = ACTIONS(3300),
    [anon_sym_if] = ACTIONS(3300),
    [anon_sym_switch] = ACTIONS(3300),
    [anon_sym_for] = ACTIONS(3300),
    [anon_sym_LPAREN] = ACTIONS(3300),
    [anon_sym_await] = ACTIONS(3300),
    [anon_sym_while] = ACTIONS(3300),
    [anon_sym_do] = ACTIONS(3300),
    [anon_sym_try] = ACTIONS(3300),
    [anon_sym_break] = ACTIONS(3300),
    [anon_sym_continue] = ACTIONS(3300),
    [anon_sym_debugger] = ACTIONS(3300),
    [anon_sym_return] = ACTIONS(3300),
    [anon_sym_throw] = ACTIONS(3300),
    [anon_sym_SEMI] = ACTIONS(3300),
    [anon_sym_case] = ACTIONS(3300),
    [anon_sym_yield] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_LTtemplate_GT] = ACTIONS(3300),
    [anon_sym_DQUOTE] = ACTIONS(3300),
    [anon_sym_SQUOTE] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_async] = ACTIONS(3300),
    [anon_sym_function] = ACTIONS(3300),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_using] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_void] = ACTIONS(3300),
    [anon_sym_delete] = ACTIONS(3300),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3300),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [sym_this] = ACTIONS(3300),
    [sym_super] = ACTIONS(3300),
    [sym_true] = ACTIONS(3300),
    [sym_false] = ACTIONS(3300),
    [sym_null] = ACTIONS(3300),
    [sym_undefined] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_readonly] = ACTIONS(3300),
    [anon_sym_get] = ACTIONS(3300),
    [anon_sym_set] = ACTIONS(3300),
    [anon_sym_declare] = ACTIONS(3300),
    [anon_sym_public] = ACTIONS(3300),
    [anon_sym_private] = ACTIONS(3300),
    [anon_sym_protected] = ACTIONS(3300),
    [anon_sym_override] = ACTIONS(3300),
    [anon_sym_module] = ACTIONS(3300),
    [anon_sym_any] = ACTIONS(3300),
    [anon_sym_number] = ACTIONS(3300),
    [anon_sym_boolean] = ACTIONS(3300),
    [anon_sym_string] = ACTIONS(3300),
    [anon_sym_symbol] = ACTIONS(3300),
    [anon_sym_object] = ACTIONS(3300),
    [anon_sym_abstract] = ACTIONS(3300),
    [anon_sym_interface] = ACTIONS(3300),
    [anon_sym_enum] = ACTIONS(3300),
    [sym_html_comment] = ACTIONS(5),
  },
  [1144] = {
    [sym_comment] = STATE(1144),
    [sym_identifier] = ACTIONS(3302),
    [anon_sym_export] = ACTIONS(3302),
    [anon_sym_default] = ACTIONS(3302),
    [anon_sym_type] = ACTIONS(3302),
    [anon_sym_namespace] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3302),
    [anon_sym_RBRACE] = ACTIONS(3302),
    [anon_sym_typeof] = ACTIONS(3302),
    [anon_sym_import] = ACTIONS(3302),
    [anon_sym_with] = ACTIONS(3302),
    [anon_sym_var] = ACTIONS(3302),
    [anon_sym_let] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_BANG] = ACTIONS(3302),
    [anon_sym_else] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(3302),
    [anon_sym_switch] = ACTIONS(3302),
    [anon_sym_for] = ACTIONS(3302),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_await] = ACTIONS(3302),
    [anon_sym_while] = ACTIONS(3302),
    [anon_sym_do] = ACTIONS(3302),
    [anon_sym_try] = ACTIONS(3302),
    [anon_sym_break] = ACTIONS(3302),
    [anon_sym_continue] = ACTIONS(3302),
    [anon_sym_debugger] = ACTIONS(3302),
    [anon_sym_return] = ACTIONS(3302),
    [anon_sym_throw] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym_case] = ACTIONS(3302),
    [anon_sym_yield] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_LTtemplate_GT] = ACTIONS(3302),
    [anon_sym_DQUOTE] = ACTIONS(3302),
    [anon_sym_SQUOTE] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_async] = ACTIONS(3302),
    [anon_sym_function] = ACTIONS(3302),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_using] = ACTIONS(3302),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_SLASH] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3302),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_void] = ACTIONS(3302),
    [anon_sym_delete] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3302),
    [sym_number] = ACTIONS(3302),
    [sym_private_property_identifier] = ACTIONS(3302),
    [sym_this] = ACTIONS(3302),
    [sym_super] = ACTIONS(3302),
    [sym_true] = ACTIONS(3302),
    [sym_false] = ACTIONS(3302),
    [sym_null] = ACTIONS(3302),
    [sym_undefined] = ACTIONS(3302),
    [anon_sym_AT] = ACTIONS(3302),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_readonly] = ACTIONS(3302),
    [anon_sym_get] = ACTIONS(3302),
    [anon_sym_set] = ACTIONS(3302),
    [anon_sym_declare] = ACTIONS(3302),
    [anon_sym_public] = ACTIONS(3302),
    [anon_sym_private] = ACTIONS(3302),
    [anon_sym_protected] = ACTIONS(3302),
    [anon_sym_override] = ACTIONS(3302),
    [anon_sym_module] = ACTIONS(3302),
    [anon_sym_any] = ACTIONS(3302),
    [anon_sym_number] = ACTIONS(3302),
    [anon_sym_boolean] = ACTIONS(3302),
    [anon_sym_string] = ACTIONS(3302),
    [anon_sym_symbol] = ACTIONS(3302),
    [anon_sym_object] = ACTIONS(3302),
    [anon_sym_abstract] = ACTIONS(3302),
    [anon_sym_interface] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1145] = {
    [sym_comment] = STATE(1145),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_default] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_case] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2361),
    [sym_html_comment] = ACTIONS(5),
  },
  [1146] = {
    [sym_comment] = STATE(1146),
    [sym_identifier] = ACTIONS(3304),
    [anon_sym_export] = ACTIONS(3304),
    [anon_sym_default] = ACTIONS(3304),
    [anon_sym_type] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_typeof] = ACTIONS(3304),
    [anon_sym_import] = ACTIONS(3304),
    [anon_sym_with] = ACTIONS(3304),
    [anon_sym_var] = ACTIONS(3304),
    [anon_sym_let] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_else] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_await] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_debugger] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym_case] = ACTIONS(3304),
    [anon_sym_yield] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_LTtemplate_GT] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_async] = ACTIONS(3304),
    [anon_sym_function] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_void] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3304),
    [sym_number] = ACTIONS(3304),
    [sym_private_property_identifier] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
    [sym_super] = ACTIONS(3304),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [sym_null] = ACTIONS(3304),
    [sym_undefined] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_readonly] = ACTIONS(3304),
    [anon_sym_get] = ACTIONS(3304),
    [anon_sym_set] = ACTIONS(3304),
    [anon_sym_declare] = ACTIONS(3304),
    [anon_sym_public] = ACTIONS(3304),
    [anon_sym_private] = ACTIONS(3304),
    [anon_sym_protected] = ACTIONS(3304),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_module] = ACTIONS(3304),
    [anon_sym_any] = ACTIONS(3304),
    [anon_sym_number] = ACTIONS(3304),
    [anon_sym_boolean] = ACTIONS(3304),
    [anon_sym_string] = ACTIONS(3304),
    [anon_sym_symbol] = ACTIONS(3304),
    [anon_sym_object] = ACTIONS(3304),
    [anon_sym_abstract] = ACTIONS(3304),
    [anon_sym_interface] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [sym_html_comment] = ACTIONS(5),
  },
  [1147] = {
    [sym_comment] = STATE(1147),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [1148] = {
    [sym_comment] = STATE(1148),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1149] = {
    [sym_comment] = STATE(1149),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1150] = {
    [sym_comment] = STATE(1150),
    [sym_identifier] = ACTIONS(3306),
    [anon_sym_export] = ACTIONS(3306),
    [anon_sym_default] = ACTIONS(3306),
    [anon_sym_type] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3306),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_typeof] = ACTIONS(3306),
    [anon_sym_import] = ACTIONS(3306),
    [anon_sym_with] = ACTIONS(3306),
    [anon_sym_var] = ACTIONS(3306),
    [anon_sym_let] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_BANG] = ACTIONS(3306),
    [anon_sym_else] = ACTIONS(3306),
    [anon_sym_if] = ACTIONS(3306),
    [anon_sym_switch] = ACTIONS(3306),
    [anon_sym_for] = ACTIONS(3306),
    [anon_sym_LPAREN] = ACTIONS(3306),
    [anon_sym_await] = ACTIONS(3306),
    [anon_sym_while] = ACTIONS(3306),
    [anon_sym_do] = ACTIONS(3306),
    [anon_sym_try] = ACTIONS(3306),
    [anon_sym_break] = ACTIONS(3306),
    [anon_sym_continue] = ACTIONS(3306),
    [anon_sym_debugger] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(3306),
    [anon_sym_throw] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym_case] = ACTIONS(3306),
    [anon_sym_yield] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3306),
    [anon_sym_LTtemplate_GT] = ACTIONS(3306),
    [anon_sym_DQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_async] = ACTIONS(3306),
    [anon_sym_function] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3306),
    [anon_sym_void] = ACTIONS(3306),
    [anon_sym_delete] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3306),
    [sym_number] = ACTIONS(3306),
    [sym_private_property_identifier] = ACTIONS(3306),
    [sym_this] = ACTIONS(3306),
    [sym_super] = ACTIONS(3306),
    [sym_true] = ACTIONS(3306),
    [sym_false] = ACTIONS(3306),
    [sym_null] = ACTIONS(3306),
    [sym_undefined] = ACTIONS(3306),
    [anon_sym_AT] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [anon_sym_readonly] = ACTIONS(3306),
    [anon_sym_get] = ACTIONS(3306),
    [anon_sym_set] = ACTIONS(3306),
    [anon_sym_declare] = ACTIONS(3306),
    [anon_sym_public] = ACTIONS(3306),
    [anon_sym_private] = ACTIONS(3306),
    [anon_sym_protected] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3306),
    [anon_sym_module] = ACTIONS(3306),
    [anon_sym_any] = ACTIONS(3306),
    [anon_sym_number] = ACTIONS(3306),
    [anon_sym_boolean] = ACTIONS(3306),
    [anon_sym_string] = ACTIONS(3306),
    [anon_sym_symbol] = ACTIONS(3306),
    [anon_sym_object] = ACTIONS(3306),
    [anon_sym_abstract] = ACTIONS(3306),
    [anon_sym_interface] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [sym_html_comment] = ACTIONS(5),
  },
  [1151] = {
    [sym_comment] = STATE(1151),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [1152] = {
    [sym_comment] = STATE(1152),
    [sym_identifier] = ACTIONS(3308),
    [anon_sym_export] = ACTIONS(3308),
    [anon_sym_default] = ACTIONS(3308),
    [anon_sym_type] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_RBRACE] = ACTIONS(3308),
    [anon_sym_typeof] = ACTIONS(3308),
    [anon_sym_import] = ACTIONS(3308),
    [anon_sym_with] = ACTIONS(3308),
    [anon_sym_var] = ACTIONS(3308),
    [anon_sym_let] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_BANG] = ACTIONS(3308),
    [anon_sym_else] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_LPAREN] = ACTIONS(3308),
    [anon_sym_await] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_debugger] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_yield] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_LTtemplate_GT] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_async] = ACTIONS(3308),
    [anon_sym_function] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_TILDE] = ACTIONS(3308),
    [anon_sym_void] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3308),
    [sym_number] = ACTIONS(3308),
    [sym_private_property_identifier] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
    [sym_super] = ACTIONS(3308),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [sym_null] = ACTIONS(3308),
    [sym_undefined] = ACTIONS(3308),
    [anon_sym_AT] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_readonly] = ACTIONS(3308),
    [anon_sym_get] = ACTIONS(3308),
    [anon_sym_set] = ACTIONS(3308),
    [anon_sym_declare] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_override] = ACTIONS(3308),
    [anon_sym_module] = ACTIONS(3308),
    [anon_sym_any] = ACTIONS(3308),
    [anon_sym_number] = ACTIONS(3308),
    [anon_sym_boolean] = ACTIONS(3308),
    [anon_sym_string] = ACTIONS(3308),
    [anon_sym_symbol] = ACTIONS(3308),
    [anon_sym_object] = ACTIONS(3308),
    [anon_sym_abstract] = ACTIONS(3308),
    [anon_sym_interface] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [sym_html_comment] = ACTIONS(5),
  },
  [1153] = {
    [sym_comment] = STATE(1153),
    [sym_identifier] = ACTIONS(3310),
    [anon_sym_export] = ACTIONS(3310),
    [anon_sym_default] = ACTIONS(3310),
    [anon_sym_type] = ACTIONS(3310),
    [anon_sym_namespace] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_typeof] = ACTIONS(3310),
    [anon_sym_import] = ACTIONS(3310),
    [anon_sym_with] = ACTIONS(3310),
    [anon_sym_var] = ACTIONS(3310),
    [anon_sym_let] = ACTIONS(3310),
    [anon_sym_const] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_else] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3310),
    [anon_sym_switch] = ACTIONS(3310),
    [anon_sym_for] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_await] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(3310),
    [anon_sym_do] = ACTIONS(3310),
    [anon_sym_try] = ACTIONS(3310),
    [anon_sym_break] = ACTIONS(3310),
    [anon_sym_continue] = ACTIONS(3310),
    [anon_sym_debugger] = ACTIONS(3310),
    [anon_sym_return] = ACTIONS(3310),
    [anon_sym_throw] = ACTIONS(3310),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym_case] = ACTIONS(3310),
    [anon_sym_yield] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_LTtemplate_GT] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3310),
    [anon_sym_async] = ACTIONS(3310),
    [anon_sym_function] = ACTIONS(3310),
    [anon_sym_new] = ACTIONS(3310),
    [anon_sym_using] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_SLASH] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_void] = ACTIONS(3310),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3310),
    [sym_number] = ACTIONS(3310),
    [sym_private_property_identifier] = ACTIONS(3310),
    [sym_this] = ACTIONS(3310),
    [sym_super] = ACTIONS(3310),
    [sym_true] = ACTIONS(3310),
    [sym_false] = ACTIONS(3310),
    [sym_null] = ACTIONS(3310),
    [sym_undefined] = ACTIONS(3310),
    [anon_sym_AT] = ACTIONS(3310),
    [anon_sym_static] = ACTIONS(3310),
    [anon_sym_readonly] = ACTIONS(3310),
    [anon_sym_get] = ACTIONS(3310),
    [anon_sym_set] = ACTIONS(3310),
    [anon_sym_declare] = ACTIONS(3310),
    [anon_sym_public] = ACTIONS(3310),
    [anon_sym_private] = ACTIONS(3310),
    [anon_sym_protected] = ACTIONS(3310),
    [anon_sym_override] = ACTIONS(3310),
    [anon_sym_module] = ACTIONS(3310),
    [anon_sym_any] = ACTIONS(3310),
    [anon_sym_number] = ACTIONS(3310),
    [anon_sym_boolean] = ACTIONS(3310),
    [anon_sym_string] = ACTIONS(3310),
    [anon_sym_symbol] = ACTIONS(3310),
    [anon_sym_object] = ACTIONS(3310),
    [anon_sym_abstract] = ACTIONS(3310),
    [anon_sym_interface] = ACTIONS(3310),
    [anon_sym_enum] = ACTIONS(3310),
    [sym_html_comment] = ACTIONS(5),
  },
  [1154] = {
    [sym_comment] = STATE(1154),
    [sym_identifier] = ACTIONS(3312),
    [anon_sym_export] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3312),
    [anon_sym_type] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_RBRACE] = ACTIONS(3312),
    [anon_sym_typeof] = ACTIONS(3312),
    [anon_sym_import] = ACTIONS(3312),
    [anon_sym_with] = ACTIONS(3312),
    [anon_sym_var] = ACTIONS(3312),
    [anon_sym_let] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_else] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3312),
    [anon_sym_await] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_debugger] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_yield] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_LTtemplate_GT] = ACTIONS(3312),
    [anon_sym_DQUOTE] = ACTIONS(3312),
    [anon_sym_SQUOTE] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_async] = ACTIONS(3312),
    [anon_sym_function] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3312),
    [anon_sym_void] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3312),
    [sym_number] = ACTIONS(3312),
    [sym_private_property_identifier] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
    [sym_super] = ACTIONS(3312),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [sym_null] = ACTIONS(3312),
    [sym_undefined] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_readonly] = ACTIONS(3312),
    [anon_sym_get] = ACTIONS(3312),
    [anon_sym_set] = ACTIONS(3312),
    [anon_sym_declare] = ACTIONS(3312),
    [anon_sym_public] = ACTIONS(3312),
    [anon_sym_private] = ACTIONS(3312),
    [anon_sym_protected] = ACTIONS(3312),
    [anon_sym_override] = ACTIONS(3312),
    [anon_sym_module] = ACTIONS(3312),
    [anon_sym_any] = ACTIONS(3312),
    [anon_sym_number] = ACTIONS(3312),
    [anon_sym_boolean] = ACTIONS(3312),
    [anon_sym_string] = ACTIONS(3312),
    [anon_sym_symbol] = ACTIONS(3312),
    [anon_sym_object] = ACTIONS(3312),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_interface] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1155] = {
    [sym_comment] = STATE(1155),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1156] = {
    [sym_comment] = STATE(1156),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2345),
    [sym_html_comment] = ACTIONS(5),
  },
  [1157] = {
    [sym_comment] = STATE(1157),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [1158] = {
    [sym_comment] = STATE(1158),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_default] = ACTIONS(2147),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_case] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2301),
    [sym_html_comment] = ACTIONS(5),
  },
  [1159] = {
    [sym_comment] = STATE(1159),
    [sym_identifier] = ACTIONS(3316),
    [anon_sym_export] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_type] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_typeof] = ACTIONS(3316),
    [anon_sym_import] = ACTIONS(3316),
    [anon_sym_with] = ACTIONS(3316),
    [anon_sym_var] = ACTIONS(3316),
    [anon_sym_let] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_BANG] = ACTIONS(3316),
    [anon_sym_else] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_await] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_debugger] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_yield] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_LTtemplate_GT] = ACTIONS(3316),
    [anon_sym_DQUOTE] = ACTIONS(3316),
    [anon_sym_SQUOTE] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_async] = ACTIONS(3316),
    [anon_sym_function] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_TILDE] = ACTIONS(3316),
    [anon_sym_void] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_PLUS_PLUS] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3316),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3316),
    [sym_number] = ACTIONS(3316),
    [sym_private_property_identifier] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
    [sym_super] = ACTIONS(3316),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [sym_null] = ACTIONS(3316),
    [sym_undefined] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_readonly] = ACTIONS(3316),
    [anon_sym_get] = ACTIONS(3316),
    [anon_sym_set] = ACTIONS(3316),
    [anon_sym_declare] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_module] = ACTIONS(3316),
    [anon_sym_any] = ACTIONS(3316),
    [anon_sym_number] = ACTIONS(3316),
    [anon_sym_boolean] = ACTIONS(3316),
    [anon_sym_string] = ACTIONS(3316),
    [anon_sym_symbol] = ACTIONS(3316),
    [anon_sym_object] = ACTIONS(3316),
    [anon_sym_abstract] = ACTIONS(3316),
    [anon_sym_interface] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1160] = {
    [sym_comment] = STATE(1160),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_finally] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [1161] = {
    [sym_comment] = STATE(1161),
    [sym_identifier] = ACTIONS(3316),
    [anon_sym_export] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_type] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_typeof] = ACTIONS(3316),
    [anon_sym_import] = ACTIONS(3316),
    [anon_sym_with] = ACTIONS(3316),
    [anon_sym_var] = ACTIONS(3316),
    [anon_sym_let] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_BANG] = ACTIONS(3316),
    [anon_sym_else] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_await] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_debugger] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_yield] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_LTtemplate_GT] = ACTIONS(3316),
    [anon_sym_DQUOTE] = ACTIONS(3316),
    [anon_sym_SQUOTE] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_async] = ACTIONS(3316),
    [anon_sym_function] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_TILDE] = ACTIONS(3316),
    [anon_sym_void] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_PLUS_PLUS] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3316),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3316),
    [sym_number] = ACTIONS(3316),
    [sym_private_property_identifier] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
    [sym_super] = ACTIONS(3316),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [sym_null] = ACTIONS(3316),
    [sym_undefined] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_readonly] = ACTIONS(3316),
    [anon_sym_get] = ACTIONS(3316),
    [anon_sym_set] = ACTIONS(3316),
    [anon_sym_declare] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_module] = ACTIONS(3316),
    [anon_sym_any] = ACTIONS(3316),
    [anon_sym_number] = ACTIONS(3316),
    [anon_sym_boolean] = ACTIONS(3316),
    [anon_sym_string] = ACTIONS(3316),
    [anon_sym_symbol] = ACTIONS(3316),
    [anon_sym_object] = ACTIONS(3316),
    [anon_sym_abstract] = ACTIONS(3316),
    [anon_sym_interface] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1162] = {
    [sym_comment] = STATE(1162),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [1163] = {
    [sym_comment] = STATE(1163),
    [sym_identifier] = ACTIONS(3318),
    [anon_sym_export] = ACTIONS(3318),
    [anon_sym_default] = ACTIONS(3318),
    [anon_sym_type] = ACTIONS(3318),
    [anon_sym_namespace] = ACTIONS(3318),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3318),
    [anon_sym_typeof] = ACTIONS(3318),
    [anon_sym_import] = ACTIONS(3318),
    [anon_sym_with] = ACTIONS(3318),
    [anon_sym_var] = ACTIONS(3318),
    [anon_sym_let] = ACTIONS(3318),
    [anon_sym_const] = ACTIONS(3318),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_else] = ACTIONS(3318),
    [anon_sym_if] = ACTIONS(3318),
    [anon_sym_switch] = ACTIONS(3318),
    [anon_sym_for] = ACTIONS(3318),
    [anon_sym_LPAREN] = ACTIONS(3318),
    [anon_sym_await] = ACTIONS(3318),
    [anon_sym_while] = ACTIONS(3318),
    [anon_sym_do] = ACTIONS(3318),
    [anon_sym_try] = ACTIONS(3318),
    [anon_sym_break] = ACTIONS(3318),
    [anon_sym_continue] = ACTIONS(3318),
    [anon_sym_debugger] = ACTIONS(3318),
    [anon_sym_return] = ACTIONS(3318),
    [anon_sym_throw] = ACTIONS(3318),
    [anon_sym_SEMI] = ACTIONS(3318),
    [anon_sym_case] = ACTIONS(3318),
    [anon_sym_yield] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(3318),
    [anon_sym_LTtemplate_GT] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_class] = ACTIONS(3318),
    [anon_sym_async] = ACTIONS(3318),
    [anon_sym_function] = ACTIONS(3318),
    [anon_sym_new] = ACTIONS(3318),
    [anon_sym_using] = ACTIONS(3318),
    [anon_sym_PLUS] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3318),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_LT] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_void] = ACTIONS(3318),
    [anon_sym_delete] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3318),
    [sym_number] = ACTIONS(3318),
    [sym_private_property_identifier] = ACTIONS(3318),
    [sym_this] = ACTIONS(3318),
    [sym_super] = ACTIONS(3318),
    [sym_true] = ACTIONS(3318),
    [sym_false] = ACTIONS(3318),
    [sym_null] = ACTIONS(3318),
    [sym_undefined] = ACTIONS(3318),
    [anon_sym_AT] = ACTIONS(3318),
    [anon_sym_static] = ACTIONS(3318),
    [anon_sym_readonly] = ACTIONS(3318),
    [anon_sym_get] = ACTIONS(3318),
    [anon_sym_set] = ACTIONS(3318),
    [anon_sym_declare] = ACTIONS(3318),
    [anon_sym_public] = ACTIONS(3318),
    [anon_sym_private] = ACTIONS(3318),
    [anon_sym_protected] = ACTIONS(3318),
    [anon_sym_override] = ACTIONS(3318),
    [anon_sym_module] = ACTIONS(3318),
    [anon_sym_any] = ACTIONS(3318),
    [anon_sym_number] = ACTIONS(3318),
    [anon_sym_boolean] = ACTIONS(3318),
    [anon_sym_string] = ACTIONS(3318),
    [anon_sym_symbol] = ACTIONS(3318),
    [anon_sym_object] = ACTIONS(3318),
    [anon_sym_abstract] = ACTIONS(3318),
    [anon_sym_interface] = ACTIONS(3318),
    [anon_sym_enum] = ACTIONS(3318),
    [sym_html_comment] = ACTIONS(5),
  },
  [1164] = {
    [sym_comment] = STATE(1164),
    [sym_identifier] = ACTIONS(3320),
    [anon_sym_export] = ACTIONS(3320),
    [anon_sym_default] = ACTIONS(3320),
    [anon_sym_type] = ACTIONS(3320),
    [anon_sym_namespace] = ACTIONS(3320),
    [anon_sym_LBRACE] = ACTIONS(3320),
    [anon_sym_RBRACE] = ACTIONS(3320),
    [anon_sym_typeof] = ACTIONS(3320),
    [anon_sym_import] = ACTIONS(3320),
    [anon_sym_with] = ACTIONS(3320),
    [anon_sym_var] = ACTIONS(3320),
    [anon_sym_let] = ACTIONS(3320),
    [anon_sym_const] = ACTIONS(3320),
    [anon_sym_BANG] = ACTIONS(3320),
    [anon_sym_else] = ACTIONS(3320),
    [anon_sym_if] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(3320),
    [anon_sym_for] = ACTIONS(3320),
    [anon_sym_LPAREN] = ACTIONS(3320),
    [anon_sym_await] = ACTIONS(3320),
    [anon_sym_while] = ACTIONS(3320),
    [anon_sym_do] = ACTIONS(3320),
    [anon_sym_try] = ACTIONS(3320),
    [anon_sym_break] = ACTIONS(3320),
    [anon_sym_continue] = ACTIONS(3320),
    [anon_sym_debugger] = ACTIONS(3320),
    [anon_sym_return] = ACTIONS(3320),
    [anon_sym_throw] = ACTIONS(3320),
    [anon_sym_SEMI] = ACTIONS(3320),
    [anon_sym_case] = ACTIONS(3320),
    [anon_sym_yield] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_LTtemplate_GT] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_async] = ACTIONS(3320),
    [anon_sym_function] = ACTIONS(3320),
    [anon_sym_new] = ACTIONS(3320),
    [anon_sym_using] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_SLASH] = ACTIONS(3320),
    [anon_sym_LT] = ACTIONS(3320),
    [anon_sym_TILDE] = ACTIONS(3320),
    [anon_sym_void] = ACTIONS(3320),
    [anon_sym_delete] = ACTIONS(3320),
    [anon_sym_PLUS_PLUS] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3320),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3320),
    [sym_number] = ACTIONS(3320),
    [sym_private_property_identifier] = ACTIONS(3320),
    [sym_this] = ACTIONS(3320),
    [sym_super] = ACTIONS(3320),
    [sym_true] = ACTIONS(3320),
    [sym_false] = ACTIONS(3320),
    [sym_null] = ACTIONS(3320),
    [sym_undefined] = ACTIONS(3320),
    [anon_sym_AT] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_readonly] = ACTIONS(3320),
    [anon_sym_get] = ACTIONS(3320),
    [anon_sym_set] = ACTIONS(3320),
    [anon_sym_declare] = ACTIONS(3320),
    [anon_sym_public] = ACTIONS(3320),
    [anon_sym_private] = ACTIONS(3320),
    [anon_sym_protected] = ACTIONS(3320),
    [anon_sym_override] = ACTIONS(3320),
    [anon_sym_module] = ACTIONS(3320),
    [anon_sym_any] = ACTIONS(3320),
    [anon_sym_number] = ACTIONS(3320),
    [anon_sym_boolean] = ACTIONS(3320),
    [anon_sym_string] = ACTIONS(3320),
    [anon_sym_symbol] = ACTIONS(3320),
    [anon_sym_object] = ACTIONS(3320),
    [anon_sym_abstract] = ACTIONS(3320),
    [anon_sym_interface] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [sym_html_comment] = ACTIONS(5),
  },
  [1165] = {
    [sym_comment] = STATE(1165),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_default] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_else] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_case] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1166] = {
    [sym_comment] = STATE(1166),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3324),
    [sym_html_comment] = ACTIONS(5),
  },
  [1167] = {
    [sym_comment] = STATE(1167),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_default] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_else] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_case] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1168] = {
    [sym_comment] = STATE(1168),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym__automatic_semicolon] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [1169] = {
    [sym_comment] = STATE(1169),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_export] = ACTIONS(3326),
    [anon_sym_default] = ACTIONS(3326),
    [anon_sym_type] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_typeof] = ACTIONS(3326),
    [anon_sym_import] = ACTIONS(3326),
    [anon_sym_with] = ACTIONS(3326),
    [anon_sym_var] = ACTIONS(3326),
    [anon_sym_let] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_else] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_LPAREN] = ACTIONS(3326),
    [anon_sym_await] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_debugger] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym_case] = ACTIONS(3326),
    [anon_sym_yield] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_LTtemplate_GT] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_async] = ACTIONS(3326),
    [anon_sym_function] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_void] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3326),
    [sym_number] = ACTIONS(3326),
    [sym_private_property_identifier] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
    [sym_super] = ACTIONS(3326),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [sym_null] = ACTIONS(3326),
    [sym_undefined] = ACTIONS(3326),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_readonly] = ACTIONS(3326),
    [anon_sym_get] = ACTIONS(3326),
    [anon_sym_set] = ACTIONS(3326),
    [anon_sym_declare] = ACTIONS(3326),
    [anon_sym_public] = ACTIONS(3326),
    [anon_sym_private] = ACTIONS(3326),
    [anon_sym_protected] = ACTIONS(3326),
    [anon_sym_override] = ACTIONS(3326),
    [anon_sym_module] = ACTIONS(3326),
    [anon_sym_any] = ACTIONS(3326),
    [anon_sym_number] = ACTIONS(3326),
    [anon_sym_boolean] = ACTIONS(3326),
    [anon_sym_string] = ACTIONS(3326),
    [anon_sym_symbol] = ACTIONS(3326),
    [anon_sym_object] = ACTIONS(3326),
    [anon_sym_abstract] = ACTIONS(3326),
    [anon_sym_interface] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [sym_html_comment] = ACTIONS(5),
  },
  [1170] = {
    [sym_comment] = STATE(1170),
    [sym_identifier] = ACTIONS(3328),
    [anon_sym_export] = ACTIONS(3328),
    [anon_sym_default] = ACTIONS(3328),
    [anon_sym_type] = ACTIONS(3328),
    [anon_sym_namespace] = ACTIONS(3328),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_typeof] = ACTIONS(3328),
    [anon_sym_import] = ACTIONS(3328),
    [anon_sym_with] = ACTIONS(3328),
    [anon_sym_var] = ACTIONS(3328),
    [anon_sym_let] = ACTIONS(3328),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_else] = ACTIONS(3328),
    [anon_sym_if] = ACTIONS(3328),
    [anon_sym_switch] = ACTIONS(3328),
    [anon_sym_for] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3328),
    [anon_sym_await] = ACTIONS(3328),
    [anon_sym_while] = ACTIONS(3328),
    [anon_sym_do] = ACTIONS(3328),
    [anon_sym_try] = ACTIONS(3328),
    [anon_sym_break] = ACTIONS(3328),
    [anon_sym_continue] = ACTIONS(3328),
    [anon_sym_debugger] = ACTIONS(3328),
    [anon_sym_return] = ACTIONS(3328),
    [anon_sym_throw] = ACTIONS(3328),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym_case] = ACTIONS(3328),
    [anon_sym_yield] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3328),
    [anon_sym_LTtemplate_GT] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_function] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3328),
    [anon_sym_using] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_void] = ACTIONS(3328),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3328),
    [sym_number] = ACTIONS(3328),
    [sym_private_property_identifier] = ACTIONS(3328),
    [sym_this] = ACTIONS(3328),
    [sym_super] = ACTIONS(3328),
    [sym_true] = ACTIONS(3328),
    [sym_false] = ACTIONS(3328),
    [sym_null] = ACTIONS(3328),
    [sym_undefined] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [anon_sym_readonly] = ACTIONS(3328),
    [anon_sym_get] = ACTIONS(3328),
    [anon_sym_set] = ACTIONS(3328),
    [anon_sym_declare] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_protected] = ACTIONS(3328),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_module] = ACTIONS(3328),
    [anon_sym_any] = ACTIONS(3328),
    [anon_sym_number] = ACTIONS(3328),
    [anon_sym_boolean] = ACTIONS(3328),
    [anon_sym_string] = ACTIONS(3328),
    [anon_sym_symbol] = ACTIONS(3328),
    [anon_sym_object] = ACTIONS(3328),
    [anon_sym_abstract] = ACTIONS(3328),
    [anon_sym_interface] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(3328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1171] = {
    [sym_comment] = STATE(1171),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_default] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_else] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_case] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1172] = {
    [sym_comment] = STATE(1172),
    [sym_identifier] = ACTIONS(3332),
    [anon_sym_export] = ACTIONS(3332),
    [anon_sym_default] = ACTIONS(3332),
    [anon_sym_type] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_typeof] = ACTIONS(3332),
    [anon_sym_import] = ACTIONS(3332),
    [anon_sym_with] = ACTIONS(3332),
    [anon_sym_var] = ACTIONS(3332),
    [anon_sym_let] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_else] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(3332),
    [anon_sym_await] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_debugger] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym_case] = ACTIONS(3332),
    [anon_sym_yield] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_LTtemplate_GT] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_async] = ACTIONS(3332),
    [anon_sym_function] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_SLASH] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_void] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3332),
    [sym_number] = ACTIONS(3332),
    [sym_private_property_identifier] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
    [sym_super] = ACTIONS(3332),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [sym_null] = ACTIONS(3332),
    [sym_undefined] = ACTIONS(3332),
    [anon_sym_AT] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3332),
    [anon_sym_get] = ACTIONS(3332),
    [anon_sym_set] = ACTIONS(3332),
    [anon_sym_declare] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_protected] = ACTIONS(3332),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_module] = ACTIONS(3332),
    [anon_sym_any] = ACTIONS(3332),
    [anon_sym_number] = ACTIONS(3332),
    [anon_sym_boolean] = ACTIONS(3332),
    [anon_sym_string] = ACTIONS(3332),
    [anon_sym_symbol] = ACTIONS(3332),
    [anon_sym_object] = ACTIONS(3332),
    [anon_sym_abstract] = ACTIONS(3332),
    [anon_sym_interface] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1173] = {
    [sym_comment] = STATE(1173),
    [sym_identifier] = ACTIONS(3334),
    [anon_sym_export] = ACTIONS(3334),
    [anon_sym_default] = ACTIONS(3334),
    [anon_sym_type] = ACTIONS(3334),
    [anon_sym_namespace] = ACTIONS(3334),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_typeof] = ACTIONS(3334),
    [anon_sym_import] = ACTIONS(3334),
    [anon_sym_with] = ACTIONS(3334),
    [anon_sym_var] = ACTIONS(3334),
    [anon_sym_let] = ACTIONS(3334),
    [anon_sym_const] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_else] = ACTIONS(3334),
    [anon_sym_if] = ACTIONS(3334),
    [anon_sym_switch] = ACTIONS(3334),
    [anon_sym_for] = ACTIONS(3334),
    [anon_sym_LPAREN] = ACTIONS(3334),
    [anon_sym_await] = ACTIONS(3334),
    [anon_sym_while] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(3334),
    [anon_sym_try] = ACTIONS(3334),
    [anon_sym_break] = ACTIONS(3334),
    [anon_sym_continue] = ACTIONS(3334),
    [anon_sym_debugger] = ACTIONS(3334),
    [anon_sym_return] = ACTIONS(3334),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym_case] = ACTIONS(3334),
    [anon_sym_yield] = ACTIONS(3334),
    [anon_sym_LBRACK] = ACTIONS(3334),
    [anon_sym_LTtemplate_GT] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [anon_sym_class] = ACTIONS(3334),
    [anon_sym_async] = ACTIONS(3334),
    [anon_sym_function] = ACTIONS(3334),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_using] = ACTIONS(3334),
    [anon_sym_PLUS] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3334),
    [anon_sym_SLASH] = ACTIONS(3334),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_void] = ACTIONS(3334),
    [anon_sym_delete] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3334),
    [sym_number] = ACTIONS(3334),
    [sym_private_property_identifier] = ACTIONS(3334),
    [sym_this] = ACTIONS(3334),
    [sym_super] = ACTIONS(3334),
    [sym_true] = ACTIONS(3334),
    [sym_false] = ACTIONS(3334),
    [sym_null] = ACTIONS(3334),
    [sym_undefined] = ACTIONS(3334),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_static] = ACTIONS(3334),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3334),
    [anon_sym_set] = ACTIONS(3334),
    [anon_sym_declare] = ACTIONS(3334),
    [anon_sym_public] = ACTIONS(3334),
    [anon_sym_private] = ACTIONS(3334),
    [anon_sym_protected] = ACTIONS(3334),
    [anon_sym_override] = ACTIONS(3334),
    [anon_sym_module] = ACTIONS(3334),
    [anon_sym_any] = ACTIONS(3334),
    [anon_sym_number] = ACTIONS(3334),
    [anon_sym_boolean] = ACTIONS(3334),
    [anon_sym_string] = ACTIONS(3334),
    [anon_sym_symbol] = ACTIONS(3334),
    [anon_sym_object] = ACTIONS(3334),
    [anon_sym_abstract] = ACTIONS(3334),
    [anon_sym_interface] = ACTIONS(3334),
    [anon_sym_enum] = ACTIONS(3334),
    [sym_html_comment] = ACTIONS(5),
  },
  [1174] = {
    [sym_comment] = STATE(1174),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1175] = {
    [sym_comment] = STATE(1175),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_export] = ACTIONS(3338),
    [anon_sym_default] = ACTIONS(3338),
    [anon_sym_type] = ACTIONS(3338),
    [anon_sym_namespace] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(3338),
    [anon_sym_RBRACE] = ACTIONS(3338),
    [anon_sym_typeof] = ACTIONS(3338),
    [anon_sym_import] = ACTIONS(3338),
    [anon_sym_with] = ACTIONS(3338),
    [anon_sym_var] = ACTIONS(3338),
    [anon_sym_let] = ACTIONS(3338),
    [anon_sym_const] = ACTIONS(3338),
    [anon_sym_BANG] = ACTIONS(3338),
    [anon_sym_else] = ACTIONS(3338),
    [anon_sym_if] = ACTIONS(3338),
    [anon_sym_switch] = ACTIONS(3338),
    [anon_sym_for] = ACTIONS(3338),
    [anon_sym_LPAREN] = ACTIONS(3338),
    [anon_sym_await] = ACTIONS(3338),
    [anon_sym_while] = ACTIONS(3338),
    [anon_sym_do] = ACTIONS(3338),
    [anon_sym_try] = ACTIONS(3338),
    [anon_sym_break] = ACTIONS(3338),
    [anon_sym_continue] = ACTIONS(3338),
    [anon_sym_debugger] = ACTIONS(3338),
    [anon_sym_return] = ACTIONS(3338),
    [anon_sym_throw] = ACTIONS(3338),
    [anon_sym_SEMI] = ACTIONS(3338),
    [anon_sym_case] = ACTIONS(3338),
    [anon_sym_yield] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(3338),
    [anon_sym_LTtemplate_GT] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [anon_sym_SQUOTE] = ACTIONS(3338),
    [anon_sym_class] = ACTIONS(3338),
    [anon_sym_async] = ACTIONS(3338),
    [anon_sym_function] = ACTIONS(3338),
    [anon_sym_new] = ACTIONS(3338),
    [anon_sym_using] = ACTIONS(3338),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3338),
    [anon_sym_LT] = ACTIONS(3338),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_void] = ACTIONS(3338),
    [anon_sym_delete] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3338),
    [sym_number] = ACTIONS(3338),
    [sym_private_property_identifier] = ACTIONS(3338),
    [sym_this] = ACTIONS(3338),
    [sym_super] = ACTIONS(3338),
    [sym_true] = ACTIONS(3338),
    [sym_false] = ACTIONS(3338),
    [sym_null] = ACTIONS(3338),
    [sym_undefined] = ACTIONS(3338),
    [anon_sym_AT] = ACTIONS(3338),
    [anon_sym_static] = ACTIONS(3338),
    [anon_sym_readonly] = ACTIONS(3338),
    [anon_sym_get] = ACTIONS(3338),
    [anon_sym_set] = ACTIONS(3338),
    [anon_sym_declare] = ACTIONS(3338),
    [anon_sym_public] = ACTIONS(3338),
    [anon_sym_private] = ACTIONS(3338),
    [anon_sym_protected] = ACTIONS(3338),
    [anon_sym_override] = ACTIONS(3338),
    [anon_sym_module] = ACTIONS(3338),
    [anon_sym_any] = ACTIONS(3338),
    [anon_sym_number] = ACTIONS(3338),
    [anon_sym_boolean] = ACTIONS(3338),
    [anon_sym_string] = ACTIONS(3338),
    [anon_sym_symbol] = ACTIONS(3338),
    [anon_sym_object] = ACTIONS(3338),
    [anon_sym_abstract] = ACTIONS(3338),
    [anon_sym_interface] = ACTIONS(3338),
    [anon_sym_enum] = ACTIONS(3338),
    [sym_html_comment] = ACTIONS(5),
  },
  [1176] = {
    [sym_comment] = STATE(1176),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_default] = ACTIONS(2155),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1177] = {
    [sym_comment] = STATE(1177),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_export] = ACTIONS(2189),
    [anon_sym_default] = ACTIONS(2189),
    [anon_sym_type] = ACTIONS(2189),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_RBRACE] = ACTIONS(2189),
    [anon_sym_typeof] = ACTIONS(2189),
    [anon_sym_import] = ACTIONS(2189),
    [anon_sym_with] = ACTIONS(2189),
    [anon_sym_var] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_debugger] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2189),
    [anon_sym_case] = ACTIONS(2189),
    [anon_sym_yield] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_LTtemplate_GT] = ACTIONS(2189),
    [anon_sym_DQUOTE] = ACTIONS(2189),
    [anon_sym_SQUOTE] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_function] = ACTIONS(2189),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_using] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_SLASH] = ACTIONS(2189),
    [anon_sym_LT] = ACTIONS(2189),
    [anon_sym_TILDE] = ACTIONS(2189),
    [anon_sym_void] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2189),
    [sym_number] = ACTIONS(2189),
    [sym_private_property_identifier] = ACTIONS(2189),
    [sym_this] = ACTIONS(2189),
    [sym_super] = ACTIONS(2189),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [sym_null] = ACTIONS(2189),
    [sym_undefined] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2189),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_readonly] = ACTIONS(2189),
    [anon_sym_get] = ACTIONS(2189),
    [anon_sym_set] = ACTIONS(2189),
    [anon_sym_declare] = ACTIONS(2189),
    [anon_sym_public] = ACTIONS(2189),
    [anon_sym_private] = ACTIONS(2189),
    [anon_sym_protected] = ACTIONS(2189),
    [anon_sym_override] = ACTIONS(2189),
    [anon_sym_module] = ACTIONS(2189),
    [anon_sym_any] = ACTIONS(2189),
    [anon_sym_number] = ACTIONS(2189),
    [anon_sym_boolean] = ACTIONS(2189),
    [anon_sym_string] = ACTIONS(2189),
    [anon_sym_symbol] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_abstract] = ACTIONS(2189),
    [anon_sym_interface] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
    [sym__automatic_semicolon] = ACTIONS(2281),
    [sym_html_comment] = ACTIONS(5),
  },
  [1178] = {
    [sym_comment] = STATE(1178),
    [sym_identifier] = ACTIONS(2197),
    [anon_sym_export] = ACTIONS(2197),
    [anon_sym_default] = ACTIONS(2197),
    [anon_sym_type] = ACTIONS(2197),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_RBRACE] = ACTIONS(2197),
    [anon_sym_typeof] = ACTIONS(2197),
    [anon_sym_import] = ACTIONS(2197),
    [anon_sym_with] = ACTIONS(2197),
    [anon_sym_var] = ACTIONS(2197),
    [anon_sym_let] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_debugger] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_case] = ACTIONS(2197),
    [anon_sym_yield] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LTtemplate_GT] = ACTIONS(2197),
    [anon_sym_DQUOTE] = ACTIONS(2197),
    [anon_sym_SQUOTE] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2197),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_using] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_void] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2197),
    [sym_number] = ACTIONS(2197),
    [sym_private_property_identifier] = ACTIONS(2197),
    [sym_this] = ACTIONS(2197),
    [sym_super] = ACTIONS(2197),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [sym_null] = ACTIONS(2197),
    [sym_undefined] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_readonly] = ACTIONS(2197),
    [anon_sym_get] = ACTIONS(2197),
    [anon_sym_set] = ACTIONS(2197),
    [anon_sym_declare] = ACTIONS(2197),
    [anon_sym_public] = ACTIONS(2197),
    [anon_sym_private] = ACTIONS(2197),
    [anon_sym_protected] = ACTIONS(2197),
    [anon_sym_override] = ACTIONS(2197),
    [anon_sym_module] = ACTIONS(2197),
    [anon_sym_any] = ACTIONS(2197),
    [anon_sym_number] = ACTIONS(2197),
    [anon_sym_boolean] = ACTIONS(2197),
    [anon_sym_string] = ACTIONS(2197),
    [anon_sym_symbol] = ACTIONS(2197),
    [anon_sym_object] = ACTIONS(2197),
    [anon_sym_abstract] = ACTIONS(2197),
    [anon_sym_interface] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
    [sym__automatic_semicolon] = ACTIONS(2279),
    [sym_html_comment] = ACTIONS(5),
  },
  [1179] = {
    [sym_comment] = STATE(1179),
    [sym_identifier] = ACTIONS(3340),
    [anon_sym_export] = ACTIONS(3340),
    [anon_sym_default] = ACTIONS(3340),
    [anon_sym_type] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_typeof] = ACTIONS(3340),
    [anon_sym_import] = ACTIONS(3340),
    [anon_sym_with] = ACTIONS(3340),
    [anon_sym_var] = ACTIONS(3340),
    [anon_sym_let] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_BANG] = ACTIONS(3340),
    [anon_sym_else] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_await] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_debugger] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_yield] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_LTtemplate_GT] = ACTIONS(3340),
    [anon_sym_DQUOTE] = ACTIONS(3340),
    [anon_sym_SQUOTE] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_async] = ACTIONS(3340),
    [anon_sym_function] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_SLASH] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3340),
    [anon_sym_TILDE] = ACTIONS(3340),
    [anon_sym_void] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_PLUS_PLUS] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3340),
    [sym_number] = ACTIONS(3340),
    [sym_private_property_identifier] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
    [sym_super] = ACTIONS(3340),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [sym_null] = ACTIONS(3340),
    [sym_undefined] = ACTIONS(3340),
    [anon_sym_AT] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_readonly] = ACTIONS(3340),
    [anon_sym_get] = ACTIONS(3340),
    [anon_sym_set] = ACTIONS(3340),
    [anon_sym_declare] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_protected] = ACTIONS(3340),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3340),
    [anon_sym_any] = ACTIONS(3340),
    [anon_sym_number] = ACTIONS(3340),
    [anon_sym_boolean] = ACTIONS(3340),
    [anon_sym_string] = ACTIONS(3340),
    [anon_sym_symbol] = ACTIONS(3340),
    [anon_sym_object] = ACTIONS(3340),
    [anon_sym_abstract] = ACTIONS(3340),
    [anon_sym_interface] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [sym_html_comment] = ACTIONS(5),
  },
  [1180] = {
    [sym_comment] = STATE(1180),
    [sym_identifier] = ACTIONS(3340),
    [anon_sym_export] = ACTIONS(3340),
    [anon_sym_default] = ACTIONS(3340),
    [anon_sym_type] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_typeof] = ACTIONS(3340),
    [anon_sym_import] = ACTIONS(3340),
    [anon_sym_with] = ACTIONS(3340),
    [anon_sym_var] = ACTIONS(3340),
    [anon_sym_let] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_BANG] = ACTIONS(3340),
    [anon_sym_else] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_await] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_debugger] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_yield] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_LTtemplate_GT] = ACTIONS(3340),
    [anon_sym_DQUOTE] = ACTIONS(3340),
    [anon_sym_SQUOTE] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_async] = ACTIONS(3340),
    [anon_sym_function] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_SLASH] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3340),
    [anon_sym_TILDE] = ACTIONS(3340),
    [anon_sym_void] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_PLUS_PLUS] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3340),
    [sym_number] = ACTIONS(3340),
    [sym_private_property_identifier] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
    [sym_super] = ACTIONS(3340),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [sym_null] = ACTIONS(3340),
    [sym_undefined] = ACTIONS(3340),
    [anon_sym_AT] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_readonly] = ACTIONS(3340),
    [anon_sym_get] = ACTIONS(3340),
    [anon_sym_set] = ACTIONS(3340),
    [anon_sym_declare] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_protected] = ACTIONS(3340),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3340),
    [anon_sym_any] = ACTIONS(3340),
    [anon_sym_number] = ACTIONS(3340),
    [anon_sym_boolean] = ACTIONS(3340),
    [anon_sym_string] = ACTIONS(3340),
    [anon_sym_symbol] = ACTIONS(3340),
    [anon_sym_object] = ACTIONS(3340),
    [anon_sym_abstract] = ACTIONS(3340),
    [anon_sym_interface] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [sym_html_comment] = ACTIONS(5),
  },
  [1181] = {
    [sym_comment] = STATE(1181),
    [sym_identifier] = ACTIONS(3342),
    [anon_sym_export] = ACTIONS(3342),
    [anon_sym_default] = ACTIONS(3342),
    [anon_sym_type] = ACTIONS(3342),
    [anon_sym_namespace] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_RBRACE] = ACTIONS(3342),
    [anon_sym_typeof] = ACTIONS(3342),
    [anon_sym_import] = ACTIONS(3342),
    [anon_sym_with] = ACTIONS(3342),
    [anon_sym_var] = ACTIONS(3342),
    [anon_sym_let] = ACTIONS(3342),
    [anon_sym_const] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_else] = ACTIONS(3342),
    [anon_sym_if] = ACTIONS(3342),
    [anon_sym_switch] = ACTIONS(3342),
    [anon_sym_for] = ACTIONS(3342),
    [anon_sym_LPAREN] = ACTIONS(3342),
    [anon_sym_await] = ACTIONS(3342),
    [anon_sym_while] = ACTIONS(3342),
    [anon_sym_do] = ACTIONS(3342),
    [anon_sym_try] = ACTIONS(3342),
    [anon_sym_break] = ACTIONS(3342),
    [anon_sym_continue] = ACTIONS(3342),
    [anon_sym_debugger] = ACTIONS(3342),
    [anon_sym_return] = ACTIONS(3342),
    [anon_sym_throw] = ACTIONS(3342),
    [anon_sym_SEMI] = ACTIONS(3342),
    [anon_sym_case] = ACTIONS(3342),
    [anon_sym_yield] = ACTIONS(3342),
    [anon_sym_LBRACK] = ACTIONS(3342),
    [anon_sym_LTtemplate_GT] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3342),
    [anon_sym_async] = ACTIONS(3342),
    [anon_sym_function] = ACTIONS(3342),
    [anon_sym_new] = ACTIONS(3342),
    [anon_sym_using] = ACTIONS(3342),
    [anon_sym_PLUS] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3342),
    [anon_sym_LT] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_void] = ACTIONS(3342),
    [anon_sym_delete] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3342),
    [sym_number] = ACTIONS(3342),
    [sym_private_property_identifier] = ACTIONS(3342),
    [sym_this] = ACTIONS(3342),
    [sym_super] = ACTIONS(3342),
    [sym_true] = ACTIONS(3342),
    [sym_false] = ACTIONS(3342),
    [sym_null] = ACTIONS(3342),
    [sym_undefined] = ACTIONS(3342),
    [anon_sym_AT] = ACTIONS(3342),
    [anon_sym_static] = ACTIONS(3342),
    [anon_sym_readonly] = ACTIONS(3342),
    [anon_sym_get] = ACTIONS(3342),
    [anon_sym_set] = ACTIONS(3342),
    [anon_sym_declare] = ACTIONS(3342),
    [anon_sym_public] = ACTIONS(3342),
    [anon_sym_private] = ACTIONS(3342),
    [anon_sym_protected] = ACTIONS(3342),
    [anon_sym_override] = ACTIONS(3342),
    [anon_sym_module] = ACTIONS(3342),
    [anon_sym_any] = ACTIONS(3342),
    [anon_sym_number] = ACTIONS(3342),
    [anon_sym_boolean] = ACTIONS(3342),
    [anon_sym_string] = ACTIONS(3342),
    [anon_sym_symbol] = ACTIONS(3342),
    [anon_sym_object] = ACTIONS(3342),
    [anon_sym_abstract] = ACTIONS(3342),
    [anon_sym_interface] = ACTIONS(3342),
    [anon_sym_enum] = ACTIONS(3342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1182] = {
    [sym_comment] = STATE(1182),
    [sym_identifier] = ACTIONS(3344),
    [anon_sym_export] = ACTIONS(3344),
    [anon_sym_default] = ACTIONS(3344),
    [anon_sym_type] = ACTIONS(3344),
    [anon_sym_namespace] = ACTIONS(3344),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_RBRACE] = ACTIONS(3344),
    [anon_sym_typeof] = ACTIONS(3344),
    [anon_sym_import] = ACTIONS(3344),
    [anon_sym_with] = ACTIONS(3344),
    [anon_sym_var] = ACTIONS(3344),
    [anon_sym_let] = ACTIONS(3344),
    [anon_sym_const] = ACTIONS(3344),
    [anon_sym_BANG] = ACTIONS(3344),
    [anon_sym_else] = ACTIONS(3344),
    [anon_sym_if] = ACTIONS(3344),
    [anon_sym_switch] = ACTIONS(3344),
    [anon_sym_for] = ACTIONS(3344),
    [anon_sym_LPAREN] = ACTIONS(3344),
    [anon_sym_await] = ACTIONS(3344),
    [anon_sym_while] = ACTIONS(3344),
    [anon_sym_do] = ACTIONS(3344),
    [anon_sym_try] = ACTIONS(3344),
    [anon_sym_break] = ACTIONS(3344),
    [anon_sym_continue] = ACTIONS(3344),
    [anon_sym_debugger] = ACTIONS(3344),
    [anon_sym_return] = ACTIONS(3344),
    [anon_sym_throw] = ACTIONS(3344),
    [anon_sym_SEMI] = ACTIONS(3344),
    [anon_sym_case] = ACTIONS(3344),
    [anon_sym_yield] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_LTtemplate_GT] = ACTIONS(3344),
    [anon_sym_DQUOTE] = ACTIONS(3344),
    [anon_sym_SQUOTE] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_async] = ACTIONS(3344),
    [anon_sym_function] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(3344),
    [anon_sym_using] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3344),
    [anon_sym_DASH] = ACTIONS(3344),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_LT] = ACTIONS(3344),
    [anon_sym_TILDE] = ACTIONS(3344),
    [anon_sym_void] = ACTIONS(3344),
    [anon_sym_delete] = ACTIONS(3344),
    [anon_sym_PLUS_PLUS] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3344),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3344),
    [sym_number] = ACTIONS(3344),
    [sym_private_property_identifier] = ACTIONS(3344),
    [sym_this] = ACTIONS(3344),
    [sym_super] = ACTIONS(3344),
    [sym_true] = ACTIONS(3344),
    [sym_false] = ACTIONS(3344),
    [sym_null] = ACTIONS(3344),
    [sym_undefined] = ACTIONS(3344),
    [anon_sym_AT] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_readonly] = ACTIONS(3344),
    [anon_sym_get] = ACTIONS(3344),
    [anon_sym_set] = ACTIONS(3344),
    [anon_sym_declare] = ACTIONS(3344),
    [anon_sym_public] = ACTIONS(3344),
    [anon_sym_private] = ACTIONS(3344),
    [anon_sym_protected] = ACTIONS(3344),
    [anon_sym_override] = ACTIONS(3344),
    [anon_sym_module] = ACTIONS(3344),
    [anon_sym_any] = ACTIONS(3344),
    [anon_sym_number] = ACTIONS(3344),
    [anon_sym_boolean] = ACTIONS(3344),
    [anon_sym_string] = ACTIONS(3344),
    [anon_sym_symbol] = ACTIONS(3344),
    [anon_sym_object] = ACTIONS(3344),
    [anon_sym_abstract] = ACTIONS(3344),
    [anon_sym_interface] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1183] = {
    [sym_comment] = STATE(1183),
    [sym_identifier] = ACTIONS(2171),
    [anon_sym_export] = ACTIONS(2171),
    [anon_sym_default] = ACTIONS(2171),
    [anon_sym_type] = ACTIONS(2171),
    [anon_sym_namespace] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_typeof] = ACTIONS(2171),
    [anon_sym_import] = ACTIONS(2171),
    [anon_sym_with] = ACTIONS(2171),
    [anon_sym_var] = ACTIONS(2171),
    [anon_sym_let] = ACTIONS(2171),
    [anon_sym_const] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_else] = ACTIONS(2171),
    [anon_sym_if] = ACTIONS(2171),
    [anon_sym_switch] = ACTIONS(2171),
    [anon_sym_for] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2171),
    [anon_sym_try] = ACTIONS(2171),
    [anon_sym_break] = ACTIONS(2171),
    [anon_sym_continue] = ACTIONS(2171),
    [anon_sym_debugger] = ACTIONS(2171),
    [anon_sym_return] = ACTIONS(2171),
    [anon_sym_throw] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_case] = ACTIONS(2171),
    [anon_sym_yield] = ACTIONS(2171),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LTtemplate_GT] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2171),
    [anon_sym_async] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2171),
    [anon_sym_using] = ACTIONS(2171),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_void] = ACTIONS(2171),
    [anon_sym_delete] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [sym_private_property_identifier] = ACTIONS(2171),
    [sym_this] = ACTIONS(2171),
    [sym_super] = ACTIONS(2171),
    [sym_true] = ACTIONS(2171),
    [sym_false] = ACTIONS(2171),
    [sym_null] = ACTIONS(2171),
    [sym_undefined] = ACTIONS(2171),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2171),
    [anon_sym_readonly] = ACTIONS(2171),
    [anon_sym_get] = ACTIONS(2171),
    [anon_sym_set] = ACTIONS(2171),
    [anon_sym_declare] = ACTIONS(2171),
    [anon_sym_public] = ACTIONS(2171),
    [anon_sym_private] = ACTIONS(2171),
    [anon_sym_protected] = ACTIONS(2171),
    [anon_sym_override] = ACTIONS(2171),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_any] = ACTIONS(2171),
    [anon_sym_number] = ACTIONS(2171),
    [anon_sym_boolean] = ACTIONS(2171),
    [anon_sym_string] = ACTIONS(2171),
    [anon_sym_symbol] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(2171),
    [anon_sym_abstract] = ACTIONS(2171),
    [anon_sym_interface] = ACTIONS(2171),
    [anon_sym_enum] = ACTIONS(2171),
    [sym_html_comment] = ACTIONS(5),
  },
  [1184] = {
    [sym_comment] = STATE(1184),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_export] = ACTIONS(3346),
    [anon_sym_default] = ACTIONS(3346),
    [anon_sym_type] = ACTIONS(3346),
    [anon_sym_namespace] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_RBRACE] = ACTIONS(3346),
    [anon_sym_typeof] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_with] = ACTIONS(3346),
    [anon_sym_var] = ACTIONS(3346),
    [anon_sym_let] = ACTIONS(3346),
    [anon_sym_const] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_else] = ACTIONS(3346),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_switch] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3346),
    [anon_sym_await] = ACTIONS(3346),
    [anon_sym_while] = ACTIONS(3346),
    [anon_sym_do] = ACTIONS(3346),
    [anon_sym_try] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_debugger] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_throw] = ACTIONS(3346),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym_case] = ACTIONS(3346),
    [anon_sym_yield] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3346),
    [anon_sym_LTtemplate_GT] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_class] = ACTIONS(3346),
    [anon_sym_async] = ACTIONS(3346),
    [anon_sym_function] = ACTIONS(3346),
    [anon_sym_new] = ACTIONS(3346),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_LT] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_void] = ACTIONS(3346),
    [anon_sym_delete] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3346),
    [sym_number] = ACTIONS(3346),
    [sym_private_property_identifier] = ACTIONS(3346),
    [sym_this] = ACTIONS(3346),
    [sym_super] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [sym_null] = ACTIONS(3346),
    [sym_undefined] = ACTIONS(3346),
    [anon_sym_AT] = ACTIONS(3346),
    [anon_sym_static] = ACTIONS(3346),
    [anon_sym_readonly] = ACTIONS(3346),
    [anon_sym_get] = ACTIONS(3346),
    [anon_sym_set] = ACTIONS(3346),
    [anon_sym_declare] = ACTIONS(3346),
    [anon_sym_public] = ACTIONS(3346),
    [anon_sym_private] = ACTIONS(3346),
    [anon_sym_protected] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3346),
    [anon_sym_module] = ACTIONS(3346),
    [anon_sym_any] = ACTIONS(3346),
    [anon_sym_number] = ACTIONS(3346),
    [anon_sym_boolean] = ACTIONS(3346),
    [anon_sym_string] = ACTIONS(3346),
    [anon_sym_symbol] = ACTIONS(3346),
    [anon_sym_object] = ACTIONS(3346),
    [anon_sym_abstract] = ACTIONS(3346),
    [anon_sym_interface] = ACTIONS(3346),
    [anon_sym_enum] = ACTIONS(3346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1185] = {
    [sym_comment] = STATE(1185),
    [sym_identifier] = ACTIONS(2171),
    [anon_sym_export] = ACTIONS(2171),
    [anon_sym_default] = ACTIONS(2171),
    [anon_sym_type] = ACTIONS(2171),
    [anon_sym_namespace] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_typeof] = ACTIONS(2171),
    [anon_sym_import] = ACTIONS(2171),
    [anon_sym_with] = ACTIONS(2171),
    [anon_sym_var] = ACTIONS(2171),
    [anon_sym_let] = ACTIONS(2171),
    [anon_sym_const] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_else] = ACTIONS(2171),
    [anon_sym_if] = ACTIONS(2171),
    [anon_sym_switch] = ACTIONS(2171),
    [anon_sym_for] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2171),
    [anon_sym_try] = ACTIONS(2171),
    [anon_sym_break] = ACTIONS(2171),
    [anon_sym_continue] = ACTIONS(2171),
    [anon_sym_debugger] = ACTIONS(2171),
    [anon_sym_return] = ACTIONS(2171),
    [anon_sym_throw] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_case] = ACTIONS(2171),
    [anon_sym_yield] = ACTIONS(2171),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LTtemplate_GT] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2171),
    [anon_sym_async] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2171),
    [anon_sym_using] = ACTIONS(2171),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_void] = ACTIONS(2171),
    [anon_sym_delete] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [sym_private_property_identifier] = ACTIONS(2171),
    [sym_this] = ACTIONS(2171),
    [sym_super] = ACTIONS(2171),
    [sym_true] = ACTIONS(2171),
    [sym_false] = ACTIONS(2171),
    [sym_null] = ACTIONS(2171),
    [sym_undefined] = ACTIONS(2171),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2171),
    [anon_sym_readonly] = ACTIONS(2171),
    [anon_sym_get] = ACTIONS(2171),
    [anon_sym_set] = ACTIONS(2171),
    [anon_sym_declare] = ACTIONS(2171),
    [anon_sym_public] = ACTIONS(2171),
    [anon_sym_private] = ACTIONS(2171),
    [anon_sym_protected] = ACTIONS(2171),
    [anon_sym_override] = ACTIONS(2171),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_any] = ACTIONS(2171),
    [anon_sym_number] = ACTIONS(2171),
    [anon_sym_boolean] = ACTIONS(2171),
    [anon_sym_string] = ACTIONS(2171),
    [anon_sym_symbol] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(2171),
    [anon_sym_abstract] = ACTIONS(2171),
    [anon_sym_interface] = ACTIONS(2171),
    [anon_sym_enum] = ACTIONS(2171),
    [sym_html_comment] = ACTIONS(5),
  },
  [1186] = {
    [sym_comment] = STATE(1186),
    [sym_identifier] = ACTIONS(3348),
    [anon_sym_export] = ACTIONS(3348),
    [anon_sym_default] = ACTIONS(3348),
    [anon_sym_type] = ACTIONS(3348),
    [anon_sym_namespace] = ACTIONS(3348),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_RBRACE] = ACTIONS(3348),
    [anon_sym_typeof] = ACTIONS(3348),
    [anon_sym_import] = ACTIONS(3348),
    [anon_sym_with] = ACTIONS(3348),
    [anon_sym_var] = ACTIONS(3348),
    [anon_sym_let] = ACTIONS(3348),
    [anon_sym_const] = ACTIONS(3348),
    [anon_sym_BANG] = ACTIONS(3348),
    [anon_sym_else] = ACTIONS(3348),
    [anon_sym_if] = ACTIONS(3348),
    [anon_sym_switch] = ACTIONS(3348),
    [anon_sym_for] = ACTIONS(3348),
    [anon_sym_LPAREN] = ACTIONS(3348),
    [anon_sym_await] = ACTIONS(3348),
    [anon_sym_while] = ACTIONS(3348),
    [anon_sym_do] = ACTIONS(3348),
    [anon_sym_try] = ACTIONS(3348),
    [anon_sym_break] = ACTIONS(3348),
    [anon_sym_continue] = ACTIONS(3348),
    [anon_sym_debugger] = ACTIONS(3348),
    [anon_sym_return] = ACTIONS(3348),
    [anon_sym_throw] = ACTIONS(3348),
    [anon_sym_SEMI] = ACTIONS(3348),
    [anon_sym_case] = ACTIONS(3348),
    [anon_sym_yield] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_LTtemplate_GT] = ACTIONS(3348),
    [anon_sym_DQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_async] = ACTIONS(3348),
    [anon_sym_function] = ACTIONS(3348),
    [anon_sym_new] = ACTIONS(3348),
    [anon_sym_using] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3348),
    [anon_sym_DASH] = ACTIONS(3348),
    [anon_sym_SLASH] = ACTIONS(3348),
    [anon_sym_LT] = ACTIONS(3348),
    [anon_sym_TILDE] = ACTIONS(3348),
    [anon_sym_void] = ACTIONS(3348),
    [anon_sym_delete] = ACTIONS(3348),
    [anon_sym_PLUS_PLUS] = ACTIONS(3348),
    [anon_sym_DASH_DASH] = ACTIONS(3348),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3348),
    [sym_number] = ACTIONS(3348),
    [sym_private_property_identifier] = ACTIONS(3348),
    [sym_this] = ACTIONS(3348),
    [sym_super] = ACTIONS(3348),
    [sym_true] = ACTIONS(3348),
    [sym_false] = ACTIONS(3348),
    [sym_null] = ACTIONS(3348),
    [sym_undefined] = ACTIONS(3348),
    [anon_sym_AT] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [anon_sym_readonly] = ACTIONS(3348),
    [anon_sym_get] = ACTIONS(3348),
    [anon_sym_set] = ACTIONS(3348),
    [anon_sym_declare] = ACTIONS(3348),
    [anon_sym_public] = ACTIONS(3348),
    [anon_sym_private] = ACTIONS(3348),
    [anon_sym_protected] = ACTIONS(3348),
    [anon_sym_override] = ACTIONS(3348),
    [anon_sym_module] = ACTIONS(3348),
    [anon_sym_any] = ACTIONS(3348),
    [anon_sym_number] = ACTIONS(3348),
    [anon_sym_boolean] = ACTIONS(3348),
    [anon_sym_string] = ACTIONS(3348),
    [anon_sym_symbol] = ACTIONS(3348),
    [anon_sym_object] = ACTIONS(3348),
    [anon_sym_abstract] = ACTIONS(3348),
    [anon_sym_interface] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(3348),
    [sym_html_comment] = ACTIONS(5),
  },
  [1187] = {
    [sym_comment] = STATE(1187),
    [ts_builtin_sym_end] = ACTIONS(2357),
    [sym_identifier] = ACTIONS(2235),
    [anon_sym_export] = ACTIONS(2235),
    [anon_sym_type] = ACTIONS(2235),
    [anon_sym_namespace] = ACTIONS(2235),
    [anon_sym_LBRACE] = ACTIONS(2235),
    [anon_sym_RBRACE] = ACTIONS(2235),
    [anon_sym_typeof] = ACTIONS(2235),
    [anon_sym_import] = ACTIONS(2235),
    [anon_sym_with] = ACTIONS(2235),
    [anon_sym_var] = ACTIONS(2235),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_switch] = ACTIONS(2235),
    [anon_sym_for] = ACTIONS(2235),
    [anon_sym_LPAREN] = ACTIONS(2235),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_while] = ACTIONS(2235),
    [anon_sym_do] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_break] = ACTIONS(2235),
    [anon_sym_continue] = ACTIONS(2235),
    [anon_sym_debugger] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_throw] = ACTIONS(2235),
    [anon_sym_SEMI] = ACTIONS(2235),
    [anon_sym_yield] = ACTIONS(2235),
    [anon_sym_LBRACK] = ACTIONS(2235),
    [anon_sym_LTtemplate_GT] = ACTIONS(2235),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_SQUOTE] = ACTIONS(2235),
    [anon_sym_class] = ACTIONS(2235),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_function] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(2235),
    [anon_sym_using] = ACTIONS(2235),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_SLASH] = ACTIONS(2235),
    [anon_sym_LT] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_void] = ACTIONS(2235),
    [anon_sym_delete] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2235),
    [anon_sym_DASH_DASH] = ACTIONS(2235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2235),
    [sym_number] = ACTIONS(2235),
    [sym_private_property_identifier] = ACTIONS(2235),
    [sym_this] = ACTIONS(2235),
    [sym_super] = ACTIONS(2235),
    [sym_true] = ACTIONS(2235),
    [sym_false] = ACTIONS(2235),
    [sym_null] = ACTIONS(2235),
    [sym_undefined] = ACTIONS(2235),
    [anon_sym_AT] = ACTIONS(2235),
    [anon_sym_static] = ACTIONS(2235),
    [anon_sym_readonly] = ACTIONS(2235),
    [anon_sym_get] = ACTIONS(2235),
    [anon_sym_set] = ACTIONS(2235),
    [anon_sym_declare] = ACTIONS(2235),
    [anon_sym_public] = ACTIONS(2235),
    [anon_sym_private] = ACTIONS(2235),
    [anon_sym_protected] = ACTIONS(2235),
    [anon_sym_override] = ACTIONS(2235),
    [anon_sym_module] = ACTIONS(2235),
    [anon_sym_any] = ACTIONS(2235),
    [anon_sym_number] = ACTIONS(2235),
    [anon_sym_boolean] = ACTIONS(2235),
    [anon_sym_string] = ACTIONS(2235),
    [anon_sym_symbol] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(2235),
    [anon_sym_abstract] = ACTIONS(2235),
    [anon_sym_interface] = ACTIONS(2235),
    [anon_sym_enum] = ACTIONS(2235),
    [sym__automatic_semicolon] = ACTIONS(2449),
    [sym_html_comment] = ACTIONS(5),
  },
  [1188] = {
    [sym_comment] = STATE(1188),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1189] = {
    [sym_comment] = STATE(1189),
    [sym_identifier] = ACTIONS(3352),
    [anon_sym_export] = ACTIONS(3352),
    [anon_sym_default] = ACTIONS(3352),
    [anon_sym_type] = ACTIONS(3352),
    [anon_sym_namespace] = ACTIONS(3352),
    [anon_sym_LBRACE] = ACTIONS(3352),
    [anon_sym_RBRACE] = ACTIONS(3352),
    [anon_sym_typeof] = ACTIONS(3352),
    [anon_sym_import] = ACTIONS(3352),
    [anon_sym_with] = ACTIONS(3352),
    [anon_sym_var] = ACTIONS(3352),
    [anon_sym_let] = ACTIONS(3352),
    [anon_sym_const] = ACTIONS(3352),
    [anon_sym_BANG] = ACTIONS(3352),
    [anon_sym_if] = ACTIONS(3352),
    [anon_sym_switch] = ACTIONS(3352),
    [anon_sym_for] = ACTIONS(3352),
    [anon_sym_LPAREN] = ACTIONS(3352),
    [anon_sym_await] = ACTIONS(3352),
    [anon_sym_while] = ACTIONS(3352),
    [anon_sym_do] = ACTIONS(3352),
    [anon_sym_try] = ACTIONS(3352),
    [anon_sym_break] = ACTIONS(3352),
    [anon_sym_continue] = ACTIONS(3352),
    [anon_sym_debugger] = ACTIONS(3352),
    [anon_sym_return] = ACTIONS(3352),
    [anon_sym_throw] = ACTIONS(3352),
    [anon_sym_SEMI] = ACTIONS(3352),
    [anon_sym_case] = ACTIONS(3352),
    [anon_sym_yield] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3352),
    [anon_sym_LTtemplate_GT] = ACTIONS(3352),
    [anon_sym_DQUOTE] = ACTIONS(3352),
    [anon_sym_SQUOTE] = ACTIONS(3352),
    [anon_sym_class] = ACTIONS(3352),
    [anon_sym_async] = ACTIONS(3352),
    [anon_sym_function] = ACTIONS(3352),
    [anon_sym_new] = ACTIONS(3352),
    [anon_sym_using] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(3352),
    [anon_sym_DASH] = ACTIONS(3352),
    [anon_sym_SLASH] = ACTIONS(3352),
    [anon_sym_LT] = ACTIONS(3352),
    [anon_sym_TILDE] = ACTIONS(3352),
    [anon_sym_void] = ACTIONS(3352),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_PLUS_PLUS] = ACTIONS(3352),
    [anon_sym_DASH_DASH] = ACTIONS(3352),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3352),
    [sym_number] = ACTIONS(3352),
    [sym_private_property_identifier] = ACTIONS(3352),
    [sym_this] = ACTIONS(3352),
    [sym_super] = ACTIONS(3352),
    [sym_true] = ACTIONS(3352),
    [sym_false] = ACTIONS(3352),
    [sym_null] = ACTIONS(3352),
    [sym_undefined] = ACTIONS(3352),
    [anon_sym_AT] = ACTIONS(3352),
    [anon_sym_static] = ACTIONS(3352),
    [anon_sym_readonly] = ACTIONS(3352),
    [anon_sym_get] = ACTIONS(3352),
    [anon_sym_set] = ACTIONS(3352),
    [anon_sym_declare] = ACTIONS(3352),
    [anon_sym_public] = ACTIONS(3352),
    [anon_sym_private] = ACTIONS(3352),
    [anon_sym_protected] = ACTIONS(3352),
    [anon_sym_override] = ACTIONS(3352),
    [anon_sym_module] = ACTIONS(3352),
    [anon_sym_any] = ACTIONS(3352),
    [anon_sym_number] = ACTIONS(3352),
    [anon_sym_boolean] = ACTIONS(3352),
    [anon_sym_string] = ACTIONS(3352),
    [anon_sym_symbol] = ACTIONS(3352),
    [anon_sym_object] = ACTIONS(3352),
    [anon_sym_abstract] = ACTIONS(3352),
    [anon_sym_interface] = ACTIONS(3352),
    [anon_sym_enum] = ACTIONS(3352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1190] = {
    [sym_comment] = STATE(1190),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1191] = {
    [sym_comment] = STATE(1191),
    [sym_identifier] = ACTIONS(2209),
    [anon_sym_export] = ACTIONS(2209),
    [anon_sym_default] = ACTIONS(2209),
    [anon_sym_type] = ACTIONS(2209),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_RBRACE] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(2209),
    [anon_sym_import] = ACTIONS(2209),
    [anon_sym_with] = ACTIONS(2209),
    [anon_sym_var] = ACTIONS(2209),
    [anon_sym_let] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_debugger] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2209),
    [anon_sym_case] = ACTIONS(2209),
    [anon_sym_yield] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [anon_sym_SQUOTE] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_SLASH] = ACTIONS(2209),
    [anon_sym_LT] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_void] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2209),
    [sym_number] = ACTIONS(2209),
    [sym_private_property_identifier] = ACTIONS(2209),
    [sym_this] = ACTIONS(2209),
    [sym_super] = ACTIONS(2209),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [sym_null] = ACTIONS(2209),
    [sym_undefined] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_readonly] = ACTIONS(2209),
    [anon_sym_get] = ACTIONS(2209),
    [anon_sym_set] = ACTIONS(2209),
    [anon_sym_declare] = ACTIONS(2209),
    [anon_sym_public] = ACTIONS(2209),
    [anon_sym_private] = ACTIONS(2209),
    [anon_sym_protected] = ACTIONS(2209),
    [anon_sym_override] = ACTIONS(2209),
    [anon_sym_module] = ACTIONS(2209),
    [anon_sym_any] = ACTIONS(2209),
    [anon_sym_number] = ACTIONS(2209),
    [anon_sym_boolean] = ACTIONS(2209),
    [anon_sym_string] = ACTIONS(2209),
    [anon_sym_symbol] = ACTIONS(2209),
    [anon_sym_object] = ACTIONS(2209),
    [anon_sym_abstract] = ACTIONS(2209),
    [anon_sym_interface] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1192] = {
    [sym_comment] = STATE(1192),
    [sym_identifier] = ACTIONS(2143),
    [anon_sym_export] = ACTIONS(2143),
    [anon_sym_default] = ACTIONS(2143),
    [anon_sym_type] = ACTIONS(2143),
    [anon_sym_namespace] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(2143),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [anon_sym_typeof] = ACTIONS(2143),
    [anon_sym_import] = ACTIONS(2143),
    [anon_sym_with] = ACTIONS(2143),
    [anon_sym_var] = ACTIONS(2143),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(2143),
    [anon_sym_BANG] = ACTIONS(2143),
    [anon_sym_if] = ACTIONS(2143),
    [anon_sym_switch] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2143),
    [anon_sym_LPAREN] = ACTIONS(2143),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2143),
    [anon_sym_try] = ACTIONS(2143),
    [anon_sym_break] = ACTIONS(2143),
    [anon_sym_continue] = ACTIONS(2143),
    [anon_sym_debugger] = ACTIONS(2143),
    [anon_sym_return] = ACTIONS(2143),
    [anon_sym_throw] = ACTIONS(2143),
    [anon_sym_SEMI] = ACTIONS(2143),
    [anon_sym_case] = ACTIONS(2143),
    [anon_sym_yield] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(2143),
    [anon_sym_DQUOTE] = ACTIONS(2143),
    [anon_sym_SQUOTE] = ACTIONS(2143),
    [anon_sym_class] = ACTIONS(2143),
    [anon_sym_async] = ACTIONS(2143),
    [anon_sym_function] = ACTIONS(2143),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_using] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(2143),
    [anon_sym_DASH] = ACTIONS(2143),
    [anon_sym_SLASH] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(2143),
    [anon_sym_void] = ACTIONS(2143),
    [anon_sym_delete] = ACTIONS(2143),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2143),
    [sym_number] = ACTIONS(2143),
    [sym_private_property_identifier] = ACTIONS(2143),
    [sym_this] = ACTIONS(2143),
    [sym_super] = ACTIONS(2143),
    [sym_true] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
    [sym_null] = ACTIONS(2143),
    [sym_undefined] = ACTIONS(2143),
    [anon_sym_AT] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2143),
    [anon_sym_readonly] = ACTIONS(2143),
    [anon_sym_get] = ACTIONS(2143),
    [anon_sym_set] = ACTIONS(2143),
    [anon_sym_declare] = ACTIONS(2143),
    [anon_sym_public] = ACTIONS(2143),
    [anon_sym_private] = ACTIONS(2143),
    [anon_sym_protected] = ACTIONS(2143),
    [anon_sym_override] = ACTIONS(2143),
    [anon_sym_module] = ACTIONS(2143),
    [anon_sym_any] = ACTIONS(2143),
    [anon_sym_number] = ACTIONS(2143),
    [anon_sym_boolean] = ACTIONS(2143),
    [anon_sym_string] = ACTIONS(2143),
    [anon_sym_symbol] = ACTIONS(2143),
    [anon_sym_object] = ACTIONS(2143),
    [anon_sym_abstract] = ACTIONS(2143),
    [anon_sym_interface] = ACTIONS(2143),
    [anon_sym_enum] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [1193] = {
    [sym_statement_block] = STATE(1671),
    [sym_comment] = STATE(1193),
    [ts_builtin_sym_end] = ACTIONS(2073),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [1194] = {
    [sym_comment] = STATE(1194),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1195] = {
    [sym_comment] = STATE(1195),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1196] = {
    [sym_comment] = STATE(1196),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [1197] = {
    [sym_comment] = STATE(1197),
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2225),
    [anon_sym_export] = ACTIONS(2225),
    [anon_sym_type] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(2225),
    [anon_sym_import] = ACTIONS(2225),
    [anon_sym_with] = ACTIONS(2225),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2225),
    [anon_sym_const] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_debugger] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_yield] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LTtemplate_GT] = ACTIONS(2225),
    [anon_sym_DQUOTE] = ACTIONS(2225),
    [anon_sym_SQUOTE] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_using] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_SLASH] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_void] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_number] = ACTIONS(2225),
    [sym_private_property_identifier] = ACTIONS(2225),
    [sym_this] = ACTIONS(2225),
    [sym_super] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_undefined] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_static] = ACTIONS(2225),
    [anon_sym_readonly] = ACTIONS(2225),
    [anon_sym_get] = ACTIONS(2225),
    [anon_sym_set] = ACTIONS(2225),
    [anon_sym_declare] = ACTIONS(2225),
    [anon_sym_public] = ACTIONS(2225),
    [anon_sym_private] = ACTIONS(2225),
    [anon_sym_protected] = ACTIONS(2225),
    [anon_sym_override] = ACTIONS(2225),
    [anon_sym_module] = ACTIONS(2225),
    [anon_sym_any] = ACTIONS(2225),
    [anon_sym_number] = ACTIONS(2225),
    [anon_sym_boolean] = ACTIONS(2225),
    [anon_sym_string] = ACTIONS(2225),
    [anon_sym_symbol] = ACTIONS(2225),
    [anon_sym_object] = ACTIONS(2225),
    [anon_sym_abstract] = ACTIONS(2225),
    [anon_sym_interface] = ACTIONS(2225),
    [anon_sym_enum] = ACTIONS(2225),
    [sym__automatic_semicolon] = ACTIONS(2439),
    [sym_html_comment] = ACTIONS(5),
  },
  [1198] = {
    [sym_comment] = STATE(1198),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_type] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_typeof] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3180),
    [anon_sym_with] = ACTIONS(3180),
    [anon_sym_var] = ACTIONS(3180),
    [anon_sym_let] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_await] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_debugger] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_yield] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_LTtemplate_GT] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_async] = ACTIONS(3180),
    [anon_sym_function] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_void] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3180),
    [sym_number] = ACTIONS(3180),
    [sym_private_property_identifier] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
    [sym_super] = ACTIONS(3180),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [sym_null] = ACTIONS(3180),
    [sym_undefined] = ACTIONS(3180),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_readonly] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3180),
    [anon_sym_set] = ACTIONS(3180),
    [anon_sym_declare] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_override] = ACTIONS(3180),
    [anon_sym_module] = ACTIONS(3180),
    [anon_sym_any] = ACTIONS(3180),
    [anon_sym_number] = ACTIONS(3180),
    [anon_sym_boolean] = ACTIONS(3180),
    [anon_sym_string] = ACTIONS(3180),
    [anon_sym_symbol] = ACTIONS(3180),
    [anon_sym_object] = ACTIONS(3180),
    [anon_sym_abstract] = ACTIONS(3180),
    [anon_sym_interface] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1199] = {
    [sym_comment] = STATE(1199),
    [sym_identifier] = ACTIONS(3182),
    [anon_sym_export] = ACTIONS(3182),
    [anon_sym_default] = ACTIONS(3182),
    [anon_sym_type] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_typeof] = ACTIONS(3182),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_with] = ACTIONS(3182),
    [anon_sym_var] = ACTIONS(3182),
    [anon_sym_let] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_LPAREN] = ACTIONS(3182),
    [anon_sym_await] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_debugger] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_case] = ACTIONS(3182),
    [anon_sym_yield] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_LTtemplate_GT] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3182),
    [anon_sym_function] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_SLASH] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_void] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3182),
    [sym_number] = ACTIONS(3182),
    [sym_private_property_identifier] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
    [sym_super] = ACTIONS(3182),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [sym_null] = ACTIONS(3182),
    [sym_undefined] = ACTIONS(3182),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_readonly] = ACTIONS(3182),
    [anon_sym_get] = ACTIONS(3182),
    [anon_sym_set] = ACTIONS(3182),
    [anon_sym_declare] = ACTIONS(3182),
    [anon_sym_public] = ACTIONS(3182),
    [anon_sym_private] = ACTIONS(3182),
    [anon_sym_protected] = ACTIONS(3182),
    [anon_sym_override] = ACTIONS(3182),
    [anon_sym_module] = ACTIONS(3182),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3182),
    [anon_sym_interface] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [sym_html_comment] = ACTIONS(5),
  },
  [1200] = {
    [sym_comment] = STATE(1200),
    [sym_identifier] = ACTIONS(3184),
    [anon_sym_export] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_type] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_typeof] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3184),
    [anon_sym_with] = ACTIONS(3184),
    [anon_sym_var] = ACTIONS(3184),
    [anon_sym_let] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_await] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_debugger] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_yield] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_LTtemplate_GT] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_function] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_void] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3184),
    [sym_private_property_identifier] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
    [sym_super] = ACTIONS(3184),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [sym_null] = ACTIONS(3184),
    [sym_undefined] = ACTIONS(3184),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_readonly] = ACTIONS(3184),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_declare] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_module] = ACTIONS(3184),
    [anon_sym_any] = ACTIONS(3184),
    [anon_sym_number] = ACTIONS(3184),
    [anon_sym_boolean] = ACTIONS(3184),
    [anon_sym_string] = ACTIONS(3184),
    [anon_sym_symbol] = ACTIONS(3184),
    [anon_sym_object] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_interface] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [sym_html_comment] = ACTIONS(5),
  },
  [1201] = {
    [sym_comment] = STATE(1201),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_export] = ACTIONS(3186),
    [anon_sym_default] = ACTIONS(3186),
    [anon_sym_type] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_typeof] = ACTIONS(3186),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_var] = ACTIONS(3186),
    [anon_sym_let] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_debugger] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_case] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_LTtemplate_GT] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_function] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_void] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3186),
    [sym_number] = ACTIONS(3186),
    [sym_private_property_identifier] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
    [sym_super] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_null] = ACTIONS(3186),
    [sym_undefined] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_readonly] = ACTIONS(3186),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_declare] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_module] = ACTIONS(3186),
    [anon_sym_any] = ACTIONS(3186),
    [anon_sym_number] = ACTIONS(3186),
    [anon_sym_boolean] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_symbol] = ACTIONS(3186),
    [anon_sym_object] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_interface] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [sym_html_comment] = ACTIONS(5),
  },
  [1202] = {
    [sym_comment] = STATE(1202),
    [sym_identifier] = ACTIONS(3188),
    [anon_sym_export] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_type] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_typeof] = ACTIONS(3188),
    [anon_sym_import] = ACTIONS(3188),
    [anon_sym_with] = ACTIONS(3188),
    [anon_sym_var] = ACTIONS(3188),
    [anon_sym_let] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_await] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_debugger] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_yield] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_LTtemplate_GT] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_async] = ACTIONS(3188),
    [anon_sym_function] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_void] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3188),
    [sym_number] = ACTIONS(3188),
    [sym_private_property_identifier] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
    [sym_super] = ACTIONS(3188),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [sym_null] = ACTIONS(3188),
    [sym_undefined] = ACTIONS(3188),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_readonly] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3188),
    [anon_sym_set] = ACTIONS(3188),
    [anon_sym_declare] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_protected] = ACTIONS(3188),
    [anon_sym_override] = ACTIONS(3188),
    [anon_sym_module] = ACTIONS(3188),
    [anon_sym_any] = ACTIONS(3188),
    [anon_sym_number] = ACTIONS(3188),
    [anon_sym_boolean] = ACTIONS(3188),
    [anon_sym_string] = ACTIONS(3188),
    [anon_sym_symbol] = ACTIONS(3188),
    [anon_sym_object] = ACTIONS(3188),
    [anon_sym_abstract] = ACTIONS(3188),
    [anon_sym_interface] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [sym_html_comment] = ACTIONS(5),
  },
  [1203] = {
    [sym_comment] = STATE(1203),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_export] = ACTIONS(3190),
    [anon_sym_default] = ACTIONS(3190),
    [anon_sym_type] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_typeof] = ACTIONS(3190),
    [anon_sym_import] = ACTIONS(3190),
    [anon_sym_with] = ACTIONS(3190),
    [anon_sym_var] = ACTIONS(3190),
    [anon_sym_let] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3190),
    [anon_sym_await] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_debugger] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_case] = ACTIONS(3190),
    [anon_sym_yield] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_LTtemplate_GT] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_async] = ACTIONS(3190),
    [anon_sym_function] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_void] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3190),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
    [sym_super] = ACTIONS(3190),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3190),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_declare] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(3190),
    [anon_sym_any] = ACTIONS(3190),
    [anon_sym_number] = ACTIONS(3190),
    [anon_sym_boolean] = ACTIONS(3190),
    [anon_sym_string] = ACTIONS(3190),
    [anon_sym_symbol] = ACTIONS(3190),
    [anon_sym_object] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_interface] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1204] = {
    [sym_comment] = STATE(1204),
    [ts_builtin_sym_end] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2425),
    [sym_html_comment] = ACTIONS(5),
  },
  [1205] = {
    [sym_comment] = STATE(1205),
    [ts_builtin_sym_end] = ACTIONS(3138),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_export] = ACTIONS(3108),
    [anon_sym_type] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_RBRACE] = ACTIONS(3108),
    [anon_sym_typeof] = ACTIONS(3108),
    [anon_sym_import] = ACTIONS(3108),
    [anon_sym_with] = ACTIONS(3108),
    [anon_sym_var] = ACTIONS(3108),
    [anon_sym_let] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_BANG] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_await] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_debugger] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_finally] = ACTIONS(3108),
    [anon_sym_yield] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_LTtemplate_GT] = ACTIONS(3108),
    [anon_sym_DQUOTE] = ACTIONS(3108),
    [anon_sym_SQUOTE] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_async] = ACTIONS(3108),
    [anon_sym_function] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_TILDE] = ACTIONS(3108),
    [anon_sym_void] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3108),
    [sym_number] = ACTIONS(3108),
    [sym_private_property_identifier] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
    [sym_super] = ACTIONS(3108),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [sym_null] = ACTIONS(3108),
    [sym_undefined] = ACTIONS(3108),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_readonly] = ACTIONS(3108),
    [anon_sym_get] = ACTIONS(3108),
    [anon_sym_set] = ACTIONS(3108),
    [anon_sym_declare] = ACTIONS(3108),
    [anon_sym_public] = ACTIONS(3108),
    [anon_sym_private] = ACTIONS(3108),
    [anon_sym_protected] = ACTIONS(3108),
    [anon_sym_override] = ACTIONS(3108),
    [anon_sym_module] = ACTIONS(3108),
    [anon_sym_any] = ACTIONS(3108),
    [anon_sym_number] = ACTIONS(3108),
    [anon_sym_boolean] = ACTIONS(3108),
    [anon_sym_string] = ACTIONS(3108),
    [anon_sym_symbol] = ACTIONS(3108),
    [anon_sym_object] = ACTIONS(3108),
    [anon_sym_abstract] = ACTIONS(3108),
    [anon_sym_interface] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [sym_html_comment] = ACTIONS(5),
  },
  [1206] = {
    [sym_comment] = STATE(1206),
    [ts_builtin_sym_end] = ACTIONS(2291),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2437),
    [sym_html_comment] = ACTIONS(5),
  },
  [1207] = {
    [sym_comment] = STATE(1207),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1208] = {
    [sym_comment] = STATE(1208),
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2445),
    [sym_html_comment] = ACTIONS(5),
  },
  [1209] = {
    [sym_comment] = STATE(1209),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3356),
    [sym_html_comment] = ACTIONS(5),
  },
  [1210] = {
    [sym_comment] = STATE(1210),
    [ts_builtin_sym_end] = ACTIONS(2275),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2423),
    [sym_html_comment] = ACTIONS(5),
  },
  [1211] = {
    [sym_comment] = STATE(1211),
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_export] = ACTIONS(3110),
    [anon_sym_default] = ACTIONS(3110),
    [anon_sym_type] = ACTIONS(3110),
    [anon_sym_namespace] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_typeof] = ACTIONS(3110),
    [anon_sym_import] = ACTIONS(3110),
    [anon_sym_with] = ACTIONS(3110),
    [anon_sym_var] = ACTIONS(3110),
    [anon_sym_let] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_switch] = ACTIONS(3110),
    [anon_sym_for] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3110),
    [anon_sym_await] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_do] = ACTIONS(3110),
    [anon_sym_try] = ACTIONS(3110),
    [anon_sym_break] = ACTIONS(3110),
    [anon_sym_continue] = ACTIONS(3110),
    [anon_sym_debugger] = ACTIONS(3110),
    [anon_sym_return] = ACTIONS(3110),
    [anon_sym_throw] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_case] = ACTIONS(3110),
    [anon_sym_yield] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_LTtemplate_GT] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_class] = ACTIONS(3110),
    [anon_sym_async] = ACTIONS(3110),
    [anon_sym_function] = ACTIONS(3110),
    [anon_sym_new] = ACTIONS(3110),
    [anon_sym_using] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_void] = ACTIONS(3110),
    [anon_sym_delete] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3110),
    [sym_number] = ACTIONS(3110),
    [sym_private_property_identifier] = ACTIONS(3110),
    [sym_this] = ACTIONS(3110),
    [sym_super] = ACTIONS(3110),
    [sym_true] = ACTIONS(3110),
    [sym_false] = ACTIONS(3110),
    [sym_null] = ACTIONS(3110),
    [sym_undefined] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3110),
    [anon_sym_static] = ACTIONS(3110),
    [anon_sym_readonly] = ACTIONS(3110),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_declare] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_module] = ACTIONS(3110),
    [anon_sym_any] = ACTIONS(3110),
    [anon_sym_number] = ACTIONS(3110),
    [anon_sym_boolean] = ACTIONS(3110),
    [anon_sym_string] = ACTIONS(3110),
    [anon_sym_symbol] = ACTIONS(3110),
    [anon_sym_object] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_interface] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [sym_html_comment] = ACTIONS(5),
  },
  [1212] = {
    [sym_comment] = STATE(1212),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1213] = {
    [sym_comment] = STATE(1213),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_default] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_case] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1214] = {
    [sym_comment] = STATE(1214),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_export] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_type] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_typeof] = ACTIONS(3204),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_with] = ACTIONS(3204),
    [anon_sym_var] = ACTIONS(3204),
    [anon_sym_let] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_BANG] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_await] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_debugger] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_yield] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_LTtemplate_GT] = ACTIONS(3204),
    [anon_sym_DQUOTE] = ACTIONS(3204),
    [anon_sym_SQUOTE] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_async] = ACTIONS(3204),
    [anon_sym_function] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_TILDE] = ACTIONS(3204),
    [anon_sym_void] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3204),
    [sym_number] = ACTIONS(3204),
    [sym_private_property_identifier] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
    [sym_super] = ACTIONS(3204),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [sym_null] = ACTIONS(3204),
    [sym_undefined] = ACTIONS(3204),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_readonly] = ACTIONS(3204),
    [anon_sym_get] = ACTIONS(3204),
    [anon_sym_set] = ACTIONS(3204),
    [anon_sym_declare] = ACTIONS(3204),
    [anon_sym_public] = ACTIONS(3204),
    [anon_sym_private] = ACTIONS(3204),
    [anon_sym_protected] = ACTIONS(3204),
    [anon_sym_override] = ACTIONS(3204),
    [anon_sym_module] = ACTIONS(3204),
    [anon_sym_any] = ACTIONS(3204),
    [anon_sym_number] = ACTIONS(3204),
    [anon_sym_boolean] = ACTIONS(3204),
    [anon_sym_string] = ACTIONS(3204),
    [anon_sym_symbol] = ACTIONS(3204),
    [anon_sym_object] = ACTIONS(3204),
    [anon_sym_abstract] = ACTIONS(3204),
    [anon_sym_interface] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [1215] = {
    [sym_comment] = STATE(1215),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_export] = ACTIONS(3210),
    [anon_sym_default] = ACTIONS(3210),
    [anon_sym_type] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_typeof] = ACTIONS(3210),
    [anon_sym_import] = ACTIONS(3210),
    [anon_sym_with] = ACTIONS(3210),
    [anon_sym_var] = ACTIONS(3210),
    [anon_sym_let] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3210),
    [anon_sym_await] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_debugger] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_case] = ACTIONS(3210),
    [anon_sym_yield] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_LTtemplate_GT] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_async] = ACTIONS(3210),
    [anon_sym_function] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_void] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3210),
    [sym_number] = ACTIONS(3210),
    [sym_private_property_identifier] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
    [sym_super] = ACTIONS(3210),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [sym_null] = ACTIONS(3210),
    [sym_undefined] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_readonly] = ACTIONS(3210),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_declare] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_module] = ACTIONS(3210),
    [anon_sym_any] = ACTIONS(3210),
    [anon_sym_number] = ACTIONS(3210),
    [anon_sym_boolean] = ACTIONS(3210),
    [anon_sym_string] = ACTIONS(3210),
    [anon_sym_symbol] = ACTIONS(3210),
    [anon_sym_object] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_interface] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1216] = {
    [sym_comment] = STATE(1216),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_export] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_type] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_typeof] = ACTIONS(3212),
    [anon_sym_import] = ACTIONS(3212),
    [anon_sym_with] = ACTIONS(3212),
    [anon_sym_var] = ACTIONS(3212),
    [anon_sym_let] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_await] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_debugger] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_yield] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_LTtemplate_GT] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_async] = ACTIONS(3212),
    [anon_sym_function] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_void] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3212),
    [sym_number] = ACTIONS(3212),
    [sym_private_property_identifier] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
    [sym_super] = ACTIONS(3212),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [sym_null] = ACTIONS(3212),
    [sym_undefined] = ACTIONS(3212),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_readonly] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3212),
    [anon_sym_declare] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_override] = ACTIONS(3212),
    [anon_sym_module] = ACTIONS(3212),
    [anon_sym_any] = ACTIONS(3212),
    [anon_sym_number] = ACTIONS(3212),
    [anon_sym_boolean] = ACTIONS(3212),
    [anon_sym_string] = ACTIONS(3212),
    [anon_sym_symbol] = ACTIONS(3212),
    [anon_sym_object] = ACTIONS(3212),
    [anon_sym_abstract] = ACTIONS(3212),
    [anon_sym_interface] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1217] = {
    [sym_comment] = STATE(1217),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_export] = ACTIONS(3214),
    [anon_sym_default] = ACTIONS(3214),
    [anon_sym_type] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_typeof] = ACTIONS(3214),
    [anon_sym_import] = ACTIONS(3214),
    [anon_sym_with] = ACTIONS(3214),
    [anon_sym_var] = ACTIONS(3214),
    [anon_sym_let] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_await] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_debugger] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_case] = ACTIONS(3214),
    [anon_sym_yield] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_LTtemplate_GT] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_async] = ACTIONS(3214),
    [anon_sym_function] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_void] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3214),
    [sym_number] = ACTIONS(3214),
    [sym_private_property_identifier] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
    [sym_super] = ACTIONS(3214),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [sym_null] = ACTIONS(3214),
    [sym_undefined] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_readonly] = ACTIONS(3214),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_declare] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_module] = ACTIONS(3214),
    [anon_sym_any] = ACTIONS(3214),
    [anon_sym_number] = ACTIONS(3214),
    [anon_sym_boolean] = ACTIONS(3214),
    [anon_sym_string] = ACTIONS(3214),
    [anon_sym_symbol] = ACTIONS(3214),
    [anon_sym_object] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_interface] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [sym_html_comment] = ACTIONS(5),
  },
  [1218] = {
    [sym_comment] = STATE(1218),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1219] = {
    [sym_comment] = STATE(1219),
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_export] = ACTIONS(3218),
    [anon_sym_default] = ACTIONS(3218),
    [anon_sym_type] = ACTIONS(3218),
    [anon_sym_namespace] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_typeof] = ACTIONS(3218),
    [anon_sym_import] = ACTIONS(3218),
    [anon_sym_with] = ACTIONS(3218),
    [anon_sym_var] = ACTIONS(3218),
    [anon_sym_let] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_switch] = ACTIONS(3218),
    [anon_sym_for] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3218),
    [anon_sym_await] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_do] = ACTIONS(3218),
    [anon_sym_try] = ACTIONS(3218),
    [anon_sym_break] = ACTIONS(3218),
    [anon_sym_continue] = ACTIONS(3218),
    [anon_sym_debugger] = ACTIONS(3218),
    [anon_sym_return] = ACTIONS(3218),
    [anon_sym_throw] = ACTIONS(3218),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym_case] = ACTIONS(3218),
    [anon_sym_yield] = ACTIONS(3218),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_LTtemplate_GT] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3218),
    [anon_sym_async] = ACTIONS(3218),
    [anon_sym_function] = ACTIONS(3218),
    [anon_sym_new] = ACTIONS(3218),
    [anon_sym_using] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_void] = ACTIONS(3218),
    [anon_sym_delete] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3218),
    [sym_number] = ACTIONS(3218),
    [sym_private_property_identifier] = ACTIONS(3218),
    [sym_this] = ACTIONS(3218),
    [sym_super] = ACTIONS(3218),
    [sym_true] = ACTIONS(3218),
    [sym_false] = ACTIONS(3218),
    [sym_null] = ACTIONS(3218),
    [sym_undefined] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3218),
    [anon_sym_readonly] = ACTIONS(3218),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_declare] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_module] = ACTIONS(3218),
    [anon_sym_any] = ACTIONS(3218),
    [anon_sym_number] = ACTIONS(3218),
    [anon_sym_boolean] = ACTIONS(3218),
    [anon_sym_string] = ACTIONS(3218),
    [anon_sym_symbol] = ACTIONS(3218),
    [anon_sym_object] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_interface] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [sym_html_comment] = ACTIONS(5),
  },
  [1220] = {
    [sym_comment] = STATE(1220),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_export] = ACTIONS(3220),
    [anon_sym_default] = ACTIONS(3220),
    [anon_sym_type] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [anon_sym_typeof] = ACTIONS(3220),
    [anon_sym_import] = ACTIONS(3220),
    [anon_sym_with] = ACTIONS(3220),
    [anon_sym_var] = ACTIONS(3220),
    [anon_sym_let] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_BANG] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_await] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_debugger] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_case] = ACTIONS(3220),
    [anon_sym_yield] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_LTtemplate_GT] = ACTIONS(3220),
    [anon_sym_DQUOTE] = ACTIONS(3220),
    [anon_sym_SQUOTE] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_async] = ACTIONS(3220),
    [anon_sym_function] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_TILDE] = ACTIONS(3220),
    [anon_sym_void] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3220),
    [sym_number] = ACTIONS(3220),
    [sym_private_property_identifier] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
    [sym_super] = ACTIONS(3220),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [sym_null] = ACTIONS(3220),
    [sym_undefined] = ACTIONS(3220),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_readonly] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3220),
    [anon_sym_set] = ACTIONS(3220),
    [anon_sym_declare] = ACTIONS(3220),
    [anon_sym_public] = ACTIONS(3220),
    [anon_sym_private] = ACTIONS(3220),
    [anon_sym_protected] = ACTIONS(3220),
    [anon_sym_override] = ACTIONS(3220),
    [anon_sym_module] = ACTIONS(3220),
    [anon_sym_any] = ACTIONS(3220),
    [anon_sym_number] = ACTIONS(3220),
    [anon_sym_boolean] = ACTIONS(3220),
    [anon_sym_string] = ACTIONS(3220),
    [anon_sym_symbol] = ACTIONS(3220),
    [anon_sym_object] = ACTIONS(3220),
    [anon_sym_abstract] = ACTIONS(3220),
    [anon_sym_interface] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [sym_html_comment] = ACTIONS(5),
  },
  [1221] = {
    [sym_comment] = STATE(1221),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_default] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_case] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1222] = {
    [sym_comment] = STATE(1222),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_export] = ACTIONS(3224),
    [anon_sym_default] = ACTIONS(3224),
    [anon_sym_type] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3224),
    [anon_sym_RBRACE] = ACTIONS(3224),
    [anon_sym_typeof] = ACTIONS(3224),
    [anon_sym_import] = ACTIONS(3224),
    [anon_sym_with] = ACTIONS(3224),
    [anon_sym_var] = ACTIONS(3224),
    [anon_sym_let] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_LPAREN] = ACTIONS(3224),
    [anon_sym_await] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_debugger] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3224),
    [anon_sym_case] = ACTIONS(3224),
    [anon_sym_yield] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_LTtemplate_GT] = ACTIONS(3224),
    [anon_sym_DQUOTE] = ACTIONS(3224),
    [anon_sym_SQUOTE] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_async] = ACTIONS(3224),
    [anon_sym_function] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_TILDE] = ACTIONS(3224),
    [anon_sym_void] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3224),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3224),
    [sym_number] = ACTIONS(3224),
    [sym_private_property_identifier] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
    [sym_super] = ACTIONS(3224),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [sym_null] = ACTIONS(3224),
    [sym_undefined] = ACTIONS(3224),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_readonly] = ACTIONS(3224),
    [anon_sym_get] = ACTIONS(3224),
    [anon_sym_set] = ACTIONS(3224),
    [anon_sym_declare] = ACTIONS(3224),
    [anon_sym_public] = ACTIONS(3224),
    [anon_sym_private] = ACTIONS(3224),
    [anon_sym_protected] = ACTIONS(3224),
    [anon_sym_override] = ACTIONS(3224),
    [anon_sym_module] = ACTIONS(3224),
    [anon_sym_any] = ACTIONS(3224),
    [anon_sym_number] = ACTIONS(3224),
    [anon_sym_boolean] = ACTIONS(3224),
    [anon_sym_string] = ACTIONS(3224),
    [anon_sym_symbol] = ACTIONS(3224),
    [anon_sym_object] = ACTIONS(3224),
    [anon_sym_abstract] = ACTIONS(3224),
    [anon_sym_interface] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [sym_html_comment] = ACTIONS(5),
  },
  [1223] = {
    [sym_comment] = STATE(1223),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1224] = {
    [sym_comment] = STATE(1224),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1225] = {
    [sym_comment] = STATE(1225),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1226] = {
    [sym_comment] = STATE(1226),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_export] = ACTIONS(3228),
    [anon_sym_default] = ACTIONS(3228),
    [anon_sym_type] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_RBRACE] = ACTIONS(3228),
    [anon_sym_typeof] = ACTIONS(3228),
    [anon_sym_import] = ACTIONS(3228),
    [anon_sym_with] = ACTIONS(3228),
    [anon_sym_var] = ACTIONS(3228),
    [anon_sym_let] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_LPAREN] = ACTIONS(3228),
    [anon_sym_await] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_debugger] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym_case] = ACTIONS(3228),
    [anon_sym_yield] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_LTtemplate_GT] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_async] = ACTIONS(3228),
    [anon_sym_function] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_void] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3228),
    [sym_number] = ACTIONS(3228),
    [sym_private_property_identifier] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
    [sym_super] = ACTIONS(3228),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [sym_null] = ACTIONS(3228),
    [sym_undefined] = ACTIONS(3228),
    [anon_sym_AT] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_readonly] = ACTIONS(3228),
    [anon_sym_get] = ACTIONS(3228),
    [anon_sym_set] = ACTIONS(3228),
    [anon_sym_declare] = ACTIONS(3228),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_override] = ACTIONS(3228),
    [anon_sym_module] = ACTIONS(3228),
    [anon_sym_any] = ACTIONS(3228),
    [anon_sym_number] = ACTIONS(3228),
    [anon_sym_boolean] = ACTIONS(3228),
    [anon_sym_string] = ACTIONS(3228),
    [anon_sym_symbol] = ACTIONS(3228),
    [anon_sym_object] = ACTIONS(3228),
    [anon_sym_abstract] = ACTIONS(3228),
    [anon_sym_interface] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [sym_html_comment] = ACTIONS(5),
  },
  [1227] = {
    [sym_comment] = STATE(1227),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1228] = {
    [sym_comment] = STATE(1228),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1229] = {
    [sym_comment] = STATE(1229),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1230] = {
    [sym_comment] = STATE(1230),
    [sym_identifier] = ACTIONS(3230),
    [anon_sym_export] = ACTIONS(3230),
    [anon_sym_default] = ACTIONS(3230),
    [anon_sym_type] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_typeof] = ACTIONS(3230),
    [anon_sym_import] = ACTIONS(3230),
    [anon_sym_with] = ACTIONS(3230),
    [anon_sym_var] = ACTIONS(3230),
    [anon_sym_let] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_LPAREN] = ACTIONS(3230),
    [anon_sym_await] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_debugger] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_case] = ACTIONS(3230),
    [anon_sym_yield] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_LTtemplate_GT] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_async] = ACTIONS(3230),
    [anon_sym_function] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_SLASH] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_void] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3230),
    [sym_number] = ACTIONS(3230),
    [sym_private_property_identifier] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
    [sym_super] = ACTIONS(3230),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [sym_null] = ACTIONS(3230),
    [sym_undefined] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_readonly] = ACTIONS(3230),
    [anon_sym_get] = ACTIONS(3230),
    [anon_sym_set] = ACTIONS(3230),
    [anon_sym_declare] = ACTIONS(3230),
    [anon_sym_public] = ACTIONS(3230),
    [anon_sym_private] = ACTIONS(3230),
    [anon_sym_protected] = ACTIONS(3230),
    [anon_sym_override] = ACTIONS(3230),
    [anon_sym_module] = ACTIONS(3230),
    [anon_sym_any] = ACTIONS(3230),
    [anon_sym_number] = ACTIONS(3230),
    [anon_sym_boolean] = ACTIONS(3230),
    [anon_sym_string] = ACTIONS(3230),
    [anon_sym_symbol] = ACTIONS(3230),
    [anon_sym_object] = ACTIONS(3230),
    [anon_sym_abstract] = ACTIONS(3230),
    [anon_sym_interface] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [sym_html_comment] = ACTIONS(5),
  },
  [1231] = {
    [sym_comment] = STATE(1231),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1232] = {
    [sym_comment] = STATE(1232),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1233] = {
    [sym_comment] = STATE(1233),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1234] = {
    [sym_comment] = STATE(1234),
    [ts_builtin_sym_end] = ACTIONS(3358),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_export] = ACTIONS(3296),
    [anon_sym_type] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_typeof] = ACTIONS(3296),
    [anon_sym_import] = ACTIONS(3296),
    [anon_sym_with] = ACTIONS(3296),
    [anon_sym_var] = ACTIONS(3296),
    [anon_sym_let] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_else] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3296),
    [anon_sym_await] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_debugger] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym_yield] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_LTtemplate_GT] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_function] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_void] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3296),
    [sym_number] = ACTIONS(3296),
    [sym_private_property_identifier] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
    [sym_super] = ACTIONS(3296),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [sym_null] = ACTIONS(3296),
    [sym_undefined] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_readonly] = ACTIONS(3296),
    [anon_sym_get] = ACTIONS(3296),
    [anon_sym_set] = ACTIONS(3296),
    [anon_sym_declare] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_override] = ACTIONS(3296),
    [anon_sym_module] = ACTIONS(3296),
    [anon_sym_any] = ACTIONS(3296),
    [anon_sym_number] = ACTIONS(3296),
    [anon_sym_boolean] = ACTIONS(3296),
    [anon_sym_string] = ACTIONS(3296),
    [anon_sym_symbol] = ACTIONS(3296),
    [anon_sym_object] = ACTIONS(3296),
    [anon_sym_abstract] = ACTIONS(3296),
    [anon_sym_interface] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1235] = {
    [sym_comment] = STATE(1235),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(3360),
    [sym_html_comment] = ACTIONS(5),
  },
  [1236] = {
    [sym_comment] = STATE(1236),
    [sym_identifier] = ACTIONS(3242),
    [anon_sym_export] = ACTIONS(3242),
    [anon_sym_default] = ACTIONS(3242),
    [anon_sym_type] = ACTIONS(3242),
    [anon_sym_namespace] = ACTIONS(3242),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_typeof] = ACTIONS(3242),
    [anon_sym_import] = ACTIONS(3242),
    [anon_sym_with] = ACTIONS(3242),
    [anon_sym_var] = ACTIONS(3242),
    [anon_sym_let] = ACTIONS(3242),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_if] = ACTIONS(3242),
    [anon_sym_switch] = ACTIONS(3242),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_LPAREN] = ACTIONS(3242),
    [anon_sym_await] = ACTIONS(3242),
    [anon_sym_while] = ACTIONS(3242),
    [anon_sym_do] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3242),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_continue] = ACTIONS(3242),
    [anon_sym_debugger] = ACTIONS(3242),
    [anon_sym_return] = ACTIONS(3242),
    [anon_sym_throw] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_case] = ACTIONS(3242),
    [anon_sym_yield] = ACTIONS(3242),
    [anon_sym_LBRACK] = ACTIONS(3242),
    [anon_sym_LTtemplate_GT] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_class] = ACTIONS(3242),
    [anon_sym_async] = ACTIONS(3242),
    [anon_sym_function] = ACTIONS(3242),
    [anon_sym_new] = ACTIONS(3242),
    [anon_sym_using] = ACTIONS(3242),
    [anon_sym_PLUS] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3242),
    [anon_sym_SLASH] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_void] = ACTIONS(3242),
    [anon_sym_delete] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3242),
    [sym_number] = ACTIONS(3242),
    [sym_private_property_identifier] = ACTIONS(3242),
    [sym_this] = ACTIONS(3242),
    [sym_super] = ACTIONS(3242),
    [sym_true] = ACTIONS(3242),
    [sym_false] = ACTIONS(3242),
    [sym_null] = ACTIONS(3242),
    [sym_undefined] = ACTIONS(3242),
    [anon_sym_AT] = ACTIONS(3242),
    [anon_sym_static] = ACTIONS(3242),
    [anon_sym_readonly] = ACTIONS(3242),
    [anon_sym_get] = ACTIONS(3242),
    [anon_sym_set] = ACTIONS(3242),
    [anon_sym_declare] = ACTIONS(3242),
    [anon_sym_public] = ACTIONS(3242),
    [anon_sym_private] = ACTIONS(3242),
    [anon_sym_protected] = ACTIONS(3242),
    [anon_sym_override] = ACTIONS(3242),
    [anon_sym_module] = ACTIONS(3242),
    [anon_sym_any] = ACTIONS(3242),
    [anon_sym_number] = ACTIONS(3242),
    [anon_sym_boolean] = ACTIONS(3242),
    [anon_sym_string] = ACTIONS(3242),
    [anon_sym_symbol] = ACTIONS(3242),
    [anon_sym_object] = ACTIONS(3242),
    [anon_sym_abstract] = ACTIONS(3242),
    [anon_sym_interface] = ACTIONS(3242),
    [anon_sym_enum] = ACTIONS(3242),
    [sym_html_comment] = ACTIONS(5),
  },
  [1237] = {
    [sym_comment] = STATE(1237),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_default] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1238] = {
    [sym_comment] = STATE(1238),
    [ts_builtin_sym_end] = ACTIONS(3362),
    [sym_identifier] = ACTIONS(3298),
    [anon_sym_export] = ACTIONS(3298),
    [anon_sym_type] = ACTIONS(3298),
    [anon_sym_namespace] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_typeof] = ACTIONS(3298),
    [anon_sym_import] = ACTIONS(3298),
    [anon_sym_with] = ACTIONS(3298),
    [anon_sym_var] = ACTIONS(3298),
    [anon_sym_let] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_else] = ACTIONS(3298),
    [anon_sym_if] = ACTIONS(3298),
    [anon_sym_switch] = ACTIONS(3298),
    [anon_sym_for] = ACTIONS(3298),
    [anon_sym_LPAREN] = ACTIONS(3298),
    [anon_sym_await] = ACTIONS(3298),
    [anon_sym_while] = ACTIONS(3298),
    [anon_sym_do] = ACTIONS(3298),
    [anon_sym_try] = ACTIONS(3298),
    [anon_sym_break] = ACTIONS(3298),
    [anon_sym_continue] = ACTIONS(3298),
    [anon_sym_debugger] = ACTIONS(3298),
    [anon_sym_return] = ACTIONS(3298),
    [anon_sym_throw] = ACTIONS(3298),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym_yield] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(3298),
    [anon_sym_LTtemplate_GT] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [anon_sym_class] = ACTIONS(3298),
    [anon_sym_async] = ACTIONS(3298),
    [anon_sym_function] = ACTIONS(3298),
    [anon_sym_new] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3298),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_SLASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_void] = ACTIONS(3298),
    [anon_sym_delete] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3298),
    [sym_number] = ACTIONS(3298),
    [sym_private_property_identifier] = ACTIONS(3298),
    [sym_this] = ACTIONS(3298),
    [sym_super] = ACTIONS(3298),
    [sym_true] = ACTIONS(3298),
    [sym_false] = ACTIONS(3298),
    [sym_null] = ACTIONS(3298),
    [sym_undefined] = ACTIONS(3298),
    [anon_sym_AT] = ACTIONS(3298),
    [anon_sym_static] = ACTIONS(3298),
    [anon_sym_readonly] = ACTIONS(3298),
    [anon_sym_get] = ACTIONS(3298),
    [anon_sym_set] = ACTIONS(3298),
    [anon_sym_declare] = ACTIONS(3298),
    [anon_sym_public] = ACTIONS(3298),
    [anon_sym_private] = ACTIONS(3298),
    [anon_sym_protected] = ACTIONS(3298),
    [anon_sym_override] = ACTIONS(3298),
    [anon_sym_module] = ACTIONS(3298),
    [anon_sym_any] = ACTIONS(3298),
    [anon_sym_number] = ACTIONS(3298),
    [anon_sym_boolean] = ACTIONS(3298),
    [anon_sym_string] = ACTIONS(3298),
    [anon_sym_symbol] = ACTIONS(3298),
    [anon_sym_object] = ACTIONS(3298),
    [anon_sym_abstract] = ACTIONS(3298),
    [anon_sym_interface] = ACTIONS(3298),
    [anon_sym_enum] = ACTIONS(3298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1239] = {
    [sym_comment] = STATE(1239),
    [ts_builtin_sym_end] = ACTIONS(3364),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_export] = ACTIONS(3300),
    [anon_sym_type] = ACTIONS(3300),
    [anon_sym_namespace] = ACTIONS(3300),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3300),
    [anon_sym_typeof] = ACTIONS(3300),
    [anon_sym_import] = ACTIONS(3300),
    [anon_sym_with] = ACTIONS(3300),
    [anon_sym_var] = ACTIONS(3300),
    [anon_sym_let] = ACTIONS(3300),
    [anon_sym_const] = ACTIONS(3300),
    [anon_sym_BANG] = ACTIONS(3300),
    [anon_sym_else] = ACTIONS(3300),
    [anon_sym_if] = ACTIONS(3300),
    [anon_sym_switch] = ACTIONS(3300),
    [anon_sym_for] = ACTIONS(3300),
    [anon_sym_LPAREN] = ACTIONS(3300),
    [anon_sym_await] = ACTIONS(3300),
    [anon_sym_while] = ACTIONS(3300),
    [anon_sym_do] = ACTIONS(3300),
    [anon_sym_try] = ACTIONS(3300),
    [anon_sym_break] = ACTIONS(3300),
    [anon_sym_continue] = ACTIONS(3300),
    [anon_sym_debugger] = ACTIONS(3300),
    [anon_sym_return] = ACTIONS(3300),
    [anon_sym_throw] = ACTIONS(3300),
    [anon_sym_SEMI] = ACTIONS(3300),
    [anon_sym_yield] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_LTtemplate_GT] = ACTIONS(3300),
    [anon_sym_DQUOTE] = ACTIONS(3300),
    [anon_sym_SQUOTE] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_async] = ACTIONS(3300),
    [anon_sym_function] = ACTIONS(3300),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_using] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_void] = ACTIONS(3300),
    [anon_sym_delete] = ACTIONS(3300),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3300),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [sym_this] = ACTIONS(3300),
    [sym_super] = ACTIONS(3300),
    [sym_true] = ACTIONS(3300),
    [sym_false] = ACTIONS(3300),
    [sym_null] = ACTIONS(3300),
    [sym_undefined] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_readonly] = ACTIONS(3300),
    [anon_sym_get] = ACTIONS(3300),
    [anon_sym_set] = ACTIONS(3300),
    [anon_sym_declare] = ACTIONS(3300),
    [anon_sym_public] = ACTIONS(3300),
    [anon_sym_private] = ACTIONS(3300),
    [anon_sym_protected] = ACTIONS(3300),
    [anon_sym_override] = ACTIONS(3300),
    [anon_sym_module] = ACTIONS(3300),
    [anon_sym_any] = ACTIONS(3300),
    [anon_sym_number] = ACTIONS(3300),
    [anon_sym_boolean] = ACTIONS(3300),
    [anon_sym_string] = ACTIONS(3300),
    [anon_sym_symbol] = ACTIONS(3300),
    [anon_sym_object] = ACTIONS(3300),
    [anon_sym_abstract] = ACTIONS(3300),
    [anon_sym_interface] = ACTIONS(3300),
    [anon_sym_enum] = ACTIONS(3300),
    [sym_html_comment] = ACTIONS(5),
  },
  [1240] = {
    [sym_comment] = STATE(1240),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_default] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_case] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1241] = {
    [sym_comment] = STATE(1241),
    [ts_builtin_sym_end] = ACTIONS(3366),
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_export] = ACTIONS(3290),
    [anon_sym_type] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_typeof] = ACTIONS(3290),
    [anon_sym_import] = ACTIONS(3290),
    [anon_sym_with] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_let] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_else] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_LPAREN] = ACTIONS(3290),
    [anon_sym_await] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_debugger] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_yield] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_LTtemplate_GT] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_function] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_void] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3290),
    [sym_number] = ACTIONS(3290),
    [sym_private_property_identifier] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
    [sym_super] = ACTIONS(3290),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [sym_null] = ACTIONS(3290),
    [sym_undefined] = ACTIONS(3290),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_get] = ACTIONS(3290),
    [anon_sym_set] = ACTIONS(3290),
    [anon_sym_declare] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_module] = ACTIONS(3290),
    [anon_sym_any] = ACTIONS(3290),
    [anon_sym_number] = ACTIONS(3290),
    [anon_sym_boolean] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_symbol] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [sym_html_comment] = ACTIONS(5),
  },
  [1242] = {
    [sym_comment] = STATE(1242),
    [ts_builtin_sym_end] = ACTIONS(3368),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_else] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1243] = {
    [sym_comment] = STATE(1243),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_default] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_case] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1244] = {
    [sym_comment] = STATE(1244),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1245] = {
    [sym_comment] = STATE(1245),
    [sym_identifier] = ACTIONS(3254),
    [anon_sym_export] = ACTIONS(3254),
    [anon_sym_default] = ACTIONS(3254),
    [anon_sym_type] = ACTIONS(3254),
    [anon_sym_namespace] = ACTIONS(3254),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_typeof] = ACTIONS(3254),
    [anon_sym_import] = ACTIONS(3254),
    [anon_sym_with] = ACTIONS(3254),
    [anon_sym_var] = ACTIONS(3254),
    [anon_sym_let] = ACTIONS(3254),
    [anon_sym_const] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3254),
    [anon_sym_switch] = ACTIONS(3254),
    [anon_sym_for] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_await] = ACTIONS(3254),
    [anon_sym_while] = ACTIONS(3254),
    [anon_sym_do] = ACTIONS(3254),
    [anon_sym_try] = ACTIONS(3254),
    [anon_sym_break] = ACTIONS(3254),
    [anon_sym_continue] = ACTIONS(3254),
    [anon_sym_debugger] = ACTIONS(3254),
    [anon_sym_return] = ACTIONS(3254),
    [anon_sym_throw] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_case] = ACTIONS(3254),
    [anon_sym_yield] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [anon_sym_LTtemplate_GT] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_class] = ACTIONS(3254),
    [anon_sym_async] = ACTIONS(3254),
    [anon_sym_function] = ACTIONS(3254),
    [anon_sym_new] = ACTIONS(3254),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_void] = ACTIONS(3254),
    [anon_sym_delete] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3254),
    [sym_number] = ACTIONS(3254),
    [sym_private_property_identifier] = ACTIONS(3254),
    [sym_this] = ACTIONS(3254),
    [sym_super] = ACTIONS(3254),
    [sym_true] = ACTIONS(3254),
    [sym_false] = ACTIONS(3254),
    [sym_null] = ACTIONS(3254),
    [sym_undefined] = ACTIONS(3254),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_static] = ACTIONS(3254),
    [anon_sym_readonly] = ACTIONS(3254),
    [anon_sym_get] = ACTIONS(3254),
    [anon_sym_set] = ACTIONS(3254),
    [anon_sym_declare] = ACTIONS(3254),
    [anon_sym_public] = ACTIONS(3254),
    [anon_sym_private] = ACTIONS(3254),
    [anon_sym_protected] = ACTIONS(3254),
    [anon_sym_override] = ACTIONS(3254),
    [anon_sym_module] = ACTIONS(3254),
    [anon_sym_any] = ACTIONS(3254),
    [anon_sym_number] = ACTIONS(3254),
    [anon_sym_boolean] = ACTIONS(3254),
    [anon_sym_string] = ACTIONS(3254),
    [anon_sym_symbol] = ACTIONS(3254),
    [anon_sym_object] = ACTIONS(3254),
    [anon_sym_abstract] = ACTIONS(3254),
    [anon_sym_interface] = ACTIONS(3254),
    [anon_sym_enum] = ACTIONS(3254),
    [sym_html_comment] = ACTIONS(5),
  },
  [1246] = {
    [sym_comment] = STATE(1246),
    [sym_identifier] = ACTIONS(3256),
    [anon_sym_export] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_type] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3256),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_typeof] = ACTIONS(3256),
    [anon_sym_import] = ACTIONS(3256),
    [anon_sym_with] = ACTIONS(3256),
    [anon_sym_var] = ACTIONS(3256),
    [anon_sym_let] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_BANG] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3256),
    [anon_sym_await] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_debugger] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_yield] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_LTtemplate_GT] = ACTIONS(3256),
    [anon_sym_DQUOTE] = ACTIONS(3256),
    [anon_sym_SQUOTE] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_async] = ACTIONS(3256),
    [anon_sym_function] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_TILDE] = ACTIONS(3256),
    [anon_sym_void] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_PLUS_PLUS] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3256),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3256),
    [sym_number] = ACTIONS(3256),
    [sym_private_property_identifier] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
    [sym_super] = ACTIONS(3256),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [sym_null] = ACTIONS(3256),
    [sym_undefined] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_readonly] = ACTIONS(3256),
    [anon_sym_get] = ACTIONS(3256),
    [anon_sym_set] = ACTIONS(3256),
    [anon_sym_declare] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_protected] = ACTIONS(3256),
    [anon_sym_override] = ACTIONS(3256),
    [anon_sym_module] = ACTIONS(3256),
    [anon_sym_any] = ACTIONS(3256),
    [anon_sym_number] = ACTIONS(3256),
    [anon_sym_boolean] = ACTIONS(3256),
    [anon_sym_string] = ACTIONS(3256),
    [anon_sym_symbol] = ACTIONS(3256),
    [anon_sym_object] = ACTIONS(3256),
    [anon_sym_abstract] = ACTIONS(3256),
    [anon_sym_interface] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [sym_html_comment] = ACTIONS(5),
  },
  [1247] = {
    [sym_comment] = STATE(1247),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_export] = ACTIONS(3258),
    [anon_sym_default] = ACTIONS(3258),
    [anon_sym_type] = ACTIONS(3258),
    [anon_sym_namespace] = ACTIONS(3258),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_typeof] = ACTIONS(3258),
    [anon_sym_import] = ACTIONS(3258),
    [anon_sym_with] = ACTIONS(3258),
    [anon_sym_var] = ACTIONS(3258),
    [anon_sym_let] = ACTIONS(3258),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_switch] = ACTIONS(3258),
    [anon_sym_for] = ACTIONS(3258),
    [anon_sym_LPAREN] = ACTIONS(3258),
    [anon_sym_await] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3258),
    [anon_sym_do] = ACTIONS(3258),
    [anon_sym_try] = ACTIONS(3258),
    [anon_sym_break] = ACTIONS(3258),
    [anon_sym_continue] = ACTIONS(3258),
    [anon_sym_debugger] = ACTIONS(3258),
    [anon_sym_return] = ACTIONS(3258),
    [anon_sym_throw] = ACTIONS(3258),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_case] = ACTIONS(3258),
    [anon_sym_yield] = ACTIONS(3258),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_LTtemplate_GT] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3258),
    [anon_sym_async] = ACTIONS(3258),
    [anon_sym_function] = ACTIONS(3258),
    [anon_sym_new] = ACTIONS(3258),
    [anon_sym_using] = ACTIONS(3258),
    [anon_sym_PLUS] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3258),
    [anon_sym_SLASH] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_void] = ACTIONS(3258),
    [anon_sym_delete] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3258),
    [sym_number] = ACTIONS(3258),
    [sym_private_property_identifier] = ACTIONS(3258),
    [sym_this] = ACTIONS(3258),
    [sym_super] = ACTIONS(3258),
    [sym_true] = ACTIONS(3258),
    [sym_false] = ACTIONS(3258),
    [sym_null] = ACTIONS(3258),
    [sym_undefined] = ACTIONS(3258),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_static] = ACTIONS(3258),
    [anon_sym_readonly] = ACTIONS(3258),
    [anon_sym_get] = ACTIONS(3258),
    [anon_sym_set] = ACTIONS(3258),
    [anon_sym_declare] = ACTIONS(3258),
    [anon_sym_public] = ACTIONS(3258),
    [anon_sym_private] = ACTIONS(3258),
    [anon_sym_protected] = ACTIONS(3258),
    [anon_sym_override] = ACTIONS(3258),
    [anon_sym_module] = ACTIONS(3258),
    [anon_sym_any] = ACTIONS(3258),
    [anon_sym_number] = ACTIONS(3258),
    [anon_sym_boolean] = ACTIONS(3258),
    [anon_sym_string] = ACTIONS(3258),
    [anon_sym_symbol] = ACTIONS(3258),
    [anon_sym_object] = ACTIONS(3258),
    [anon_sym_abstract] = ACTIONS(3258),
    [anon_sym_interface] = ACTIONS(3258),
    [anon_sym_enum] = ACTIONS(3258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1248] = {
    [sym_comment] = STATE(1248),
    [sym_identifier] = ACTIONS(3260),
    [anon_sym_export] = ACTIONS(3260),
    [anon_sym_default] = ACTIONS(3260),
    [anon_sym_type] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3260),
    [anon_sym_RBRACE] = ACTIONS(3260),
    [anon_sym_typeof] = ACTIONS(3260),
    [anon_sym_import] = ACTIONS(3260),
    [anon_sym_with] = ACTIONS(3260),
    [anon_sym_var] = ACTIONS(3260),
    [anon_sym_let] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_BANG] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_LPAREN] = ACTIONS(3260),
    [anon_sym_await] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_debugger] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_yield] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_LTtemplate_GT] = ACTIONS(3260),
    [anon_sym_DQUOTE] = ACTIONS(3260),
    [anon_sym_SQUOTE] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_async] = ACTIONS(3260),
    [anon_sym_function] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_SLASH] = ACTIONS(3260),
    [anon_sym_LT] = ACTIONS(3260),
    [anon_sym_TILDE] = ACTIONS(3260),
    [anon_sym_void] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_PLUS_PLUS] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3260),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3260),
    [sym_number] = ACTIONS(3260),
    [sym_private_property_identifier] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
    [sym_super] = ACTIONS(3260),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [sym_null] = ACTIONS(3260),
    [sym_undefined] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_readonly] = ACTIONS(3260),
    [anon_sym_get] = ACTIONS(3260),
    [anon_sym_set] = ACTIONS(3260),
    [anon_sym_declare] = ACTIONS(3260),
    [anon_sym_public] = ACTIONS(3260),
    [anon_sym_private] = ACTIONS(3260),
    [anon_sym_protected] = ACTIONS(3260),
    [anon_sym_override] = ACTIONS(3260),
    [anon_sym_module] = ACTIONS(3260),
    [anon_sym_any] = ACTIONS(3260),
    [anon_sym_number] = ACTIONS(3260),
    [anon_sym_boolean] = ACTIONS(3260),
    [anon_sym_string] = ACTIONS(3260),
    [anon_sym_symbol] = ACTIONS(3260),
    [anon_sym_object] = ACTIONS(3260),
    [anon_sym_abstract] = ACTIONS(3260),
    [anon_sym_interface] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [sym_html_comment] = ACTIONS(5),
  },
  [1249] = {
    [sym_comment] = STATE(1249),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_export] = ACTIONS(3262),
    [anon_sym_default] = ACTIONS(3262),
    [anon_sym_type] = ACTIONS(3262),
    [anon_sym_namespace] = ACTIONS(3262),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_typeof] = ACTIONS(3262),
    [anon_sym_import] = ACTIONS(3262),
    [anon_sym_with] = ACTIONS(3262),
    [anon_sym_var] = ACTIONS(3262),
    [anon_sym_let] = ACTIONS(3262),
    [anon_sym_const] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_if] = ACTIONS(3262),
    [anon_sym_switch] = ACTIONS(3262),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_LPAREN] = ACTIONS(3262),
    [anon_sym_await] = ACTIONS(3262),
    [anon_sym_while] = ACTIONS(3262),
    [anon_sym_do] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3262),
    [anon_sym_break] = ACTIONS(3262),
    [anon_sym_continue] = ACTIONS(3262),
    [anon_sym_debugger] = ACTIONS(3262),
    [anon_sym_return] = ACTIONS(3262),
    [anon_sym_throw] = ACTIONS(3262),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym_case] = ACTIONS(3262),
    [anon_sym_yield] = ACTIONS(3262),
    [anon_sym_LBRACK] = ACTIONS(3262),
    [anon_sym_LTtemplate_GT] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_async] = ACTIONS(3262),
    [anon_sym_function] = ACTIONS(3262),
    [anon_sym_new] = ACTIONS(3262),
    [anon_sym_using] = ACTIONS(3262),
    [anon_sym_PLUS] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3262),
    [anon_sym_SLASH] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_void] = ACTIONS(3262),
    [anon_sym_delete] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3262),
    [sym_number] = ACTIONS(3262),
    [sym_private_property_identifier] = ACTIONS(3262),
    [sym_this] = ACTIONS(3262),
    [sym_super] = ACTIONS(3262),
    [sym_true] = ACTIONS(3262),
    [sym_false] = ACTIONS(3262),
    [sym_null] = ACTIONS(3262),
    [sym_undefined] = ACTIONS(3262),
    [anon_sym_AT] = ACTIONS(3262),
    [anon_sym_static] = ACTIONS(3262),
    [anon_sym_readonly] = ACTIONS(3262),
    [anon_sym_get] = ACTIONS(3262),
    [anon_sym_set] = ACTIONS(3262),
    [anon_sym_declare] = ACTIONS(3262),
    [anon_sym_public] = ACTIONS(3262),
    [anon_sym_private] = ACTIONS(3262),
    [anon_sym_protected] = ACTIONS(3262),
    [anon_sym_override] = ACTIONS(3262),
    [anon_sym_module] = ACTIONS(3262),
    [anon_sym_any] = ACTIONS(3262),
    [anon_sym_number] = ACTIONS(3262),
    [anon_sym_boolean] = ACTIONS(3262),
    [anon_sym_string] = ACTIONS(3262),
    [anon_sym_symbol] = ACTIONS(3262),
    [anon_sym_object] = ACTIONS(3262),
    [anon_sym_abstract] = ACTIONS(3262),
    [anon_sym_interface] = ACTIONS(3262),
    [anon_sym_enum] = ACTIONS(3262),
    [sym_html_comment] = ACTIONS(5),
  },
  [1250] = {
    [sym_comment] = STATE(1250),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1251] = {
    [sym_comment] = STATE(1251),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1252] = {
    [sym_comment] = STATE(1252),
    [ts_builtin_sym_end] = ACTIONS(3368),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_else] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1253] = {
    [sym_comment] = STATE(1253),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1254] = {
    [sym_comment] = STATE(1254),
    [ts_builtin_sym_end] = ACTIONS(3368),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_else] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1255] = {
    [sym_comment] = STATE(1255),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_export] = ACTIONS(3286),
    [anon_sym_type] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3286),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_typeof] = ACTIONS(3286),
    [anon_sym_import] = ACTIONS(3286),
    [anon_sym_with] = ACTIONS(3286),
    [anon_sym_var] = ACTIONS(3286),
    [anon_sym_let] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_BANG] = ACTIONS(3286),
    [anon_sym_else] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_LPAREN] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_debugger] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_yield] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_LTtemplate_GT] = ACTIONS(3286),
    [anon_sym_DQUOTE] = ACTIONS(3286),
    [anon_sym_SQUOTE] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_async] = ACTIONS(3286),
    [anon_sym_function] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_SLASH] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3286),
    [anon_sym_TILDE] = ACTIONS(3286),
    [anon_sym_void] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3286),
    [sym_number] = ACTIONS(3286),
    [sym_private_property_identifier] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
    [sym_super] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_null] = ACTIONS(3286),
    [sym_undefined] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_readonly] = ACTIONS(3286),
    [anon_sym_get] = ACTIONS(3286),
    [anon_sym_set] = ACTIONS(3286),
    [anon_sym_declare] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3286),
    [anon_sym_private] = ACTIONS(3286),
    [anon_sym_protected] = ACTIONS(3286),
    [anon_sym_override] = ACTIONS(3286),
    [anon_sym_module] = ACTIONS(3286),
    [anon_sym_any] = ACTIONS(3286),
    [anon_sym_number] = ACTIONS(3286),
    [anon_sym_boolean] = ACTIONS(3286),
    [anon_sym_string] = ACTIONS(3286),
    [anon_sym_symbol] = ACTIONS(3286),
    [anon_sym_object] = ACTIONS(3286),
    [anon_sym_abstract] = ACTIONS(3286),
    [anon_sym_interface] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [sym_html_comment] = ACTIONS(5),
  },
  [1256] = {
    [sym_comment] = STATE(1256),
    [ts_builtin_sym_end] = ACTIONS(3372),
    [sym_identifier] = ACTIONS(3284),
    [anon_sym_export] = ACTIONS(3284),
    [anon_sym_type] = ACTIONS(3284),
    [anon_sym_namespace] = ACTIONS(3284),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_typeof] = ACTIONS(3284),
    [anon_sym_import] = ACTIONS(3284),
    [anon_sym_with] = ACTIONS(3284),
    [anon_sym_var] = ACTIONS(3284),
    [anon_sym_let] = ACTIONS(3284),
    [anon_sym_const] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_else] = ACTIONS(3284),
    [anon_sym_if] = ACTIONS(3284),
    [anon_sym_switch] = ACTIONS(3284),
    [anon_sym_for] = ACTIONS(3284),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [anon_sym_await] = ACTIONS(3284),
    [anon_sym_while] = ACTIONS(3284),
    [anon_sym_do] = ACTIONS(3284),
    [anon_sym_try] = ACTIONS(3284),
    [anon_sym_break] = ACTIONS(3284),
    [anon_sym_continue] = ACTIONS(3284),
    [anon_sym_debugger] = ACTIONS(3284),
    [anon_sym_return] = ACTIONS(3284),
    [anon_sym_throw] = ACTIONS(3284),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym_yield] = ACTIONS(3284),
    [anon_sym_LBRACK] = ACTIONS(3284),
    [anon_sym_LTtemplate_GT] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_class] = ACTIONS(3284),
    [anon_sym_async] = ACTIONS(3284),
    [anon_sym_function] = ACTIONS(3284),
    [anon_sym_new] = ACTIONS(3284),
    [anon_sym_using] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_void] = ACTIONS(3284),
    [anon_sym_delete] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3284),
    [sym_number] = ACTIONS(3284),
    [sym_private_property_identifier] = ACTIONS(3284),
    [sym_this] = ACTIONS(3284),
    [sym_super] = ACTIONS(3284),
    [sym_true] = ACTIONS(3284),
    [sym_false] = ACTIONS(3284),
    [sym_null] = ACTIONS(3284),
    [sym_undefined] = ACTIONS(3284),
    [anon_sym_AT] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3284),
    [anon_sym_readonly] = ACTIONS(3284),
    [anon_sym_get] = ACTIONS(3284),
    [anon_sym_set] = ACTIONS(3284),
    [anon_sym_declare] = ACTIONS(3284),
    [anon_sym_public] = ACTIONS(3284),
    [anon_sym_private] = ACTIONS(3284),
    [anon_sym_protected] = ACTIONS(3284),
    [anon_sym_override] = ACTIONS(3284),
    [anon_sym_module] = ACTIONS(3284),
    [anon_sym_any] = ACTIONS(3284),
    [anon_sym_number] = ACTIONS(3284),
    [anon_sym_boolean] = ACTIONS(3284),
    [anon_sym_string] = ACTIONS(3284),
    [anon_sym_symbol] = ACTIONS(3284),
    [anon_sym_object] = ACTIONS(3284),
    [anon_sym_abstract] = ACTIONS(3284),
    [anon_sym_interface] = ACTIONS(3284),
    [anon_sym_enum] = ACTIONS(3284),
    [sym_html_comment] = ACTIONS(5),
  },
  [1257] = {
    [sym_comment] = STATE(1257),
    [ts_builtin_sym_end] = ACTIONS(3374),
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_export] = ACTIONS(3282),
    [anon_sym_type] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_typeof] = ACTIONS(3282),
    [anon_sym_import] = ACTIONS(3282),
    [anon_sym_with] = ACTIONS(3282),
    [anon_sym_var] = ACTIONS(3282),
    [anon_sym_let] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_else] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_await] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_debugger] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_yield] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_LTtemplate_GT] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_async] = ACTIONS(3282),
    [anon_sym_function] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_SLASH] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_void] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3282),
    [sym_number] = ACTIONS(3282),
    [sym_private_property_identifier] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
    [sym_super] = ACTIONS(3282),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_undefined] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_readonly] = ACTIONS(3282),
    [anon_sym_get] = ACTIONS(3282),
    [anon_sym_set] = ACTIONS(3282),
    [anon_sym_declare] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_module] = ACTIONS(3282),
    [anon_sym_any] = ACTIONS(3282),
    [anon_sym_number] = ACTIONS(3282),
    [anon_sym_boolean] = ACTIONS(3282),
    [anon_sym_string] = ACTIONS(3282),
    [anon_sym_symbol] = ACTIONS(3282),
    [anon_sym_object] = ACTIONS(3282),
    [anon_sym_abstract] = ACTIONS(3282),
    [anon_sym_interface] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [sym_html_comment] = ACTIONS(5),
  },
  [1258] = {
    [sym_comment] = STATE(1258),
    [ts_builtin_sym_end] = ACTIONS(3376),
    [sym_identifier] = ACTIONS(3280),
    [anon_sym_export] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_typeof] = ACTIONS(3280),
    [anon_sym_import] = ACTIONS(3280),
    [anon_sym_with] = ACTIONS(3280),
    [anon_sym_var] = ACTIONS(3280),
    [anon_sym_let] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_else] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_LPAREN] = ACTIONS(3280),
    [anon_sym_await] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_debugger] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym_yield] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_LTtemplate_GT] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_async] = ACTIONS(3280),
    [anon_sym_function] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_void] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3280),
    [sym_number] = ACTIONS(3280),
    [sym_private_property_identifier] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
    [sym_super] = ACTIONS(3280),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [sym_null] = ACTIONS(3280),
    [sym_undefined] = ACTIONS(3280),
    [anon_sym_AT] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_readonly] = ACTIONS(3280),
    [anon_sym_get] = ACTIONS(3280),
    [anon_sym_set] = ACTIONS(3280),
    [anon_sym_declare] = ACTIONS(3280),
    [anon_sym_public] = ACTIONS(3280),
    [anon_sym_private] = ACTIONS(3280),
    [anon_sym_protected] = ACTIONS(3280),
    [anon_sym_override] = ACTIONS(3280),
    [anon_sym_module] = ACTIONS(3280),
    [anon_sym_any] = ACTIONS(3280),
    [anon_sym_number] = ACTIONS(3280),
    [anon_sym_boolean] = ACTIONS(3280),
    [anon_sym_string] = ACTIONS(3280),
    [anon_sym_symbol] = ACTIONS(3280),
    [anon_sym_object] = ACTIONS(3280),
    [anon_sym_abstract] = ACTIONS(3280),
    [anon_sym_interface] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1259] = {
    [sym_comment] = STATE(1259),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_export] = ACTIONS(3266),
    [anon_sym_default] = ACTIONS(3266),
    [anon_sym_type] = ACTIONS(3266),
    [anon_sym_namespace] = ACTIONS(3266),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_typeof] = ACTIONS(3266),
    [anon_sym_import] = ACTIONS(3266),
    [anon_sym_with] = ACTIONS(3266),
    [anon_sym_var] = ACTIONS(3266),
    [anon_sym_let] = ACTIONS(3266),
    [anon_sym_const] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_switch] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_await] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_do] = ACTIONS(3266),
    [anon_sym_try] = ACTIONS(3266),
    [anon_sym_break] = ACTIONS(3266),
    [anon_sym_continue] = ACTIONS(3266),
    [anon_sym_debugger] = ACTIONS(3266),
    [anon_sym_return] = ACTIONS(3266),
    [anon_sym_throw] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_case] = ACTIONS(3266),
    [anon_sym_yield] = ACTIONS(3266),
    [anon_sym_LBRACK] = ACTIONS(3266),
    [anon_sym_LTtemplate_GT] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_class] = ACTIONS(3266),
    [anon_sym_async] = ACTIONS(3266),
    [anon_sym_function] = ACTIONS(3266),
    [anon_sym_new] = ACTIONS(3266),
    [anon_sym_using] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3266),
    [anon_sym_SLASH] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_void] = ACTIONS(3266),
    [anon_sym_delete] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3266),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [sym_this] = ACTIONS(3266),
    [sym_super] = ACTIONS(3266),
    [sym_true] = ACTIONS(3266),
    [sym_false] = ACTIONS(3266),
    [sym_null] = ACTIONS(3266),
    [sym_undefined] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3266),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_readonly] = ACTIONS(3266),
    [anon_sym_get] = ACTIONS(3266),
    [anon_sym_set] = ACTIONS(3266),
    [anon_sym_declare] = ACTIONS(3266),
    [anon_sym_public] = ACTIONS(3266),
    [anon_sym_private] = ACTIONS(3266),
    [anon_sym_protected] = ACTIONS(3266),
    [anon_sym_override] = ACTIONS(3266),
    [anon_sym_module] = ACTIONS(3266),
    [anon_sym_any] = ACTIONS(3266),
    [anon_sym_number] = ACTIONS(3266),
    [anon_sym_boolean] = ACTIONS(3266),
    [anon_sym_string] = ACTIONS(3266),
    [anon_sym_symbol] = ACTIONS(3266),
    [anon_sym_object] = ACTIONS(3266),
    [anon_sym_abstract] = ACTIONS(3266),
    [anon_sym_interface] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1260] = {
    [sym_comment] = STATE(1260),
    [sym_identifier] = ACTIONS(3268),
    [anon_sym_export] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_type] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3268),
    [anon_sym_RBRACE] = ACTIONS(3268),
    [anon_sym_typeof] = ACTIONS(3268),
    [anon_sym_import] = ACTIONS(3268),
    [anon_sym_with] = ACTIONS(3268),
    [anon_sym_var] = ACTIONS(3268),
    [anon_sym_let] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_BANG] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_LPAREN] = ACTIONS(3268),
    [anon_sym_await] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_debugger] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_yield] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_LTtemplate_GT] = ACTIONS(3268),
    [anon_sym_DQUOTE] = ACTIONS(3268),
    [anon_sym_SQUOTE] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_async] = ACTIONS(3268),
    [anon_sym_function] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_TILDE] = ACTIONS(3268),
    [anon_sym_void] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_PLUS_PLUS] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3268),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3268),
    [sym_number] = ACTIONS(3268),
    [sym_private_property_identifier] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
    [sym_super] = ACTIONS(3268),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [sym_null] = ACTIONS(3268),
    [sym_undefined] = ACTIONS(3268),
    [anon_sym_AT] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_readonly] = ACTIONS(3268),
    [anon_sym_get] = ACTIONS(3268),
    [anon_sym_set] = ACTIONS(3268),
    [anon_sym_declare] = ACTIONS(3268),
    [anon_sym_public] = ACTIONS(3268),
    [anon_sym_private] = ACTIONS(3268),
    [anon_sym_protected] = ACTIONS(3268),
    [anon_sym_override] = ACTIONS(3268),
    [anon_sym_module] = ACTIONS(3268),
    [anon_sym_any] = ACTIONS(3268),
    [anon_sym_number] = ACTIONS(3268),
    [anon_sym_boolean] = ACTIONS(3268),
    [anon_sym_string] = ACTIONS(3268),
    [anon_sym_symbol] = ACTIONS(3268),
    [anon_sym_object] = ACTIONS(3268),
    [anon_sym_abstract] = ACTIONS(3268),
    [anon_sym_interface] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [sym_html_comment] = ACTIONS(5),
  },
  [1261] = {
    [sym_comment] = STATE(1261),
    [ts_builtin_sym_end] = ACTIONS(3378),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_export] = ACTIONS(3278),
    [anon_sym_type] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_typeof] = ACTIONS(3278),
    [anon_sym_import] = ACTIONS(3278),
    [anon_sym_with] = ACTIONS(3278),
    [anon_sym_var] = ACTIONS(3278),
    [anon_sym_let] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_BANG] = ACTIONS(3278),
    [anon_sym_else] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_await] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_debugger] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_yield] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_LTtemplate_GT] = ACTIONS(3278),
    [anon_sym_DQUOTE] = ACTIONS(3278),
    [anon_sym_SQUOTE] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_async] = ACTIONS(3278),
    [anon_sym_function] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_SLASH] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_void] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3278),
    [sym_number] = ACTIONS(3278),
    [sym_private_property_identifier] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
    [sym_super] = ACTIONS(3278),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [sym_null] = ACTIONS(3278),
    [sym_undefined] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_readonly] = ACTIONS(3278),
    [anon_sym_get] = ACTIONS(3278),
    [anon_sym_set] = ACTIONS(3278),
    [anon_sym_declare] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_override] = ACTIONS(3278),
    [anon_sym_module] = ACTIONS(3278),
    [anon_sym_any] = ACTIONS(3278),
    [anon_sym_number] = ACTIONS(3278),
    [anon_sym_boolean] = ACTIONS(3278),
    [anon_sym_string] = ACTIONS(3278),
    [anon_sym_symbol] = ACTIONS(3278),
    [anon_sym_object] = ACTIONS(3278),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_interface] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [sym_html_comment] = ACTIONS(5),
  },
  [1262] = {
    [sym_comment] = STATE(1262),
    [ts_builtin_sym_end] = ACTIONS(3380),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_else] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1263] = {
    [sym_comment] = STATE(1263),
    [ts_builtin_sym_end] = ACTIONS(3380),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_else] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1264] = {
    [sym_comment] = STATE(1264),
    [ts_builtin_sym_end] = ACTIONS(3382),
    [sym_identifier] = ACTIONS(3274),
    [anon_sym_export] = ACTIONS(3274),
    [anon_sym_type] = ACTIONS(3274),
    [anon_sym_namespace] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_typeof] = ACTIONS(3274),
    [anon_sym_import] = ACTIONS(3274),
    [anon_sym_with] = ACTIONS(3274),
    [anon_sym_var] = ACTIONS(3274),
    [anon_sym_let] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_BANG] = ACTIONS(3274),
    [anon_sym_else] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(3274),
    [anon_sym_await] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_try] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_debugger] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_throw] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym_yield] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_LTtemplate_GT] = ACTIONS(3274),
    [anon_sym_DQUOTE] = ACTIONS(3274),
    [anon_sym_SQUOTE] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_async] = ACTIONS(3274),
    [anon_sym_function] = ACTIONS(3274),
    [anon_sym_new] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_SLASH] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3274),
    [anon_sym_TILDE] = ACTIONS(3274),
    [anon_sym_void] = ACTIONS(3274),
    [anon_sym_delete] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3274),
    [sym_number] = ACTIONS(3274),
    [sym_private_property_identifier] = ACTIONS(3274),
    [sym_this] = ACTIONS(3274),
    [sym_super] = ACTIONS(3274),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [sym_null] = ACTIONS(3274),
    [sym_undefined] = ACTIONS(3274),
    [anon_sym_AT] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_readonly] = ACTIONS(3274),
    [anon_sym_get] = ACTIONS(3274),
    [anon_sym_set] = ACTIONS(3274),
    [anon_sym_declare] = ACTIONS(3274),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_override] = ACTIONS(3274),
    [anon_sym_module] = ACTIONS(3274),
    [anon_sym_any] = ACTIONS(3274),
    [anon_sym_number] = ACTIONS(3274),
    [anon_sym_boolean] = ACTIONS(3274),
    [anon_sym_string] = ACTIONS(3274),
    [anon_sym_symbol] = ACTIONS(3274),
    [anon_sym_object] = ACTIONS(3274),
    [anon_sym_abstract] = ACTIONS(3274),
    [anon_sym_interface] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [sym_html_comment] = ACTIONS(5),
  },
  [1265] = {
    [sym_comment] = STATE(1265),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1266] = {
    [sym_comment] = STATE(1266),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [1267] = {
    [sym_comment] = STATE(1267),
    [sym_identifier] = ACTIONS(3270),
    [anon_sym_export] = ACTIONS(3270),
    [anon_sym_default] = ACTIONS(3270),
    [anon_sym_type] = ACTIONS(3270),
    [anon_sym_namespace] = ACTIONS(3270),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_typeof] = ACTIONS(3270),
    [anon_sym_import] = ACTIONS(3270),
    [anon_sym_with] = ACTIONS(3270),
    [anon_sym_var] = ACTIONS(3270),
    [anon_sym_let] = ACTIONS(3270),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_if] = ACTIONS(3270),
    [anon_sym_switch] = ACTIONS(3270),
    [anon_sym_for] = ACTIONS(3270),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_await] = ACTIONS(3270),
    [anon_sym_while] = ACTIONS(3270),
    [anon_sym_do] = ACTIONS(3270),
    [anon_sym_try] = ACTIONS(3270),
    [anon_sym_break] = ACTIONS(3270),
    [anon_sym_continue] = ACTIONS(3270),
    [anon_sym_debugger] = ACTIONS(3270),
    [anon_sym_return] = ACTIONS(3270),
    [anon_sym_throw] = ACTIONS(3270),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym_case] = ACTIONS(3270),
    [anon_sym_yield] = ACTIONS(3270),
    [anon_sym_LBRACK] = ACTIONS(3270),
    [anon_sym_LTtemplate_GT] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_async] = ACTIONS(3270),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_new] = ACTIONS(3270),
    [anon_sym_using] = ACTIONS(3270),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_SLASH] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_void] = ACTIONS(3270),
    [anon_sym_delete] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3270),
    [sym_number] = ACTIONS(3270),
    [sym_private_property_identifier] = ACTIONS(3270),
    [sym_this] = ACTIONS(3270),
    [sym_super] = ACTIONS(3270),
    [sym_true] = ACTIONS(3270),
    [sym_false] = ACTIONS(3270),
    [sym_null] = ACTIONS(3270),
    [sym_undefined] = ACTIONS(3270),
    [anon_sym_AT] = ACTIONS(3270),
    [anon_sym_static] = ACTIONS(3270),
    [anon_sym_readonly] = ACTIONS(3270),
    [anon_sym_get] = ACTIONS(3270),
    [anon_sym_set] = ACTIONS(3270),
    [anon_sym_declare] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3270),
    [anon_sym_private] = ACTIONS(3270),
    [anon_sym_protected] = ACTIONS(3270),
    [anon_sym_override] = ACTIONS(3270),
    [anon_sym_module] = ACTIONS(3270),
    [anon_sym_any] = ACTIONS(3270),
    [anon_sym_number] = ACTIONS(3270),
    [anon_sym_boolean] = ACTIONS(3270),
    [anon_sym_string] = ACTIONS(3270),
    [anon_sym_symbol] = ACTIONS(3270),
    [anon_sym_object] = ACTIONS(3270),
    [anon_sym_abstract] = ACTIONS(3270),
    [anon_sym_interface] = ACTIONS(3270),
    [anon_sym_enum] = ACTIONS(3270),
    [sym_html_comment] = ACTIONS(5),
  },
  [1268] = {
    [sym_comment] = STATE(1268),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_default] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_case] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym_html_comment] = ACTIONS(5),
  },
  [1269] = {
    [sym_comment] = STATE(1269),
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_export] = ACTIONS(3178),
    [anon_sym_default] = ACTIONS(3178),
    [anon_sym_type] = ACTIONS(3178),
    [anon_sym_namespace] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_typeof] = ACTIONS(3178),
    [anon_sym_import] = ACTIONS(3178),
    [anon_sym_with] = ACTIONS(3178),
    [anon_sym_var] = ACTIONS(3178),
    [anon_sym_let] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_switch] = ACTIONS(3178),
    [anon_sym_for] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_await] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_do] = ACTIONS(3178),
    [anon_sym_try] = ACTIONS(3178),
    [anon_sym_break] = ACTIONS(3178),
    [anon_sym_continue] = ACTIONS(3178),
    [anon_sym_debugger] = ACTIONS(3178),
    [anon_sym_return] = ACTIONS(3178),
    [anon_sym_throw] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym_case] = ACTIONS(3178),
    [anon_sym_yield] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3178),
    [anon_sym_LTtemplate_GT] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_async] = ACTIONS(3178),
    [anon_sym_function] = ACTIONS(3178),
    [anon_sym_new] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_void] = ACTIONS(3178),
    [anon_sym_delete] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3178),
    [sym_number] = ACTIONS(3178),
    [sym_private_property_identifier] = ACTIONS(3178),
    [sym_this] = ACTIONS(3178),
    [sym_super] = ACTIONS(3178),
    [sym_true] = ACTIONS(3178),
    [sym_false] = ACTIONS(3178),
    [sym_null] = ACTIONS(3178),
    [sym_undefined] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3178),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_readonly] = ACTIONS(3178),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_declare] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_module] = ACTIONS(3178),
    [anon_sym_any] = ACTIONS(3178),
    [anon_sym_number] = ACTIONS(3178),
    [anon_sym_boolean] = ACTIONS(3178),
    [anon_sym_string] = ACTIONS(3178),
    [anon_sym_symbol] = ACTIONS(3178),
    [anon_sym_object] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_interface] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [sym_html_comment] = ACTIONS(5),
  },
  [1270] = {
    [sym_comment] = STATE(1270),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1271] = {
    [sym_comment] = STATE(1271),
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_export] = ACTIONS(3174),
    [anon_sym_default] = ACTIONS(3174),
    [anon_sym_type] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_typeof] = ACTIONS(3174),
    [anon_sym_import] = ACTIONS(3174),
    [anon_sym_with] = ACTIONS(3174),
    [anon_sym_var] = ACTIONS(3174),
    [anon_sym_let] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3174),
    [anon_sym_await] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_debugger] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3174),
    [anon_sym_yield] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_LTtemplate_GT] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_async] = ACTIONS(3174),
    [anon_sym_function] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_void] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3174),
    [sym_number] = ACTIONS(3174),
    [sym_private_property_identifier] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
    [sym_super] = ACTIONS(3174),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [sym_null] = ACTIONS(3174),
    [sym_undefined] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_readonly] = ACTIONS(3174),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_declare] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_module] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3174),
    [anon_sym_number] = ACTIONS(3174),
    [anon_sym_boolean] = ACTIONS(3174),
    [anon_sym_string] = ACTIONS(3174),
    [anon_sym_symbol] = ACTIONS(3174),
    [anon_sym_object] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_interface] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [sym_html_comment] = ACTIONS(5),
  },
  [1272] = {
    [sym_comment] = STATE(1272),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_export] = ACTIONS(3272),
    [anon_sym_type] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_RBRACE] = ACTIONS(3272),
    [anon_sym_typeof] = ACTIONS(3272),
    [anon_sym_import] = ACTIONS(3272),
    [anon_sym_with] = ACTIONS(3272),
    [anon_sym_var] = ACTIONS(3272),
    [anon_sym_let] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_BANG] = ACTIONS(3272),
    [anon_sym_else] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [anon_sym_await] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_debugger] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_yield] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_LTtemplate_GT] = ACTIONS(3272),
    [anon_sym_DQUOTE] = ACTIONS(3272),
    [anon_sym_SQUOTE] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_async] = ACTIONS(3272),
    [anon_sym_function] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_TILDE] = ACTIONS(3272),
    [anon_sym_void] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3272),
    [sym_number] = ACTIONS(3272),
    [sym_private_property_identifier] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
    [sym_super] = ACTIONS(3272),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [sym_null] = ACTIONS(3272),
    [sym_undefined] = ACTIONS(3272),
    [anon_sym_AT] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_readonly] = ACTIONS(3272),
    [anon_sym_get] = ACTIONS(3272),
    [anon_sym_set] = ACTIONS(3272),
    [anon_sym_declare] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_override] = ACTIONS(3272),
    [anon_sym_module] = ACTIONS(3272),
    [anon_sym_any] = ACTIONS(3272),
    [anon_sym_number] = ACTIONS(3272),
    [anon_sym_boolean] = ACTIONS(3272),
    [anon_sym_string] = ACTIONS(3272),
    [anon_sym_symbol] = ACTIONS(3272),
    [anon_sym_object] = ACTIONS(3272),
    [anon_sym_abstract] = ACTIONS(3272),
    [anon_sym_interface] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [sym_html_comment] = ACTIONS(5),
  },
  [1273] = {
    [sym_comment] = STATE(1273),
    [ts_builtin_sym_end] = ACTIONS(3386),
    [sym_identifier] = ACTIONS(3316),
    [anon_sym_export] = ACTIONS(3316),
    [anon_sym_type] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_typeof] = ACTIONS(3316),
    [anon_sym_import] = ACTIONS(3316),
    [anon_sym_with] = ACTIONS(3316),
    [anon_sym_var] = ACTIONS(3316),
    [anon_sym_let] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_BANG] = ACTIONS(3316),
    [anon_sym_else] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_await] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_debugger] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym_yield] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_LTtemplate_GT] = ACTIONS(3316),
    [anon_sym_DQUOTE] = ACTIONS(3316),
    [anon_sym_SQUOTE] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_async] = ACTIONS(3316),
    [anon_sym_function] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_TILDE] = ACTIONS(3316),
    [anon_sym_void] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_PLUS_PLUS] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3316),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3316),
    [sym_number] = ACTIONS(3316),
    [sym_private_property_identifier] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
    [sym_super] = ACTIONS(3316),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [sym_null] = ACTIONS(3316),
    [sym_undefined] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_readonly] = ACTIONS(3316),
    [anon_sym_get] = ACTIONS(3316),
    [anon_sym_set] = ACTIONS(3316),
    [anon_sym_declare] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_module] = ACTIONS(3316),
    [anon_sym_any] = ACTIONS(3316),
    [anon_sym_number] = ACTIONS(3316),
    [anon_sym_boolean] = ACTIONS(3316),
    [anon_sym_string] = ACTIONS(3316),
    [anon_sym_symbol] = ACTIONS(3316),
    [anon_sym_object] = ACTIONS(3316),
    [anon_sym_abstract] = ACTIONS(3316),
    [anon_sym_interface] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1274] = {
    [sym_comment] = STATE(1274),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_export] = ACTIONS(3272),
    [anon_sym_default] = ACTIONS(3272),
    [anon_sym_type] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_RBRACE] = ACTIONS(3272),
    [anon_sym_typeof] = ACTIONS(3272),
    [anon_sym_import] = ACTIONS(3272),
    [anon_sym_with] = ACTIONS(3272),
    [anon_sym_var] = ACTIONS(3272),
    [anon_sym_let] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_BANG] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [anon_sym_await] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_debugger] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_case] = ACTIONS(3272),
    [anon_sym_yield] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_LTtemplate_GT] = ACTIONS(3272),
    [anon_sym_DQUOTE] = ACTIONS(3272),
    [anon_sym_SQUOTE] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_async] = ACTIONS(3272),
    [anon_sym_function] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_TILDE] = ACTIONS(3272),
    [anon_sym_void] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3272),
    [sym_number] = ACTIONS(3272),
    [sym_private_property_identifier] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
    [sym_super] = ACTIONS(3272),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [sym_null] = ACTIONS(3272),
    [sym_undefined] = ACTIONS(3272),
    [anon_sym_AT] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_readonly] = ACTIONS(3272),
    [anon_sym_get] = ACTIONS(3272),
    [anon_sym_set] = ACTIONS(3272),
    [anon_sym_declare] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_override] = ACTIONS(3272),
    [anon_sym_module] = ACTIONS(3272),
    [anon_sym_any] = ACTIONS(3272),
    [anon_sym_number] = ACTIONS(3272),
    [anon_sym_boolean] = ACTIONS(3272),
    [anon_sym_string] = ACTIONS(3272),
    [anon_sym_symbol] = ACTIONS(3272),
    [anon_sym_object] = ACTIONS(3272),
    [anon_sym_abstract] = ACTIONS(3272),
    [anon_sym_interface] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [sym_html_comment] = ACTIONS(5),
  },
  [1275] = {
    [sym_comment] = STATE(1275),
    [ts_builtin_sym_end] = ACTIONS(3386),
    [sym_identifier] = ACTIONS(3316),
    [anon_sym_export] = ACTIONS(3316),
    [anon_sym_type] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_typeof] = ACTIONS(3316),
    [anon_sym_import] = ACTIONS(3316),
    [anon_sym_with] = ACTIONS(3316),
    [anon_sym_var] = ACTIONS(3316),
    [anon_sym_let] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_BANG] = ACTIONS(3316),
    [anon_sym_else] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_await] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_debugger] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym_yield] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_LTtemplate_GT] = ACTIONS(3316),
    [anon_sym_DQUOTE] = ACTIONS(3316),
    [anon_sym_SQUOTE] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_async] = ACTIONS(3316),
    [anon_sym_function] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_TILDE] = ACTIONS(3316),
    [anon_sym_void] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_PLUS_PLUS] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3316),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3316),
    [sym_number] = ACTIONS(3316),
    [sym_private_property_identifier] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
    [sym_super] = ACTIONS(3316),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [sym_null] = ACTIONS(3316),
    [sym_undefined] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_readonly] = ACTIONS(3316),
    [anon_sym_get] = ACTIONS(3316),
    [anon_sym_set] = ACTIONS(3316),
    [anon_sym_declare] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_module] = ACTIONS(3316),
    [anon_sym_any] = ACTIONS(3316),
    [anon_sym_number] = ACTIONS(3316),
    [anon_sym_boolean] = ACTIONS(3316),
    [anon_sym_string] = ACTIONS(3316),
    [anon_sym_symbol] = ACTIONS(3316),
    [anon_sym_object] = ACTIONS(3316),
    [anon_sym_abstract] = ACTIONS(3316),
    [anon_sym_interface] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1276] = {
    [sym_comment] = STATE(1276),
    [ts_builtin_sym_end] = ACTIONS(3388),
    [sym_identifier] = ACTIONS(3318),
    [anon_sym_export] = ACTIONS(3318),
    [anon_sym_type] = ACTIONS(3318),
    [anon_sym_namespace] = ACTIONS(3318),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3318),
    [anon_sym_typeof] = ACTIONS(3318),
    [anon_sym_import] = ACTIONS(3318),
    [anon_sym_with] = ACTIONS(3318),
    [anon_sym_var] = ACTIONS(3318),
    [anon_sym_let] = ACTIONS(3318),
    [anon_sym_const] = ACTIONS(3318),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_else] = ACTIONS(3318),
    [anon_sym_if] = ACTIONS(3318),
    [anon_sym_switch] = ACTIONS(3318),
    [anon_sym_for] = ACTIONS(3318),
    [anon_sym_LPAREN] = ACTIONS(3318),
    [anon_sym_await] = ACTIONS(3318),
    [anon_sym_while] = ACTIONS(3318),
    [anon_sym_do] = ACTIONS(3318),
    [anon_sym_try] = ACTIONS(3318),
    [anon_sym_break] = ACTIONS(3318),
    [anon_sym_continue] = ACTIONS(3318),
    [anon_sym_debugger] = ACTIONS(3318),
    [anon_sym_return] = ACTIONS(3318),
    [anon_sym_throw] = ACTIONS(3318),
    [anon_sym_SEMI] = ACTIONS(3318),
    [anon_sym_yield] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(3318),
    [anon_sym_LTtemplate_GT] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_class] = ACTIONS(3318),
    [anon_sym_async] = ACTIONS(3318),
    [anon_sym_function] = ACTIONS(3318),
    [anon_sym_new] = ACTIONS(3318),
    [anon_sym_using] = ACTIONS(3318),
    [anon_sym_PLUS] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3318),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_LT] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_void] = ACTIONS(3318),
    [anon_sym_delete] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3318),
    [sym_number] = ACTIONS(3318),
    [sym_private_property_identifier] = ACTIONS(3318),
    [sym_this] = ACTIONS(3318),
    [sym_super] = ACTIONS(3318),
    [sym_true] = ACTIONS(3318),
    [sym_false] = ACTIONS(3318),
    [sym_null] = ACTIONS(3318),
    [sym_undefined] = ACTIONS(3318),
    [anon_sym_AT] = ACTIONS(3318),
    [anon_sym_static] = ACTIONS(3318),
    [anon_sym_readonly] = ACTIONS(3318),
    [anon_sym_get] = ACTIONS(3318),
    [anon_sym_set] = ACTIONS(3318),
    [anon_sym_declare] = ACTIONS(3318),
    [anon_sym_public] = ACTIONS(3318),
    [anon_sym_private] = ACTIONS(3318),
    [anon_sym_protected] = ACTIONS(3318),
    [anon_sym_override] = ACTIONS(3318),
    [anon_sym_module] = ACTIONS(3318),
    [anon_sym_any] = ACTIONS(3318),
    [anon_sym_number] = ACTIONS(3318),
    [anon_sym_boolean] = ACTIONS(3318),
    [anon_sym_string] = ACTIONS(3318),
    [anon_sym_symbol] = ACTIONS(3318),
    [anon_sym_object] = ACTIONS(3318),
    [anon_sym_abstract] = ACTIONS(3318),
    [anon_sym_interface] = ACTIONS(3318),
    [anon_sym_enum] = ACTIONS(3318),
    [sym_html_comment] = ACTIONS(5),
  },
  [1277] = {
    [sym_comment] = STATE(1277),
    [ts_builtin_sym_end] = ACTIONS(2271),
    [sym_identifier] = ACTIONS(2097),
    [anon_sym_export] = ACTIONS(2097),
    [anon_sym_type] = ACTIONS(2097),
    [anon_sym_namespace] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_RBRACE] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(2097),
    [anon_sym_import] = ACTIONS(2097),
    [anon_sym_with] = ACTIONS(2097),
    [anon_sym_var] = ACTIONS(2097),
    [anon_sym_let] = ACTIONS(2097),
    [anon_sym_const] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2097),
    [anon_sym_switch] = ACTIONS(2097),
    [anon_sym_for] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2097),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_while] = ACTIONS(2097),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_try] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_debugger] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_throw] = ACTIONS(2097),
    [anon_sym_SEMI] = ACTIONS(2097),
    [anon_sym_yield] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2097),
    [anon_sym_LTtemplate_GT] = ACTIONS(2097),
    [anon_sym_DQUOTE] = ACTIONS(2097),
    [anon_sym_SQUOTE] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_function] = ACTIONS(2097),
    [anon_sym_new] = ACTIONS(2097),
    [anon_sym_using] = ACTIONS(2097),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_SLASH] = ACTIONS(2097),
    [anon_sym_LT] = ACTIONS(2097),
    [anon_sym_TILDE] = ACTIONS(2097),
    [anon_sym_void] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2097),
    [anon_sym_DASH_DASH] = ACTIONS(2097),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2097),
    [sym_number] = ACTIONS(2097),
    [sym_private_property_identifier] = ACTIONS(2097),
    [sym_this] = ACTIONS(2097),
    [sym_super] = ACTIONS(2097),
    [sym_true] = ACTIONS(2097),
    [sym_false] = ACTIONS(2097),
    [sym_null] = ACTIONS(2097),
    [sym_undefined] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2097),
    [anon_sym_static] = ACTIONS(2097),
    [anon_sym_readonly] = ACTIONS(2097),
    [anon_sym_get] = ACTIONS(2097),
    [anon_sym_set] = ACTIONS(2097),
    [anon_sym_declare] = ACTIONS(2097),
    [anon_sym_public] = ACTIONS(2097),
    [anon_sym_private] = ACTIONS(2097),
    [anon_sym_protected] = ACTIONS(2097),
    [anon_sym_override] = ACTIONS(2097),
    [anon_sym_module] = ACTIONS(2097),
    [anon_sym_any] = ACTIONS(2097),
    [anon_sym_number] = ACTIONS(2097),
    [anon_sym_boolean] = ACTIONS(2097),
    [anon_sym_string] = ACTIONS(2097),
    [anon_sym_symbol] = ACTIONS(2097),
    [anon_sym_object] = ACTIONS(2097),
    [anon_sym_abstract] = ACTIONS(2097),
    [anon_sym_interface] = ACTIONS(2097),
    [anon_sym_enum] = ACTIONS(2097),
    [sym__automatic_semicolon] = ACTIONS(2447),
    [sym_html_comment] = ACTIONS(5),
  },
  [1278] = {
    [sym_comment] = STATE(1278),
    [ts_builtin_sym_end] = ACTIONS(3390),
    [sym_identifier] = ACTIONS(3320),
    [anon_sym_export] = ACTIONS(3320),
    [anon_sym_type] = ACTIONS(3320),
    [anon_sym_namespace] = ACTIONS(3320),
    [anon_sym_LBRACE] = ACTIONS(3320),
    [anon_sym_RBRACE] = ACTIONS(3320),
    [anon_sym_typeof] = ACTIONS(3320),
    [anon_sym_import] = ACTIONS(3320),
    [anon_sym_with] = ACTIONS(3320),
    [anon_sym_var] = ACTIONS(3320),
    [anon_sym_let] = ACTIONS(3320),
    [anon_sym_const] = ACTIONS(3320),
    [anon_sym_BANG] = ACTIONS(3320),
    [anon_sym_else] = ACTIONS(3320),
    [anon_sym_if] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(3320),
    [anon_sym_for] = ACTIONS(3320),
    [anon_sym_LPAREN] = ACTIONS(3320),
    [anon_sym_await] = ACTIONS(3320),
    [anon_sym_while] = ACTIONS(3320),
    [anon_sym_do] = ACTIONS(3320),
    [anon_sym_try] = ACTIONS(3320),
    [anon_sym_break] = ACTIONS(3320),
    [anon_sym_continue] = ACTIONS(3320),
    [anon_sym_debugger] = ACTIONS(3320),
    [anon_sym_return] = ACTIONS(3320),
    [anon_sym_throw] = ACTIONS(3320),
    [anon_sym_SEMI] = ACTIONS(3320),
    [anon_sym_yield] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_LTtemplate_GT] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_async] = ACTIONS(3320),
    [anon_sym_function] = ACTIONS(3320),
    [anon_sym_new] = ACTIONS(3320),
    [anon_sym_using] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_SLASH] = ACTIONS(3320),
    [anon_sym_LT] = ACTIONS(3320),
    [anon_sym_TILDE] = ACTIONS(3320),
    [anon_sym_void] = ACTIONS(3320),
    [anon_sym_delete] = ACTIONS(3320),
    [anon_sym_PLUS_PLUS] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3320),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3320),
    [sym_number] = ACTIONS(3320),
    [sym_private_property_identifier] = ACTIONS(3320),
    [sym_this] = ACTIONS(3320),
    [sym_super] = ACTIONS(3320),
    [sym_true] = ACTIONS(3320),
    [sym_false] = ACTIONS(3320),
    [sym_null] = ACTIONS(3320),
    [sym_undefined] = ACTIONS(3320),
    [anon_sym_AT] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_readonly] = ACTIONS(3320),
    [anon_sym_get] = ACTIONS(3320),
    [anon_sym_set] = ACTIONS(3320),
    [anon_sym_declare] = ACTIONS(3320),
    [anon_sym_public] = ACTIONS(3320),
    [anon_sym_private] = ACTIONS(3320),
    [anon_sym_protected] = ACTIONS(3320),
    [anon_sym_override] = ACTIONS(3320),
    [anon_sym_module] = ACTIONS(3320),
    [anon_sym_any] = ACTIONS(3320),
    [anon_sym_number] = ACTIONS(3320),
    [anon_sym_boolean] = ACTIONS(3320),
    [anon_sym_string] = ACTIONS(3320),
    [anon_sym_symbol] = ACTIONS(3320),
    [anon_sym_object] = ACTIONS(3320),
    [anon_sym_abstract] = ACTIONS(3320),
    [anon_sym_interface] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [sym_html_comment] = ACTIONS(5),
  },
  [1279] = {
    [sym_comment] = STATE(1279),
    [ts_builtin_sym_end] = ACTIONS(3392),
    [sym_identifier] = ACTIONS(3270),
    [anon_sym_export] = ACTIONS(3270),
    [anon_sym_type] = ACTIONS(3270),
    [anon_sym_namespace] = ACTIONS(3270),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_typeof] = ACTIONS(3270),
    [anon_sym_import] = ACTIONS(3270),
    [anon_sym_with] = ACTIONS(3270),
    [anon_sym_var] = ACTIONS(3270),
    [anon_sym_let] = ACTIONS(3270),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_else] = ACTIONS(3270),
    [anon_sym_if] = ACTIONS(3270),
    [anon_sym_switch] = ACTIONS(3270),
    [anon_sym_for] = ACTIONS(3270),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_await] = ACTIONS(3270),
    [anon_sym_while] = ACTIONS(3270),
    [anon_sym_do] = ACTIONS(3270),
    [anon_sym_try] = ACTIONS(3270),
    [anon_sym_break] = ACTIONS(3270),
    [anon_sym_continue] = ACTIONS(3270),
    [anon_sym_debugger] = ACTIONS(3270),
    [anon_sym_return] = ACTIONS(3270),
    [anon_sym_throw] = ACTIONS(3270),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym_yield] = ACTIONS(3270),
    [anon_sym_LBRACK] = ACTIONS(3270),
    [anon_sym_LTtemplate_GT] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_async] = ACTIONS(3270),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_new] = ACTIONS(3270),
    [anon_sym_using] = ACTIONS(3270),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_SLASH] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_void] = ACTIONS(3270),
    [anon_sym_delete] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3270),
    [sym_number] = ACTIONS(3270),
    [sym_private_property_identifier] = ACTIONS(3270),
    [sym_this] = ACTIONS(3270),
    [sym_super] = ACTIONS(3270),
    [sym_true] = ACTIONS(3270),
    [sym_false] = ACTIONS(3270),
    [sym_null] = ACTIONS(3270),
    [sym_undefined] = ACTIONS(3270),
    [anon_sym_AT] = ACTIONS(3270),
    [anon_sym_static] = ACTIONS(3270),
    [anon_sym_readonly] = ACTIONS(3270),
    [anon_sym_get] = ACTIONS(3270),
    [anon_sym_set] = ACTIONS(3270),
    [anon_sym_declare] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3270),
    [anon_sym_private] = ACTIONS(3270),
    [anon_sym_protected] = ACTIONS(3270),
    [anon_sym_override] = ACTIONS(3270),
    [anon_sym_module] = ACTIONS(3270),
    [anon_sym_any] = ACTIONS(3270),
    [anon_sym_number] = ACTIONS(3270),
    [anon_sym_boolean] = ACTIONS(3270),
    [anon_sym_string] = ACTIONS(3270),
    [anon_sym_symbol] = ACTIONS(3270),
    [anon_sym_object] = ACTIONS(3270),
    [anon_sym_abstract] = ACTIONS(3270),
    [anon_sym_interface] = ACTIONS(3270),
    [anon_sym_enum] = ACTIONS(3270),
    [sym_html_comment] = ACTIONS(5),
  },
  [1280] = {
    [sym_comment] = STATE(1280),
    [sym_identifier] = ACTIONS(3274),
    [anon_sym_export] = ACTIONS(3274),
    [anon_sym_default] = ACTIONS(3274),
    [anon_sym_type] = ACTIONS(3274),
    [anon_sym_namespace] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_typeof] = ACTIONS(3274),
    [anon_sym_import] = ACTIONS(3274),
    [anon_sym_with] = ACTIONS(3274),
    [anon_sym_var] = ACTIONS(3274),
    [anon_sym_let] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_BANG] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(3274),
    [anon_sym_await] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_try] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_debugger] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_throw] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym_case] = ACTIONS(3274),
    [anon_sym_yield] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_LTtemplate_GT] = ACTIONS(3274),
    [anon_sym_DQUOTE] = ACTIONS(3274),
    [anon_sym_SQUOTE] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_async] = ACTIONS(3274),
    [anon_sym_function] = ACTIONS(3274),
    [anon_sym_new] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_SLASH] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3274),
    [anon_sym_TILDE] = ACTIONS(3274),
    [anon_sym_void] = ACTIONS(3274),
    [anon_sym_delete] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3274),
    [sym_number] = ACTIONS(3274),
    [sym_private_property_identifier] = ACTIONS(3274),
    [sym_this] = ACTIONS(3274),
    [sym_super] = ACTIONS(3274),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [sym_null] = ACTIONS(3274),
    [sym_undefined] = ACTIONS(3274),
    [anon_sym_AT] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_readonly] = ACTIONS(3274),
    [anon_sym_get] = ACTIONS(3274),
    [anon_sym_set] = ACTIONS(3274),
    [anon_sym_declare] = ACTIONS(3274),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_override] = ACTIONS(3274),
    [anon_sym_module] = ACTIONS(3274),
    [anon_sym_any] = ACTIONS(3274),
    [anon_sym_number] = ACTIONS(3274),
    [anon_sym_boolean] = ACTIONS(3274),
    [anon_sym_string] = ACTIONS(3274),
    [anon_sym_symbol] = ACTIONS(3274),
    [anon_sym_object] = ACTIONS(3274),
    [anon_sym_abstract] = ACTIONS(3274),
    [anon_sym_interface] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [sym_html_comment] = ACTIONS(5),
  },
  [1281] = {
    [sym_comment] = STATE(1281),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_default] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_case] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1282] = {
    [sym_comment] = STATE(1282),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_default] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_case] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1283] = {
    [sym_comment] = STATE(1283),
    [ts_builtin_sym_end] = ACTIONS(3394),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_else] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1284] = {
    [sym_comment] = STATE(1284),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_export] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_type] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_typeof] = ACTIONS(3278),
    [anon_sym_import] = ACTIONS(3278),
    [anon_sym_with] = ACTIONS(3278),
    [anon_sym_var] = ACTIONS(3278),
    [anon_sym_let] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_BANG] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_await] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_debugger] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_yield] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_LTtemplate_GT] = ACTIONS(3278),
    [anon_sym_DQUOTE] = ACTIONS(3278),
    [anon_sym_SQUOTE] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_async] = ACTIONS(3278),
    [anon_sym_function] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_SLASH] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_void] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3278),
    [sym_number] = ACTIONS(3278),
    [sym_private_property_identifier] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
    [sym_super] = ACTIONS(3278),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [sym_null] = ACTIONS(3278),
    [sym_undefined] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_readonly] = ACTIONS(3278),
    [anon_sym_get] = ACTIONS(3278),
    [anon_sym_set] = ACTIONS(3278),
    [anon_sym_declare] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_override] = ACTIONS(3278),
    [anon_sym_module] = ACTIONS(3278),
    [anon_sym_any] = ACTIONS(3278),
    [anon_sym_number] = ACTIONS(3278),
    [anon_sym_boolean] = ACTIONS(3278),
    [anon_sym_string] = ACTIONS(3278),
    [anon_sym_symbol] = ACTIONS(3278),
    [anon_sym_object] = ACTIONS(3278),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_interface] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [sym_html_comment] = ACTIONS(5),
  },
  [1285] = {
    [sym_comment] = STATE(1285),
    [ts_builtin_sym_end] = ACTIONS(3394),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_else] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1286] = {
    [sym_comment] = STATE(1286),
    [ts_builtin_sym_end] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_export] = ACTIONS(3326),
    [anon_sym_type] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_typeof] = ACTIONS(3326),
    [anon_sym_import] = ACTIONS(3326),
    [anon_sym_with] = ACTIONS(3326),
    [anon_sym_var] = ACTIONS(3326),
    [anon_sym_let] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_else] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_LPAREN] = ACTIONS(3326),
    [anon_sym_await] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_debugger] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym_yield] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_LTtemplate_GT] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_async] = ACTIONS(3326),
    [anon_sym_function] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_void] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3326),
    [sym_number] = ACTIONS(3326),
    [sym_private_property_identifier] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
    [sym_super] = ACTIONS(3326),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [sym_null] = ACTIONS(3326),
    [sym_undefined] = ACTIONS(3326),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_readonly] = ACTIONS(3326),
    [anon_sym_get] = ACTIONS(3326),
    [anon_sym_set] = ACTIONS(3326),
    [anon_sym_declare] = ACTIONS(3326),
    [anon_sym_public] = ACTIONS(3326),
    [anon_sym_private] = ACTIONS(3326),
    [anon_sym_protected] = ACTIONS(3326),
    [anon_sym_override] = ACTIONS(3326),
    [anon_sym_module] = ACTIONS(3326),
    [anon_sym_any] = ACTIONS(3326),
    [anon_sym_number] = ACTIONS(3326),
    [anon_sym_boolean] = ACTIONS(3326),
    [anon_sym_string] = ACTIONS(3326),
    [anon_sym_symbol] = ACTIONS(3326),
    [anon_sym_object] = ACTIONS(3326),
    [anon_sym_abstract] = ACTIONS(3326),
    [anon_sym_interface] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [sym_html_comment] = ACTIONS(5),
  },
  [1287] = {
    [sym_comment] = STATE(1287),
    [sym_identifier] = ACTIONS(3280),
    [anon_sym_export] = ACTIONS(3280),
    [anon_sym_default] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_typeof] = ACTIONS(3280),
    [anon_sym_import] = ACTIONS(3280),
    [anon_sym_with] = ACTIONS(3280),
    [anon_sym_var] = ACTIONS(3280),
    [anon_sym_let] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_LPAREN] = ACTIONS(3280),
    [anon_sym_await] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_debugger] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym_case] = ACTIONS(3280),
    [anon_sym_yield] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_LTtemplate_GT] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_async] = ACTIONS(3280),
    [anon_sym_function] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_void] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3280),
    [sym_number] = ACTIONS(3280),
    [sym_private_property_identifier] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
    [sym_super] = ACTIONS(3280),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [sym_null] = ACTIONS(3280),
    [sym_undefined] = ACTIONS(3280),
    [anon_sym_AT] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_readonly] = ACTIONS(3280),
    [anon_sym_get] = ACTIONS(3280),
    [anon_sym_set] = ACTIONS(3280),
    [anon_sym_declare] = ACTIONS(3280),
    [anon_sym_public] = ACTIONS(3280),
    [anon_sym_private] = ACTIONS(3280),
    [anon_sym_protected] = ACTIONS(3280),
    [anon_sym_override] = ACTIONS(3280),
    [anon_sym_module] = ACTIONS(3280),
    [anon_sym_any] = ACTIONS(3280),
    [anon_sym_number] = ACTIONS(3280),
    [anon_sym_boolean] = ACTIONS(3280),
    [anon_sym_string] = ACTIONS(3280),
    [anon_sym_symbol] = ACTIONS(3280),
    [anon_sym_object] = ACTIONS(3280),
    [anon_sym_abstract] = ACTIONS(3280),
    [anon_sym_interface] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1288] = {
    [sym_comment] = STATE(1288),
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_export] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_type] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_typeof] = ACTIONS(3282),
    [anon_sym_import] = ACTIONS(3282),
    [anon_sym_with] = ACTIONS(3282),
    [anon_sym_var] = ACTIONS(3282),
    [anon_sym_let] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_await] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_debugger] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_yield] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_LTtemplate_GT] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_async] = ACTIONS(3282),
    [anon_sym_function] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_SLASH] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_void] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3282),
    [sym_number] = ACTIONS(3282),
    [sym_private_property_identifier] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
    [sym_super] = ACTIONS(3282),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_undefined] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_readonly] = ACTIONS(3282),
    [anon_sym_get] = ACTIONS(3282),
    [anon_sym_set] = ACTIONS(3282),
    [anon_sym_declare] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_module] = ACTIONS(3282),
    [anon_sym_any] = ACTIONS(3282),
    [anon_sym_number] = ACTIONS(3282),
    [anon_sym_boolean] = ACTIONS(3282),
    [anon_sym_string] = ACTIONS(3282),
    [anon_sym_symbol] = ACTIONS(3282),
    [anon_sym_object] = ACTIONS(3282),
    [anon_sym_abstract] = ACTIONS(3282),
    [anon_sym_interface] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [sym_html_comment] = ACTIONS(5),
  },
  [1289] = {
    [sym_comment] = STATE(1289),
    [sym_identifier] = ACTIONS(3284),
    [anon_sym_export] = ACTIONS(3284),
    [anon_sym_default] = ACTIONS(3284),
    [anon_sym_type] = ACTIONS(3284),
    [anon_sym_namespace] = ACTIONS(3284),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_typeof] = ACTIONS(3284),
    [anon_sym_import] = ACTIONS(3284),
    [anon_sym_with] = ACTIONS(3284),
    [anon_sym_var] = ACTIONS(3284),
    [anon_sym_let] = ACTIONS(3284),
    [anon_sym_const] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_if] = ACTIONS(3284),
    [anon_sym_switch] = ACTIONS(3284),
    [anon_sym_for] = ACTIONS(3284),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [anon_sym_await] = ACTIONS(3284),
    [anon_sym_while] = ACTIONS(3284),
    [anon_sym_do] = ACTIONS(3284),
    [anon_sym_try] = ACTIONS(3284),
    [anon_sym_break] = ACTIONS(3284),
    [anon_sym_continue] = ACTIONS(3284),
    [anon_sym_debugger] = ACTIONS(3284),
    [anon_sym_return] = ACTIONS(3284),
    [anon_sym_throw] = ACTIONS(3284),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym_case] = ACTIONS(3284),
    [anon_sym_yield] = ACTIONS(3284),
    [anon_sym_LBRACK] = ACTIONS(3284),
    [anon_sym_LTtemplate_GT] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_class] = ACTIONS(3284),
    [anon_sym_async] = ACTIONS(3284),
    [anon_sym_function] = ACTIONS(3284),
    [anon_sym_new] = ACTIONS(3284),
    [anon_sym_using] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_void] = ACTIONS(3284),
    [anon_sym_delete] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3284),
    [sym_number] = ACTIONS(3284),
    [sym_private_property_identifier] = ACTIONS(3284),
    [sym_this] = ACTIONS(3284),
    [sym_super] = ACTIONS(3284),
    [sym_true] = ACTIONS(3284),
    [sym_false] = ACTIONS(3284),
    [sym_null] = ACTIONS(3284),
    [sym_undefined] = ACTIONS(3284),
    [anon_sym_AT] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3284),
    [anon_sym_readonly] = ACTIONS(3284),
    [anon_sym_get] = ACTIONS(3284),
    [anon_sym_set] = ACTIONS(3284),
    [anon_sym_declare] = ACTIONS(3284),
    [anon_sym_public] = ACTIONS(3284),
    [anon_sym_private] = ACTIONS(3284),
    [anon_sym_protected] = ACTIONS(3284),
    [anon_sym_override] = ACTIONS(3284),
    [anon_sym_module] = ACTIONS(3284),
    [anon_sym_any] = ACTIONS(3284),
    [anon_sym_number] = ACTIONS(3284),
    [anon_sym_boolean] = ACTIONS(3284),
    [anon_sym_string] = ACTIONS(3284),
    [anon_sym_symbol] = ACTIONS(3284),
    [anon_sym_object] = ACTIONS(3284),
    [anon_sym_abstract] = ACTIONS(3284),
    [anon_sym_interface] = ACTIONS(3284),
    [anon_sym_enum] = ACTIONS(3284),
    [sym_html_comment] = ACTIONS(5),
  },
  [1290] = {
    [sym_comment] = STATE(1290),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_export] = ACTIONS(3286),
    [anon_sym_default] = ACTIONS(3286),
    [anon_sym_type] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3286),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_typeof] = ACTIONS(3286),
    [anon_sym_import] = ACTIONS(3286),
    [anon_sym_with] = ACTIONS(3286),
    [anon_sym_var] = ACTIONS(3286),
    [anon_sym_let] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_BANG] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_LPAREN] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_debugger] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_case] = ACTIONS(3286),
    [anon_sym_yield] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_LTtemplate_GT] = ACTIONS(3286),
    [anon_sym_DQUOTE] = ACTIONS(3286),
    [anon_sym_SQUOTE] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_async] = ACTIONS(3286),
    [anon_sym_function] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_SLASH] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3286),
    [anon_sym_TILDE] = ACTIONS(3286),
    [anon_sym_void] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3286),
    [sym_number] = ACTIONS(3286),
    [sym_private_property_identifier] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
    [sym_super] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_null] = ACTIONS(3286),
    [sym_undefined] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_readonly] = ACTIONS(3286),
    [anon_sym_get] = ACTIONS(3286),
    [anon_sym_set] = ACTIONS(3286),
    [anon_sym_declare] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3286),
    [anon_sym_private] = ACTIONS(3286),
    [anon_sym_protected] = ACTIONS(3286),
    [anon_sym_override] = ACTIONS(3286),
    [anon_sym_module] = ACTIONS(3286),
    [anon_sym_any] = ACTIONS(3286),
    [anon_sym_number] = ACTIONS(3286),
    [anon_sym_boolean] = ACTIONS(3286),
    [anon_sym_string] = ACTIONS(3286),
    [anon_sym_symbol] = ACTIONS(3286),
    [anon_sym_object] = ACTIONS(3286),
    [anon_sym_abstract] = ACTIONS(3286),
    [anon_sym_interface] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [sym_html_comment] = ACTIONS(5),
  },
  [1291] = {
    [sym_comment] = STATE(1291),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_default] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1292] = {
    [sym_comment] = STATE(1292),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_default] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1293] = {
    [sym_comment] = STATE(1293),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_default] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1294] = {
    [sym_comment] = STATE(1294),
    [ts_builtin_sym_end] = ACTIONS(3398),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_export] = ACTIONS(3338),
    [anon_sym_type] = ACTIONS(3338),
    [anon_sym_namespace] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(3338),
    [anon_sym_RBRACE] = ACTIONS(3338),
    [anon_sym_typeof] = ACTIONS(3338),
    [anon_sym_import] = ACTIONS(3338),
    [anon_sym_with] = ACTIONS(3338),
    [anon_sym_var] = ACTIONS(3338),
    [anon_sym_let] = ACTIONS(3338),
    [anon_sym_const] = ACTIONS(3338),
    [anon_sym_BANG] = ACTIONS(3338),
    [anon_sym_else] = ACTIONS(3338),
    [anon_sym_if] = ACTIONS(3338),
    [anon_sym_switch] = ACTIONS(3338),
    [anon_sym_for] = ACTIONS(3338),
    [anon_sym_LPAREN] = ACTIONS(3338),
    [anon_sym_await] = ACTIONS(3338),
    [anon_sym_while] = ACTIONS(3338),
    [anon_sym_do] = ACTIONS(3338),
    [anon_sym_try] = ACTIONS(3338),
    [anon_sym_break] = ACTIONS(3338),
    [anon_sym_continue] = ACTIONS(3338),
    [anon_sym_debugger] = ACTIONS(3338),
    [anon_sym_return] = ACTIONS(3338),
    [anon_sym_throw] = ACTIONS(3338),
    [anon_sym_SEMI] = ACTIONS(3338),
    [anon_sym_yield] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(3338),
    [anon_sym_LTtemplate_GT] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [anon_sym_SQUOTE] = ACTIONS(3338),
    [anon_sym_class] = ACTIONS(3338),
    [anon_sym_async] = ACTIONS(3338),
    [anon_sym_function] = ACTIONS(3338),
    [anon_sym_new] = ACTIONS(3338),
    [anon_sym_using] = ACTIONS(3338),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3338),
    [anon_sym_LT] = ACTIONS(3338),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_void] = ACTIONS(3338),
    [anon_sym_delete] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3338),
    [sym_number] = ACTIONS(3338),
    [sym_private_property_identifier] = ACTIONS(3338),
    [sym_this] = ACTIONS(3338),
    [sym_super] = ACTIONS(3338),
    [sym_true] = ACTIONS(3338),
    [sym_false] = ACTIONS(3338),
    [sym_null] = ACTIONS(3338),
    [sym_undefined] = ACTIONS(3338),
    [anon_sym_AT] = ACTIONS(3338),
    [anon_sym_static] = ACTIONS(3338),
    [anon_sym_readonly] = ACTIONS(3338),
    [anon_sym_get] = ACTIONS(3338),
    [anon_sym_set] = ACTIONS(3338),
    [anon_sym_declare] = ACTIONS(3338),
    [anon_sym_public] = ACTIONS(3338),
    [anon_sym_private] = ACTIONS(3338),
    [anon_sym_protected] = ACTIONS(3338),
    [anon_sym_override] = ACTIONS(3338),
    [anon_sym_module] = ACTIONS(3338),
    [anon_sym_any] = ACTIONS(3338),
    [anon_sym_number] = ACTIONS(3338),
    [anon_sym_boolean] = ACTIONS(3338),
    [anon_sym_string] = ACTIONS(3338),
    [anon_sym_symbol] = ACTIONS(3338),
    [anon_sym_object] = ACTIONS(3338),
    [anon_sym_abstract] = ACTIONS(3338),
    [anon_sym_interface] = ACTIONS(3338),
    [anon_sym_enum] = ACTIONS(3338),
    [sym_html_comment] = ACTIONS(5),
  },
  [1295] = {
    [sym_comment] = STATE(1295),
    [ts_builtin_sym_end] = ACTIONS(3400),
    [sym_identifier] = ACTIONS(3268),
    [anon_sym_export] = ACTIONS(3268),
    [anon_sym_type] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3268),
    [anon_sym_RBRACE] = ACTIONS(3268),
    [anon_sym_typeof] = ACTIONS(3268),
    [anon_sym_import] = ACTIONS(3268),
    [anon_sym_with] = ACTIONS(3268),
    [anon_sym_var] = ACTIONS(3268),
    [anon_sym_let] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_BANG] = ACTIONS(3268),
    [anon_sym_else] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_LPAREN] = ACTIONS(3268),
    [anon_sym_await] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_debugger] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3268),
    [anon_sym_yield] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_LTtemplate_GT] = ACTIONS(3268),
    [anon_sym_DQUOTE] = ACTIONS(3268),
    [anon_sym_SQUOTE] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_async] = ACTIONS(3268),
    [anon_sym_function] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_TILDE] = ACTIONS(3268),
    [anon_sym_void] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_PLUS_PLUS] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3268),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3268),
    [sym_number] = ACTIONS(3268),
    [sym_private_property_identifier] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
    [sym_super] = ACTIONS(3268),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [sym_null] = ACTIONS(3268),
    [sym_undefined] = ACTIONS(3268),
    [anon_sym_AT] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_readonly] = ACTIONS(3268),
    [anon_sym_get] = ACTIONS(3268),
    [anon_sym_set] = ACTIONS(3268),
    [anon_sym_declare] = ACTIONS(3268),
    [anon_sym_public] = ACTIONS(3268),
    [anon_sym_private] = ACTIONS(3268),
    [anon_sym_protected] = ACTIONS(3268),
    [anon_sym_override] = ACTIONS(3268),
    [anon_sym_module] = ACTIONS(3268),
    [anon_sym_any] = ACTIONS(3268),
    [anon_sym_number] = ACTIONS(3268),
    [anon_sym_boolean] = ACTIONS(3268),
    [anon_sym_string] = ACTIONS(3268),
    [anon_sym_symbol] = ACTIONS(3268),
    [anon_sym_object] = ACTIONS(3268),
    [anon_sym_abstract] = ACTIONS(3268),
    [anon_sym_interface] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [sym_html_comment] = ACTIONS(5),
  },
  [1296] = {
    [sym_comment] = STATE(1296),
    [ts_builtin_sym_end] = ACTIONS(3402),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_export] = ACTIONS(3266),
    [anon_sym_type] = ACTIONS(3266),
    [anon_sym_namespace] = ACTIONS(3266),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_typeof] = ACTIONS(3266),
    [anon_sym_import] = ACTIONS(3266),
    [anon_sym_with] = ACTIONS(3266),
    [anon_sym_var] = ACTIONS(3266),
    [anon_sym_let] = ACTIONS(3266),
    [anon_sym_const] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_else] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_switch] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_await] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_do] = ACTIONS(3266),
    [anon_sym_try] = ACTIONS(3266),
    [anon_sym_break] = ACTIONS(3266),
    [anon_sym_continue] = ACTIONS(3266),
    [anon_sym_debugger] = ACTIONS(3266),
    [anon_sym_return] = ACTIONS(3266),
    [anon_sym_throw] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_yield] = ACTIONS(3266),
    [anon_sym_LBRACK] = ACTIONS(3266),
    [anon_sym_LTtemplate_GT] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_class] = ACTIONS(3266),
    [anon_sym_async] = ACTIONS(3266),
    [anon_sym_function] = ACTIONS(3266),
    [anon_sym_new] = ACTIONS(3266),
    [anon_sym_using] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3266),
    [anon_sym_SLASH] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_void] = ACTIONS(3266),
    [anon_sym_delete] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3266),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [sym_this] = ACTIONS(3266),
    [sym_super] = ACTIONS(3266),
    [sym_true] = ACTIONS(3266),
    [sym_false] = ACTIONS(3266),
    [sym_null] = ACTIONS(3266),
    [sym_undefined] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3266),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_readonly] = ACTIONS(3266),
    [anon_sym_get] = ACTIONS(3266),
    [anon_sym_set] = ACTIONS(3266),
    [anon_sym_declare] = ACTIONS(3266),
    [anon_sym_public] = ACTIONS(3266),
    [anon_sym_private] = ACTIONS(3266),
    [anon_sym_protected] = ACTIONS(3266),
    [anon_sym_override] = ACTIONS(3266),
    [anon_sym_module] = ACTIONS(3266),
    [anon_sym_any] = ACTIONS(3266),
    [anon_sym_number] = ACTIONS(3266),
    [anon_sym_boolean] = ACTIONS(3266),
    [anon_sym_string] = ACTIONS(3266),
    [anon_sym_symbol] = ACTIONS(3266),
    [anon_sym_object] = ACTIONS(3266),
    [anon_sym_abstract] = ACTIONS(3266),
    [anon_sym_interface] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1297] = {
    [sym_comment] = STATE(1297),
    [ts_builtin_sym_end] = ACTIONS(3404),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1298] = {
    [sym_comment] = STATE(1298),
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_export] = ACTIONS(3290),
    [anon_sym_default] = ACTIONS(3290),
    [anon_sym_type] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_typeof] = ACTIONS(3290),
    [anon_sym_import] = ACTIONS(3290),
    [anon_sym_with] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_let] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_LPAREN] = ACTIONS(3290),
    [anon_sym_await] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_debugger] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_case] = ACTIONS(3290),
    [anon_sym_yield] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_LTtemplate_GT] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_function] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_void] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3290),
    [sym_number] = ACTIONS(3290),
    [sym_private_property_identifier] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
    [sym_super] = ACTIONS(3290),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [sym_null] = ACTIONS(3290),
    [sym_undefined] = ACTIONS(3290),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_get] = ACTIONS(3290),
    [anon_sym_set] = ACTIONS(3290),
    [anon_sym_declare] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_module] = ACTIONS(3290),
    [anon_sym_any] = ACTIONS(3290),
    [anon_sym_number] = ACTIONS(3290),
    [anon_sym_boolean] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_symbol] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [sym_html_comment] = ACTIONS(5),
  },
  [1299] = {
    [sym_comment] = STATE(1299),
    [ts_builtin_sym_end] = ACTIONS(3404),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1300] = {
    [sym_comment] = STATE(1300),
    [ts_builtin_sym_end] = ACTIONS(3404),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1301] = {
    [sym_comment] = STATE(1301),
    [ts_builtin_sym_end] = ACTIONS(3406),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_export] = ACTIONS(3262),
    [anon_sym_type] = ACTIONS(3262),
    [anon_sym_namespace] = ACTIONS(3262),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_typeof] = ACTIONS(3262),
    [anon_sym_import] = ACTIONS(3262),
    [anon_sym_with] = ACTIONS(3262),
    [anon_sym_var] = ACTIONS(3262),
    [anon_sym_let] = ACTIONS(3262),
    [anon_sym_const] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_else] = ACTIONS(3262),
    [anon_sym_if] = ACTIONS(3262),
    [anon_sym_switch] = ACTIONS(3262),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_LPAREN] = ACTIONS(3262),
    [anon_sym_await] = ACTIONS(3262),
    [anon_sym_while] = ACTIONS(3262),
    [anon_sym_do] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3262),
    [anon_sym_break] = ACTIONS(3262),
    [anon_sym_continue] = ACTIONS(3262),
    [anon_sym_debugger] = ACTIONS(3262),
    [anon_sym_return] = ACTIONS(3262),
    [anon_sym_throw] = ACTIONS(3262),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym_yield] = ACTIONS(3262),
    [anon_sym_LBRACK] = ACTIONS(3262),
    [anon_sym_LTtemplate_GT] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_async] = ACTIONS(3262),
    [anon_sym_function] = ACTIONS(3262),
    [anon_sym_new] = ACTIONS(3262),
    [anon_sym_using] = ACTIONS(3262),
    [anon_sym_PLUS] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3262),
    [anon_sym_SLASH] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_void] = ACTIONS(3262),
    [anon_sym_delete] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3262),
    [sym_number] = ACTIONS(3262),
    [sym_private_property_identifier] = ACTIONS(3262),
    [sym_this] = ACTIONS(3262),
    [sym_super] = ACTIONS(3262),
    [sym_true] = ACTIONS(3262),
    [sym_false] = ACTIONS(3262),
    [sym_null] = ACTIONS(3262),
    [sym_undefined] = ACTIONS(3262),
    [anon_sym_AT] = ACTIONS(3262),
    [anon_sym_static] = ACTIONS(3262),
    [anon_sym_readonly] = ACTIONS(3262),
    [anon_sym_get] = ACTIONS(3262),
    [anon_sym_set] = ACTIONS(3262),
    [anon_sym_declare] = ACTIONS(3262),
    [anon_sym_public] = ACTIONS(3262),
    [anon_sym_private] = ACTIONS(3262),
    [anon_sym_protected] = ACTIONS(3262),
    [anon_sym_override] = ACTIONS(3262),
    [anon_sym_module] = ACTIONS(3262),
    [anon_sym_any] = ACTIONS(3262),
    [anon_sym_number] = ACTIONS(3262),
    [anon_sym_boolean] = ACTIONS(3262),
    [anon_sym_string] = ACTIONS(3262),
    [anon_sym_symbol] = ACTIONS(3262),
    [anon_sym_object] = ACTIONS(3262),
    [anon_sym_abstract] = ACTIONS(3262),
    [anon_sym_interface] = ACTIONS(3262),
    [anon_sym_enum] = ACTIONS(3262),
    [sym_html_comment] = ACTIONS(5),
  },
  [1302] = {
    [sym_comment] = STATE(1302),
    [ts_builtin_sym_end] = ACTIONS(3408),
    [sym_identifier] = ACTIONS(3260),
    [anon_sym_export] = ACTIONS(3260),
    [anon_sym_type] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3260),
    [anon_sym_RBRACE] = ACTIONS(3260),
    [anon_sym_typeof] = ACTIONS(3260),
    [anon_sym_import] = ACTIONS(3260),
    [anon_sym_with] = ACTIONS(3260),
    [anon_sym_var] = ACTIONS(3260),
    [anon_sym_let] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_BANG] = ACTIONS(3260),
    [anon_sym_else] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_LPAREN] = ACTIONS(3260),
    [anon_sym_await] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_debugger] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3260),
    [anon_sym_yield] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_LTtemplate_GT] = ACTIONS(3260),
    [anon_sym_DQUOTE] = ACTIONS(3260),
    [anon_sym_SQUOTE] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_async] = ACTIONS(3260),
    [anon_sym_function] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_SLASH] = ACTIONS(3260),
    [anon_sym_LT] = ACTIONS(3260),
    [anon_sym_TILDE] = ACTIONS(3260),
    [anon_sym_void] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_PLUS_PLUS] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3260),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3260),
    [sym_number] = ACTIONS(3260),
    [sym_private_property_identifier] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
    [sym_super] = ACTIONS(3260),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [sym_null] = ACTIONS(3260),
    [sym_undefined] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_readonly] = ACTIONS(3260),
    [anon_sym_get] = ACTIONS(3260),
    [anon_sym_set] = ACTIONS(3260),
    [anon_sym_declare] = ACTIONS(3260),
    [anon_sym_public] = ACTIONS(3260),
    [anon_sym_private] = ACTIONS(3260),
    [anon_sym_protected] = ACTIONS(3260),
    [anon_sym_override] = ACTIONS(3260),
    [anon_sym_module] = ACTIONS(3260),
    [anon_sym_any] = ACTIONS(3260),
    [anon_sym_number] = ACTIONS(3260),
    [anon_sym_boolean] = ACTIONS(3260),
    [anon_sym_string] = ACTIONS(3260),
    [anon_sym_symbol] = ACTIONS(3260),
    [anon_sym_object] = ACTIONS(3260),
    [anon_sym_abstract] = ACTIONS(3260),
    [anon_sym_interface] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [sym_html_comment] = ACTIONS(5),
  },
  [1303] = {
    [sym_comment] = STATE(1303),
    [ts_builtin_sym_end] = ACTIONS(3410),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_export] = ACTIONS(3258),
    [anon_sym_type] = ACTIONS(3258),
    [anon_sym_namespace] = ACTIONS(3258),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_typeof] = ACTIONS(3258),
    [anon_sym_import] = ACTIONS(3258),
    [anon_sym_with] = ACTIONS(3258),
    [anon_sym_var] = ACTIONS(3258),
    [anon_sym_let] = ACTIONS(3258),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_else] = ACTIONS(3258),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_switch] = ACTIONS(3258),
    [anon_sym_for] = ACTIONS(3258),
    [anon_sym_LPAREN] = ACTIONS(3258),
    [anon_sym_await] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3258),
    [anon_sym_do] = ACTIONS(3258),
    [anon_sym_try] = ACTIONS(3258),
    [anon_sym_break] = ACTIONS(3258),
    [anon_sym_continue] = ACTIONS(3258),
    [anon_sym_debugger] = ACTIONS(3258),
    [anon_sym_return] = ACTIONS(3258),
    [anon_sym_throw] = ACTIONS(3258),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_yield] = ACTIONS(3258),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_LTtemplate_GT] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3258),
    [anon_sym_async] = ACTIONS(3258),
    [anon_sym_function] = ACTIONS(3258),
    [anon_sym_new] = ACTIONS(3258),
    [anon_sym_using] = ACTIONS(3258),
    [anon_sym_PLUS] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3258),
    [anon_sym_SLASH] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_void] = ACTIONS(3258),
    [anon_sym_delete] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3258),
    [sym_number] = ACTIONS(3258),
    [sym_private_property_identifier] = ACTIONS(3258),
    [sym_this] = ACTIONS(3258),
    [sym_super] = ACTIONS(3258),
    [sym_true] = ACTIONS(3258),
    [sym_false] = ACTIONS(3258),
    [sym_null] = ACTIONS(3258),
    [sym_undefined] = ACTIONS(3258),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_static] = ACTIONS(3258),
    [anon_sym_readonly] = ACTIONS(3258),
    [anon_sym_get] = ACTIONS(3258),
    [anon_sym_set] = ACTIONS(3258),
    [anon_sym_declare] = ACTIONS(3258),
    [anon_sym_public] = ACTIONS(3258),
    [anon_sym_private] = ACTIONS(3258),
    [anon_sym_protected] = ACTIONS(3258),
    [anon_sym_override] = ACTIONS(3258),
    [anon_sym_module] = ACTIONS(3258),
    [anon_sym_any] = ACTIONS(3258),
    [anon_sym_number] = ACTIONS(3258),
    [anon_sym_boolean] = ACTIONS(3258),
    [anon_sym_string] = ACTIONS(3258),
    [anon_sym_symbol] = ACTIONS(3258),
    [anon_sym_object] = ACTIONS(3258),
    [anon_sym_abstract] = ACTIONS(3258),
    [anon_sym_interface] = ACTIONS(3258),
    [anon_sym_enum] = ACTIONS(3258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1304] = {
    [sym_comment] = STATE(1304),
    [ts_builtin_sym_end] = ACTIONS(3412),
    [sym_identifier] = ACTIONS(3256),
    [anon_sym_export] = ACTIONS(3256),
    [anon_sym_type] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3256),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_typeof] = ACTIONS(3256),
    [anon_sym_import] = ACTIONS(3256),
    [anon_sym_with] = ACTIONS(3256),
    [anon_sym_var] = ACTIONS(3256),
    [anon_sym_let] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_BANG] = ACTIONS(3256),
    [anon_sym_else] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3256),
    [anon_sym_await] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_debugger] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_yield] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_LTtemplate_GT] = ACTIONS(3256),
    [anon_sym_DQUOTE] = ACTIONS(3256),
    [anon_sym_SQUOTE] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_async] = ACTIONS(3256),
    [anon_sym_function] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_TILDE] = ACTIONS(3256),
    [anon_sym_void] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_PLUS_PLUS] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3256),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3256),
    [sym_number] = ACTIONS(3256),
    [sym_private_property_identifier] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
    [sym_super] = ACTIONS(3256),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [sym_null] = ACTIONS(3256),
    [sym_undefined] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_readonly] = ACTIONS(3256),
    [anon_sym_get] = ACTIONS(3256),
    [anon_sym_set] = ACTIONS(3256),
    [anon_sym_declare] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_protected] = ACTIONS(3256),
    [anon_sym_override] = ACTIONS(3256),
    [anon_sym_module] = ACTIONS(3256),
    [anon_sym_any] = ACTIONS(3256),
    [anon_sym_number] = ACTIONS(3256),
    [anon_sym_boolean] = ACTIONS(3256),
    [anon_sym_string] = ACTIONS(3256),
    [anon_sym_symbol] = ACTIONS(3256),
    [anon_sym_object] = ACTIONS(3256),
    [anon_sym_abstract] = ACTIONS(3256),
    [anon_sym_interface] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [sym_html_comment] = ACTIONS(5),
  },
  [1305] = {
    [sym_comment] = STATE(1305),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3254),
    [anon_sym_export] = ACTIONS(3254),
    [anon_sym_type] = ACTIONS(3254),
    [anon_sym_namespace] = ACTIONS(3254),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_typeof] = ACTIONS(3254),
    [anon_sym_import] = ACTIONS(3254),
    [anon_sym_with] = ACTIONS(3254),
    [anon_sym_var] = ACTIONS(3254),
    [anon_sym_let] = ACTIONS(3254),
    [anon_sym_const] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_else] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3254),
    [anon_sym_switch] = ACTIONS(3254),
    [anon_sym_for] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_await] = ACTIONS(3254),
    [anon_sym_while] = ACTIONS(3254),
    [anon_sym_do] = ACTIONS(3254),
    [anon_sym_try] = ACTIONS(3254),
    [anon_sym_break] = ACTIONS(3254),
    [anon_sym_continue] = ACTIONS(3254),
    [anon_sym_debugger] = ACTIONS(3254),
    [anon_sym_return] = ACTIONS(3254),
    [anon_sym_throw] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_yield] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [anon_sym_LTtemplate_GT] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_class] = ACTIONS(3254),
    [anon_sym_async] = ACTIONS(3254),
    [anon_sym_function] = ACTIONS(3254),
    [anon_sym_new] = ACTIONS(3254),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_void] = ACTIONS(3254),
    [anon_sym_delete] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3254),
    [sym_number] = ACTIONS(3254),
    [sym_private_property_identifier] = ACTIONS(3254),
    [sym_this] = ACTIONS(3254),
    [sym_super] = ACTIONS(3254),
    [sym_true] = ACTIONS(3254),
    [sym_false] = ACTIONS(3254),
    [sym_null] = ACTIONS(3254),
    [sym_undefined] = ACTIONS(3254),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_static] = ACTIONS(3254),
    [anon_sym_readonly] = ACTIONS(3254),
    [anon_sym_get] = ACTIONS(3254),
    [anon_sym_set] = ACTIONS(3254),
    [anon_sym_declare] = ACTIONS(3254),
    [anon_sym_public] = ACTIONS(3254),
    [anon_sym_private] = ACTIONS(3254),
    [anon_sym_protected] = ACTIONS(3254),
    [anon_sym_override] = ACTIONS(3254),
    [anon_sym_module] = ACTIONS(3254),
    [anon_sym_any] = ACTIONS(3254),
    [anon_sym_number] = ACTIONS(3254),
    [anon_sym_boolean] = ACTIONS(3254),
    [anon_sym_string] = ACTIONS(3254),
    [anon_sym_symbol] = ACTIONS(3254),
    [anon_sym_object] = ACTIONS(3254),
    [anon_sym_abstract] = ACTIONS(3254),
    [anon_sym_interface] = ACTIONS(3254),
    [anon_sym_enum] = ACTIONS(3254),
    [sym_html_comment] = ACTIONS(5),
  },
  [1306] = {
    [sym_comment] = STATE(1306),
    [ts_builtin_sym_end] = ACTIONS(3416),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_else] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1307] = {
    [sym_comment] = STATE(1307),
    [ts_builtin_sym_end] = ACTIONS(3418),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_export] = ACTIONS(3158),
    [anon_sym_type] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_typeof] = ACTIONS(3158),
    [anon_sym_import] = ACTIONS(3158),
    [anon_sym_with] = ACTIONS(3158),
    [anon_sym_var] = ACTIONS(3158),
    [anon_sym_let] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_debugger] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_yield] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_LTtemplate_GT] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_async] = ACTIONS(3158),
    [anon_sym_function] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_void] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3158),
    [sym_number] = ACTIONS(3158),
    [sym_private_property_identifier] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
    [sym_super] = ACTIONS(3158),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [sym_null] = ACTIONS(3158),
    [sym_undefined] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_readonly] = ACTIONS(3158),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_declare] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_module] = ACTIONS(3158),
    [anon_sym_any] = ACTIONS(3158),
    [anon_sym_number] = ACTIONS(3158),
    [anon_sym_boolean] = ACTIONS(3158),
    [anon_sym_string] = ACTIONS(3158),
    [anon_sym_symbol] = ACTIONS(3158),
    [anon_sym_object] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_interface] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1308] = {
    [sym_comment] = STATE(1308),
    [ts_builtin_sym_end] = ACTIONS(3420),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_else] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1309] = {
    [sym_comment] = STATE(1309),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [1310] = {
    [sym_comment] = STATE(1310),
    [ts_builtin_sym_end] = ACTIONS(3420),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_else] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1311] = {
    [sym_comment] = STATE(1311),
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_export] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_type] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_typeof] = ACTIONS(3162),
    [anon_sym_import] = ACTIONS(3162),
    [anon_sym_with] = ACTIONS(3162),
    [anon_sym_var] = ACTIONS(3162),
    [anon_sym_let] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3162),
    [anon_sym_await] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_debugger] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_yield] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_LTtemplate_GT] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_async] = ACTIONS(3162),
    [anon_sym_function] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3162),
    [sym_number] = ACTIONS(3162),
    [sym_private_property_identifier] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
    [sym_super] = ACTIONS(3162),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [sym_null] = ACTIONS(3162),
    [sym_undefined] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_readonly] = ACTIONS(3162),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_declare] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_module] = ACTIONS(3162),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_interface] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1312] = {
    [sym_comment] = STATE(1312),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_export] = ACTIONS(3160),
    [anon_sym_default] = ACTIONS(3160),
    [anon_sym_type] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_typeof] = ACTIONS(3160),
    [anon_sym_import] = ACTIONS(3160),
    [anon_sym_with] = ACTIONS(3160),
    [anon_sym_var] = ACTIONS(3160),
    [anon_sym_let] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_await] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_debugger] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_case] = ACTIONS(3160),
    [anon_sym_yield] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_LTtemplate_GT] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_async] = ACTIONS(3160),
    [anon_sym_function] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3160),
    [sym_number] = ACTIONS(3160),
    [sym_private_property_identifier] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
    [sym_super] = ACTIONS(3160),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [sym_null] = ACTIONS(3160),
    [sym_undefined] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_readonly] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3160),
    [anon_sym_set] = ACTIONS(3160),
    [anon_sym_declare] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_protected] = ACTIONS(3160),
    [anon_sym_override] = ACTIONS(3160),
    [anon_sym_module] = ACTIONS(3160),
    [anon_sym_any] = ACTIONS(3160),
    [anon_sym_number] = ACTIONS(3160),
    [anon_sym_boolean] = ACTIONS(3160),
    [anon_sym_string] = ACTIONS(3160),
    [anon_sym_symbol] = ACTIONS(3160),
    [anon_sym_object] = ACTIONS(3160),
    [anon_sym_abstract] = ACTIONS(3160),
    [anon_sym_interface] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1313] = {
    [sym_comment] = STATE(1313),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_export] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_type] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_typeof] = ACTIONS(3158),
    [anon_sym_import] = ACTIONS(3158),
    [anon_sym_with] = ACTIONS(3158),
    [anon_sym_var] = ACTIONS(3158),
    [anon_sym_let] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_debugger] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_yield] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_LTtemplate_GT] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_async] = ACTIONS(3158),
    [anon_sym_function] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_void] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3158),
    [sym_number] = ACTIONS(3158),
    [sym_private_property_identifier] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
    [sym_super] = ACTIONS(3158),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [sym_null] = ACTIONS(3158),
    [sym_undefined] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_readonly] = ACTIONS(3158),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_declare] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_module] = ACTIONS(3158),
    [anon_sym_any] = ACTIONS(3158),
    [anon_sym_number] = ACTIONS(3158),
    [anon_sym_boolean] = ACTIONS(3158),
    [anon_sym_string] = ACTIONS(3158),
    [anon_sym_symbol] = ACTIONS(3158),
    [anon_sym_object] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_interface] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1314] = {
    [sym_comment] = STATE(1314),
    [ts_builtin_sym_end] = ACTIONS(3422),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_else] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1315] = {
    [sym_comment] = STATE(1315),
    [ts_builtin_sym_end] = ACTIONS(3424),
    [sym_identifier] = ACTIONS(3242),
    [anon_sym_export] = ACTIONS(3242),
    [anon_sym_type] = ACTIONS(3242),
    [anon_sym_namespace] = ACTIONS(3242),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_typeof] = ACTIONS(3242),
    [anon_sym_import] = ACTIONS(3242),
    [anon_sym_with] = ACTIONS(3242),
    [anon_sym_var] = ACTIONS(3242),
    [anon_sym_let] = ACTIONS(3242),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_else] = ACTIONS(3242),
    [anon_sym_if] = ACTIONS(3242),
    [anon_sym_switch] = ACTIONS(3242),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_LPAREN] = ACTIONS(3242),
    [anon_sym_await] = ACTIONS(3242),
    [anon_sym_while] = ACTIONS(3242),
    [anon_sym_do] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3242),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_continue] = ACTIONS(3242),
    [anon_sym_debugger] = ACTIONS(3242),
    [anon_sym_return] = ACTIONS(3242),
    [anon_sym_throw] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_yield] = ACTIONS(3242),
    [anon_sym_LBRACK] = ACTIONS(3242),
    [anon_sym_LTtemplate_GT] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_class] = ACTIONS(3242),
    [anon_sym_async] = ACTIONS(3242),
    [anon_sym_function] = ACTIONS(3242),
    [anon_sym_new] = ACTIONS(3242),
    [anon_sym_using] = ACTIONS(3242),
    [anon_sym_PLUS] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3242),
    [anon_sym_SLASH] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_void] = ACTIONS(3242),
    [anon_sym_delete] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3242),
    [sym_number] = ACTIONS(3242),
    [sym_private_property_identifier] = ACTIONS(3242),
    [sym_this] = ACTIONS(3242),
    [sym_super] = ACTIONS(3242),
    [sym_true] = ACTIONS(3242),
    [sym_false] = ACTIONS(3242),
    [sym_null] = ACTIONS(3242),
    [sym_undefined] = ACTIONS(3242),
    [anon_sym_AT] = ACTIONS(3242),
    [anon_sym_static] = ACTIONS(3242),
    [anon_sym_readonly] = ACTIONS(3242),
    [anon_sym_get] = ACTIONS(3242),
    [anon_sym_set] = ACTIONS(3242),
    [anon_sym_declare] = ACTIONS(3242),
    [anon_sym_public] = ACTIONS(3242),
    [anon_sym_private] = ACTIONS(3242),
    [anon_sym_protected] = ACTIONS(3242),
    [anon_sym_override] = ACTIONS(3242),
    [anon_sym_module] = ACTIONS(3242),
    [anon_sym_any] = ACTIONS(3242),
    [anon_sym_number] = ACTIONS(3242),
    [anon_sym_boolean] = ACTIONS(3242),
    [anon_sym_string] = ACTIONS(3242),
    [anon_sym_symbol] = ACTIONS(3242),
    [anon_sym_object] = ACTIONS(3242),
    [anon_sym_abstract] = ACTIONS(3242),
    [anon_sym_interface] = ACTIONS(3242),
    [anon_sym_enum] = ACTIONS(3242),
    [sym_html_comment] = ACTIONS(5),
  },
  [1316] = {
    [sym_comment] = STATE(1316),
    [ts_builtin_sym_end] = ACTIONS(3426),
    [sym_identifier] = ACTIONS(3132),
    [anon_sym_export] = ACTIONS(3132),
    [anon_sym_type] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_typeof] = ACTIONS(3132),
    [anon_sym_import] = ACTIONS(3132),
    [anon_sym_with] = ACTIONS(3132),
    [anon_sym_var] = ACTIONS(3132),
    [anon_sym_let] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_else] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_await] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_debugger] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_yield] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_LTtemplate_GT] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_async] = ACTIONS(3132),
    [anon_sym_function] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_void] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3132),
    [sym_number] = ACTIONS(3132),
    [sym_private_property_identifier] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
    [sym_super] = ACTIONS(3132),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [sym_null] = ACTIONS(3132),
    [sym_undefined] = ACTIONS(3132),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_readonly] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3132),
    [anon_sym_set] = ACTIONS(3132),
    [anon_sym_declare] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_override] = ACTIONS(3132),
    [anon_sym_module] = ACTIONS(3132),
    [anon_sym_any] = ACTIONS(3132),
    [anon_sym_number] = ACTIONS(3132),
    [anon_sym_boolean] = ACTIONS(3132),
    [anon_sym_string] = ACTIONS(3132),
    [anon_sym_symbol] = ACTIONS(3132),
    [anon_sym_object] = ACTIONS(3132),
    [anon_sym_abstract] = ACTIONS(3132),
    [anon_sym_interface] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [sym_html_comment] = ACTIONS(5),
  },
  [1317] = {
    [sym_comment] = STATE(1317),
    [ts_builtin_sym_end] = ACTIONS(3122),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_export] = ACTIONS(3074),
    [anon_sym_type] = ACTIONS(3074),
    [anon_sym_namespace] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(3074),
    [anon_sym_with] = ACTIONS(3074),
    [anon_sym_var] = ACTIONS(3074),
    [anon_sym_let] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_if] = ACTIONS(3074),
    [anon_sym_switch] = ACTIONS(3074),
    [anon_sym_for] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3074),
    [anon_sym_await] = ACTIONS(3074),
    [anon_sym_while] = ACTIONS(3074),
    [anon_sym_do] = ACTIONS(3074),
    [anon_sym_try] = ACTIONS(3074),
    [anon_sym_break] = ACTIONS(3074),
    [anon_sym_continue] = ACTIONS(3074),
    [anon_sym_debugger] = ACTIONS(3074),
    [anon_sym_return] = ACTIONS(3074),
    [anon_sym_throw] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym_finally] = ACTIONS(3074),
    [anon_sym_yield] = ACTIONS(3074),
    [anon_sym_LBRACK] = ACTIONS(3074),
    [anon_sym_LTtemplate_GT] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_class] = ACTIONS(3074),
    [anon_sym_async] = ACTIONS(3074),
    [anon_sym_function] = ACTIONS(3074),
    [anon_sym_new] = ACTIONS(3074),
    [anon_sym_using] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_void] = ACTIONS(3074),
    [anon_sym_delete] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3074),
    [sym_number] = ACTIONS(3074),
    [sym_private_property_identifier] = ACTIONS(3074),
    [sym_this] = ACTIONS(3074),
    [sym_super] = ACTIONS(3074),
    [sym_true] = ACTIONS(3074),
    [sym_false] = ACTIONS(3074),
    [sym_null] = ACTIONS(3074),
    [sym_undefined] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3074),
    [anon_sym_static] = ACTIONS(3074),
    [anon_sym_readonly] = ACTIONS(3074),
    [anon_sym_get] = ACTIONS(3074),
    [anon_sym_set] = ACTIONS(3074),
    [anon_sym_declare] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3074),
    [anon_sym_module] = ACTIONS(3074),
    [anon_sym_any] = ACTIONS(3074),
    [anon_sym_number] = ACTIONS(3074),
    [anon_sym_boolean] = ACTIONS(3074),
    [anon_sym_string] = ACTIONS(3074),
    [anon_sym_symbol] = ACTIONS(3074),
    [anon_sym_object] = ACTIONS(3074),
    [anon_sym_abstract] = ACTIONS(3074),
    [anon_sym_interface] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [sym_html_comment] = ACTIONS(5),
  },
  [1318] = {
    [sym_comment] = STATE(1318),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_finally] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [1319] = {
    [sym_comment] = STATE(1319),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1320] = {
    [sym_comment] = STATE(1320),
    [ts_builtin_sym_end] = ACTIONS(3428),
    [sym_identifier] = ACTIONS(3230),
    [anon_sym_export] = ACTIONS(3230),
    [anon_sym_type] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_typeof] = ACTIONS(3230),
    [anon_sym_import] = ACTIONS(3230),
    [anon_sym_with] = ACTIONS(3230),
    [anon_sym_var] = ACTIONS(3230),
    [anon_sym_let] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_else] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_LPAREN] = ACTIONS(3230),
    [anon_sym_await] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_debugger] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_yield] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_LTtemplate_GT] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_async] = ACTIONS(3230),
    [anon_sym_function] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_SLASH] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_void] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3230),
    [sym_number] = ACTIONS(3230),
    [sym_private_property_identifier] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
    [sym_super] = ACTIONS(3230),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [sym_null] = ACTIONS(3230),
    [sym_undefined] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_readonly] = ACTIONS(3230),
    [anon_sym_get] = ACTIONS(3230),
    [anon_sym_set] = ACTIONS(3230),
    [anon_sym_declare] = ACTIONS(3230),
    [anon_sym_public] = ACTIONS(3230),
    [anon_sym_private] = ACTIONS(3230),
    [anon_sym_protected] = ACTIONS(3230),
    [anon_sym_override] = ACTIONS(3230),
    [anon_sym_module] = ACTIONS(3230),
    [anon_sym_any] = ACTIONS(3230),
    [anon_sym_number] = ACTIONS(3230),
    [anon_sym_boolean] = ACTIONS(3230),
    [anon_sym_string] = ACTIONS(3230),
    [anon_sym_symbol] = ACTIONS(3230),
    [anon_sym_object] = ACTIONS(3230),
    [anon_sym_abstract] = ACTIONS(3230),
    [anon_sym_interface] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [sym_html_comment] = ACTIONS(5),
  },
  [1321] = {
    [sym_comment] = STATE(1321),
    [ts_builtin_sym_end] = ACTIONS(3430),
    [sym_identifier] = ACTIONS(3340),
    [anon_sym_export] = ACTIONS(3340),
    [anon_sym_type] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_typeof] = ACTIONS(3340),
    [anon_sym_import] = ACTIONS(3340),
    [anon_sym_with] = ACTIONS(3340),
    [anon_sym_var] = ACTIONS(3340),
    [anon_sym_let] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_BANG] = ACTIONS(3340),
    [anon_sym_else] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_await] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_debugger] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3340),
    [anon_sym_yield] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_LTtemplate_GT] = ACTIONS(3340),
    [anon_sym_DQUOTE] = ACTIONS(3340),
    [anon_sym_SQUOTE] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_async] = ACTIONS(3340),
    [anon_sym_function] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_SLASH] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3340),
    [anon_sym_TILDE] = ACTIONS(3340),
    [anon_sym_void] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_PLUS_PLUS] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3340),
    [sym_number] = ACTIONS(3340),
    [sym_private_property_identifier] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
    [sym_super] = ACTIONS(3340),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [sym_null] = ACTIONS(3340),
    [sym_undefined] = ACTIONS(3340),
    [anon_sym_AT] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_readonly] = ACTIONS(3340),
    [anon_sym_get] = ACTIONS(3340),
    [anon_sym_set] = ACTIONS(3340),
    [anon_sym_declare] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_protected] = ACTIONS(3340),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3340),
    [anon_sym_any] = ACTIONS(3340),
    [anon_sym_number] = ACTIONS(3340),
    [anon_sym_boolean] = ACTIONS(3340),
    [anon_sym_string] = ACTIONS(3340),
    [anon_sym_symbol] = ACTIONS(3340),
    [anon_sym_object] = ACTIONS(3340),
    [anon_sym_abstract] = ACTIONS(3340),
    [anon_sym_interface] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [sym_html_comment] = ACTIONS(5),
  },
  [1322] = {
    [sym_comment] = STATE(1322),
    [ts_builtin_sym_end] = ACTIONS(3430),
    [sym_identifier] = ACTIONS(3340),
    [anon_sym_export] = ACTIONS(3340),
    [anon_sym_type] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_typeof] = ACTIONS(3340),
    [anon_sym_import] = ACTIONS(3340),
    [anon_sym_with] = ACTIONS(3340),
    [anon_sym_var] = ACTIONS(3340),
    [anon_sym_let] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_BANG] = ACTIONS(3340),
    [anon_sym_else] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_await] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_debugger] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3340),
    [anon_sym_yield] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_LTtemplate_GT] = ACTIONS(3340),
    [anon_sym_DQUOTE] = ACTIONS(3340),
    [anon_sym_SQUOTE] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_async] = ACTIONS(3340),
    [anon_sym_function] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_SLASH] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3340),
    [anon_sym_TILDE] = ACTIONS(3340),
    [anon_sym_void] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_PLUS_PLUS] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3340),
    [sym_number] = ACTIONS(3340),
    [sym_private_property_identifier] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
    [sym_super] = ACTIONS(3340),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [sym_null] = ACTIONS(3340),
    [sym_undefined] = ACTIONS(3340),
    [anon_sym_AT] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_readonly] = ACTIONS(3340),
    [anon_sym_get] = ACTIONS(3340),
    [anon_sym_set] = ACTIONS(3340),
    [anon_sym_declare] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_protected] = ACTIONS(3340),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3340),
    [anon_sym_any] = ACTIONS(3340),
    [anon_sym_number] = ACTIONS(3340),
    [anon_sym_boolean] = ACTIONS(3340),
    [anon_sym_string] = ACTIONS(3340),
    [anon_sym_symbol] = ACTIONS(3340),
    [anon_sym_object] = ACTIONS(3340),
    [anon_sym_abstract] = ACTIONS(3340),
    [anon_sym_interface] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [sym_html_comment] = ACTIONS(5),
  },
  [1323] = {
    [sym_comment] = STATE(1323),
    [ts_builtin_sym_end] = ACTIONS(3432),
    [sym_identifier] = ACTIONS(3342),
    [anon_sym_export] = ACTIONS(3342),
    [anon_sym_type] = ACTIONS(3342),
    [anon_sym_namespace] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_RBRACE] = ACTIONS(3342),
    [anon_sym_typeof] = ACTIONS(3342),
    [anon_sym_import] = ACTIONS(3342),
    [anon_sym_with] = ACTIONS(3342),
    [anon_sym_var] = ACTIONS(3342),
    [anon_sym_let] = ACTIONS(3342),
    [anon_sym_const] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_else] = ACTIONS(3342),
    [anon_sym_if] = ACTIONS(3342),
    [anon_sym_switch] = ACTIONS(3342),
    [anon_sym_for] = ACTIONS(3342),
    [anon_sym_LPAREN] = ACTIONS(3342),
    [anon_sym_await] = ACTIONS(3342),
    [anon_sym_while] = ACTIONS(3342),
    [anon_sym_do] = ACTIONS(3342),
    [anon_sym_try] = ACTIONS(3342),
    [anon_sym_break] = ACTIONS(3342),
    [anon_sym_continue] = ACTIONS(3342),
    [anon_sym_debugger] = ACTIONS(3342),
    [anon_sym_return] = ACTIONS(3342),
    [anon_sym_throw] = ACTIONS(3342),
    [anon_sym_SEMI] = ACTIONS(3342),
    [anon_sym_yield] = ACTIONS(3342),
    [anon_sym_LBRACK] = ACTIONS(3342),
    [anon_sym_LTtemplate_GT] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3342),
    [anon_sym_async] = ACTIONS(3342),
    [anon_sym_function] = ACTIONS(3342),
    [anon_sym_new] = ACTIONS(3342),
    [anon_sym_using] = ACTIONS(3342),
    [anon_sym_PLUS] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3342),
    [anon_sym_LT] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_void] = ACTIONS(3342),
    [anon_sym_delete] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3342),
    [sym_number] = ACTIONS(3342),
    [sym_private_property_identifier] = ACTIONS(3342),
    [sym_this] = ACTIONS(3342),
    [sym_super] = ACTIONS(3342),
    [sym_true] = ACTIONS(3342),
    [sym_false] = ACTIONS(3342),
    [sym_null] = ACTIONS(3342),
    [sym_undefined] = ACTIONS(3342),
    [anon_sym_AT] = ACTIONS(3342),
    [anon_sym_static] = ACTIONS(3342),
    [anon_sym_readonly] = ACTIONS(3342),
    [anon_sym_get] = ACTIONS(3342),
    [anon_sym_set] = ACTIONS(3342),
    [anon_sym_declare] = ACTIONS(3342),
    [anon_sym_public] = ACTIONS(3342),
    [anon_sym_private] = ACTIONS(3342),
    [anon_sym_protected] = ACTIONS(3342),
    [anon_sym_override] = ACTIONS(3342),
    [anon_sym_module] = ACTIONS(3342),
    [anon_sym_any] = ACTIONS(3342),
    [anon_sym_number] = ACTIONS(3342),
    [anon_sym_boolean] = ACTIONS(3342),
    [anon_sym_string] = ACTIONS(3342),
    [anon_sym_symbol] = ACTIONS(3342),
    [anon_sym_object] = ACTIONS(3342),
    [anon_sym_abstract] = ACTIONS(3342),
    [anon_sym_interface] = ACTIONS(3342),
    [anon_sym_enum] = ACTIONS(3342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1324] = {
    [sym_comment] = STATE(1324),
    [ts_builtin_sym_end] = ACTIONS(3434),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_export] = ACTIONS(3228),
    [anon_sym_type] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_RBRACE] = ACTIONS(3228),
    [anon_sym_typeof] = ACTIONS(3228),
    [anon_sym_import] = ACTIONS(3228),
    [anon_sym_with] = ACTIONS(3228),
    [anon_sym_var] = ACTIONS(3228),
    [anon_sym_let] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_else] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_LPAREN] = ACTIONS(3228),
    [anon_sym_await] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_debugger] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym_yield] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_LTtemplate_GT] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_async] = ACTIONS(3228),
    [anon_sym_function] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_void] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3228),
    [sym_number] = ACTIONS(3228),
    [sym_private_property_identifier] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
    [sym_super] = ACTIONS(3228),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [sym_null] = ACTIONS(3228),
    [sym_undefined] = ACTIONS(3228),
    [anon_sym_AT] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_readonly] = ACTIONS(3228),
    [anon_sym_get] = ACTIONS(3228),
    [anon_sym_set] = ACTIONS(3228),
    [anon_sym_declare] = ACTIONS(3228),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_override] = ACTIONS(3228),
    [anon_sym_module] = ACTIONS(3228),
    [anon_sym_any] = ACTIONS(3228),
    [anon_sym_number] = ACTIONS(3228),
    [anon_sym_boolean] = ACTIONS(3228),
    [anon_sym_string] = ACTIONS(3228),
    [anon_sym_symbol] = ACTIONS(3228),
    [anon_sym_object] = ACTIONS(3228),
    [anon_sym_abstract] = ACTIONS(3228),
    [anon_sym_interface] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [sym_html_comment] = ACTIONS(5),
  },
  [1325] = {
    [sym_comment] = STATE(1325),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1326] = {
    [sym_comment] = STATE(1326),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1327] = {
    [sym_comment] = STATE(1327),
    [ts_builtin_sym_end] = ACTIONS(3436),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_export] = ACTIONS(3224),
    [anon_sym_type] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3224),
    [anon_sym_RBRACE] = ACTIONS(3224),
    [anon_sym_typeof] = ACTIONS(3224),
    [anon_sym_import] = ACTIONS(3224),
    [anon_sym_with] = ACTIONS(3224),
    [anon_sym_var] = ACTIONS(3224),
    [anon_sym_let] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3224),
    [anon_sym_else] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_LPAREN] = ACTIONS(3224),
    [anon_sym_await] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_debugger] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3224),
    [anon_sym_yield] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_LTtemplate_GT] = ACTIONS(3224),
    [anon_sym_DQUOTE] = ACTIONS(3224),
    [anon_sym_SQUOTE] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_async] = ACTIONS(3224),
    [anon_sym_function] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_TILDE] = ACTIONS(3224),
    [anon_sym_void] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3224),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3224),
    [sym_number] = ACTIONS(3224),
    [sym_private_property_identifier] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
    [sym_super] = ACTIONS(3224),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [sym_null] = ACTIONS(3224),
    [sym_undefined] = ACTIONS(3224),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_readonly] = ACTIONS(3224),
    [anon_sym_get] = ACTIONS(3224),
    [anon_sym_set] = ACTIONS(3224),
    [anon_sym_declare] = ACTIONS(3224),
    [anon_sym_public] = ACTIONS(3224),
    [anon_sym_private] = ACTIONS(3224),
    [anon_sym_protected] = ACTIONS(3224),
    [anon_sym_override] = ACTIONS(3224),
    [anon_sym_module] = ACTIONS(3224),
    [anon_sym_any] = ACTIONS(3224),
    [anon_sym_number] = ACTIONS(3224),
    [anon_sym_boolean] = ACTIONS(3224),
    [anon_sym_string] = ACTIONS(3224),
    [anon_sym_symbol] = ACTIONS(3224),
    [anon_sym_object] = ACTIONS(3224),
    [anon_sym_abstract] = ACTIONS(3224),
    [anon_sym_interface] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [sym_html_comment] = ACTIONS(5),
  },
  [1328] = {
    [sym_comment] = STATE(1328),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_export] = ACTIONS(3130),
    [anon_sym_type] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_typeof] = ACTIONS(3130),
    [anon_sym_import] = ACTIONS(3130),
    [anon_sym_with] = ACTIONS(3130),
    [anon_sym_var] = ACTIONS(3130),
    [anon_sym_let] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3130),
    [anon_sym_await] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_debugger] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym_yield] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_LTtemplate_GT] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_async] = ACTIONS(3130),
    [anon_sym_function] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_void] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3130),
    [sym_number] = ACTIONS(3130),
    [sym_private_property_identifier] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
    [sym_super] = ACTIONS(3130),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [sym_null] = ACTIONS(3130),
    [sym_undefined] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_readonly] = ACTIONS(3130),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_declare] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_module] = ACTIONS(3130),
    [anon_sym_any] = ACTIONS(3130),
    [anon_sym_number] = ACTIONS(3130),
    [anon_sym_boolean] = ACTIONS(3130),
    [anon_sym_string] = ACTIONS(3130),
    [anon_sym_symbol] = ACTIONS(3130),
    [anon_sym_object] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_interface] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [sym_html_comment] = ACTIONS(5),
  },
  [1329] = {
    [sym_comment] = STATE(1329),
    [ts_builtin_sym_end] = ACTIONS(3440),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1330] = {
    [sym_comment] = STATE(1330),
    [ts_builtin_sym_end] = ACTIONS(3442),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_export] = ACTIONS(3220),
    [anon_sym_type] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [anon_sym_typeof] = ACTIONS(3220),
    [anon_sym_import] = ACTIONS(3220),
    [anon_sym_with] = ACTIONS(3220),
    [anon_sym_var] = ACTIONS(3220),
    [anon_sym_let] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_BANG] = ACTIONS(3220),
    [anon_sym_else] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_await] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_debugger] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_yield] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_LTtemplate_GT] = ACTIONS(3220),
    [anon_sym_DQUOTE] = ACTIONS(3220),
    [anon_sym_SQUOTE] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_async] = ACTIONS(3220),
    [anon_sym_function] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_TILDE] = ACTIONS(3220),
    [anon_sym_void] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3220),
    [sym_number] = ACTIONS(3220),
    [sym_private_property_identifier] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
    [sym_super] = ACTIONS(3220),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [sym_null] = ACTIONS(3220),
    [sym_undefined] = ACTIONS(3220),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_readonly] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3220),
    [anon_sym_set] = ACTIONS(3220),
    [anon_sym_declare] = ACTIONS(3220),
    [anon_sym_public] = ACTIONS(3220),
    [anon_sym_private] = ACTIONS(3220),
    [anon_sym_protected] = ACTIONS(3220),
    [anon_sym_override] = ACTIONS(3220),
    [anon_sym_module] = ACTIONS(3220),
    [anon_sym_any] = ACTIONS(3220),
    [anon_sym_number] = ACTIONS(3220),
    [anon_sym_boolean] = ACTIONS(3220),
    [anon_sym_string] = ACTIONS(3220),
    [anon_sym_symbol] = ACTIONS(3220),
    [anon_sym_object] = ACTIONS(3220),
    [anon_sym_abstract] = ACTIONS(3220),
    [anon_sym_interface] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [sym_html_comment] = ACTIONS(5),
  },
  [1331] = {
    [sym_comment] = STATE(1331),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [1332] = {
    [sym_comment] = STATE(1332),
    [ts_builtin_sym_end] = ACTIONS(3444),
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_export] = ACTIONS(3218),
    [anon_sym_type] = ACTIONS(3218),
    [anon_sym_namespace] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_typeof] = ACTIONS(3218),
    [anon_sym_import] = ACTIONS(3218),
    [anon_sym_with] = ACTIONS(3218),
    [anon_sym_var] = ACTIONS(3218),
    [anon_sym_let] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_else] = ACTIONS(3218),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_switch] = ACTIONS(3218),
    [anon_sym_for] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3218),
    [anon_sym_await] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_do] = ACTIONS(3218),
    [anon_sym_try] = ACTIONS(3218),
    [anon_sym_break] = ACTIONS(3218),
    [anon_sym_continue] = ACTIONS(3218),
    [anon_sym_debugger] = ACTIONS(3218),
    [anon_sym_return] = ACTIONS(3218),
    [anon_sym_throw] = ACTIONS(3218),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym_yield] = ACTIONS(3218),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_LTtemplate_GT] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3218),
    [anon_sym_async] = ACTIONS(3218),
    [anon_sym_function] = ACTIONS(3218),
    [anon_sym_new] = ACTIONS(3218),
    [anon_sym_using] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_void] = ACTIONS(3218),
    [anon_sym_delete] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3218),
    [sym_number] = ACTIONS(3218),
    [sym_private_property_identifier] = ACTIONS(3218),
    [sym_this] = ACTIONS(3218),
    [sym_super] = ACTIONS(3218),
    [sym_true] = ACTIONS(3218),
    [sym_false] = ACTIONS(3218),
    [sym_null] = ACTIONS(3218),
    [sym_undefined] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3218),
    [anon_sym_readonly] = ACTIONS(3218),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_declare] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_module] = ACTIONS(3218),
    [anon_sym_any] = ACTIONS(3218),
    [anon_sym_number] = ACTIONS(3218),
    [anon_sym_boolean] = ACTIONS(3218),
    [anon_sym_string] = ACTIONS(3218),
    [anon_sym_symbol] = ACTIONS(3218),
    [anon_sym_object] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_interface] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [sym_html_comment] = ACTIONS(5),
  },
  [1333] = {
    [sym_comment] = STATE(1333),
    [sym_identifier] = ACTIONS(3292),
    [anon_sym_export] = ACTIONS(3292),
    [anon_sym_default] = ACTIONS(3292),
    [anon_sym_type] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_typeof] = ACTIONS(3292),
    [anon_sym_import] = ACTIONS(3292),
    [anon_sym_with] = ACTIONS(3292),
    [anon_sym_var] = ACTIONS(3292),
    [anon_sym_let] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_await] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_debugger] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym_case] = ACTIONS(3292),
    [anon_sym_yield] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_LTtemplate_GT] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_async] = ACTIONS(3292),
    [anon_sym_function] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_void] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3292),
    [sym_number] = ACTIONS(3292),
    [sym_private_property_identifier] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
    [sym_super] = ACTIONS(3292),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [sym_null] = ACTIONS(3292),
    [sym_undefined] = ACTIONS(3292),
    [anon_sym_AT] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_readonly] = ACTIONS(3292),
    [anon_sym_get] = ACTIONS(3292),
    [anon_sym_set] = ACTIONS(3292),
    [anon_sym_declare] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_protected] = ACTIONS(3292),
    [anon_sym_override] = ACTIONS(3292),
    [anon_sym_module] = ACTIONS(3292),
    [anon_sym_any] = ACTIONS(3292),
    [anon_sym_number] = ACTIONS(3292),
    [anon_sym_boolean] = ACTIONS(3292),
    [anon_sym_string] = ACTIONS(3292),
    [anon_sym_symbol] = ACTIONS(3292),
    [anon_sym_object] = ACTIONS(3292),
    [anon_sym_abstract] = ACTIONS(3292),
    [anon_sym_interface] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1334] = {
    [sym_comment] = STATE(1334),
    [ts_builtin_sym_end] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1335] = {
    [sym_comment] = STATE(1335),
    [ts_builtin_sym_end] = ACTIONS(3448),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_export] = ACTIONS(3214),
    [anon_sym_type] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_typeof] = ACTIONS(3214),
    [anon_sym_import] = ACTIONS(3214),
    [anon_sym_with] = ACTIONS(3214),
    [anon_sym_var] = ACTIONS(3214),
    [anon_sym_let] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_await] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_debugger] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_yield] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_LTtemplate_GT] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_async] = ACTIONS(3214),
    [anon_sym_function] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_void] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3214),
    [sym_number] = ACTIONS(3214),
    [sym_private_property_identifier] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
    [sym_super] = ACTIONS(3214),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [sym_null] = ACTIONS(3214),
    [sym_undefined] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_readonly] = ACTIONS(3214),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_declare] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_module] = ACTIONS(3214),
    [anon_sym_any] = ACTIONS(3214),
    [anon_sym_number] = ACTIONS(3214),
    [anon_sym_boolean] = ACTIONS(3214),
    [anon_sym_string] = ACTIONS(3214),
    [anon_sym_symbol] = ACTIONS(3214),
    [anon_sym_object] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_interface] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [sym_html_comment] = ACTIONS(5),
  },
  [1336] = {
    [sym_comment] = STATE(1336),
    [ts_builtin_sym_end] = ACTIONS(3450),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_export] = ACTIONS(3212),
    [anon_sym_type] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_typeof] = ACTIONS(3212),
    [anon_sym_import] = ACTIONS(3212),
    [anon_sym_with] = ACTIONS(3212),
    [anon_sym_var] = ACTIONS(3212),
    [anon_sym_let] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_else] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_await] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_debugger] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_yield] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_LTtemplate_GT] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_async] = ACTIONS(3212),
    [anon_sym_function] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_void] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3212),
    [sym_number] = ACTIONS(3212),
    [sym_private_property_identifier] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
    [sym_super] = ACTIONS(3212),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [sym_null] = ACTIONS(3212),
    [sym_undefined] = ACTIONS(3212),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_readonly] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3212),
    [anon_sym_declare] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_override] = ACTIONS(3212),
    [anon_sym_module] = ACTIONS(3212),
    [anon_sym_any] = ACTIONS(3212),
    [anon_sym_number] = ACTIONS(3212),
    [anon_sym_boolean] = ACTIONS(3212),
    [anon_sym_string] = ACTIONS(3212),
    [anon_sym_symbol] = ACTIONS(3212),
    [anon_sym_object] = ACTIONS(3212),
    [anon_sym_abstract] = ACTIONS(3212),
    [anon_sym_interface] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1337] = {
    [sym_comment] = STATE(1337),
    [ts_builtin_sym_end] = ACTIONS(3452),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_export] = ACTIONS(3210),
    [anon_sym_type] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_typeof] = ACTIONS(3210),
    [anon_sym_import] = ACTIONS(3210),
    [anon_sym_with] = ACTIONS(3210),
    [anon_sym_var] = ACTIONS(3210),
    [anon_sym_let] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3210),
    [anon_sym_await] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_debugger] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_yield] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_LTtemplate_GT] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_async] = ACTIONS(3210),
    [anon_sym_function] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_void] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3210),
    [sym_number] = ACTIONS(3210),
    [sym_private_property_identifier] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
    [sym_super] = ACTIONS(3210),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [sym_null] = ACTIONS(3210),
    [sym_undefined] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_readonly] = ACTIONS(3210),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_declare] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_module] = ACTIONS(3210),
    [anon_sym_any] = ACTIONS(3210),
    [anon_sym_number] = ACTIONS(3210),
    [anon_sym_boolean] = ACTIONS(3210),
    [anon_sym_string] = ACTIONS(3210),
    [anon_sym_symbol] = ACTIONS(3210),
    [anon_sym_object] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_interface] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1338] = {
    [sym_comment] = STATE(1338),
    [ts_builtin_sym_end] = ACTIONS(3454),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_export] = ACTIONS(3204),
    [anon_sym_type] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_typeof] = ACTIONS(3204),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_with] = ACTIONS(3204),
    [anon_sym_var] = ACTIONS(3204),
    [anon_sym_let] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_BANG] = ACTIONS(3204),
    [anon_sym_else] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_await] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_debugger] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_yield] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_LTtemplate_GT] = ACTIONS(3204),
    [anon_sym_DQUOTE] = ACTIONS(3204),
    [anon_sym_SQUOTE] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_async] = ACTIONS(3204),
    [anon_sym_function] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_TILDE] = ACTIONS(3204),
    [anon_sym_void] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3204),
    [sym_number] = ACTIONS(3204),
    [sym_private_property_identifier] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
    [sym_super] = ACTIONS(3204),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [sym_null] = ACTIONS(3204),
    [sym_undefined] = ACTIONS(3204),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_readonly] = ACTIONS(3204),
    [anon_sym_get] = ACTIONS(3204),
    [anon_sym_set] = ACTIONS(3204),
    [anon_sym_declare] = ACTIONS(3204),
    [anon_sym_public] = ACTIONS(3204),
    [anon_sym_private] = ACTIONS(3204),
    [anon_sym_protected] = ACTIONS(3204),
    [anon_sym_override] = ACTIONS(3204),
    [anon_sym_module] = ACTIONS(3204),
    [anon_sym_any] = ACTIONS(3204),
    [anon_sym_number] = ACTIONS(3204),
    [anon_sym_boolean] = ACTIONS(3204),
    [anon_sym_string] = ACTIONS(3204),
    [anon_sym_symbol] = ACTIONS(3204),
    [anon_sym_object] = ACTIONS(3204),
    [anon_sym_abstract] = ACTIONS(3204),
    [anon_sym_interface] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [1339] = {
    [sym_comment] = STATE(1339),
    [ts_builtin_sym_end] = ACTIONS(3456),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1340] = {
    [sym_comment] = STATE(1340),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1341] = {
    [sym_comment] = STATE(1341),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1342] = {
    [sym_comment] = STATE(1342),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1343] = {
    [sym_comment] = STATE(1343),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1344] = {
    [sym_comment] = STATE(1344),
    [ts_builtin_sym_end] = ACTIONS(3458),
    [sym_identifier] = ACTIONS(3128),
    [anon_sym_export] = ACTIONS(3128),
    [anon_sym_type] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_typeof] = ACTIONS(3128),
    [anon_sym_import] = ACTIONS(3128),
    [anon_sym_with] = ACTIONS(3128),
    [anon_sym_var] = ACTIONS(3128),
    [anon_sym_let] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_else] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_await] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_debugger] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym_yield] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_LTtemplate_GT] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_async] = ACTIONS(3128),
    [anon_sym_function] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_void] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3128),
    [sym_number] = ACTIONS(3128),
    [sym_private_property_identifier] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
    [sym_super] = ACTIONS(3128),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [sym_null] = ACTIONS(3128),
    [sym_undefined] = ACTIONS(3128),
    [anon_sym_AT] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_readonly] = ACTIONS(3128),
    [anon_sym_get] = ACTIONS(3128),
    [anon_sym_set] = ACTIONS(3128),
    [anon_sym_declare] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_override] = ACTIONS(3128),
    [anon_sym_module] = ACTIONS(3128),
    [anon_sym_any] = ACTIONS(3128),
    [anon_sym_number] = ACTIONS(3128),
    [anon_sym_boolean] = ACTIONS(3128),
    [anon_sym_string] = ACTIONS(3128),
    [anon_sym_symbol] = ACTIONS(3128),
    [anon_sym_object] = ACTIONS(3128),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_interface] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [sym_html_comment] = ACTIONS(5),
  },
  [1345] = {
    [sym_comment] = STATE(1345),
    [sym_identifier] = ACTIONS(3302),
    [anon_sym_export] = ACTIONS(3302),
    [anon_sym_default] = ACTIONS(3302),
    [anon_sym_type] = ACTIONS(3302),
    [anon_sym_namespace] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3302),
    [anon_sym_RBRACE] = ACTIONS(3302),
    [anon_sym_typeof] = ACTIONS(3302),
    [anon_sym_import] = ACTIONS(3302),
    [anon_sym_with] = ACTIONS(3302),
    [anon_sym_var] = ACTIONS(3302),
    [anon_sym_let] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_BANG] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(3302),
    [anon_sym_switch] = ACTIONS(3302),
    [anon_sym_for] = ACTIONS(3302),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_await] = ACTIONS(3302),
    [anon_sym_while] = ACTIONS(3302),
    [anon_sym_do] = ACTIONS(3302),
    [anon_sym_try] = ACTIONS(3302),
    [anon_sym_break] = ACTIONS(3302),
    [anon_sym_continue] = ACTIONS(3302),
    [anon_sym_debugger] = ACTIONS(3302),
    [anon_sym_return] = ACTIONS(3302),
    [anon_sym_throw] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym_case] = ACTIONS(3302),
    [anon_sym_yield] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_LTtemplate_GT] = ACTIONS(3302),
    [anon_sym_DQUOTE] = ACTIONS(3302),
    [anon_sym_SQUOTE] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_async] = ACTIONS(3302),
    [anon_sym_function] = ACTIONS(3302),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_using] = ACTIONS(3302),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_SLASH] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3302),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_void] = ACTIONS(3302),
    [anon_sym_delete] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3302),
    [sym_number] = ACTIONS(3302),
    [sym_private_property_identifier] = ACTIONS(3302),
    [sym_this] = ACTIONS(3302),
    [sym_super] = ACTIONS(3302),
    [sym_true] = ACTIONS(3302),
    [sym_false] = ACTIONS(3302),
    [sym_null] = ACTIONS(3302),
    [sym_undefined] = ACTIONS(3302),
    [anon_sym_AT] = ACTIONS(3302),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_readonly] = ACTIONS(3302),
    [anon_sym_get] = ACTIONS(3302),
    [anon_sym_set] = ACTIONS(3302),
    [anon_sym_declare] = ACTIONS(3302),
    [anon_sym_public] = ACTIONS(3302),
    [anon_sym_private] = ACTIONS(3302),
    [anon_sym_protected] = ACTIONS(3302),
    [anon_sym_override] = ACTIONS(3302),
    [anon_sym_module] = ACTIONS(3302),
    [anon_sym_any] = ACTIONS(3302),
    [anon_sym_number] = ACTIONS(3302),
    [anon_sym_boolean] = ACTIONS(3302),
    [anon_sym_string] = ACTIONS(3302),
    [anon_sym_symbol] = ACTIONS(3302),
    [anon_sym_object] = ACTIONS(3302),
    [anon_sym_abstract] = ACTIONS(3302),
    [anon_sym_interface] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1346] = {
    [sym_comment] = STATE(1346),
    [sym_identifier] = ACTIONS(3304),
    [anon_sym_export] = ACTIONS(3304),
    [anon_sym_default] = ACTIONS(3304),
    [anon_sym_type] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_typeof] = ACTIONS(3304),
    [anon_sym_import] = ACTIONS(3304),
    [anon_sym_with] = ACTIONS(3304),
    [anon_sym_var] = ACTIONS(3304),
    [anon_sym_let] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_await] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_debugger] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym_case] = ACTIONS(3304),
    [anon_sym_yield] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_LTtemplate_GT] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_async] = ACTIONS(3304),
    [anon_sym_function] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_void] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3304),
    [sym_number] = ACTIONS(3304),
    [sym_private_property_identifier] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
    [sym_super] = ACTIONS(3304),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [sym_null] = ACTIONS(3304),
    [sym_undefined] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_readonly] = ACTIONS(3304),
    [anon_sym_get] = ACTIONS(3304),
    [anon_sym_set] = ACTIONS(3304),
    [anon_sym_declare] = ACTIONS(3304),
    [anon_sym_public] = ACTIONS(3304),
    [anon_sym_private] = ACTIONS(3304),
    [anon_sym_protected] = ACTIONS(3304),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_module] = ACTIONS(3304),
    [anon_sym_any] = ACTIONS(3304),
    [anon_sym_number] = ACTIONS(3304),
    [anon_sym_boolean] = ACTIONS(3304),
    [anon_sym_string] = ACTIONS(3304),
    [anon_sym_symbol] = ACTIONS(3304),
    [anon_sym_object] = ACTIONS(3304),
    [anon_sym_abstract] = ACTIONS(3304),
    [anon_sym_interface] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [sym_html_comment] = ACTIONS(5),
  },
  [1347] = {
    [sym_comment] = STATE(1347),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1348] = {
    [sym_comment] = STATE(1348),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1349] = {
    [sym_comment] = STATE(1349),
    [sym_identifier] = ACTIONS(3306),
    [anon_sym_export] = ACTIONS(3306),
    [anon_sym_default] = ACTIONS(3306),
    [anon_sym_type] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3306),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_typeof] = ACTIONS(3306),
    [anon_sym_import] = ACTIONS(3306),
    [anon_sym_with] = ACTIONS(3306),
    [anon_sym_var] = ACTIONS(3306),
    [anon_sym_let] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_BANG] = ACTIONS(3306),
    [anon_sym_if] = ACTIONS(3306),
    [anon_sym_switch] = ACTIONS(3306),
    [anon_sym_for] = ACTIONS(3306),
    [anon_sym_LPAREN] = ACTIONS(3306),
    [anon_sym_await] = ACTIONS(3306),
    [anon_sym_while] = ACTIONS(3306),
    [anon_sym_do] = ACTIONS(3306),
    [anon_sym_try] = ACTIONS(3306),
    [anon_sym_break] = ACTIONS(3306),
    [anon_sym_continue] = ACTIONS(3306),
    [anon_sym_debugger] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(3306),
    [anon_sym_throw] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym_case] = ACTIONS(3306),
    [anon_sym_yield] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3306),
    [anon_sym_LTtemplate_GT] = ACTIONS(3306),
    [anon_sym_DQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_async] = ACTIONS(3306),
    [anon_sym_function] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3306),
    [anon_sym_void] = ACTIONS(3306),
    [anon_sym_delete] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3306),
    [sym_number] = ACTIONS(3306),
    [sym_private_property_identifier] = ACTIONS(3306),
    [sym_this] = ACTIONS(3306),
    [sym_super] = ACTIONS(3306),
    [sym_true] = ACTIONS(3306),
    [sym_false] = ACTIONS(3306),
    [sym_null] = ACTIONS(3306),
    [sym_undefined] = ACTIONS(3306),
    [anon_sym_AT] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [anon_sym_readonly] = ACTIONS(3306),
    [anon_sym_get] = ACTIONS(3306),
    [anon_sym_set] = ACTIONS(3306),
    [anon_sym_declare] = ACTIONS(3306),
    [anon_sym_public] = ACTIONS(3306),
    [anon_sym_private] = ACTIONS(3306),
    [anon_sym_protected] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3306),
    [anon_sym_module] = ACTIONS(3306),
    [anon_sym_any] = ACTIONS(3306),
    [anon_sym_number] = ACTIONS(3306),
    [anon_sym_boolean] = ACTIONS(3306),
    [anon_sym_string] = ACTIONS(3306),
    [anon_sym_symbol] = ACTIONS(3306),
    [anon_sym_object] = ACTIONS(3306),
    [anon_sym_abstract] = ACTIONS(3306),
    [anon_sym_interface] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [sym_html_comment] = ACTIONS(5),
  },
  [1350] = {
    [sym_comment] = STATE(1350),
    [ts_builtin_sym_end] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_export] = ACTIONS(3110),
    [anon_sym_type] = ACTIONS(3110),
    [anon_sym_namespace] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_typeof] = ACTIONS(3110),
    [anon_sym_import] = ACTIONS(3110),
    [anon_sym_with] = ACTIONS(3110),
    [anon_sym_var] = ACTIONS(3110),
    [anon_sym_let] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_else] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_switch] = ACTIONS(3110),
    [anon_sym_for] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3110),
    [anon_sym_await] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_do] = ACTIONS(3110),
    [anon_sym_try] = ACTIONS(3110),
    [anon_sym_break] = ACTIONS(3110),
    [anon_sym_continue] = ACTIONS(3110),
    [anon_sym_debugger] = ACTIONS(3110),
    [anon_sym_return] = ACTIONS(3110),
    [anon_sym_throw] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_yield] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_LTtemplate_GT] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_class] = ACTIONS(3110),
    [anon_sym_async] = ACTIONS(3110),
    [anon_sym_function] = ACTIONS(3110),
    [anon_sym_new] = ACTIONS(3110),
    [anon_sym_using] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_void] = ACTIONS(3110),
    [anon_sym_delete] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3110),
    [sym_number] = ACTIONS(3110),
    [sym_private_property_identifier] = ACTIONS(3110),
    [sym_this] = ACTIONS(3110),
    [sym_super] = ACTIONS(3110),
    [sym_true] = ACTIONS(3110),
    [sym_false] = ACTIONS(3110),
    [sym_null] = ACTIONS(3110),
    [sym_undefined] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3110),
    [anon_sym_static] = ACTIONS(3110),
    [anon_sym_readonly] = ACTIONS(3110),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_declare] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_module] = ACTIONS(3110),
    [anon_sym_any] = ACTIONS(3110),
    [anon_sym_number] = ACTIONS(3110),
    [anon_sym_boolean] = ACTIONS(3110),
    [anon_sym_string] = ACTIONS(3110),
    [anon_sym_symbol] = ACTIONS(3110),
    [anon_sym_object] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_interface] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [sym_html_comment] = ACTIONS(5),
  },
  [1351] = {
    [sym_comment] = STATE(1351),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1352] = {
    [sym_comment] = STATE(1352),
    [ts_builtin_sym_end] = ACTIONS(3462),
    [sym_identifier] = ACTIONS(3344),
    [anon_sym_export] = ACTIONS(3344),
    [anon_sym_type] = ACTIONS(3344),
    [anon_sym_namespace] = ACTIONS(3344),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_RBRACE] = ACTIONS(3344),
    [anon_sym_typeof] = ACTIONS(3344),
    [anon_sym_import] = ACTIONS(3344),
    [anon_sym_with] = ACTIONS(3344),
    [anon_sym_var] = ACTIONS(3344),
    [anon_sym_let] = ACTIONS(3344),
    [anon_sym_const] = ACTIONS(3344),
    [anon_sym_BANG] = ACTIONS(3344),
    [anon_sym_else] = ACTIONS(3344),
    [anon_sym_if] = ACTIONS(3344),
    [anon_sym_switch] = ACTIONS(3344),
    [anon_sym_for] = ACTIONS(3344),
    [anon_sym_LPAREN] = ACTIONS(3344),
    [anon_sym_await] = ACTIONS(3344),
    [anon_sym_while] = ACTIONS(3344),
    [anon_sym_do] = ACTIONS(3344),
    [anon_sym_try] = ACTIONS(3344),
    [anon_sym_break] = ACTIONS(3344),
    [anon_sym_continue] = ACTIONS(3344),
    [anon_sym_debugger] = ACTIONS(3344),
    [anon_sym_return] = ACTIONS(3344),
    [anon_sym_throw] = ACTIONS(3344),
    [anon_sym_SEMI] = ACTIONS(3344),
    [anon_sym_yield] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_LTtemplate_GT] = ACTIONS(3344),
    [anon_sym_DQUOTE] = ACTIONS(3344),
    [anon_sym_SQUOTE] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_async] = ACTIONS(3344),
    [anon_sym_function] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(3344),
    [anon_sym_using] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3344),
    [anon_sym_DASH] = ACTIONS(3344),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_LT] = ACTIONS(3344),
    [anon_sym_TILDE] = ACTIONS(3344),
    [anon_sym_void] = ACTIONS(3344),
    [anon_sym_delete] = ACTIONS(3344),
    [anon_sym_PLUS_PLUS] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3344),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3344),
    [sym_number] = ACTIONS(3344),
    [sym_private_property_identifier] = ACTIONS(3344),
    [sym_this] = ACTIONS(3344),
    [sym_super] = ACTIONS(3344),
    [sym_true] = ACTIONS(3344),
    [sym_false] = ACTIONS(3344),
    [sym_null] = ACTIONS(3344),
    [sym_undefined] = ACTIONS(3344),
    [anon_sym_AT] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_readonly] = ACTIONS(3344),
    [anon_sym_get] = ACTIONS(3344),
    [anon_sym_set] = ACTIONS(3344),
    [anon_sym_declare] = ACTIONS(3344),
    [anon_sym_public] = ACTIONS(3344),
    [anon_sym_private] = ACTIONS(3344),
    [anon_sym_protected] = ACTIONS(3344),
    [anon_sym_override] = ACTIONS(3344),
    [anon_sym_module] = ACTIONS(3344),
    [anon_sym_any] = ACTIONS(3344),
    [anon_sym_number] = ACTIONS(3344),
    [anon_sym_boolean] = ACTIONS(3344),
    [anon_sym_string] = ACTIONS(3344),
    [anon_sym_symbol] = ACTIONS(3344),
    [anon_sym_object] = ACTIONS(3344),
    [anon_sym_abstract] = ACTIONS(3344),
    [anon_sym_interface] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1353] = {
    [sym_comment] = STATE(1353),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2253),
    [anon_sym_default] = ACTIONS(2253),
    [anon_sym_type] = ACTIONS(2253),
    [anon_sym_namespace] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_typeof] = ACTIONS(2253),
    [anon_sym_import] = ACTIONS(2253),
    [anon_sym_with] = ACTIONS(2253),
    [anon_sym_var] = ACTIONS(2253),
    [anon_sym_let] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_switch] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_debugger] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_throw] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_case] = ACTIONS(2253),
    [anon_sym_yield] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LTtemplate_GT] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(2253),
    [anon_sym_SQUOTE] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2253),
    [anon_sym_using] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_SLASH] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_void] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [sym_private_property_identifier] = ACTIONS(2253),
    [sym_this] = ACTIONS(2253),
    [sym_super] = ACTIONS(2253),
    [sym_true] = ACTIONS(2253),
    [sym_false] = ACTIONS(2253),
    [sym_null] = ACTIONS(2253),
    [sym_undefined] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_static] = ACTIONS(2253),
    [anon_sym_readonly] = ACTIONS(2253),
    [anon_sym_get] = ACTIONS(2253),
    [anon_sym_set] = ACTIONS(2253),
    [anon_sym_declare] = ACTIONS(2253),
    [anon_sym_public] = ACTIONS(2253),
    [anon_sym_private] = ACTIONS(2253),
    [anon_sym_protected] = ACTIONS(2253),
    [anon_sym_override] = ACTIONS(2253),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_any] = ACTIONS(2253),
    [anon_sym_number] = ACTIONS(2253),
    [anon_sym_boolean] = ACTIONS(2253),
    [anon_sym_string] = ACTIONS(2253),
    [anon_sym_symbol] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2253),
    [anon_sym_interface] = ACTIONS(2253),
    [anon_sym_enum] = ACTIONS(2253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1354] = {
    [sym_comment] = STATE(1354),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1355] = {
    [sym_comment] = STATE(1355),
    [ts_builtin_sym_end] = ACTIONS(3464),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_export] = ACTIONS(3190),
    [anon_sym_type] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_typeof] = ACTIONS(3190),
    [anon_sym_import] = ACTIONS(3190),
    [anon_sym_with] = ACTIONS(3190),
    [anon_sym_var] = ACTIONS(3190),
    [anon_sym_let] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3190),
    [anon_sym_await] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_debugger] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_yield] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_LTtemplate_GT] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_async] = ACTIONS(3190),
    [anon_sym_function] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_void] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3190),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
    [sym_super] = ACTIONS(3190),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3190),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_declare] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(3190),
    [anon_sym_any] = ACTIONS(3190),
    [anon_sym_number] = ACTIONS(3190),
    [anon_sym_boolean] = ACTIONS(3190),
    [anon_sym_string] = ACTIONS(3190),
    [anon_sym_symbol] = ACTIONS(3190),
    [anon_sym_object] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_interface] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1356] = {
    [sym_comment] = STATE(1356),
    [sym_identifier] = ACTIONS(3308),
    [anon_sym_export] = ACTIONS(3308),
    [anon_sym_default] = ACTIONS(3308),
    [anon_sym_type] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_RBRACE] = ACTIONS(3308),
    [anon_sym_typeof] = ACTIONS(3308),
    [anon_sym_import] = ACTIONS(3308),
    [anon_sym_with] = ACTIONS(3308),
    [anon_sym_var] = ACTIONS(3308),
    [anon_sym_let] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_BANG] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_LPAREN] = ACTIONS(3308),
    [anon_sym_await] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_debugger] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_yield] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_LTtemplate_GT] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_async] = ACTIONS(3308),
    [anon_sym_function] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_TILDE] = ACTIONS(3308),
    [anon_sym_void] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3308),
    [sym_number] = ACTIONS(3308),
    [sym_private_property_identifier] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
    [sym_super] = ACTIONS(3308),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [sym_null] = ACTIONS(3308),
    [sym_undefined] = ACTIONS(3308),
    [anon_sym_AT] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_readonly] = ACTIONS(3308),
    [anon_sym_get] = ACTIONS(3308),
    [anon_sym_set] = ACTIONS(3308),
    [anon_sym_declare] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_override] = ACTIONS(3308),
    [anon_sym_module] = ACTIONS(3308),
    [anon_sym_any] = ACTIONS(3308),
    [anon_sym_number] = ACTIONS(3308),
    [anon_sym_boolean] = ACTIONS(3308),
    [anon_sym_string] = ACTIONS(3308),
    [anon_sym_symbol] = ACTIONS(3308),
    [anon_sym_object] = ACTIONS(3308),
    [anon_sym_abstract] = ACTIONS(3308),
    [anon_sym_interface] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [sym_html_comment] = ACTIONS(5),
  },
  [1357] = {
    [sym_comment] = STATE(1357),
    [sym_identifier] = ACTIONS(3310),
    [anon_sym_export] = ACTIONS(3310),
    [anon_sym_default] = ACTIONS(3310),
    [anon_sym_type] = ACTIONS(3310),
    [anon_sym_namespace] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_typeof] = ACTIONS(3310),
    [anon_sym_import] = ACTIONS(3310),
    [anon_sym_with] = ACTIONS(3310),
    [anon_sym_var] = ACTIONS(3310),
    [anon_sym_let] = ACTIONS(3310),
    [anon_sym_const] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3310),
    [anon_sym_switch] = ACTIONS(3310),
    [anon_sym_for] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_await] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(3310),
    [anon_sym_do] = ACTIONS(3310),
    [anon_sym_try] = ACTIONS(3310),
    [anon_sym_break] = ACTIONS(3310),
    [anon_sym_continue] = ACTIONS(3310),
    [anon_sym_debugger] = ACTIONS(3310),
    [anon_sym_return] = ACTIONS(3310),
    [anon_sym_throw] = ACTIONS(3310),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym_case] = ACTIONS(3310),
    [anon_sym_yield] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_LTtemplate_GT] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3310),
    [anon_sym_async] = ACTIONS(3310),
    [anon_sym_function] = ACTIONS(3310),
    [anon_sym_new] = ACTIONS(3310),
    [anon_sym_using] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_SLASH] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_void] = ACTIONS(3310),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3310),
    [sym_number] = ACTIONS(3310),
    [sym_private_property_identifier] = ACTIONS(3310),
    [sym_this] = ACTIONS(3310),
    [sym_super] = ACTIONS(3310),
    [sym_true] = ACTIONS(3310),
    [sym_false] = ACTIONS(3310),
    [sym_null] = ACTIONS(3310),
    [sym_undefined] = ACTIONS(3310),
    [anon_sym_AT] = ACTIONS(3310),
    [anon_sym_static] = ACTIONS(3310),
    [anon_sym_readonly] = ACTIONS(3310),
    [anon_sym_get] = ACTIONS(3310),
    [anon_sym_set] = ACTIONS(3310),
    [anon_sym_declare] = ACTIONS(3310),
    [anon_sym_public] = ACTIONS(3310),
    [anon_sym_private] = ACTIONS(3310),
    [anon_sym_protected] = ACTIONS(3310),
    [anon_sym_override] = ACTIONS(3310),
    [anon_sym_module] = ACTIONS(3310),
    [anon_sym_any] = ACTIONS(3310),
    [anon_sym_number] = ACTIONS(3310),
    [anon_sym_boolean] = ACTIONS(3310),
    [anon_sym_string] = ACTIONS(3310),
    [anon_sym_symbol] = ACTIONS(3310),
    [anon_sym_object] = ACTIONS(3310),
    [anon_sym_abstract] = ACTIONS(3310),
    [anon_sym_interface] = ACTIONS(3310),
    [anon_sym_enum] = ACTIONS(3310),
    [sym_html_comment] = ACTIONS(5),
  },
  [1358] = {
    [sym_comment] = STATE(1358),
    [sym_identifier] = ACTIONS(3312),
    [anon_sym_export] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3312),
    [anon_sym_type] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_RBRACE] = ACTIONS(3312),
    [anon_sym_typeof] = ACTIONS(3312),
    [anon_sym_import] = ACTIONS(3312),
    [anon_sym_with] = ACTIONS(3312),
    [anon_sym_var] = ACTIONS(3312),
    [anon_sym_let] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3312),
    [anon_sym_await] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_debugger] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_yield] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_LTtemplate_GT] = ACTIONS(3312),
    [anon_sym_DQUOTE] = ACTIONS(3312),
    [anon_sym_SQUOTE] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_async] = ACTIONS(3312),
    [anon_sym_function] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3312),
    [anon_sym_void] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3312),
    [sym_number] = ACTIONS(3312),
    [sym_private_property_identifier] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
    [sym_super] = ACTIONS(3312),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [sym_null] = ACTIONS(3312),
    [sym_undefined] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_readonly] = ACTIONS(3312),
    [anon_sym_get] = ACTIONS(3312),
    [anon_sym_set] = ACTIONS(3312),
    [anon_sym_declare] = ACTIONS(3312),
    [anon_sym_public] = ACTIONS(3312),
    [anon_sym_private] = ACTIONS(3312),
    [anon_sym_protected] = ACTIONS(3312),
    [anon_sym_override] = ACTIONS(3312),
    [anon_sym_module] = ACTIONS(3312),
    [anon_sym_any] = ACTIONS(3312),
    [anon_sym_number] = ACTIONS(3312),
    [anon_sym_boolean] = ACTIONS(3312),
    [anon_sym_string] = ACTIONS(3312),
    [anon_sym_symbol] = ACTIONS(3312),
    [anon_sym_object] = ACTIONS(3312),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_interface] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1359] = {
    [sym_comment] = STATE(1359),
    [ts_builtin_sym_end] = ACTIONS(3466),
    [sym_identifier] = ACTIONS(3188),
    [anon_sym_export] = ACTIONS(3188),
    [anon_sym_type] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_typeof] = ACTIONS(3188),
    [anon_sym_import] = ACTIONS(3188),
    [anon_sym_with] = ACTIONS(3188),
    [anon_sym_var] = ACTIONS(3188),
    [anon_sym_let] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_else] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_await] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_debugger] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_yield] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_LTtemplate_GT] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_async] = ACTIONS(3188),
    [anon_sym_function] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_void] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3188),
    [sym_number] = ACTIONS(3188),
    [sym_private_property_identifier] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
    [sym_super] = ACTIONS(3188),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [sym_null] = ACTIONS(3188),
    [sym_undefined] = ACTIONS(3188),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_readonly] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3188),
    [anon_sym_set] = ACTIONS(3188),
    [anon_sym_declare] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_protected] = ACTIONS(3188),
    [anon_sym_override] = ACTIONS(3188),
    [anon_sym_module] = ACTIONS(3188),
    [anon_sym_any] = ACTIONS(3188),
    [anon_sym_number] = ACTIONS(3188),
    [anon_sym_boolean] = ACTIONS(3188),
    [anon_sym_string] = ACTIONS(3188),
    [anon_sym_symbol] = ACTIONS(3188),
    [anon_sym_object] = ACTIONS(3188),
    [anon_sym_abstract] = ACTIONS(3188),
    [anon_sym_interface] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [sym_html_comment] = ACTIONS(5),
  },
  [1360] = {
    [sym_comment] = STATE(1360),
    [ts_builtin_sym_end] = ACTIONS(3468),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_export] = ACTIONS(3186),
    [anon_sym_type] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_typeof] = ACTIONS(3186),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_var] = ACTIONS(3186),
    [anon_sym_let] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_debugger] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_LTtemplate_GT] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_function] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_void] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3186),
    [sym_number] = ACTIONS(3186),
    [sym_private_property_identifier] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
    [sym_super] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_null] = ACTIONS(3186),
    [sym_undefined] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_readonly] = ACTIONS(3186),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_declare] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_module] = ACTIONS(3186),
    [anon_sym_any] = ACTIONS(3186),
    [anon_sym_number] = ACTIONS(3186),
    [anon_sym_boolean] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_symbol] = ACTIONS(3186),
    [anon_sym_object] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_interface] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [sym_html_comment] = ACTIONS(5),
  },
  [1361] = {
    [sym_comment] = STATE(1361),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3184),
    [anon_sym_export] = ACTIONS(3184),
    [anon_sym_type] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_typeof] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3184),
    [anon_sym_with] = ACTIONS(3184),
    [anon_sym_var] = ACTIONS(3184),
    [anon_sym_let] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_else] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_await] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_debugger] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym_yield] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_LTtemplate_GT] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_function] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_void] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3184),
    [sym_private_property_identifier] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
    [sym_super] = ACTIONS(3184),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [sym_null] = ACTIONS(3184),
    [sym_undefined] = ACTIONS(3184),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_readonly] = ACTIONS(3184),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_declare] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_module] = ACTIONS(3184),
    [anon_sym_any] = ACTIONS(3184),
    [anon_sym_number] = ACTIONS(3184),
    [anon_sym_boolean] = ACTIONS(3184),
    [anon_sym_string] = ACTIONS(3184),
    [anon_sym_symbol] = ACTIONS(3184),
    [anon_sym_object] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_interface] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [sym_html_comment] = ACTIONS(5),
  },
  [1362] = {
    [sym_comment] = STATE(1362),
    [ts_builtin_sym_end] = ACTIONS(3472),
    [sym_identifier] = ACTIONS(3182),
    [anon_sym_export] = ACTIONS(3182),
    [anon_sym_type] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_typeof] = ACTIONS(3182),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_with] = ACTIONS(3182),
    [anon_sym_var] = ACTIONS(3182),
    [anon_sym_let] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_else] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_LPAREN] = ACTIONS(3182),
    [anon_sym_await] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_debugger] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_yield] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_LTtemplate_GT] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3182),
    [anon_sym_function] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_SLASH] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_void] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3182),
    [sym_number] = ACTIONS(3182),
    [sym_private_property_identifier] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
    [sym_super] = ACTIONS(3182),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [sym_null] = ACTIONS(3182),
    [sym_undefined] = ACTIONS(3182),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_readonly] = ACTIONS(3182),
    [anon_sym_get] = ACTIONS(3182),
    [anon_sym_set] = ACTIONS(3182),
    [anon_sym_declare] = ACTIONS(3182),
    [anon_sym_public] = ACTIONS(3182),
    [anon_sym_private] = ACTIONS(3182),
    [anon_sym_protected] = ACTIONS(3182),
    [anon_sym_override] = ACTIONS(3182),
    [anon_sym_module] = ACTIONS(3182),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3182),
    [anon_sym_interface] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [sym_html_comment] = ACTIONS(5),
  },
  [1363] = {
    [sym_comment] = STATE(1363),
    [ts_builtin_sym_end] = ACTIONS(3474),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_type] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_typeof] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3180),
    [anon_sym_with] = ACTIONS(3180),
    [anon_sym_var] = ACTIONS(3180),
    [anon_sym_let] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_else] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_await] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_debugger] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_yield] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_LTtemplate_GT] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_async] = ACTIONS(3180),
    [anon_sym_function] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_void] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3180),
    [sym_number] = ACTIONS(3180),
    [sym_private_property_identifier] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
    [sym_super] = ACTIONS(3180),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [sym_null] = ACTIONS(3180),
    [sym_undefined] = ACTIONS(3180),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_readonly] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3180),
    [anon_sym_set] = ACTIONS(3180),
    [anon_sym_declare] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_override] = ACTIONS(3180),
    [anon_sym_module] = ACTIONS(3180),
    [anon_sym_any] = ACTIONS(3180),
    [anon_sym_number] = ACTIONS(3180),
    [anon_sym_boolean] = ACTIONS(3180),
    [anon_sym_string] = ACTIONS(3180),
    [anon_sym_symbol] = ACTIONS(3180),
    [anon_sym_object] = ACTIONS(3180),
    [anon_sym_abstract] = ACTIONS(3180),
    [anon_sym_interface] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1364] = {
    [sym_comment] = STATE(1364),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1365] = {
    [sym_comment] = STATE(1365),
    [ts_builtin_sym_end] = ACTIONS(3476),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_export] = ACTIONS(3240),
    [anon_sym_type] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3240),
    [anon_sym_RBRACE] = ACTIONS(3240),
    [anon_sym_typeof] = ACTIONS(3240),
    [anon_sym_import] = ACTIONS(3240),
    [anon_sym_with] = ACTIONS(3240),
    [anon_sym_var] = ACTIONS(3240),
    [anon_sym_let] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_BANG] = ACTIONS(3240),
    [anon_sym_else] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_LPAREN] = ACTIONS(3240),
    [anon_sym_await] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_debugger] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_LTtemplate_GT] = ACTIONS(3240),
    [anon_sym_DQUOTE] = ACTIONS(3240),
    [anon_sym_SQUOTE] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_async] = ACTIONS(3240),
    [anon_sym_function] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3240),
    [anon_sym_void] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_PLUS_PLUS] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3240),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3240),
    [sym_number] = ACTIONS(3240),
    [sym_private_property_identifier] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
    [sym_super] = ACTIONS(3240),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [sym_null] = ACTIONS(3240),
    [sym_undefined] = ACTIONS(3240),
    [anon_sym_AT] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_readonly] = ACTIONS(3240),
    [anon_sym_get] = ACTIONS(3240),
    [anon_sym_set] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3240),
    [anon_sym_public] = ACTIONS(3240),
    [anon_sym_private] = ACTIONS(3240),
    [anon_sym_protected] = ACTIONS(3240),
    [anon_sym_override] = ACTIONS(3240),
    [anon_sym_module] = ACTIONS(3240),
    [anon_sym_any] = ACTIONS(3240),
    [anon_sym_number] = ACTIONS(3240),
    [anon_sym_boolean] = ACTIONS(3240),
    [anon_sym_string] = ACTIONS(3240),
    [anon_sym_symbol] = ACTIONS(3240),
    [anon_sym_object] = ACTIONS(3240),
    [anon_sym_abstract] = ACTIONS(3240),
    [anon_sym_interface] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [sym_html_comment] = ACTIONS(5),
  },
  [1366] = {
    [sym_comment] = STATE(1366),
    [ts_builtin_sym_end] = ACTIONS(3478),
    [sym_identifier] = ACTIONS(3238),
    [anon_sym_export] = ACTIONS(3238),
    [anon_sym_type] = ACTIONS(3238),
    [anon_sym_namespace] = ACTIONS(3238),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_typeof] = ACTIONS(3238),
    [anon_sym_import] = ACTIONS(3238),
    [anon_sym_with] = ACTIONS(3238),
    [anon_sym_var] = ACTIONS(3238),
    [anon_sym_let] = ACTIONS(3238),
    [anon_sym_const] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_else] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3238),
    [anon_sym_switch] = ACTIONS(3238),
    [anon_sym_for] = ACTIONS(3238),
    [anon_sym_LPAREN] = ACTIONS(3238),
    [anon_sym_await] = ACTIONS(3238),
    [anon_sym_while] = ACTIONS(3238),
    [anon_sym_do] = ACTIONS(3238),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_break] = ACTIONS(3238),
    [anon_sym_continue] = ACTIONS(3238),
    [anon_sym_debugger] = ACTIONS(3238),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_throw] = ACTIONS(3238),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3238),
    [anon_sym_LTtemplate_GT] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_async] = ACTIONS(3238),
    [anon_sym_function] = ACTIONS(3238),
    [anon_sym_new] = ACTIONS(3238),
    [anon_sym_using] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3238),
    [anon_sym_SLASH] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_void] = ACTIONS(3238),
    [anon_sym_delete] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3238),
    [sym_number] = ACTIONS(3238),
    [sym_private_property_identifier] = ACTIONS(3238),
    [sym_this] = ACTIONS(3238),
    [sym_super] = ACTIONS(3238),
    [sym_true] = ACTIONS(3238),
    [sym_false] = ACTIONS(3238),
    [sym_null] = ACTIONS(3238),
    [sym_undefined] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3238),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3238),
    [anon_sym_set] = ACTIONS(3238),
    [anon_sym_declare] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_protected] = ACTIONS(3238),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_module] = ACTIONS(3238),
    [anon_sym_any] = ACTIONS(3238),
    [anon_sym_number] = ACTIONS(3238),
    [anon_sym_boolean] = ACTIONS(3238),
    [anon_sym_string] = ACTIONS(3238),
    [anon_sym_symbol] = ACTIONS(3238),
    [anon_sym_object] = ACTIONS(3238),
    [anon_sym_abstract] = ACTIONS(3238),
    [anon_sym_interface] = ACTIONS(3238),
    [anon_sym_enum] = ACTIONS(3238),
    [sym_html_comment] = ACTIONS(5),
  },
  [1367] = {
    [sym_comment] = STATE(1367),
    [ts_builtin_sym_end] = ACTIONS(3480),
    [sym_identifier] = ACTIONS(3292),
    [anon_sym_export] = ACTIONS(3292),
    [anon_sym_type] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_typeof] = ACTIONS(3292),
    [anon_sym_import] = ACTIONS(3292),
    [anon_sym_with] = ACTIONS(3292),
    [anon_sym_var] = ACTIONS(3292),
    [anon_sym_let] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_else] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_await] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_debugger] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym_yield] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_LTtemplate_GT] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_async] = ACTIONS(3292),
    [anon_sym_function] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_void] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3292),
    [sym_number] = ACTIONS(3292),
    [sym_private_property_identifier] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
    [sym_super] = ACTIONS(3292),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [sym_null] = ACTIONS(3292),
    [sym_undefined] = ACTIONS(3292),
    [anon_sym_AT] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_readonly] = ACTIONS(3292),
    [anon_sym_get] = ACTIONS(3292),
    [anon_sym_set] = ACTIONS(3292),
    [anon_sym_declare] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_protected] = ACTIONS(3292),
    [anon_sym_override] = ACTIONS(3292),
    [anon_sym_module] = ACTIONS(3292),
    [anon_sym_any] = ACTIONS(3292),
    [anon_sym_number] = ACTIONS(3292),
    [anon_sym_boolean] = ACTIONS(3292),
    [anon_sym_string] = ACTIONS(3292),
    [anon_sym_symbol] = ACTIONS(3292),
    [anon_sym_object] = ACTIONS(3292),
    [anon_sym_abstract] = ACTIONS(3292),
    [anon_sym_interface] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1368] = {
    [sym_comment] = STATE(1368),
    [ts_builtin_sym_end] = ACTIONS(3482),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_export] = ACTIONS(3346),
    [anon_sym_type] = ACTIONS(3346),
    [anon_sym_namespace] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_RBRACE] = ACTIONS(3346),
    [anon_sym_typeof] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_with] = ACTIONS(3346),
    [anon_sym_var] = ACTIONS(3346),
    [anon_sym_let] = ACTIONS(3346),
    [anon_sym_const] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_else] = ACTIONS(3346),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_switch] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3346),
    [anon_sym_await] = ACTIONS(3346),
    [anon_sym_while] = ACTIONS(3346),
    [anon_sym_do] = ACTIONS(3346),
    [anon_sym_try] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_debugger] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_throw] = ACTIONS(3346),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym_yield] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3346),
    [anon_sym_LTtemplate_GT] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_class] = ACTIONS(3346),
    [anon_sym_async] = ACTIONS(3346),
    [anon_sym_function] = ACTIONS(3346),
    [anon_sym_new] = ACTIONS(3346),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_LT] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_void] = ACTIONS(3346),
    [anon_sym_delete] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3346),
    [sym_number] = ACTIONS(3346),
    [sym_private_property_identifier] = ACTIONS(3346),
    [sym_this] = ACTIONS(3346),
    [sym_super] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [sym_null] = ACTIONS(3346),
    [sym_undefined] = ACTIONS(3346),
    [anon_sym_AT] = ACTIONS(3346),
    [anon_sym_static] = ACTIONS(3346),
    [anon_sym_readonly] = ACTIONS(3346),
    [anon_sym_get] = ACTIONS(3346),
    [anon_sym_set] = ACTIONS(3346),
    [anon_sym_declare] = ACTIONS(3346),
    [anon_sym_public] = ACTIONS(3346),
    [anon_sym_private] = ACTIONS(3346),
    [anon_sym_protected] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3346),
    [anon_sym_module] = ACTIONS(3346),
    [anon_sym_any] = ACTIONS(3346),
    [anon_sym_number] = ACTIONS(3346),
    [anon_sym_boolean] = ACTIONS(3346),
    [anon_sym_string] = ACTIONS(3346),
    [anon_sym_symbol] = ACTIONS(3346),
    [anon_sym_object] = ACTIONS(3346),
    [anon_sym_abstract] = ACTIONS(3346),
    [anon_sym_interface] = ACTIONS(3346),
    [anon_sym_enum] = ACTIONS(3346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1369] = {
    [sym_comment] = STATE(1369),
    [ts_builtin_sym_end] = ACTIONS(3484),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_export] = ACTIONS(3160),
    [anon_sym_type] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_typeof] = ACTIONS(3160),
    [anon_sym_import] = ACTIONS(3160),
    [anon_sym_with] = ACTIONS(3160),
    [anon_sym_var] = ACTIONS(3160),
    [anon_sym_let] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_await] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_debugger] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_yield] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_LTtemplate_GT] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_async] = ACTIONS(3160),
    [anon_sym_function] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3160),
    [sym_number] = ACTIONS(3160),
    [sym_private_property_identifier] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
    [sym_super] = ACTIONS(3160),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [sym_null] = ACTIONS(3160),
    [sym_undefined] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_readonly] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3160),
    [anon_sym_set] = ACTIONS(3160),
    [anon_sym_declare] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_protected] = ACTIONS(3160),
    [anon_sym_override] = ACTIONS(3160),
    [anon_sym_module] = ACTIONS(3160),
    [anon_sym_any] = ACTIONS(3160),
    [anon_sym_number] = ACTIONS(3160),
    [anon_sym_boolean] = ACTIONS(3160),
    [anon_sym_string] = ACTIONS(3160),
    [anon_sym_symbol] = ACTIONS(3160),
    [anon_sym_object] = ACTIONS(3160),
    [anon_sym_abstract] = ACTIONS(3160),
    [anon_sym_interface] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1370] = {
    [sym_comment] = STATE(1370),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [1371] = {
    [sym_comment] = STATE(1371),
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_export] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_type] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_typeof] = ACTIONS(3142),
    [anon_sym_import] = ACTIONS(3142),
    [anon_sym_with] = ACTIONS(3142),
    [anon_sym_var] = ACTIONS(3142),
    [anon_sym_let] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3142),
    [anon_sym_await] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_debugger] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_yield] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_LTtemplate_GT] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_async] = ACTIONS(3142),
    [anon_sym_function] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_void] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3142),
    [sym_number] = ACTIONS(3142),
    [sym_private_property_identifier] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
    [sym_super] = ACTIONS(3142),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3142),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_declare] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_module] = ACTIONS(3142),
    [anon_sym_any] = ACTIONS(3142),
    [anon_sym_number] = ACTIONS(3142),
    [anon_sym_boolean] = ACTIONS(3142),
    [anon_sym_string] = ACTIONS(3142),
    [anon_sym_symbol] = ACTIONS(3142),
    [anon_sym_object] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_interface] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [sym_html_comment] = ACTIONS(5),
  },
  [1372] = {
    [sym_comment] = STATE(1372),
    [sym_identifier] = ACTIONS(3148),
    [anon_sym_export] = ACTIONS(3148),
    [anon_sym_default] = ACTIONS(3148),
    [anon_sym_type] = ACTIONS(3148),
    [anon_sym_namespace] = ACTIONS(3148),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_import] = ACTIONS(3148),
    [anon_sym_with] = ACTIONS(3148),
    [anon_sym_var] = ACTIONS(3148),
    [anon_sym_let] = ACTIONS(3148),
    [anon_sym_const] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_switch] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_await] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_do] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_break] = ACTIONS(3148),
    [anon_sym_continue] = ACTIONS(3148),
    [anon_sym_debugger] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_throw] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_case] = ACTIONS(3148),
    [anon_sym_yield] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_LTtemplate_GT] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_async] = ACTIONS(3148),
    [anon_sym_function] = ACTIONS(3148),
    [anon_sym_new] = ACTIONS(3148),
    [anon_sym_using] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_void] = ACTIONS(3148),
    [anon_sym_delete] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3148),
    [sym_number] = ACTIONS(3148),
    [sym_private_property_identifier] = ACTIONS(3148),
    [sym_this] = ACTIONS(3148),
    [sym_super] = ACTIONS(3148),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [sym_null] = ACTIONS(3148),
    [sym_undefined] = ACTIONS(3148),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_get] = ACTIONS(3148),
    [anon_sym_set] = ACTIONS(3148),
    [anon_sym_declare] = ACTIONS(3148),
    [anon_sym_public] = ACTIONS(3148),
    [anon_sym_private] = ACTIONS(3148),
    [anon_sym_protected] = ACTIONS(3148),
    [anon_sym_override] = ACTIONS(3148),
    [anon_sym_module] = ACTIONS(3148),
    [anon_sym_any] = ACTIONS(3148),
    [anon_sym_number] = ACTIONS(3148),
    [anon_sym_boolean] = ACTIONS(3148),
    [anon_sym_string] = ACTIONS(3148),
    [anon_sym_symbol] = ACTIONS(3148),
    [anon_sym_object] = ACTIONS(3148),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_interface] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [sym_html_comment] = ACTIONS(5),
  },
  [1373] = {
    [sym_comment] = STATE(1373),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_export] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_type] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_typeof] = ACTIONS(3150),
    [anon_sym_import] = ACTIONS(3150),
    [anon_sym_with] = ACTIONS(3150),
    [anon_sym_var] = ACTIONS(3150),
    [anon_sym_let] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_await] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_debugger] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_yield] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_LTtemplate_GT] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_async] = ACTIONS(3150),
    [anon_sym_function] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_void] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3150),
    [sym_number] = ACTIONS(3150),
    [sym_private_property_identifier] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
    [sym_super] = ACTIONS(3150),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [sym_null] = ACTIONS(3150),
    [sym_undefined] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_readonly] = ACTIONS(3150),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_declare] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_module] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3150),
    [anon_sym_number] = ACTIONS(3150),
    [anon_sym_boolean] = ACTIONS(3150),
    [anon_sym_string] = ACTIONS(3150),
    [anon_sym_symbol] = ACTIONS(3150),
    [anon_sym_object] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_interface] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [sym_html_comment] = ACTIONS(5),
  },
  [1374] = {
    [sym_comment] = STATE(1374),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [1375] = {
    [sym_comment] = STATE(1375),
    [ts_builtin_sym_end] = ACTIONS(3486),
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_export] = ACTIONS(3162),
    [anon_sym_type] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_typeof] = ACTIONS(3162),
    [anon_sym_import] = ACTIONS(3162),
    [anon_sym_with] = ACTIONS(3162),
    [anon_sym_var] = ACTIONS(3162),
    [anon_sym_let] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3162),
    [anon_sym_await] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_debugger] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_yield] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_LTtemplate_GT] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_async] = ACTIONS(3162),
    [anon_sym_function] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3162),
    [sym_number] = ACTIONS(3162),
    [sym_private_property_identifier] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
    [sym_super] = ACTIONS(3162),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [sym_null] = ACTIONS(3162),
    [sym_undefined] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_readonly] = ACTIONS(3162),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_declare] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_module] = ACTIONS(3162),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_interface] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1376] = {
    [sym_comment] = STATE(1376),
    [ts_builtin_sym_end] = ACTIONS(2391),
    [sym_identifier] = ACTIONS(2171),
    [anon_sym_export] = ACTIONS(2171),
    [anon_sym_type] = ACTIONS(2171),
    [anon_sym_namespace] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_typeof] = ACTIONS(2171),
    [anon_sym_import] = ACTIONS(2171),
    [anon_sym_with] = ACTIONS(2171),
    [anon_sym_var] = ACTIONS(2171),
    [anon_sym_let] = ACTIONS(2171),
    [anon_sym_const] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_else] = ACTIONS(2171),
    [anon_sym_if] = ACTIONS(2171),
    [anon_sym_switch] = ACTIONS(2171),
    [anon_sym_for] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2171),
    [anon_sym_try] = ACTIONS(2171),
    [anon_sym_break] = ACTIONS(2171),
    [anon_sym_continue] = ACTIONS(2171),
    [anon_sym_debugger] = ACTIONS(2171),
    [anon_sym_return] = ACTIONS(2171),
    [anon_sym_throw] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_yield] = ACTIONS(2171),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LTtemplate_GT] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2171),
    [anon_sym_async] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2171),
    [anon_sym_using] = ACTIONS(2171),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_void] = ACTIONS(2171),
    [anon_sym_delete] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [sym_private_property_identifier] = ACTIONS(2171),
    [sym_this] = ACTIONS(2171),
    [sym_super] = ACTIONS(2171),
    [sym_true] = ACTIONS(2171),
    [sym_false] = ACTIONS(2171),
    [sym_null] = ACTIONS(2171),
    [sym_undefined] = ACTIONS(2171),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2171),
    [anon_sym_readonly] = ACTIONS(2171),
    [anon_sym_get] = ACTIONS(2171),
    [anon_sym_set] = ACTIONS(2171),
    [anon_sym_declare] = ACTIONS(2171),
    [anon_sym_public] = ACTIONS(2171),
    [anon_sym_private] = ACTIONS(2171),
    [anon_sym_protected] = ACTIONS(2171),
    [anon_sym_override] = ACTIONS(2171),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_any] = ACTIONS(2171),
    [anon_sym_number] = ACTIONS(2171),
    [anon_sym_boolean] = ACTIONS(2171),
    [anon_sym_string] = ACTIONS(2171),
    [anon_sym_symbol] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(2171),
    [anon_sym_abstract] = ACTIONS(2171),
    [anon_sym_interface] = ACTIONS(2171),
    [anon_sym_enum] = ACTIONS(2171),
    [sym_html_comment] = ACTIONS(5),
  },
  [1377] = {
    [sym_comment] = STATE(1377),
    [ts_builtin_sym_end] = ACTIONS(3488),
    [sym_identifier] = ACTIONS(3236),
    [anon_sym_export] = ACTIONS(3236),
    [anon_sym_type] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(3236),
    [anon_sym_typeof] = ACTIONS(3236),
    [anon_sym_import] = ACTIONS(3236),
    [anon_sym_with] = ACTIONS(3236),
    [anon_sym_var] = ACTIONS(3236),
    [anon_sym_let] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_else] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_LPAREN] = ACTIONS(3236),
    [anon_sym_await] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_debugger] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym_yield] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_LTtemplate_GT] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_async] = ACTIONS(3236),
    [anon_sym_function] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_void] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3236),
    [sym_number] = ACTIONS(3236),
    [sym_private_property_identifier] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
    [sym_super] = ACTIONS(3236),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [sym_null] = ACTIONS(3236),
    [sym_undefined] = ACTIONS(3236),
    [anon_sym_AT] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_readonly] = ACTIONS(3236),
    [anon_sym_get] = ACTIONS(3236),
    [anon_sym_set] = ACTIONS(3236),
    [anon_sym_declare] = ACTIONS(3236),
    [anon_sym_public] = ACTIONS(3236),
    [anon_sym_private] = ACTIONS(3236),
    [anon_sym_protected] = ACTIONS(3236),
    [anon_sym_override] = ACTIONS(3236),
    [anon_sym_module] = ACTIONS(3236),
    [anon_sym_any] = ACTIONS(3236),
    [anon_sym_number] = ACTIONS(3236),
    [anon_sym_boolean] = ACTIONS(3236),
    [anon_sym_string] = ACTIONS(3236),
    [anon_sym_symbol] = ACTIONS(3236),
    [anon_sym_object] = ACTIONS(3236),
    [anon_sym_abstract] = ACTIONS(3236),
    [anon_sym_interface] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [sym_html_comment] = ACTIONS(5),
  },
  [1378] = {
    [sym_comment] = STATE(1378),
    [ts_builtin_sym_end] = ACTIONS(3490),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_else] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1379] = {
    [sym_comment] = STATE(1379),
    [ts_builtin_sym_end] = ACTIONS(3490),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_else] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1380] = {
    [sym_comment] = STATE(1380),
    [sym_identifier] = ACTIONS(3156),
    [anon_sym_export] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_type] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_typeof] = ACTIONS(3156),
    [anon_sym_import] = ACTIONS(3156),
    [anon_sym_with] = ACTIONS(3156),
    [anon_sym_var] = ACTIONS(3156),
    [anon_sym_let] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_await] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_debugger] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_yield] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_LTtemplate_GT] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_async] = ACTIONS(3156),
    [anon_sym_function] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_void] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3156),
    [sym_number] = ACTIONS(3156),
    [sym_private_property_identifier] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
    [sym_super] = ACTIONS(3156),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [sym_null] = ACTIONS(3156),
    [sym_undefined] = ACTIONS(3156),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_readonly] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3156),
    [anon_sym_set] = ACTIONS(3156),
    [anon_sym_declare] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_override] = ACTIONS(3156),
    [anon_sym_module] = ACTIONS(3156),
    [anon_sym_any] = ACTIONS(3156),
    [anon_sym_number] = ACTIONS(3156),
    [anon_sym_boolean] = ACTIONS(3156),
    [anon_sym_string] = ACTIONS(3156),
    [anon_sym_symbol] = ACTIONS(3156),
    [anon_sym_object] = ACTIONS(3156),
    [anon_sym_abstract] = ACTIONS(3156),
    [anon_sym_interface] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [sym_html_comment] = ACTIONS(5),
  },
  [1381] = {
    [sym_comment] = STATE(1381),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2367),
    [sym_html_comment] = ACTIONS(5),
  },
  [1382] = {
    [sym_comment] = STATE(1382),
    [ts_builtin_sym_end] = ACTIONS(3492),
    [sym_identifier] = ACTIONS(3348),
    [anon_sym_export] = ACTIONS(3348),
    [anon_sym_type] = ACTIONS(3348),
    [anon_sym_namespace] = ACTIONS(3348),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_RBRACE] = ACTIONS(3348),
    [anon_sym_typeof] = ACTIONS(3348),
    [anon_sym_import] = ACTIONS(3348),
    [anon_sym_with] = ACTIONS(3348),
    [anon_sym_var] = ACTIONS(3348),
    [anon_sym_let] = ACTIONS(3348),
    [anon_sym_const] = ACTIONS(3348),
    [anon_sym_BANG] = ACTIONS(3348),
    [anon_sym_else] = ACTIONS(3348),
    [anon_sym_if] = ACTIONS(3348),
    [anon_sym_switch] = ACTIONS(3348),
    [anon_sym_for] = ACTIONS(3348),
    [anon_sym_LPAREN] = ACTIONS(3348),
    [anon_sym_await] = ACTIONS(3348),
    [anon_sym_while] = ACTIONS(3348),
    [anon_sym_do] = ACTIONS(3348),
    [anon_sym_try] = ACTIONS(3348),
    [anon_sym_break] = ACTIONS(3348),
    [anon_sym_continue] = ACTIONS(3348),
    [anon_sym_debugger] = ACTIONS(3348),
    [anon_sym_return] = ACTIONS(3348),
    [anon_sym_throw] = ACTIONS(3348),
    [anon_sym_SEMI] = ACTIONS(3348),
    [anon_sym_yield] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_LTtemplate_GT] = ACTIONS(3348),
    [anon_sym_DQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_async] = ACTIONS(3348),
    [anon_sym_function] = ACTIONS(3348),
    [anon_sym_new] = ACTIONS(3348),
    [anon_sym_using] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3348),
    [anon_sym_DASH] = ACTIONS(3348),
    [anon_sym_SLASH] = ACTIONS(3348),
    [anon_sym_LT] = ACTIONS(3348),
    [anon_sym_TILDE] = ACTIONS(3348),
    [anon_sym_void] = ACTIONS(3348),
    [anon_sym_delete] = ACTIONS(3348),
    [anon_sym_PLUS_PLUS] = ACTIONS(3348),
    [anon_sym_DASH_DASH] = ACTIONS(3348),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3348),
    [sym_number] = ACTIONS(3348),
    [sym_private_property_identifier] = ACTIONS(3348),
    [sym_this] = ACTIONS(3348),
    [sym_super] = ACTIONS(3348),
    [sym_true] = ACTIONS(3348),
    [sym_false] = ACTIONS(3348),
    [sym_null] = ACTIONS(3348),
    [sym_undefined] = ACTIONS(3348),
    [anon_sym_AT] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [anon_sym_readonly] = ACTIONS(3348),
    [anon_sym_get] = ACTIONS(3348),
    [anon_sym_set] = ACTIONS(3348),
    [anon_sym_declare] = ACTIONS(3348),
    [anon_sym_public] = ACTIONS(3348),
    [anon_sym_private] = ACTIONS(3348),
    [anon_sym_protected] = ACTIONS(3348),
    [anon_sym_override] = ACTIONS(3348),
    [anon_sym_module] = ACTIONS(3348),
    [anon_sym_any] = ACTIONS(3348),
    [anon_sym_number] = ACTIONS(3348),
    [anon_sym_boolean] = ACTIONS(3348),
    [anon_sym_string] = ACTIONS(3348),
    [anon_sym_symbol] = ACTIONS(3348),
    [anon_sym_object] = ACTIONS(3348),
    [anon_sym_abstract] = ACTIONS(3348),
    [anon_sym_interface] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(3348),
    [sym_html_comment] = ACTIONS(5),
  },
  [1383] = {
    [sym_comment] = STATE(1383),
    [ts_builtin_sym_end] = ACTIONS(3494),
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_export] = ACTIONS(3174),
    [anon_sym_type] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_typeof] = ACTIONS(3174),
    [anon_sym_import] = ACTIONS(3174),
    [anon_sym_with] = ACTIONS(3174),
    [anon_sym_var] = ACTIONS(3174),
    [anon_sym_let] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3174),
    [anon_sym_await] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_debugger] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_yield] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_LTtemplate_GT] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_async] = ACTIONS(3174),
    [anon_sym_function] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_void] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3174),
    [sym_number] = ACTIONS(3174),
    [sym_private_property_identifier] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
    [sym_super] = ACTIONS(3174),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [sym_null] = ACTIONS(3174),
    [sym_undefined] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_readonly] = ACTIONS(3174),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_declare] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_module] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3174),
    [anon_sym_number] = ACTIONS(3174),
    [anon_sym_boolean] = ACTIONS(3174),
    [anon_sym_string] = ACTIONS(3174),
    [anon_sym_symbol] = ACTIONS(3174),
    [anon_sym_object] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_interface] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [sym_html_comment] = ACTIONS(5),
  },
  [1384] = {
    [sym_comment] = STATE(1384),
    [sym_identifier] = ACTIONS(3164),
    [anon_sym_export] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_type] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3164),
    [anon_sym_import] = ACTIONS(3164),
    [anon_sym_with] = ACTIONS(3164),
    [anon_sym_var] = ACTIONS(3164),
    [anon_sym_let] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_await] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_debugger] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_LTtemplate_GT] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_async] = ACTIONS(3164),
    [anon_sym_function] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_void] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3164),
    [sym_private_property_identifier] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
    [sym_super] = ACTIONS(3164),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [sym_null] = ACTIONS(3164),
    [sym_undefined] = ACTIONS(3164),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_readonly] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3164),
    [anon_sym_set] = ACTIONS(3164),
    [anon_sym_declare] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_override] = ACTIONS(3164),
    [anon_sym_module] = ACTIONS(3164),
    [anon_sym_any] = ACTIONS(3164),
    [anon_sym_number] = ACTIONS(3164),
    [anon_sym_boolean] = ACTIONS(3164),
    [anon_sym_string] = ACTIONS(3164),
    [anon_sym_symbol] = ACTIONS(3164),
    [anon_sym_object] = ACTIONS(3164),
    [anon_sym_abstract] = ACTIONS(3164),
    [anon_sym_interface] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [sym_html_comment] = ACTIONS(5),
  },
  [1385] = {
    [sym_comment] = STATE(1385),
    [ts_builtin_sym_end] = ACTIONS(2391),
    [sym_identifier] = ACTIONS(2171),
    [anon_sym_export] = ACTIONS(2171),
    [anon_sym_type] = ACTIONS(2171),
    [anon_sym_namespace] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_typeof] = ACTIONS(2171),
    [anon_sym_import] = ACTIONS(2171),
    [anon_sym_with] = ACTIONS(2171),
    [anon_sym_var] = ACTIONS(2171),
    [anon_sym_let] = ACTIONS(2171),
    [anon_sym_const] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_else] = ACTIONS(2171),
    [anon_sym_if] = ACTIONS(2171),
    [anon_sym_switch] = ACTIONS(2171),
    [anon_sym_for] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2171),
    [anon_sym_try] = ACTIONS(2171),
    [anon_sym_break] = ACTIONS(2171),
    [anon_sym_continue] = ACTIONS(2171),
    [anon_sym_debugger] = ACTIONS(2171),
    [anon_sym_return] = ACTIONS(2171),
    [anon_sym_throw] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_yield] = ACTIONS(2171),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LTtemplate_GT] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2171),
    [anon_sym_async] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2171),
    [anon_sym_using] = ACTIONS(2171),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_void] = ACTIONS(2171),
    [anon_sym_delete] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [sym_private_property_identifier] = ACTIONS(2171),
    [sym_this] = ACTIONS(2171),
    [sym_super] = ACTIONS(2171),
    [sym_true] = ACTIONS(2171),
    [sym_false] = ACTIONS(2171),
    [sym_null] = ACTIONS(2171),
    [sym_undefined] = ACTIONS(2171),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2171),
    [anon_sym_readonly] = ACTIONS(2171),
    [anon_sym_get] = ACTIONS(2171),
    [anon_sym_set] = ACTIONS(2171),
    [anon_sym_declare] = ACTIONS(2171),
    [anon_sym_public] = ACTIONS(2171),
    [anon_sym_private] = ACTIONS(2171),
    [anon_sym_protected] = ACTIONS(2171),
    [anon_sym_override] = ACTIONS(2171),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_any] = ACTIONS(2171),
    [anon_sym_number] = ACTIONS(2171),
    [anon_sym_boolean] = ACTIONS(2171),
    [anon_sym_string] = ACTIONS(2171),
    [anon_sym_symbol] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(2171),
    [anon_sym_abstract] = ACTIONS(2171),
    [anon_sym_interface] = ACTIONS(2171),
    [anon_sym_enum] = ACTIONS(2171),
    [sym_html_comment] = ACTIONS(5),
  },
  [1386] = {
    [sym_comment] = STATE(1386),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_export] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_type] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(3166),
    [anon_sym_with] = ACTIONS(3166),
    [anon_sym_var] = ACTIONS(3166),
    [anon_sym_let] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3166),
    [anon_sym_await] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_debugger] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_LTtemplate_GT] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_async] = ACTIONS(3166),
    [anon_sym_function] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_void] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3166),
    [sym_number] = ACTIONS(3166),
    [sym_private_property_identifier] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
    [sym_super] = ACTIONS(3166),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [sym_null] = ACTIONS(3166),
    [sym_undefined] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_readonly] = ACTIONS(3166),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_declare] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_module] = ACTIONS(3166),
    [anon_sym_any] = ACTIONS(3166),
    [anon_sym_number] = ACTIONS(3166),
    [anon_sym_boolean] = ACTIONS(3166),
    [anon_sym_string] = ACTIONS(3166),
    [anon_sym_symbol] = ACTIONS(3166),
    [anon_sym_object] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_interface] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [sym_html_comment] = ACTIONS(5),
  },
  [1387] = {
    [sym_comment] = STATE(1387),
    [ts_builtin_sym_end] = ACTIONS(3496),
    [sym_identifier] = ACTIONS(3126),
    [anon_sym_export] = ACTIONS(3126),
    [anon_sym_type] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_typeof] = ACTIONS(3126),
    [anon_sym_import] = ACTIONS(3126),
    [anon_sym_with] = ACTIONS(3126),
    [anon_sym_var] = ACTIONS(3126),
    [anon_sym_let] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_else] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_await] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_debugger] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_yield] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_LTtemplate_GT] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_async] = ACTIONS(3126),
    [anon_sym_function] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_SLASH] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_void] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3126),
    [sym_number] = ACTIONS(3126),
    [sym_private_property_identifier] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
    [sym_super] = ACTIONS(3126),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [sym_null] = ACTIONS(3126),
    [sym_undefined] = ACTIONS(3126),
    [anon_sym_AT] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_readonly] = ACTIONS(3126),
    [anon_sym_get] = ACTIONS(3126),
    [anon_sym_set] = ACTIONS(3126),
    [anon_sym_declare] = ACTIONS(3126),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_override] = ACTIONS(3126),
    [anon_sym_module] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3126),
    [anon_sym_number] = ACTIONS(3126),
    [anon_sym_boolean] = ACTIONS(3126),
    [anon_sym_string] = ACTIONS(3126),
    [anon_sym_symbol] = ACTIONS(3126),
    [anon_sym_object] = ACTIONS(3126),
    [anon_sym_abstract] = ACTIONS(3126),
    [anon_sym_interface] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1388] = {
    [sym_comment] = STATE(1388),
    [ts_builtin_sym_end] = ACTIONS(3498),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1389] = {
    [sym_comment] = STATE(1389),
    [sym_identifier] = ACTIONS(3168),
    [anon_sym_export] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_type] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_typeof] = ACTIONS(3168),
    [anon_sym_import] = ACTIONS(3168),
    [anon_sym_with] = ACTIONS(3168),
    [anon_sym_var] = ACTIONS(3168),
    [anon_sym_let] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_await] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_debugger] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_yield] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_LTtemplate_GT] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_async] = ACTIONS(3168),
    [anon_sym_function] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_void] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3168),
    [sym_number] = ACTIONS(3168),
    [sym_private_property_identifier] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
    [sym_super] = ACTIONS(3168),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [sym_null] = ACTIONS(3168),
    [sym_undefined] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_readonly] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3168),
    [anon_sym_set] = ACTIONS(3168),
    [anon_sym_declare] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_override] = ACTIONS(3168),
    [anon_sym_module] = ACTIONS(3168),
    [anon_sym_any] = ACTIONS(3168),
    [anon_sym_number] = ACTIONS(3168),
    [anon_sym_boolean] = ACTIONS(3168),
    [anon_sym_string] = ACTIONS(3168),
    [anon_sym_symbol] = ACTIONS(3168),
    [anon_sym_object] = ACTIONS(3168),
    [anon_sym_abstract] = ACTIONS(3168),
    [anon_sym_interface] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1390] = {
    [sym_comment] = STATE(1390),
    [ts_builtin_sym_end] = ACTIONS(3500),
    [sym_identifier] = ACTIONS(3232),
    [anon_sym_export] = ACTIONS(3232),
    [anon_sym_type] = ACTIONS(3232),
    [anon_sym_namespace] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3232),
    [anon_sym_RBRACE] = ACTIONS(3232),
    [anon_sym_typeof] = ACTIONS(3232),
    [anon_sym_import] = ACTIONS(3232),
    [anon_sym_with] = ACTIONS(3232),
    [anon_sym_var] = ACTIONS(3232),
    [anon_sym_let] = ACTIONS(3232),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_BANG] = ACTIONS(3232),
    [anon_sym_else] = ACTIONS(3232),
    [anon_sym_if] = ACTIONS(3232),
    [anon_sym_switch] = ACTIONS(3232),
    [anon_sym_for] = ACTIONS(3232),
    [anon_sym_LPAREN] = ACTIONS(3232),
    [anon_sym_await] = ACTIONS(3232),
    [anon_sym_while] = ACTIONS(3232),
    [anon_sym_do] = ACTIONS(3232),
    [anon_sym_try] = ACTIONS(3232),
    [anon_sym_break] = ACTIONS(3232),
    [anon_sym_continue] = ACTIONS(3232),
    [anon_sym_debugger] = ACTIONS(3232),
    [anon_sym_return] = ACTIONS(3232),
    [anon_sym_throw] = ACTIONS(3232),
    [anon_sym_SEMI] = ACTIONS(3232),
    [anon_sym_yield] = ACTIONS(3232),
    [anon_sym_LBRACK] = ACTIONS(3232),
    [anon_sym_LTtemplate_GT] = ACTIONS(3232),
    [anon_sym_DQUOTE] = ACTIONS(3232),
    [anon_sym_SQUOTE] = ACTIONS(3232),
    [anon_sym_class] = ACTIONS(3232),
    [anon_sym_async] = ACTIONS(3232),
    [anon_sym_function] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3232),
    [anon_sym_using] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_TILDE] = ACTIONS(3232),
    [anon_sym_void] = ACTIONS(3232),
    [anon_sym_delete] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3232),
    [anon_sym_DASH_DASH] = ACTIONS(3232),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3232),
    [sym_number] = ACTIONS(3232),
    [sym_private_property_identifier] = ACTIONS(3232),
    [sym_this] = ACTIONS(3232),
    [sym_super] = ACTIONS(3232),
    [sym_true] = ACTIONS(3232),
    [sym_false] = ACTIONS(3232),
    [sym_null] = ACTIONS(3232),
    [sym_undefined] = ACTIONS(3232),
    [anon_sym_AT] = ACTIONS(3232),
    [anon_sym_static] = ACTIONS(3232),
    [anon_sym_readonly] = ACTIONS(3232),
    [anon_sym_get] = ACTIONS(3232),
    [anon_sym_set] = ACTIONS(3232),
    [anon_sym_declare] = ACTIONS(3232),
    [anon_sym_public] = ACTIONS(3232),
    [anon_sym_private] = ACTIONS(3232),
    [anon_sym_protected] = ACTIONS(3232),
    [anon_sym_override] = ACTIONS(3232),
    [anon_sym_module] = ACTIONS(3232),
    [anon_sym_any] = ACTIONS(3232),
    [anon_sym_number] = ACTIONS(3232),
    [anon_sym_boolean] = ACTIONS(3232),
    [anon_sym_string] = ACTIONS(3232),
    [anon_sym_symbol] = ACTIONS(3232),
    [anon_sym_object] = ACTIONS(3232),
    [anon_sym_abstract] = ACTIONS(3232),
    [anon_sym_interface] = ACTIONS(3232),
    [anon_sym_enum] = ACTIONS(3232),
    [sym_html_comment] = ACTIONS(5),
  },
  [1391] = {
    [sym_comment] = STATE(1391),
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_export] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_typeof] = ACTIONS(3170),
    [anon_sym_import] = ACTIONS(3170),
    [anon_sym_with] = ACTIONS(3170),
    [anon_sym_var] = ACTIONS(3170),
    [anon_sym_let] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_await] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_debugger] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_yield] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_LTtemplate_GT] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_async] = ACTIONS(3170),
    [anon_sym_function] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_void] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3170),
    [sym_number] = ACTIONS(3170),
    [sym_private_property_identifier] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
    [sym_super] = ACTIONS(3170),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3170),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_declare] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(3170),
    [anon_sym_any] = ACTIONS(3170),
    [anon_sym_number] = ACTIONS(3170),
    [anon_sym_boolean] = ACTIONS(3170),
    [anon_sym_string] = ACTIONS(3170),
    [anon_sym_symbol] = ACTIONS(3170),
    [anon_sym_object] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_interface] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [sym_html_comment] = ACTIONS(5),
  },
  [1392] = {
    [sym_comment] = STATE(1392),
    [ts_builtin_sym_end] = ACTIONS(2261),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_else] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym_html_comment] = ACTIONS(5),
  },
  [1393] = {
    [sym_comment] = STATE(1393),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1394] = {
    [sym_comment] = STATE(1394),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1395] = {
    [sym_comment] = STATE(1395),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1396] = {
    [sym_comment] = STATE(1396),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1397] = {
    [sym_comment] = STATE(1397),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1398] = {
    [sym_comment] = STATE(1398),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [1399] = {
    [sym_comment] = STATE(1399),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1400] = {
    [sym_comment] = STATE(1400),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1401] = {
    [sym_comment] = STATE(1401),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1402] = {
    [sym_comment] = STATE(1402),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1403] = {
    [sym_comment] = STATE(1403),
    [ts_builtin_sym_end] = ACTIONS(3502),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [1404] = {
    [sym_comment] = STATE(1404),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1405] = {
    [sym_comment] = STATE(1405),
    [ts_builtin_sym_end] = ACTIONS(3504),
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_export] = ACTIONS(3142),
    [anon_sym_type] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_typeof] = ACTIONS(3142),
    [anon_sym_import] = ACTIONS(3142),
    [anon_sym_with] = ACTIONS(3142),
    [anon_sym_var] = ACTIONS(3142),
    [anon_sym_let] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_else] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3142),
    [anon_sym_await] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_debugger] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_yield] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_LTtemplate_GT] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_async] = ACTIONS(3142),
    [anon_sym_function] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_void] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3142),
    [sym_number] = ACTIONS(3142),
    [sym_private_property_identifier] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
    [sym_super] = ACTIONS(3142),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3142),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_declare] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_module] = ACTIONS(3142),
    [anon_sym_any] = ACTIONS(3142),
    [anon_sym_number] = ACTIONS(3142),
    [anon_sym_boolean] = ACTIONS(3142),
    [anon_sym_string] = ACTIONS(3142),
    [anon_sym_symbol] = ACTIONS(3142),
    [anon_sym_object] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_interface] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [sym_html_comment] = ACTIONS(5),
  },
  [1406] = {
    [sym_comment] = STATE(1406),
    [ts_builtin_sym_end] = ACTIONS(3506),
    [sym_identifier] = ACTIONS(3226),
    [anon_sym_export] = ACTIONS(3226),
    [anon_sym_type] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_typeof] = ACTIONS(3226),
    [anon_sym_import] = ACTIONS(3226),
    [anon_sym_with] = ACTIONS(3226),
    [anon_sym_var] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_else] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_await] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_debugger] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_yield] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_LTtemplate_GT] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_async] = ACTIONS(3226),
    [anon_sym_function] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_void] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3226),
    [sym_number] = ACTIONS(3226),
    [sym_private_property_identifier] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
    [sym_super] = ACTIONS(3226),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [sym_null] = ACTIONS(3226),
    [sym_undefined] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_readonly] = ACTIONS(3226),
    [anon_sym_get] = ACTIONS(3226),
    [anon_sym_set] = ACTIONS(3226),
    [anon_sym_declare] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3226),
    [anon_sym_private] = ACTIONS(3226),
    [anon_sym_protected] = ACTIONS(3226),
    [anon_sym_override] = ACTIONS(3226),
    [anon_sym_module] = ACTIONS(3226),
    [anon_sym_any] = ACTIONS(3226),
    [anon_sym_number] = ACTIONS(3226),
    [anon_sym_boolean] = ACTIONS(3226),
    [anon_sym_string] = ACTIONS(3226),
    [anon_sym_symbol] = ACTIONS(3226),
    [anon_sym_object] = ACTIONS(3226),
    [anon_sym_abstract] = ACTIONS(3226),
    [anon_sym_interface] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [sym_html_comment] = ACTIONS(5),
  },
  [1407] = {
    [sym_comment] = STATE(1407),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3148),
    [anon_sym_export] = ACTIONS(3148),
    [anon_sym_type] = ACTIONS(3148),
    [anon_sym_namespace] = ACTIONS(3148),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_import] = ACTIONS(3148),
    [anon_sym_with] = ACTIONS(3148),
    [anon_sym_var] = ACTIONS(3148),
    [anon_sym_let] = ACTIONS(3148),
    [anon_sym_const] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_else] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_switch] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_await] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_do] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_break] = ACTIONS(3148),
    [anon_sym_continue] = ACTIONS(3148),
    [anon_sym_debugger] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_throw] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_yield] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_LTtemplate_GT] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_async] = ACTIONS(3148),
    [anon_sym_function] = ACTIONS(3148),
    [anon_sym_new] = ACTIONS(3148),
    [anon_sym_using] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_void] = ACTIONS(3148),
    [anon_sym_delete] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3148),
    [sym_number] = ACTIONS(3148),
    [sym_private_property_identifier] = ACTIONS(3148),
    [sym_this] = ACTIONS(3148),
    [sym_super] = ACTIONS(3148),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [sym_null] = ACTIONS(3148),
    [sym_undefined] = ACTIONS(3148),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_get] = ACTIONS(3148),
    [anon_sym_set] = ACTIONS(3148),
    [anon_sym_declare] = ACTIONS(3148),
    [anon_sym_public] = ACTIONS(3148),
    [anon_sym_private] = ACTIONS(3148),
    [anon_sym_protected] = ACTIONS(3148),
    [anon_sym_override] = ACTIONS(3148),
    [anon_sym_module] = ACTIONS(3148),
    [anon_sym_any] = ACTIONS(3148),
    [anon_sym_number] = ACTIONS(3148),
    [anon_sym_boolean] = ACTIONS(3148),
    [anon_sym_string] = ACTIONS(3148),
    [anon_sym_symbol] = ACTIONS(3148),
    [anon_sym_object] = ACTIONS(3148),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_interface] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [sym_html_comment] = ACTIONS(5),
  },
  [1408] = {
    [sym_comment] = STATE(1408),
    [ts_builtin_sym_end] = ACTIONS(3136),
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_export] = ACTIONS(3106),
    [anon_sym_type] = ACTIONS(3106),
    [anon_sym_namespace] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_typeof] = ACTIONS(3106),
    [anon_sym_import] = ACTIONS(3106),
    [anon_sym_with] = ACTIONS(3106),
    [anon_sym_var] = ACTIONS(3106),
    [anon_sym_let] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_switch] = ACTIONS(3106),
    [anon_sym_for] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3106),
    [anon_sym_await] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_do] = ACTIONS(3106),
    [anon_sym_try] = ACTIONS(3106),
    [anon_sym_break] = ACTIONS(3106),
    [anon_sym_continue] = ACTIONS(3106),
    [anon_sym_debugger] = ACTIONS(3106),
    [anon_sym_return] = ACTIONS(3106),
    [anon_sym_throw] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym_finally] = ACTIONS(3106),
    [anon_sym_yield] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_LTtemplate_GT] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_async] = ACTIONS(3106),
    [anon_sym_function] = ACTIONS(3106),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_using] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_void] = ACTIONS(3106),
    [anon_sym_delete] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3106),
    [sym_number] = ACTIONS(3106),
    [sym_private_property_identifier] = ACTIONS(3106),
    [sym_this] = ACTIONS(3106),
    [sym_super] = ACTIONS(3106),
    [sym_true] = ACTIONS(3106),
    [sym_false] = ACTIONS(3106),
    [sym_null] = ACTIONS(3106),
    [sym_undefined] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_readonly] = ACTIONS(3106),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_declare] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_module] = ACTIONS(3106),
    [anon_sym_any] = ACTIONS(3106),
    [anon_sym_number] = ACTIONS(3106),
    [anon_sym_boolean] = ACTIONS(3106),
    [anon_sym_string] = ACTIONS(3106),
    [anon_sym_symbol] = ACTIONS(3106),
    [anon_sym_object] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_interface] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [sym_html_comment] = ACTIONS(5),
  },
  [1409] = {
    [sym_comment] = STATE(1409),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1410] = {
    [sym_comment] = STATE(1410),
    [sym_identifier] = ACTIONS(3328),
    [anon_sym_export] = ACTIONS(3328),
    [anon_sym_default] = ACTIONS(3328),
    [anon_sym_type] = ACTIONS(3328),
    [anon_sym_namespace] = ACTIONS(3328),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_typeof] = ACTIONS(3328),
    [anon_sym_import] = ACTIONS(3328),
    [anon_sym_with] = ACTIONS(3328),
    [anon_sym_var] = ACTIONS(3328),
    [anon_sym_let] = ACTIONS(3328),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_if] = ACTIONS(3328),
    [anon_sym_switch] = ACTIONS(3328),
    [anon_sym_for] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3328),
    [anon_sym_await] = ACTIONS(3328),
    [anon_sym_while] = ACTIONS(3328),
    [anon_sym_do] = ACTIONS(3328),
    [anon_sym_try] = ACTIONS(3328),
    [anon_sym_break] = ACTIONS(3328),
    [anon_sym_continue] = ACTIONS(3328),
    [anon_sym_debugger] = ACTIONS(3328),
    [anon_sym_return] = ACTIONS(3328),
    [anon_sym_throw] = ACTIONS(3328),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym_case] = ACTIONS(3328),
    [anon_sym_yield] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3328),
    [anon_sym_LTtemplate_GT] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_function] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3328),
    [anon_sym_using] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_void] = ACTIONS(3328),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3328),
    [sym_number] = ACTIONS(3328),
    [sym_private_property_identifier] = ACTIONS(3328),
    [sym_this] = ACTIONS(3328),
    [sym_super] = ACTIONS(3328),
    [sym_true] = ACTIONS(3328),
    [sym_false] = ACTIONS(3328),
    [sym_null] = ACTIONS(3328),
    [sym_undefined] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [anon_sym_readonly] = ACTIONS(3328),
    [anon_sym_get] = ACTIONS(3328),
    [anon_sym_set] = ACTIONS(3328),
    [anon_sym_declare] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_protected] = ACTIONS(3328),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_module] = ACTIONS(3328),
    [anon_sym_any] = ACTIONS(3328),
    [anon_sym_number] = ACTIONS(3328),
    [anon_sym_boolean] = ACTIONS(3328),
    [anon_sym_string] = ACTIONS(3328),
    [anon_sym_symbol] = ACTIONS(3328),
    [anon_sym_object] = ACTIONS(3328),
    [anon_sym_abstract] = ACTIONS(3328),
    [anon_sym_interface] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(3328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1411] = {
    [sym_comment] = STATE(1411),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1412] = {
    [sym_comment] = STATE(1412),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_default] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_case] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1413] = {
    [sym_comment] = STATE(1413),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1414] = {
    [sym_comment] = STATE(1414),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1415] = {
    [sym_comment] = STATE(1415),
    [ts_builtin_sym_end] = ACTIONS(3510),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_export] = ACTIONS(3150),
    [anon_sym_type] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_typeof] = ACTIONS(3150),
    [anon_sym_import] = ACTIONS(3150),
    [anon_sym_with] = ACTIONS(3150),
    [anon_sym_var] = ACTIONS(3150),
    [anon_sym_let] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_await] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_debugger] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_yield] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_LTtemplate_GT] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_async] = ACTIONS(3150),
    [anon_sym_function] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_void] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3150),
    [sym_number] = ACTIONS(3150),
    [sym_private_property_identifier] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
    [sym_super] = ACTIONS(3150),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [sym_null] = ACTIONS(3150),
    [sym_undefined] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_readonly] = ACTIONS(3150),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_declare] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_module] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3150),
    [anon_sym_number] = ACTIONS(3150),
    [anon_sym_boolean] = ACTIONS(3150),
    [anon_sym_string] = ACTIONS(3150),
    [anon_sym_symbol] = ACTIONS(3150),
    [anon_sym_object] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_interface] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [sym_html_comment] = ACTIONS(5),
  },
  [1416] = {
    [sym_comment] = STATE(1416),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1417] = {
    [sym_comment] = STATE(1417),
    [ts_builtin_sym_end] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1418] = {
    [sym_comment] = STATE(1418),
    [ts_builtin_sym_end] = ACTIONS(3514),
    [sym_identifier] = ACTIONS(3334),
    [anon_sym_export] = ACTIONS(3334),
    [anon_sym_type] = ACTIONS(3334),
    [anon_sym_namespace] = ACTIONS(3334),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_typeof] = ACTIONS(3334),
    [anon_sym_import] = ACTIONS(3334),
    [anon_sym_with] = ACTIONS(3334),
    [anon_sym_var] = ACTIONS(3334),
    [anon_sym_let] = ACTIONS(3334),
    [anon_sym_const] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_else] = ACTIONS(3334),
    [anon_sym_if] = ACTIONS(3334),
    [anon_sym_switch] = ACTIONS(3334),
    [anon_sym_for] = ACTIONS(3334),
    [anon_sym_LPAREN] = ACTIONS(3334),
    [anon_sym_await] = ACTIONS(3334),
    [anon_sym_while] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(3334),
    [anon_sym_try] = ACTIONS(3334),
    [anon_sym_break] = ACTIONS(3334),
    [anon_sym_continue] = ACTIONS(3334),
    [anon_sym_debugger] = ACTIONS(3334),
    [anon_sym_return] = ACTIONS(3334),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym_yield] = ACTIONS(3334),
    [anon_sym_LBRACK] = ACTIONS(3334),
    [anon_sym_LTtemplate_GT] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [anon_sym_class] = ACTIONS(3334),
    [anon_sym_async] = ACTIONS(3334),
    [anon_sym_function] = ACTIONS(3334),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_using] = ACTIONS(3334),
    [anon_sym_PLUS] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3334),
    [anon_sym_SLASH] = ACTIONS(3334),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_void] = ACTIONS(3334),
    [anon_sym_delete] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3334),
    [sym_number] = ACTIONS(3334),
    [sym_private_property_identifier] = ACTIONS(3334),
    [sym_this] = ACTIONS(3334),
    [sym_super] = ACTIONS(3334),
    [sym_true] = ACTIONS(3334),
    [sym_false] = ACTIONS(3334),
    [sym_null] = ACTIONS(3334),
    [sym_undefined] = ACTIONS(3334),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_static] = ACTIONS(3334),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3334),
    [anon_sym_set] = ACTIONS(3334),
    [anon_sym_declare] = ACTIONS(3334),
    [anon_sym_public] = ACTIONS(3334),
    [anon_sym_private] = ACTIONS(3334),
    [anon_sym_protected] = ACTIONS(3334),
    [anon_sym_override] = ACTIONS(3334),
    [anon_sym_module] = ACTIONS(3334),
    [anon_sym_any] = ACTIONS(3334),
    [anon_sym_number] = ACTIONS(3334),
    [anon_sym_boolean] = ACTIONS(3334),
    [anon_sym_string] = ACTIONS(3334),
    [anon_sym_symbol] = ACTIONS(3334),
    [anon_sym_object] = ACTIONS(3334),
    [anon_sym_abstract] = ACTIONS(3334),
    [anon_sym_interface] = ACTIONS(3334),
    [anon_sym_enum] = ACTIONS(3334),
    [sym_html_comment] = ACTIONS(5),
  },
  [1419] = {
    [sym_comment] = STATE(1419),
    [ts_builtin_sym_end] = ACTIONS(3516),
    [sym_identifier] = ACTIONS(3332),
    [anon_sym_export] = ACTIONS(3332),
    [anon_sym_type] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_typeof] = ACTIONS(3332),
    [anon_sym_import] = ACTIONS(3332),
    [anon_sym_with] = ACTIONS(3332),
    [anon_sym_var] = ACTIONS(3332),
    [anon_sym_let] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_else] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(3332),
    [anon_sym_await] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_debugger] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym_yield] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_LTtemplate_GT] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_async] = ACTIONS(3332),
    [anon_sym_function] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_SLASH] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_void] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3332),
    [sym_number] = ACTIONS(3332),
    [sym_private_property_identifier] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
    [sym_super] = ACTIONS(3332),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [sym_null] = ACTIONS(3332),
    [sym_undefined] = ACTIONS(3332),
    [anon_sym_AT] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3332),
    [anon_sym_get] = ACTIONS(3332),
    [anon_sym_set] = ACTIONS(3332),
    [anon_sym_declare] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_protected] = ACTIONS(3332),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_module] = ACTIONS(3332),
    [anon_sym_any] = ACTIONS(3332),
    [anon_sym_number] = ACTIONS(3332),
    [anon_sym_boolean] = ACTIONS(3332),
    [anon_sym_string] = ACTIONS(3332),
    [anon_sym_symbol] = ACTIONS(3332),
    [anon_sym_object] = ACTIONS(3332),
    [anon_sym_abstract] = ACTIONS(3332),
    [anon_sym_interface] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1420] = {
    [sym_comment] = STATE(1420),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1421] = {
    [sym_comment] = STATE(1421),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1422] = {
    [sym_comment] = STATE(1422),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1423] = {
    [sym_comment] = STATE(1423),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1424] = {
    [sym_comment] = STATE(1424),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym__automatic_semicolon] = ACTIONS(3518),
    [sym_html_comment] = ACTIONS(5),
  },
  [1425] = {
    [sym_comment] = STATE(1425),
    [ts_builtin_sym_end] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_else] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1426] = {
    [sym_comment] = STATE(1426),
    [ts_builtin_sym_end] = ACTIONS(3522),
    [sym_identifier] = ACTIONS(3156),
    [anon_sym_export] = ACTIONS(3156),
    [anon_sym_type] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_typeof] = ACTIONS(3156),
    [anon_sym_import] = ACTIONS(3156),
    [anon_sym_with] = ACTIONS(3156),
    [anon_sym_var] = ACTIONS(3156),
    [anon_sym_let] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_else] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_await] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_debugger] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_yield] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_LTtemplate_GT] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_async] = ACTIONS(3156),
    [anon_sym_function] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_void] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3156),
    [sym_number] = ACTIONS(3156),
    [sym_private_property_identifier] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
    [sym_super] = ACTIONS(3156),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [sym_null] = ACTIONS(3156),
    [sym_undefined] = ACTIONS(3156),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_readonly] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3156),
    [anon_sym_set] = ACTIONS(3156),
    [anon_sym_declare] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_override] = ACTIONS(3156),
    [anon_sym_module] = ACTIONS(3156),
    [anon_sym_any] = ACTIONS(3156),
    [anon_sym_number] = ACTIONS(3156),
    [anon_sym_boolean] = ACTIONS(3156),
    [anon_sym_string] = ACTIONS(3156),
    [anon_sym_symbol] = ACTIONS(3156),
    [anon_sym_object] = ACTIONS(3156),
    [anon_sym_abstract] = ACTIONS(3156),
    [anon_sym_interface] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [sym_html_comment] = ACTIONS(5),
  },
  [1427] = {
    [sym_comment] = STATE(1427),
    [ts_builtin_sym_end] = ACTIONS(3524),
    [sym_identifier] = ACTIONS(3328),
    [anon_sym_export] = ACTIONS(3328),
    [anon_sym_type] = ACTIONS(3328),
    [anon_sym_namespace] = ACTIONS(3328),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_typeof] = ACTIONS(3328),
    [anon_sym_import] = ACTIONS(3328),
    [anon_sym_with] = ACTIONS(3328),
    [anon_sym_var] = ACTIONS(3328),
    [anon_sym_let] = ACTIONS(3328),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_else] = ACTIONS(3328),
    [anon_sym_if] = ACTIONS(3328),
    [anon_sym_switch] = ACTIONS(3328),
    [anon_sym_for] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3328),
    [anon_sym_await] = ACTIONS(3328),
    [anon_sym_while] = ACTIONS(3328),
    [anon_sym_do] = ACTIONS(3328),
    [anon_sym_try] = ACTIONS(3328),
    [anon_sym_break] = ACTIONS(3328),
    [anon_sym_continue] = ACTIONS(3328),
    [anon_sym_debugger] = ACTIONS(3328),
    [anon_sym_return] = ACTIONS(3328),
    [anon_sym_throw] = ACTIONS(3328),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym_yield] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3328),
    [anon_sym_LTtemplate_GT] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_function] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3328),
    [anon_sym_using] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_void] = ACTIONS(3328),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3328),
    [sym_number] = ACTIONS(3328),
    [sym_private_property_identifier] = ACTIONS(3328),
    [sym_this] = ACTIONS(3328),
    [sym_super] = ACTIONS(3328),
    [sym_true] = ACTIONS(3328),
    [sym_false] = ACTIONS(3328),
    [sym_null] = ACTIONS(3328),
    [sym_undefined] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [anon_sym_readonly] = ACTIONS(3328),
    [anon_sym_get] = ACTIONS(3328),
    [anon_sym_set] = ACTIONS(3328),
    [anon_sym_declare] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_protected] = ACTIONS(3328),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_module] = ACTIONS(3328),
    [anon_sym_any] = ACTIONS(3328),
    [anon_sym_number] = ACTIONS(3328),
    [anon_sym_boolean] = ACTIONS(3328),
    [anon_sym_string] = ACTIONS(3328),
    [anon_sym_symbol] = ACTIONS(3328),
    [anon_sym_object] = ACTIONS(3328),
    [anon_sym_abstract] = ACTIONS(3328),
    [anon_sym_interface] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(3328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1428] = {
    [sym_comment] = STATE(1428),
    [ts_builtin_sym_end] = ACTIONS(2207),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1429] = {
    [sym_comment] = STATE(1429),
    [ts_builtin_sym_end] = ACTIONS(3526),
    [sym_identifier] = ACTIONS(3164),
    [anon_sym_export] = ACTIONS(3164),
    [anon_sym_type] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3164),
    [anon_sym_import] = ACTIONS(3164),
    [anon_sym_with] = ACTIONS(3164),
    [anon_sym_var] = ACTIONS(3164),
    [anon_sym_let] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_else] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_await] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_debugger] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_LTtemplate_GT] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_async] = ACTIONS(3164),
    [anon_sym_function] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_void] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3164),
    [sym_private_property_identifier] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
    [sym_super] = ACTIONS(3164),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [sym_null] = ACTIONS(3164),
    [sym_undefined] = ACTIONS(3164),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_readonly] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3164),
    [anon_sym_set] = ACTIONS(3164),
    [anon_sym_declare] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_override] = ACTIONS(3164),
    [anon_sym_module] = ACTIONS(3164),
    [anon_sym_any] = ACTIONS(3164),
    [anon_sym_number] = ACTIONS(3164),
    [anon_sym_boolean] = ACTIONS(3164),
    [anon_sym_string] = ACTIONS(3164),
    [anon_sym_symbol] = ACTIONS(3164),
    [anon_sym_object] = ACTIONS(3164),
    [anon_sym_abstract] = ACTIONS(3164),
    [anon_sym_interface] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [sym_html_comment] = ACTIONS(5),
  },
  [1430] = {
    [sym_comment] = STATE(1430),
    [ts_builtin_sym_end] = ACTIONS(3528),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_export] = ACTIONS(3166),
    [anon_sym_type] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(3166),
    [anon_sym_with] = ACTIONS(3166),
    [anon_sym_var] = ACTIONS(3166),
    [anon_sym_let] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_else] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3166),
    [anon_sym_await] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_debugger] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_LTtemplate_GT] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_async] = ACTIONS(3166),
    [anon_sym_function] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_void] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3166),
    [sym_number] = ACTIONS(3166),
    [sym_private_property_identifier] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
    [sym_super] = ACTIONS(3166),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [sym_null] = ACTIONS(3166),
    [sym_undefined] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_readonly] = ACTIONS(3166),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_declare] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_module] = ACTIONS(3166),
    [anon_sym_any] = ACTIONS(3166),
    [anon_sym_number] = ACTIONS(3166),
    [anon_sym_boolean] = ACTIONS(3166),
    [anon_sym_string] = ACTIONS(3166),
    [anon_sym_symbol] = ACTIONS(3166),
    [anon_sym_object] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_interface] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [sym_html_comment] = ACTIONS(5),
  },
  [1431] = {
    [sym_comment] = STATE(1431),
    [ts_builtin_sym_end] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(3168),
    [anon_sym_export] = ACTIONS(3168),
    [anon_sym_type] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_typeof] = ACTIONS(3168),
    [anon_sym_import] = ACTIONS(3168),
    [anon_sym_with] = ACTIONS(3168),
    [anon_sym_var] = ACTIONS(3168),
    [anon_sym_let] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_await] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_debugger] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_yield] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_LTtemplate_GT] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_async] = ACTIONS(3168),
    [anon_sym_function] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_void] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3168),
    [sym_number] = ACTIONS(3168),
    [sym_private_property_identifier] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
    [sym_super] = ACTIONS(3168),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [sym_null] = ACTIONS(3168),
    [sym_undefined] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_readonly] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3168),
    [anon_sym_set] = ACTIONS(3168),
    [anon_sym_declare] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_override] = ACTIONS(3168),
    [anon_sym_module] = ACTIONS(3168),
    [anon_sym_any] = ACTIONS(3168),
    [anon_sym_number] = ACTIONS(3168),
    [anon_sym_boolean] = ACTIONS(3168),
    [anon_sym_string] = ACTIONS(3168),
    [anon_sym_symbol] = ACTIONS(3168),
    [anon_sym_object] = ACTIONS(3168),
    [anon_sym_abstract] = ACTIONS(3168),
    [anon_sym_interface] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1432] = {
    [sym_comment] = STATE(1432),
    [sym_identifier] = ACTIONS(3332),
    [anon_sym_export] = ACTIONS(3332),
    [anon_sym_default] = ACTIONS(3332),
    [anon_sym_type] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_typeof] = ACTIONS(3332),
    [anon_sym_import] = ACTIONS(3332),
    [anon_sym_with] = ACTIONS(3332),
    [anon_sym_var] = ACTIONS(3332),
    [anon_sym_let] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(3332),
    [anon_sym_await] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_debugger] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym_case] = ACTIONS(3332),
    [anon_sym_yield] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_LTtemplate_GT] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_async] = ACTIONS(3332),
    [anon_sym_function] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_SLASH] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_void] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3332),
    [sym_number] = ACTIONS(3332),
    [sym_private_property_identifier] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
    [sym_super] = ACTIONS(3332),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [sym_null] = ACTIONS(3332),
    [sym_undefined] = ACTIONS(3332),
    [anon_sym_AT] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3332),
    [anon_sym_get] = ACTIONS(3332),
    [anon_sym_set] = ACTIONS(3332),
    [anon_sym_declare] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_protected] = ACTIONS(3332),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_module] = ACTIONS(3332),
    [anon_sym_any] = ACTIONS(3332),
    [anon_sym_number] = ACTIONS(3332),
    [anon_sym_boolean] = ACTIONS(3332),
    [anon_sym_string] = ACTIONS(3332),
    [anon_sym_symbol] = ACTIONS(3332),
    [anon_sym_object] = ACTIONS(3332),
    [anon_sym_abstract] = ACTIONS(3332),
    [anon_sym_interface] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1433] = {
    [sym_comment] = STATE(1433),
    [sym_identifier] = ACTIONS(3334),
    [anon_sym_export] = ACTIONS(3334),
    [anon_sym_default] = ACTIONS(3334),
    [anon_sym_type] = ACTIONS(3334),
    [anon_sym_namespace] = ACTIONS(3334),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_typeof] = ACTIONS(3334),
    [anon_sym_import] = ACTIONS(3334),
    [anon_sym_with] = ACTIONS(3334),
    [anon_sym_var] = ACTIONS(3334),
    [anon_sym_let] = ACTIONS(3334),
    [anon_sym_const] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_if] = ACTIONS(3334),
    [anon_sym_switch] = ACTIONS(3334),
    [anon_sym_for] = ACTIONS(3334),
    [anon_sym_LPAREN] = ACTIONS(3334),
    [anon_sym_await] = ACTIONS(3334),
    [anon_sym_while] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(3334),
    [anon_sym_try] = ACTIONS(3334),
    [anon_sym_break] = ACTIONS(3334),
    [anon_sym_continue] = ACTIONS(3334),
    [anon_sym_debugger] = ACTIONS(3334),
    [anon_sym_return] = ACTIONS(3334),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym_case] = ACTIONS(3334),
    [anon_sym_yield] = ACTIONS(3334),
    [anon_sym_LBRACK] = ACTIONS(3334),
    [anon_sym_LTtemplate_GT] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [anon_sym_class] = ACTIONS(3334),
    [anon_sym_async] = ACTIONS(3334),
    [anon_sym_function] = ACTIONS(3334),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_using] = ACTIONS(3334),
    [anon_sym_PLUS] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3334),
    [anon_sym_SLASH] = ACTIONS(3334),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_void] = ACTIONS(3334),
    [anon_sym_delete] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3334),
    [sym_number] = ACTIONS(3334),
    [sym_private_property_identifier] = ACTIONS(3334),
    [sym_this] = ACTIONS(3334),
    [sym_super] = ACTIONS(3334),
    [sym_true] = ACTIONS(3334),
    [sym_false] = ACTIONS(3334),
    [sym_null] = ACTIONS(3334),
    [sym_undefined] = ACTIONS(3334),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_static] = ACTIONS(3334),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3334),
    [anon_sym_set] = ACTIONS(3334),
    [anon_sym_declare] = ACTIONS(3334),
    [anon_sym_public] = ACTIONS(3334),
    [anon_sym_private] = ACTIONS(3334),
    [anon_sym_protected] = ACTIONS(3334),
    [anon_sym_override] = ACTIONS(3334),
    [anon_sym_module] = ACTIONS(3334),
    [anon_sym_any] = ACTIONS(3334),
    [anon_sym_number] = ACTIONS(3334),
    [anon_sym_boolean] = ACTIONS(3334),
    [anon_sym_string] = ACTIONS(3334),
    [anon_sym_symbol] = ACTIONS(3334),
    [anon_sym_object] = ACTIONS(3334),
    [anon_sym_abstract] = ACTIONS(3334),
    [anon_sym_interface] = ACTIONS(3334),
    [anon_sym_enum] = ACTIONS(3334),
    [sym_html_comment] = ACTIONS(5),
  },
  [1434] = {
    [sym_comment] = STATE(1434),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1435] = {
    [sym_comment] = STATE(1435),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1436] = {
    [sym_comment] = STATE(1436),
    [ts_builtin_sym_end] = ACTIONS(3532),
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_export] = ACTIONS(3178),
    [anon_sym_type] = ACTIONS(3178),
    [anon_sym_namespace] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_typeof] = ACTIONS(3178),
    [anon_sym_import] = ACTIONS(3178),
    [anon_sym_with] = ACTIONS(3178),
    [anon_sym_var] = ACTIONS(3178),
    [anon_sym_let] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_else] = ACTIONS(3178),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_switch] = ACTIONS(3178),
    [anon_sym_for] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_await] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_do] = ACTIONS(3178),
    [anon_sym_try] = ACTIONS(3178),
    [anon_sym_break] = ACTIONS(3178),
    [anon_sym_continue] = ACTIONS(3178),
    [anon_sym_debugger] = ACTIONS(3178),
    [anon_sym_return] = ACTIONS(3178),
    [anon_sym_throw] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym_yield] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3178),
    [anon_sym_LTtemplate_GT] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_async] = ACTIONS(3178),
    [anon_sym_function] = ACTIONS(3178),
    [anon_sym_new] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_void] = ACTIONS(3178),
    [anon_sym_delete] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3178),
    [sym_number] = ACTIONS(3178),
    [sym_private_property_identifier] = ACTIONS(3178),
    [sym_this] = ACTIONS(3178),
    [sym_super] = ACTIONS(3178),
    [sym_true] = ACTIONS(3178),
    [sym_false] = ACTIONS(3178),
    [sym_null] = ACTIONS(3178),
    [sym_undefined] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3178),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_readonly] = ACTIONS(3178),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_declare] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_module] = ACTIONS(3178),
    [anon_sym_any] = ACTIONS(3178),
    [anon_sym_number] = ACTIONS(3178),
    [anon_sym_boolean] = ACTIONS(3178),
    [anon_sym_string] = ACTIONS(3178),
    [anon_sym_symbol] = ACTIONS(3178),
    [anon_sym_object] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_interface] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [sym_html_comment] = ACTIONS(5),
  },
  [1437] = {
    [sym_comment] = STATE(1437),
    [ts_builtin_sym_end] = ACTIONS(3534),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1438] = {
    [sym_comment] = STATE(1438),
    [ts_builtin_sym_end] = ACTIONS(3536),
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_export] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_typeof] = ACTIONS(3170),
    [anon_sym_import] = ACTIONS(3170),
    [anon_sym_with] = ACTIONS(3170),
    [anon_sym_var] = ACTIONS(3170),
    [anon_sym_let] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_await] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_debugger] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_yield] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_LTtemplate_GT] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_async] = ACTIONS(3170),
    [anon_sym_function] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_void] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3170),
    [sym_number] = ACTIONS(3170),
    [sym_private_property_identifier] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
    [sym_super] = ACTIONS(3170),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3170),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_declare] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(3170),
    [anon_sym_any] = ACTIONS(3170),
    [anon_sym_number] = ACTIONS(3170),
    [anon_sym_boolean] = ACTIONS(3170),
    [anon_sym_string] = ACTIONS(3170),
    [anon_sym_symbol] = ACTIONS(3170),
    [anon_sym_object] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_interface] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [sym_html_comment] = ACTIONS(5),
  },
  [1439] = {
    [sym_comment] = STATE(1439),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1440] = {
    [sym_comment] = STATE(1440),
    [ts_builtin_sym_end] = ACTIONS(2255),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2253),
    [anon_sym_type] = ACTIONS(2253),
    [anon_sym_namespace] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_typeof] = ACTIONS(2253),
    [anon_sym_import] = ACTIONS(2253),
    [anon_sym_with] = ACTIONS(2253),
    [anon_sym_var] = ACTIONS(2253),
    [anon_sym_let] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_else] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_switch] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_debugger] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_throw] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_yield] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LTtemplate_GT] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(2253),
    [anon_sym_SQUOTE] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2253),
    [anon_sym_using] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_SLASH] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_void] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [sym_private_property_identifier] = ACTIONS(2253),
    [sym_this] = ACTIONS(2253),
    [sym_super] = ACTIONS(2253),
    [sym_true] = ACTIONS(2253),
    [sym_false] = ACTIONS(2253),
    [sym_null] = ACTIONS(2253),
    [sym_undefined] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_static] = ACTIONS(2253),
    [anon_sym_readonly] = ACTIONS(2253),
    [anon_sym_get] = ACTIONS(2253),
    [anon_sym_set] = ACTIONS(2253),
    [anon_sym_declare] = ACTIONS(2253),
    [anon_sym_public] = ACTIONS(2253),
    [anon_sym_private] = ACTIONS(2253),
    [anon_sym_protected] = ACTIONS(2253),
    [anon_sym_override] = ACTIONS(2253),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_any] = ACTIONS(2253),
    [anon_sym_number] = ACTIONS(2253),
    [anon_sym_boolean] = ACTIONS(2253),
    [anon_sym_string] = ACTIONS(2253),
    [anon_sym_symbol] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2253),
    [anon_sym_interface] = ACTIONS(2253),
    [anon_sym_enum] = ACTIONS(2253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1441] = {
    [sym_comment] = STATE(1441),
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_export] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_type] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_typeof] = ACTIONS(3192),
    [anon_sym_import] = ACTIONS(3192),
    [anon_sym_with] = ACTIONS(3192),
    [anon_sym_var] = ACTIONS(3192),
    [anon_sym_let] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_await] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_debugger] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_yield] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_LTtemplate_GT] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_async] = ACTIONS(3192),
    [anon_sym_function] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_void] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3192),
    [sym_number] = ACTIONS(3192),
    [sym_private_property_identifier] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
    [sym_super] = ACTIONS(3192),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [sym_null] = ACTIONS(3192),
    [sym_undefined] = ACTIONS(3192),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3192),
    [anon_sym_set] = ACTIONS(3192),
    [anon_sym_declare] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_override] = ACTIONS(3192),
    [anon_sym_module] = ACTIONS(3192),
    [anon_sym_any] = ACTIONS(3192),
    [anon_sym_number] = ACTIONS(3192),
    [anon_sym_boolean] = ACTIONS(3192),
    [anon_sym_string] = ACTIONS(3192),
    [anon_sym_symbol] = ACTIONS(3192),
    [anon_sym_object] = ACTIONS(3192),
    [anon_sym_abstract] = ACTIONS(3192),
    [anon_sym_interface] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1442] = {
    [sym_comment] = STATE(1442),
    [ts_builtin_sym_end] = ACTIONS(2221),
    [sym_identifier] = ACTIONS(2219),
    [anon_sym_export] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2219),
    [anon_sym_namespace] = ACTIONS(2219),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [anon_sym_typeof] = ACTIONS(2219),
    [anon_sym_import] = ACTIONS(2219),
    [anon_sym_with] = ACTIONS(2219),
    [anon_sym_var] = ACTIONS(2219),
    [anon_sym_let] = ACTIONS(2219),
    [anon_sym_const] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(2219),
    [anon_sym_switch] = ACTIONS(2219),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_LPAREN] = ACTIONS(2219),
    [anon_sym_await] = ACTIONS(2219),
    [anon_sym_while] = ACTIONS(2219),
    [anon_sym_do] = ACTIONS(2219),
    [anon_sym_try] = ACTIONS(2219),
    [anon_sym_break] = ACTIONS(2219),
    [anon_sym_continue] = ACTIONS(2219),
    [anon_sym_debugger] = ACTIONS(2219),
    [anon_sym_return] = ACTIONS(2219),
    [anon_sym_throw] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym_yield] = ACTIONS(2219),
    [anon_sym_LBRACK] = ACTIONS(2219),
    [anon_sym_LTtemplate_GT] = ACTIONS(2219),
    [anon_sym_DOT] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_class] = ACTIONS(2219),
    [anon_sym_async] = ACTIONS(2219),
    [anon_sym_function] = ACTIONS(2219),
    [anon_sym_new] = ACTIONS(2219),
    [anon_sym_using] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_SLASH] = ACTIONS(2219),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_void] = ACTIONS(2219),
    [anon_sym_delete] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2219),
    [sym_number] = ACTIONS(2219),
    [sym_private_property_identifier] = ACTIONS(2219),
    [sym_this] = ACTIONS(2219),
    [sym_super] = ACTIONS(2219),
    [sym_true] = ACTIONS(2219),
    [sym_false] = ACTIONS(2219),
    [sym_null] = ACTIONS(2219),
    [sym_undefined] = ACTIONS(2219),
    [anon_sym_AT] = ACTIONS(2219),
    [anon_sym_static] = ACTIONS(2219),
    [anon_sym_readonly] = ACTIONS(2219),
    [anon_sym_get] = ACTIONS(2219),
    [anon_sym_set] = ACTIONS(2219),
    [anon_sym_declare] = ACTIONS(2219),
    [anon_sym_public] = ACTIONS(2219),
    [anon_sym_private] = ACTIONS(2219),
    [anon_sym_protected] = ACTIONS(2219),
    [anon_sym_override] = ACTIONS(2219),
    [anon_sym_module] = ACTIONS(2219),
    [anon_sym_any] = ACTIONS(2219),
    [anon_sym_number] = ACTIONS(2219),
    [anon_sym_boolean] = ACTIONS(2219),
    [anon_sym_string] = ACTIONS(2219),
    [anon_sym_symbol] = ACTIONS(2219),
    [anon_sym_object] = ACTIONS(2219),
    [anon_sym_abstract] = ACTIONS(2219),
    [anon_sym_interface] = ACTIONS(2219),
    [anon_sym_enum] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1443] = {
    [sym_comment] = STATE(1443),
    [ts_builtin_sym_end] = ACTIONS(2145),
    [sym_identifier] = ACTIONS(2143),
    [anon_sym_export] = ACTIONS(2143),
    [anon_sym_type] = ACTIONS(2143),
    [anon_sym_namespace] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(2143),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [anon_sym_typeof] = ACTIONS(2143),
    [anon_sym_import] = ACTIONS(2143),
    [anon_sym_with] = ACTIONS(2143),
    [anon_sym_var] = ACTIONS(2143),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(2143),
    [anon_sym_BANG] = ACTIONS(2143),
    [anon_sym_else] = ACTIONS(2143),
    [anon_sym_if] = ACTIONS(2143),
    [anon_sym_switch] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2143),
    [anon_sym_LPAREN] = ACTIONS(2143),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2143),
    [anon_sym_try] = ACTIONS(2143),
    [anon_sym_break] = ACTIONS(2143),
    [anon_sym_continue] = ACTIONS(2143),
    [anon_sym_debugger] = ACTIONS(2143),
    [anon_sym_return] = ACTIONS(2143),
    [anon_sym_throw] = ACTIONS(2143),
    [anon_sym_SEMI] = ACTIONS(2143),
    [anon_sym_yield] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(2143),
    [anon_sym_DQUOTE] = ACTIONS(2143),
    [anon_sym_SQUOTE] = ACTIONS(2143),
    [anon_sym_class] = ACTIONS(2143),
    [anon_sym_async] = ACTIONS(2143),
    [anon_sym_function] = ACTIONS(2143),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_using] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(2143),
    [anon_sym_DASH] = ACTIONS(2143),
    [anon_sym_SLASH] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(2143),
    [anon_sym_void] = ACTIONS(2143),
    [anon_sym_delete] = ACTIONS(2143),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2143),
    [sym_number] = ACTIONS(2143),
    [sym_private_property_identifier] = ACTIONS(2143),
    [sym_this] = ACTIONS(2143),
    [sym_super] = ACTIONS(2143),
    [sym_true] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
    [sym_null] = ACTIONS(2143),
    [sym_undefined] = ACTIONS(2143),
    [anon_sym_AT] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2143),
    [anon_sym_readonly] = ACTIONS(2143),
    [anon_sym_get] = ACTIONS(2143),
    [anon_sym_set] = ACTIONS(2143),
    [anon_sym_declare] = ACTIONS(2143),
    [anon_sym_public] = ACTIONS(2143),
    [anon_sym_private] = ACTIONS(2143),
    [anon_sym_protected] = ACTIONS(2143),
    [anon_sym_override] = ACTIONS(2143),
    [anon_sym_module] = ACTIONS(2143),
    [anon_sym_any] = ACTIONS(2143),
    [anon_sym_number] = ACTIONS(2143),
    [anon_sym_boolean] = ACTIONS(2143),
    [anon_sym_string] = ACTIONS(2143),
    [anon_sym_symbol] = ACTIONS(2143),
    [anon_sym_object] = ACTIONS(2143),
    [anon_sym_abstract] = ACTIONS(2143),
    [anon_sym_interface] = ACTIONS(2143),
    [anon_sym_enum] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [1444] = {
    [sym_comment] = STATE(1444),
    [ts_builtin_sym_end] = ACTIONS(2211),
    [sym_identifier] = ACTIONS(2209),
    [anon_sym_export] = ACTIONS(2209),
    [anon_sym_type] = ACTIONS(2209),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_RBRACE] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(2209),
    [anon_sym_import] = ACTIONS(2209),
    [anon_sym_with] = ACTIONS(2209),
    [anon_sym_var] = ACTIONS(2209),
    [anon_sym_let] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2209),
    [anon_sym_else] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_debugger] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2209),
    [anon_sym_yield] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [anon_sym_SQUOTE] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_SLASH] = ACTIONS(2209),
    [anon_sym_LT] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_void] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2209),
    [sym_number] = ACTIONS(2209),
    [sym_private_property_identifier] = ACTIONS(2209),
    [sym_this] = ACTIONS(2209),
    [sym_super] = ACTIONS(2209),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [sym_null] = ACTIONS(2209),
    [sym_undefined] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_readonly] = ACTIONS(2209),
    [anon_sym_get] = ACTIONS(2209),
    [anon_sym_set] = ACTIONS(2209),
    [anon_sym_declare] = ACTIONS(2209),
    [anon_sym_public] = ACTIONS(2209),
    [anon_sym_private] = ACTIONS(2209),
    [anon_sym_protected] = ACTIONS(2209),
    [anon_sym_override] = ACTIONS(2209),
    [anon_sym_module] = ACTIONS(2209),
    [anon_sym_any] = ACTIONS(2209),
    [anon_sym_number] = ACTIONS(2209),
    [anon_sym_boolean] = ACTIONS(2209),
    [anon_sym_string] = ACTIONS(2209),
    [anon_sym_symbol] = ACTIONS(2209),
    [anon_sym_object] = ACTIONS(2209),
    [anon_sym_abstract] = ACTIONS(2209),
    [anon_sym_interface] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1445] = {
    [sym_comment] = STATE(1445),
    [sym_identifier] = ACTIONS(3196),
    [anon_sym_export] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_type] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_typeof] = ACTIONS(3196),
    [anon_sym_import] = ACTIONS(3196),
    [anon_sym_with] = ACTIONS(3196),
    [anon_sym_var] = ACTIONS(3196),
    [anon_sym_let] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_await] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_debugger] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_yield] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_LTtemplate_GT] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_async] = ACTIONS(3196),
    [anon_sym_function] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_void] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3196),
    [sym_number] = ACTIONS(3196),
    [sym_private_property_identifier] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
    [sym_super] = ACTIONS(3196),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [sym_null] = ACTIONS(3196),
    [sym_undefined] = ACTIONS(3196),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_readonly] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3196),
    [anon_sym_declare] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_protected] = ACTIONS(3196),
    [anon_sym_override] = ACTIONS(3196),
    [anon_sym_module] = ACTIONS(3196),
    [anon_sym_any] = ACTIONS(3196),
    [anon_sym_number] = ACTIONS(3196),
    [anon_sym_boolean] = ACTIONS(3196),
    [anon_sym_string] = ACTIONS(3196),
    [anon_sym_symbol] = ACTIONS(3196),
    [anon_sym_object] = ACTIONS(3196),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_interface] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [sym_html_comment] = ACTIONS(5),
  },
  [1446] = {
    [sym_comment] = STATE(1446),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1447] = {
    [sym_comment] = STATE(1447),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_default] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_case] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1448] = {
    [sym_comment] = STATE(1448),
    [sym_identifier] = ACTIONS(3200),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_type] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_typeof] = ACTIONS(3200),
    [anon_sym_import] = ACTIONS(3200),
    [anon_sym_with] = ACTIONS(3200),
    [anon_sym_var] = ACTIONS(3200),
    [anon_sym_let] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_await] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_debugger] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_yield] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_LTtemplate_GT] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_async] = ACTIONS(3200),
    [anon_sym_function] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_void] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3200),
    [sym_number] = ACTIONS(3200),
    [sym_private_property_identifier] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
    [sym_super] = ACTIONS(3200),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [sym_null] = ACTIONS(3200),
    [sym_undefined] = ACTIONS(3200),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_readonly] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3200),
    [anon_sym_set] = ACTIONS(3200),
    [anon_sym_declare] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_module] = ACTIONS(3200),
    [anon_sym_any] = ACTIONS(3200),
    [anon_sym_number] = ACTIONS(3200),
    [anon_sym_boolean] = ACTIONS(3200),
    [anon_sym_string] = ACTIONS(3200),
    [anon_sym_symbol] = ACTIONS(3200),
    [anon_sym_object] = ACTIONS(3200),
    [anon_sym_abstract] = ACTIONS(3200),
    [anon_sym_interface] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1449] = {
    [sym_comment] = STATE(1449),
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_export] = ACTIONS(3202),
    [anon_sym_default] = ACTIONS(3202),
    [anon_sym_type] = ACTIONS(3202),
    [anon_sym_namespace] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_typeof] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3202),
    [anon_sym_with] = ACTIONS(3202),
    [anon_sym_var] = ACTIONS(3202),
    [anon_sym_let] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_switch] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3202),
    [anon_sym_await] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_do] = ACTIONS(3202),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_break] = ACTIONS(3202),
    [anon_sym_continue] = ACTIONS(3202),
    [anon_sym_debugger] = ACTIONS(3202),
    [anon_sym_return] = ACTIONS(3202),
    [anon_sym_throw] = ACTIONS(3202),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym_case] = ACTIONS(3202),
    [anon_sym_yield] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [anon_sym_LTtemplate_GT] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_class] = ACTIONS(3202),
    [anon_sym_async] = ACTIONS(3202),
    [anon_sym_function] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(3202),
    [anon_sym_using] = ACTIONS(3202),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_void] = ACTIONS(3202),
    [anon_sym_delete] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3202),
    [sym_number] = ACTIONS(3202),
    [sym_private_property_identifier] = ACTIONS(3202),
    [sym_this] = ACTIONS(3202),
    [sym_super] = ACTIONS(3202),
    [sym_true] = ACTIONS(3202),
    [sym_false] = ACTIONS(3202),
    [sym_null] = ACTIONS(3202),
    [sym_undefined] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3202),
    [anon_sym_static] = ACTIONS(3202),
    [anon_sym_readonly] = ACTIONS(3202),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_declare] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_module] = ACTIONS(3202),
    [anon_sym_any] = ACTIONS(3202),
    [anon_sym_number] = ACTIONS(3202),
    [anon_sym_boolean] = ACTIONS(3202),
    [anon_sym_string] = ACTIONS(3202),
    [anon_sym_symbol] = ACTIONS(3202),
    [anon_sym_object] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_interface] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [sym_html_comment] = ACTIONS(5),
  },
  [1450] = {
    [sym_comment] = STATE(1450),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_export] = ACTIONS(3206),
    [anon_sym_default] = ACTIONS(3206),
    [anon_sym_type] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_typeof] = ACTIONS(3206),
    [anon_sym_import] = ACTIONS(3206),
    [anon_sym_with] = ACTIONS(3206),
    [anon_sym_var] = ACTIONS(3206),
    [anon_sym_let] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3206),
    [anon_sym_await] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_debugger] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_case] = ACTIONS(3206),
    [anon_sym_yield] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_LTtemplate_GT] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_async] = ACTIONS(3206),
    [anon_sym_function] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_void] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3206),
    [sym_number] = ACTIONS(3206),
    [sym_private_property_identifier] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
    [sym_super] = ACTIONS(3206),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [sym_null] = ACTIONS(3206),
    [sym_undefined] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_readonly] = ACTIONS(3206),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_declare] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_module] = ACTIONS(3206),
    [anon_sym_any] = ACTIONS(3206),
    [anon_sym_number] = ACTIONS(3206),
    [anon_sym_boolean] = ACTIONS(3206),
    [anon_sym_string] = ACTIONS(3206),
    [anon_sym_symbol] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_interface] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1451] = {
    [sym_comment] = STATE(1451),
    [ts_builtin_sym_end] = ACTIONS(2255),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2253),
    [anon_sym_type] = ACTIONS(2253),
    [anon_sym_namespace] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_typeof] = ACTIONS(2253),
    [anon_sym_import] = ACTIONS(2253),
    [anon_sym_with] = ACTIONS(2253),
    [anon_sym_var] = ACTIONS(2253),
    [anon_sym_let] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_switch] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_debugger] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_throw] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_yield] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LTtemplate_GT] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(2253),
    [anon_sym_SQUOTE] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2253),
    [anon_sym_using] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_SLASH] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_void] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [sym_private_property_identifier] = ACTIONS(2253),
    [sym_this] = ACTIONS(2253),
    [sym_super] = ACTIONS(2253),
    [sym_true] = ACTIONS(2253),
    [sym_false] = ACTIONS(2253),
    [sym_null] = ACTIONS(2253),
    [sym_undefined] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_static] = ACTIONS(2253),
    [anon_sym_readonly] = ACTIONS(2253),
    [anon_sym_get] = ACTIONS(2253),
    [anon_sym_set] = ACTIONS(2253),
    [anon_sym_declare] = ACTIONS(2253),
    [anon_sym_public] = ACTIONS(2253),
    [anon_sym_private] = ACTIONS(2253),
    [anon_sym_protected] = ACTIONS(2253),
    [anon_sym_override] = ACTIONS(2253),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_any] = ACTIONS(2253),
    [anon_sym_number] = ACTIONS(2253),
    [anon_sym_boolean] = ACTIONS(2253),
    [anon_sym_string] = ACTIONS(2253),
    [anon_sym_symbol] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2253),
    [anon_sym_interface] = ACTIONS(2253),
    [anon_sym_enum] = ACTIONS(2253),
    [sym__automatic_semicolon] = ACTIONS(2255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1452] = {
    [sym_comment] = STATE(1452),
    [ts_builtin_sym_end] = ACTIONS(2217),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_export] = ACTIONS(2215),
    [anon_sym_type] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2215),
    [anon_sym_typeof] = ACTIONS(2215),
    [anon_sym_import] = ACTIONS(2215),
    [anon_sym_with] = ACTIONS(2215),
    [anon_sym_var] = ACTIONS(2215),
    [anon_sym_let] = ACTIONS(2215),
    [anon_sym_const] = ACTIONS(2215),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_if] = ACTIONS(2215),
    [anon_sym_switch] = ACTIONS(2215),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_LPAREN] = ACTIONS(2215),
    [anon_sym_await] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2215),
    [anon_sym_do] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2215),
    [anon_sym_break] = ACTIONS(2215),
    [anon_sym_continue] = ACTIONS(2215),
    [anon_sym_debugger] = ACTIONS(2215),
    [anon_sym_return] = ACTIONS(2215),
    [anon_sym_throw] = ACTIONS(2215),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym_yield] = ACTIONS(2215),
    [anon_sym_LBRACK] = ACTIONS(2215),
    [anon_sym_LTtemplate_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2215),
    [anon_sym_SQUOTE] = ACTIONS(2215),
    [anon_sym_class] = ACTIONS(2215),
    [anon_sym_async] = ACTIONS(2215),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_using] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_void] = ACTIONS(2215),
    [anon_sym_delete] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2215),
    [sym_number] = ACTIONS(2215),
    [sym_private_property_identifier] = ACTIONS(2215),
    [sym_this] = ACTIONS(2215),
    [sym_super] = ACTIONS(2215),
    [sym_true] = ACTIONS(2215),
    [sym_false] = ACTIONS(2215),
    [sym_null] = ACTIONS(2215),
    [sym_undefined] = ACTIONS(2215),
    [anon_sym_AT] = ACTIONS(2215),
    [anon_sym_static] = ACTIONS(2215),
    [anon_sym_readonly] = ACTIONS(2215),
    [anon_sym_get] = ACTIONS(2215),
    [anon_sym_set] = ACTIONS(2215),
    [anon_sym_declare] = ACTIONS(2215),
    [anon_sym_public] = ACTIONS(2215),
    [anon_sym_private] = ACTIONS(2215),
    [anon_sym_protected] = ACTIONS(2215),
    [anon_sym_override] = ACTIONS(2215),
    [anon_sym_module] = ACTIONS(2215),
    [anon_sym_any] = ACTIONS(2215),
    [anon_sym_number] = ACTIONS(2215),
    [anon_sym_boolean] = ACTIONS(2215),
    [anon_sym_string] = ACTIONS(2215),
    [anon_sym_symbol] = ACTIONS(2215),
    [anon_sym_object] = ACTIONS(2215),
    [anon_sym_abstract] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2215),
    [anon_sym_enum] = ACTIONS(2215),
    [sym_html_comment] = ACTIONS(5),
  },
  [1453] = {
    [sym_comment] = STATE(1453),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1454] = {
    [sym_comment] = STATE(1454),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1455] = {
    [sym_comment] = STATE(1455),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1456] = {
    [sym_comment] = STATE(1456),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1457] = {
    [sym_comment] = STATE(1457),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1458] = {
    [sym_comment] = STATE(1458),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1459] = {
    [sym_comment] = STATE(1459),
    [sym_identifier] = ACTIONS(2171),
    [anon_sym_export] = ACTIONS(2171),
    [anon_sym_default] = ACTIONS(2171),
    [anon_sym_type] = ACTIONS(2171),
    [anon_sym_namespace] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_typeof] = ACTIONS(2171),
    [anon_sym_import] = ACTIONS(2171),
    [anon_sym_with] = ACTIONS(2171),
    [anon_sym_var] = ACTIONS(2171),
    [anon_sym_let] = ACTIONS(2171),
    [anon_sym_const] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_if] = ACTIONS(2171),
    [anon_sym_switch] = ACTIONS(2171),
    [anon_sym_for] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2171),
    [anon_sym_try] = ACTIONS(2171),
    [anon_sym_break] = ACTIONS(2171),
    [anon_sym_continue] = ACTIONS(2171),
    [anon_sym_debugger] = ACTIONS(2171),
    [anon_sym_return] = ACTIONS(2171),
    [anon_sym_throw] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_case] = ACTIONS(2171),
    [anon_sym_yield] = ACTIONS(2171),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LTtemplate_GT] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2171),
    [anon_sym_async] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2171),
    [anon_sym_using] = ACTIONS(2171),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_void] = ACTIONS(2171),
    [anon_sym_delete] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [sym_private_property_identifier] = ACTIONS(2171),
    [sym_this] = ACTIONS(2171),
    [sym_super] = ACTIONS(2171),
    [sym_true] = ACTIONS(2171),
    [sym_false] = ACTIONS(2171),
    [sym_null] = ACTIONS(2171),
    [sym_undefined] = ACTIONS(2171),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2171),
    [anon_sym_readonly] = ACTIONS(2171),
    [anon_sym_get] = ACTIONS(2171),
    [anon_sym_set] = ACTIONS(2171),
    [anon_sym_declare] = ACTIONS(2171),
    [anon_sym_public] = ACTIONS(2171),
    [anon_sym_private] = ACTIONS(2171),
    [anon_sym_protected] = ACTIONS(2171),
    [anon_sym_override] = ACTIONS(2171),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_any] = ACTIONS(2171),
    [anon_sym_number] = ACTIONS(2171),
    [anon_sym_boolean] = ACTIONS(2171),
    [anon_sym_string] = ACTIONS(2171),
    [anon_sym_symbol] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(2171),
    [anon_sym_abstract] = ACTIONS(2171),
    [anon_sym_interface] = ACTIONS(2171),
    [anon_sym_enum] = ACTIONS(2171),
    [sym_html_comment] = ACTIONS(5),
  },
  [1460] = {
    [sym_comment] = STATE(1460),
    [sym_identifier] = ACTIONS(3348),
    [anon_sym_export] = ACTIONS(3348),
    [anon_sym_default] = ACTIONS(3348),
    [anon_sym_type] = ACTIONS(3348),
    [anon_sym_namespace] = ACTIONS(3348),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_RBRACE] = ACTIONS(3348),
    [anon_sym_typeof] = ACTIONS(3348),
    [anon_sym_import] = ACTIONS(3348),
    [anon_sym_with] = ACTIONS(3348),
    [anon_sym_var] = ACTIONS(3348),
    [anon_sym_let] = ACTIONS(3348),
    [anon_sym_const] = ACTIONS(3348),
    [anon_sym_BANG] = ACTIONS(3348),
    [anon_sym_if] = ACTIONS(3348),
    [anon_sym_switch] = ACTIONS(3348),
    [anon_sym_for] = ACTIONS(3348),
    [anon_sym_LPAREN] = ACTIONS(3348),
    [anon_sym_await] = ACTIONS(3348),
    [anon_sym_while] = ACTIONS(3348),
    [anon_sym_do] = ACTIONS(3348),
    [anon_sym_try] = ACTIONS(3348),
    [anon_sym_break] = ACTIONS(3348),
    [anon_sym_continue] = ACTIONS(3348),
    [anon_sym_debugger] = ACTIONS(3348),
    [anon_sym_return] = ACTIONS(3348),
    [anon_sym_throw] = ACTIONS(3348),
    [anon_sym_SEMI] = ACTIONS(3348),
    [anon_sym_case] = ACTIONS(3348),
    [anon_sym_yield] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_LTtemplate_GT] = ACTIONS(3348),
    [anon_sym_DQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_async] = ACTIONS(3348),
    [anon_sym_function] = ACTIONS(3348),
    [anon_sym_new] = ACTIONS(3348),
    [anon_sym_using] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3348),
    [anon_sym_DASH] = ACTIONS(3348),
    [anon_sym_SLASH] = ACTIONS(3348),
    [anon_sym_LT] = ACTIONS(3348),
    [anon_sym_TILDE] = ACTIONS(3348),
    [anon_sym_void] = ACTIONS(3348),
    [anon_sym_delete] = ACTIONS(3348),
    [anon_sym_PLUS_PLUS] = ACTIONS(3348),
    [anon_sym_DASH_DASH] = ACTIONS(3348),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3348),
    [sym_number] = ACTIONS(3348),
    [sym_private_property_identifier] = ACTIONS(3348),
    [sym_this] = ACTIONS(3348),
    [sym_super] = ACTIONS(3348),
    [sym_true] = ACTIONS(3348),
    [sym_false] = ACTIONS(3348),
    [sym_null] = ACTIONS(3348),
    [sym_undefined] = ACTIONS(3348),
    [anon_sym_AT] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [anon_sym_readonly] = ACTIONS(3348),
    [anon_sym_get] = ACTIONS(3348),
    [anon_sym_set] = ACTIONS(3348),
    [anon_sym_declare] = ACTIONS(3348),
    [anon_sym_public] = ACTIONS(3348),
    [anon_sym_private] = ACTIONS(3348),
    [anon_sym_protected] = ACTIONS(3348),
    [anon_sym_override] = ACTIONS(3348),
    [anon_sym_module] = ACTIONS(3348),
    [anon_sym_any] = ACTIONS(3348),
    [anon_sym_number] = ACTIONS(3348),
    [anon_sym_boolean] = ACTIONS(3348),
    [anon_sym_string] = ACTIONS(3348),
    [anon_sym_symbol] = ACTIONS(3348),
    [anon_sym_object] = ACTIONS(3348),
    [anon_sym_abstract] = ACTIONS(3348),
    [anon_sym_interface] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(3348),
    [sym_html_comment] = ACTIONS(5),
  },
  [1461] = {
    [sym_comment] = STATE(1461),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1462] = {
    [sym_comment] = STATE(1462),
    [sym_identifier] = ACTIONS(2171),
    [anon_sym_export] = ACTIONS(2171),
    [anon_sym_default] = ACTIONS(2171),
    [anon_sym_type] = ACTIONS(2171),
    [anon_sym_namespace] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_typeof] = ACTIONS(2171),
    [anon_sym_import] = ACTIONS(2171),
    [anon_sym_with] = ACTIONS(2171),
    [anon_sym_var] = ACTIONS(2171),
    [anon_sym_let] = ACTIONS(2171),
    [anon_sym_const] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_if] = ACTIONS(2171),
    [anon_sym_switch] = ACTIONS(2171),
    [anon_sym_for] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2171),
    [anon_sym_try] = ACTIONS(2171),
    [anon_sym_break] = ACTIONS(2171),
    [anon_sym_continue] = ACTIONS(2171),
    [anon_sym_debugger] = ACTIONS(2171),
    [anon_sym_return] = ACTIONS(2171),
    [anon_sym_throw] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_case] = ACTIONS(2171),
    [anon_sym_yield] = ACTIONS(2171),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LTtemplate_GT] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2171),
    [anon_sym_async] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2171),
    [anon_sym_using] = ACTIONS(2171),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_void] = ACTIONS(2171),
    [anon_sym_delete] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [sym_private_property_identifier] = ACTIONS(2171),
    [sym_this] = ACTIONS(2171),
    [sym_super] = ACTIONS(2171),
    [sym_true] = ACTIONS(2171),
    [sym_false] = ACTIONS(2171),
    [sym_null] = ACTIONS(2171),
    [sym_undefined] = ACTIONS(2171),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2171),
    [anon_sym_readonly] = ACTIONS(2171),
    [anon_sym_get] = ACTIONS(2171),
    [anon_sym_set] = ACTIONS(2171),
    [anon_sym_declare] = ACTIONS(2171),
    [anon_sym_public] = ACTIONS(2171),
    [anon_sym_private] = ACTIONS(2171),
    [anon_sym_protected] = ACTIONS(2171),
    [anon_sym_override] = ACTIONS(2171),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_any] = ACTIONS(2171),
    [anon_sym_number] = ACTIONS(2171),
    [anon_sym_boolean] = ACTIONS(2171),
    [anon_sym_string] = ACTIONS(2171),
    [anon_sym_symbol] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(2171),
    [anon_sym_abstract] = ACTIONS(2171),
    [anon_sym_interface] = ACTIONS(2171),
    [anon_sym_enum] = ACTIONS(2171),
    [sym_html_comment] = ACTIONS(5),
  },
  [1463] = {
    [sym_comment] = STATE(1463),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1464] = {
    [sym_comment] = STATE(1464),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1465] = {
    [sym_comment] = STATE(1465),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1466] = {
    [sym_comment] = STATE(1466),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1467] = {
    [sym_comment] = STATE(1467),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_export] = ACTIONS(3346),
    [anon_sym_default] = ACTIONS(3346),
    [anon_sym_type] = ACTIONS(3346),
    [anon_sym_namespace] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_RBRACE] = ACTIONS(3346),
    [anon_sym_typeof] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_with] = ACTIONS(3346),
    [anon_sym_var] = ACTIONS(3346),
    [anon_sym_let] = ACTIONS(3346),
    [anon_sym_const] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_switch] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3346),
    [anon_sym_await] = ACTIONS(3346),
    [anon_sym_while] = ACTIONS(3346),
    [anon_sym_do] = ACTIONS(3346),
    [anon_sym_try] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_debugger] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_throw] = ACTIONS(3346),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym_case] = ACTIONS(3346),
    [anon_sym_yield] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3346),
    [anon_sym_LTtemplate_GT] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_class] = ACTIONS(3346),
    [anon_sym_async] = ACTIONS(3346),
    [anon_sym_function] = ACTIONS(3346),
    [anon_sym_new] = ACTIONS(3346),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_LT] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_void] = ACTIONS(3346),
    [anon_sym_delete] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3346),
    [sym_number] = ACTIONS(3346),
    [sym_private_property_identifier] = ACTIONS(3346),
    [sym_this] = ACTIONS(3346),
    [sym_super] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [sym_null] = ACTIONS(3346),
    [sym_undefined] = ACTIONS(3346),
    [anon_sym_AT] = ACTIONS(3346),
    [anon_sym_static] = ACTIONS(3346),
    [anon_sym_readonly] = ACTIONS(3346),
    [anon_sym_get] = ACTIONS(3346),
    [anon_sym_set] = ACTIONS(3346),
    [anon_sym_declare] = ACTIONS(3346),
    [anon_sym_public] = ACTIONS(3346),
    [anon_sym_private] = ACTIONS(3346),
    [anon_sym_protected] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3346),
    [anon_sym_module] = ACTIONS(3346),
    [anon_sym_any] = ACTIONS(3346),
    [anon_sym_number] = ACTIONS(3346),
    [anon_sym_boolean] = ACTIONS(3346),
    [anon_sym_string] = ACTIONS(3346),
    [anon_sym_symbol] = ACTIONS(3346),
    [anon_sym_object] = ACTIONS(3346),
    [anon_sym_abstract] = ACTIONS(3346),
    [anon_sym_interface] = ACTIONS(3346),
    [anon_sym_enum] = ACTIONS(3346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1468] = {
    [sym_comment] = STATE(1468),
    [ts_builtin_sym_end] = ACTIONS(3540),
    [sym_identifier] = ACTIONS(3302),
    [anon_sym_export] = ACTIONS(3302),
    [anon_sym_type] = ACTIONS(3302),
    [anon_sym_namespace] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3302),
    [anon_sym_RBRACE] = ACTIONS(3302),
    [anon_sym_typeof] = ACTIONS(3302),
    [anon_sym_import] = ACTIONS(3302),
    [anon_sym_with] = ACTIONS(3302),
    [anon_sym_var] = ACTIONS(3302),
    [anon_sym_let] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_BANG] = ACTIONS(3302),
    [anon_sym_else] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(3302),
    [anon_sym_switch] = ACTIONS(3302),
    [anon_sym_for] = ACTIONS(3302),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_await] = ACTIONS(3302),
    [anon_sym_while] = ACTIONS(3302),
    [anon_sym_do] = ACTIONS(3302),
    [anon_sym_try] = ACTIONS(3302),
    [anon_sym_break] = ACTIONS(3302),
    [anon_sym_continue] = ACTIONS(3302),
    [anon_sym_debugger] = ACTIONS(3302),
    [anon_sym_return] = ACTIONS(3302),
    [anon_sym_throw] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym_yield] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_LTtemplate_GT] = ACTIONS(3302),
    [anon_sym_DQUOTE] = ACTIONS(3302),
    [anon_sym_SQUOTE] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_async] = ACTIONS(3302),
    [anon_sym_function] = ACTIONS(3302),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_using] = ACTIONS(3302),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_SLASH] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3302),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_void] = ACTIONS(3302),
    [anon_sym_delete] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3302),
    [sym_number] = ACTIONS(3302),
    [sym_private_property_identifier] = ACTIONS(3302),
    [sym_this] = ACTIONS(3302),
    [sym_super] = ACTIONS(3302),
    [sym_true] = ACTIONS(3302),
    [sym_false] = ACTIONS(3302),
    [sym_null] = ACTIONS(3302),
    [sym_undefined] = ACTIONS(3302),
    [anon_sym_AT] = ACTIONS(3302),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_readonly] = ACTIONS(3302),
    [anon_sym_get] = ACTIONS(3302),
    [anon_sym_set] = ACTIONS(3302),
    [anon_sym_declare] = ACTIONS(3302),
    [anon_sym_public] = ACTIONS(3302),
    [anon_sym_private] = ACTIONS(3302),
    [anon_sym_protected] = ACTIONS(3302),
    [anon_sym_override] = ACTIONS(3302),
    [anon_sym_module] = ACTIONS(3302),
    [anon_sym_any] = ACTIONS(3302),
    [anon_sym_number] = ACTIONS(3302),
    [anon_sym_boolean] = ACTIONS(3302),
    [anon_sym_string] = ACTIONS(3302),
    [anon_sym_symbol] = ACTIONS(3302),
    [anon_sym_object] = ACTIONS(3302),
    [anon_sym_abstract] = ACTIONS(3302),
    [anon_sym_interface] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1469] = {
    [sym_comment] = STATE(1469),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1470] = {
    [sym_comment] = STATE(1470),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1471] = {
    [sym_comment] = STATE(1471),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1472] = {
    [sym_comment] = STATE(1472),
    [ts_builtin_sym_end] = ACTIONS(3542),
    [sym_identifier] = ACTIONS(3304),
    [anon_sym_export] = ACTIONS(3304),
    [anon_sym_type] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_typeof] = ACTIONS(3304),
    [anon_sym_import] = ACTIONS(3304),
    [anon_sym_with] = ACTIONS(3304),
    [anon_sym_var] = ACTIONS(3304),
    [anon_sym_let] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_else] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_await] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_debugger] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym_yield] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_LTtemplate_GT] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_async] = ACTIONS(3304),
    [anon_sym_function] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_void] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3304),
    [sym_number] = ACTIONS(3304),
    [sym_private_property_identifier] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
    [sym_super] = ACTIONS(3304),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [sym_null] = ACTIONS(3304),
    [sym_undefined] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_readonly] = ACTIONS(3304),
    [anon_sym_get] = ACTIONS(3304),
    [anon_sym_set] = ACTIONS(3304),
    [anon_sym_declare] = ACTIONS(3304),
    [anon_sym_public] = ACTIONS(3304),
    [anon_sym_private] = ACTIONS(3304),
    [anon_sym_protected] = ACTIONS(3304),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_module] = ACTIONS(3304),
    [anon_sym_any] = ACTIONS(3304),
    [anon_sym_number] = ACTIONS(3304),
    [anon_sym_boolean] = ACTIONS(3304),
    [anon_sym_string] = ACTIONS(3304),
    [anon_sym_symbol] = ACTIONS(3304),
    [anon_sym_object] = ACTIONS(3304),
    [anon_sym_abstract] = ACTIONS(3304),
    [anon_sym_interface] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [sym_html_comment] = ACTIONS(5),
  },
  [1473] = {
    [sym_comment] = STATE(1473),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1474] = {
    [sym_comment] = STATE(1474),
    [sym_identifier] = ACTIONS(3344),
    [anon_sym_export] = ACTIONS(3344),
    [anon_sym_default] = ACTIONS(3344),
    [anon_sym_type] = ACTIONS(3344),
    [anon_sym_namespace] = ACTIONS(3344),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_RBRACE] = ACTIONS(3344),
    [anon_sym_typeof] = ACTIONS(3344),
    [anon_sym_import] = ACTIONS(3344),
    [anon_sym_with] = ACTIONS(3344),
    [anon_sym_var] = ACTIONS(3344),
    [anon_sym_let] = ACTIONS(3344),
    [anon_sym_const] = ACTIONS(3344),
    [anon_sym_BANG] = ACTIONS(3344),
    [anon_sym_if] = ACTIONS(3344),
    [anon_sym_switch] = ACTIONS(3344),
    [anon_sym_for] = ACTIONS(3344),
    [anon_sym_LPAREN] = ACTIONS(3344),
    [anon_sym_await] = ACTIONS(3344),
    [anon_sym_while] = ACTIONS(3344),
    [anon_sym_do] = ACTIONS(3344),
    [anon_sym_try] = ACTIONS(3344),
    [anon_sym_break] = ACTIONS(3344),
    [anon_sym_continue] = ACTIONS(3344),
    [anon_sym_debugger] = ACTIONS(3344),
    [anon_sym_return] = ACTIONS(3344),
    [anon_sym_throw] = ACTIONS(3344),
    [anon_sym_SEMI] = ACTIONS(3344),
    [anon_sym_case] = ACTIONS(3344),
    [anon_sym_yield] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_LTtemplate_GT] = ACTIONS(3344),
    [anon_sym_DQUOTE] = ACTIONS(3344),
    [anon_sym_SQUOTE] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_async] = ACTIONS(3344),
    [anon_sym_function] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(3344),
    [anon_sym_using] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3344),
    [anon_sym_DASH] = ACTIONS(3344),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_LT] = ACTIONS(3344),
    [anon_sym_TILDE] = ACTIONS(3344),
    [anon_sym_void] = ACTIONS(3344),
    [anon_sym_delete] = ACTIONS(3344),
    [anon_sym_PLUS_PLUS] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3344),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3344),
    [sym_number] = ACTIONS(3344),
    [sym_private_property_identifier] = ACTIONS(3344),
    [sym_this] = ACTIONS(3344),
    [sym_super] = ACTIONS(3344),
    [sym_true] = ACTIONS(3344),
    [sym_false] = ACTIONS(3344),
    [sym_null] = ACTIONS(3344),
    [sym_undefined] = ACTIONS(3344),
    [anon_sym_AT] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_readonly] = ACTIONS(3344),
    [anon_sym_get] = ACTIONS(3344),
    [anon_sym_set] = ACTIONS(3344),
    [anon_sym_declare] = ACTIONS(3344),
    [anon_sym_public] = ACTIONS(3344),
    [anon_sym_private] = ACTIONS(3344),
    [anon_sym_protected] = ACTIONS(3344),
    [anon_sym_override] = ACTIONS(3344),
    [anon_sym_module] = ACTIONS(3344),
    [anon_sym_any] = ACTIONS(3344),
    [anon_sym_number] = ACTIONS(3344),
    [anon_sym_boolean] = ACTIONS(3344),
    [anon_sym_string] = ACTIONS(3344),
    [anon_sym_symbol] = ACTIONS(3344),
    [anon_sym_object] = ACTIONS(3344),
    [anon_sym_abstract] = ACTIONS(3344),
    [anon_sym_interface] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1475] = {
    [sym_comment] = STATE(1475),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1476] = {
    [sym_comment] = STATE(1476),
    [sym_identifier] = ACTIONS(3132),
    [anon_sym_export] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_type] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_typeof] = ACTIONS(3132),
    [anon_sym_import] = ACTIONS(3132),
    [anon_sym_with] = ACTIONS(3132),
    [anon_sym_var] = ACTIONS(3132),
    [anon_sym_let] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_await] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_debugger] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_yield] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_LTtemplate_GT] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_async] = ACTIONS(3132),
    [anon_sym_function] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_void] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3132),
    [sym_number] = ACTIONS(3132),
    [sym_private_property_identifier] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
    [sym_super] = ACTIONS(3132),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [sym_null] = ACTIONS(3132),
    [sym_undefined] = ACTIONS(3132),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_readonly] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3132),
    [anon_sym_set] = ACTIONS(3132),
    [anon_sym_declare] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_override] = ACTIONS(3132),
    [anon_sym_module] = ACTIONS(3132),
    [anon_sym_any] = ACTIONS(3132),
    [anon_sym_number] = ACTIONS(3132),
    [anon_sym_boolean] = ACTIONS(3132),
    [anon_sym_string] = ACTIONS(3132),
    [anon_sym_symbol] = ACTIONS(3132),
    [anon_sym_object] = ACTIONS(3132),
    [anon_sym_abstract] = ACTIONS(3132),
    [anon_sym_interface] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [sym_html_comment] = ACTIONS(5),
  },
  [1477] = {
    [sym_comment] = STATE(1477),
    [ts_builtin_sym_end] = ACTIONS(3544),
    [sym_identifier] = ACTIONS(3306),
    [anon_sym_export] = ACTIONS(3306),
    [anon_sym_type] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3306),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_typeof] = ACTIONS(3306),
    [anon_sym_import] = ACTIONS(3306),
    [anon_sym_with] = ACTIONS(3306),
    [anon_sym_var] = ACTIONS(3306),
    [anon_sym_let] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_BANG] = ACTIONS(3306),
    [anon_sym_else] = ACTIONS(3306),
    [anon_sym_if] = ACTIONS(3306),
    [anon_sym_switch] = ACTIONS(3306),
    [anon_sym_for] = ACTIONS(3306),
    [anon_sym_LPAREN] = ACTIONS(3306),
    [anon_sym_await] = ACTIONS(3306),
    [anon_sym_while] = ACTIONS(3306),
    [anon_sym_do] = ACTIONS(3306),
    [anon_sym_try] = ACTIONS(3306),
    [anon_sym_break] = ACTIONS(3306),
    [anon_sym_continue] = ACTIONS(3306),
    [anon_sym_debugger] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(3306),
    [anon_sym_throw] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym_yield] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3306),
    [anon_sym_LTtemplate_GT] = ACTIONS(3306),
    [anon_sym_DQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_async] = ACTIONS(3306),
    [anon_sym_function] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3306),
    [anon_sym_void] = ACTIONS(3306),
    [anon_sym_delete] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3306),
    [sym_number] = ACTIONS(3306),
    [sym_private_property_identifier] = ACTIONS(3306),
    [sym_this] = ACTIONS(3306),
    [sym_super] = ACTIONS(3306),
    [sym_true] = ACTIONS(3306),
    [sym_false] = ACTIONS(3306),
    [sym_null] = ACTIONS(3306),
    [sym_undefined] = ACTIONS(3306),
    [anon_sym_AT] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [anon_sym_readonly] = ACTIONS(3306),
    [anon_sym_get] = ACTIONS(3306),
    [anon_sym_set] = ACTIONS(3306),
    [anon_sym_declare] = ACTIONS(3306),
    [anon_sym_public] = ACTIONS(3306),
    [anon_sym_private] = ACTIONS(3306),
    [anon_sym_protected] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3306),
    [anon_sym_module] = ACTIONS(3306),
    [anon_sym_any] = ACTIONS(3306),
    [anon_sym_number] = ACTIONS(3306),
    [anon_sym_boolean] = ACTIONS(3306),
    [anon_sym_string] = ACTIONS(3306),
    [anon_sym_symbol] = ACTIONS(3306),
    [anon_sym_object] = ACTIONS(3306),
    [anon_sym_abstract] = ACTIONS(3306),
    [anon_sym_interface] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [sym_html_comment] = ACTIONS(5),
  },
  [1478] = {
    [sym_comment] = STATE(1478),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym__automatic_semicolon] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [1479] = {
    [sym_comment] = STATE(1479),
    [ts_builtin_sym_end] = ACTIONS(3546),
    [sym_identifier] = ACTIONS(3308),
    [anon_sym_export] = ACTIONS(3308),
    [anon_sym_type] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_RBRACE] = ACTIONS(3308),
    [anon_sym_typeof] = ACTIONS(3308),
    [anon_sym_import] = ACTIONS(3308),
    [anon_sym_with] = ACTIONS(3308),
    [anon_sym_var] = ACTIONS(3308),
    [anon_sym_let] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_BANG] = ACTIONS(3308),
    [anon_sym_else] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_LPAREN] = ACTIONS(3308),
    [anon_sym_await] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_debugger] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3308),
    [anon_sym_yield] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_LTtemplate_GT] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_async] = ACTIONS(3308),
    [anon_sym_function] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_TILDE] = ACTIONS(3308),
    [anon_sym_void] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3308),
    [sym_number] = ACTIONS(3308),
    [sym_private_property_identifier] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
    [sym_super] = ACTIONS(3308),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [sym_null] = ACTIONS(3308),
    [sym_undefined] = ACTIONS(3308),
    [anon_sym_AT] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_readonly] = ACTIONS(3308),
    [anon_sym_get] = ACTIONS(3308),
    [anon_sym_set] = ACTIONS(3308),
    [anon_sym_declare] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_override] = ACTIONS(3308),
    [anon_sym_module] = ACTIONS(3308),
    [anon_sym_any] = ACTIONS(3308),
    [anon_sym_number] = ACTIONS(3308),
    [anon_sym_boolean] = ACTIONS(3308),
    [anon_sym_string] = ACTIONS(3308),
    [anon_sym_symbol] = ACTIONS(3308),
    [anon_sym_object] = ACTIONS(3308),
    [anon_sym_abstract] = ACTIONS(3308),
    [anon_sym_interface] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [sym_html_comment] = ACTIONS(5),
  },
  [1480] = {
    [sym_comment] = STATE(1480),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1481] = {
    [sym_comment] = STATE(1481),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1482] = {
    [sym_comment] = STATE(1482),
    [ts_builtin_sym_end] = ACTIONS(3548),
    [sym_identifier] = ACTIONS(3310),
    [anon_sym_export] = ACTIONS(3310),
    [anon_sym_type] = ACTIONS(3310),
    [anon_sym_namespace] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_typeof] = ACTIONS(3310),
    [anon_sym_import] = ACTIONS(3310),
    [anon_sym_with] = ACTIONS(3310),
    [anon_sym_var] = ACTIONS(3310),
    [anon_sym_let] = ACTIONS(3310),
    [anon_sym_const] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_else] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3310),
    [anon_sym_switch] = ACTIONS(3310),
    [anon_sym_for] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_await] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(3310),
    [anon_sym_do] = ACTIONS(3310),
    [anon_sym_try] = ACTIONS(3310),
    [anon_sym_break] = ACTIONS(3310),
    [anon_sym_continue] = ACTIONS(3310),
    [anon_sym_debugger] = ACTIONS(3310),
    [anon_sym_return] = ACTIONS(3310),
    [anon_sym_throw] = ACTIONS(3310),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym_yield] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_LTtemplate_GT] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3310),
    [anon_sym_async] = ACTIONS(3310),
    [anon_sym_function] = ACTIONS(3310),
    [anon_sym_new] = ACTIONS(3310),
    [anon_sym_using] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_SLASH] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_void] = ACTIONS(3310),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3310),
    [sym_number] = ACTIONS(3310),
    [sym_private_property_identifier] = ACTIONS(3310),
    [sym_this] = ACTIONS(3310),
    [sym_super] = ACTIONS(3310),
    [sym_true] = ACTIONS(3310),
    [sym_false] = ACTIONS(3310),
    [sym_null] = ACTIONS(3310),
    [sym_undefined] = ACTIONS(3310),
    [anon_sym_AT] = ACTIONS(3310),
    [anon_sym_static] = ACTIONS(3310),
    [anon_sym_readonly] = ACTIONS(3310),
    [anon_sym_get] = ACTIONS(3310),
    [anon_sym_set] = ACTIONS(3310),
    [anon_sym_declare] = ACTIONS(3310),
    [anon_sym_public] = ACTIONS(3310),
    [anon_sym_private] = ACTIONS(3310),
    [anon_sym_protected] = ACTIONS(3310),
    [anon_sym_override] = ACTIONS(3310),
    [anon_sym_module] = ACTIONS(3310),
    [anon_sym_any] = ACTIONS(3310),
    [anon_sym_number] = ACTIONS(3310),
    [anon_sym_boolean] = ACTIONS(3310),
    [anon_sym_string] = ACTIONS(3310),
    [anon_sym_symbol] = ACTIONS(3310),
    [anon_sym_object] = ACTIONS(3310),
    [anon_sym_abstract] = ACTIONS(3310),
    [anon_sym_interface] = ACTIONS(3310),
    [anon_sym_enum] = ACTIONS(3310),
    [sym_html_comment] = ACTIONS(5),
  },
  [1483] = {
    [sym_comment] = STATE(1483),
    [sym_identifier] = ACTIONS(3342),
    [anon_sym_export] = ACTIONS(3342),
    [anon_sym_default] = ACTIONS(3342),
    [anon_sym_type] = ACTIONS(3342),
    [anon_sym_namespace] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_RBRACE] = ACTIONS(3342),
    [anon_sym_typeof] = ACTIONS(3342),
    [anon_sym_import] = ACTIONS(3342),
    [anon_sym_with] = ACTIONS(3342),
    [anon_sym_var] = ACTIONS(3342),
    [anon_sym_let] = ACTIONS(3342),
    [anon_sym_const] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_if] = ACTIONS(3342),
    [anon_sym_switch] = ACTIONS(3342),
    [anon_sym_for] = ACTIONS(3342),
    [anon_sym_LPAREN] = ACTIONS(3342),
    [anon_sym_await] = ACTIONS(3342),
    [anon_sym_while] = ACTIONS(3342),
    [anon_sym_do] = ACTIONS(3342),
    [anon_sym_try] = ACTIONS(3342),
    [anon_sym_break] = ACTIONS(3342),
    [anon_sym_continue] = ACTIONS(3342),
    [anon_sym_debugger] = ACTIONS(3342),
    [anon_sym_return] = ACTIONS(3342),
    [anon_sym_throw] = ACTIONS(3342),
    [anon_sym_SEMI] = ACTIONS(3342),
    [anon_sym_case] = ACTIONS(3342),
    [anon_sym_yield] = ACTIONS(3342),
    [anon_sym_LBRACK] = ACTIONS(3342),
    [anon_sym_LTtemplate_GT] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3342),
    [anon_sym_async] = ACTIONS(3342),
    [anon_sym_function] = ACTIONS(3342),
    [anon_sym_new] = ACTIONS(3342),
    [anon_sym_using] = ACTIONS(3342),
    [anon_sym_PLUS] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3342),
    [anon_sym_LT] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_void] = ACTIONS(3342),
    [anon_sym_delete] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3342),
    [sym_number] = ACTIONS(3342),
    [sym_private_property_identifier] = ACTIONS(3342),
    [sym_this] = ACTIONS(3342),
    [sym_super] = ACTIONS(3342),
    [sym_true] = ACTIONS(3342),
    [sym_false] = ACTIONS(3342),
    [sym_null] = ACTIONS(3342),
    [sym_undefined] = ACTIONS(3342),
    [anon_sym_AT] = ACTIONS(3342),
    [anon_sym_static] = ACTIONS(3342),
    [anon_sym_readonly] = ACTIONS(3342),
    [anon_sym_get] = ACTIONS(3342),
    [anon_sym_set] = ACTIONS(3342),
    [anon_sym_declare] = ACTIONS(3342),
    [anon_sym_public] = ACTIONS(3342),
    [anon_sym_private] = ACTIONS(3342),
    [anon_sym_protected] = ACTIONS(3342),
    [anon_sym_override] = ACTIONS(3342),
    [anon_sym_module] = ACTIONS(3342),
    [anon_sym_any] = ACTIONS(3342),
    [anon_sym_number] = ACTIONS(3342),
    [anon_sym_boolean] = ACTIONS(3342),
    [anon_sym_string] = ACTIONS(3342),
    [anon_sym_symbol] = ACTIONS(3342),
    [anon_sym_object] = ACTIONS(3342),
    [anon_sym_abstract] = ACTIONS(3342),
    [anon_sym_interface] = ACTIONS(3342),
    [anon_sym_enum] = ACTIONS(3342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1484] = {
    [sym_comment] = STATE(1484),
    [sym_identifier] = ACTIONS(3340),
    [anon_sym_export] = ACTIONS(3340),
    [anon_sym_default] = ACTIONS(3340),
    [anon_sym_type] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_typeof] = ACTIONS(3340),
    [anon_sym_import] = ACTIONS(3340),
    [anon_sym_with] = ACTIONS(3340),
    [anon_sym_var] = ACTIONS(3340),
    [anon_sym_let] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_BANG] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_await] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_debugger] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_yield] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_LTtemplate_GT] = ACTIONS(3340),
    [anon_sym_DQUOTE] = ACTIONS(3340),
    [anon_sym_SQUOTE] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_async] = ACTIONS(3340),
    [anon_sym_function] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_SLASH] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3340),
    [anon_sym_TILDE] = ACTIONS(3340),
    [anon_sym_void] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_PLUS_PLUS] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3340),
    [sym_number] = ACTIONS(3340),
    [sym_private_property_identifier] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
    [sym_super] = ACTIONS(3340),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [sym_null] = ACTIONS(3340),
    [sym_undefined] = ACTIONS(3340),
    [anon_sym_AT] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_readonly] = ACTIONS(3340),
    [anon_sym_get] = ACTIONS(3340),
    [anon_sym_set] = ACTIONS(3340),
    [anon_sym_declare] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_protected] = ACTIONS(3340),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3340),
    [anon_sym_any] = ACTIONS(3340),
    [anon_sym_number] = ACTIONS(3340),
    [anon_sym_boolean] = ACTIONS(3340),
    [anon_sym_string] = ACTIONS(3340),
    [anon_sym_symbol] = ACTIONS(3340),
    [anon_sym_object] = ACTIONS(3340),
    [anon_sym_abstract] = ACTIONS(3340),
    [anon_sym_interface] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [sym_html_comment] = ACTIONS(5),
  },
  [1485] = {
    [sym_comment] = STATE(1485),
    [sym_identifier] = ACTIONS(3340),
    [anon_sym_export] = ACTIONS(3340),
    [anon_sym_default] = ACTIONS(3340),
    [anon_sym_type] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_typeof] = ACTIONS(3340),
    [anon_sym_import] = ACTIONS(3340),
    [anon_sym_with] = ACTIONS(3340),
    [anon_sym_var] = ACTIONS(3340),
    [anon_sym_let] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_BANG] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_await] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_debugger] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_yield] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_LTtemplate_GT] = ACTIONS(3340),
    [anon_sym_DQUOTE] = ACTIONS(3340),
    [anon_sym_SQUOTE] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_async] = ACTIONS(3340),
    [anon_sym_function] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_SLASH] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3340),
    [anon_sym_TILDE] = ACTIONS(3340),
    [anon_sym_void] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_PLUS_PLUS] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3340),
    [sym_number] = ACTIONS(3340),
    [sym_private_property_identifier] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
    [sym_super] = ACTIONS(3340),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [sym_null] = ACTIONS(3340),
    [sym_undefined] = ACTIONS(3340),
    [anon_sym_AT] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_readonly] = ACTIONS(3340),
    [anon_sym_get] = ACTIONS(3340),
    [anon_sym_set] = ACTIONS(3340),
    [anon_sym_declare] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_protected] = ACTIONS(3340),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3340),
    [anon_sym_any] = ACTIONS(3340),
    [anon_sym_number] = ACTIONS(3340),
    [anon_sym_boolean] = ACTIONS(3340),
    [anon_sym_string] = ACTIONS(3340),
    [anon_sym_symbol] = ACTIONS(3340),
    [anon_sym_object] = ACTIONS(3340),
    [anon_sym_abstract] = ACTIONS(3340),
    [anon_sym_interface] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [sym_html_comment] = ACTIONS(5),
  },
  [1486] = {
    [sym_comment] = STATE(1486),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1487] = {
    [sym_comment] = STATE(1487),
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_export] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_type] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_typeof] = ACTIONS(3130),
    [anon_sym_import] = ACTIONS(3130),
    [anon_sym_with] = ACTIONS(3130),
    [anon_sym_var] = ACTIONS(3130),
    [anon_sym_let] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3130),
    [anon_sym_await] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_debugger] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_yield] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_LTtemplate_GT] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_async] = ACTIONS(3130),
    [anon_sym_function] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_void] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3130),
    [sym_number] = ACTIONS(3130),
    [sym_private_property_identifier] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
    [sym_super] = ACTIONS(3130),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [sym_null] = ACTIONS(3130),
    [sym_undefined] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_readonly] = ACTIONS(3130),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_declare] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_module] = ACTIONS(3130),
    [anon_sym_any] = ACTIONS(3130),
    [anon_sym_number] = ACTIONS(3130),
    [anon_sym_boolean] = ACTIONS(3130),
    [anon_sym_string] = ACTIONS(3130),
    [anon_sym_symbol] = ACTIONS(3130),
    [anon_sym_object] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_interface] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [sym_html_comment] = ACTIONS(5),
  },
  [1488] = {
    [sym_comment] = STATE(1488),
    [sym_identifier] = ACTIONS(3226),
    [anon_sym_export] = ACTIONS(3226),
    [anon_sym_default] = ACTIONS(3226),
    [anon_sym_type] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_typeof] = ACTIONS(3226),
    [anon_sym_import] = ACTIONS(3226),
    [anon_sym_with] = ACTIONS(3226),
    [anon_sym_var] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_await] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_debugger] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_case] = ACTIONS(3226),
    [anon_sym_yield] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_LTtemplate_GT] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_async] = ACTIONS(3226),
    [anon_sym_function] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_void] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3226),
    [sym_number] = ACTIONS(3226),
    [sym_private_property_identifier] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
    [sym_super] = ACTIONS(3226),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [sym_null] = ACTIONS(3226),
    [sym_undefined] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_readonly] = ACTIONS(3226),
    [anon_sym_get] = ACTIONS(3226),
    [anon_sym_set] = ACTIONS(3226),
    [anon_sym_declare] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3226),
    [anon_sym_private] = ACTIONS(3226),
    [anon_sym_protected] = ACTIONS(3226),
    [anon_sym_override] = ACTIONS(3226),
    [anon_sym_module] = ACTIONS(3226),
    [anon_sym_any] = ACTIONS(3226),
    [anon_sym_number] = ACTIONS(3226),
    [anon_sym_boolean] = ACTIONS(3226),
    [anon_sym_string] = ACTIONS(3226),
    [anon_sym_symbol] = ACTIONS(3226),
    [anon_sym_object] = ACTIONS(3226),
    [anon_sym_abstract] = ACTIONS(3226),
    [anon_sym_interface] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [sym_html_comment] = ACTIONS(5),
  },
  [1489] = {
    [sym_comment] = STATE(1489),
    [sym_identifier] = ACTIONS(3232),
    [anon_sym_export] = ACTIONS(3232),
    [anon_sym_default] = ACTIONS(3232),
    [anon_sym_type] = ACTIONS(3232),
    [anon_sym_namespace] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3232),
    [anon_sym_RBRACE] = ACTIONS(3232),
    [anon_sym_typeof] = ACTIONS(3232),
    [anon_sym_import] = ACTIONS(3232),
    [anon_sym_with] = ACTIONS(3232),
    [anon_sym_var] = ACTIONS(3232),
    [anon_sym_let] = ACTIONS(3232),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_BANG] = ACTIONS(3232),
    [anon_sym_if] = ACTIONS(3232),
    [anon_sym_switch] = ACTIONS(3232),
    [anon_sym_for] = ACTIONS(3232),
    [anon_sym_LPAREN] = ACTIONS(3232),
    [anon_sym_await] = ACTIONS(3232),
    [anon_sym_while] = ACTIONS(3232),
    [anon_sym_do] = ACTIONS(3232),
    [anon_sym_try] = ACTIONS(3232),
    [anon_sym_break] = ACTIONS(3232),
    [anon_sym_continue] = ACTIONS(3232),
    [anon_sym_debugger] = ACTIONS(3232),
    [anon_sym_return] = ACTIONS(3232),
    [anon_sym_throw] = ACTIONS(3232),
    [anon_sym_SEMI] = ACTIONS(3232),
    [anon_sym_case] = ACTIONS(3232),
    [anon_sym_yield] = ACTIONS(3232),
    [anon_sym_LBRACK] = ACTIONS(3232),
    [anon_sym_LTtemplate_GT] = ACTIONS(3232),
    [anon_sym_DQUOTE] = ACTIONS(3232),
    [anon_sym_SQUOTE] = ACTIONS(3232),
    [anon_sym_class] = ACTIONS(3232),
    [anon_sym_async] = ACTIONS(3232),
    [anon_sym_function] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3232),
    [anon_sym_using] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_TILDE] = ACTIONS(3232),
    [anon_sym_void] = ACTIONS(3232),
    [anon_sym_delete] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3232),
    [anon_sym_DASH_DASH] = ACTIONS(3232),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3232),
    [sym_number] = ACTIONS(3232),
    [sym_private_property_identifier] = ACTIONS(3232),
    [sym_this] = ACTIONS(3232),
    [sym_super] = ACTIONS(3232),
    [sym_true] = ACTIONS(3232),
    [sym_false] = ACTIONS(3232),
    [sym_null] = ACTIONS(3232),
    [sym_undefined] = ACTIONS(3232),
    [anon_sym_AT] = ACTIONS(3232),
    [anon_sym_static] = ACTIONS(3232),
    [anon_sym_readonly] = ACTIONS(3232),
    [anon_sym_get] = ACTIONS(3232),
    [anon_sym_set] = ACTIONS(3232),
    [anon_sym_declare] = ACTIONS(3232),
    [anon_sym_public] = ACTIONS(3232),
    [anon_sym_private] = ACTIONS(3232),
    [anon_sym_protected] = ACTIONS(3232),
    [anon_sym_override] = ACTIONS(3232),
    [anon_sym_module] = ACTIONS(3232),
    [anon_sym_any] = ACTIONS(3232),
    [anon_sym_number] = ACTIONS(3232),
    [anon_sym_boolean] = ACTIONS(3232),
    [anon_sym_string] = ACTIONS(3232),
    [anon_sym_symbol] = ACTIONS(3232),
    [anon_sym_object] = ACTIONS(3232),
    [anon_sym_abstract] = ACTIONS(3232),
    [anon_sym_interface] = ACTIONS(3232),
    [anon_sym_enum] = ACTIONS(3232),
    [sym_html_comment] = ACTIONS(5),
  },
  [1490] = {
    [sym_comment] = STATE(1490),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_default] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1491] = {
    [sym_comment] = STATE(1491),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_default] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1492] = {
    [sym_comment] = STATE(1492),
    [sym_identifier] = ACTIONS(3236),
    [anon_sym_export] = ACTIONS(3236),
    [anon_sym_default] = ACTIONS(3236),
    [anon_sym_type] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(3236),
    [anon_sym_typeof] = ACTIONS(3236),
    [anon_sym_import] = ACTIONS(3236),
    [anon_sym_with] = ACTIONS(3236),
    [anon_sym_var] = ACTIONS(3236),
    [anon_sym_let] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_LPAREN] = ACTIONS(3236),
    [anon_sym_await] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_debugger] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym_case] = ACTIONS(3236),
    [anon_sym_yield] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_LTtemplate_GT] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_async] = ACTIONS(3236),
    [anon_sym_function] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_void] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3236),
    [sym_number] = ACTIONS(3236),
    [sym_private_property_identifier] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
    [sym_super] = ACTIONS(3236),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [sym_null] = ACTIONS(3236),
    [sym_undefined] = ACTIONS(3236),
    [anon_sym_AT] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_readonly] = ACTIONS(3236),
    [anon_sym_get] = ACTIONS(3236),
    [anon_sym_set] = ACTIONS(3236),
    [anon_sym_declare] = ACTIONS(3236),
    [anon_sym_public] = ACTIONS(3236),
    [anon_sym_private] = ACTIONS(3236),
    [anon_sym_protected] = ACTIONS(3236),
    [anon_sym_override] = ACTIONS(3236),
    [anon_sym_module] = ACTIONS(3236),
    [anon_sym_any] = ACTIONS(3236),
    [anon_sym_number] = ACTIONS(3236),
    [anon_sym_boolean] = ACTIONS(3236),
    [anon_sym_string] = ACTIONS(3236),
    [anon_sym_symbol] = ACTIONS(3236),
    [anon_sym_object] = ACTIONS(3236),
    [anon_sym_abstract] = ACTIONS(3236),
    [anon_sym_interface] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [sym_html_comment] = ACTIONS(5),
  },
  [1493] = {
    [sym_comment] = STATE(1493),
    [sym_identifier] = ACTIONS(3238),
    [anon_sym_export] = ACTIONS(3238),
    [anon_sym_default] = ACTIONS(3238),
    [anon_sym_type] = ACTIONS(3238),
    [anon_sym_namespace] = ACTIONS(3238),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_typeof] = ACTIONS(3238),
    [anon_sym_import] = ACTIONS(3238),
    [anon_sym_with] = ACTIONS(3238),
    [anon_sym_var] = ACTIONS(3238),
    [anon_sym_let] = ACTIONS(3238),
    [anon_sym_const] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3238),
    [anon_sym_switch] = ACTIONS(3238),
    [anon_sym_for] = ACTIONS(3238),
    [anon_sym_LPAREN] = ACTIONS(3238),
    [anon_sym_await] = ACTIONS(3238),
    [anon_sym_while] = ACTIONS(3238),
    [anon_sym_do] = ACTIONS(3238),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_break] = ACTIONS(3238),
    [anon_sym_continue] = ACTIONS(3238),
    [anon_sym_debugger] = ACTIONS(3238),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_throw] = ACTIONS(3238),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_case] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3238),
    [anon_sym_LTtemplate_GT] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_async] = ACTIONS(3238),
    [anon_sym_function] = ACTIONS(3238),
    [anon_sym_new] = ACTIONS(3238),
    [anon_sym_using] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3238),
    [anon_sym_SLASH] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_void] = ACTIONS(3238),
    [anon_sym_delete] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3238),
    [sym_number] = ACTIONS(3238),
    [sym_private_property_identifier] = ACTIONS(3238),
    [sym_this] = ACTIONS(3238),
    [sym_super] = ACTIONS(3238),
    [sym_true] = ACTIONS(3238),
    [sym_false] = ACTIONS(3238),
    [sym_null] = ACTIONS(3238),
    [sym_undefined] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3238),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3238),
    [anon_sym_set] = ACTIONS(3238),
    [anon_sym_declare] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_protected] = ACTIONS(3238),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_module] = ACTIONS(3238),
    [anon_sym_any] = ACTIONS(3238),
    [anon_sym_number] = ACTIONS(3238),
    [anon_sym_boolean] = ACTIONS(3238),
    [anon_sym_string] = ACTIONS(3238),
    [anon_sym_symbol] = ACTIONS(3238),
    [anon_sym_object] = ACTIONS(3238),
    [anon_sym_abstract] = ACTIONS(3238),
    [anon_sym_interface] = ACTIONS(3238),
    [anon_sym_enum] = ACTIONS(3238),
    [sym_html_comment] = ACTIONS(5),
  },
  [1494] = {
    [sym_comment] = STATE(1494),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1495] = {
    [sym_comment] = STATE(1495),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1496] = {
    [sym_comment] = STATE(1496),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_export] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_type] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3240),
    [anon_sym_RBRACE] = ACTIONS(3240),
    [anon_sym_typeof] = ACTIONS(3240),
    [anon_sym_import] = ACTIONS(3240),
    [anon_sym_with] = ACTIONS(3240),
    [anon_sym_var] = ACTIONS(3240),
    [anon_sym_let] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_BANG] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_LPAREN] = ACTIONS(3240),
    [anon_sym_await] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_debugger] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_LTtemplate_GT] = ACTIONS(3240),
    [anon_sym_DQUOTE] = ACTIONS(3240),
    [anon_sym_SQUOTE] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_async] = ACTIONS(3240),
    [anon_sym_function] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3240),
    [anon_sym_void] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_PLUS_PLUS] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3240),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3240),
    [sym_number] = ACTIONS(3240),
    [sym_private_property_identifier] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
    [sym_super] = ACTIONS(3240),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [sym_null] = ACTIONS(3240),
    [sym_undefined] = ACTIONS(3240),
    [anon_sym_AT] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_readonly] = ACTIONS(3240),
    [anon_sym_get] = ACTIONS(3240),
    [anon_sym_set] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3240),
    [anon_sym_public] = ACTIONS(3240),
    [anon_sym_private] = ACTIONS(3240),
    [anon_sym_protected] = ACTIONS(3240),
    [anon_sym_override] = ACTIONS(3240),
    [anon_sym_module] = ACTIONS(3240),
    [anon_sym_any] = ACTIONS(3240),
    [anon_sym_number] = ACTIONS(3240),
    [anon_sym_boolean] = ACTIONS(3240),
    [anon_sym_string] = ACTIONS(3240),
    [anon_sym_symbol] = ACTIONS(3240),
    [anon_sym_object] = ACTIONS(3240),
    [anon_sym_abstract] = ACTIONS(3240),
    [anon_sym_interface] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [sym_html_comment] = ACTIONS(5),
  },
  [1497] = {
    [sym_comment] = STATE(1497),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1498] = {
    [sym_comment] = STATE(1498),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1499] = {
    [sym_comment] = STATE(1499),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1500] = {
    [sym_comment] = STATE(1500),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_export] = ACTIONS(3338),
    [anon_sym_default] = ACTIONS(3338),
    [anon_sym_type] = ACTIONS(3338),
    [anon_sym_namespace] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(3338),
    [anon_sym_RBRACE] = ACTIONS(3338),
    [anon_sym_typeof] = ACTIONS(3338),
    [anon_sym_import] = ACTIONS(3338),
    [anon_sym_with] = ACTIONS(3338),
    [anon_sym_var] = ACTIONS(3338),
    [anon_sym_let] = ACTIONS(3338),
    [anon_sym_const] = ACTIONS(3338),
    [anon_sym_BANG] = ACTIONS(3338),
    [anon_sym_if] = ACTIONS(3338),
    [anon_sym_switch] = ACTIONS(3338),
    [anon_sym_for] = ACTIONS(3338),
    [anon_sym_LPAREN] = ACTIONS(3338),
    [anon_sym_await] = ACTIONS(3338),
    [anon_sym_while] = ACTIONS(3338),
    [anon_sym_do] = ACTIONS(3338),
    [anon_sym_try] = ACTIONS(3338),
    [anon_sym_break] = ACTIONS(3338),
    [anon_sym_continue] = ACTIONS(3338),
    [anon_sym_debugger] = ACTIONS(3338),
    [anon_sym_return] = ACTIONS(3338),
    [anon_sym_throw] = ACTIONS(3338),
    [anon_sym_SEMI] = ACTIONS(3338),
    [anon_sym_case] = ACTIONS(3338),
    [anon_sym_yield] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(3338),
    [anon_sym_LTtemplate_GT] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [anon_sym_SQUOTE] = ACTIONS(3338),
    [anon_sym_class] = ACTIONS(3338),
    [anon_sym_async] = ACTIONS(3338),
    [anon_sym_function] = ACTIONS(3338),
    [anon_sym_new] = ACTIONS(3338),
    [anon_sym_using] = ACTIONS(3338),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3338),
    [anon_sym_LT] = ACTIONS(3338),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_void] = ACTIONS(3338),
    [anon_sym_delete] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3338),
    [sym_number] = ACTIONS(3338),
    [sym_private_property_identifier] = ACTIONS(3338),
    [sym_this] = ACTIONS(3338),
    [sym_super] = ACTIONS(3338),
    [sym_true] = ACTIONS(3338),
    [sym_false] = ACTIONS(3338),
    [sym_null] = ACTIONS(3338),
    [sym_undefined] = ACTIONS(3338),
    [anon_sym_AT] = ACTIONS(3338),
    [anon_sym_static] = ACTIONS(3338),
    [anon_sym_readonly] = ACTIONS(3338),
    [anon_sym_get] = ACTIONS(3338),
    [anon_sym_set] = ACTIONS(3338),
    [anon_sym_declare] = ACTIONS(3338),
    [anon_sym_public] = ACTIONS(3338),
    [anon_sym_private] = ACTIONS(3338),
    [anon_sym_protected] = ACTIONS(3338),
    [anon_sym_override] = ACTIONS(3338),
    [anon_sym_module] = ACTIONS(3338),
    [anon_sym_any] = ACTIONS(3338),
    [anon_sym_number] = ACTIONS(3338),
    [anon_sym_boolean] = ACTIONS(3338),
    [anon_sym_string] = ACTIONS(3338),
    [anon_sym_symbol] = ACTIONS(3338),
    [anon_sym_object] = ACTIONS(3338),
    [anon_sym_abstract] = ACTIONS(3338),
    [anon_sym_interface] = ACTIONS(3338),
    [anon_sym_enum] = ACTIONS(3338),
    [sym_html_comment] = ACTIONS(5),
  },
  [1501] = {
    [sym_comment] = STATE(1501),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1502] = {
    [sym_comment] = STATE(1502),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_export] = ACTIONS(3326),
    [anon_sym_default] = ACTIONS(3326),
    [anon_sym_type] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_typeof] = ACTIONS(3326),
    [anon_sym_import] = ACTIONS(3326),
    [anon_sym_with] = ACTIONS(3326),
    [anon_sym_var] = ACTIONS(3326),
    [anon_sym_let] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_LPAREN] = ACTIONS(3326),
    [anon_sym_await] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_debugger] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym_case] = ACTIONS(3326),
    [anon_sym_yield] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_LTtemplate_GT] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_async] = ACTIONS(3326),
    [anon_sym_function] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_void] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3326),
    [sym_number] = ACTIONS(3326),
    [sym_private_property_identifier] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
    [sym_super] = ACTIONS(3326),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [sym_null] = ACTIONS(3326),
    [sym_undefined] = ACTIONS(3326),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_readonly] = ACTIONS(3326),
    [anon_sym_get] = ACTIONS(3326),
    [anon_sym_set] = ACTIONS(3326),
    [anon_sym_declare] = ACTIONS(3326),
    [anon_sym_public] = ACTIONS(3326),
    [anon_sym_private] = ACTIONS(3326),
    [anon_sym_protected] = ACTIONS(3326),
    [anon_sym_override] = ACTIONS(3326),
    [anon_sym_module] = ACTIONS(3326),
    [anon_sym_any] = ACTIONS(3326),
    [anon_sym_number] = ACTIONS(3326),
    [anon_sym_boolean] = ACTIONS(3326),
    [anon_sym_string] = ACTIONS(3326),
    [anon_sym_symbol] = ACTIONS(3326),
    [anon_sym_object] = ACTIONS(3326),
    [anon_sym_abstract] = ACTIONS(3326),
    [anon_sym_interface] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [sym_html_comment] = ACTIONS(5),
  },
  [1503] = {
    [sym_comment] = STATE(1503),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_default] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_case] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1504] = {
    [sym_comment] = STATE(1504),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_default] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_case] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1505] = {
    [sym_comment] = STATE(1505),
    [sym_identifier] = ACTIONS(3320),
    [anon_sym_export] = ACTIONS(3320),
    [anon_sym_default] = ACTIONS(3320),
    [anon_sym_type] = ACTIONS(3320),
    [anon_sym_namespace] = ACTIONS(3320),
    [anon_sym_LBRACE] = ACTIONS(3320),
    [anon_sym_RBRACE] = ACTIONS(3320),
    [anon_sym_typeof] = ACTIONS(3320),
    [anon_sym_import] = ACTIONS(3320),
    [anon_sym_with] = ACTIONS(3320),
    [anon_sym_var] = ACTIONS(3320),
    [anon_sym_let] = ACTIONS(3320),
    [anon_sym_const] = ACTIONS(3320),
    [anon_sym_BANG] = ACTIONS(3320),
    [anon_sym_if] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(3320),
    [anon_sym_for] = ACTIONS(3320),
    [anon_sym_LPAREN] = ACTIONS(3320),
    [anon_sym_await] = ACTIONS(3320),
    [anon_sym_while] = ACTIONS(3320),
    [anon_sym_do] = ACTIONS(3320),
    [anon_sym_try] = ACTIONS(3320),
    [anon_sym_break] = ACTIONS(3320),
    [anon_sym_continue] = ACTIONS(3320),
    [anon_sym_debugger] = ACTIONS(3320),
    [anon_sym_return] = ACTIONS(3320),
    [anon_sym_throw] = ACTIONS(3320),
    [anon_sym_SEMI] = ACTIONS(3320),
    [anon_sym_case] = ACTIONS(3320),
    [anon_sym_yield] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_LTtemplate_GT] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_async] = ACTIONS(3320),
    [anon_sym_function] = ACTIONS(3320),
    [anon_sym_new] = ACTIONS(3320),
    [anon_sym_using] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_SLASH] = ACTIONS(3320),
    [anon_sym_LT] = ACTIONS(3320),
    [anon_sym_TILDE] = ACTIONS(3320),
    [anon_sym_void] = ACTIONS(3320),
    [anon_sym_delete] = ACTIONS(3320),
    [anon_sym_PLUS_PLUS] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3320),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3320),
    [sym_number] = ACTIONS(3320),
    [sym_private_property_identifier] = ACTIONS(3320),
    [sym_this] = ACTIONS(3320),
    [sym_super] = ACTIONS(3320),
    [sym_true] = ACTIONS(3320),
    [sym_false] = ACTIONS(3320),
    [sym_null] = ACTIONS(3320),
    [sym_undefined] = ACTIONS(3320),
    [anon_sym_AT] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_readonly] = ACTIONS(3320),
    [anon_sym_get] = ACTIONS(3320),
    [anon_sym_set] = ACTIONS(3320),
    [anon_sym_declare] = ACTIONS(3320),
    [anon_sym_public] = ACTIONS(3320),
    [anon_sym_private] = ACTIONS(3320),
    [anon_sym_protected] = ACTIONS(3320),
    [anon_sym_override] = ACTIONS(3320),
    [anon_sym_module] = ACTIONS(3320),
    [anon_sym_any] = ACTIONS(3320),
    [anon_sym_number] = ACTIONS(3320),
    [anon_sym_boolean] = ACTIONS(3320),
    [anon_sym_string] = ACTIONS(3320),
    [anon_sym_symbol] = ACTIONS(3320),
    [anon_sym_object] = ACTIONS(3320),
    [anon_sym_abstract] = ACTIONS(3320),
    [anon_sym_interface] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [sym_html_comment] = ACTIONS(5),
  },
  [1506] = {
    [sym_comment] = STATE(1506),
    [sym_identifier] = ACTIONS(3318),
    [anon_sym_export] = ACTIONS(3318),
    [anon_sym_default] = ACTIONS(3318),
    [anon_sym_type] = ACTIONS(3318),
    [anon_sym_namespace] = ACTIONS(3318),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3318),
    [anon_sym_typeof] = ACTIONS(3318),
    [anon_sym_import] = ACTIONS(3318),
    [anon_sym_with] = ACTIONS(3318),
    [anon_sym_var] = ACTIONS(3318),
    [anon_sym_let] = ACTIONS(3318),
    [anon_sym_const] = ACTIONS(3318),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_if] = ACTIONS(3318),
    [anon_sym_switch] = ACTIONS(3318),
    [anon_sym_for] = ACTIONS(3318),
    [anon_sym_LPAREN] = ACTIONS(3318),
    [anon_sym_await] = ACTIONS(3318),
    [anon_sym_while] = ACTIONS(3318),
    [anon_sym_do] = ACTIONS(3318),
    [anon_sym_try] = ACTIONS(3318),
    [anon_sym_break] = ACTIONS(3318),
    [anon_sym_continue] = ACTIONS(3318),
    [anon_sym_debugger] = ACTIONS(3318),
    [anon_sym_return] = ACTIONS(3318),
    [anon_sym_throw] = ACTIONS(3318),
    [anon_sym_SEMI] = ACTIONS(3318),
    [anon_sym_case] = ACTIONS(3318),
    [anon_sym_yield] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(3318),
    [anon_sym_LTtemplate_GT] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_class] = ACTIONS(3318),
    [anon_sym_async] = ACTIONS(3318),
    [anon_sym_function] = ACTIONS(3318),
    [anon_sym_new] = ACTIONS(3318),
    [anon_sym_using] = ACTIONS(3318),
    [anon_sym_PLUS] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3318),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_LT] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_void] = ACTIONS(3318),
    [anon_sym_delete] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3318),
    [sym_number] = ACTIONS(3318),
    [sym_private_property_identifier] = ACTIONS(3318),
    [sym_this] = ACTIONS(3318),
    [sym_super] = ACTIONS(3318),
    [sym_true] = ACTIONS(3318),
    [sym_false] = ACTIONS(3318),
    [sym_null] = ACTIONS(3318),
    [sym_undefined] = ACTIONS(3318),
    [anon_sym_AT] = ACTIONS(3318),
    [anon_sym_static] = ACTIONS(3318),
    [anon_sym_readonly] = ACTIONS(3318),
    [anon_sym_get] = ACTIONS(3318),
    [anon_sym_set] = ACTIONS(3318),
    [anon_sym_declare] = ACTIONS(3318),
    [anon_sym_public] = ACTIONS(3318),
    [anon_sym_private] = ACTIONS(3318),
    [anon_sym_protected] = ACTIONS(3318),
    [anon_sym_override] = ACTIONS(3318),
    [anon_sym_module] = ACTIONS(3318),
    [anon_sym_any] = ACTIONS(3318),
    [anon_sym_number] = ACTIONS(3318),
    [anon_sym_boolean] = ACTIONS(3318),
    [anon_sym_string] = ACTIONS(3318),
    [anon_sym_symbol] = ACTIONS(3318),
    [anon_sym_object] = ACTIONS(3318),
    [anon_sym_abstract] = ACTIONS(3318),
    [anon_sym_interface] = ACTIONS(3318),
    [anon_sym_enum] = ACTIONS(3318),
    [sym_html_comment] = ACTIONS(5),
  },
  [1507] = {
    [sym_comment] = STATE(1507),
    [sym_identifier] = ACTIONS(3316),
    [anon_sym_export] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_type] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_typeof] = ACTIONS(3316),
    [anon_sym_import] = ACTIONS(3316),
    [anon_sym_with] = ACTIONS(3316),
    [anon_sym_var] = ACTIONS(3316),
    [anon_sym_let] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_BANG] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_await] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_debugger] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_yield] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_LTtemplate_GT] = ACTIONS(3316),
    [anon_sym_DQUOTE] = ACTIONS(3316),
    [anon_sym_SQUOTE] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_async] = ACTIONS(3316),
    [anon_sym_function] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_TILDE] = ACTIONS(3316),
    [anon_sym_void] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_PLUS_PLUS] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3316),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3316),
    [sym_number] = ACTIONS(3316),
    [sym_private_property_identifier] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
    [sym_super] = ACTIONS(3316),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [sym_null] = ACTIONS(3316),
    [sym_undefined] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_readonly] = ACTIONS(3316),
    [anon_sym_get] = ACTIONS(3316),
    [anon_sym_set] = ACTIONS(3316),
    [anon_sym_declare] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_module] = ACTIONS(3316),
    [anon_sym_any] = ACTIONS(3316),
    [anon_sym_number] = ACTIONS(3316),
    [anon_sym_boolean] = ACTIONS(3316),
    [anon_sym_string] = ACTIONS(3316),
    [anon_sym_symbol] = ACTIONS(3316),
    [anon_sym_object] = ACTIONS(3316),
    [anon_sym_abstract] = ACTIONS(3316),
    [anon_sym_interface] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1508] = {
    [sym_comment] = STATE(1508),
    [sym_identifier] = ACTIONS(3316),
    [anon_sym_export] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_type] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_typeof] = ACTIONS(3316),
    [anon_sym_import] = ACTIONS(3316),
    [anon_sym_with] = ACTIONS(3316),
    [anon_sym_var] = ACTIONS(3316),
    [anon_sym_let] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_BANG] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_await] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_debugger] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_yield] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_LTtemplate_GT] = ACTIONS(3316),
    [anon_sym_DQUOTE] = ACTIONS(3316),
    [anon_sym_SQUOTE] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_async] = ACTIONS(3316),
    [anon_sym_function] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_TILDE] = ACTIONS(3316),
    [anon_sym_void] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_PLUS_PLUS] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3316),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3316),
    [sym_number] = ACTIONS(3316),
    [sym_private_property_identifier] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
    [sym_super] = ACTIONS(3316),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [sym_null] = ACTIONS(3316),
    [sym_undefined] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_readonly] = ACTIONS(3316),
    [anon_sym_get] = ACTIONS(3316),
    [anon_sym_set] = ACTIONS(3316),
    [anon_sym_declare] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_module] = ACTIONS(3316),
    [anon_sym_any] = ACTIONS(3316),
    [anon_sym_number] = ACTIONS(3316),
    [anon_sym_boolean] = ACTIONS(3316),
    [anon_sym_string] = ACTIONS(3316),
    [anon_sym_symbol] = ACTIONS(3316),
    [anon_sym_object] = ACTIONS(3316),
    [anon_sym_abstract] = ACTIONS(3316),
    [anon_sym_interface] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1509] = {
    [sym_comment] = STATE(1509),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1510] = {
    [sym_comment] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1511] = {
    [sym_comment] = STATE(1511),
    [ts_builtin_sym_end] = ACTIONS(3550),
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_export] = ACTIONS(3192),
    [anon_sym_type] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_typeof] = ACTIONS(3192),
    [anon_sym_import] = ACTIONS(3192),
    [anon_sym_with] = ACTIONS(3192),
    [anon_sym_var] = ACTIONS(3192),
    [anon_sym_let] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_else] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_await] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_debugger] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_yield] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_LTtemplate_GT] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_async] = ACTIONS(3192),
    [anon_sym_function] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_void] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3192),
    [sym_number] = ACTIONS(3192),
    [sym_private_property_identifier] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
    [sym_super] = ACTIONS(3192),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [sym_null] = ACTIONS(3192),
    [sym_undefined] = ACTIONS(3192),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3192),
    [anon_sym_set] = ACTIONS(3192),
    [anon_sym_declare] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_override] = ACTIONS(3192),
    [anon_sym_module] = ACTIONS(3192),
    [anon_sym_any] = ACTIONS(3192),
    [anon_sym_number] = ACTIONS(3192),
    [anon_sym_boolean] = ACTIONS(3192),
    [anon_sym_string] = ACTIONS(3192),
    [anon_sym_symbol] = ACTIONS(3192),
    [anon_sym_object] = ACTIONS(3192),
    [anon_sym_abstract] = ACTIONS(3192),
    [anon_sym_interface] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1512] = {
    [sym_comment] = STATE(1512),
    [sym_identifier] = ACTIONS(3128),
    [anon_sym_export] = ACTIONS(3128),
    [anon_sym_default] = ACTIONS(3128),
    [anon_sym_type] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_typeof] = ACTIONS(3128),
    [anon_sym_import] = ACTIONS(3128),
    [anon_sym_with] = ACTIONS(3128),
    [anon_sym_var] = ACTIONS(3128),
    [anon_sym_let] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_await] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_debugger] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_yield] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_LTtemplate_GT] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_async] = ACTIONS(3128),
    [anon_sym_function] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_void] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3128),
    [sym_number] = ACTIONS(3128),
    [sym_private_property_identifier] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
    [sym_super] = ACTIONS(3128),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [sym_null] = ACTIONS(3128),
    [sym_undefined] = ACTIONS(3128),
    [anon_sym_AT] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_readonly] = ACTIONS(3128),
    [anon_sym_get] = ACTIONS(3128),
    [anon_sym_set] = ACTIONS(3128),
    [anon_sym_declare] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_override] = ACTIONS(3128),
    [anon_sym_module] = ACTIONS(3128),
    [anon_sym_any] = ACTIONS(3128),
    [anon_sym_number] = ACTIONS(3128),
    [anon_sym_boolean] = ACTIONS(3128),
    [anon_sym_string] = ACTIONS(3128),
    [anon_sym_symbol] = ACTIONS(3128),
    [anon_sym_object] = ACTIONS(3128),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_interface] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [sym_html_comment] = ACTIONS(5),
  },
  [1513] = {
    [sym_comment] = STATE(1513),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1514] = {
    [sym_comment] = STATE(1514),
    [ts_builtin_sym_end] = ACTIONS(3552),
    [sym_identifier] = ACTIONS(3196),
    [anon_sym_export] = ACTIONS(3196),
    [anon_sym_type] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_typeof] = ACTIONS(3196),
    [anon_sym_import] = ACTIONS(3196),
    [anon_sym_with] = ACTIONS(3196),
    [anon_sym_var] = ACTIONS(3196),
    [anon_sym_let] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_else] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_await] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_debugger] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_yield] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_LTtemplate_GT] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_async] = ACTIONS(3196),
    [anon_sym_function] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_void] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3196),
    [sym_number] = ACTIONS(3196),
    [sym_private_property_identifier] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
    [sym_super] = ACTIONS(3196),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [sym_null] = ACTIONS(3196),
    [sym_undefined] = ACTIONS(3196),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_readonly] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3196),
    [anon_sym_declare] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_protected] = ACTIONS(3196),
    [anon_sym_override] = ACTIONS(3196),
    [anon_sym_module] = ACTIONS(3196),
    [anon_sym_any] = ACTIONS(3196),
    [anon_sym_number] = ACTIONS(3196),
    [anon_sym_boolean] = ACTIONS(3196),
    [anon_sym_string] = ACTIONS(3196),
    [anon_sym_symbol] = ACTIONS(3196),
    [anon_sym_object] = ACTIONS(3196),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_interface] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [sym_html_comment] = ACTIONS(5),
  },
  [1515] = {
    [sym_comment] = STATE(1515),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1516] = {
    [sym_comment] = STATE(1516),
    [ts_builtin_sym_end] = ACTIONS(3554),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1517] = {
    [sym_comment] = STATE(1517),
    [ts_builtin_sym_end] = ACTIONS(3556),
    [sym_identifier] = ACTIONS(3200),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_type] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_typeof] = ACTIONS(3200),
    [anon_sym_import] = ACTIONS(3200),
    [anon_sym_with] = ACTIONS(3200),
    [anon_sym_var] = ACTIONS(3200),
    [anon_sym_let] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_else] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_await] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_debugger] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_yield] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_LTtemplate_GT] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_async] = ACTIONS(3200),
    [anon_sym_function] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_void] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3200),
    [sym_number] = ACTIONS(3200),
    [sym_private_property_identifier] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
    [sym_super] = ACTIONS(3200),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [sym_null] = ACTIONS(3200),
    [sym_undefined] = ACTIONS(3200),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_readonly] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3200),
    [anon_sym_set] = ACTIONS(3200),
    [anon_sym_declare] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_module] = ACTIONS(3200),
    [anon_sym_any] = ACTIONS(3200),
    [anon_sym_number] = ACTIONS(3200),
    [anon_sym_boolean] = ACTIONS(3200),
    [anon_sym_string] = ACTIONS(3200),
    [anon_sym_symbol] = ACTIONS(3200),
    [anon_sym_object] = ACTIONS(3200),
    [anon_sym_abstract] = ACTIONS(3200),
    [anon_sym_interface] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1518] = {
    [sym_comment] = STATE(1518),
    [ts_builtin_sym_end] = ACTIONS(3558),
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_export] = ACTIONS(3202),
    [anon_sym_type] = ACTIONS(3202),
    [anon_sym_namespace] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_typeof] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3202),
    [anon_sym_with] = ACTIONS(3202),
    [anon_sym_var] = ACTIONS(3202),
    [anon_sym_let] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_else] = ACTIONS(3202),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_switch] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3202),
    [anon_sym_await] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_do] = ACTIONS(3202),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_break] = ACTIONS(3202),
    [anon_sym_continue] = ACTIONS(3202),
    [anon_sym_debugger] = ACTIONS(3202),
    [anon_sym_return] = ACTIONS(3202),
    [anon_sym_throw] = ACTIONS(3202),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym_yield] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [anon_sym_LTtemplate_GT] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_class] = ACTIONS(3202),
    [anon_sym_async] = ACTIONS(3202),
    [anon_sym_function] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(3202),
    [anon_sym_using] = ACTIONS(3202),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_void] = ACTIONS(3202),
    [anon_sym_delete] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3202),
    [sym_number] = ACTIONS(3202),
    [sym_private_property_identifier] = ACTIONS(3202),
    [sym_this] = ACTIONS(3202),
    [sym_super] = ACTIONS(3202),
    [sym_true] = ACTIONS(3202),
    [sym_false] = ACTIONS(3202),
    [sym_null] = ACTIONS(3202),
    [sym_undefined] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3202),
    [anon_sym_static] = ACTIONS(3202),
    [anon_sym_readonly] = ACTIONS(3202),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_declare] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_module] = ACTIONS(3202),
    [anon_sym_any] = ACTIONS(3202),
    [anon_sym_number] = ACTIONS(3202),
    [anon_sym_boolean] = ACTIONS(3202),
    [anon_sym_string] = ACTIONS(3202),
    [anon_sym_symbol] = ACTIONS(3202),
    [anon_sym_object] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_interface] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [sym_html_comment] = ACTIONS(5),
  },
  [1519] = {
    [sym_comment] = STATE(1519),
    [ts_builtin_sym_end] = ACTIONS(3560),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_export] = ACTIONS(3206),
    [anon_sym_type] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_typeof] = ACTIONS(3206),
    [anon_sym_import] = ACTIONS(3206),
    [anon_sym_with] = ACTIONS(3206),
    [anon_sym_var] = ACTIONS(3206),
    [anon_sym_let] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3206),
    [anon_sym_await] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_debugger] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_yield] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_LTtemplate_GT] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_async] = ACTIONS(3206),
    [anon_sym_function] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_void] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3206),
    [sym_number] = ACTIONS(3206),
    [sym_private_property_identifier] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
    [sym_super] = ACTIONS(3206),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [sym_null] = ACTIONS(3206),
    [sym_undefined] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_readonly] = ACTIONS(3206),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_declare] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_module] = ACTIONS(3206),
    [anon_sym_any] = ACTIONS(3206),
    [anon_sym_number] = ACTIONS(3206),
    [anon_sym_boolean] = ACTIONS(3206),
    [anon_sym_string] = ACTIONS(3206),
    [anon_sym_symbol] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_interface] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1520] = {
    [sym_comment] = STATE(1520),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1521] = {
    [sym_comment] = STATE(1521),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1522] = {
    [sym_comment] = STATE(1522),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1523] = {
    [sym_comment] = STATE(1523),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1524] = {
    [sym_comment] = STATE(1524),
    [ts_builtin_sym_end] = ACTIONS(2207),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1525] = {
    [sym_comment] = STATE(1525),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_export] = ACTIONS(3300),
    [anon_sym_default] = ACTIONS(3300),
    [anon_sym_type] = ACTIONS(3300),
    [anon_sym_namespace] = ACTIONS(3300),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3300),
    [anon_sym_typeof] = ACTIONS(3300),
    [anon_sym_import] = ACTIONS(3300),
    [anon_sym_with] = ACTIONS(3300),
    [anon_sym_var] = ACTIONS(3300),
    [anon_sym_let] = ACTIONS(3300),
    [anon_sym_const] = ACTIONS(3300),
    [anon_sym_BANG] = ACTIONS(3300),
    [anon_sym_if] = ACTIONS(3300),
    [anon_sym_switch] = ACTIONS(3300),
    [anon_sym_for] = ACTIONS(3300),
    [anon_sym_LPAREN] = ACTIONS(3300),
    [anon_sym_await] = ACTIONS(3300),
    [anon_sym_while] = ACTIONS(3300),
    [anon_sym_do] = ACTIONS(3300),
    [anon_sym_try] = ACTIONS(3300),
    [anon_sym_break] = ACTIONS(3300),
    [anon_sym_continue] = ACTIONS(3300),
    [anon_sym_debugger] = ACTIONS(3300),
    [anon_sym_return] = ACTIONS(3300),
    [anon_sym_throw] = ACTIONS(3300),
    [anon_sym_SEMI] = ACTIONS(3300),
    [anon_sym_case] = ACTIONS(3300),
    [anon_sym_yield] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_LTtemplate_GT] = ACTIONS(3300),
    [anon_sym_DQUOTE] = ACTIONS(3300),
    [anon_sym_SQUOTE] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_async] = ACTIONS(3300),
    [anon_sym_function] = ACTIONS(3300),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_using] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_void] = ACTIONS(3300),
    [anon_sym_delete] = ACTIONS(3300),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3300),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [sym_this] = ACTIONS(3300),
    [sym_super] = ACTIONS(3300),
    [sym_true] = ACTIONS(3300),
    [sym_false] = ACTIONS(3300),
    [sym_null] = ACTIONS(3300),
    [sym_undefined] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_readonly] = ACTIONS(3300),
    [anon_sym_get] = ACTIONS(3300),
    [anon_sym_set] = ACTIONS(3300),
    [anon_sym_declare] = ACTIONS(3300),
    [anon_sym_public] = ACTIONS(3300),
    [anon_sym_private] = ACTIONS(3300),
    [anon_sym_protected] = ACTIONS(3300),
    [anon_sym_override] = ACTIONS(3300),
    [anon_sym_module] = ACTIONS(3300),
    [anon_sym_any] = ACTIONS(3300),
    [anon_sym_number] = ACTIONS(3300),
    [anon_sym_boolean] = ACTIONS(3300),
    [anon_sym_string] = ACTIONS(3300),
    [anon_sym_symbol] = ACTIONS(3300),
    [anon_sym_object] = ACTIONS(3300),
    [anon_sym_abstract] = ACTIONS(3300),
    [anon_sym_interface] = ACTIONS(3300),
    [anon_sym_enum] = ACTIONS(3300),
    [sym_html_comment] = ACTIONS(5),
  },
  [1526] = {
    [sym_comment] = STATE(1526),
    [sym_identifier] = ACTIONS(3298),
    [anon_sym_export] = ACTIONS(3298),
    [anon_sym_default] = ACTIONS(3298),
    [anon_sym_type] = ACTIONS(3298),
    [anon_sym_namespace] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_typeof] = ACTIONS(3298),
    [anon_sym_import] = ACTIONS(3298),
    [anon_sym_with] = ACTIONS(3298),
    [anon_sym_var] = ACTIONS(3298),
    [anon_sym_let] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_if] = ACTIONS(3298),
    [anon_sym_switch] = ACTIONS(3298),
    [anon_sym_for] = ACTIONS(3298),
    [anon_sym_LPAREN] = ACTIONS(3298),
    [anon_sym_await] = ACTIONS(3298),
    [anon_sym_while] = ACTIONS(3298),
    [anon_sym_do] = ACTIONS(3298),
    [anon_sym_try] = ACTIONS(3298),
    [anon_sym_break] = ACTIONS(3298),
    [anon_sym_continue] = ACTIONS(3298),
    [anon_sym_debugger] = ACTIONS(3298),
    [anon_sym_return] = ACTIONS(3298),
    [anon_sym_throw] = ACTIONS(3298),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym_case] = ACTIONS(3298),
    [anon_sym_yield] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(3298),
    [anon_sym_LTtemplate_GT] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [anon_sym_class] = ACTIONS(3298),
    [anon_sym_async] = ACTIONS(3298),
    [anon_sym_function] = ACTIONS(3298),
    [anon_sym_new] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3298),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_SLASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_void] = ACTIONS(3298),
    [anon_sym_delete] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3298),
    [sym_number] = ACTIONS(3298),
    [sym_private_property_identifier] = ACTIONS(3298),
    [sym_this] = ACTIONS(3298),
    [sym_super] = ACTIONS(3298),
    [sym_true] = ACTIONS(3298),
    [sym_false] = ACTIONS(3298),
    [sym_null] = ACTIONS(3298),
    [sym_undefined] = ACTIONS(3298),
    [anon_sym_AT] = ACTIONS(3298),
    [anon_sym_static] = ACTIONS(3298),
    [anon_sym_readonly] = ACTIONS(3298),
    [anon_sym_get] = ACTIONS(3298),
    [anon_sym_set] = ACTIONS(3298),
    [anon_sym_declare] = ACTIONS(3298),
    [anon_sym_public] = ACTIONS(3298),
    [anon_sym_private] = ACTIONS(3298),
    [anon_sym_protected] = ACTIONS(3298),
    [anon_sym_override] = ACTIONS(3298),
    [anon_sym_module] = ACTIONS(3298),
    [anon_sym_any] = ACTIONS(3298),
    [anon_sym_number] = ACTIONS(3298),
    [anon_sym_boolean] = ACTIONS(3298),
    [anon_sym_string] = ACTIONS(3298),
    [anon_sym_symbol] = ACTIONS(3298),
    [anon_sym_object] = ACTIONS(3298),
    [anon_sym_abstract] = ACTIONS(3298),
    [anon_sym_interface] = ACTIONS(3298),
    [anon_sym_enum] = ACTIONS(3298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1527] = {
    [sym_comment] = STATE(1527),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1528] = {
    [sym_comment] = STATE(1528),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1529] = {
    [sym_comment] = STATE(1529),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1530] = {
    [sym_comment] = STATE(1530),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1531] = {
    [sym_comment] = STATE(1531),
    [sym_identifier] = ACTIONS(3126),
    [anon_sym_export] = ACTIONS(3126),
    [anon_sym_default] = ACTIONS(3126),
    [anon_sym_type] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_typeof] = ACTIONS(3126),
    [anon_sym_import] = ACTIONS(3126),
    [anon_sym_with] = ACTIONS(3126),
    [anon_sym_var] = ACTIONS(3126),
    [anon_sym_let] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_await] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_debugger] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_case] = ACTIONS(3126),
    [anon_sym_yield] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_LTtemplate_GT] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_async] = ACTIONS(3126),
    [anon_sym_function] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_SLASH] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_void] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3126),
    [sym_number] = ACTIONS(3126),
    [sym_private_property_identifier] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
    [sym_super] = ACTIONS(3126),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [sym_null] = ACTIONS(3126),
    [sym_undefined] = ACTIONS(3126),
    [anon_sym_AT] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_readonly] = ACTIONS(3126),
    [anon_sym_get] = ACTIONS(3126),
    [anon_sym_set] = ACTIONS(3126),
    [anon_sym_declare] = ACTIONS(3126),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_override] = ACTIONS(3126),
    [anon_sym_module] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3126),
    [anon_sym_number] = ACTIONS(3126),
    [anon_sym_boolean] = ACTIONS(3126),
    [anon_sym_string] = ACTIONS(3126),
    [anon_sym_symbol] = ACTIONS(3126),
    [anon_sym_object] = ACTIONS(3126),
    [anon_sym_abstract] = ACTIONS(3126),
    [anon_sym_interface] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1532] = {
    [sym_comment] = STATE(1532),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1533] = {
    [sym_comment] = STATE(1533),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_export] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_type] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_typeof] = ACTIONS(3296),
    [anon_sym_import] = ACTIONS(3296),
    [anon_sym_with] = ACTIONS(3296),
    [anon_sym_var] = ACTIONS(3296),
    [anon_sym_let] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3296),
    [anon_sym_await] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_debugger] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_yield] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_LTtemplate_GT] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_function] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_void] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3296),
    [sym_number] = ACTIONS(3296),
    [sym_private_property_identifier] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
    [sym_super] = ACTIONS(3296),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [sym_null] = ACTIONS(3296),
    [sym_undefined] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_readonly] = ACTIONS(3296),
    [anon_sym_get] = ACTIONS(3296),
    [anon_sym_set] = ACTIONS(3296),
    [anon_sym_declare] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_override] = ACTIONS(3296),
    [anon_sym_module] = ACTIONS(3296),
    [anon_sym_any] = ACTIONS(3296),
    [anon_sym_number] = ACTIONS(3296),
    [anon_sym_boolean] = ACTIONS(3296),
    [anon_sym_string] = ACTIONS(3296),
    [anon_sym_symbol] = ACTIONS(3296),
    [anon_sym_object] = ACTIONS(3296),
    [anon_sym_abstract] = ACTIONS(3296),
    [anon_sym_interface] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1534] = {
    [sym_comment] = STATE(1534),
    [ts_builtin_sym_end] = ACTIONS(3562),
    [sym_identifier] = ACTIONS(3312),
    [anon_sym_export] = ACTIONS(3312),
    [anon_sym_type] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_RBRACE] = ACTIONS(3312),
    [anon_sym_typeof] = ACTIONS(3312),
    [anon_sym_import] = ACTIONS(3312),
    [anon_sym_with] = ACTIONS(3312),
    [anon_sym_var] = ACTIONS(3312),
    [anon_sym_let] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_else] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3312),
    [anon_sym_await] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_debugger] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3312),
    [anon_sym_yield] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_LTtemplate_GT] = ACTIONS(3312),
    [anon_sym_DQUOTE] = ACTIONS(3312),
    [anon_sym_SQUOTE] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_async] = ACTIONS(3312),
    [anon_sym_function] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3312),
    [anon_sym_void] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3312),
    [sym_number] = ACTIONS(3312),
    [sym_private_property_identifier] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
    [sym_super] = ACTIONS(3312),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [sym_null] = ACTIONS(3312),
    [sym_undefined] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_readonly] = ACTIONS(3312),
    [anon_sym_get] = ACTIONS(3312),
    [anon_sym_set] = ACTIONS(3312),
    [anon_sym_declare] = ACTIONS(3312),
    [anon_sym_public] = ACTIONS(3312),
    [anon_sym_private] = ACTIONS(3312),
    [anon_sym_protected] = ACTIONS(3312),
    [anon_sym_override] = ACTIONS(3312),
    [anon_sym_module] = ACTIONS(3312),
    [anon_sym_any] = ACTIONS(3312),
    [anon_sym_number] = ACTIONS(3312),
    [anon_sym_boolean] = ACTIONS(3312),
    [anon_sym_string] = ACTIONS(3312),
    [anon_sym_symbol] = ACTIONS(3312),
    [anon_sym_object] = ACTIONS(3312),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_interface] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1535] = {
    [sym_comment] = STATE(1535),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1536] = {
    [sym_comment] = STATE(1536),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1537] = {
    [sym_comment] = STATE(1537),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1538] = {
    [sym_comment] = STATE(1538),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1539] = {
    [sym_comment] = STATE(1539),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1540] = {
    [sym_comment] = STATE(1540),
    [ts_builtin_sym_end] = ACTIONS(2347),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2417),
    [sym_html_comment] = ACTIONS(5),
  },
  [1541] = {
    [sym_comment] = STATE(1541),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1542] = {
    [sym_comment] = STATE(1542),
    [ts_builtin_sym_end] = ACTIONS(2311),
    [sym_identifier] = ACTIONS(2163),
    [anon_sym_export] = ACTIONS(2163),
    [anon_sym_type] = ACTIONS(2163),
    [anon_sym_namespace] = ACTIONS(2163),
    [anon_sym_LBRACE] = ACTIONS(2163),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_typeof] = ACTIONS(2163),
    [anon_sym_import] = ACTIONS(2163),
    [anon_sym_with] = ACTIONS(2163),
    [anon_sym_var] = ACTIONS(2163),
    [anon_sym_let] = ACTIONS(2163),
    [anon_sym_const] = ACTIONS(2163),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_if] = ACTIONS(2163),
    [anon_sym_switch] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2163),
    [anon_sym_LPAREN] = ACTIONS(2163),
    [anon_sym_await] = ACTIONS(2163),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_do] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2163),
    [anon_sym_break] = ACTIONS(2163),
    [anon_sym_continue] = ACTIONS(2163),
    [anon_sym_debugger] = ACTIONS(2163),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_throw] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_yield] = ACTIONS(2163),
    [anon_sym_LBRACK] = ACTIONS(2163),
    [anon_sym_LTtemplate_GT] = ACTIONS(2163),
    [anon_sym_DQUOTE] = ACTIONS(2163),
    [anon_sym_SQUOTE] = ACTIONS(2163),
    [anon_sym_class] = ACTIONS(2163),
    [anon_sym_async] = ACTIONS(2163),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(2163),
    [anon_sym_PLUS] = ACTIONS(2163),
    [anon_sym_DASH] = ACTIONS(2163),
    [anon_sym_SLASH] = ACTIONS(2163),
    [anon_sym_LT] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_void] = ACTIONS(2163),
    [anon_sym_delete] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2163),
    [sym_number] = ACTIONS(2163),
    [sym_private_property_identifier] = ACTIONS(2163),
    [sym_this] = ACTIONS(2163),
    [sym_super] = ACTIONS(2163),
    [sym_true] = ACTIONS(2163),
    [sym_false] = ACTIONS(2163),
    [sym_null] = ACTIONS(2163),
    [sym_undefined] = ACTIONS(2163),
    [anon_sym_AT] = ACTIONS(2163),
    [anon_sym_static] = ACTIONS(2163),
    [anon_sym_readonly] = ACTIONS(2163),
    [anon_sym_get] = ACTIONS(2163),
    [anon_sym_set] = ACTIONS(2163),
    [anon_sym_declare] = ACTIONS(2163),
    [anon_sym_public] = ACTIONS(2163),
    [anon_sym_private] = ACTIONS(2163),
    [anon_sym_protected] = ACTIONS(2163),
    [anon_sym_override] = ACTIONS(2163),
    [anon_sym_module] = ACTIONS(2163),
    [anon_sym_any] = ACTIONS(2163),
    [anon_sym_number] = ACTIONS(2163),
    [anon_sym_boolean] = ACTIONS(2163),
    [anon_sym_string] = ACTIONS(2163),
    [anon_sym_symbol] = ACTIONS(2163),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_abstract] = ACTIONS(2163),
    [anon_sym_interface] = ACTIONS(2163),
    [anon_sym_enum] = ACTIONS(2163),
    [sym__automatic_semicolon] = ACTIONS(2431),
    [sym_html_comment] = ACTIONS(5),
  },
  [1543] = {
    [sym_comment] = STATE(1543),
    [ts_builtin_sym_end] = ACTIONS(2317),
    [sym_identifier] = ACTIONS(2179),
    [anon_sym_export] = ACTIONS(2179),
    [anon_sym_type] = ACTIONS(2179),
    [anon_sym_namespace] = ACTIONS(2179),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_typeof] = ACTIONS(2179),
    [anon_sym_import] = ACTIONS(2179),
    [anon_sym_with] = ACTIONS(2179),
    [anon_sym_var] = ACTIONS(2179),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_const] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_if] = ACTIONS(2179),
    [anon_sym_switch] = ACTIONS(2179),
    [anon_sym_for] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(2179),
    [anon_sym_while] = ACTIONS(2179),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_try] = ACTIONS(2179),
    [anon_sym_break] = ACTIONS(2179),
    [anon_sym_continue] = ACTIONS(2179),
    [anon_sym_debugger] = ACTIONS(2179),
    [anon_sym_return] = ACTIONS(2179),
    [anon_sym_throw] = ACTIONS(2179),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_yield] = ACTIONS(2179),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_LTtemplate_GT] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [anon_sym_class] = ACTIONS(2179),
    [anon_sym_async] = ACTIONS(2179),
    [anon_sym_function] = ACTIONS(2179),
    [anon_sym_new] = ACTIONS(2179),
    [anon_sym_using] = ACTIONS(2179),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_SLASH] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_void] = ACTIONS(2179),
    [anon_sym_delete] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2179),
    [sym_number] = ACTIONS(2179),
    [sym_private_property_identifier] = ACTIONS(2179),
    [sym_this] = ACTIONS(2179),
    [sym_super] = ACTIONS(2179),
    [sym_true] = ACTIONS(2179),
    [sym_false] = ACTIONS(2179),
    [sym_null] = ACTIONS(2179),
    [sym_undefined] = ACTIONS(2179),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_static] = ACTIONS(2179),
    [anon_sym_readonly] = ACTIONS(2179),
    [anon_sym_get] = ACTIONS(2179),
    [anon_sym_set] = ACTIONS(2179),
    [anon_sym_declare] = ACTIONS(2179),
    [anon_sym_public] = ACTIONS(2179),
    [anon_sym_private] = ACTIONS(2179),
    [anon_sym_protected] = ACTIONS(2179),
    [anon_sym_override] = ACTIONS(2179),
    [anon_sym_module] = ACTIONS(2179),
    [anon_sym_any] = ACTIONS(2179),
    [anon_sym_number] = ACTIONS(2179),
    [anon_sym_boolean] = ACTIONS(2179),
    [anon_sym_string] = ACTIONS(2179),
    [anon_sym_symbol] = ACTIONS(2179),
    [anon_sym_object] = ACTIONS(2179),
    [anon_sym_abstract] = ACTIONS(2179),
    [anon_sym_interface] = ACTIONS(2179),
    [anon_sym_enum] = ACTIONS(2179),
    [sym__automatic_semicolon] = ACTIONS(2433),
    [sym_html_comment] = ACTIONS(5),
  },
  [1544] = {
    [sym_comment] = STATE(1544),
    [ts_builtin_sym_end] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_export] = ACTIONS(2189),
    [anon_sym_type] = ACTIONS(2189),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_RBRACE] = ACTIONS(2189),
    [anon_sym_typeof] = ACTIONS(2189),
    [anon_sym_import] = ACTIONS(2189),
    [anon_sym_with] = ACTIONS(2189),
    [anon_sym_var] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_debugger] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2189),
    [anon_sym_yield] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_LTtemplate_GT] = ACTIONS(2189),
    [anon_sym_DQUOTE] = ACTIONS(2189),
    [anon_sym_SQUOTE] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_function] = ACTIONS(2189),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_using] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_SLASH] = ACTIONS(2189),
    [anon_sym_LT] = ACTIONS(2189),
    [anon_sym_TILDE] = ACTIONS(2189),
    [anon_sym_void] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2189),
    [sym_number] = ACTIONS(2189),
    [sym_private_property_identifier] = ACTIONS(2189),
    [sym_this] = ACTIONS(2189),
    [sym_super] = ACTIONS(2189),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [sym_null] = ACTIONS(2189),
    [sym_undefined] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2189),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_readonly] = ACTIONS(2189),
    [anon_sym_get] = ACTIONS(2189),
    [anon_sym_set] = ACTIONS(2189),
    [anon_sym_declare] = ACTIONS(2189),
    [anon_sym_public] = ACTIONS(2189),
    [anon_sym_private] = ACTIONS(2189),
    [anon_sym_protected] = ACTIONS(2189),
    [anon_sym_override] = ACTIONS(2189),
    [anon_sym_module] = ACTIONS(2189),
    [anon_sym_any] = ACTIONS(2189),
    [anon_sym_number] = ACTIONS(2189),
    [anon_sym_boolean] = ACTIONS(2189),
    [anon_sym_string] = ACTIONS(2189),
    [anon_sym_symbol] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_abstract] = ACTIONS(2189),
    [anon_sym_interface] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
    [sym__automatic_semicolon] = ACTIONS(2457),
    [sym_html_comment] = ACTIONS(5),
  },
  [1545] = {
    [sym_comment] = STATE(1545),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1546] = {
    [sym_comment] = STATE(1546),
    [ts_builtin_sym_end] = ACTIONS(2333),
    [sym_identifier] = ACTIONS(2197),
    [anon_sym_export] = ACTIONS(2197),
    [anon_sym_type] = ACTIONS(2197),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_RBRACE] = ACTIONS(2197),
    [anon_sym_typeof] = ACTIONS(2197),
    [anon_sym_import] = ACTIONS(2197),
    [anon_sym_with] = ACTIONS(2197),
    [anon_sym_var] = ACTIONS(2197),
    [anon_sym_let] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_debugger] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_yield] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LTtemplate_GT] = ACTIONS(2197),
    [anon_sym_DQUOTE] = ACTIONS(2197),
    [anon_sym_SQUOTE] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2197),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_using] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_void] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2197),
    [sym_number] = ACTIONS(2197),
    [sym_private_property_identifier] = ACTIONS(2197),
    [sym_this] = ACTIONS(2197),
    [sym_super] = ACTIONS(2197),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [sym_null] = ACTIONS(2197),
    [sym_undefined] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_readonly] = ACTIONS(2197),
    [anon_sym_get] = ACTIONS(2197),
    [anon_sym_set] = ACTIONS(2197),
    [anon_sym_declare] = ACTIONS(2197),
    [anon_sym_public] = ACTIONS(2197),
    [anon_sym_private] = ACTIONS(2197),
    [anon_sym_protected] = ACTIONS(2197),
    [anon_sym_override] = ACTIONS(2197),
    [anon_sym_module] = ACTIONS(2197),
    [anon_sym_any] = ACTIONS(2197),
    [anon_sym_number] = ACTIONS(2197),
    [anon_sym_boolean] = ACTIONS(2197),
    [anon_sym_string] = ACTIONS(2197),
    [anon_sym_symbol] = ACTIONS(2197),
    [anon_sym_object] = ACTIONS(2197),
    [anon_sym_abstract] = ACTIONS(2197),
    [anon_sym_interface] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
    [sym__automatic_semicolon] = ACTIONS(2451),
    [sym_html_comment] = ACTIONS(5),
  },
  [1547] = {
    [sym_comment] = STATE(1547),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1548] = {
    [sym_comment] = STATE(1548),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1549] = {
    [sym_comment] = STATE(1549),
    [ts_builtin_sym_end] = ACTIONS(3492),
    [sym_identifier] = ACTIONS(3348),
    [anon_sym_export] = ACTIONS(3348),
    [anon_sym_type] = ACTIONS(3348),
    [anon_sym_namespace] = ACTIONS(3348),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_RBRACE] = ACTIONS(3348),
    [anon_sym_typeof] = ACTIONS(3348),
    [anon_sym_import] = ACTIONS(3348),
    [anon_sym_with] = ACTIONS(3348),
    [anon_sym_var] = ACTIONS(3348),
    [anon_sym_let] = ACTIONS(3348),
    [anon_sym_const] = ACTIONS(3348),
    [anon_sym_BANG] = ACTIONS(3348),
    [anon_sym_if] = ACTIONS(3348),
    [anon_sym_switch] = ACTIONS(3348),
    [anon_sym_for] = ACTIONS(3348),
    [anon_sym_LPAREN] = ACTIONS(3348),
    [anon_sym_await] = ACTIONS(3348),
    [anon_sym_while] = ACTIONS(3348),
    [anon_sym_do] = ACTIONS(3348),
    [anon_sym_try] = ACTIONS(3348),
    [anon_sym_break] = ACTIONS(3348),
    [anon_sym_continue] = ACTIONS(3348),
    [anon_sym_debugger] = ACTIONS(3348),
    [anon_sym_return] = ACTIONS(3348),
    [anon_sym_throw] = ACTIONS(3348),
    [anon_sym_SEMI] = ACTIONS(3348),
    [anon_sym_yield] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_LTtemplate_GT] = ACTIONS(3348),
    [anon_sym_DQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_async] = ACTIONS(3348),
    [anon_sym_function] = ACTIONS(3348),
    [anon_sym_new] = ACTIONS(3348),
    [anon_sym_using] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3348),
    [anon_sym_DASH] = ACTIONS(3348),
    [anon_sym_SLASH] = ACTIONS(3348),
    [anon_sym_LT] = ACTIONS(3348),
    [anon_sym_TILDE] = ACTIONS(3348),
    [anon_sym_void] = ACTIONS(3348),
    [anon_sym_delete] = ACTIONS(3348),
    [anon_sym_PLUS_PLUS] = ACTIONS(3348),
    [anon_sym_DASH_DASH] = ACTIONS(3348),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3348),
    [sym_number] = ACTIONS(3348),
    [sym_private_property_identifier] = ACTIONS(3348),
    [sym_this] = ACTIONS(3348),
    [sym_super] = ACTIONS(3348),
    [sym_true] = ACTIONS(3348),
    [sym_false] = ACTIONS(3348),
    [sym_null] = ACTIONS(3348),
    [sym_undefined] = ACTIONS(3348),
    [anon_sym_AT] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [anon_sym_readonly] = ACTIONS(3348),
    [anon_sym_get] = ACTIONS(3348),
    [anon_sym_set] = ACTIONS(3348),
    [anon_sym_declare] = ACTIONS(3348),
    [anon_sym_public] = ACTIONS(3348),
    [anon_sym_private] = ACTIONS(3348),
    [anon_sym_protected] = ACTIONS(3348),
    [anon_sym_override] = ACTIONS(3348),
    [anon_sym_module] = ACTIONS(3348),
    [anon_sym_any] = ACTIONS(3348),
    [anon_sym_number] = ACTIONS(3348),
    [anon_sym_boolean] = ACTIONS(3348),
    [anon_sym_string] = ACTIONS(3348),
    [anon_sym_symbol] = ACTIONS(3348),
    [anon_sym_object] = ACTIONS(3348),
    [anon_sym_abstract] = ACTIONS(3348),
    [anon_sym_interface] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(3348),
    [sym_html_comment] = ACTIONS(5),
  },
  [1550] = {
    [sym_comment] = STATE(1550),
    [ts_builtin_sym_end] = ACTIONS(3378),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_export] = ACTIONS(3278),
    [anon_sym_type] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_typeof] = ACTIONS(3278),
    [anon_sym_import] = ACTIONS(3278),
    [anon_sym_with] = ACTIONS(3278),
    [anon_sym_var] = ACTIONS(3278),
    [anon_sym_let] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_BANG] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_await] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_debugger] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_yield] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_LTtemplate_GT] = ACTIONS(3278),
    [anon_sym_DQUOTE] = ACTIONS(3278),
    [anon_sym_SQUOTE] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_async] = ACTIONS(3278),
    [anon_sym_function] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_SLASH] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_void] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3278),
    [sym_number] = ACTIONS(3278),
    [sym_private_property_identifier] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
    [sym_super] = ACTIONS(3278),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [sym_null] = ACTIONS(3278),
    [sym_undefined] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_readonly] = ACTIONS(3278),
    [anon_sym_get] = ACTIONS(3278),
    [anon_sym_set] = ACTIONS(3278),
    [anon_sym_declare] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_override] = ACTIONS(3278),
    [anon_sym_module] = ACTIONS(3278),
    [anon_sym_any] = ACTIONS(3278),
    [anon_sym_number] = ACTIONS(3278),
    [anon_sym_boolean] = ACTIONS(3278),
    [anon_sym_string] = ACTIONS(3278),
    [anon_sym_symbol] = ACTIONS(3278),
    [anon_sym_object] = ACTIONS(3278),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_interface] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [sym_html_comment] = ACTIONS(5),
  },
  [1551] = {
    [sym_comment] = STATE(1551),
    [ts_builtin_sym_end] = ACTIONS(3422),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1552] = {
    [sym_comment] = STATE(1552),
    [ts_builtin_sym_end] = ACTIONS(3496),
    [sym_identifier] = ACTIONS(3126),
    [anon_sym_export] = ACTIONS(3126),
    [anon_sym_type] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_typeof] = ACTIONS(3126),
    [anon_sym_import] = ACTIONS(3126),
    [anon_sym_with] = ACTIONS(3126),
    [anon_sym_var] = ACTIONS(3126),
    [anon_sym_let] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_await] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_debugger] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_yield] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_LTtemplate_GT] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_async] = ACTIONS(3126),
    [anon_sym_function] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_SLASH] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_void] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3126),
    [sym_number] = ACTIONS(3126),
    [sym_private_property_identifier] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
    [sym_super] = ACTIONS(3126),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [sym_null] = ACTIONS(3126),
    [sym_undefined] = ACTIONS(3126),
    [anon_sym_AT] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_readonly] = ACTIONS(3126),
    [anon_sym_get] = ACTIONS(3126),
    [anon_sym_set] = ACTIONS(3126),
    [anon_sym_declare] = ACTIONS(3126),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_override] = ACTIONS(3126),
    [anon_sym_module] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3126),
    [anon_sym_number] = ACTIONS(3126),
    [anon_sym_boolean] = ACTIONS(3126),
    [anon_sym_string] = ACTIONS(3126),
    [anon_sym_symbol] = ACTIONS(3126),
    [anon_sym_object] = ACTIONS(3126),
    [anon_sym_abstract] = ACTIONS(3126),
    [anon_sym_interface] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1553] = {
    [sym_comment] = STATE(1553),
    [ts_builtin_sym_end] = ACTIONS(3420),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1554] = {
    [sym_comment] = STATE(1554),
    [ts_builtin_sym_end] = ACTIONS(3420),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1555] = {
    [sym_comment] = STATE(1555),
    [ts_builtin_sym_end] = ACTIONS(3534),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1556] = {
    [sym_comment] = STATE(1556),
    [ts_builtin_sym_end] = ACTIONS(3532),
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_export] = ACTIONS(3178),
    [anon_sym_type] = ACTIONS(3178),
    [anon_sym_namespace] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_typeof] = ACTIONS(3178),
    [anon_sym_import] = ACTIONS(3178),
    [anon_sym_with] = ACTIONS(3178),
    [anon_sym_var] = ACTIONS(3178),
    [anon_sym_let] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_switch] = ACTIONS(3178),
    [anon_sym_for] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_await] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_do] = ACTIONS(3178),
    [anon_sym_try] = ACTIONS(3178),
    [anon_sym_break] = ACTIONS(3178),
    [anon_sym_continue] = ACTIONS(3178),
    [anon_sym_debugger] = ACTIONS(3178),
    [anon_sym_return] = ACTIONS(3178),
    [anon_sym_throw] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym_yield] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3178),
    [anon_sym_LTtemplate_GT] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_async] = ACTIONS(3178),
    [anon_sym_function] = ACTIONS(3178),
    [anon_sym_new] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_void] = ACTIONS(3178),
    [anon_sym_delete] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3178),
    [sym_number] = ACTIONS(3178),
    [sym_private_property_identifier] = ACTIONS(3178),
    [sym_this] = ACTIONS(3178),
    [sym_super] = ACTIONS(3178),
    [sym_true] = ACTIONS(3178),
    [sym_false] = ACTIONS(3178),
    [sym_null] = ACTIONS(3178),
    [sym_undefined] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3178),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_readonly] = ACTIONS(3178),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_declare] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_module] = ACTIONS(3178),
    [anon_sym_any] = ACTIONS(3178),
    [anon_sym_number] = ACTIONS(3178),
    [anon_sym_boolean] = ACTIONS(3178),
    [anon_sym_string] = ACTIONS(3178),
    [anon_sym_symbol] = ACTIONS(3178),
    [anon_sym_object] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_interface] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [sym_html_comment] = ACTIONS(5),
  },
  [1557] = {
    [sym_comment] = STATE(1557),
    [ts_builtin_sym_end] = ACTIONS(3380),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1558] = {
    [sym_comment] = STATE(1558),
    [ts_builtin_sym_end] = ACTIONS(3380),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1559] = {
    [sym_comment] = STATE(1559),
    [ts_builtin_sym_end] = ACTIONS(3382),
    [sym_identifier] = ACTIONS(3274),
    [anon_sym_export] = ACTIONS(3274),
    [anon_sym_type] = ACTIONS(3274),
    [anon_sym_namespace] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_typeof] = ACTIONS(3274),
    [anon_sym_import] = ACTIONS(3274),
    [anon_sym_with] = ACTIONS(3274),
    [anon_sym_var] = ACTIONS(3274),
    [anon_sym_let] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_BANG] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(3274),
    [anon_sym_await] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_try] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_debugger] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_throw] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym_yield] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_LTtemplate_GT] = ACTIONS(3274),
    [anon_sym_DQUOTE] = ACTIONS(3274),
    [anon_sym_SQUOTE] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_async] = ACTIONS(3274),
    [anon_sym_function] = ACTIONS(3274),
    [anon_sym_new] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_SLASH] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3274),
    [anon_sym_TILDE] = ACTIONS(3274),
    [anon_sym_void] = ACTIONS(3274),
    [anon_sym_delete] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3274),
    [sym_number] = ACTIONS(3274),
    [sym_private_property_identifier] = ACTIONS(3274),
    [sym_this] = ACTIONS(3274),
    [sym_super] = ACTIONS(3274),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [sym_null] = ACTIONS(3274),
    [sym_undefined] = ACTIONS(3274),
    [anon_sym_AT] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_readonly] = ACTIONS(3274),
    [anon_sym_get] = ACTIONS(3274),
    [anon_sym_set] = ACTIONS(3274),
    [anon_sym_declare] = ACTIONS(3274),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_override] = ACTIONS(3274),
    [anon_sym_module] = ACTIONS(3274),
    [anon_sym_any] = ACTIONS(3274),
    [anon_sym_number] = ACTIONS(3274),
    [anon_sym_boolean] = ACTIONS(3274),
    [anon_sym_string] = ACTIONS(3274),
    [anon_sym_symbol] = ACTIONS(3274),
    [anon_sym_object] = ACTIONS(3274),
    [anon_sym_abstract] = ACTIONS(3274),
    [anon_sym_interface] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [sym_html_comment] = ACTIONS(5),
  },
  [1560] = {
    [sym_comment] = STATE(1560),
    [ts_builtin_sym_end] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(3168),
    [anon_sym_export] = ACTIONS(3168),
    [anon_sym_type] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_typeof] = ACTIONS(3168),
    [anon_sym_import] = ACTIONS(3168),
    [anon_sym_with] = ACTIONS(3168),
    [anon_sym_var] = ACTIONS(3168),
    [anon_sym_let] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_await] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_debugger] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_yield] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_LTtemplate_GT] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_async] = ACTIONS(3168),
    [anon_sym_function] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_void] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3168),
    [sym_number] = ACTIONS(3168),
    [sym_private_property_identifier] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
    [sym_super] = ACTIONS(3168),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [sym_null] = ACTIONS(3168),
    [sym_undefined] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_readonly] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3168),
    [anon_sym_set] = ACTIONS(3168),
    [anon_sym_declare] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_override] = ACTIONS(3168),
    [anon_sym_module] = ACTIONS(3168),
    [anon_sym_any] = ACTIONS(3168),
    [anon_sym_number] = ACTIONS(3168),
    [anon_sym_boolean] = ACTIONS(3168),
    [anon_sym_string] = ACTIONS(3168),
    [anon_sym_symbol] = ACTIONS(3168),
    [anon_sym_object] = ACTIONS(3168),
    [anon_sym_abstract] = ACTIONS(3168),
    [anon_sym_interface] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1561] = {
    [sym_comment] = STATE(1561),
    [ts_builtin_sym_end] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_export] = ACTIONS(3110),
    [anon_sym_type] = ACTIONS(3110),
    [anon_sym_namespace] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_typeof] = ACTIONS(3110),
    [anon_sym_import] = ACTIONS(3110),
    [anon_sym_with] = ACTIONS(3110),
    [anon_sym_var] = ACTIONS(3110),
    [anon_sym_let] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_switch] = ACTIONS(3110),
    [anon_sym_for] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3110),
    [anon_sym_await] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_do] = ACTIONS(3110),
    [anon_sym_try] = ACTIONS(3110),
    [anon_sym_break] = ACTIONS(3110),
    [anon_sym_continue] = ACTIONS(3110),
    [anon_sym_debugger] = ACTIONS(3110),
    [anon_sym_return] = ACTIONS(3110),
    [anon_sym_throw] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_yield] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_LTtemplate_GT] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_class] = ACTIONS(3110),
    [anon_sym_async] = ACTIONS(3110),
    [anon_sym_function] = ACTIONS(3110),
    [anon_sym_new] = ACTIONS(3110),
    [anon_sym_using] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_void] = ACTIONS(3110),
    [anon_sym_delete] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3110),
    [sym_number] = ACTIONS(3110),
    [sym_private_property_identifier] = ACTIONS(3110),
    [sym_this] = ACTIONS(3110),
    [sym_super] = ACTIONS(3110),
    [sym_true] = ACTIONS(3110),
    [sym_false] = ACTIONS(3110),
    [sym_null] = ACTIONS(3110),
    [sym_undefined] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3110),
    [anon_sym_static] = ACTIONS(3110),
    [anon_sym_readonly] = ACTIONS(3110),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_declare] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_module] = ACTIONS(3110),
    [anon_sym_any] = ACTIONS(3110),
    [anon_sym_number] = ACTIONS(3110),
    [anon_sym_boolean] = ACTIONS(3110),
    [anon_sym_string] = ACTIONS(3110),
    [anon_sym_symbol] = ACTIONS(3110),
    [anon_sym_object] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_interface] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [sym_html_comment] = ACTIONS(5),
  },
  [1562] = {
    [sym_comment] = STATE(1562),
    [ts_builtin_sym_end] = ACTIONS(3456),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1563] = {
    [sym_comment] = STATE(1563),
    [ts_builtin_sym_end] = ACTIONS(3454),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_export] = ACTIONS(3204),
    [anon_sym_type] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_typeof] = ACTIONS(3204),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_with] = ACTIONS(3204),
    [anon_sym_var] = ACTIONS(3204),
    [anon_sym_let] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_BANG] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_await] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_debugger] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_yield] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_LTtemplate_GT] = ACTIONS(3204),
    [anon_sym_DQUOTE] = ACTIONS(3204),
    [anon_sym_SQUOTE] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_async] = ACTIONS(3204),
    [anon_sym_function] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_TILDE] = ACTIONS(3204),
    [anon_sym_void] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3204),
    [sym_number] = ACTIONS(3204),
    [sym_private_property_identifier] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
    [sym_super] = ACTIONS(3204),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [sym_null] = ACTIONS(3204),
    [sym_undefined] = ACTIONS(3204),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_readonly] = ACTIONS(3204),
    [anon_sym_get] = ACTIONS(3204),
    [anon_sym_set] = ACTIONS(3204),
    [anon_sym_declare] = ACTIONS(3204),
    [anon_sym_public] = ACTIONS(3204),
    [anon_sym_private] = ACTIONS(3204),
    [anon_sym_protected] = ACTIONS(3204),
    [anon_sym_override] = ACTIONS(3204),
    [anon_sym_module] = ACTIONS(3204),
    [anon_sym_any] = ACTIONS(3204),
    [anon_sym_number] = ACTIONS(3204),
    [anon_sym_boolean] = ACTIONS(3204),
    [anon_sym_string] = ACTIONS(3204),
    [anon_sym_symbol] = ACTIONS(3204),
    [anon_sym_object] = ACTIONS(3204),
    [anon_sym_abstract] = ACTIONS(3204),
    [anon_sym_interface] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [1564] = {
    [sym_comment] = STATE(1564),
    [ts_builtin_sym_end] = ACTIONS(3430),
    [sym_identifier] = ACTIONS(3340),
    [anon_sym_export] = ACTIONS(3340),
    [anon_sym_type] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_typeof] = ACTIONS(3340),
    [anon_sym_import] = ACTIONS(3340),
    [anon_sym_with] = ACTIONS(3340),
    [anon_sym_var] = ACTIONS(3340),
    [anon_sym_let] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_BANG] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_await] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_debugger] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3340),
    [anon_sym_yield] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_LTtemplate_GT] = ACTIONS(3340),
    [anon_sym_DQUOTE] = ACTIONS(3340),
    [anon_sym_SQUOTE] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_async] = ACTIONS(3340),
    [anon_sym_function] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_SLASH] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3340),
    [anon_sym_TILDE] = ACTIONS(3340),
    [anon_sym_void] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_PLUS_PLUS] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3340),
    [sym_number] = ACTIONS(3340),
    [sym_private_property_identifier] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
    [sym_super] = ACTIONS(3340),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [sym_null] = ACTIONS(3340),
    [sym_undefined] = ACTIONS(3340),
    [anon_sym_AT] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_readonly] = ACTIONS(3340),
    [anon_sym_get] = ACTIONS(3340),
    [anon_sym_set] = ACTIONS(3340),
    [anon_sym_declare] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_protected] = ACTIONS(3340),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3340),
    [anon_sym_any] = ACTIONS(3340),
    [anon_sym_number] = ACTIONS(3340),
    [anon_sym_boolean] = ACTIONS(3340),
    [anon_sym_string] = ACTIONS(3340),
    [anon_sym_symbol] = ACTIONS(3340),
    [anon_sym_object] = ACTIONS(3340),
    [anon_sym_abstract] = ACTIONS(3340),
    [anon_sym_interface] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [sym_html_comment] = ACTIONS(5),
  },
  [1565] = {
    [sym_comment] = STATE(1565),
    [ts_builtin_sym_end] = ACTIONS(3430),
    [sym_identifier] = ACTIONS(3340),
    [anon_sym_export] = ACTIONS(3340),
    [anon_sym_type] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_typeof] = ACTIONS(3340),
    [anon_sym_import] = ACTIONS(3340),
    [anon_sym_with] = ACTIONS(3340),
    [anon_sym_var] = ACTIONS(3340),
    [anon_sym_let] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_BANG] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_await] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_debugger] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3340),
    [anon_sym_yield] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_LTtemplate_GT] = ACTIONS(3340),
    [anon_sym_DQUOTE] = ACTIONS(3340),
    [anon_sym_SQUOTE] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_async] = ACTIONS(3340),
    [anon_sym_function] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_SLASH] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3340),
    [anon_sym_TILDE] = ACTIONS(3340),
    [anon_sym_void] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_PLUS_PLUS] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3340),
    [sym_number] = ACTIONS(3340),
    [sym_private_property_identifier] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
    [sym_super] = ACTIONS(3340),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [sym_null] = ACTIONS(3340),
    [sym_undefined] = ACTIONS(3340),
    [anon_sym_AT] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_readonly] = ACTIONS(3340),
    [anon_sym_get] = ACTIONS(3340),
    [anon_sym_set] = ACTIONS(3340),
    [anon_sym_declare] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_protected] = ACTIONS(3340),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3340),
    [anon_sym_any] = ACTIONS(3340),
    [anon_sym_number] = ACTIONS(3340),
    [anon_sym_boolean] = ACTIONS(3340),
    [anon_sym_string] = ACTIONS(3340),
    [anon_sym_symbol] = ACTIONS(3340),
    [anon_sym_object] = ACTIONS(3340),
    [anon_sym_abstract] = ACTIONS(3340),
    [anon_sym_interface] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [sym_html_comment] = ACTIONS(5),
  },
  [1566] = {
    [sym_comment] = STATE(1566),
    [ts_builtin_sym_end] = ACTIONS(3452),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_export] = ACTIONS(3210),
    [anon_sym_type] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_typeof] = ACTIONS(3210),
    [anon_sym_import] = ACTIONS(3210),
    [anon_sym_with] = ACTIONS(3210),
    [anon_sym_var] = ACTIONS(3210),
    [anon_sym_let] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3210),
    [anon_sym_await] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_debugger] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_yield] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_LTtemplate_GT] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_async] = ACTIONS(3210),
    [anon_sym_function] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_void] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3210),
    [sym_number] = ACTIONS(3210),
    [sym_private_property_identifier] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
    [sym_super] = ACTIONS(3210),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [sym_null] = ACTIONS(3210),
    [sym_undefined] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_readonly] = ACTIONS(3210),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_declare] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_module] = ACTIONS(3210),
    [anon_sym_any] = ACTIONS(3210),
    [anon_sym_number] = ACTIONS(3210),
    [anon_sym_boolean] = ACTIONS(3210),
    [anon_sym_string] = ACTIONS(3210),
    [anon_sym_symbol] = ACTIONS(3210),
    [anon_sym_object] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_interface] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1567] = {
    [sym_comment] = STATE(1567),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_export] = ACTIONS(3272),
    [anon_sym_type] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_RBRACE] = ACTIONS(3272),
    [anon_sym_typeof] = ACTIONS(3272),
    [anon_sym_import] = ACTIONS(3272),
    [anon_sym_with] = ACTIONS(3272),
    [anon_sym_var] = ACTIONS(3272),
    [anon_sym_let] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_BANG] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [anon_sym_await] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_debugger] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_yield] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_LTtemplate_GT] = ACTIONS(3272),
    [anon_sym_DQUOTE] = ACTIONS(3272),
    [anon_sym_SQUOTE] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_async] = ACTIONS(3272),
    [anon_sym_function] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_TILDE] = ACTIONS(3272),
    [anon_sym_void] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3272),
    [sym_number] = ACTIONS(3272),
    [sym_private_property_identifier] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
    [sym_super] = ACTIONS(3272),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [sym_null] = ACTIONS(3272),
    [sym_undefined] = ACTIONS(3272),
    [anon_sym_AT] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_readonly] = ACTIONS(3272),
    [anon_sym_get] = ACTIONS(3272),
    [anon_sym_set] = ACTIONS(3272),
    [anon_sym_declare] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_override] = ACTIONS(3272),
    [anon_sym_module] = ACTIONS(3272),
    [anon_sym_any] = ACTIONS(3272),
    [anon_sym_number] = ACTIONS(3272),
    [anon_sym_boolean] = ACTIONS(3272),
    [anon_sym_string] = ACTIONS(3272),
    [anon_sym_symbol] = ACTIONS(3272),
    [anon_sym_object] = ACTIONS(3272),
    [anon_sym_abstract] = ACTIONS(3272),
    [anon_sym_interface] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [sym_html_comment] = ACTIONS(5),
  },
  [1568] = {
    [sym_comment] = STATE(1568),
    [ts_builtin_sym_end] = ACTIONS(3476),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_export] = ACTIONS(3240),
    [anon_sym_type] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3240),
    [anon_sym_RBRACE] = ACTIONS(3240),
    [anon_sym_typeof] = ACTIONS(3240),
    [anon_sym_import] = ACTIONS(3240),
    [anon_sym_with] = ACTIONS(3240),
    [anon_sym_var] = ACTIONS(3240),
    [anon_sym_let] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_BANG] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_LPAREN] = ACTIONS(3240),
    [anon_sym_await] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_debugger] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_LTtemplate_GT] = ACTIONS(3240),
    [anon_sym_DQUOTE] = ACTIONS(3240),
    [anon_sym_SQUOTE] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_async] = ACTIONS(3240),
    [anon_sym_function] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3240),
    [anon_sym_void] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_PLUS_PLUS] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3240),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3240),
    [sym_number] = ACTIONS(3240),
    [sym_private_property_identifier] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
    [sym_super] = ACTIONS(3240),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [sym_null] = ACTIONS(3240),
    [sym_undefined] = ACTIONS(3240),
    [anon_sym_AT] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_readonly] = ACTIONS(3240),
    [anon_sym_get] = ACTIONS(3240),
    [anon_sym_set] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3240),
    [anon_sym_public] = ACTIONS(3240),
    [anon_sym_private] = ACTIONS(3240),
    [anon_sym_protected] = ACTIONS(3240),
    [anon_sym_override] = ACTIONS(3240),
    [anon_sym_module] = ACTIONS(3240),
    [anon_sym_any] = ACTIONS(3240),
    [anon_sym_number] = ACTIONS(3240),
    [anon_sym_boolean] = ACTIONS(3240),
    [anon_sym_string] = ACTIONS(3240),
    [anon_sym_symbol] = ACTIONS(3240),
    [anon_sym_object] = ACTIONS(3240),
    [anon_sym_abstract] = ACTIONS(3240),
    [anon_sym_interface] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [sym_html_comment] = ACTIONS(5),
  },
  [1569] = {
    [sym_comment] = STATE(1569),
    [ts_builtin_sym_end] = ACTIONS(3450),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_export] = ACTIONS(3212),
    [anon_sym_type] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_typeof] = ACTIONS(3212),
    [anon_sym_import] = ACTIONS(3212),
    [anon_sym_with] = ACTIONS(3212),
    [anon_sym_var] = ACTIONS(3212),
    [anon_sym_let] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_await] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_debugger] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_yield] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_LTtemplate_GT] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_async] = ACTIONS(3212),
    [anon_sym_function] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_void] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3212),
    [sym_number] = ACTIONS(3212),
    [sym_private_property_identifier] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
    [sym_super] = ACTIONS(3212),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [sym_null] = ACTIONS(3212),
    [sym_undefined] = ACTIONS(3212),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_readonly] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3212),
    [anon_sym_declare] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_override] = ACTIONS(3212),
    [anon_sym_module] = ACTIONS(3212),
    [anon_sym_any] = ACTIONS(3212),
    [anon_sym_number] = ACTIONS(3212),
    [anon_sym_boolean] = ACTIONS(3212),
    [anon_sym_string] = ACTIONS(3212),
    [anon_sym_symbol] = ACTIONS(3212),
    [anon_sym_object] = ACTIONS(3212),
    [anon_sym_abstract] = ACTIONS(3212),
    [anon_sym_interface] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1570] = {
    [sym_comment] = STATE(1570),
    [ts_builtin_sym_end] = ACTIONS(3448),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_export] = ACTIONS(3214),
    [anon_sym_type] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_typeof] = ACTIONS(3214),
    [anon_sym_import] = ACTIONS(3214),
    [anon_sym_with] = ACTIONS(3214),
    [anon_sym_var] = ACTIONS(3214),
    [anon_sym_let] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_await] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_debugger] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_yield] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_LTtemplate_GT] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_async] = ACTIONS(3214),
    [anon_sym_function] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_void] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3214),
    [sym_number] = ACTIONS(3214),
    [sym_private_property_identifier] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
    [sym_super] = ACTIONS(3214),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [sym_null] = ACTIONS(3214),
    [sym_undefined] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_readonly] = ACTIONS(3214),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_declare] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_module] = ACTIONS(3214),
    [anon_sym_any] = ACTIONS(3214),
    [anon_sym_number] = ACTIONS(3214),
    [anon_sym_boolean] = ACTIONS(3214),
    [anon_sym_string] = ACTIONS(3214),
    [anon_sym_symbol] = ACTIONS(3214),
    [anon_sym_object] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_interface] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [sym_html_comment] = ACTIONS(5),
  },
  [1571] = {
    [sym_comment] = STATE(1571),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1572] = {
    [sym_comment] = STATE(1572),
    [ts_builtin_sym_end] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1573] = {
    [sym_comment] = STATE(1573),
    [ts_builtin_sym_end] = ACTIONS(3416),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1574] = {
    [sym_comment] = STATE(1574),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1575] = {
    [sym_comment] = STATE(1575),
    [ts_builtin_sym_end] = ACTIONS(3482),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_export] = ACTIONS(3346),
    [anon_sym_type] = ACTIONS(3346),
    [anon_sym_namespace] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_RBRACE] = ACTIONS(3346),
    [anon_sym_typeof] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_with] = ACTIONS(3346),
    [anon_sym_var] = ACTIONS(3346),
    [anon_sym_let] = ACTIONS(3346),
    [anon_sym_const] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_switch] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3346),
    [anon_sym_await] = ACTIONS(3346),
    [anon_sym_while] = ACTIONS(3346),
    [anon_sym_do] = ACTIONS(3346),
    [anon_sym_try] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_debugger] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_throw] = ACTIONS(3346),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym_yield] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3346),
    [anon_sym_LTtemplate_GT] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_class] = ACTIONS(3346),
    [anon_sym_async] = ACTIONS(3346),
    [anon_sym_function] = ACTIONS(3346),
    [anon_sym_new] = ACTIONS(3346),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_LT] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_void] = ACTIONS(3346),
    [anon_sym_delete] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3346),
    [sym_number] = ACTIONS(3346),
    [sym_private_property_identifier] = ACTIONS(3346),
    [sym_this] = ACTIONS(3346),
    [sym_super] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [sym_null] = ACTIONS(3346),
    [sym_undefined] = ACTIONS(3346),
    [anon_sym_AT] = ACTIONS(3346),
    [anon_sym_static] = ACTIONS(3346),
    [anon_sym_readonly] = ACTIONS(3346),
    [anon_sym_get] = ACTIONS(3346),
    [anon_sym_set] = ACTIONS(3346),
    [anon_sym_declare] = ACTIONS(3346),
    [anon_sym_public] = ACTIONS(3346),
    [anon_sym_private] = ACTIONS(3346),
    [anon_sym_protected] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3346),
    [anon_sym_module] = ACTIONS(3346),
    [anon_sym_any] = ACTIONS(3346),
    [anon_sym_number] = ACTIONS(3346),
    [anon_sym_boolean] = ACTIONS(3346),
    [anon_sym_string] = ACTIONS(3346),
    [anon_sym_symbol] = ACTIONS(3346),
    [anon_sym_object] = ACTIONS(3346),
    [anon_sym_abstract] = ACTIONS(3346),
    [anon_sym_interface] = ACTIONS(3346),
    [anon_sym_enum] = ACTIONS(3346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1576] = {
    [sym_comment] = STATE(1576),
    [ts_builtin_sym_end] = ACTIONS(3386),
    [sym_identifier] = ACTIONS(3316),
    [anon_sym_export] = ACTIONS(3316),
    [anon_sym_type] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_typeof] = ACTIONS(3316),
    [anon_sym_import] = ACTIONS(3316),
    [anon_sym_with] = ACTIONS(3316),
    [anon_sym_var] = ACTIONS(3316),
    [anon_sym_let] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_BANG] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_await] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_debugger] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym_yield] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_LTtemplate_GT] = ACTIONS(3316),
    [anon_sym_DQUOTE] = ACTIONS(3316),
    [anon_sym_SQUOTE] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_async] = ACTIONS(3316),
    [anon_sym_function] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_TILDE] = ACTIONS(3316),
    [anon_sym_void] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_PLUS_PLUS] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3316),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3316),
    [sym_number] = ACTIONS(3316),
    [sym_private_property_identifier] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
    [sym_super] = ACTIONS(3316),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [sym_null] = ACTIONS(3316),
    [sym_undefined] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_readonly] = ACTIONS(3316),
    [anon_sym_get] = ACTIONS(3316),
    [anon_sym_set] = ACTIONS(3316),
    [anon_sym_declare] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_module] = ACTIONS(3316),
    [anon_sym_any] = ACTIONS(3316),
    [anon_sym_number] = ACTIONS(3316),
    [anon_sym_boolean] = ACTIONS(3316),
    [anon_sym_string] = ACTIONS(3316),
    [anon_sym_symbol] = ACTIONS(3316),
    [anon_sym_object] = ACTIONS(3316),
    [anon_sym_abstract] = ACTIONS(3316),
    [anon_sym_interface] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1577] = {
    [sym_comment] = STATE(1577),
    [ts_builtin_sym_end] = ACTIONS(3444),
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_export] = ACTIONS(3218),
    [anon_sym_type] = ACTIONS(3218),
    [anon_sym_namespace] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_typeof] = ACTIONS(3218),
    [anon_sym_import] = ACTIONS(3218),
    [anon_sym_with] = ACTIONS(3218),
    [anon_sym_var] = ACTIONS(3218),
    [anon_sym_let] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_switch] = ACTIONS(3218),
    [anon_sym_for] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3218),
    [anon_sym_await] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_do] = ACTIONS(3218),
    [anon_sym_try] = ACTIONS(3218),
    [anon_sym_break] = ACTIONS(3218),
    [anon_sym_continue] = ACTIONS(3218),
    [anon_sym_debugger] = ACTIONS(3218),
    [anon_sym_return] = ACTIONS(3218),
    [anon_sym_throw] = ACTIONS(3218),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym_yield] = ACTIONS(3218),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_LTtemplate_GT] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3218),
    [anon_sym_async] = ACTIONS(3218),
    [anon_sym_function] = ACTIONS(3218),
    [anon_sym_new] = ACTIONS(3218),
    [anon_sym_using] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_void] = ACTIONS(3218),
    [anon_sym_delete] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3218),
    [sym_number] = ACTIONS(3218),
    [sym_private_property_identifier] = ACTIONS(3218),
    [sym_this] = ACTIONS(3218),
    [sym_super] = ACTIONS(3218),
    [sym_true] = ACTIONS(3218),
    [sym_false] = ACTIONS(3218),
    [sym_null] = ACTIONS(3218),
    [sym_undefined] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3218),
    [anon_sym_readonly] = ACTIONS(3218),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_declare] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_module] = ACTIONS(3218),
    [anon_sym_any] = ACTIONS(3218),
    [anon_sym_number] = ACTIONS(3218),
    [anon_sym_boolean] = ACTIONS(3218),
    [anon_sym_string] = ACTIONS(3218),
    [anon_sym_symbol] = ACTIONS(3218),
    [anon_sym_object] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_interface] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [sym_html_comment] = ACTIONS(5),
  },
  [1578] = {
    [sym_comment] = STATE(1578),
    [ts_builtin_sym_end] = ACTIONS(3386),
    [sym_identifier] = ACTIONS(3316),
    [anon_sym_export] = ACTIONS(3316),
    [anon_sym_type] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_typeof] = ACTIONS(3316),
    [anon_sym_import] = ACTIONS(3316),
    [anon_sym_with] = ACTIONS(3316),
    [anon_sym_var] = ACTIONS(3316),
    [anon_sym_let] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_BANG] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_await] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_debugger] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym_yield] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_LTtemplate_GT] = ACTIONS(3316),
    [anon_sym_DQUOTE] = ACTIONS(3316),
    [anon_sym_SQUOTE] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_async] = ACTIONS(3316),
    [anon_sym_function] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_TILDE] = ACTIONS(3316),
    [anon_sym_void] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_PLUS_PLUS] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3316),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3316),
    [sym_number] = ACTIONS(3316),
    [sym_private_property_identifier] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
    [sym_super] = ACTIONS(3316),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [sym_null] = ACTIONS(3316),
    [sym_undefined] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_readonly] = ACTIONS(3316),
    [anon_sym_get] = ACTIONS(3316),
    [anon_sym_set] = ACTIONS(3316),
    [anon_sym_declare] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_module] = ACTIONS(3316),
    [anon_sym_any] = ACTIONS(3316),
    [anon_sym_number] = ACTIONS(3316),
    [anon_sym_boolean] = ACTIONS(3316),
    [anon_sym_string] = ACTIONS(3316),
    [anon_sym_symbol] = ACTIONS(3316),
    [anon_sym_object] = ACTIONS(3316),
    [anon_sym_abstract] = ACTIONS(3316),
    [anon_sym_interface] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1579] = {
    [sym_comment] = STATE(1579),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1580] = {
    [sym_comment] = STATE(1580),
    [ts_builtin_sym_end] = ACTIONS(3388),
    [sym_identifier] = ACTIONS(3318),
    [anon_sym_export] = ACTIONS(3318),
    [anon_sym_type] = ACTIONS(3318),
    [anon_sym_namespace] = ACTIONS(3318),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3318),
    [anon_sym_typeof] = ACTIONS(3318),
    [anon_sym_import] = ACTIONS(3318),
    [anon_sym_with] = ACTIONS(3318),
    [anon_sym_var] = ACTIONS(3318),
    [anon_sym_let] = ACTIONS(3318),
    [anon_sym_const] = ACTIONS(3318),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_if] = ACTIONS(3318),
    [anon_sym_switch] = ACTIONS(3318),
    [anon_sym_for] = ACTIONS(3318),
    [anon_sym_LPAREN] = ACTIONS(3318),
    [anon_sym_await] = ACTIONS(3318),
    [anon_sym_while] = ACTIONS(3318),
    [anon_sym_do] = ACTIONS(3318),
    [anon_sym_try] = ACTIONS(3318),
    [anon_sym_break] = ACTIONS(3318),
    [anon_sym_continue] = ACTIONS(3318),
    [anon_sym_debugger] = ACTIONS(3318),
    [anon_sym_return] = ACTIONS(3318),
    [anon_sym_throw] = ACTIONS(3318),
    [anon_sym_SEMI] = ACTIONS(3318),
    [anon_sym_yield] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(3318),
    [anon_sym_LTtemplate_GT] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_class] = ACTIONS(3318),
    [anon_sym_async] = ACTIONS(3318),
    [anon_sym_function] = ACTIONS(3318),
    [anon_sym_new] = ACTIONS(3318),
    [anon_sym_using] = ACTIONS(3318),
    [anon_sym_PLUS] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3318),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_LT] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_void] = ACTIONS(3318),
    [anon_sym_delete] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3318),
    [sym_number] = ACTIONS(3318),
    [sym_private_property_identifier] = ACTIONS(3318),
    [sym_this] = ACTIONS(3318),
    [sym_super] = ACTIONS(3318),
    [sym_true] = ACTIONS(3318),
    [sym_false] = ACTIONS(3318),
    [sym_null] = ACTIONS(3318),
    [sym_undefined] = ACTIONS(3318),
    [anon_sym_AT] = ACTIONS(3318),
    [anon_sym_static] = ACTIONS(3318),
    [anon_sym_readonly] = ACTIONS(3318),
    [anon_sym_get] = ACTIONS(3318),
    [anon_sym_set] = ACTIONS(3318),
    [anon_sym_declare] = ACTIONS(3318),
    [anon_sym_public] = ACTIONS(3318),
    [anon_sym_private] = ACTIONS(3318),
    [anon_sym_protected] = ACTIONS(3318),
    [anon_sym_override] = ACTIONS(3318),
    [anon_sym_module] = ACTIONS(3318),
    [anon_sym_any] = ACTIONS(3318),
    [anon_sym_number] = ACTIONS(3318),
    [anon_sym_boolean] = ACTIONS(3318),
    [anon_sym_string] = ACTIONS(3318),
    [anon_sym_symbol] = ACTIONS(3318),
    [anon_sym_object] = ACTIONS(3318),
    [anon_sym_abstract] = ACTIONS(3318),
    [anon_sym_interface] = ACTIONS(3318),
    [anon_sym_enum] = ACTIONS(3318),
    [sym_html_comment] = ACTIONS(5),
  },
  [1581] = {
    [sym_comment] = STATE(1581),
    [ts_builtin_sym_end] = ACTIONS(3442),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_export] = ACTIONS(3220),
    [anon_sym_type] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [anon_sym_typeof] = ACTIONS(3220),
    [anon_sym_import] = ACTIONS(3220),
    [anon_sym_with] = ACTIONS(3220),
    [anon_sym_var] = ACTIONS(3220),
    [anon_sym_let] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_BANG] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_await] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_debugger] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_yield] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_LTtemplate_GT] = ACTIONS(3220),
    [anon_sym_DQUOTE] = ACTIONS(3220),
    [anon_sym_SQUOTE] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_async] = ACTIONS(3220),
    [anon_sym_function] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_TILDE] = ACTIONS(3220),
    [anon_sym_void] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3220),
    [sym_number] = ACTIONS(3220),
    [sym_private_property_identifier] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
    [sym_super] = ACTIONS(3220),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [sym_null] = ACTIONS(3220),
    [sym_undefined] = ACTIONS(3220),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_readonly] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3220),
    [anon_sym_set] = ACTIONS(3220),
    [anon_sym_declare] = ACTIONS(3220),
    [anon_sym_public] = ACTIONS(3220),
    [anon_sym_private] = ACTIONS(3220),
    [anon_sym_protected] = ACTIONS(3220),
    [anon_sym_override] = ACTIONS(3220),
    [anon_sym_module] = ACTIONS(3220),
    [anon_sym_any] = ACTIONS(3220),
    [anon_sym_number] = ACTIONS(3220),
    [anon_sym_boolean] = ACTIONS(3220),
    [anon_sym_string] = ACTIONS(3220),
    [anon_sym_symbol] = ACTIONS(3220),
    [anon_sym_object] = ACTIONS(3220),
    [anon_sym_abstract] = ACTIONS(3220),
    [anon_sym_interface] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [sym_html_comment] = ACTIONS(5),
  },
  [1582] = {
    [sym_comment] = STATE(1582),
    [ts_builtin_sym_end] = ACTIONS(3432),
    [sym_identifier] = ACTIONS(3342),
    [anon_sym_export] = ACTIONS(3342),
    [anon_sym_type] = ACTIONS(3342),
    [anon_sym_namespace] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_RBRACE] = ACTIONS(3342),
    [anon_sym_typeof] = ACTIONS(3342),
    [anon_sym_import] = ACTIONS(3342),
    [anon_sym_with] = ACTIONS(3342),
    [anon_sym_var] = ACTIONS(3342),
    [anon_sym_let] = ACTIONS(3342),
    [anon_sym_const] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_if] = ACTIONS(3342),
    [anon_sym_switch] = ACTIONS(3342),
    [anon_sym_for] = ACTIONS(3342),
    [anon_sym_LPAREN] = ACTIONS(3342),
    [anon_sym_await] = ACTIONS(3342),
    [anon_sym_while] = ACTIONS(3342),
    [anon_sym_do] = ACTIONS(3342),
    [anon_sym_try] = ACTIONS(3342),
    [anon_sym_break] = ACTIONS(3342),
    [anon_sym_continue] = ACTIONS(3342),
    [anon_sym_debugger] = ACTIONS(3342),
    [anon_sym_return] = ACTIONS(3342),
    [anon_sym_throw] = ACTIONS(3342),
    [anon_sym_SEMI] = ACTIONS(3342),
    [anon_sym_yield] = ACTIONS(3342),
    [anon_sym_LBRACK] = ACTIONS(3342),
    [anon_sym_LTtemplate_GT] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3342),
    [anon_sym_async] = ACTIONS(3342),
    [anon_sym_function] = ACTIONS(3342),
    [anon_sym_new] = ACTIONS(3342),
    [anon_sym_using] = ACTIONS(3342),
    [anon_sym_PLUS] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3342),
    [anon_sym_LT] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_void] = ACTIONS(3342),
    [anon_sym_delete] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3342),
    [sym_number] = ACTIONS(3342),
    [sym_private_property_identifier] = ACTIONS(3342),
    [sym_this] = ACTIONS(3342),
    [sym_super] = ACTIONS(3342),
    [sym_true] = ACTIONS(3342),
    [sym_false] = ACTIONS(3342),
    [sym_null] = ACTIONS(3342),
    [sym_undefined] = ACTIONS(3342),
    [anon_sym_AT] = ACTIONS(3342),
    [anon_sym_static] = ACTIONS(3342),
    [anon_sym_readonly] = ACTIONS(3342),
    [anon_sym_get] = ACTIONS(3342),
    [anon_sym_set] = ACTIONS(3342),
    [anon_sym_declare] = ACTIONS(3342),
    [anon_sym_public] = ACTIONS(3342),
    [anon_sym_private] = ACTIONS(3342),
    [anon_sym_protected] = ACTIONS(3342),
    [anon_sym_override] = ACTIONS(3342),
    [anon_sym_module] = ACTIONS(3342),
    [anon_sym_any] = ACTIONS(3342),
    [anon_sym_number] = ACTIONS(3342),
    [anon_sym_boolean] = ACTIONS(3342),
    [anon_sym_string] = ACTIONS(3342),
    [anon_sym_symbol] = ACTIONS(3342),
    [anon_sym_object] = ACTIONS(3342),
    [anon_sym_abstract] = ACTIONS(3342),
    [anon_sym_interface] = ACTIONS(3342),
    [anon_sym_enum] = ACTIONS(3342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1583] = {
    [sym_comment] = STATE(1583),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1584] = {
    [sym_comment] = STATE(1584),
    [ts_builtin_sym_end] = ACTIONS(3390),
    [sym_identifier] = ACTIONS(3320),
    [anon_sym_export] = ACTIONS(3320),
    [anon_sym_type] = ACTIONS(3320),
    [anon_sym_namespace] = ACTIONS(3320),
    [anon_sym_LBRACE] = ACTIONS(3320),
    [anon_sym_RBRACE] = ACTIONS(3320),
    [anon_sym_typeof] = ACTIONS(3320),
    [anon_sym_import] = ACTIONS(3320),
    [anon_sym_with] = ACTIONS(3320),
    [anon_sym_var] = ACTIONS(3320),
    [anon_sym_let] = ACTIONS(3320),
    [anon_sym_const] = ACTIONS(3320),
    [anon_sym_BANG] = ACTIONS(3320),
    [anon_sym_if] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(3320),
    [anon_sym_for] = ACTIONS(3320),
    [anon_sym_LPAREN] = ACTIONS(3320),
    [anon_sym_await] = ACTIONS(3320),
    [anon_sym_while] = ACTIONS(3320),
    [anon_sym_do] = ACTIONS(3320),
    [anon_sym_try] = ACTIONS(3320),
    [anon_sym_break] = ACTIONS(3320),
    [anon_sym_continue] = ACTIONS(3320),
    [anon_sym_debugger] = ACTIONS(3320),
    [anon_sym_return] = ACTIONS(3320),
    [anon_sym_throw] = ACTIONS(3320),
    [anon_sym_SEMI] = ACTIONS(3320),
    [anon_sym_yield] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_LTtemplate_GT] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_async] = ACTIONS(3320),
    [anon_sym_function] = ACTIONS(3320),
    [anon_sym_new] = ACTIONS(3320),
    [anon_sym_using] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_SLASH] = ACTIONS(3320),
    [anon_sym_LT] = ACTIONS(3320),
    [anon_sym_TILDE] = ACTIONS(3320),
    [anon_sym_void] = ACTIONS(3320),
    [anon_sym_delete] = ACTIONS(3320),
    [anon_sym_PLUS_PLUS] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3320),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3320),
    [sym_number] = ACTIONS(3320),
    [sym_private_property_identifier] = ACTIONS(3320),
    [sym_this] = ACTIONS(3320),
    [sym_super] = ACTIONS(3320),
    [sym_true] = ACTIONS(3320),
    [sym_false] = ACTIONS(3320),
    [sym_null] = ACTIONS(3320),
    [sym_undefined] = ACTIONS(3320),
    [anon_sym_AT] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_readonly] = ACTIONS(3320),
    [anon_sym_get] = ACTIONS(3320),
    [anon_sym_set] = ACTIONS(3320),
    [anon_sym_declare] = ACTIONS(3320),
    [anon_sym_public] = ACTIONS(3320),
    [anon_sym_private] = ACTIONS(3320),
    [anon_sym_protected] = ACTIONS(3320),
    [anon_sym_override] = ACTIONS(3320),
    [anon_sym_module] = ACTIONS(3320),
    [anon_sym_any] = ACTIONS(3320),
    [anon_sym_number] = ACTIONS(3320),
    [anon_sym_boolean] = ACTIONS(3320),
    [anon_sym_string] = ACTIONS(3320),
    [anon_sym_symbol] = ACTIONS(3320),
    [anon_sym_object] = ACTIONS(3320),
    [anon_sym_abstract] = ACTIONS(3320),
    [anon_sym_interface] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [sym_html_comment] = ACTIONS(5),
  },
  [1585] = {
    [sym_comment] = STATE(1585),
    [ts_builtin_sym_end] = ACTIONS(3536),
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_export] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_typeof] = ACTIONS(3170),
    [anon_sym_import] = ACTIONS(3170),
    [anon_sym_with] = ACTIONS(3170),
    [anon_sym_var] = ACTIONS(3170),
    [anon_sym_let] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_await] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_debugger] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_yield] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_LTtemplate_GT] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_async] = ACTIONS(3170),
    [anon_sym_function] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_void] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3170),
    [sym_number] = ACTIONS(3170),
    [sym_private_property_identifier] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
    [sym_super] = ACTIONS(3170),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3170),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_declare] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(3170),
    [anon_sym_any] = ACTIONS(3170),
    [anon_sym_number] = ACTIONS(3170),
    [anon_sym_boolean] = ACTIONS(3170),
    [anon_sym_string] = ACTIONS(3170),
    [anon_sym_symbol] = ACTIONS(3170),
    [anon_sym_object] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_interface] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [sym_html_comment] = ACTIONS(5),
  },
  [1586] = {
    [sym_comment] = STATE(1586),
    [ts_builtin_sym_end] = ACTIONS(3440),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1587] = {
    [sym_comment] = STATE(1587),
    [ts_builtin_sym_end] = ACTIONS(3436),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_export] = ACTIONS(3224),
    [anon_sym_type] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3224),
    [anon_sym_RBRACE] = ACTIONS(3224),
    [anon_sym_typeof] = ACTIONS(3224),
    [anon_sym_import] = ACTIONS(3224),
    [anon_sym_with] = ACTIONS(3224),
    [anon_sym_var] = ACTIONS(3224),
    [anon_sym_let] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_LPAREN] = ACTIONS(3224),
    [anon_sym_await] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_debugger] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3224),
    [anon_sym_yield] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_LTtemplate_GT] = ACTIONS(3224),
    [anon_sym_DQUOTE] = ACTIONS(3224),
    [anon_sym_SQUOTE] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_async] = ACTIONS(3224),
    [anon_sym_function] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_TILDE] = ACTIONS(3224),
    [anon_sym_void] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3224),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3224),
    [sym_number] = ACTIONS(3224),
    [sym_private_property_identifier] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
    [sym_super] = ACTIONS(3224),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [sym_null] = ACTIONS(3224),
    [sym_undefined] = ACTIONS(3224),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_readonly] = ACTIONS(3224),
    [anon_sym_get] = ACTIONS(3224),
    [anon_sym_set] = ACTIONS(3224),
    [anon_sym_declare] = ACTIONS(3224),
    [anon_sym_public] = ACTIONS(3224),
    [anon_sym_private] = ACTIONS(3224),
    [anon_sym_protected] = ACTIONS(3224),
    [anon_sym_override] = ACTIONS(3224),
    [anon_sym_module] = ACTIONS(3224),
    [anon_sym_any] = ACTIONS(3224),
    [anon_sym_number] = ACTIONS(3224),
    [anon_sym_boolean] = ACTIONS(3224),
    [anon_sym_string] = ACTIONS(3224),
    [anon_sym_symbol] = ACTIONS(3224),
    [anon_sym_object] = ACTIONS(3224),
    [anon_sym_abstract] = ACTIONS(3224),
    [anon_sym_interface] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [sym_html_comment] = ACTIONS(5),
  },
  [1588] = {
    [sym_comment] = STATE(1588),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1589] = {
    [sym_comment] = STATE(1589),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LTtemplate_GT] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_using] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_private_property_identifier] = ACTIONS(2091),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [1590] = {
    [sym_comment] = STATE(1590),
    [ts_builtin_sym_end] = ACTIONS(3392),
    [sym_identifier] = ACTIONS(3270),
    [anon_sym_export] = ACTIONS(3270),
    [anon_sym_type] = ACTIONS(3270),
    [anon_sym_namespace] = ACTIONS(3270),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_typeof] = ACTIONS(3270),
    [anon_sym_import] = ACTIONS(3270),
    [anon_sym_with] = ACTIONS(3270),
    [anon_sym_var] = ACTIONS(3270),
    [anon_sym_let] = ACTIONS(3270),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_if] = ACTIONS(3270),
    [anon_sym_switch] = ACTIONS(3270),
    [anon_sym_for] = ACTIONS(3270),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_await] = ACTIONS(3270),
    [anon_sym_while] = ACTIONS(3270),
    [anon_sym_do] = ACTIONS(3270),
    [anon_sym_try] = ACTIONS(3270),
    [anon_sym_break] = ACTIONS(3270),
    [anon_sym_continue] = ACTIONS(3270),
    [anon_sym_debugger] = ACTIONS(3270),
    [anon_sym_return] = ACTIONS(3270),
    [anon_sym_throw] = ACTIONS(3270),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym_yield] = ACTIONS(3270),
    [anon_sym_LBRACK] = ACTIONS(3270),
    [anon_sym_LTtemplate_GT] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_async] = ACTIONS(3270),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_new] = ACTIONS(3270),
    [anon_sym_using] = ACTIONS(3270),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_SLASH] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_void] = ACTIONS(3270),
    [anon_sym_delete] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3270),
    [sym_number] = ACTIONS(3270),
    [sym_private_property_identifier] = ACTIONS(3270),
    [sym_this] = ACTIONS(3270),
    [sym_super] = ACTIONS(3270),
    [sym_true] = ACTIONS(3270),
    [sym_false] = ACTIONS(3270),
    [sym_null] = ACTIONS(3270),
    [sym_undefined] = ACTIONS(3270),
    [anon_sym_AT] = ACTIONS(3270),
    [anon_sym_static] = ACTIONS(3270),
    [anon_sym_readonly] = ACTIONS(3270),
    [anon_sym_get] = ACTIONS(3270),
    [anon_sym_set] = ACTIONS(3270),
    [anon_sym_declare] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3270),
    [anon_sym_private] = ACTIONS(3270),
    [anon_sym_protected] = ACTIONS(3270),
    [anon_sym_override] = ACTIONS(3270),
    [anon_sym_module] = ACTIONS(3270),
    [anon_sym_any] = ACTIONS(3270),
    [anon_sym_number] = ACTIONS(3270),
    [anon_sym_boolean] = ACTIONS(3270),
    [anon_sym_string] = ACTIONS(3270),
    [anon_sym_symbol] = ACTIONS(3270),
    [anon_sym_object] = ACTIONS(3270),
    [anon_sym_abstract] = ACTIONS(3270),
    [anon_sym_interface] = ACTIONS(3270),
    [anon_sym_enum] = ACTIONS(3270),
    [sym_html_comment] = ACTIONS(5),
  },
  [1591] = {
    [sym_comment] = STATE(1591),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3254),
    [anon_sym_export] = ACTIONS(3254),
    [anon_sym_type] = ACTIONS(3254),
    [anon_sym_namespace] = ACTIONS(3254),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_typeof] = ACTIONS(3254),
    [anon_sym_import] = ACTIONS(3254),
    [anon_sym_with] = ACTIONS(3254),
    [anon_sym_var] = ACTIONS(3254),
    [anon_sym_let] = ACTIONS(3254),
    [anon_sym_const] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3254),
    [anon_sym_switch] = ACTIONS(3254),
    [anon_sym_for] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_await] = ACTIONS(3254),
    [anon_sym_while] = ACTIONS(3254),
    [anon_sym_do] = ACTIONS(3254),
    [anon_sym_try] = ACTIONS(3254),
    [anon_sym_break] = ACTIONS(3254),
    [anon_sym_continue] = ACTIONS(3254),
    [anon_sym_debugger] = ACTIONS(3254),
    [anon_sym_return] = ACTIONS(3254),
    [anon_sym_throw] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_yield] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [anon_sym_LTtemplate_GT] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_class] = ACTIONS(3254),
    [anon_sym_async] = ACTIONS(3254),
    [anon_sym_function] = ACTIONS(3254),
    [anon_sym_new] = ACTIONS(3254),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_void] = ACTIONS(3254),
    [anon_sym_delete] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3254),
    [sym_number] = ACTIONS(3254),
    [sym_private_property_identifier] = ACTIONS(3254),
    [sym_this] = ACTIONS(3254),
    [sym_super] = ACTIONS(3254),
    [sym_true] = ACTIONS(3254),
    [sym_false] = ACTIONS(3254),
    [sym_null] = ACTIONS(3254),
    [sym_undefined] = ACTIONS(3254),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_static] = ACTIONS(3254),
    [anon_sym_readonly] = ACTIONS(3254),
    [anon_sym_get] = ACTIONS(3254),
    [anon_sym_set] = ACTIONS(3254),
    [anon_sym_declare] = ACTIONS(3254),
    [anon_sym_public] = ACTIONS(3254),
    [anon_sym_private] = ACTIONS(3254),
    [anon_sym_protected] = ACTIONS(3254),
    [anon_sym_override] = ACTIONS(3254),
    [anon_sym_module] = ACTIONS(3254),
    [anon_sym_any] = ACTIONS(3254),
    [anon_sym_number] = ACTIONS(3254),
    [anon_sym_boolean] = ACTIONS(3254),
    [anon_sym_string] = ACTIONS(3254),
    [anon_sym_symbol] = ACTIONS(3254),
    [anon_sym_object] = ACTIONS(3254),
    [anon_sym_abstract] = ACTIONS(3254),
    [anon_sym_interface] = ACTIONS(3254),
    [anon_sym_enum] = ACTIONS(3254),
    [sym_html_comment] = ACTIONS(5),
  },
  [1592] = {
    [sym_comment] = STATE(1592),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1593] = {
    [sym_comment] = STATE(1593),
    [ts_builtin_sym_end] = ACTIONS(3412),
    [sym_identifier] = ACTIONS(3256),
    [anon_sym_export] = ACTIONS(3256),
    [anon_sym_type] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3256),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_typeof] = ACTIONS(3256),
    [anon_sym_import] = ACTIONS(3256),
    [anon_sym_with] = ACTIONS(3256),
    [anon_sym_var] = ACTIONS(3256),
    [anon_sym_let] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_BANG] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3256),
    [anon_sym_await] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_debugger] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_yield] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_LTtemplate_GT] = ACTIONS(3256),
    [anon_sym_DQUOTE] = ACTIONS(3256),
    [anon_sym_SQUOTE] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_async] = ACTIONS(3256),
    [anon_sym_function] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_TILDE] = ACTIONS(3256),
    [anon_sym_void] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_PLUS_PLUS] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3256),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3256),
    [sym_number] = ACTIONS(3256),
    [sym_private_property_identifier] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
    [sym_super] = ACTIONS(3256),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [sym_null] = ACTIONS(3256),
    [sym_undefined] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_readonly] = ACTIONS(3256),
    [anon_sym_get] = ACTIONS(3256),
    [anon_sym_set] = ACTIONS(3256),
    [anon_sym_declare] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_protected] = ACTIONS(3256),
    [anon_sym_override] = ACTIONS(3256),
    [anon_sym_module] = ACTIONS(3256),
    [anon_sym_any] = ACTIONS(3256),
    [anon_sym_number] = ACTIONS(3256),
    [anon_sym_boolean] = ACTIONS(3256),
    [anon_sym_string] = ACTIONS(3256),
    [anon_sym_symbol] = ACTIONS(3256),
    [anon_sym_object] = ACTIONS(3256),
    [anon_sym_abstract] = ACTIONS(3256),
    [anon_sym_interface] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [sym_html_comment] = ACTIONS(5),
  },
  [1594] = {
    [sym_comment] = STATE(1594),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1595] = {
    [sym_comment] = STATE(1595),
    [ts_builtin_sym_end] = ACTIONS(3410),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_export] = ACTIONS(3258),
    [anon_sym_type] = ACTIONS(3258),
    [anon_sym_namespace] = ACTIONS(3258),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_typeof] = ACTIONS(3258),
    [anon_sym_import] = ACTIONS(3258),
    [anon_sym_with] = ACTIONS(3258),
    [anon_sym_var] = ACTIONS(3258),
    [anon_sym_let] = ACTIONS(3258),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_switch] = ACTIONS(3258),
    [anon_sym_for] = ACTIONS(3258),
    [anon_sym_LPAREN] = ACTIONS(3258),
    [anon_sym_await] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3258),
    [anon_sym_do] = ACTIONS(3258),
    [anon_sym_try] = ACTIONS(3258),
    [anon_sym_break] = ACTIONS(3258),
    [anon_sym_continue] = ACTIONS(3258),
    [anon_sym_debugger] = ACTIONS(3258),
    [anon_sym_return] = ACTIONS(3258),
    [anon_sym_throw] = ACTIONS(3258),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_yield] = ACTIONS(3258),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_LTtemplate_GT] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3258),
    [anon_sym_async] = ACTIONS(3258),
    [anon_sym_function] = ACTIONS(3258),
    [anon_sym_new] = ACTIONS(3258),
    [anon_sym_using] = ACTIONS(3258),
    [anon_sym_PLUS] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3258),
    [anon_sym_SLASH] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_void] = ACTIONS(3258),
    [anon_sym_delete] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3258),
    [sym_number] = ACTIONS(3258),
    [sym_private_property_identifier] = ACTIONS(3258),
    [sym_this] = ACTIONS(3258),
    [sym_super] = ACTIONS(3258),
    [sym_true] = ACTIONS(3258),
    [sym_false] = ACTIONS(3258),
    [sym_null] = ACTIONS(3258),
    [sym_undefined] = ACTIONS(3258),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_static] = ACTIONS(3258),
    [anon_sym_readonly] = ACTIONS(3258),
    [anon_sym_get] = ACTIONS(3258),
    [anon_sym_set] = ACTIONS(3258),
    [anon_sym_declare] = ACTIONS(3258),
    [anon_sym_public] = ACTIONS(3258),
    [anon_sym_private] = ACTIONS(3258),
    [anon_sym_protected] = ACTIONS(3258),
    [anon_sym_override] = ACTIONS(3258),
    [anon_sym_module] = ACTIONS(3258),
    [anon_sym_any] = ACTIONS(3258),
    [anon_sym_number] = ACTIONS(3258),
    [anon_sym_boolean] = ACTIONS(3258),
    [anon_sym_string] = ACTIONS(3258),
    [anon_sym_symbol] = ACTIONS(3258),
    [anon_sym_object] = ACTIONS(3258),
    [anon_sym_abstract] = ACTIONS(3258),
    [anon_sym_interface] = ACTIONS(3258),
    [anon_sym_enum] = ACTIONS(3258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1596] = {
    [sym_comment] = STATE(1596),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1597] = {
    [sym_comment] = STATE(1597),
    [ts_builtin_sym_end] = ACTIONS(3408),
    [sym_identifier] = ACTIONS(3260),
    [anon_sym_export] = ACTIONS(3260),
    [anon_sym_type] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3260),
    [anon_sym_RBRACE] = ACTIONS(3260),
    [anon_sym_typeof] = ACTIONS(3260),
    [anon_sym_import] = ACTIONS(3260),
    [anon_sym_with] = ACTIONS(3260),
    [anon_sym_var] = ACTIONS(3260),
    [anon_sym_let] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_BANG] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_LPAREN] = ACTIONS(3260),
    [anon_sym_await] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_debugger] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3260),
    [anon_sym_yield] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_LTtemplate_GT] = ACTIONS(3260),
    [anon_sym_DQUOTE] = ACTIONS(3260),
    [anon_sym_SQUOTE] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_async] = ACTIONS(3260),
    [anon_sym_function] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_SLASH] = ACTIONS(3260),
    [anon_sym_LT] = ACTIONS(3260),
    [anon_sym_TILDE] = ACTIONS(3260),
    [anon_sym_void] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_PLUS_PLUS] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3260),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3260),
    [sym_number] = ACTIONS(3260),
    [sym_private_property_identifier] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
    [sym_super] = ACTIONS(3260),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [sym_null] = ACTIONS(3260),
    [sym_undefined] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_readonly] = ACTIONS(3260),
    [anon_sym_get] = ACTIONS(3260),
    [anon_sym_set] = ACTIONS(3260),
    [anon_sym_declare] = ACTIONS(3260),
    [anon_sym_public] = ACTIONS(3260),
    [anon_sym_private] = ACTIONS(3260),
    [anon_sym_protected] = ACTIONS(3260),
    [anon_sym_override] = ACTIONS(3260),
    [anon_sym_module] = ACTIONS(3260),
    [anon_sym_any] = ACTIONS(3260),
    [anon_sym_number] = ACTIONS(3260),
    [anon_sym_boolean] = ACTIONS(3260),
    [anon_sym_string] = ACTIONS(3260),
    [anon_sym_symbol] = ACTIONS(3260),
    [anon_sym_object] = ACTIONS(3260),
    [anon_sym_abstract] = ACTIONS(3260),
    [anon_sym_interface] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [sym_html_comment] = ACTIONS(5),
  },
  [1598] = {
    [sym_comment] = STATE(1598),
    [ts_builtin_sym_end] = ACTIONS(3394),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1599] = {
    [sym_comment] = STATE(1599),
    [ts_builtin_sym_end] = ACTIONS(3562),
    [sym_identifier] = ACTIONS(3312),
    [anon_sym_export] = ACTIONS(3312),
    [anon_sym_type] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_RBRACE] = ACTIONS(3312),
    [anon_sym_typeof] = ACTIONS(3312),
    [anon_sym_import] = ACTIONS(3312),
    [anon_sym_with] = ACTIONS(3312),
    [anon_sym_var] = ACTIONS(3312),
    [anon_sym_let] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3312),
    [anon_sym_await] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_debugger] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3312),
    [anon_sym_yield] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_LTtemplate_GT] = ACTIONS(3312),
    [anon_sym_DQUOTE] = ACTIONS(3312),
    [anon_sym_SQUOTE] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_async] = ACTIONS(3312),
    [anon_sym_function] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3312),
    [anon_sym_void] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3312),
    [sym_number] = ACTIONS(3312),
    [sym_private_property_identifier] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
    [sym_super] = ACTIONS(3312),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [sym_null] = ACTIONS(3312),
    [sym_undefined] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_readonly] = ACTIONS(3312),
    [anon_sym_get] = ACTIONS(3312),
    [anon_sym_set] = ACTIONS(3312),
    [anon_sym_declare] = ACTIONS(3312),
    [anon_sym_public] = ACTIONS(3312),
    [anon_sym_private] = ACTIONS(3312),
    [anon_sym_protected] = ACTIONS(3312),
    [anon_sym_override] = ACTIONS(3312),
    [anon_sym_module] = ACTIONS(3312),
    [anon_sym_any] = ACTIONS(3312),
    [anon_sym_number] = ACTIONS(3312),
    [anon_sym_boolean] = ACTIONS(3312),
    [anon_sym_string] = ACTIONS(3312),
    [anon_sym_symbol] = ACTIONS(3312),
    [anon_sym_object] = ACTIONS(3312),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_interface] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1600] = {
    [sym_comment] = STATE(1600),
    [ts_builtin_sym_end] = ACTIONS(3406),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_export] = ACTIONS(3262),
    [anon_sym_type] = ACTIONS(3262),
    [anon_sym_namespace] = ACTIONS(3262),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_typeof] = ACTIONS(3262),
    [anon_sym_import] = ACTIONS(3262),
    [anon_sym_with] = ACTIONS(3262),
    [anon_sym_var] = ACTIONS(3262),
    [anon_sym_let] = ACTIONS(3262),
    [anon_sym_const] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_if] = ACTIONS(3262),
    [anon_sym_switch] = ACTIONS(3262),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_LPAREN] = ACTIONS(3262),
    [anon_sym_await] = ACTIONS(3262),
    [anon_sym_while] = ACTIONS(3262),
    [anon_sym_do] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3262),
    [anon_sym_break] = ACTIONS(3262),
    [anon_sym_continue] = ACTIONS(3262),
    [anon_sym_debugger] = ACTIONS(3262),
    [anon_sym_return] = ACTIONS(3262),
    [anon_sym_throw] = ACTIONS(3262),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym_yield] = ACTIONS(3262),
    [anon_sym_LBRACK] = ACTIONS(3262),
    [anon_sym_LTtemplate_GT] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_async] = ACTIONS(3262),
    [anon_sym_function] = ACTIONS(3262),
    [anon_sym_new] = ACTIONS(3262),
    [anon_sym_using] = ACTIONS(3262),
    [anon_sym_PLUS] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3262),
    [anon_sym_SLASH] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_void] = ACTIONS(3262),
    [anon_sym_delete] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3262),
    [sym_number] = ACTIONS(3262),
    [sym_private_property_identifier] = ACTIONS(3262),
    [sym_this] = ACTIONS(3262),
    [sym_super] = ACTIONS(3262),
    [sym_true] = ACTIONS(3262),
    [sym_false] = ACTIONS(3262),
    [sym_null] = ACTIONS(3262),
    [sym_undefined] = ACTIONS(3262),
    [anon_sym_AT] = ACTIONS(3262),
    [anon_sym_static] = ACTIONS(3262),
    [anon_sym_readonly] = ACTIONS(3262),
    [anon_sym_get] = ACTIONS(3262),
    [anon_sym_set] = ACTIONS(3262),
    [anon_sym_declare] = ACTIONS(3262),
    [anon_sym_public] = ACTIONS(3262),
    [anon_sym_private] = ACTIONS(3262),
    [anon_sym_protected] = ACTIONS(3262),
    [anon_sym_override] = ACTIONS(3262),
    [anon_sym_module] = ACTIONS(3262),
    [anon_sym_any] = ACTIONS(3262),
    [anon_sym_number] = ACTIONS(3262),
    [anon_sym_boolean] = ACTIONS(3262),
    [anon_sym_string] = ACTIONS(3262),
    [anon_sym_symbol] = ACTIONS(3262),
    [anon_sym_object] = ACTIONS(3262),
    [anon_sym_abstract] = ACTIONS(3262),
    [anon_sym_interface] = ACTIONS(3262),
    [anon_sym_enum] = ACTIONS(3262),
    [sym_html_comment] = ACTIONS(5),
  },
  [1601] = {
    [sym_comment] = STATE(1601),
    [ts_builtin_sym_end] = ACTIONS(3548),
    [sym_identifier] = ACTIONS(3310),
    [anon_sym_export] = ACTIONS(3310),
    [anon_sym_type] = ACTIONS(3310),
    [anon_sym_namespace] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_typeof] = ACTIONS(3310),
    [anon_sym_import] = ACTIONS(3310),
    [anon_sym_with] = ACTIONS(3310),
    [anon_sym_var] = ACTIONS(3310),
    [anon_sym_let] = ACTIONS(3310),
    [anon_sym_const] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3310),
    [anon_sym_switch] = ACTIONS(3310),
    [anon_sym_for] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_await] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(3310),
    [anon_sym_do] = ACTIONS(3310),
    [anon_sym_try] = ACTIONS(3310),
    [anon_sym_break] = ACTIONS(3310),
    [anon_sym_continue] = ACTIONS(3310),
    [anon_sym_debugger] = ACTIONS(3310),
    [anon_sym_return] = ACTIONS(3310),
    [anon_sym_throw] = ACTIONS(3310),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym_yield] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_LTtemplate_GT] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3310),
    [anon_sym_async] = ACTIONS(3310),
    [anon_sym_function] = ACTIONS(3310),
    [anon_sym_new] = ACTIONS(3310),
    [anon_sym_using] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_SLASH] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_void] = ACTIONS(3310),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3310),
    [sym_number] = ACTIONS(3310),
    [sym_private_property_identifier] = ACTIONS(3310),
    [sym_this] = ACTIONS(3310),
    [sym_super] = ACTIONS(3310),
    [sym_true] = ACTIONS(3310),
    [sym_false] = ACTIONS(3310),
    [sym_null] = ACTIONS(3310),
    [sym_undefined] = ACTIONS(3310),
    [anon_sym_AT] = ACTIONS(3310),
    [anon_sym_static] = ACTIONS(3310),
    [anon_sym_readonly] = ACTIONS(3310),
    [anon_sym_get] = ACTIONS(3310),
    [anon_sym_set] = ACTIONS(3310),
    [anon_sym_declare] = ACTIONS(3310),
    [anon_sym_public] = ACTIONS(3310),
    [anon_sym_private] = ACTIONS(3310),
    [anon_sym_protected] = ACTIONS(3310),
    [anon_sym_override] = ACTIONS(3310),
    [anon_sym_module] = ACTIONS(3310),
    [anon_sym_any] = ACTIONS(3310),
    [anon_sym_number] = ACTIONS(3310),
    [anon_sym_boolean] = ACTIONS(3310),
    [anon_sym_string] = ACTIONS(3310),
    [anon_sym_symbol] = ACTIONS(3310),
    [anon_sym_object] = ACTIONS(3310),
    [anon_sym_abstract] = ACTIONS(3310),
    [anon_sym_interface] = ACTIONS(3310),
    [anon_sym_enum] = ACTIONS(3310),
    [sym_html_comment] = ACTIONS(5),
  },
  [1602] = {
    [sym_comment] = STATE(1602),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1603] = {
    [sym_comment] = STATE(1603),
    [ts_builtin_sym_end] = ACTIONS(3404),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1604] = {
    [sym_comment] = STATE(1604),
    [ts_builtin_sym_end] = ACTIONS(3404),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1605] = {
    [sym_comment] = STATE(1605),
    [ts_builtin_sym_end] = ACTIONS(3404),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1606] = {
    [sym_comment] = STATE(1606),
    [ts_builtin_sym_end] = ACTIONS(3546),
    [sym_identifier] = ACTIONS(3308),
    [anon_sym_export] = ACTIONS(3308),
    [anon_sym_type] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_RBRACE] = ACTIONS(3308),
    [anon_sym_typeof] = ACTIONS(3308),
    [anon_sym_import] = ACTIONS(3308),
    [anon_sym_with] = ACTIONS(3308),
    [anon_sym_var] = ACTIONS(3308),
    [anon_sym_let] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_BANG] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_LPAREN] = ACTIONS(3308),
    [anon_sym_await] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_debugger] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3308),
    [anon_sym_yield] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_LTtemplate_GT] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_async] = ACTIONS(3308),
    [anon_sym_function] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_TILDE] = ACTIONS(3308),
    [anon_sym_void] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3308),
    [sym_number] = ACTIONS(3308),
    [sym_private_property_identifier] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
    [sym_super] = ACTIONS(3308),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [sym_null] = ACTIONS(3308),
    [sym_undefined] = ACTIONS(3308),
    [anon_sym_AT] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_readonly] = ACTIONS(3308),
    [anon_sym_get] = ACTIONS(3308),
    [anon_sym_set] = ACTIONS(3308),
    [anon_sym_declare] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_override] = ACTIONS(3308),
    [anon_sym_module] = ACTIONS(3308),
    [anon_sym_any] = ACTIONS(3308),
    [anon_sym_number] = ACTIONS(3308),
    [anon_sym_boolean] = ACTIONS(3308),
    [anon_sym_string] = ACTIONS(3308),
    [anon_sym_symbol] = ACTIONS(3308),
    [anon_sym_object] = ACTIONS(3308),
    [anon_sym_abstract] = ACTIONS(3308),
    [anon_sym_interface] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [sym_html_comment] = ACTIONS(5),
  },
  [1607] = {
    [sym_comment] = STATE(1607),
    [ts_builtin_sym_end] = ACTIONS(3394),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1608] = {
    [sym_comment] = STATE(1608),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1609] = {
    [sym_comment] = STATE(1609),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1610] = {
    [sym_comment] = STATE(1610),
    [ts_builtin_sym_end] = ACTIONS(3528),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_export] = ACTIONS(3166),
    [anon_sym_type] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(3166),
    [anon_sym_with] = ACTIONS(3166),
    [anon_sym_var] = ACTIONS(3166),
    [anon_sym_let] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3166),
    [anon_sym_await] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_debugger] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_LTtemplate_GT] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_async] = ACTIONS(3166),
    [anon_sym_function] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_void] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3166),
    [sym_number] = ACTIONS(3166),
    [sym_private_property_identifier] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
    [sym_super] = ACTIONS(3166),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [sym_null] = ACTIONS(3166),
    [sym_undefined] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_readonly] = ACTIONS(3166),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_declare] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_module] = ACTIONS(3166),
    [anon_sym_any] = ACTIONS(3166),
    [anon_sym_number] = ACTIONS(3166),
    [anon_sym_boolean] = ACTIONS(3166),
    [anon_sym_string] = ACTIONS(3166),
    [anon_sym_symbol] = ACTIONS(3166),
    [anon_sym_object] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_interface] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [sym_html_comment] = ACTIONS(5),
  },
  [1611] = {
    [sym_comment] = STATE(1611),
    [ts_builtin_sym_end] = ACTIONS(2145),
    [sym_identifier] = ACTIONS(2143),
    [anon_sym_export] = ACTIONS(2143),
    [anon_sym_type] = ACTIONS(2143),
    [anon_sym_namespace] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(2143),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [anon_sym_typeof] = ACTIONS(2143),
    [anon_sym_import] = ACTIONS(2143),
    [anon_sym_with] = ACTIONS(2143),
    [anon_sym_var] = ACTIONS(2143),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(2143),
    [anon_sym_BANG] = ACTIONS(2143),
    [anon_sym_if] = ACTIONS(2143),
    [anon_sym_switch] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2143),
    [anon_sym_LPAREN] = ACTIONS(2143),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2143),
    [anon_sym_try] = ACTIONS(2143),
    [anon_sym_break] = ACTIONS(2143),
    [anon_sym_continue] = ACTIONS(2143),
    [anon_sym_debugger] = ACTIONS(2143),
    [anon_sym_return] = ACTIONS(2143),
    [anon_sym_throw] = ACTIONS(2143),
    [anon_sym_SEMI] = ACTIONS(2143),
    [anon_sym_yield] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(2143),
    [anon_sym_DQUOTE] = ACTIONS(2143),
    [anon_sym_SQUOTE] = ACTIONS(2143),
    [anon_sym_class] = ACTIONS(2143),
    [anon_sym_async] = ACTIONS(2143),
    [anon_sym_function] = ACTIONS(2143),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_using] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(2143),
    [anon_sym_DASH] = ACTIONS(2143),
    [anon_sym_SLASH] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(2143),
    [anon_sym_void] = ACTIONS(2143),
    [anon_sym_delete] = ACTIONS(2143),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2143),
    [sym_number] = ACTIONS(2143),
    [sym_private_property_identifier] = ACTIONS(2143),
    [sym_this] = ACTIONS(2143),
    [sym_super] = ACTIONS(2143),
    [sym_true] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
    [sym_null] = ACTIONS(2143),
    [sym_undefined] = ACTIONS(2143),
    [anon_sym_AT] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2143),
    [anon_sym_readonly] = ACTIONS(2143),
    [anon_sym_get] = ACTIONS(2143),
    [anon_sym_set] = ACTIONS(2143),
    [anon_sym_declare] = ACTIONS(2143),
    [anon_sym_public] = ACTIONS(2143),
    [anon_sym_private] = ACTIONS(2143),
    [anon_sym_protected] = ACTIONS(2143),
    [anon_sym_override] = ACTIONS(2143),
    [anon_sym_module] = ACTIONS(2143),
    [anon_sym_any] = ACTIONS(2143),
    [anon_sym_number] = ACTIONS(2143),
    [anon_sym_boolean] = ACTIONS(2143),
    [anon_sym_string] = ACTIONS(2143),
    [anon_sym_symbol] = ACTIONS(2143),
    [anon_sym_object] = ACTIONS(2143),
    [anon_sym_abstract] = ACTIONS(2143),
    [anon_sym_interface] = ACTIONS(2143),
    [anon_sym_enum] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [1612] = {
    [sym_comment] = STATE(1612),
    [ts_builtin_sym_end] = ACTIONS(3526),
    [sym_identifier] = ACTIONS(3164),
    [anon_sym_export] = ACTIONS(3164),
    [anon_sym_type] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3164),
    [anon_sym_import] = ACTIONS(3164),
    [anon_sym_with] = ACTIONS(3164),
    [anon_sym_var] = ACTIONS(3164),
    [anon_sym_let] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_await] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_debugger] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_LTtemplate_GT] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_async] = ACTIONS(3164),
    [anon_sym_function] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_void] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3164),
    [sym_private_property_identifier] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
    [sym_super] = ACTIONS(3164),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [sym_null] = ACTIONS(3164),
    [sym_undefined] = ACTIONS(3164),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_readonly] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3164),
    [anon_sym_set] = ACTIONS(3164),
    [anon_sym_declare] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_override] = ACTIONS(3164),
    [anon_sym_module] = ACTIONS(3164),
    [anon_sym_any] = ACTIONS(3164),
    [anon_sym_number] = ACTIONS(3164),
    [anon_sym_boolean] = ACTIONS(3164),
    [anon_sym_string] = ACTIONS(3164),
    [anon_sym_symbol] = ACTIONS(3164),
    [anon_sym_object] = ACTIONS(3164),
    [anon_sym_abstract] = ACTIONS(3164),
    [anon_sym_interface] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [sym_html_comment] = ACTIONS(5),
  },
  [1613] = {
    [sym_comment] = STATE(1613),
    [ts_builtin_sym_end] = ACTIONS(3474),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_type] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_typeof] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3180),
    [anon_sym_with] = ACTIONS(3180),
    [anon_sym_var] = ACTIONS(3180),
    [anon_sym_let] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_await] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_debugger] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_yield] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_LTtemplate_GT] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_async] = ACTIONS(3180),
    [anon_sym_function] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_void] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3180),
    [sym_number] = ACTIONS(3180),
    [sym_private_property_identifier] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
    [sym_super] = ACTIONS(3180),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [sym_null] = ACTIONS(3180),
    [sym_undefined] = ACTIONS(3180),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_readonly] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3180),
    [anon_sym_set] = ACTIONS(3180),
    [anon_sym_declare] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_override] = ACTIONS(3180),
    [anon_sym_module] = ACTIONS(3180),
    [anon_sym_any] = ACTIONS(3180),
    [anon_sym_number] = ACTIONS(3180),
    [anon_sym_boolean] = ACTIONS(3180),
    [anon_sym_string] = ACTIONS(3180),
    [anon_sym_symbol] = ACTIONS(3180),
    [anon_sym_object] = ACTIONS(3180),
    [anon_sym_abstract] = ACTIONS(3180),
    [anon_sym_interface] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1614] = {
    [sym_comment] = STATE(1614),
    [ts_builtin_sym_end] = ACTIONS(3472),
    [sym_identifier] = ACTIONS(3182),
    [anon_sym_export] = ACTIONS(3182),
    [anon_sym_type] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_typeof] = ACTIONS(3182),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_with] = ACTIONS(3182),
    [anon_sym_var] = ACTIONS(3182),
    [anon_sym_let] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_LPAREN] = ACTIONS(3182),
    [anon_sym_await] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_debugger] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_yield] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_LTtemplate_GT] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3182),
    [anon_sym_function] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_SLASH] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_void] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3182),
    [sym_number] = ACTIONS(3182),
    [sym_private_property_identifier] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
    [sym_super] = ACTIONS(3182),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [sym_null] = ACTIONS(3182),
    [sym_undefined] = ACTIONS(3182),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_readonly] = ACTIONS(3182),
    [anon_sym_get] = ACTIONS(3182),
    [anon_sym_set] = ACTIONS(3182),
    [anon_sym_declare] = ACTIONS(3182),
    [anon_sym_public] = ACTIONS(3182),
    [anon_sym_private] = ACTIONS(3182),
    [anon_sym_protected] = ACTIONS(3182),
    [anon_sym_override] = ACTIONS(3182),
    [anon_sym_module] = ACTIONS(3182),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3182),
    [anon_sym_interface] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [sym_html_comment] = ACTIONS(5),
  },
  [1615] = {
    [sym_comment] = STATE(1615),
    [ts_builtin_sym_end] = ACTIONS(3524),
    [sym_identifier] = ACTIONS(3328),
    [anon_sym_export] = ACTIONS(3328),
    [anon_sym_type] = ACTIONS(3328),
    [anon_sym_namespace] = ACTIONS(3328),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_typeof] = ACTIONS(3328),
    [anon_sym_import] = ACTIONS(3328),
    [anon_sym_with] = ACTIONS(3328),
    [anon_sym_var] = ACTIONS(3328),
    [anon_sym_let] = ACTIONS(3328),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_if] = ACTIONS(3328),
    [anon_sym_switch] = ACTIONS(3328),
    [anon_sym_for] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3328),
    [anon_sym_await] = ACTIONS(3328),
    [anon_sym_while] = ACTIONS(3328),
    [anon_sym_do] = ACTIONS(3328),
    [anon_sym_try] = ACTIONS(3328),
    [anon_sym_break] = ACTIONS(3328),
    [anon_sym_continue] = ACTIONS(3328),
    [anon_sym_debugger] = ACTIONS(3328),
    [anon_sym_return] = ACTIONS(3328),
    [anon_sym_throw] = ACTIONS(3328),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym_yield] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3328),
    [anon_sym_LTtemplate_GT] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_function] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3328),
    [anon_sym_using] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_void] = ACTIONS(3328),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3328),
    [sym_number] = ACTIONS(3328),
    [sym_private_property_identifier] = ACTIONS(3328),
    [sym_this] = ACTIONS(3328),
    [sym_super] = ACTIONS(3328),
    [sym_true] = ACTIONS(3328),
    [sym_false] = ACTIONS(3328),
    [sym_null] = ACTIONS(3328),
    [sym_undefined] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [anon_sym_readonly] = ACTIONS(3328),
    [anon_sym_get] = ACTIONS(3328),
    [anon_sym_set] = ACTIONS(3328),
    [anon_sym_declare] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_protected] = ACTIONS(3328),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_module] = ACTIONS(3328),
    [anon_sym_any] = ACTIONS(3328),
    [anon_sym_number] = ACTIONS(3328),
    [anon_sym_boolean] = ACTIONS(3328),
    [anon_sym_string] = ACTIONS(3328),
    [anon_sym_symbol] = ACTIONS(3328),
    [anon_sym_object] = ACTIONS(3328),
    [anon_sym_abstract] = ACTIONS(3328),
    [anon_sym_interface] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(3328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1616] = {
    [sym_comment] = STATE(1616),
    [ts_builtin_sym_end] = ACTIONS(3522),
    [sym_identifier] = ACTIONS(3156),
    [anon_sym_export] = ACTIONS(3156),
    [anon_sym_type] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_typeof] = ACTIONS(3156),
    [anon_sym_import] = ACTIONS(3156),
    [anon_sym_with] = ACTIONS(3156),
    [anon_sym_var] = ACTIONS(3156),
    [anon_sym_let] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_await] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_debugger] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_yield] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_LTtemplate_GT] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_async] = ACTIONS(3156),
    [anon_sym_function] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_void] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3156),
    [sym_number] = ACTIONS(3156),
    [sym_private_property_identifier] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
    [sym_super] = ACTIONS(3156),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [sym_null] = ACTIONS(3156),
    [sym_undefined] = ACTIONS(3156),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_readonly] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3156),
    [anon_sym_set] = ACTIONS(3156),
    [anon_sym_declare] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_override] = ACTIONS(3156),
    [anon_sym_module] = ACTIONS(3156),
    [anon_sym_any] = ACTIONS(3156),
    [anon_sym_number] = ACTIONS(3156),
    [anon_sym_boolean] = ACTIONS(3156),
    [anon_sym_string] = ACTIONS(3156),
    [anon_sym_symbol] = ACTIONS(3156),
    [anon_sym_object] = ACTIONS(3156),
    [anon_sym_abstract] = ACTIONS(3156),
    [anon_sym_interface] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [sym_html_comment] = ACTIONS(5),
  },
  [1617] = {
    [sym_comment] = STATE(1617),
    [ts_builtin_sym_end] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1618] = {
    [sym_comment] = STATE(1618),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1619] = {
    [sym_comment] = STATE(1619),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1620] = {
    [sym_comment] = STATE(1620),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1621] = {
    [sym_comment] = STATE(1621),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3184),
    [anon_sym_export] = ACTIONS(3184),
    [anon_sym_type] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_typeof] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3184),
    [anon_sym_with] = ACTIONS(3184),
    [anon_sym_var] = ACTIONS(3184),
    [anon_sym_let] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_await] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_debugger] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym_yield] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_LTtemplate_GT] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_function] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_void] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3184),
    [sym_private_property_identifier] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
    [sym_super] = ACTIONS(3184),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [sym_null] = ACTIONS(3184),
    [sym_undefined] = ACTIONS(3184),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_readonly] = ACTIONS(3184),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_declare] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_module] = ACTIONS(3184),
    [anon_sym_any] = ACTIONS(3184),
    [anon_sym_number] = ACTIONS(3184),
    [anon_sym_boolean] = ACTIONS(3184),
    [anon_sym_string] = ACTIONS(3184),
    [anon_sym_symbol] = ACTIONS(3184),
    [anon_sym_object] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_interface] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [sym_html_comment] = ACTIONS(5),
  },
  [1622] = {
    [sym_comment] = STATE(1622),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1623] = {
    [sym_comment] = STATE(1623),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1624] = {
    [sym_comment] = STATE(1624),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1625] = {
    [sym_comment] = STATE(1625),
    [ts_builtin_sym_end] = ACTIONS(3468),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_export] = ACTIONS(3186),
    [anon_sym_type] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_typeof] = ACTIONS(3186),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_var] = ACTIONS(3186),
    [anon_sym_let] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_debugger] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_LTtemplate_GT] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_function] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_void] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3186),
    [sym_number] = ACTIONS(3186),
    [sym_private_property_identifier] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
    [sym_super] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_null] = ACTIONS(3186),
    [sym_undefined] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_readonly] = ACTIONS(3186),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_declare] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_module] = ACTIONS(3186),
    [anon_sym_any] = ACTIONS(3186),
    [anon_sym_number] = ACTIONS(3186),
    [anon_sym_boolean] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_symbol] = ACTIONS(3186),
    [anon_sym_object] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_interface] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [sym_html_comment] = ACTIONS(5),
  },
  [1626] = {
    [sym_comment] = STATE(1626),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1627] = {
    [sym_comment] = STATE(1627),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1628] = {
    [sym_comment] = STATE(1628),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1629] = {
    [sym_comment] = STATE(1629),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1630] = {
    [sym_comment] = STATE(1630),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1631] = {
    [sym_comment] = STATE(1631),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1632] = {
    [sym_comment] = STATE(1632),
    [ts_builtin_sym_end] = ACTIONS(3516),
    [sym_identifier] = ACTIONS(3332),
    [anon_sym_export] = ACTIONS(3332),
    [anon_sym_type] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_typeof] = ACTIONS(3332),
    [anon_sym_import] = ACTIONS(3332),
    [anon_sym_with] = ACTIONS(3332),
    [anon_sym_var] = ACTIONS(3332),
    [anon_sym_let] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(3332),
    [anon_sym_await] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_debugger] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym_yield] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_LTtemplate_GT] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_async] = ACTIONS(3332),
    [anon_sym_function] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_SLASH] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_void] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3332),
    [sym_number] = ACTIONS(3332),
    [sym_private_property_identifier] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
    [sym_super] = ACTIONS(3332),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [sym_null] = ACTIONS(3332),
    [sym_undefined] = ACTIONS(3332),
    [anon_sym_AT] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3332),
    [anon_sym_get] = ACTIONS(3332),
    [anon_sym_set] = ACTIONS(3332),
    [anon_sym_declare] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_protected] = ACTIONS(3332),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_module] = ACTIONS(3332),
    [anon_sym_any] = ACTIONS(3332),
    [anon_sym_number] = ACTIONS(3332),
    [anon_sym_boolean] = ACTIONS(3332),
    [anon_sym_string] = ACTIONS(3332),
    [anon_sym_symbol] = ACTIONS(3332),
    [anon_sym_object] = ACTIONS(3332),
    [anon_sym_abstract] = ACTIONS(3332),
    [anon_sym_interface] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1633] = {
    [sym_comment] = STATE(1633),
    [ts_builtin_sym_end] = ACTIONS(3462),
    [sym_identifier] = ACTIONS(3344),
    [anon_sym_export] = ACTIONS(3344),
    [anon_sym_type] = ACTIONS(3344),
    [anon_sym_namespace] = ACTIONS(3344),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_RBRACE] = ACTIONS(3344),
    [anon_sym_typeof] = ACTIONS(3344),
    [anon_sym_import] = ACTIONS(3344),
    [anon_sym_with] = ACTIONS(3344),
    [anon_sym_var] = ACTIONS(3344),
    [anon_sym_let] = ACTIONS(3344),
    [anon_sym_const] = ACTIONS(3344),
    [anon_sym_BANG] = ACTIONS(3344),
    [anon_sym_if] = ACTIONS(3344),
    [anon_sym_switch] = ACTIONS(3344),
    [anon_sym_for] = ACTIONS(3344),
    [anon_sym_LPAREN] = ACTIONS(3344),
    [anon_sym_await] = ACTIONS(3344),
    [anon_sym_while] = ACTIONS(3344),
    [anon_sym_do] = ACTIONS(3344),
    [anon_sym_try] = ACTIONS(3344),
    [anon_sym_break] = ACTIONS(3344),
    [anon_sym_continue] = ACTIONS(3344),
    [anon_sym_debugger] = ACTIONS(3344),
    [anon_sym_return] = ACTIONS(3344),
    [anon_sym_throw] = ACTIONS(3344),
    [anon_sym_SEMI] = ACTIONS(3344),
    [anon_sym_yield] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_LTtemplate_GT] = ACTIONS(3344),
    [anon_sym_DQUOTE] = ACTIONS(3344),
    [anon_sym_SQUOTE] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_async] = ACTIONS(3344),
    [anon_sym_function] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(3344),
    [anon_sym_using] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3344),
    [anon_sym_DASH] = ACTIONS(3344),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_LT] = ACTIONS(3344),
    [anon_sym_TILDE] = ACTIONS(3344),
    [anon_sym_void] = ACTIONS(3344),
    [anon_sym_delete] = ACTIONS(3344),
    [anon_sym_PLUS_PLUS] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3344),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3344),
    [sym_number] = ACTIONS(3344),
    [sym_private_property_identifier] = ACTIONS(3344),
    [sym_this] = ACTIONS(3344),
    [sym_super] = ACTIONS(3344),
    [sym_true] = ACTIONS(3344),
    [sym_false] = ACTIONS(3344),
    [sym_null] = ACTIONS(3344),
    [sym_undefined] = ACTIONS(3344),
    [anon_sym_AT] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_readonly] = ACTIONS(3344),
    [anon_sym_get] = ACTIONS(3344),
    [anon_sym_set] = ACTIONS(3344),
    [anon_sym_declare] = ACTIONS(3344),
    [anon_sym_public] = ACTIONS(3344),
    [anon_sym_private] = ACTIONS(3344),
    [anon_sym_protected] = ACTIONS(3344),
    [anon_sym_override] = ACTIONS(3344),
    [anon_sym_module] = ACTIONS(3344),
    [anon_sym_any] = ACTIONS(3344),
    [anon_sym_number] = ACTIONS(3344),
    [anon_sym_boolean] = ACTIONS(3344),
    [anon_sym_string] = ACTIONS(3344),
    [anon_sym_symbol] = ACTIONS(3344),
    [anon_sym_object] = ACTIONS(3344),
    [anon_sym_abstract] = ACTIONS(3344),
    [anon_sym_interface] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1634] = {
    [sym_comment] = STATE(1634),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1635] = {
    [sym_comment] = STATE(1635),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [1636] = {
    [sym_comment] = STATE(1636),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1637] = {
    [sym_comment] = STATE(1637),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1638] = {
    [sym_comment] = STATE(1638),
    [ts_builtin_sym_end] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_export] = ACTIONS(3326),
    [anon_sym_type] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_typeof] = ACTIONS(3326),
    [anon_sym_import] = ACTIONS(3326),
    [anon_sym_with] = ACTIONS(3326),
    [anon_sym_var] = ACTIONS(3326),
    [anon_sym_let] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_LPAREN] = ACTIONS(3326),
    [anon_sym_await] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_debugger] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym_yield] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_LTtemplate_GT] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_async] = ACTIONS(3326),
    [anon_sym_function] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_void] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3326),
    [sym_number] = ACTIONS(3326),
    [sym_private_property_identifier] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
    [sym_super] = ACTIONS(3326),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [sym_null] = ACTIONS(3326),
    [sym_undefined] = ACTIONS(3326),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_readonly] = ACTIONS(3326),
    [anon_sym_get] = ACTIONS(3326),
    [anon_sym_set] = ACTIONS(3326),
    [anon_sym_declare] = ACTIONS(3326),
    [anon_sym_public] = ACTIONS(3326),
    [anon_sym_private] = ACTIONS(3326),
    [anon_sym_protected] = ACTIONS(3326),
    [anon_sym_override] = ACTIONS(3326),
    [anon_sym_module] = ACTIONS(3326),
    [anon_sym_any] = ACTIONS(3326),
    [anon_sym_number] = ACTIONS(3326),
    [anon_sym_boolean] = ACTIONS(3326),
    [anon_sym_string] = ACTIONS(3326),
    [anon_sym_symbol] = ACTIONS(3326),
    [anon_sym_object] = ACTIONS(3326),
    [anon_sym_abstract] = ACTIONS(3326),
    [anon_sym_interface] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [sym_html_comment] = ACTIONS(5),
  },
  [1639] = {
    [sym_comment] = STATE(1639),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1640] = {
    [sym_comment] = STATE(1640),
    [ts_builtin_sym_end] = ACTIONS(3514),
    [sym_identifier] = ACTIONS(3334),
    [anon_sym_export] = ACTIONS(3334),
    [anon_sym_type] = ACTIONS(3334),
    [anon_sym_namespace] = ACTIONS(3334),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_typeof] = ACTIONS(3334),
    [anon_sym_import] = ACTIONS(3334),
    [anon_sym_with] = ACTIONS(3334),
    [anon_sym_var] = ACTIONS(3334),
    [anon_sym_let] = ACTIONS(3334),
    [anon_sym_const] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_if] = ACTIONS(3334),
    [anon_sym_switch] = ACTIONS(3334),
    [anon_sym_for] = ACTIONS(3334),
    [anon_sym_LPAREN] = ACTIONS(3334),
    [anon_sym_await] = ACTIONS(3334),
    [anon_sym_while] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(3334),
    [anon_sym_try] = ACTIONS(3334),
    [anon_sym_break] = ACTIONS(3334),
    [anon_sym_continue] = ACTIONS(3334),
    [anon_sym_debugger] = ACTIONS(3334),
    [anon_sym_return] = ACTIONS(3334),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym_yield] = ACTIONS(3334),
    [anon_sym_LBRACK] = ACTIONS(3334),
    [anon_sym_LTtemplate_GT] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [anon_sym_class] = ACTIONS(3334),
    [anon_sym_async] = ACTIONS(3334),
    [anon_sym_function] = ACTIONS(3334),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_using] = ACTIONS(3334),
    [anon_sym_PLUS] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3334),
    [anon_sym_SLASH] = ACTIONS(3334),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_void] = ACTIONS(3334),
    [anon_sym_delete] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3334),
    [sym_number] = ACTIONS(3334),
    [sym_private_property_identifier] = ACTIONS(3334),
    [sym_this] = ACTIONS(3334),
    [sym_super] = ACTIONS(3334),
    [sym_true] = ACTIONS(3334),
    [sym_false] = ACTIONS(3334),
    [sym_null] = ACTIONS(3334),
    [sym_undefined] = ACTIONS(3334),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_static] = ACTIONS(3334),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3334),
    [anon_sym_set] = ACTIONS(3334),
    [anon_sym_declare] = ACTIONS(3334),
    [anon_sym_public] = ACTIONS(3334),
    [anon_sym_private] = ACTIONS(3334),
    [anon_sym_protected] = ACTIONS(3334),
    [anon_sym_override] = ACTIONS(3334),
    [anon_sym_module] = ACTIONS(3334),
    [anon_sym_any] = ACTIONS(3334),
    [anon_sym_number] = ACTIONS(3334),
    [anon_sym_boolean] = ACTIONS(3334),
    [anon_sym_string] = ACTIONS(3334),
    [anon_sym_symbol] = ACTIONS(3334),
    [anon_sym_object] = ACTIONS(3334),
    [anon_sym_abstract] = ACTIONS(3334),
    [anon_sym_interface] = ACTIONS(3334),
    [anon_sym_enum] = ACTIONS(3334),
    [sym_html_comment] = ACTIONS(5),
  },
  [1641] = {
    [sym_comment] = STATE(1641),
    [ts_builtin_sym_end] = ACTIONS(3364),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_export] = ACTIONS(3300),
    [anon_sym_type] = ACTIONS(3300),
    [anon_sym_namespace] = ACTIONS(3300),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3300),
    [anon_sym_typeof] = ACTIONS(3300),
    [anon_sym_import] = ACTIONS(3300),
    [anon_sym_with] = ACTIONS(3300),
    [anon_sym_var] = ACTIONS(3300),
    [anon_sym_let] = ACTIONS(3300),
    [anon_sym_const] = ACTIONS(3300),
    [anon_sym_BANG] = ACTIONS(3300),
    [anon_sym_if] = ACTIONS(3300),
    [anon_sym_switch] = ACTIONS(3300),
    [anon_sym_for] = ACTIONS(3300),
    [anon_sym_LPAREN] = ACTIONS(3300),
    [anon_sym_await] = ACTIONS(3300),
    [anon_sym_while] = ACTIONS(3300),
    [anon_sym_do] = ACTIONS(3300),
    [anon_sym_try] = ACTIONS(3300),
    [anon_sym_break] = ACTIONS(3300),
    [anon_sym_continue] = ACTIONS(3300),
    [anon_sym_debugger] = ACTIONS(3300),
    [anon_sym_return] = ACTIONS(3300),
    [anon_sym_throw] = ACTIONS(3300),
    [anon_sym_SEMI] = ACTIONS(3300),
    [anon_sym_yield] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_LTtemplate_GT] = ACTIONS(3300),
    [anon_sym_DQUOTE] = ACTIONS(3300),
    [anon_sym_SQUOTE] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_async] = ACTIONS(3300),
    [anon_sym_function] = ACTIONS(3300),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_using] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_void] = ACTIONS(3300),
    [anon_sym_delete] = ACTIONS(3300),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3300),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [sym_this] = ACTIONS(3300),
    [sym_super] = ACTIONS(3300),
    [sym_true] = ACTIONS(3300),
    [sym_false] = ACTIONS(3300),
    [sym_null] = ACTIONS(3300),
    [sym_undefined] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_readonly] = ACTIONS(3300),
    [anon_sym_get] = ACTIONS(3300),
    [anon_sym_set] = ACTIONS(3300),
    [anon_sym_declare] = ACTIONS(3300),
    [anon_sym_public] = ACTIONS(3300),
    [anon_sym_private] = ACTIONS(3300),
    [anon_sym_protected] = ACTIONS(3300),
    [anon_sym_override] = ACTIONS(3300),
    [anon_sym_module] = ACTIONS(3300),
    [anon_sym_any] = ACTIONS(3300),
    [anon_sym_number] = ACTIONS(3300),
    [anon_sym_boolean] = ACTIONS(3300),
    [anon_sym_string] = ACTIONS(3300),
    [anon_sym_symbol] = ACTIONS(3300),
    [anon_sym_object] = ACTIONS(3300),
    [anon_sym_abstract] = ACTIONS(3300),
    [anon_sym_interface] = ACTIONS(3300),
    [anon_sym_enum] = ACTIONS(3300),
    [sym_html_comment] = ACTIONS(5),
  },
  [1642] = {
    [sym_comment] = STATE(1642),
    [ts_builtin_sym_end] = ACTIONS(3398),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_export] = ACTIONS(3338),
    [anon_sym_type] = ACTIONS(3338),
    [anon_sym_namespace] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(3338),
    [anon_sym_RBRACE] = ACTIONS(3338),
    [anon_sym_typeof] = ACTIONS(3338),
    [anon_sym_import] = ACTIONS(3338),
    [anon_sym_with] = ACTIONS(3338),
    [anon_sym_var] = ACTIONS(3338),
    [anon_sym_let] = ACTIONS(3338),
    [anon_sym_const] = ACTIONS(3338),
    [anon_sym_BANG] = ACTIONS(3338),
    [anon_sym_if] = ACTIONS(3338),
    [anon_sym_switch] = ACTIONS(3338),
    [anon_sym_for] = ACTIONS(3338),
    [anon_sym_LPAREN] = ACTIONS(3338),
    [anon_sym_await] = ACTIONS(3338),
    [anon_sym_while] = ACTIONS(3338),
    [anon_sym_do] = ACTIONS(3338),
    [anon_sym_try] = ACTIONS(3338),
    [anon_sym_break] = ACTIONS(3338),
    [anon_sym_continue] = ACTIONS(3338),
    [anon_sym_debugger] = ACTIONS(3338),
    [anon_sym_return] = ACTIONS(3338),
    [anon_sym_throw] = ACTIONS(3338),
    [anon_sym_SEMI] = ACTIONS(3338),
    [anon_sym_yield] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(3338),
    [anon_sym_LTtemplate_GT] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [anon_sym_SQUOTE] = ACTIONS(3338),
    [anon_sym_class] = ACTIONS(3338),
    [anon_sym_async] = ACTIONS(3338),
    [anon_sym_function] = ACTIONS(3338),
    [anon_sym_new] = ACTIONS(3338),
    [anon_sym_using] = ACTIONS(3338),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3338),
    [anon_sym_LT] = ACTIONS(3338),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_void] = ACTIONS(3338),
    [anon_sym_delete] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3338),
    [sym_number] = ACTIONS(3338),
    [sym_private_property_identifier] = ACTIONS(3338),
    [sym_this] = ACTIONS(3338),
    [sym_super] = ACTIONS(3338),
    [sym_true] = ACTIONS(3338),
    [sym_false] = ACTIONS(3338),
    [sym_null] = ACTIONS(3338),
    [sym_undefined] = ACTIONS(3338),
    [anon_sym_AT] = ACTIONS(3338),
    [anon_sym_static] = ACTIONS(3338),
    [anon_sym_readonly] = ACTIONS(3338),
    [anon_sym_get] = ACTIONS(3338),
    [anon_sym_set] = ACTIONS(3338),
    [anon_sym_declare] = ACTIONS(3338),
    [anon_sym_public] = ACTIONS(3338),
    [anon_sym_private] = ACTIONS(3338),
    [anon_sym_protected] = ACTIONS(3338),
    [anon_sym_override] = ACTIONS(3338),
    [anon_sym_module] = ACTIONS(3338),
    [anon_sym_any] = ACTIONS(3338),
    [anon_sym_number] = ACTIONS(3338),
    [anon_sym_boolean] = ACTIONS(3338),
    [anon_sym_string] = ACTIONS(3338),
    [anon_sym_symbol] = ACTIONS(3338),
    [anon_sym_object] = ACTIONS(3338),
    [anon_sym_abstract] = ACTIONS(3338),
    [anon_sym_interface] = ACTIONS(3338),
    [anon_sym_enum] = ACTIONS(3338),
    [sym_html_comment] = ACTIONS(5),
  },
  [1643] = {
    [sym_comment] = STATE(1643),
    [ts_builtin_sym_end] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1644] = {
    [sym_comment] = STATE(1644),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1645] = {
    [sym_comment] = STATE(1645),
    [ts_builtin_sym_end] = ACTIONS(3466),
    [sym_identifier] = ACTIONS(3188),
    [anon_sym_export] = ACTIONS(3188),
    [anon_sym_type] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_typeof] = ACTIONS(3188),
    [anon_sym_import] = ACTIONS(3188),
    [anon_sym_with] = ACTIONS(3188),
    [anon_sym_var] = ACTIONS(3188),
    [anon_sym_let] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_await] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_debugger] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_yield] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_LTtemplate_GT] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_async] = ACTIONS(3188),
    [anon_sym_function] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_void] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3188),
    [sym_number] = ACTIONS(3188),
    [sym_private_property_identifier] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
    [sym_super] = ACTIONS(3188),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [sym_null] = ACTIONS(3188),
    [sym_undefined] = ACTIONS(3188),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_readonly] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3188),
    [anon_sym_set] = ACTIONS(3188),
    [anon_sym_declare] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_protected] = ACTIONS(3188),
    [anon_sym_override] = ACTIONS(3188),
    [anon_sym_module] = ACTIONS(3188),
    [anon_sym_any] = ACTIONS(3188),
    [anon_sym_number] = ACTIONS(3188),
    [anon_sym_boolean] = ACTIONS(3188),
    [anon_sym_string] = ACTIONS(3188),
    [anon_sym_symbol] = ACTIONS(3188),
    [anon_sym_object] = ACTIONS(3188),
    [anon_sym_abstract] = ACTIONS(3188),
    [anon_sym_interface] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [sym_html_comment] = ACTIONS(5),
  },
  [1646] = {
    [sym_comment] = STATE(1646),
    [ts_builtin_sym_end] = ACTIONS(3506),
    [sym_identifier] = ACTIONS(3226),
    [anon_sym_export] = ACTIONS(3226),
    [anon_sym_type] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_typeof] = ACTIONS(3226),
    [anon_sym_import] = ACTIONS(3226),
    [anon_sym_with] = ACTIONS(3226),
    [anon_sym_var] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_await] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_debugger] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_yield] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_LTtemplate_GT] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_async] = ACTIONS(3226),
    [anon_sym_function] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_void] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3226),
    [sym_number] = ACTIONS(3226),
    [sym_private_property_identifier] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
    [sym_super] = ACTIONS(3226),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [sym_null] = ACTIONS(3226),
    [sym_undefined] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_readonly] = ACTIONS(3226),
    [anon_sym_get] = ACTIONS(3226),
    [anon_sym_set] = ACTIONS(3226),
    [anon_sym_declare] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3226),
    [anon_sym_private] = ACTIONS(3226),
    [anon_sym_protected] = ACTIONS(3226),
    [anon_sym_override] = ACTIONS(3226),
    [anon_sym_module] = ACTIONS(3226),
    [anon_sym_any] = ACTIONS(3226),
    [anon_sym_number] = ACTIONS(3226),
    [anon_sym_boolean] = ACTIONS(3226),
    [anon_sym_string] = ACTIONS(3226),
    [anon_sym_symbol] = ACTIONS(3226),
    [anon_sym_object] = ACTIONS(3226),
    [anon_sym_abstract] = ACTIONS(3226),
    [anon_sym_interface] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [sym_html_comment] = ACTIONS(5),
  },
  [1647] = {
    [sym_comment] = STATE(1647),
    [ts_builtin_sym_end] = ACTIONS(3564),
    [sym_identifier] = ACTIONS(3352),
    [anon_sym_export] = ACTIONS(3352),
    [anon_sym_type] = ACTIONS(3352),
    [anon_sym_namespace] = ACTIONS(3352),
    [anon_sym_LBRACE] = ACTIONS(3352),
    [anon_sym_RBRACE] = ACTIONS(3352),
    [anon_sym_typeof] = ACTIONS(3352),
    [anon_sym_import] = ACTIONS(3352),
    [anon_sym_with] = ACTIONS(3352),
    [anon_sym_var] = ACTIONS(3352),
    [anon_sym_let] = ACTIONS(3352),
    [anon_sym_const] = ACTIONS(3352),
    [anon_sym_BANG] = ACTIONS(3352),
    [anon_sym_if] = ACTIONS(3352),
    [anon_sym_switch] = ACTIONS(3352),
    [anon_sym_for] = ACTIONS(3352),
    [anon_sym_LPAREN] = ACTIONS(3352),
    [anon_sym_await] = ACTIONS(3352),
    [anon_sym_while] = ACTIONS(3352),
    [anon_sym_do] = ACTIONS(3352),
    [anon_sym_try] = ACTIONS(3352),
    [anon_sym_break] = ACTIONS(3352),
    [anon_sym_continue] = ACTIONS(3352),
    [anon_sym_debugger] = ACTIONS(3352),
    [anon_sym_return] = ACTIONS(3352),
    [anon_sym_throw] = ACTIONS(3352),
    [anon_sym_SEMI] = ACTIONS(3352),
    [anon_sym_yield] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3352),
    [anon_sym_LTtemplate_GT] = ACTIONS(3352),
    [anon_sym_DQUOTE] = ACTIONS(3352),
    [anon_sym_SQUOTE] = ACTIONS(3352),
    [anon_sym_class] = ACTIONS(3352),
    [anon_sym_async] = ACTIONS(3352),
    [anon_sym_function] = ACTIONS(3352),
    [anon_sym_new] = ACTIONS(3352),
    [anon_sym_using] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(3352),
    [anon_sym_DASH] = ACTIONS(3352),
    [anon_sym_SLASH] = ACTIONS(3352),
    [anon_sym_LT] = ACTIONS(3352),
    [anon_sym_TILDE] = ACTIONS(3352),
    [anon_sym_void] = ACTIONS(3352),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_PLUS_PLUS] = ACTIONS(3352),
    [anon_sym_DASH_DASH] = ACTIONS(3352),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3352),
    [sym_number] = ACTIONS(3352),
    [sym_private_property_identifier] = ACTIONS(3352),
    [sym_this] = ACTIONS(3352),
    [sym_super] = ACTIONS(3352),
    [sym_true] = ACTIONS(3352),
    [sym_false] = ACTIONS(3352),
    [sym_null] = ACTIONS(3352),
    [sym_undefined] = ACTIONS(3352),
    [anon_sym_AT] = ACTIONS(3352),
    [anon_sym_static] = ACTIONS(3352),
    [anon_sym_readonly] = ACTIONS(3352),
    [anon_sym_get] = ACTIONS(3352),
    [anon_sym_set] = ACTIONS(3352),
    [anon_sym_declare] = ACTIONS(3352),
    [anon_sym_public] = ACTIONS(3352),
    [anon_sym_private] = ACTIONS(3352),
    [anon_sym_protected] = ACTIONS(3352),
    [anon_sym_override] = ACTIONS(3352),
    [anon_sym_module] = ACTIONS(3352),
    [anon_sym_any] = ACTIONS(3352),
    [anon_sym_number] = ACTIONS(3352),
    [anon_sym_boolean] = ACTIONS(3352),
    [anon_sym_string] = ACTIONS(3352),
    [anon_sym_symbol] = ACTIONS(3352),
    [anon_sym_object] = ACTIONS(3352),
    [anon_sym_abstract] = ACTIONS(3352),
    [anon_sym_interface] = ACTIONS(3352),
    [anon_sym_enum] = ACTIONS(3352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1648] = {
    [sym_comment] = STATE(1648),
    [ts_builtin_sym_end] = ACTIONS(3500),
    [sym_identifier] = ACTIONS(3232),
    [anon_sym_export] = ACTIONS(3232),
    [anon_sym_type] = ACTIONS(3232),
    [anon_sym_namespace] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3232),
    [anon_sym_RBRACE] = ACTIONS(3232),
    [anon_sym_typeof] = ACTIONS(3232),
    [anon_sym_import] = ACTIONS(3232),
    [anon_sym_with] = ACTIONS(3232),
    [anon_sym_var] = ACTIONS(3232),
    [anon_sym_let] = ACTIONS(3232),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_BANG] = ACTIONS(3232),
    [anon_sym_if] = ACTIONS(3232),
    [anon_sym_switch] = ACTIONS(3232),
    [anon_sym_for] = ACTIONS(3232),
    [anon_sym_LPAREN] = ACTIONS(3232),
    [anon_sym_await] = ACTIONS(3232),
    [anon_sym_while] = ACTIONS(3232),
    [anon_sym_do] = ACTIONS(3232),
    [anon_sym_try] = ACTIONS(3232),
    [anon_sym_break] = ACTIONS(3232),
    [anon_sym_continue] = ACTIONS(3232),
    [anon_sym_debugger] = ACTIONS(3232),
    [anon_sym_return] = ACTIONS(3232),
    [anon_sym_throw] = ACTIONS(3232),
    [anon_sym_SEMI] = ACTIONS(3232),
    [anon_sym_yield] = ACTIONS(3232),
    [anon_sym_LBRACK] = ACTIONS(3232),
    [anon_sym_LTtemplate_GT] = ACTIONS(3232),
    [anon_sym_DQUOTE] = ACTIONS(3232),
    [anon_sym_SQUOTE] = ACTIONS(3232),
    [anon_sym_class] = ACTIONS(3232),
    [anon_sym_async] = ACTIONS(3232),
    [anon_sym_function] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3232),
    [anon_sym_using] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_TILDE] = ACTIONS(3232),
    [anon_sym_void] = ACTIONS(3232),
    [anon_sym_delete] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3232),
    [anon_sym_DASH_DASH] = ACTIONS(3232),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3232),
    [sym_number] = ACTIONS(3232),
    [sym_private_property_identifier] = ACTIONS(3232),
    [sym_this] = ACTIONS(3232),
    [sym_super] = ACTIONS(3232),
    [sym_true] = ACTIONS(3232),
    [sym_false] = ACTIONS(3232),
    [sym_null] = ACTIONS(3232),
    [sym_undefined] = ACTIONS(3232),
    [anon_sym_AT] = ACTIONS(3232),
    [anon_sym_static] = ACTIONS(3232),
    [anon_sym_readonly] = ACTIONS(3232),
    [anon_sym_get] = ACTIONS(3232),
    [anon_sym_set] = ACTIONS(3232),
    [anon_sym_declare] = ACTIONS(3232),
    [anon_sym_public] = ACTIONS(3232),
    [anon_sym_private] = ACTIONS(3232),
    [anon_sym_protected] = ACTIONS(3232),
    [anon_sym_override] = ACTIONS(3232),
    [anon_sym_module] = ACTIONS(3232),
    [anon_sym_any] = ACTIONS(3232),
    [anon_sym_number] = ACTIONS(3232),
    [anon_sym_boolean] = ACTIONS(3232),
    [anon_sym_string] = ACTIONS(3232),
    [anon_sym_symbol] = ACTIONS(3232),
    [anon_sym_object] = ACTIONS(3232),
    [anon_sym_abstract] = ACTIONS(3232),
    [anon_sym_interface] = ACTIONS(3232),
    [anon_sym_enum] = ACTIONS(3232),
    [sym_html_comment] = ACTIONS(5),
  },
  [1649] = {
    [sym_comment] = STATE(1649),
    [ts_builtin_sym_end] = ACTIONS(3464),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_export] = ACTIONS(3190),
    [anon_sym_type] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_typeof] = ACTIONS(3190),
    [anon_sym_import] = ACTIONS(3190),
    [anon_sym_with] = ACTIONS(3190),
    [anon_sym_var] = ACTIONS(3190),
    [anon_sym_let] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3190),
    [anon_sym_await] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_debugger] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_yield] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_LTtemplate_GT] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_async] = ACTIONS(3190),
    [anon_sym_function] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_void] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3190),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
    [sym_super] = ACTIONS(3190),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3190),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_declare] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(3190),
    [anon_sym_any] = ACTIONS(3190),
    [anon_sym_number] = ACTIONS(3190),
    [anon_sym_boolean] = ACTIONS(3190),
    [anon_sym_string] = ACTIONS(3190),
    [anon_sym_symbol] = ACTIONS(3190),
    [anon_sym_object] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_interface] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1650] = {
    [sym_comment] = STATE(1650),
    [ts_builtin_sym_end] = ACTIONS(2391),
    [sym_identifier] = ACTIONS(2171),
    [anon_sym_export] = ACTIONS(2171),
    [anon_sym_type] = ACTIONS(2171),
    [anon_sym_namespace] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_typeof] = ACTIONS(2171),
    [anon_sym_import] = ACTIONS(2171),
    [anon_sym_with] = ACTIONS(2171),
    [anon_sym_var] = ACTIONS(2171),
    [anon_sym_let] = ACTIONS(2171),
    [anon_sym_const] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_if] = ACTIONS(2171),
    [anon_sym_switch] = ACTIONS(2171),
    [anon_sym_for] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2171),
    [anon_sym_try] = ACTIONS(2171),
    [anon_sym_break] = ACTIONS(2171),
    [anon_sym_continue] = ACTIONS(2171),
    [anon_sym_debugger] = ACTIONS(2171),
    [anon_sym_return] = ACTIONS(2171),
    [anon_sym_throw] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_yield] = ACTIONS(2171),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LTtemplate_GT] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2171),
    [anon_sym_async] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2171),
    [anon_sym_using] = ACTIONS(2171),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_void] = ACTIONS(2171),
    [anon_sym_delete] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [sym_private_property_identifier] = ACTIONS(2171),
    [sym_this] = ACTIONS(2171),
    [sym_super] = ACTIONS(2171),
    [sym_true] = ACTIONS(2171),
    [sym_false] = ACTIONS(2171),
    [sym_null] = ACTIONS(2171),
    [sym_undefined] = ACTIONS(2171),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2171),
    [anon_sym_readonly] = ACTIONS(2171),
    [anon_sym_get] = ACTIONS(2171),
    [anon_sym_set] = ACTIONS(2171),
    [anon_sym_declare] = ACTIONS(2171),
    [anon_sym_public] = ACTIONS(2171),
    [anon_sym_private] = ACTIONS(2171),
    [anon_sym_protected] = ACTIONS(2171),
    [anon_sym_override] = ACTIONS(2171),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_any] = ACTIONS(2171),
    [anon_sym_number] = ACTIONS(2171),
    [anon_sym_boolean] = ACTIONS(2171),
    [anon_sym_string] = ACTIONS(2171),
    [anon_sym_symbol] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(2171),
    [anon_sym_abstract] = ACTIONS(2171),
    [anon_sym_interface] = ACTIONS(2171),
    [anon_sym_enum] = ACTIONS(2171),
    [sym_html_comment] = ACTIONS(5),
  },
  [1651] = {
    [sym_comment] = STATE(1651),
    [ts_builtin_sym_end] = ACTIONS(3424),
    [sym_identifier] = ACTIONS(3242),
    [anon_sym_export] = ACTIONS(3242),
    [anon_sym_type] = ACTIONS(3242),
    [anon_sym_namespace] = ACTIONS(3242),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_typeof] = ACTIONS(3242),
    [anon_sym_import] = ACTIONS(3242),
    [anon_sym_with] = ACTIONS(3242),
    [anon_sym_var] = ACTIONS(3242),
    [anon_sym_let] = ACTIONS(3242),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_if] = ACTIONS(3242),
    [anon_sym_switch] = ACTIONS(3242),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_LPAREN] = ACTIONS(3242),
    [anon_sym_await] = ACTIONS(3242),
    [anon_sym_while] = ACTIONS(3242),
    [anon_sym_do] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3242),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_continue] = ACTIONS(3242),
    [anon_sym_debugger] = ACTIONS(3242),
    [anon_sym_return] = ACTIONS(3242),
    [anon_sym_throw] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_yield] = ACTIONS(3242),
    [anon_sym_LBRACK] = ACTIONS(3242),
    [anon_sym_LTtemplate_GT] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_class] = ACTIONS(3242),
    [anon_sym_async] = ACTIONS(3242),
    [anon_sym_function] = ACTIONS(3242),
    [anon_sym_new] = ACTIONS(3242),
    [anon_sym_using] = ACTIONS(3242),
    [anon_sym_PLUS] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3242),
    [anon_sym_SLASH] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_void] = ACTIONS(3242),
    [anon_sym_delete] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3242),
    [sym_number] = ACTIONS(3242),
    [sym_private_property_identifier] = ACTIONS(3242),
    [sym_this] = ACTIONS(3242),
    [sym_super] = ACTIONS(3242),
    [sym_true] = ACTIONS(3242),
    [sym_false] = ACTIONS(3242),
    [sym_null] = ACTIONS(3242),
    [sym_undefined] = ACTIONS(3242),
    [anon_sym_AT] = ACTIONS(3242),
    [anon_sym_static] = ACTIONS(3242),
    [anon_sym_readonly] = ACTIONS(3242),
    [anon_sym_get] = ACTIONS(3242),
    [anon_sym_set] = ACTIONS(3242),
    [anon_sym_declare] = ACTIONS(3242),
    [anon_sym_public] = ACTIONS(3242),
    [anon_sym_private] = ACTIONS(3242),
    [anon_sym_protected] = ACTIONS(3242),
    [anon_sym_override] = ACTIONS(3242),
    [anon_sym_module] = ACTIONS(3242),
    [anon_sym_any] = ACTIONS(3242),
    [anon_sym_number] = ACTIONS(3242),
    [anon_sym_boolean] = ACTIONS(3242),
    [anon_sym_string] = ACTIONS(3242),
    [anon_sym_symbol] = ACTIONS(3242),
    [anon_sym_object] = ACTIONS(3242),
    [anon_sym_abstract] = ACTIONS(3242),
    [anon_sym_interface] = ACTIONS(3242),
    [anon_sym_enum] = ACTIONS(3242),
    [sym_html_comment] = ACTIONS(5),
  },
  [1652] = {
    [sym_comment] = STATE(1652),
    [ts_builtin_sym_end] = ACTIONS(3560),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_export] = ACTIONS(3206),
    [anon_sym_type] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_typeof] = ACTIONS(3206),
    [anon_sym_import] = ACTIONS(3206),
    [anon_sym_with] = ACTIONS(3206),
    [anon_sym_var] = ACTIONS(3206),
    [anon_sym_let] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3206),
    [anon_sym_await] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_debugger] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_yield] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_LTtemplate_GT] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_async] = ACTIONS(3206),
    [anon_sym_function] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_void] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3206),
    [sym_number] = ACTIONS(3206),
    [sym_private_property_identifier] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
    [sym_super] = ACTIONS(3206),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [sym_null] = ACTIONS(3206),
    [sym_undefined] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_readonly] = ACTIONS(3206),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_declare] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_module] = ACTIONS(3206),
    [anon_sym_any] = ACTIONS(3206),
    [anon_sym_number] = ACTIONS(3206),
    [anon_sym_boolean] = ACTIONS(3206),
    [anon_sym_string] = ACTIONS(3206),
    [anon_sym_symbol] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_interface] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1653] = {
    [sym_comment] = STATE(1653),
    [ts_builtin_sym_end] = ACTIONS(3558),
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_export] = ACTIONS(3202),
    [anon_sym_type] = ACTIONS(3202),
    [anon_sym_namespace] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_typeof] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3202),
    [anon_sym_with] = ACTIONS(3202),
    [anon_sym_var] = ACTIONS(3202),
    [anon_sym_let] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_switch] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3202),
    [anon_sym_await] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_do] = ACTIONS(3202),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_break] = ACTIONS(3202),
    [anon_sym_continue] = ACTIONS(3202),
    [anon_sym_debugger] = ACTIONS(3202),
    [anon_sym_return] = ACTIONS(3202),
    [anon_sym_throw] = ACTIONS(3202),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym_yield] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [anon_sym_LTtemplate_GT] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_class] = ACTIONS(3202),
    [anon_sym_async] = ACTIONS(3202),
    [anon_sym_function] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(3202),
    [anon_sym_using] = ACTIONS(3202),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_void] = ACTIONS(3202),
    [anon_sym_delete] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3202),
    [sym_number] = ACTIONS(3202),
    [sym_private_property_identifier] = ACTIONS(3202),
    [sym_this] = ACTIONS(3202),
    [sym_super] = ACTIONS(3202),
    [sym_true] = ACTIONS(3202),
    [sym_false] = ACTIONS(3202),
    [sym_null] = ACTIONS(3202),
    [sym_undefined] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3202),
    [anon_sym_static] = ACTIONS(3202),
    [anon_sym_readonly] = ACTIONS(3202),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_declare] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_module] = ACTIONS(3202),
    [anon_sym_any] = ACTIONS(3202),
    [anon_sym_number] = ACTIONS(3202),
    [anon_sym_boolean] = ACTIONS(3202),
    [anon_sym_string] = ACTIONS(3202),
    [anon_sym_symbol] = ACTIONS(3202),
    [anon_sym_object] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_interface] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [sym_html_comment] = ACTIONS(5),
  },
  [1654] = {
    [sym_comment] = STATE(1654),
    [ts_builtin_sym_end] = ACTIONS(3402),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_export] = ACTIONS(3266),
    [anon_sym_type] = ACTIONS(3266),
    [anon_sym_namespace] = ACTIONS(3266),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_typeof] = ACTIONS(3266),
    [anon_sym_import] = ACTIONS(3266),
    [anon_sym_with] = ACTIONS(3266),
    [anon_sym_var] = ACTIONS(3266),
    [anon_sym_let] = ACTIONS(3266),
    [anon_sym_const] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_switch] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_await] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_do] = ACTIONS(3266),
    [anon_sym_try] = ACTIONS(3266),
    [anon_sym_break] = ACTIONS(3266),
    [anon_sym_continue] = ACTIONS(3266),
    [anon_sym_debugger] = ACTIONS(3266),
    [anon_sym_return] = ACTIONS(3266),
    [anon_sym_throw] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_yield] = ACTIONS(3266),
    [anon_sym_LBRACK] = ACTIONS(3266),
    [anon_sym_LTtemplate_GT] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_class] = ACTIONS(3266),
    [anon_sym_async] = ACTIONS(3266),
    [anon_sym_function] = ACTIONS(3266),
    [anon_sym_new] = ACTIONS(3266),
    [anon_sym_using] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3266),
    [anon_sym_SLASH] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_void] = ACTIONS(3266),
    [anon_sym_delete] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3266),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [sym_this] = ACTIONS(3266),
    [sym_super] = ACTIONS(3266),
    [sym_true] = ACTIONS(3266),
    [sym_false] = ACTIONS(3266),
    [sym_null] = ACTIONS(3266),
    [sym_undefined] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3266),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_readonly] = ACTIONS(3266),
    [anon_sym_get] = ACTIONS(3266),
    [anon_sym_set] = ACTIONS(3266),
    [anon_sym_declare] = ACTIONS(3266),
    [anon_sym_public] = ACTIONS(3266),
    [anon_sym_private] = ACTIONS(3266),
    [anon_sym_protected] = ACTIONS(3266),
    [anon_sym_override] = ACTIONS(3266),
    [anon_sym_module] = ACTIONS(3266),
    [anon_sym_any] = ACTIONS(3266),
    [anon_sym_number] = ACTIONS(3266),
    [anon_sym_boolean] = ACTIONS(3266),
    [anon_sym_string] = ACTIONS(3266),
    [anon_sym_symbol] = ACTIONS(3266),
    [anon_sym_object] = ACTIONS(3266),
    [anon_sym_abstract] = ACTIONS(3266),
    [anon_sym_interface] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1655] = {
    [sym_comment] = STATE(1655),
    [ts_builtin_sym_end] = ACTIONS(3556),
    [sym_identifier] = ACTIONS(3200),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_type] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_typeof] = ACTIONS(3200),
    [anon_sym_import] = ACTIONS(3200),
    [anon_sym_with] = ACTIONS(3200),
    [anon_sym_var] = ACTIONS(3200),
    [anon_sym_let] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_await] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_debugger] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_yield] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_LTtemplate_GT] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_async] = ACTIONS(3200),
    [anon_sym_function] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_void] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3200),
    [sym_number] = ACTIONS(3200),
    [sym_private_property_identifier] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
    [sym_super] = ACTIONS(3200),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [sym_null] = ACTIONS(3200),
    [sym_undefined] = ACTIONS(3200),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_readonly] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3200),
    [anon_sym_set] = ACTIONS(3200),
    [anon_sym_declare] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_module] = ACTIONS(3200),
    [anon_sym_any] = ACTIONS(3200),
    [anon_sym_number] = ACTIONS(3200),
    [anon_sym_boolean] = ACTIONS(3200),
    [anon_sym_string] = ACTIONS(3200),
    [anon_sym_symbol] = ACTIONS(3200),
    [anon_sym_object] = ACTIONS(3200),
    [anon_sym_abstract] = ACTIONS(3200),
    [anon_sym_interface] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1656] = {
    [sym_comment] = STATE(1656),
    [ts_builtin_sym_end] = ACTIONS(3554),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1657] = {
    [sym_comment] = STATE(1657),
    [ts_builtin_sym_end] = ACTIONS(3552),
    [sym_identifier] = ACTIONS(3196),
    [anon_sym_export] = ACTIONS(3196),
    [anon_sym_type] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_typeof] = ACTIONS(3196),
    [anon_sym_import] = ACTIONS(3196),
    [anon_sym_with] = ACTIONS(3196),
    [anon_sym_var] = ACTIONS(3196),
    [anon_sym_let] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_await] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_debugger] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_yield] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_LTtemplate_GT] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_async] = ACTIONS(3196),
    [anon_sym_function] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_void] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3196),
    [sym_number] = ACTIONS(3196),
    [sym_private_property_identifier] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
    [sym_super] = ACTIONS(3196),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [sym_null] = ACTIONS(3196),
    [sym_undefined] = ACTIONS(3196),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_readonly] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3196),
    [anon_sym_declare] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_protected] = ACTIONS(3196),
    [anon_sym_override] = ACTIONS(3196),
    [anon_sym_module] = ACTIONS(3196),
    [anon_sym_any] = ACTIONS(3196),
    [anon_sym_number] = ACTIONS(3196),
    [anon_sym_boolean] = ACTIONS(3196),
    [anon_sym_string] = ACTIONS(3196),
    [anon_sym_symbol] = ACTIONS(3196),
    [anon_sym_object] = ACTIONS(3196),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_interface] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [sym_html_comment] = ACTIONS(5),
  },
  [1658] = {
    [sym_comment] = STATE(1658),
    [ts_builtin_sym_end] = ACTIONS(2391),
    [sym_identifier] = ACTIONS(2171),
    [anon_sym_export] = ACTIONS(2171),
    [anon_sym_type] = ACTIONS(2171),
    [anon_sym_namespace] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_typeof] = ACTIONS(2171),
    [anon_sym_import] = ACTIONS(2171),
    [anon_sym_with] = ACTIONS(2171),
    [anon_sym_var] = ACTIONS(2171),
    [anon_sym_let] = ACTIONS(2171),
    [anon_sym_const] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_if] = ACTIONS(2171),
    [anon_sym_switch] = ACTIONS(2171),
    [anon_sym_for] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2171),
    [anon_sym_try] = ACTIONS(2171),
    [anon_sym_break] = ACTIONS(2171),
    [anon_sym_continue] = ACTIONS(2171),
    [anon_sym_debugger] = ACTIONS(2171),
    [anon_sym_return] = ACTIONS(2171),
    [anon_sym_throw] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_yield] = ACTIONS(2171),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LTtemplate_GT] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2171),
    [anon_sym_async] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2171),
    [anon_sym_using] = ACTIONS(2171),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_void] = ACTIONS(2171),
    [anon_sym_delete] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [sym_private_property_identifier] = ACTIONS(2171),
    [sym_this] = ACTIONS(2171),
    [sym_super] = ACTIONS(2171),
    [sym_true] = ACTIONS(2171),
    [sym_false] = ACTIONS(2171),
    [sym_null] = ACTIONS(2171),
    [sym_undefined] = ACTIONS(2171),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2171),
    [anon_sym_readonly] = ACTIONS(2171),
    [anon_sym_get] = ACTIONS(2171),
    [anon_sym_set] = ACTIONS(2171),
    [anon_sym_declare] = ACTIONS(2171),
    [anon_sym_public] = ACTIONS(2171),
    [anon_sym_private] = ACTIONS(2171),
    [anon_sym_protected] = ACTIONS(2171),
    [anon_sym_override] = ACTIONS(2171),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_any] = ACTIONS(2171),
    [anon_sym_number] = ACTIONS(2171),
    [anon_sym_boolean] = ACTIONS(2171),
    [anon_sym_string] = ACTIONS(2171),
    [anon_sym_symbol] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(2171),
    [anon_sym_abstract] = ACTIONS(2171),
    [anon_sym_interface] = ACTIONS(2171),
    [anon_sym_enum] = ACTIONS(2171),
    [sym_html_comment] = ACTIONS(5),
  },
  [1659] = {
    [sym_comment] = STATE(1659),
    [ts_builtin_sym_end] = ACTIONS(3400),
    [sym_identifier] = ACTIONS(3268),
    [anon_sym_export] = ACTIONS(3268),
    [anon_sym_type] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3268),
    [anon_sym_RBRACE] = ACTIONS(3268),
    [anon_sym_typeof] = ACTIONS(3268),
    [anon_sym_import] = ACTIONS(3268),
    [anon_sym_with] = ACTIONS(3268),
    [anon_sym_var] = ACTIONS(3268),
    [anon_sym_let] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_BANG] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_LPAREN] = ACTIONS(3268),
    [anon_sym_await] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_debugger] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3268),
    [anon_sym_yield] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_LTtemplate_GT] = ACTIONS(3268),
    [anon_sym_DQUOTE] = ACTIONS(3268),
    [anon_sym_SQUOTE] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_async] = ACTIONS(3268),
    [anon_sym_function] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_TILDE] = ACTIONS(3268),
    [anon_sym_void] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_PLUS_PLUS] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3268),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3268),
    [sym_number] = ACTIONS(3268),
    [sym_private_property_identifier] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
    [sym_super] = ACTIONS(3268),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [sym_null] = ACTIONS(3268),
    [sym_undefined] = ACTIONS(3268),
    [anon_sym_AT] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_readonly] = ACTIONS(3268),
    [anon_sym_get] = ACTIONS(3268),
    [anon_sym_set] = ACTIONS(3268),
    [anon_sym_declare] = ACTIONS(3268),
    [anon_sym_public] = ACTIONS(3268),
    [anon_sym_private] = ACTIONS(3268),
    [anon_sym_protected] = ACTIONS(3268),
    [anon_sym_override] = ACTIONS(3268),
    [anon_sym_module] = ACTIONS(3268),
    [anon_sym_any] = ACTIONS(3268),
    [anon_sym_number] = ACTIONS(3268),
    [anon_sym_boolean] = ACTIONS(3268),
    [anon_sym_string] = ACTIONS(3268),
    [anon_sym_symbol] = ACTIONS(3268),
    [anon_sym_object] = ACTIONS(3268),
    [anon_sym_abstract] = ACTIONS(3268),
    [anon_sym_interface] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [sym_html_comment] = ACTIONS(5),
  },
  [1660] = {
    [sym_comment] = STATE(1660),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1661] = {
    [sym_comment] = STATE(1661),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1662] = {
    [sym_comment] = STATE(1662),
    [ts_builtin_sym_end] = ACTIONS(2211),
    [sym_identifier] = ACTIONS(2209),
    [anon_sym_export] = ACTIONS(2209),
    [anon_sym_type] = ACTIONS(2209),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_RBRACE] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(2209),
    [anon_sym_import] = ACTIONS(2209),
    [anon_sym_with] = ACTIONS(2209),
    [anon_sym_var] = ACTIONS(2209),
    [anon_sym_let] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_debugger] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2209),
    [anon_sym_yield] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [anon_sym_SQUOTE] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_SLASH] = ACTIONS(2209),
    [anon_sym_LT] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_void] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2209),
    [sym_number] = ACTIONS(2209),
    [sym_private_property_identifier] = ACTIONS(2209),
    [sym_this] = ACTIONS(2209),
    [sym_super] = ACTIONS(2209),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [sym_null] = ACTIONS(2209),
    [sym_undefined] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_readonly] = ACTIONS(2209),
    [anon_sym_get] = ACTIONS(2209),
    [anon_sym_set] = ACTIONS(2209),
    [anon_sym_declare] = ACTIONS(2209),
    [anon_sym_public] = ACTIONS(2209),
    [anon_sym_private] = ACTIONS(2209),
    [anon_sym_protected] = ACTIONS(2209),
    [anon_sym_override] = ACTIONS(2209),
    [anon_sym_module] = ACTIONS(2209),
    [anon_sym_any] = ACTIONS(2209),
    [anon_sym_number] = ACTIONS(2209),
    [anon_sym_boolean] = ACTIONS(2209),
    [anon_sym_string] = ACTIONS(2209),
    [anon_sym_symbol] = ACTIONS(2209),
    [anon_sym_object] = ACTIONS(2209),
    [anon_sym_abstract] = ACTIONS(2209),
    [anon_sym_interface] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1663] = {
    [sym_comment] = STATE(1663),
    [ts_builtin_sym_end] = ACTIONS(2255),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2253),
    [anon_sym_type] = ACTIONS(2253),
    [anon_sym_namespace] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_typeof] = ACTIONS(2253),
    [anon_sym_import] = ACTIONS(2253),
    [anon_sym_with] = ACTIONS(2253),
    [anon_sym_var] = ACTIONS(2253),
    [anon_sym_let] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_switch] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_debugger] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_throw] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_yield] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LTtemplate_GT] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(2253),
    [anon_sym_SQUOTE] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2253),
    [anon_sym_using] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_SLASH] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_void] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [sym_private_property_identifier] = ACTIONS(2253),
    [sym_this] = ACTIONS(2253),
    [sym_super] = ACTIONS(2253),
    [sym_true] = ACTIONS(2253),
    [sym_false] = ACTIONS(2253),
    [sym_null] = ACTIONS(2253),
    [sym_undefined] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_static] = ACTIONS(2253),
    [anon_sym_readonly] = ACTIONS(2253),
    [anon_sym_get] = ACTIONS(2253),
    [anon_sym_set] = ACTIONS(2253),
    [anon_sym_declare] = ACTIONS(2253),
    [anon_sym_public] = ACTIONS(2253),
    [anon_sym_private] = ACTIONS(2253),
    [anon_sym_protected] = ACTIONS(2253),
    [anon_sym_override] = ACTIONS(2253),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_any] = ACTIONS(2253),
    [anon_sym_number] = ACTIONS(2253),
    [anon_sym_boolean] = ACTIONS(2253),
    [anon_sym_string] = ACTIONS(2253),
    [anon_sym_symbol] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2253),
    [anon_sym_interface] = ACTIONS(2253),
    [anon_sym_enum] = ACTIONS(2253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1664] = {
    [sym_comment] = STATE(1664),
    [ts_builtin_sym_end] = ACTIONS(3498),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1665] = {
    [sym_comment] = STATE(1665),
    [ts_builtin_sym_end] = ACTIONS(3550),
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_export] = ACTIONS(3192),
    [anon_sym_type] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_typeof] = ACTIONS(3192),
    [anon_sym_import] = ACTIONS(3192),
    [anon_sym_with] = ACTIONS(3192),
    [anon_sym_var] = ACTIONS(3192),
    [anon_sym_let] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_await] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_debugger] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_yield] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_LTtemplate_GT] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_async] = ACTIONS(3192),
    [anon_sym_function] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_void] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3192),
    [sym_number] = ACTIONS(3192),
    [sym_private_property_identifier] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
    [sym_super] = ACTIONS(3192),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [sym_null] = ACTIONS(3192),
    [sym_undefined] = ACTIONS(3192),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3192),
    [anon_sym_set] = ACTIONS(3192),
    [anon_sym_declare] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_override] = ACTIONS(3192),
    [anon_sym_module] = ACTIONS(3192),
    [anon_sym_any] = ACTIONS(3192),
    [anon_sym_number] = ACTIONS(3192),
    [anon_sym_boolean] = ACTIONS(3192),
    [anon_sym_string] = ACTIONS(3192),
    [anon_sym_symbol] = ACTIONS(3192),
    [anon_sym_object] = ACTIONS(3192),
    [anon_sym_abstract] = ACTIONS(3192),
    [anon_sym_interface] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1666] = {
    [sym_comment] = STATE(1666),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1667] = {
    [sym_comment] = STATE(1667),
    [ts_builtin_sym_end] = ACTIONS(2207),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1668] = {
    [sym_comment] = STATE(1668),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1669] = {
    [sym_comment] = STATE(1669),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1670] = {
    [sym_comment] = STATE(1670),
    [ts_builtin_sym_end] = ACTIONS(3490),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1671] = {
    [sym_comment] = STATE(1671),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1672] = {
    [sym_comment] = STATE(1672),
    [ts_builtin_sym_end] = ACTIONS(3494),
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_export] = ACTIONS(3174),
    [anon_sym_type] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_typeof] = ACTIONS(3174),
    [anon_sym_import] = ACTIONS(3174),
    [anon_sym_with] = ACTIONS(3174),
    [anon_sym_var] = ACTIONS(3174),
    [anon_sym_let] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3174),
    [anon_sym_await] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_debugger] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_yield] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_LTtemplate_GT] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_async] = ACTIONS(3174),
    [anon_sym_function] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_void] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3174),
    [sym_number] = ACTIONS(3174),
    [sym_private_property_identifier] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
    [sym_super] = ACTIONS(3174),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [sym_null] = ACTIONS(3174),
    [sym_undefined] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_readonly] = ACTIONS(3174),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_declare] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_module] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3174),
    [anon_sym_number] = ACTIONS(3174),
    [anon_sym_boolean] = ACTIONS(3174),
    [anon_sym_string] = ACTIONS(3174),
    [anon_sym_symbol] = ACTIONS(3174),
    [anon_sym_object] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_interface] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [sym_html_comment] = ACTIONS(5),
  },
  [1673] = {
    [sym_comment] = STATE(1673),
    [ts_builtin_sym_end] = ACTIONS(3502),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [1674] = {
    [sym_comment] = STATE(1674),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1675] = {
    [sym_comment] = STATE(1675),
    [ts_builtin_sym_end] = ACTIONS(3428),
    [sym_identifier] = ACTIONS(3230),
    [anon_sym_export] = ACTIONS(3230),
    [anon_sym_type] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_typeof] = ACTIONS(3230),
    [anon_sym_import] = ACTIONS(3230),
    [anon_sym_with] = ACTIONS(3230),
    [anon_sym_var] = ACTIONS(3230),
    [anon_sym_let] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_LPAREN] = ACTIONS(3230),
    [anon_sym_await] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_debugger] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_yield] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_LTtemplate_GT] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_async] = ACTIONS(3230),
    [anon_sym_function] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_SLASH] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_void] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3230),
    [sym_number] = ACTIONS(3230),
    [sym_private_property_identifier] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
    [sym_super] = ACTIONS(3230),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [sym_null] = ACTIONS(3230),
    [sym_undefined] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_readonly] = ACTIONS(3230),
    [anon_sym_get] = ACTIONS(3230),
    [anon_sym_set] = ACTIONS(3230),
    [anon_sym_declare] = ACTIONS(3230),
    [anon_sym_public] = ACTIONS(3230),
    [anon_sym_private] = ACTIONS(3230),
    [anon_sym_protected] = ACTIONS(3230),
    [anon_sym_override] = ACTIONS(3230),
    [anon_sym_module] = ACTIONS(3230),
    [anon_sym_any] = ACTIONS(3230),
    [anon_sym_number] = ACTIONS(3230),
    [anon_sym_boolean] = ACTIONS(3230),
    [anon_sym_string] = ACTIONS(3230),
    [anon_sym_symbol] = ACTIONS(3230),
    [anon_sym_object] = ACTIONS(3230),
    [anon_sym_abstract] = ACTIONS(3230),
    [anon_sym_interface] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [sym_html_comment] = ACTIONS(5),
  },
  [1676] = {
    [sym_comment] = STATE(1676),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1677] = {
    [sym_comment] = STATE(1677),
    [ts_builtin_sym_end] = ACTIONS(3458),
    [sym_identifier] = ACTIONS(3128),
    [anon_sym_export] = ACTIONS(3128),
    [anon_sym_type] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_typeof] = ACTIONS(3128),
    [anon_sym_import] = ACTIONS(3128),
    [anon_sym_with] = ACTIONS(3128),
    [anon_sym_var] = ACTIONS(3128),
    [anon_sym_let] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_await] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_debugger] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym_yield] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_LTtemplate_GT] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_async] = ACTIONS(3128),
    [anon_sym_function] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_void] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3128),
    [sym_number] = ACTIONS(3128),
    [sym_private_property_identifier] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
    [sym_super] = ACTIONS(3128),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [sym_null] = ACTIONS(3128),
    [sym_undefined] = ACTIONS(3128),
    [anon_sym_AT] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_readonly] = ACTIONS(3128),
    [anon_sym_get] = ACTIONS(3128),
    [anon_sym_set] = ACTIONS(3128),
    [anon_sym_declare] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_override] = ACTIONS(3128),
    [anon_sym_module] = ACTIONS(3128),
    [anon_sym_any] = ACTIONS(3128),
    [anon_sym_number] = ACTIONS(3128),
    [anon_sym_boolean] = ACTIONS(3128),
    [anon_sym_string] = ACTIONS(3128),
    [anon_sym_symbol] = ACTIONS(3128),
    [anon_sym_object] = ACTIONS(3128),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_interface] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [sym_html_comment] = ACTIONS(5),
  },
  [1678] = {
    [sym_comment] = STATE(1678),
    [ts_builtin_sym_end] = ACTIONS(2261),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym_html_comment] = ACTIONS(5),
  },
  [1679] = {
    [sym_comment] = STATE(1679),
    [ts_builtin_sym_end] = ACTIONS(3490),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1680] = {
    [sym_comment] = STATE(1680),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1681] = {
    [sym_comment] = STATE(1681),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_export] = ACTIONS(3130),
    [anon_sym_type] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_typeof] = ACTIONS(3130),
    [anon_sym_import] = ACTIONS(3130),
    [anon_sym_with] = ACTIONS(3130),
    [anon_sym_var] = ACTIONS(3130),
    [anon_sym_let] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3130),
    [anon_sym_await] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_debugger] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym_yield] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_LTtemplate_GT] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_async] = ACTIONS(3130),
    [anon_sym_function] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_void] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3130),
    [sym_number] = ACTIONS(3130),
    [sym_private_property_identifier] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
    [sym_super] = ACTIONS(3130),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [sym_null] = ACTIONS(3130),
    [sym_undefined] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_readonly] = ACTIONS(3130),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_declare] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_module] = ACTIONS(3130),
    [anon_sym_any] = ACTIONS(3130),
    [anon_sym_number] = ACTIONS(3130),
    [anon_sym_boolean] = ACTIONS(3130),
    [anon_sym_string] = ACTIONS(3130),
    [anon_sym_symbol] = ACTIONS(3130),
    [anon_sym_object] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_interface] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [sym_html_comment] = ACTIONS(5),
  },
  [1682] = {
    [sym_comment] = STATE(1682),
    [ts_builtin_sym_end] = ACTIONS(3544),
    [sym_identifier] = ACTIONS(3306),
    [anon_sym_export] = ACTIONS(3306),
    [anon_sym_type] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3306),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_typeof] = ACTIONS(3306),
    [anon_sym_import] = ACTIONS(3306),
    [anon_sym_with] = ACTIONS(3306),
    [anon_sym_var] = ACTIONS(3306),
    [anon_sym_let] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_BANG] = ACTIONS(3306),
    [anon_sym_if] = ACTIONS(3306),
    [anon_sym_switch] = ACTIONS(3306),
    [anon_sym_for] = ACTIONS(3306),
    [anon_sym_LPAREN] = ACTIONS(3306),
    [anon_sym_await] = ACTIONS(3306),
    [anon_sym_while] = ACTIONS(3306),
    [anon_sym_do] = ACTIONS(3306),
    [anon_sym_try] = ACTIONS(3306),
    [anon_sym_break] = ACTIONS(3306),
    [anon_sym_continue] = ACTIONS(3306),
    [anon_sym_debugger] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(3306),
    [anon_sym_throw] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym_yield] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3306),
    [anon_sym_LTtemplate_GT] = ACTIONS(3306),
    [anon_sym_DQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_async] = ACTIONS(3306),
    [anon_sym_function] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3306),
    [anon_sym_void] = ACTIONS(3306),
    [anon_sym_delete] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3306),
    [sym_number] = ACTIONS(3306),
    [sym_private_property_identifier] = ACTIONS(3306),
    [sym_this] = ACTIONS(3306),
    [sym_super] = ACTIONS(3306),
    [sym_true] = ACTIONS(3306),
    [sym_false] = ACTIONS(3306),
    [sym_null] = ACTIONS(3306),
    [sym_undefined] = ACTIONS(3306),
    [anon_sym_AT] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [anon_sym_readonly] = ACTIONS(3306),
    [anon_sym_get] = ACTIONS(3306),
    [anon_sym_set] = ACTIONS(3306),
    [anon_sym_declare] = ACTIONS(3306),
    [anon_sym_public] = ACTIONS(3306),
    [anon_sym_private] = ACTIONS(3306),
    [anon_sym_protected] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3306),
    [anon_sym_module] = ACTIONS(3306),
    [anon_sym_any] = ACTIONS(3306),
    [anon_sym_number] = ACTIONS(3306),
    [anon_sym_boolean] = ACTIONS(3306),
    [anon_sym_string] = ACTIONS(3306),
    [anon_sym_symbol] = ACTIONS(3306),
    [anon_sym_object] = ACTIONS(3306),
    [anon_sym_abstract] = ACTIONS(3306),
    [anon_sym_interface] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [sym_html_comment] = ACTIONS(5),
  },
  [1683] = {
    [sym_comment] = STATE(1683),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1684] = {
    [sym_comment] = STATE(1684),
    [ts_builtin_sym_end] = ACTIONS(3488),
    [sym_identifier] = ACTIONS(3236),
    [anon_sym_export] = ACTIONS(3236),
    [anon_sym_type] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(3236),
    [anon_sym_typeof] = ACTIONS(3236),
    [anon_sym_import] = ACTIONS(3236),
    [anon_sym_with] = ACTIONS(3236),
    [anon_sym_var] = ACTIONS(3236),
    [anon_sym_let] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_LPAREN] = ACTIONS(3236),
    [anon_sym_await] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_debugger] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym_yield] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_LTtemplate_GT] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_async] = ACTIONS(3236),
    [anon_sym_function] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_void] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3236),
    [sym_number] = ACTIONS(3236),
    [sym_private_property_identifier] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
    [sym_super] = ACTIONS(3236),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [sym_null] = ACTIONS(3236),
    [sym_undefined] = ACTIONS(3236),
    [anon_sym_AT] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_readonly] = ACTIONS(3236),
    [anon_sym_get] = ACTIONS(3236),
    [anon_sym_set] = ACTIONS(3236),
    [anon_sym_declare] = ACTIONS(3236),
    [anon_sym_public] = ACTIONS(3236),
    [anon_sym_private] = ACTIONS(3236),
    [anon_sym_protected] = ACTIONS(3236),
    [anon_sym_override] = ACTIONS(3236),
    [anon_sym_module] = ACTIONS(3236),
    [anon_sym_any] = ACTIONS(3236),
    [anon_sym_number] = ACTIONS(3236),
    [anon_sym_boolean] = ACTIONS(3236),
    [anon_sym_string] = ACTIONS(3236),
    [anon_sym_symbol] = ACTIONS(3236),
    [anon_sym_object] = ACTIONS(3236),
    [anon_sym_abstract] = ACTIONS(3236),
    [anon_sym_interface] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [sym_html_comment] = ACTIONS(5),
  },
  [1685] = {
    [sym_comment] = STATE(1685),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1686] = {
    [sym_comment] = STATE(1686),
    [ts_builtin_sym_end] = ACTIONS(3362),
    [sym_identifier] = ACTIONS(3298),
    [anon_sym_export] = ACTIONS(3298),
    [anon_sym_type] = ACTIONS(3298),
    [anon_sym_namespace] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_typeof] = ACTIONS(3298),
    [anon_sym_import] = ACTIONS(3298),
    [anon_sym_with] = ACTIONS(3298),
    [anon_sym_var] = ACTIONS(3298),
    [anon_sym_let] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_if] = ACTIONS(3298),
    [anon_sym_switch] = ACTIONS(3298),
    [anon_sym_for] = ACTIONS(3298),
    [anon_sym_LPAREN] = ACTIONS(3298),
    [anon_sym_await] = ACTIONS(3298),
    [anon_sym_while] = ACTIONS(3298),
    [anon_sym_do] = ACTIONS(3298),
    [anon_sym_try] = ACTIONS(3298),
    [anon_sym_break] = ACTIONS(3298),
    [anon_sym_continue] = ACTIONS(3298),
    [anon_sym_debugger] = ACTIONS(3298),
    [anon_sym_return] = ACTIONS(3298),
    [anon_sym_throw] = ACTIONS(3298),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym_yield] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(3298),
    [anon_sym_LTtemplate_GT] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [anon_sym_class] = ACTIONS(3298),
    [anon_sym_async] = ACTIONS(3298),
    [anon_sym_function] = ACTIONS(3298),
    [anon_sym_new] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3298),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_SLASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_void] = ACTIONS(3298),
    [anon_sym_delete] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3298),
    [sym_number] = ACTIONS(3298),
    [sym_private_property_identifier] = ACTIONS(3298),
    [sym_this] = ACTIONS(3298),
    [sym_super] = ACTIONS(3298),
    [sym_true] = ACTIONS(3298),
    [sym_false] = ACTIONS(3298),
    [sym_null] = ACTIONS(3298),
    [sym_undefined] = ACTIONS(3298),
    [anon_sym_AT] = ACTIONS(3298),
    [anon_sym_static] = ACTIONS(3298),
    [anon_sym_readonly] = ACTIONS(3298),
    [anon_sym_get] = ACTIONS(3298),
    [anon_sym_set] = ACTIONS(3298),
    [anon_sym_declare] = ACTIONS(3298),
    [anon_sym_public] = ACTIONS(3298),
    [anon_sym_private] = ACTIONS(3298),
    [anon_sym_protected] = ACTIONS(3298),
    [anon_sym_override] = ACTIONS(3298),
    [anon_sym_module] = ACTIONS(3298),
    [anon_sym_any] = ACTIONS(3298),
    [anon_sym_number] = ACTIONS(3298),
    [anon_sym_boolean] = ACTIONS(3298),
    [anon_sym_string] = ACTIONS(3298),
    [anon_sym_symbol] = ACTIONS(3298),
    [anon_sym_object] = ACTIONS(3298),
    [anon_sym_abstract] = ACTIONS(3298),
    [anon_sym_interface] = ACTIONS(3298),
    [anon_sym_enum] = ACTIONS(3298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1687] = {
    [sym_comment] = STATE(1687),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1688] = {
    [sym_comment] = STATE(1688),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1689] = {
    [sym_comment] = STATE(1689),
    [ts_builtin_sym_end] = ACTIONS(3426),
    [sym_identifier] = ACTIONS(3132),
    [anon_sym_export] = ACTIONS(3132),
    [anon_sym_type] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_typeof] = ACTIONS(3132),
    [anon_sym_import] = ACTIONS(3132),
    [anon_sym_with] = ACTIONS(3132),
    [anon_sym_var] = ACTIONS(3132),
    [anon_sym_let] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_await] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_debugger] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_yield] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_LTtemplate_GT] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_async] = ACTIONS(3132),
    [anon_sym_function] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_void] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3132),
    [sym_number] = ACTIONS(3132),
    [sym_private_property_identifier] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
    [sym_super] = ACTIONS(3132),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [sym_null] = ACTIONS(3132),
    [sym_undefined] = ACTIONS(3132),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_readonly] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3132),
    [anon_sym_set] = ACTIONS(3132),
    [anon_sym_declare] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_override] = ACTIONS(3132),
    [anon_sym_module] = ACTIONS(3132),
    [anon_sym_any] = ACTIONS(3132),
    [anon_sym_number] = ACTIONS(3132),
    [anon_sym_boolean] = ACTIONS(3132),
    [anon_sym_string] = ACTIONS(3132),
    [anon_sym_symbol] = ACTIONS(3132),
    [anon_sym_object] = ACTIONS(3132),
    [anon_sym_abstract] = ACTIONS(3132),
    [anon_sym_interface] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [sym_html_comment] = ACTIONS(5),
  },
  [1690] = {
    [sym_comment] = STATE(1690),
    [ts_builtin_sym_end] = ACTIONS(3366),
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_export] = ACTIONS(3290),
    [anon_sym_type] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_typeof] = ACTIONS(3290),
    [anon_sym_import] = ACTIONS(3290),
    [anon_sym_with] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_let] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_LPAREN] = ACTIONS(3290),
    [anon_sym_await] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_debugger] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_yield] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_LTtemplate_GT] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_function] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_void] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3290),
    [sym_number] = ACTIONS(3290),
    [sym_private_property_identifier] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
    [sym_super] = ACTIONS(3290),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [sym_null] = ACTIONS(3290),
    [sym_undefined] = ACTIONS(3290),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_get] = ACTIONS(3290),
    [anon_sym_set] = ACTIONS(3290),
    [anon_sym_declare] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_module] = ACTIONS(3290),
    [anon_sym_any] = ACTIONS(3290),
    [anon_sym_number] = ACTIONS(3290),
    [anon_sym_boolean] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_symbol] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [sym_html_comment] = ACTIONS(5),
  },
  [1691] = {
    [sym_comment] = STATE(1691),
    [ts_builtin_sym_end] = ACTIONS(3542),
    [sym_identifier] = ACTIONS(3304),
    [anon_sym_export] = ACTIONS(3304),
    [anon_sym_type] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_typeof] = ACTIONS(3304),
    [anon_sym_import] = ACTIONS(3304),
    [anon_sym_with] = ACTIONS(3304),
    [anon_sym_var] = ACTIONS(3304),
    [anon_sym_let] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_await] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_debugger] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym_yield] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_LTtemplate_GT] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_async] = ACTIONS(3304),
    [anon_sym_function] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_void] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3304),
    [sym_number] = ACTIONS(3304),
    [sym_private_property_identifier] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
    [sym_super] = ACTIONS(3304),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [sym_null] = ACTIONS(3304),
    [sym_undefined] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_readonly] = ACTIONS(3304),
    [anon_sym_get] = ACTIONS(3304),
    [anon_sym_set] = ACTIONS(3304),
    [anon_sym_declare] = ACTIONS(3304),
    [anon_sym_public] = ACTIONS(3304),
    [anon_sym_private] = ACTIONS(3304),
    [anon_sym_protected] = ACTIONS(3304),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_module] = ACTIONS(3304),
    [anon_sym_any] = ACTIONS(3304),
    [anon_sym_number] = ACTIONS(3304),
    [anon_sym_boolean] = ACTIONS(3304),
    [anon_sym_string] = ACTIONS(3304),
    [anon_sym_symbol] = ACTIONS(3304),
    [anon_sym_object] = ACTIONS(3304),
    [anon_sym_abstract] = ACTIONS(3304),
    [anon_sym_interface] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [sym_html_comment] = ACTIONS(5),
  },
  [1692] = {
    [sym_comment] = STATE(1692),
    [ts_builtin_sym_end] = ACTIONS(3376),
    [sym_identifier] = ACTIONS(3280),
    [anon_sym_export] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_typeof] = ACTIONS(3280),
    [anon_sym_import] = ACTIONS(3280),
    [anon_sym_with] = ACTIONS(3280),
    [anon_sym_var] = ACTIONS(3280),
    [anon_sym_let] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_LPAREN] = ACTIONS(3280),
    [anon_sym_await] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_debugger] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym_yield] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_LTtemplate_GT] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_async] = ACTIONS(3280),
    [anon_sym_function] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_void] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3280),
    [sym_number] = ACTIONS(3280),
    [sym_private_property_identifier] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
    [sym_super] = ACTIONS(3280),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [sym_null] = ACTIONS(3280),
    [sym_undefined] = ACTIONS(3280),
    [anon_sym_AT] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_readonly] = ACTIONS(3280),
    [anon_sym_get] = ACTIONS(3280),
    [anon_sym_set] = ACTIONS(3280),
    [anon_sym_declare] = ACTIONS(3280),
    [anon_sym_public] = ACTIONS(3280),
    [anon_sym_private] = ACTIONS(3280),
    [anon_sym_protected] = ACTIONS(3280),
    [anon_sym_override] = ACTIONS(3280),
    [anon_sym_module] = ACTIONS(3280),
    [anon_sym_any] = ACTIONS(3280),
    [anon_sym_number] = ACTIONS(3280),
    [anon_sym_boolean] = ACTIONS(3280),
    [anon_sym_string] = ACTIONS(3280),
    [anon_sym_symbol] = ACTIONS(3280),
    [anon_sym_object] = ACTIONS(3280),
    [anon_sym_abstract] = ACTIONS(3280),
    [anon_sym_interface] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1693] = {
    [sym_comment] = STATE(1693),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1694] = {
    [sym_comment] = STATE(1694),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1695] = {
    [sym_comment] = STATE(1695),
    [ts_builtin_sym_end] = ACTIONS(3368),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1696] = {
    [sym_comment] = STATE(1696),
    [ts_builtin_sym_end] = ACTIONS(3368),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1697] = {
    [sym_comment] = STATE(1697),
    [ts_builtin_sym_end] = ACTIONS(3368),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1698] = {
    [sym_comment] = STATE(1698),
    [ts_builtin_sym_end] = ACTIONS(3418),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_export] = ACTIONS(3158),
    [anon_sym_type] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_typeof] = ACTIONS(3158),
    [anon_sym_import] = ACTIONS(3158),
    [anon_sym_with] = ACTIONS(3158),
    [anon_sym_var] = ACTIONS(3158),
    [anon_sym_let] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_debugger] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_yield] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_LTtemplate_GT] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_async] = ACTIONS(3158),
    [anon_sym_function] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_void] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3158),
    [sym_number] = ACTIONS(3158),
    [sym_private_property_identifier] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
    [sym_super] = ACTIONS(3158),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [sym_null] = ACTIONS(3158),
    [sym_undefined] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_readonly] = ACTIONS(3158),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_declare] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_module] = ACTIONS(3158),
    [anon_sym_any] = ACTIONS(3158),
    [anon_sym_number] = ACTIONS(3158),
    [anon_sym_boolean] = ACTIONS(3158),
    [anon_sym_string] = ACTIONS(3158),
    [anon_sym_symbol] = ACTIONS(3158),
    [anon_sym_object] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_interface] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1699] = {
    [sym_comment] = STATE(1699),
    [ts_builtin_sym_end] = ACTIONS(3510),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_export] = ACTIONS(3150),
    [anon_sym_type] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_typeof] = ACTIONS(3150),
    [anon_sym_import] = ACTIONS(3150),
    [anon_sym_with] = ACTIONS(3150),
    [anon_sym_var] = ACTIONS(3150),
    [anon_sym_let] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_await] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_debugger] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_yield] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_LTtemplate_GT] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_async] = ACTIONS(3150),
    [anon_sym_function] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_void] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3150),
    [sym_number] = ACTIONS(3150),
    [sym_private_property_identifier] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
    [sym_super] = ACTIONS(3150),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [sym_null] = ACTIONS(3150),
    [sym_undefined] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_readonly] = ACTIONS(3150),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_declare] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_module] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3150),
    [anon_sym_number] = ACTIONS(3150),
    [anon_sym_boolean] = ACTIONS(3150),
    [anon_sym_string] = ACTIONS(3150),
    [anon_sym_symbol] = ACTIONS(3150),
    [anon_sym_object] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_interface] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [sym_html_comment] = ACTIONS(5),
  },
  [1700] = {
    [sym_comment] = STATE(1700),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1701] = {
    [sym_comment] = STATE(1701),
    [ts_builtin_sym_end] = ACTIONS(3478),
    [sym_identifier] = ACTIONS(3238),
    [anon_sym_export] = ACTIONS(3238),
    [anon_sym_type] = ACTIONS(3238),
    [anon_sym_namespace] = ACTIONS(3238),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_typeof] = ACTIONS(3238),
    [anon_sym_import] = ACTIONS(3238),
    [anon_sym_with] = ACTIONS(3238),
    [anon_sym_var] = ACTIONS(3238),
    [anon_sym_let] = ACTIONS(3238),
    [anon_sym_const] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3238),
    [anon_sym_switch] = ACTIONS(3238),
    [anon_sym_for] = ACTIONS(3238),
    [anon_sym_LPAREN] = ACTIONS(3238),
    [anon_sym_await] = ACTIONS(3238),
    [anon_sym_while] = ACTIONS(3238),
    [anon_sym_do] = ACTIONS(3238),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_break] = ACTIONS(3238),
    [anon_sym_continue] = ACTIONS(3238),
    [anon_sym_debugger] = ACTIONS(3238),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_throw] = ACTIONS(3238),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3238),
    [anon_sym_LTtemplate_GT] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_async] = ACTIONS(3238),
    [anon_sym_function] = ACTIONS(3238),
    [anon_sym_new] = ACTIONS(3238),
    [anon_sym_using] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3238),
    [anon_sym_SLASH] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_void] = ACTIONS(3238),
    [anon_sym_delete] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3238),
    [sym_number] = ACTIONS(3238),
    [sym_private_property_identifier] = ACTIONS(3238),
    [sym_this] = ACTIONS(3238),
    [sym_super] = ACTIONS(3238),
    [sym_true] = ACTIONS(3238),
    [sym_false] = ACTIONS(3238),
    [sym_null] = ACTIONS(3238),
    [sym_undefined] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3238),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3238),
    [anon_sym_set] = ACTIONS(3238),
    [anon_sym_declare] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_protected] = ACTIONS(3238),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_module] = ACTIONS(3238),
    [anon_sym_any] = ACTIONS(3238),
    [anon_sym_number] = ACTIONS(3238),
    [anon_sym_boolean] = ACTIONS(3238),
    [anon_sym_string] = ACTIONS(3238),
    [anon_sym_symbol] = ACTIONS(3238),
    [anon_sym_object] = ACTIONS(3238),
    [anon_sym_abstract] = ACTIONS(3238),
    [anon_sym_interface] = ACTIONS(3238),
    [anon_sym_enum] = ACTIONS(3238),
    [sym_html_comment] = ACTIONS(5),
  },
  [1702] = {
    [sym_comment] = STATE(1702),
    [ts_builtin_sym_end] = ACTIONS(3480),
    [sym_identifier] = ACTIONS(3292),
    [anon_sym_export] = ACTIONS(3292),
    [anon_sym_type] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_typeof] = ACTIONS(3292),
    [anon_sym_import] = ACTIONS(3292),
    [anon_sym_with] = ACTIONS(3292),
    [anon_sym_var] = ACTIONS(3292),
    [anon_sym_let] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_await] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_debugger] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym_yield] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_LTtemplate_GT] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_async] = ACTIONS(3292),
    [anon_sym_function] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_void] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3292),
    [sym_number] = ACTIONS(3292),
    [sym_private_property_identifier] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
    [sym_super] = ACTIONS(3292),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [sym_null] = ACTIONS(3292),
    [sym_undefined] = ACTIONS(3292),
    [anon_sym_AT] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_readonly] = ACTIONS(3292),
    [anon_sym_get] = ACTIONS(3292),
    [anon_sym_set] = ACTIONS(3292),
    [anon_sym_declare] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_protected] = ACTIONS(3292),
    [anon_sym_override] = ACTIONS(3292),
    [anon_sym_module] = ACTIONS(3292),
    [anon_sym_any] = ACTIONS(3292),
    [anon_sym_number] = ACTIONS(3292),
    [anon_sym_boolean] = ACTIONS(3292),
    [anon_sym_string] = ACTIONS(3292),
    [anon_sym_symbol] = ACTIONS(3292),
    [anon_sym_object] = ACTIONS(3292),
    [anon_sym_abstract] = ACTIONS(3292),
    [anon_sym_interface] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1703] = {
    [sym_comment] = STATE(1703),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1704] = {
    [sym_comment] = STATE(1704),
    [ts_builtin_sym_end] = ACTIONS(3484),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_export] = ACTIONS(3160),
    [anon_sym_type] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_typeof] = ACTIONS(3160),
    [anon_sym_import] = ACTIONS(3160),
    [anon_sym_with] = ACTIONS(3160),
    [anon_sym_var] = ACTIONS(3160),
    [anon_sym_let] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_await] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_debugger] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_yield] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_LTtemplate_GT] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_async] = ACTIONS(3160),
    [anon_sym_function] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3160),
    [sym_number] = ACTIONS(3160),
    [sym_private_property_identifier] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
    [sym_super] = ACTIONS(3160),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [sym_null] = ACTIONS(3160),
    [sym_undefined] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_readonly] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3160),
    [anon_sym_set] = ACTIONS(3160),
    [anon_sym_declare] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_protected] = ACTIONS(3160),
    [anon_sym_override] = ACTIONS(3160),
    [anon_sym_module] = ACTIONS(3160),
    [anon_sym_any] = ACTIONS(3160),
    [anon_sym_number] = ACTIONS(3160),
    [anon_sym_boolean] = ACTIONS(3160),
    [anon_sym_string] = ACTIONS(3160),
    [anon_sym_symbol] = ACTIONS(3160),
    [anon_sym_object] = ACTIONS(3160),
    [anon_sym_abstract] = ACTIONS(3160),
    [anon_sym_interface] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1705] = {
    [sym_comment] = STATE(1705),
    [ts_builtin_sym_end] = ACTIONS(3486),
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_export] = ACTIONS(3162),
    [anon_sym_type] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_typeof] = ACTIONS(3162),
    [anon_sym_import] = ACTIONS(3162),
    [anon_sym_with] = ACTIONS(3162),
    [anon_sym_var] = ACTIONS(3162),
    [anon_sym_let] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3162),
    [anon_sym_await] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_debugger] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_yield] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_LTtemplate_GT] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_async] = ACTIONS(3162),
    [anon_sym_function] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3162),
    [sym_number] = ACTIONS(3162),
    [sym_private_property_identifier] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
    [sym_super] = ACTIONS(3162),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [sym_null] = ACTIONS(3162),
    [sym_undefined] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_readonly] = ACTIONS(3162),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_declare] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_module] = ACTIONS(3162),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_interface] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1706] = {
    [sym_comment] = STATE(1706),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3148),
    [anon_sym_export] = ACTIONS(3148),
    [anon_sym_type] = ACTIONS(3148),
    [anon_sym_namespace] = ACTIONS(3148),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_import] = ACTIONS(3148),
    [anon_sym_with] = ACTIONS(3148),
    [anon_sym_var] = ACTIONS(3148),
    [anon_sym_let] = ACTIONS(3148),
    [anon_sym_const] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_switch] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_await] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_do] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_break] = ACTIONS(3148),
    [anon_sym_continue] = ACTIONS(3148),
    [anon_sym_debugger] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_throw] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_yield] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_LTtemplate_GT] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_async] = ACTIONS(3148),
    [anon_sym_function] = ACTIONS(3148),
    [anon_sym_new] = ACTIONS(3148),
    [anon_sym_using] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_void] = ACTIONS(3148),
    [anon_sym_delete] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3148),
    [sym_number] = ACTIONS(3148),
    [sym_private_property_identifier] = ACTIONS(3148),
    [sym_this] = ACTIONS(3148),
    [sym_super] = ACTIONS(3148),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [sym_null] = ACTIONS(3148),
    [sym_undefined] = ACTIONS(3148),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_get] = ACTIONS(3148),
    [anon_sym_set] = ACTIONS(3148),
    [anon_sym_declare] = ACTIONS(3148),
    [anon_sym_public] = ACTIONS(3148),
    [anon_sym_private] = ACTIONS(3148),
    [anon_sym_protected] = ACTIONS(3148),
    [anon_sym_override] = ACTIONS(3148),
    [anon_sym_module] = ACTIONS(3148),
    [anon_sym_any] = ACTIONS(3148),
    [anon_sym_number] = ACTIONS(3148),
    [anon_sym_boolean] = ACTIONS(3148),
    [anon_sym_string] = ACTIONS(3148),
    [anon_sym_symbol] = ACTIONS(3148),
    [anon_sym_object] = ACTIONS(3148),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_interface] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [sym_html_comment] = ACTIONS(5),
  },
  [1707] = {
    [sym_comment] = STATE(1707),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1708] = {
    [sym_comment] = STATE(1708),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_export] = ACTIONS(3286),
    [anon_sym_type] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3286),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_typeof] = ACTIONS(3286),
    [anon_sym_import] = ACTIONS(3286),
    [anon_sym_with] = ACTIONS(3286),
    [anon_sym_var] = ACTIONS(3286),
    [anon_sym_let] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_BANG] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_LPAREN] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_debugger] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_yield] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_LTtemplate_GT] = ACTIONS(3286),
    [anon_sym_DQUOTE] = ACTIONS(3286),
    [anon_sym_SQUOTE] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_async] = ACTIONS(3286),
    [anon_sym_function] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_SLASH] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3286),
    [anon_sym_TILDE] = ACTIONS(3286),
    [anon_sym_void] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3286),
    [sym_number] = ACTIONS(3286),
    [sym_private_property_identifier] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
    [sym_super] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_null] = ACTIONS(3286),
    [sym_undefined] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_readonly] = ACTIONS(3286),
    [anon_sym_get] = ACTIONS(3286),
    [anon_sym_set] = ACTIONS(3286),
    [anon_sym_declare] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3286),
    [anon_sym_private] = ACTIONS(3286),
    [anon_sym_protected] = ACTIONS(3286),
    [anon_sym_override] = ACTIONS(3286),
    [anon_sym_module] = ACTIONS(3286),
    [anon_sym_any] = ACTIONS(3286),
    [anon_sym_number] = ACTIONS(3286),
    [anon_sym_boolean] = ACTIONS(3286),
    [anon_sym_string] = ACTIONS(3286),
    [anon_sym_symbol] = ACTIONS(3286),
    [anon_sym_object] = ACTIONS(3286),
    [anon_sym_abstract] = ACTIONS(3286),
    [anon_sym_interface] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [sym_html_comment] = ACTIONS(5),
  },
  [1709] = {
    [sym_comment] = STATE(1709),
    [ts_builtin_sym_end] = ACTIONS(3434),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_export] = ACTIONS(3228),
    [anon_sym_type] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_RBRACE] = ACTIONS(3228),
    [anon_sym_typeof] = ACTIONS(3228),
    [anon_sym_import] = ACTIONS(3228),
    [anon_sym_with] = ACTIONS(3228),
    [anon_sym_var] = ACTIONS(3228),
    [anon_sym_let] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_LPAREN] = ACTIONS(3228),
    [anon_sym_await] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_debugger] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym_yield] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_LTtemplate_GT] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_async] = ACTIONS(3228),
    [anon_sym_function] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_void] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3228),
    [sym_number] = ACTIONS(3228),
    [sym_private_property_identifier] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
    [sym_super] = ACTIONS(3228),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [sym_null] = ACTIONS(3228),
    [sym_undefined] = ACTIONS(3228),
    [anon_sym_AT] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_readonly] = ACTIONS(3228),
    [anon_sym_get] = ACTIONS(3228),
    [anon_sym_set] = ACTIONS(3228),
    [anon_sym_declare] = ACTIONS(3228),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_override] = ACTIONS(3228),
    [anon_sym_module] = ACTIONS(3228),
    [anon_sym_any] = ACTIONS(3228),
    [anon_sym_number] = ACTIONS(3228),
    [anon_sym_boolean] = ACTIONS(3228),
    [anon_sym_string] = ACTIONS(3228),
    [anon_sym_symbol] = ACTIONS(3228),
    [anon_sym_object] = ACTIONS(3228),
    [anon_sym_abstract] = ACTIONS(3228),
    [anon_sym_interface] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [sym_html_comment] = ACTIONS(5),
  },
  [1710] = {
    [sym_comment] = STATE(1710),
    [ts_builtin_sym_end] = ACTIONS(3540),
    [sym_identifier] = ACTIONS(3302),
    [anon_sym_export] = ACTIONS(3302),
    [anon_sym_type] = ACTIONS(3302),
    [anon_sym_namespace] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3302),
    [anon_sym_RBRACE] = ACTIONS(3302),
    [anon_sym_typeof] = ACTIONS(3302),
    [anon_sym_import] = ACTIONS(3302),
    [anon_sym_with] = ACTIONS(3302),
    [anon_sym_var] = ACTIONS(3302),
    [anon_sym_let] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_BANG] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(3302),
    [anon_sym_switch] = ACTIONS(3302),
    [anon_sym_for] = ACTIONS(3302),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_await] = ACTIONS(3302),
    [anon_sym_while] = ACTIONS(3302),
    [anon_sym_do] = ACTIONS(3302),
    [anon_sym_try] = ACTIONS(3302),
    [anon_sym_break] = ACTIONS(3302),
    [anon_sym_continue] = ACTIONS(3302),
    [anon_sym_debugger] = ACTIONS(3302),
    [anon_sym_return] = ACTIONS(3302),
    [anon_sym_throw] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym_yield] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_LTtemplate_GT] = ACTIONS(3302),
    [anon_sym_DQUOTE] = ACTIONS(3302),
    [anon_sym_SQUOTE] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_async] = ACTIONS(3302),
    [anon_sym_function] = ACTIONS(3302),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_using] = ACTIONS(3302),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_SLASH] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3302),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_void] = ACTIONS(3302),
    [anon_sym_delete] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3302),
    [sym_number] = ACTIONS(3302),
    [sym_private_property_identifier] = ACTIONS(3302),
    [sym_this] = ACTIONS(3302),
    [sym_super] = ACTIONS(3302),
    [sym_true] = ACTIONS(3302),
    [sym_false] = ACTIONS(3302),
    [sym_null] = ACTIONS(3302),
    [sym_undefined] = ACTIONS(3302),
    [anon_sym_AT] = ACTIONS(3302),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_readonly] = ACTIONS(3302),
    [anon_sym_get] = ACTIONS(3302),
    [anon_sym_set] = ACTIONS(3302),
    [anon_sym_declare] = ACTIONS(3302),
    [anon_sym_public] = ACTIONS(3302),
    [anon_sym_private] = ACTIONS(3302),
    [anon_sym_protected] = ACTIONS(3302),
    [anon_sym_override] = ACTIONS(3302),
    [anon_sym_module] = ACTIONS(3302),
    [anon_sym_any] = ACTIONS(3302),
    [anon_sym_number] = ACTIONS(3302),
    [anon_sym_boolean] = ACTIONS(3302),
    [anon_sym_string] = ACTIONS(3302),
    [anon_sym_symbol] = ACTIONS(3302),
    [anon_sym_object] = ACTIONS(3302),
    [anon_sym_abstract] = ACTIONS(3302),
    [anon_sym_interface] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1711] = {
    [sym_comment] = STATE(1711),
    [ts_builtin_sym_end] = ACTIONS(3504),
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_export] = ACTIONS(3142),
    [anon_sym_type] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_typeof] = ACTIONS(3142),
    [anon_sym_import] = ACTIONS(3142),
    [anon_sym_with] = ACTIONS(3142),
    [anon_sym_var] = ACTIONS(3142),
    [anon_sym_let] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3142),
    [anon_sym_await] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_debugger] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_yield] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_LTtemplate_GT] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_async] = ACTIONS(3142),
    [anon_sym_function] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_void] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3142),
    [sym_number] = ACTIONS(3142),
    [sym_private_property_identifier] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
    [sym_super] = ACTIONS(3142),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3142),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_declare] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_module] = ACTIONS(3142),
    [anon_sym_any] = ACTIONS(3142),
    [anon_sym_number] = ACTIONS(3142),
    [anon_sym_boolean] = ACTIONS(3142),
    [anon_sym_string] = ACTIONS(3142),
    [anon_sym_symbol] = ACTIONS(3142),
    [anon_sym_object] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_interface] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [sym_html_comment] = ACTIONS(5),
  },
  [1712] = {
    [sym_comment] = STATE(1712),
    [ts_builtin_sym_end] = ACTIONS(3374),
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_export] = ACTIONS(3282),
    [anon_sym_type] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_typeof] = ACTIONS(3282),
    [anon_sym_import] = ACTIONS(3282),
    [anon_sym_with] = ACTIONS(3282),
    [anon_sym_var] = ACTIONS(3282),
    [anon_sym_let] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_await] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_debugger] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_yield] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_LTtemplate_GT] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_async] = ACTIONS(3282),
    [anon_sym_function] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_SLASH] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_void] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3282),
    [sym_number] = ACTIONS(3282),
    [sym_private_property_identifier] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
    [sym_super] = ACTIONS(3282),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_undefined] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_readonly] = ACTIONS(3282),
    [anon_sym_get] = ACTIONS(3282),
    [anon_sym_set] = ACTIONS(3282),
    [anon_sym_declare] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_module] = ACTIONS(3282),
    [anon_sym_any] = ACTIONS(3282),
    [anon_sym_number] = ACTIONS(3282),
    [anon_sym_boolean] = ACTIONS(3282),
    [anon_sym_string] = ACTIONS(3282),
    [anon_sym_symbol] = ACTIONS(3282),
    [anon_sym_object] = ACTIONS(3282),
    [anon_sym_abstract] = ACTIONS(3282),
    [anon_sym_interface] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [sym_html_comment] = ACTIONS(5),
  },
  [1713] = {
    [sym_comment] = STATE(1713),
    [ts_builtin_sym_end] = ACTIONS(3358),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_export] = ACTIONS(3296),
    [anon_sym_type] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_typeof] = ACTIONS(3296),
    [anon_sym_import] = ACTIONS(3296),
    [anon_sym_with] = ACTIONS(3296),
    [anon_sym_var] = ACTIONS(3296),
    [anon_sym_let] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3296),
    [anon_sym_await] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_debugger] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym_yield] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_LTtemplate_GT] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_function] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_void] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3296),
    [sym_number] = ACTIONS(3296),
    [sym_private_property_identifier] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
    [sym_super] = ACTIONS(3296),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [sym_null] = ACTIONS(3296),
    [sym_undefined] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_readonly] = ACTIONS(3296),
    [anon_sym_get] = ACTIONS(3296),
    [anon_sym_set] = ACTIONS(3296),
    [anon_sym_declare] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_override] = ACTIONS(3296),
    [anon_sym_module] = ACTIONS(3296),
    [anon_sym_any] = ACTIONS(3296),
    [anon_sym_number] = ACTIONS(3296),
    [anon_sym_boolean] = ACTIONS(3296),
    [anon_sym_string] = ACTIONS(3296),
    [anon_sym_symbol] = ACTIONS(3296),
    [anon_sym_object] = ACTIONS(3296),
    [anon_sym_abstract] = ACTIONS(3296),
    [anon_sym_interface] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1714] = {
    [sym_comment] = STATE(1714),
    [ts_builtin_sym_end] = ACTIONS(3372),
    [sym_identifier] = ACTIONS(3284),
    [anon_sym_export] = ACTIONS(3284),
    [anon_sym_type] = ACTIONS(3284),
    [anon_sym_namespace] = ACTIONS(3284),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_typeof] = ACTIONS(3284),
    [anon_sym_import] = ACTIONS(3284),
    [anon_sym_with] = ACTIONS(3284),
    [anon_sym_var] = ACTIONS(3284),
    [anon_sym_let] = ACTIONS(3284),
    [anon_sym_const] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_if] = ACTIONS(3284),
    [anon_sym_switch] = ACTIONS(3284),
    [anon_sym_for] = ACTIONS(3284),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [anon_sym_await] = ACTIONS(3284),
    [anon_sym_while] = ACTIONS(3284),
    [anon_sym_do] = ACTIONS(3284),
    [anon_sym_try] = ACTIONS(3284),
    [anon_sym_break] = ACTIONS(3284),
    [anon_sym_continue] = ACTIONS(3284),
    [anon_sym_debugger] = ACTIONS(3284),
    [anon_sym_return] = ACTIONS(3284),
    [anon_sym_throw] = ACTIONS(3284),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym_yield] = ACTIONS(3284),
    [anon_sym_LBRACK] = ACTIONS(3284),
    [anon_sym_LTtemplate_GT] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_class] = ACTIONS(3284),
    [anon_sym_async] = ACTIONS(3284),
    [anon_sym_function] = ACTIONS(3284),
    [anon_sym_new] = ACTIONS(3284),
    [anon_sym_using] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_void] = ACTIONS(3284),
    [anon_sym_delete] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3284),
    [sym_number] = ACTIONS(3284),
    [sym_private_property_identifier] = ACTIONS(3284),
    [sym_this] = ACTIONS(3284),
    [sym_super] = ACTIONS(3284),
    [sym_true] = ACTIONS(3284),
    [sym_false] = ACTIONS(3284),
    [sym_null] = ACTIONS(3284),
    [sym_undefined] = ACTIONS(3284),
    [anon_sym_AT] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3284),
    [anon_sym_readonly] = ACTIONS(3284),
    [anon_sym_get] = ACTIONS(3284),
    [anon_sym_set] = ACTIONS(3284),
    [anon_sym_declare] = ACTIONS(3284),
    [anon_sym_public] = ACTIONS(3284),
    [anon_sym_private] = ACTIONS(3284),
    [anon_sym_protected] = ACTIONS(3284),
    [anon_sym_override] = ACTIONS(3284),
    [anon_sym_module] = ACTIONS(3284),
    [anon_sym_any] = ACTIONS(3284),
    [anon_sym_number] = ACTIONS(3284),
    [anon_sym_boolean] = ACTIONS(3284),
    [anon_sym_string] = ACTIONS(3284),
    [anon_sym_symbol] = ACTIONS(3284),
    [anon_sym_object] = ACTIONS(3284),
    [anon_sym_abstract] = ACTIONS(3284),
    [anon_sym_interface] = ACTIONS(3284),
    [anon_sym_enum] = ACTIONS(3284),
    [sym_html_comment] = ACTIONS(5),
  },
  [1715] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1715),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(5881),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_COMMA] = ACTIONS(3568),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3570),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1716] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1716),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(5953),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_COMMA] = ACTIONS(3574),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1717] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1717),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(6420),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_COMMA] = ACTIONS(3578),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3580),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1718] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1718),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(6361),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_COMMA] = ACTIONS(3582),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3584),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1719] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1719),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(6171),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_COMMA] = ACTIONS(3586),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3588),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1720] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1720),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(6916),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3590),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1721] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1721),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(6916),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3592),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1722] = {
    [sym_comment] = STATE(1722),
    [sym_identifier] = ACTIONS(3594),
    [anon_sym_export] = ACTIONS(3594),
    [anon_sym_type] = ACTIONS(3594),
    [anon_sym_namespace] = ACTIONS(3594),
    [anon_sym_LBRACE] = ACTIONS(3594),
    [anon_sym_typeof] = ACTIONS(3594),
    [anon_sym_import] = ACTIONS(3594),
    [anon_sym_with] = ACTIONS(3594),
    [anon_sym_var] = ACTIONS(3594),
    [anon_sym_let] = ACTIONS(3594),
    [anon_sym_const] = ACTIONS(3594),
    [anon_sym_BANG] = ACTIONS(3594),
    [anon_sym_if] = ACTIONS(3594),
    [anon_sym_switch] = ACTIONS(3594),
    [anon_sym_for] = ACTIONS(3594),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_await] = ACTIONS(3594),
    [anon_sym_while] = ACTIONS(3594),
    [anon_sym_do] = ACTIONS(3594),
    [anon_sym_try] = ACTIONS(3594),
    [anon_sym_break] = ACTIONS(3594),
    [anon_sym_continue] = ACTIONS(3594),
    [anon_sym_debugger] = ACTIONS(3594),
    [anon_sym_return] = ACTIONS(3594),
    [anon_sym_throw] = ACTIONS(3594),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_yield] = ACTIONS(3594),
    [anon_sym_LBRACK] = ACTIONS(3594),
    [anon_sym_LTtemplate_GT] = ACTIONS(3594),
    [anon_sym_DQUOTE] = ACTIONS(3594),
    [anon_sym_SQUOTE] = ACTIONS(3594),
    [anon_sym_class] = ACTIONS(3594),
    [anon_sym_async] = ACTIONS(3594),
    [anon_sym_function] = ACTIONS(3594),
    [anon_sym_new] = ACTIONS(3594),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(3594),
    [anon_sym_DASH] = ACTIONS(3594),
    [anon_sym_SLASH] = ACTIONS(3594),
    [anon_sym_LT] = ACTIONS(3594),
    [anon_sym_TILDE] = ACTIONS(3594),
    [anon_sym_void] = ACTIONS(3594),
    [anon_sym_delete] = ACTIONS(3594),
    [anon_sym_PLUS_PLUS] = ACTIONS(3594),
    [anon_sym_DASH_DASH] = ACTIONS(3594),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3594),
    [sym_number] = ACTIONS(3594),
    [sym_private_property_identifier] = ACTIONS(3594),
    [sym_this] = ACTIONS(3594),
    [sym_super] = ACTIONS(3594),
    [sym_true] = ACTIONS(3594),
    [sym_false] = ACTIONS(3594),
    [sym_null] = ACTIONS(3594),
    [sym_undefined] = ACTIONS(3594),
    [anon_sym_AT] = ACTIONS(3594),
    [anon_sym_static] = ACTIONS(3594),
    [anon_sym_readonly] = ACTIONS(3594),
    [anon_sym_get] = ACTIONS(3594),
    [anon_sym_set] = ACTIONS(3594),
    [anon_sym_declare] = ACTIONS(3594),
    [anon_sym_public] = ACTIONS(3594),
    [anon_sym_private] = ACTIONS(3594),
    [anon_sym_protected] = ACTIONS(3594),
    [anon_sym_override] = ACTIONS(3594),
    [anon_sym_module] = ACTIONS(3594),
    [anon_sym_any] = ACTIONS(3594),
    [anon_sym_number] = ACTIONS(3594),
    [anon_sym_boolean] = ACTIONS(3594),
    [anon_sym_string] = ACTIONS(3594),
    [anon_sym_symbol] = ACTIONS(3594),
    [anon_sym_object] = ACTIONS(3594),
    [anon_sym_abstract] = ACTIONS(3594),
    [anon_sym_interface] = ACTIONS(3594),
    [anon_sym_enum] = ACTIONS(3594),
    [sym_html_comment] = ACTIONS(5),
  },
  [1723] = {
    [sym_comment] = STATE(1723),
    [sym_identifier] = ACTIONS(3594),
    [anon_sym_export] = ACTIONS(3594),
    [anon_sym_type] = ACTIONS(3594),
    [anon_sym_namespace] = ACTIONS(3594),
    [anon_sym_LBRACE] = ACTIONS(3594),
    [anon_sym_typeof] = ACTIONS(3594),
    [anon_sym_import] = ACTIONS(3594),
    [anon_sym_with] = ACTIONS(3594),
    [anon_sym_var] = ACTIONS(3594),
    [anon_sym_let] = ACTIONS(3594),
    [anon_sym_const] = ACTIONS(3594),
    [anon_sym_BANG] = ACTIONS(3594),
    [anon_sym_if] = ACTIONS(3594),
    [anon_sym_switch] = ACTIONS(3594),
    [anon_sym_for] = ACTIONS(3594),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_await] = ACTIONS(3594),
    [anon_sym_while] = ACTIONS(3594),
    [anon_sym_do] = ACTIONS(3594),
    [anon_sym_try] = ACTIONS(3594),
    [anon_sym_break] = ACTIONS(3594),
    [anon_sym_continue] = ACTIONS(3594),
    [anon_sym_debugger] = ACTIONS(3594),
    [anon_sym_return] = ACTIONS(3594),
    [anon_sym_throw] = ACTIONS(3594),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_yield] = ACTIONS(3594),
    [anon_sym_LBRACK] = ACTIONS(3594),
    [anon_sym_LTtemplate_GT] = ACTIONS(3594),
    [anon_sym_DQUOTE] = ACTIONS(3594),
    [anon_sym_SQUOTE] = ACTIONS(3594),
    [anon_sym_class] = ACTIONS(3594),
    [anon_sym_async] = ACTIONS(3594),
    [anon_sym_function] = ACTIONS(3594),
    [anon_sym_new] = ACTIONS(3594),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(3594),
    [anon_sym_DASH] = ACTIONS(3594),
    [anon_sym_SLASH] = ACTIONS(3594),
    [anon_sym_LT] = ACTIONS(3594),
    [anon_sym_TILDE] = ACTIONS(3594),
    [anon_sym_void] = ACTIONS(3594),
    [anon_sym_delete] = ACTIONS(3594),
    [anon_sym_PLUS_PLUS] = ACTIONS(3594),
    [anon_sym_DASH_DASH] = ACTIONS(3594),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3594),
    [sym_number] = ACTIONS(3594),
    [sym_private_property_identifier] = ACTIONS(3594),
    [sym_this] = ACTIONS(3594),
    [sym_super] = ACTIONS(3594),
    [sym_true] = ACTIONS(3594),
    [sym_false] = ACTIONS(3594),
    [sym_null] = ACTIONS(3594),
    [sym_undefined] = ACTIONS(3594),
    [anon_sym_AT] = ACTIONS(3594),
    [anon_sym_static] = ACTIONS(3594),
    [anon_sym_readonly] = ACTIONS(3594),
    [anon_sym_get] = ACTIONS(3594),
    [anon_sym_set] = ACTIONS(3594),
    [anon_sym_declare] = ACTIONS(3594),
    [anon_sym_public] = ACTIONS(3594),
    [anon_sym_private] = ACTIONS(3594),
    [anon_sym_protected] = ACTIONS(3594),
    [anon_sym_override] = ACTIONS(3594),
    [anon_sym_module] = ACTIONS(3594),
    [anon_sym_any] = ACTIONS(3594),
    [anon_sym_number] = ACTIONS(3594),
    [anon_sym_boolean] = ACTIONS(3594),
    [anon_sym_string] = ACTIONS(3594),
    [anon_sym_symbol] = ACTIONS(3594),
    [anon_sym_object] = ACTIONS(3594),
    [anon_sym_abstract] = ACTIONS(3594),
    [anon_sym_interface] = ACTIONS(3594),
    [anon_sym_enum] = ACTIONS(3594),
    [sym_html_comment] = ACTIONS(5),
  },
  [1724] = {
    [sym_comment] = STATE(1724),
    [sym_identifier] = ACTIONS(3594),
    [anon_sym_export] = ACTIONS(3594),
    [anon_sym_type] = ACTIONS(3594),
    [anon_sym_namespace] = ACTIONS(3594),
    [anon_sym_LBRACE] = ACTIONS(3594),
    [anon_sym_typeof] = ACTIONS(3594),
    [anon_sym_import] = ACTIONS(3594),
    [anon_sym_with] = ACTIONS(3594),
    [anon_sym_var] = ACTIONS(3594),
    [anon_sym_let] = ACTIONS(3594),
    [anon_sym_const] = ACTIONS(3594),
    [anon_sym_BANG] = ACTIONS(3594),
    [anon_sym_if] = ACTIONS(3594),
    [anon_sym_switch] = ACTIONS(3594),
    [anon_sym_for] = ACTIONS(3594),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_await] = ACTIONS(3594),
    [anon_sym_while] = ACTIONS(3594),
    [anon_sym_do] = ACTIONS(3594),
    [anon_sym_try] = ACTIONS(3594),
    [anon_sym_break] = ACTIONS(3594),
    [anon_sym_continue] = ACTIONS(3594),
    [anon_sym_debugger] = ACTIONS(3594),
    [anon_sym_return] = ACTIONS(3594),
    [anon_sym_throw] = ACTIONS(3594),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_yield] = ACTIONS(3594),
    [anon_sym_LBRACK] = ACTIONS(3594),
    [anon_sym_LTtemplate_GT] = ACTIONS(3594),
    [anon_sym_DQUOTE] = ACTIONS(3594),
    [anon_sym_SQUOTE] = ACTIONS(3594),
    [anon_sym_class] = ACTIONS(3594),
    [anon_sym_async] = ACTIONS(3594),
    [anon_sym_function] = ACTIONS(3594),
    [anon_sym_new] = ACTIONS(3594),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(3594),
    [anon_sym_DASH] = ACTIONS(3594),
    [anon_sym_SLASH] = ACTIONS(3594),
    [anon_sym_LT] = ACTIONS(3594),
    [anon_sym_TILDE] = ACTIONS(3594),
    [anon_sym_void] = ACTIONS(3594),
    [anon_sym_delete] = ACTIONS(3594),
    [anon_sym_PLUS_PLUS] = ACTIONS(3594),
    [anon_sym_DASH_DASH] = ACTIONS(3594),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3594),
    [sym_number] = ACTIONS(3594),
    [sym_private_property_identifier] = ACTIONS(3594),
    [sym_this] = ACTIONS(3594),
    [sym_super] = ACTIONS(3594),
    [sym_true] = ACTIONS(3594),
    [sym_false] = ACTIONS(3594),
    [sym_null] = ACTIONS(3594),
    [sym_undefined] = ACTIONS(3594),
    [anon_sym_AT] = ACTIONS(3594),
    [anon_sym_static] = ACTIONS(3594),
    [anon_sym_readonly] = ACTIONS(3594),
    [anon_sym_get] = ACTIONS(3594),
    [anon_sym_set] = ACTIONS(3594),
    [anon_sym_declare] = ACTIONS(3594),
    [anon_sym_public] = ACTIONS(3594),
    [anon_sym_private] = ACTIONS(3594),
    [anon_sym_protected] = ACTIONS(3594),
    [anon_sym_override] = ACTIONS(3594),
    [anon_sym_module] = ACTIONS(3594),
    [anon_sym_any] = ACTIONS(3594),
    [anon_sym_number] = ACTIONS(3594),
    [anon_sym_boolean] = ACTIONS(3594),
    [anon_sym_string] = ACTIONS(3594),
    [anon_sym_symbol] = ACTIONS(3594),
    [anon_sym_object] = ACTIONS(3594),
    [anon_sym_abstract] = ACTIONS(3594),
    [anon_sym_interface] = ACTIONS(3594),
    [anon_sym_enum] = ACTIONS(3594),
    [sym_html_comment] = ACTIONS(5),
  },
  [1725] = {
    [sym_comment] = STATE(1725),
    [sym_identifier] = ACTIONS(3594),
    [anon_sym_export] = ACTIONS(3594),
    [anon_sym_type] = ACTIONS(3594),
    [anon_sym_namespace] = ACTIONS(3594),
    [anon_sym_LBRACE] = ACTIONS(3594),
    [anon_sym_typeof] = ACTIONS(3594),
    [anon_sym_import] = ACTIONS(3594),
    [anon_sym_with] = ACTIONS(3594),
    [anon_sym_var] = ACTIONS(3594),
    [anon_sym_let] = ACTIONS(3594),
    [anon_sym_const] = ACTIONS(3594),
    [anon_sym_BANG] = ACTIONS(3594),
    [anon_sym_if] = ACTIONS(3594),
    [anon_sym_switch] = ACTIONS(3594),
    [anon_sym_for] = ACTIONS(3594),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_await] = ACTIONS(3594),
    [anon_sym_while] = ACTIONS(3594),
    [anon_sym_do] = ACTIONS(3594),
    [anon_sym_try] = ACTIONS(3594),
    [anon_sym_break] = ACTIONS(3594),
    [anon_sym_continue] = ACTIONS(3594),
    [anon_sym_debugger] = ACTIONS(3594),
    [anon_sym_return] = ACTIONS(3594),
    [anon_sym_throw] = ACTIONS(3594),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_yield] = ACTIONS(3594),
    [anon_sym_LBRACK] = ACTIONS(3594),
    [anon_sym_LTtemplate_GT] = ACTIONS(3594),
    [anon_sym_DQUOTE] = ACTIONS(3594),
    [anon_sym_SQUOTE] = ACTIONS(3594),
    [anon_sym_class] = ACTIONS(3594),
    [anon_sym_async] = ACTIONS(3594),
    [anon_sym_function] = ACTIONS(3594),
    [anon_sym_new] = ACTIONS(3594),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(3594),
    [anon_sym_DASH] = ACTIONS(3594),
    [anon_sym_SLASH] = ACTIONS(3594),
    [anon_sym_LT] = ACTIONS(3594),
    [anon_sym_TILDE] = ACTIONS(3594),
    [anon_sym_void] = ACTIONS(3594),
    [anon_sym_delete] = ACTIONS(3594),
    [anon_sym_PLUS_PLUS] = ACTIONS(3594),
    [anon_sym_DASH_DASH] = ACTIONS(3594),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3594),
    [sym_number] = ACTIONS(3594),
    [sym_private_property_identifier] = ACTIONS(3594),
    [sym_this] = ACTIONS(3594),
    [sym_super] = ACTIONS(3594),
    [sym_true] = ACTIONS(3594),
    [sym_false] = ACTIONS(3594),
    [sym_null] = ACTIONS(3594),
    [sym_undefined] = ACTIONS(3594),
    [anon_sym_AT] = ACTIONS(3594),
    [anon_sym_static] = ACTIONS(3594),
    [anon_sym_readonly] = ACTIONS(3594),
    [anon_sym_get] = ACTIONS(3594),
    [anon_sym_set] = ACTIONS(3594),
    [anon_sym_declare] = ACTIONS(3594),
    [anon_sym_public] = ACTIONS(3594),
    [anon_sym_private] = ACTIONS(3594),
    [anon_sym_protected] = ACTIONS(3594),
    [anon_sym_override] = ACTIONS(3594),
    [anon_sym_module] = ACTIONS(3594),
    [anon_sym_any] = ACTIONS(3594),
    [anon_sym_number] = ACTIONS(3594),
    [anon_sym_boolean] = ACTIONS(3594),
    [anon_sym_string] = ACTIONS(3594),
    [anon_sym_symbol] = ACTIONS(3594),
    [anon_sym_object] = ACTIONS(3594),
    [anon_sym_abstract] = ACTIONS(3594),
    [anon_sym_interface] = ACTIONS(3594),
    [anon_sym_enum] = ACTIONS(3594),
    [sym_html_comment] = ACTIONS(5),
  },
  [1726] = {
    [sym_comment] = STATE(1726),
    [sym_identifier] = ACTIONS(3594),
    [anon_sym_export] = ACTIONS(3594),
    [anon_sym_type] = ACTIONS(3594),
    [anon_sym_namespace] = ACTIONS(3594),
    [anon_sym_LBRACE] = ACTIONS(3594),
    [anon_sym_typeof] = ACTIONS(3594),
    [anon_sym_import] = ACTIONS(3594),
    [anon_sym_with] = ACTIONS(3594),
    [anon_sym_var] = ACTIONS(3594),
    [anon_sym_let] = ACTIONS(3594),
    [anon_sym_const] = ACTIONS(3594),
    [anon_sym_BANG] = ACTIONS(3594),
    [anon_sym_if] = ACTIONS(3594),
    [anon_sym_switch] = ACTIONS(3594),
    [anon_sym_for] = ACTIONS(3594),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_await] = ACTIONS(3594),
    [anon_sym_while] = ACTIONS(3594),
    [anon_sym_do] = ACTIONS(3594),
    [anon_sym_try] = ACTIONS(3594),
    [anon_sym_break] = ACTIONS(3594),
    [anon_sym_continue] = ACTIONS(3594),
    [anon_sym_debugger] = ACTIONS(3594),
    [anon_sym_return] = ACTIONS(3594),
    [anon_sym_throw] = ACTIONS(3594),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_yield] = ACTIONS(3594),
    [anon_sym_LBRACK] = ACTIONS(3594),
    [anon_sym_LTtemplate_GT] = ACTIONS(3594),
    [anon_sym_DQUOTE] = ACTIONS(3594),
    [anon_sym_SQUOTE] = ACTIONS(3594),
    [anon_sym_class] = ACTIONS(3594),
    [anon_sym_async] = ACTIONS(3594),
    [anon_sym_function] = ACTIONS(3594),
    [anon_sym_new] = ACTIONS(3594),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(3594),
    [anon_sym_DASH] = ACTIONS(3594),
    [anon_sym_SLASH] = ACTIONS(3594),
    [anon_sym_LT] = ACTIONS(3594),
    [anon_sym_TILDE] = ACTIONS(3594),
    [anon_sym_void] = ACTIONS(3594),
    [anon_sym_delete] = ACTIONS(3594),
    [anon_sym_PLUS_PLUS] = ACTIONS(3594),
    [anon_sym_DASH_DASH] = ACTIONS(3594),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3594),
    [sym_number] = ACTIONS(3594),
    [sym_private_property_identifier] = ACTIONS(3594),
    [sym_this] = ACTIONS(3594),
    [sym_super] = ACTIONS(3594),
    [sym_true] = ACTIONS(3594),
    [sym_false] = ACTIONS(3594),
    [sym_null] = ACTIONS(3594),
    [sym_undefined] = ACTIONS(3594),
    [anon_sym_AT] = ACTIONS(3594),
    [anon_sym_static] = ACTIONS(3594),
    [anon_sym_readonly] = ACTIONS(3594),
    [anon_sym_get] = ACTIONS(3594),
    [anon_sym_set] = ACTIONS(3594),
    [anon_sym_declare] = ACTIONS(3594),
    [anon_sym_public] = ACTIONS(3594),
    [anon_sym_private] = ACTIONS(3594),
    [anon_sym_protected] = ACTIONS(3594),
    [anon_sym_override] = ACTIONS(3594),
    [anon_sym_module] = ACTIONS(3594),
    [anon_sym_any] = ACTIONS(3594),
    [anon_sym_number] = ACTIONS(3594),
    [anon_sym_boolean] = ACTIONS(3594),
    [anon_sym_string] = ACTIONS(3594),
    [anon_sym_symbol] = ACTIONS(3594),
    [anon_sym_object] = ACTIONS(3594),
    [anon_sym_abstract] = ACTIONS(3594),
    [anon_sym_interface] = ACTIONS(3594),
    [anon_sym_enum] = ACTIONS(3594),
    [sym_html_comment] = ACTIONS(5),
  },
  [1727] = {
    [sym_comment] = STATE(1727),
    [sym_identifier] = ACTIONS(3594),
    [anon_sym_export] = ACTIONS(3594),
    [anon_sym_type] = ACTIONS(3594),
    [anon_sym_namespace] = ACTIONS(3594),
    [anon_sym_LBRACE] = ACTIONS(3594),
    [anon_sym_typeof] = ACTIONS(3594),
    [anon_sym_import] = ACTIONS(3594),
    [anon_sym_with] = ACTIONS(3594),
    [anon_sym_var] = ACTIONS(3594),
    [anon_sym_let] = ACTIONS(3594),
    [anon_sym_const] = ACTIONS(3594),
    [anon_sym_BANG] = ACTIONS(3594),
    [anon_sym_if] = ACTIONS(3594),
    [anon_sym_switch] = ACTIONS(3594),
    [anon_sym_for] = ACTIONS(3594),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_await] = ACTIONS(3594),
    [anon_sym_while] = ACTIONS(3594),
    [anon_sym_do] = ACTIONS(3594),
    [anon_sym_try] = ACTIONS(3594),
    [anon_sym_break] = ACTIONS(3594),
    [anon_sym_continue] = ACTIONS(3594),
    [anon_sym_debugger] = ACTIONS(3594),
    [anon_sym_return] = ACTIONS(3594),
    [anon_sym_throw] = ACTIONS(3594),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_yield] = ACTIONS(3594),
    [anon_sym_LBRACK] = ACTIONS(3594),
    [anon_sym_LTtemplate_GT] = ACTIONS(3594),
    [anon_sym_DQUOTE] = ACTIONS(3594),
    [anon_sym_SQUOTE] = ACTIONS(3594),
    [anon_sym_class] = ACTIONS(3594),
    [anon_sym_async] = ACTIONS(3594),
    [anon_sym_function] = ACTIONS(3594),
    [anon_sym_new] = ACTIONS(3594),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(3594),
    [anon_sym_DASH] = ACTIONS(3594),
    [anon_sym_SLASH] = ACTIONS(3594),
    [anon_sym_LT] = ACTIONS(3594),
    [anon_sym_TILDE] = ACTIONS(3594),
    [anon_sym_void] = ACTIONS(3594),
    [anon_sym_delete] = ACTIONS(3594),
    [anon_sym_PLUS_PLUS] = ACTIONS(3594),
    [anon_sym_DASH_DASH] = ACTIONS(3594),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3594),
    [sym_number] = ACTIONS(3594),
    [sym_private_property_identifier] = ACTIONS(3594),
    [sym_this] = ACTIONS(3594),
    [sym_super] = ACTIONS(3594),
    [sym_true] = ACTIONS(3594),
    [sym_false] = ACTIONS(3594),
    [sym_null] = ACTIONS(3594),
    [sym_undefined] = ACTIONS(3594),
    [anon_sym_AT] = ACTIONS(3594),
    [anon_sym_static] = ACTIONS(3594),
    [anon_sym_readonly] = ACTIONS(3594),
    [anon_sym_get] = ACTIONS(3594),
    [anon_sym_set] = ACTIONS(3594),
    [anon_sym_declare] = ACTIONS(3594),
    [anon_sym_public] = ACTIONS(3594),
    [anon_sym_private] = ACTIONS(3594),
    [anon_sym_protected] = ACTIONS(3594),
    [anon_sym_override] = ACTIONS(3594),
    [anon_sym_module] = ACTIONS(3594),
    [anon_sym_any] = ACTIONS(3594),
    [anon_sym_number] = ACTIONS(3594),
    [anon_sym_boolean] = ACTIONS(3594),
    [anon_sym_string] = ACTIONS(3594),
    [anon_sym_symbol] = ACTIONS(3594),
    [anon_sym_object] = ACTIONS(3594),
    [anon_sym_abstract] = ACTIONS(3594),
    [anon_sym_interface] = ACTIONS(3594),
    [anon_sym_enum] = ACTIONS(3594),
    [sym_html_comment] = ACTIONS(5),
  },
  [1728] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1728),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(6916),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3596),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1729] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1729),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(6916),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3598),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1730] = {
    [sym_comment] = STATE(1730),
    [sym_identifier] = ACTIONS(3600),
    [anon_sym_export] = ACTIONS(3600),
    [anon_sym_type] = ACTIONS(3600),
    [anon_sym_namespace] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3600),
    [anon_sym_typeof] = ACTIONS(3600),
    [anon_sym_import] = ACTIONS(3600),
    [anon_sym_with] = ACTIONS(3600),
    [anon_sym_var] = ACTIONS(3600),
    [anon_sym_let] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3600),
    [anon_sym_BANG] = ACTIONS(3600),
    [anon_sym_if] = ACTIONS(3600),
    [anon_sym_switch] = ACTIONS(3600),
    [anon_sym_for] = ACTIONS(3600),
    [anon_sym_LPAREN] = ACTIONS(3600),
    [anon_sym_await] = ACTIONS(3600),
    [anon_sym_while] = ACTIONS(3600),
    [anon_sym_do] = ACTIONS(3600),
    [anon_sym_try] = ACTIONS(3600),
    [anon_sym_break] = ACTIONS(3600),
    [anon_sym_continue] = ACTIONS(3600),
    [anon_sym_debugger] = ACTIONS(3600),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_throw] = ACTIONS(3600),
    [anon_sym_SEMI] = ACTIONS(3600),
    [anon_sym_yield] = ACTIONS(3600),
    [anon_sym_LBRACK] = ACTIONS(3600),
    [anon_sym_LTtemplate_GT] = ACTIONS(3600),
    [anon_sym_DQUOTE] = ACTIONS(3600),
    [anon_sym_SQUOTE] = ACTIONS(3600),
    [anon_sym_class] = ACTIONS(3600),
    [anon_sym_async] = ACTIONS(3600),
    [anon_sym_function] = ACTIONS(3600),
    [anon_sym_new] = ACTIONS(3600),
    [anon_sym_using] = ACTIONS(3600),
    [anon_sym_PLUS] = ACTIONS(3600),
    [anon_sym_DASH] = ACTIONS(3600),
    [anon_sym_SLASH] = ACTIONS(3600),
    [anon_sym_LT] = ACTIONS(3600),
    [anon_sym_TILDE] = ACTIONS(3600),
    [anon_sym_void] = ACTIONS(3600),
    [anon_sym_delete] = ACTIONS(3600),
    [anon_sym_PLUS_PLUS] = ACTIONS(3600),
    [anon_sym_DASH_DASH] = ACTIONS(3600),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3600),
    [sym_number] = ACTIONS(3600),
    [sym_private_property_identifier] = ACTIONS(3600),
    [sym_this] = ACTIONS(3600),
    [sym_super] = ACTIONS(3600),
    [sym_true] = ACTIONS(3600),
    [sym_false] = ACTIONS(3600),
    [sym_null] = ACTIONS(3600),
    [sym_undefined] = ACTIONS(3600),
    [anon_sym_AT] = ACTIONS(3600),
    [anon_sym_static] = ACTIONS(3600),
    [anon_sym_readonly] = ACTIONS(3600),
    [anon_sym_get] = ACTIONS(3600),
    [anon_sym_set] = ACTIONS(3600),
    [anon_sym_declare] = ACTIONS(3600),
    [anon_sym_public] = ACTIONS(3600),
    [anon_sym_private] = ACTIONS(3600),
    [anon_sym_protected] = ACTIONS(3600),
    [anon_sym_override] = ACTIONS(3600),
    [anon_sym_module] = ACTIONS(3600),
    [anon_sym_any] = ACTIONS(3600),
    [anon_sym_number] = ACTIONS(3600),
    [anon_sym_boolean] = ACTIONS(3600),
    [anon_sym_string] = ACTIONS(3600),
    [anon_sym_symbol] = ACTIONS(3600),
    [anon_sym_object] = ACTIONS(3600),
    [anon_sym_abstract] = ACTIONS(3600),
    [anon_sym_interface] = ACTIONS(3600),
    [anon_sym_enum] = ACTIONS(3600),
    [sym_html_comment] = ACTIONS(5),
  },
  [1731] = {
    [sym_comment] = STATE(1731),
    [sym_identifier] = ACTIONS(3602),
    [anon_sym_export] = ACTIONS(3602),
    [anon_sym_type] = ACTIONS(3602),
    [anon_sym_namespace] = ACTIONS(3602),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3602),
    [anon_sym_import] = ACTIONS(3602),
    [anon_sym_with] = ACTIONS(3602),
    [anon_sym_var] = ACTIONS(3602),
    [anon_sym_let] = ACTIONS(3602),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_BANG] = ACTIONS(3602),
    [anon_sym_if] = ACTIONS(3602),
    [anon_sym_switch] = ACTIONS(3602),
    [anon_sym_for] = ACTIONS(3602),
    [anon_sym_LPAREN] = ACTIONS(3602),
    [anon_sym_await] = ACTIONS(3602),
    [anon_sym_while] = ACTIONS(3602),
    [anon_sym_do] = ACTIONS(3602),
    [anon_sym_try] = ACTIONS(3602),
    [anon_sym_break] = ACTIONS(3602),
    [anon_sym_continue] = ACTIONS(3602),
    [anon_sym_debugger] = ACTIONS(3602),
    [anon_sym_return] = ACTIONS(3602),
    [anon_sym_throw] = ACTIONS(3602),
    [anon_sym_SEMI] = ACTIONS(3602),
    [anon_sym_yield] = ACTIONS(3602),
    [anon_sym_LBRACK] = ACTIONS(3602),
    [anon_sym_LTtemplate_GT] = ACTIONS(3602),
    [anon_sym_DQUOTE] = ACTIONS(3602),
    [anon_sym_SQUOTE] = ACTIONS(3602),
    [anon_sym_class] = ACTIONS(3602),
    [anon_sym_async] = ACTIONS(3602),
    [anon_sym_function] = ACTIONS(3602),
    [anon_sym_new] = ACTIONS(3602),
    [anon_sym_using] = ACTIONS(3602),
    [anon_sym_PLUS] = ACTIONS(3602),
    [anon_sym_DASH] = ACTIONS(3602),
    [anon_sym_SLASH] = ACTIONS(3602),
    [anon_sym_LT] = ACTIONS(3602),
    [anon_sym_TILDE] = ACTIONS(3602),
    [anon_sym_void] = ACTIONS(3602),
    [anon_sym_delete] = ACTIONS(3602),
    [anon_sym_PLUS_PLUS] = ACTIONS(3602),
    [anon_sym_DASH_DASH] = ACTIONS(3602),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3602),
    [sym_number] = ACTIONS(3602),
    [sym_private_property_identifier] = ACTIONS(3602),
    [sym_this] = ACTIONS(3602),
    [sym_super] = ACTIONS(3602),
    [sym_true] = ACTIONS(3602),
    [sym_false] = ACTIONS(3602),
    [sym_null] = ACTIONS(3602),
    [sym_undefined] = ACTIONS(3602),
    [anon_sym_AT] = ACTIONS(3602),
    [anon_sym_static] = ACTIONS(3602),
    [anon_sym_readonly] = ACTIONS(3602),
    [anon_sym_get] = ACTIONS(3602),
    [anon_sym_set] = ACTIONS(3602),
    [anon_sym_declare] = ACTIONS(3602),
    [anon_sym_public] = ACTIONS(3602),
    [anon_sym_private] = ACTIONS(3602),
    [anon_sym_protected] = ACTIONS(3602),
    [anon_sym_override] = ACTIONS(3602),
    [anon_sym_module] = ACTIONS(3602),
    [anon_sym_any] = ACTIONS(3602),
    [anon_sym_number] = ACTIONS(3602),
    [anon_sym_boolean] = ACTIONS(3602),
    [anon_sym_string] = ACTIONS(3602),
    [anon_sym_symbol] = ACTIONS(3602),
    [anon_sym_object] = ACTIONS(3602),
    [anon_sym_abstract] = ACTIONS(3602),
    [anon_sym_interface] = ACTIONS(3602),
    [anon_sym_enum] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1732] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1732),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(6916),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3604),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1733] = {
    [sym_comment] = STATE(1733),
    [sym_identifier] = ACTIONS(3594),
    [anon_sym_export] = ACTIONS(3594),
    [anon_sym_type] = ACTIONS(3594),
    [anon_sym_namespace] = ACTIONS(3594),
    [anon_sym_LBRACE] = ACTIONS(3594),
    [anon_sym_typeof] = ACTIONS(3594),
    [anon_sym_import] = ACTIONS(3594),
    [anon_sym_with] = ACTIONS(3594),
    [anon_sym_var] = ACTIONS(3594),
    [anon_sym_let] = ACTIONS(3594),
    [anon_sym_const] = ACTIONS(3594),
    [anon_sym_BANG] = ACTIONS(3594),
    [anon_sym_if] = ACTIONS(3594),
    [anon_sym_switch] = ACTIONS(3594),
    [anon_sym_for] = ACTIONS(3594),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_await] = ACTIONS(3594),
    [anon_sym_while] = ACTIONS(3594),
    [anon_sym_do] = ACTIONS(3594),
    [anon_sym_try] = ACTIONS(3594),
    [anon_sym_break] = ACTIONS(3594),
    [anon_sym_continue] = ACTIONS(3594),
    [anon_sym_debugger] = ACTIONS(3594),
    [anon_sym_return] = ACTIONS(3594),
    [anon_sym_throw] = ACTIONS(3594),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_yield] = ACTIONS(3594),
    [anon_sym_LBRACK] = ACTIONS(3594),
    [anon_sym_LTtemplate_GT] = ACTIONS(3594),
    [anon_sym_DQUOTE] = ACTIONS(3594),
    [anon_sym_SQUOTE] = ACTIONS(3594),
    [anon_sym_class] = ACTIONS(3594),
    [anon_sym_async] = ACTIONS(3594),
    [anon_sym_function] = ACTIONS(3594),
    [anon_sym_new] = ACTIONS(3594),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(3594),
    [anon_sym_DASH] = ACTIONS(3594),
    [anon_sym_SLASH] = ACTIONS(3594),
    [anon_sym_LT] = ACTIONS(3594),
    [anon_sym_TILDE] = ACTIONS(3594),
    [anon_sym_void] = ACTIONS(3594),
    [anon_sym_delete] = ACTIONS(3594),
    [anon_sym_PLUS_PLUS] = ACTIONS(3594),
    [anon_sym_DASH_DASH] = ACTIONS(3594),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3594),
    [sym_number] = ACTIONS(3594),
    [sym_private_property_identifier] = ACTIONS(3594),
    [sym_this] = ACTIONS(3594),
    [sym_super] = ACTIONS(3594),
    [sym_true] = ACTIONS(3594),
    [sym_false] = ACTIONS(3594),
    [sym_null] = ACTIONS(3594),
    [sym_undefined] = ACTIONS(3594),
    [anon_sym_AT] = ACTIONS(3594),
    [anon_sym_static] = ACTIONS(3594),
    [anon_sym_readonly] = ACTIONS(3594),
    [anon_sym_get] = ACTIONS(3594),
    [anon_sym_set] = ACTIONS(3594),
    [anon_sym_declare] = ACTIONS(3594),
    [anon_sym_public] = ACTIONS(3594),
    [anon_sym_private] = ACTIONS(3594),
    [anon_sym_protected] = ACTIONS(3594),
    [anon_sym_override] = ACTIONS(3594),
    [anon_sym_module] = ACTIONS(3594),
    [anon_sym_any] = ACTIONS(3594),
    [anon_sym_number] = ACTIONS(3594),
    [anon_sym_boolean] = ACTIONS(3594),
    [anon_sym_string] = ACTIONS(3594),
    [anon_sym_symbol] = ACTIONS(3594),
    [anon_sym_object] = ACTIONS(3594),
    [anon_sym_abstract] = ACTIONS(3594),
    [anon_sym_interface] = ACTIONS(3594),
    [anon_sym_enum] = ACTIONS(3594),
    [sym_html_comment] = ACTIONS(5),
  },
  [1734] = {
    [sym_comment] = STATE(1734),
    [sym_identifier] = ACTIONS(3606),
    [anon_sym_export] = ACTIONS(3606),
    [anon_sym_type] = ACTIONS(3606),
    [anon_sym_namespace] = ACTIONS(3606),
    [anon_sym_LBRACE] = ACTIONS(3606),
    [anon_sym_typeof] = ACTIONS(3606),
    [anon_sym_import] = ACTIONS(3606),
    [anon_sym_with] = ACTIONS(3606),
    [anon_sym_var] = ACTIONS(3606),
    [anon_sym_let] = ACTIONS(3606),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_BANG] = ACTIONS(3606),
    [anon_sym_if] = ACTIONS(3606),
    [anon_sym_switch] = ACTIONS(3606),
    [anon_sym_for] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3606),
    [anon_sym_await] = ACTIONS(3606),
    [anon_sym_while] = ACTIONS(3606),
    [anon_sym_do] = ACTIONS(3606),
    [anon_sym_try] = ACTIONS(3606),
    [anon_sym_break] = ACTIONS(3606),
    [anon_sym_continue] = ACTIONS(3606),
    [anon_sym_debugger] = ACTIONS(3606),
    [anon_sym_return] = ACTIONS(3606),
    [anon_sym_throw] = ACTIONS(3606),
    [anon_sym_SEMI] = ACTIONS(3606),
    [anon_sym_yield] = ACTIONS(3606),
    [anon_sym_LBRACK] = ACTIONS(3606),
    [anon_sym_LTtemplate_GT] = ACTIONS(3606),
    [anon_sym_DQUOTE] = ACTIONS(3606),
    [anon_sym_SQUOTE] = ACTIONS(3606),
    [anon_sym_class] = ACTIONS(3606),
    [anon_sym_async] = ACTIONS(3606),
    [anon_sym_function] = ACTIONS(3606),
    [anon_sym_new] = ACTIONS(3606),
    [anon_sym_using] = ACTIONS(3606),
    [anon_sym_PLUS] = ACTIONS(3606),
    [anon_sym_DASH] = ACTIONS(3606),
    [anon_sym_SLASH] = ACTIONS(3606),
    [anon_sym_LT] = ACTIONS(3606),
    [anon_sym_TILDE] = ACTIONS(3606),
    [anon_sym_void] = ACTIONS(3606),
    [anon_sym_delete] = ACTIONS(3606),
    [anon_sym_PLUS_PLUS] = ACTIONS(3606),
    [anon_sym_DASH_DASH] = ACTIONS(3606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3606),
    [sym_number] = ACTIONS(3606),
    [sym_private_property_identifier] = ACTIONS(3606),
    [sym_this] = ACTIONS(3606),
    [sym_super] = ACTIONS(3606),
    [sym_true] = ACTIONS(3606),
    [sym_false] = ACTIONS(3606),
    [sym_null] = ACTIONS(3606),
    [sym_undefined] = ACTIONS(3606),
    [anon_sym_AT] = ACTIONS(3606),
    [anon_sym_static] = ACTIONS(3606),
    [anon_sym_readonly] = ACTIONS(3606),
    [anon_sym_get] = ACTIONS(3606),
    [anon_sym_set] = ACTIONS(3606),
    [anon_sym_declare] = ACTIONS(3606),
    [anon_sym_public] = ACTIONS(3606),
    [anon_sym_private] = ACTIONS(3606),
    [anon_sym_protected] = ACTIONS(3606),
    [anon_sym_override] = ACTIONS(3606),
    [anon_sym_module] = ACTIONS(3606),
    [anon_sym_any] = ACTIONS(3606),
    [anon_sym_number] = ACTIONS(3606),
    [anon_sym_boolean] = ACTIONS(3606),
    [anon_sym_string] = ACTIONS(3606),
    [anon_sym_symbol] = ACTIONS(3606),
    [anon_sym_object] = ACTIONS(3606),
    [anon_sym_abstract] = ACTIONS(3606),
    [anon_sym_interface] = ACTIONS(3606),
    [anon_sym_enum] = ACTIONS(3606),
    [sym_html_comment] = ACTIONS(5),
  },
  [1735] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1735),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(6916),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3608),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1736] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1736),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(6916),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3610),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1737] = {
    [sym_comment] = STATE(1737),
    [sym_identifier] = ACTIONS(3594),
    [anon_sym_export] = ACTIONS(3594),
    [anon_sym_type] = ACTIONS(3594),
    [anon_sym_namespace] = ACTIONS(3594),
    [anon_sym_LBRACE] = ACTIONS(3594),
    [anon_sym_typeof] = ACTIONS(3594),
    [anon_sym_import] = ACTIONS(3594),
    [anon_sym_with] = ACTIONS(3594),
    [anon_sym_var] = ACTIONS(3594),
    [anon_sym_let] = ACTIONS(3594),
    [anon_sym_const] = ACTIONS(3594),
    [anon_sym_BANG] = ACTIONS(3594),
    [anon_sym_if] = ACTIONS(3594),
    [anon_sym_switch] = ACTIONS(3594),
    [anon_sym_for] = ACTIONS(3594),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_await] = ACTIONS(3594),
    [anon_sym_while] = ACTIONS(3594),
    [anon_sym_do] = ACTIONS(3594),
    [anon_sym_try] = ACTIONS(3594),
    [anon_sym_break] = ACTIONS(3594),
    [anon_sym_continue] = ACTIONS(3594),
    [anon_sym_debugger] = ACTIONS(3594),
    [anon_sym_return] = ACTIONS(3594),
    [anon_sym_throw] = ACTIONS(3594),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_yield] = ACTIONS(3594),
    [anon_sym_LBRACK] = ACTIONS(3594),
    [anon_sym_LTtemplate_GT] = ACTIONS(3594),
    [anon_sym_DQUOTE] = ACTIONS(3594),
    [anon_sym_SQUOTE] = ACTIONS(3594),
    [anon_sym_class] = ACTIONS(3594),
    [anon_sym_async] = ACTIONS(3594),
    [anon_sym_function] = ACTIONS(3594),
    [anon_sym_new] = ACTIONS(3594),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(3594),
    [anon_sym_DASH] = ACTIONS(3594),
    [anon_sym_SLASH] = ACTIONS(3594),
    [anon_sym_LT] = ACTIONS(3594),
    [anon_sym_TILDE] = ACTIONS(3594),
    [anon_sym_void] = ACTIONS(3594),
    [anon_sym_delete] = ACTIONS(3594),
    [anon_sym_PLUS_PLUS] = ACTIONS(3594),
    [anon_sym_DASH_DASH] = ACTIONS(3594),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3594),
    [sym_number] = ACTIONS(3594),
    [sym_private_property_identifier] = ACTIONS(3594),
    [sym_this] = ACTIONS(3594),
    [sym_super] = ACTIONS(3594),
    [sym_true] = ACTIONS(3594),
    [sym_false] = ACTIONS(3594),
    [sym_null] = ACTIONS(3594),
    [sym_undefined] = ACTIONS(3594),
    [anon_sym_AT] = ACTIONS(3594),
    [anon_sym_static] = ACTIONS(3594),
    [anon_sym_readonly] = ACTIONS(3594),
    [anon_sym_get] = ACTIONS(3594),
    [anon_sym_set] = ACTIONS(3594),
    [anon_sym_declare] = ACTIONS(3594),
    [anon_sym_public] = ACTIONS(3594),
    [anon_sym_private] = ACTIONS(3594),
    [anon_sym_protected] = ACTIONS(3594),
    [anon_sym_override] = ACTIONS(3594),
    [anon_sym_module] = ACTIONS(3594),
    [anon_sym_any] = ACTIONS(3594),
    [anon_sym_number] = ACTIONS(3594),
    [anon_sym_boolean] = ACTIONS(3594),
    [anon_sym_string] = ACTIONS(3594),
    [anon_sym_symbol] = ACTIONS(3594),
    [anon_sym_object] = ACTIONS(3594),
    [anon_sym_abstract] = ACTIONS(3594),
    [anon_sym_interface] = ACTIONS(3594),
    [anon_sym_enum] = ACTIONS(3594),
    [sym_html_comment] = ACTIONS(5),
  },
  [1738] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1738),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(6916),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3612),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1739] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1739),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(6916),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3614),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1740] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1740),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(6916),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3616),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1741] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1741),
    [sym_formal_parameters] = STATE(7344),
    [sym_rest_pattern] = STATE(6697),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4954),
    [sym_tuple_parameter] = STATE(6924),
    [sym_optional_tuple_parameter] = STATE(6924),
    [sym_optional_type] = STATE(6924),
    [sym_rest_type] = STATE(6924),
    [sym__tuple_type_member] = STATE(6916),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1742] = {
    [sym_import] = STATE(6292),
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1742),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4171),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4444),
    [sym_asserts] = STATE(4888),
    [sym__type] = STATE(4186),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_predicate] = STATE(4889),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4088),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(3618),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(3620),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_asserts] = ACTIONS(3622),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1743] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1743),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4245),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4731),
    [sym_asserts] = STATE(6538),
    [sym__type] = STATE(4228),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_predicate] = STATE(6562),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3813),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(3626),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_asserts] = ACTIONS(3628),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1744] = {
    [sym_import] = STATE(5844),
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1744),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4467),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4886),
    [sym_asserts] = STATE(5105),
    [sym__type] = STATE(4466),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_predicate] = STATE(5221),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4185),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(3630),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(3662),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_asserts] = ACTIONS(3670),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1745] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1745),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3678),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1746] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1746),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1747] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1747),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3682),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1748] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1748),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3684),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1749] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1749),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3686),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1750] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1750),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3688),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1751] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1751),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1752] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1752),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3692),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1753] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1753),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3694),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1754] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1754),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3696),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1755] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1755),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3698),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1756] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1756),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1757] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1757),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3702),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1758] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1758),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3704),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1759] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1759),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3706),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1760] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1760),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3708),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1761] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1761),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3710),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1762] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1762),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3712),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1763] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1763),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3714),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1764] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1764),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3716),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1765] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1765),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3718),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1766] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1766),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3720),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1767] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1767),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3722),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1768] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1768),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3724),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1769] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1769),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3726),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1770] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1770),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3728),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1771] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1771),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3730),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1772] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1772),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3732),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1773] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1773),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3734),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1774] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1774),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3736),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1775] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1775),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3738),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1776] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1776),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1777] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1777),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3742),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1778] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1778),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3744),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1779] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1779),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3746),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1780] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1780),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3748),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1781] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1781),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3750),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1782] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1782),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3752),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1783] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1783),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3754),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1784] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1784),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1785] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1785),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1786] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1786),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3760),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1787] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1787),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4833),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5558),
    [sym__type] = STATE(4834),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1788] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1788),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5110),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5964),
    [sym__type] = STATE(5099),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1789] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1789),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4852),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5575),
    [sym__type] = STATE(4853),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1790] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1790),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4894),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5619),
    [sym__type] = STATE(4892),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1791] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1791),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4865),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5599),
    [sym__type] = STATE(4866),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1792] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1792),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4803),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5651),
    [sym__type] = STATE(4804),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1793] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1793),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4759),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5757),
    [sym__type] = STATE(4761),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1794] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1794),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4245),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4731),
    [sym__type] = STATE(4228),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1795] = {
    [sym_import] = STATE(6292),
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1795),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4171),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4444),
    [sym__type] = STATE(4186),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1796] = {
    [sym_import] = STATE(5883),
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1796),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4766),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5737),
    [sym__type] = STATE(4768),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1797] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1797),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym_asserts] = STATE(4292),
    [sym__type] = STATE(4291),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_predicate] = STATE(4292),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4185),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(3630),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(3662),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_asserts] = ACTIONS(3670),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1798] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1798),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym_asserts] = STATE(4112),
    [sym__type] = STATE(4111),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_predicate] = STATE(4112),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4088),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(3618),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(3620),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_asserts] = ACTIONS(3622),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1799] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1799),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym_asserts] = STATE(2868),
    [sym__type] = STATE(2865),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_predicate] = STATE(2868),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2758),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(3762),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(3790),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_asserts] = ACTIONS(3798),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1800] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1800),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym_asserts] = STATE(4127),
    [sym__type] = STATE(4103),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_predicate] = STATE(4127),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4088),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(3618),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(3620),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_asserts] = ACTIONS(3622),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1801] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1801),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym_asserts] = STATE(3866),
    [sym__type] = STATE(3869),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_predicate] = STATE(3866),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3813),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(3626),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_asserts] = ACTIONS(3628),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1802] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1802),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym_asserts] = STATE(2512),
    [sym__type] = STATE(2518),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_predicate] = STATE(2512),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2366),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(3806),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(3834),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_asserts] = ACTIONS(3842),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1803] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1803),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym_asserts] = STATE(4240),
    [sym__type] = STATE(4238),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_predicate] = STATE(4240),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4185),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(3630),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(3662),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_asserts] = ACTIONS(3670),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1804] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1804),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym_asserts] = STATE(2929),
    [sym__type] = STATE(2928),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_predicate] = STATE(2929),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2758),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(3762),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(3790),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_asserts] = ACTIONS(3798),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1805] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1805),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym_asserts] = STATE(2422),
    [sym__type] = STATE(2448),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_predicate] = STATE(2422),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2366),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(3806),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(3834),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_asserts] = ACTIONS(3842),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1806] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1806),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym_asserts] = STATE(3899),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_predicate] = STATE(3899),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3813),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(3626),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_asserts] = ACTIONS(3628),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1807] = {
    [sym_export_statement] = STATE(4751),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array_pattern] = STATE(4237),
    [sym__call_signature] = STATE(5019),
    [sym__destructuring_pattern] = STATE(7355),
    [sym_spread_element] = STATE(6153),
    [sym_string] = STATE(4128),
    [sym_comment] = STATE(1807),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4184),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(6153),
    [sym_pair] = STATE(6153),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4022),
    [sym_computed_property_name] = STATE(4128),
    [sym_method_signature] = STATE(4751),
    [sym_accessibility_modifier] = STATE(3606),
    [sym_override_modifier] = STATE(3666),
    [sym_call_signature] = STATE(4751),
    [sym_property_signature] = STATE(4751),
    [sym_type_parameters] = STATE(7018),
    [sym_construct_signature] = STATE(4751),
    [sym_index_signature] = STATE(4751),
    [aux_sym_export_statement_repeat1] = STATE(5764),
    [aux_sym_object_repeat1] = STATE(6155),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(3850),
    [anon_sym_export] = ACTIONS(3852),
    [anon_sym_STAR] = ACTIONS(3854),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_namespace] = ACTIONS(3850),
    [anon_sym_LBRACE] = ACTIONS(3856),
    [anon_sym_COMMA] = ACTIONS(3858),
    [anon_sym_RBRACE] = ACTIONS(3860),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_LPAREN] = ACTIONS(3862),
    [anon_sym_SEMI] = ACTIONS(3864),
    [anon_sym_LBRACK] = ACTIONS(3866),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3868),
    [anon_sym_new] = ACTIONS(3870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3872),
    [anon_sym_DASH] = ACTIONS(3872),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3874),
    [sym_private_property_identifier] = ACTIONS(3874),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3876),
    [anon_sym_readonly] = ACTIONS(3878),
    [anon_sym_get] = ACTIONS(3880),
    [anon_sym_set] = ACTIONS(3880),
    [anon_sym_declare] = ACTIONS(3850),
    [anon_sym_public] = ACTIONS(3882),
    [anon_sym_private] = ACTIONS(3882),
    [anon_sym_protected] = ACTIONS(3882),
    [anon_sym_override] = ACTIONS(3884),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_any] = ACTIONS(3850),
    [anon_sym_number] = ACTIONS(3850),
    [anon_sym_boolean] = ACTIONS(3850),
    [anon_sym_string] = ACTIONS(3850),
    [anon_sym_symbol] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(3850),
    [anon_sym_abstract] = ACTIONS(3886),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3888),
    [sym_html_comment] = ACTIONS(5),
  },
  [1808] = {
    [sym_export_statement] = STATE(4751),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array_pattern] = STATE(4237),
    [sym__call_signature] = STATE(5019),
    [sym__destructuring_pattern] = STATE(7355),
    [sym_spread_element] = STATE(6153),
    [sym_string] = STATE(4128),
    [sym_comment] = STATE(1808),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4184),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(6153),
    [sym_pair] = STATE(6153),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4022),
    [sym_computed_property_name] = STATE(4128),
    [sym_method_signature] = STATE(4751),
    [sym_accessibility_modifier] = STATE(3606),
    [sym_override_modifier] = STATE(3666),
    [sym_call_signature] = STATE(4751),
    [sym_property_signature] = STATE(4751),
    [sym_type_parameters] = STATE(7018),
    [sym_construct_signature] = STATE(4751),
    [sym_index_signature] = STATE(4751),
    [aux_sym_export_statement_repeat1] = STATE(5764),
    [aux_sym_object_repeat1] = STATE(6155),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_export] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(3854),
    [anon_sym_type] = ACTIONS(3890),
    [anon_sym_namespace] = ACTIONS(3890),
    [anon_sym_LBRACE] = ACTIONS(3856),
    [anon_sym_COMMA] = ACTIONS(3858),
    [anon_sym_RBRACE] = ACTIONS(3894),
    [anon_sym_let] = ACTIONS(3890),
    [anon_sym_LPAREN] = ACTIONS(3862),
    [anon_sym_SEMI] = ACTIONS(3864),
    [anon_sym_LBRACK] = ACTIONS(3866),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3896),
    [anon_sym_new] = ACTIONS(3898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3872),
    [anon_sym_DASH] = ACTIONS(3872),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3874),
    [sym_private_property_identifier] = ACTIONS(3874),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3900),
    [anon_sym_readonly] = ACTIONS(3902),
    [anon_sym_get] = ACTIONS(3904),
    [anon_sym_set] = ACTIONS(3904),
    [anon_sym_declare] = ACTIONS(3890),
    [anon_sym_public] = ACTIONS(3906),
    [anon_sym_private] = ACTIONS(3906),
    [anon_sym_protected] = ACTIONS(3906),
    [anon_sym_override] = ACTIONS(3908),
    [anon_sym_module] = ACTIONS(3890),
    [anon_sym_any] = ACTIONS(3890),
    [anon_sym_number] = ACTIONS(3890),
    [anon_sym_boolean] = ACTIONS(3890),
    [anon_sym_string] = ACTIONS(3890),
    [anon_sym_symbol] = ACTIONS(3890),
    [anon_sym_object] = ACTIONS(3890),
    [anon_sym_abstract] = ACTIONS(3886),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3888),
    [sym_html_comment] = ACTIONS(5),
  },
  [1809] = {
    [sym_export_statement] = STATE(4751),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array_pattern] = STATE(4237),
    [sym__call_signature] = STATE(5019),
    [sym__destructuring_pattern] = STATE(7355),
    [sym_spread_element] = STATE(6153),
    [sym_string] = STATE(4128),
    [sym_comment] = STATE(1809),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4184),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(6153),
    [sym_pair] = STATE(6153),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4022),
    [sym_computed_property_name] = STATE(4128),
    [sym_method_signature] = STATE(4751),
    [sym_accessibility_modifier] = STATE(3606),
    [sym_override_modifier] = STATE(3666),
    [sym_call_signature] = STATE(4751),
    [sym_property_signature] = STATE(4751),
    [sym_type_parameters] = STATE(7018),
    [sym_construct_signature] = STATE(4751),
    [sym_index_signature] = STATE(4751),
    [aux_sym_export_statement_repeat1] = STATE(5764),
    [aux_sym_object_repeat1] = STATE(6155),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(3910),
    [anon_sym_export] = ACTIONS(3912),
    [anon_sym_STAR] = ACTIONS(3854),
    [anon_sym_type] = ACTIONS(3910),
    [anon_sym_namespace] = ACTIONS(3910),
    [anon_sym_LBRACE] = ACTIONS(3856),
    [anon_sym_COMMA] = ACTIONS(3858),
    [anon_sym_RBRACE] = ACTIONS(3914),
    [anon_sym_let] = ACTIONS(3910),
    [anon_sym_LPAREN] = ACTIONS(3862),
    [anon_sym_SEMI] = ACTIONS(3864),
    [anon_sym_LBRACK] = ACTIONS(3866),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3916),
    [anon_sym_new] = ACTIONS(3918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3872),
    [anon_sym_DASH] = ACTIONS(3872),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3874),
    [sym_private_property_identifier] = ACTIONS(3874),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3920),
    [anon_sym_readonly] = ACTIONS(3922),
    [anon_sym_get] = ACTIONS(3924),
    [anon_sym_set] = ACTIONS(3924),
    [anon_sym_declare] = ACTIONS(3910),
    [anon_sym_public] = ACTIONS(3926),
    [anon_sym_private] = ACTIONS(3926),
    [anon_sym_protected] = ACTIONS(3926),
    [anon_sym_override] = ACTIONS(3928),
    [anon_sym_module] = ACTIONS(3910),
    [anon_sym_any] = ACTIONS(3910),
    [anon_sym_number] = ACTIONS(3910),
    [anon_sym_boolean] = ACTIONS(3910),
    [anon_sym_string] = ACTIONS(3910),
    [anon_sym_symbol] = ACTIONS(3910),
    [anon_sym_object] = ACTIONS(3910),
    [anon_sym_abstract] = ACTIONS(3886),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3888),
    [sym_html_comment] = ACTIONS(5),
  },
  [1810] = {
    [sym_export_statement] = STATE(4751),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array_pattern] = STATE(4237),
    [sym__call_signature] = STATE(5019),
    [sym__destructuring_pattern] = STATE(7355),
    [sym_spread_element] = STATE(6153),
    [sym_string] = STATE(4128),
    [sym_comment] = STATE(1810),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4184),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(6153),
    [sym_pair] = STATE(6153),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4022),
    [sym_computed_property_name] = STATE(4128),
    [sym_method_signature] = STATE(4751),
    [sym_accessibility_modifier] = STATE(3606),
    [sym_override_modifier] = STATE(3666),
    [sym_call_signature] = STATE(4751),
    [sym_property_signature] = STATE(4751),
    [sym_type_parameters] = STATE(7018),
    [sym_construct_signature] = STATE(4751),
    [sym_index_signature] = STATE(4751),
    [aux_sym_export_statement_repeat1] = STATE(5764),
    [aux_sym_object_repeat1] = STATE(6155),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(3910),
    [anon_sym_export] = ACTIONS(3912),
    [anon_sym_STAR] = ACTIONS(3854),
    [anon_sym_type] = ACTIONS(3910),
    [anon_sym_namespace] = ACTIONS(3910),
    [anon_sym_LBRACE] = ACTIONS(3856),
    [anon_sym_COMMA] = ACTIONS(3858),
    [anon_sym_RBRACE] = ACTIONS(3860),
    [anon_sym_let] = ACTIONS(3910),
    [anon_sym_LPAREN] = ACTIONS(3862),
    [anon_sym_SEMI] = ACTIONS(3864),
    [anon_sym_LBRACK] = ACTIONS(3866),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3916),
    [anon_sym_new] = ACTIONS(3918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3872),
    [anon_sym_DASH] = ACTIONS(3872),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3874),
    [sym_private_property_identifier] = ACTIONS(3874),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3920),
    [anon_sym_readonly] = ACTIONS(3922),
    [anon_sym_get] = ACTIONS(3924),
    [anon_sym_set] = ACTIONS(3924),
    [anon_sym_declare] = ACTIONS(3910),
    [anon_sym_public] = ACTIONS(3926),
    [anon_sym_private] = ACTIONS(3926),
    [anon_sym_protected] = ACTIONS(3926),
    [anon_sym_override] = ACTIONS(3928),
    [anon_sym_module] = ACTIONS(3910),
    [anon_sym_any] = ACTIONS(3910),
    [anon_sym_number] = ACTIONS(3910),
    [anon_sym_boolean] = ACTIONS(3910),
    [anon_sym_string] = ACTIONS(3910),
    [anon_sym_symbol] = ACTIONS(3910),
    [anon_sym_object] = ACTIONS(3910),
    [anon_sym_abstract] = ACTIONS(3886),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3888),
    [sym_html_comment] = ACTIONS(5),
  },
  [1811] = {
    [sym_export_statement] = STATE(4751),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array_pattern] = STATE(4237),
    [sym__call_signature] = STATE(5019),
    [sym__destructuring_pattern] = STATE(7355),
    [sym_spread_element] = STATE(6153),
    [sym_string] = STATE(4128),
    [sym_comment] = STATE(1811),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4184),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(6153),
    [sym_pair] = STATE(6153),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4022),
    [sym_computed_property_name] = STATE(4128),
    [sym_method_signature] = STATE(4751),
    [sym_accessibility_modifier] = STATE(3606),
    [sym_override_modifier] = STATE(3666),
    [sym_call_signature] = STATE(4751),
    [sym_property_signature] = STATE(4751),
    [sym_type_parameters] = STATE(7018),
    [sym_construct_signature] = STATE(4751),
    [sym_index_signature] = STATE(4751),
    [aux_sym_export_statement_repeat1] = STATE(5764),
    [aux_sym_object_repeat1] = STATE(6155),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(3850),
    [anon_sym_export] = ACTIONS(3852),
    [anon_sym_STAR] = ACTIONS(3854),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_namespace] = ACTIONS(3850),
    [anon_sym_LBRACE] = ACTIONS(3856),
    [anon_sym_COMMA] = ACTIONS(3858),
    [anon_sym_RBRACE] = ACTIONS(3930),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_LPAREN] = ACTIONS(3862),
    [anon_sym_SEMI] = ACTIONS(3864),
    [anon_sym_LBRACK] = ACTIONS(3866),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3868),
    [anon_sym_new] = ACTIONS(3870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3872),
    [anon_sym_DASH] = ACTIONS(3872),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3874),
    [sym_private_property_identifier] = ACTIONS(3874),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3876),
    [anon_sym_readonly] = ACTIONS(3878),
    [anon_sym_get] = ACTIONS(3880),
    [anon_sym_set] = ACTIONS(3880),
    [anon_sym_declare] = ACTIONS(3850),
    [anon_sym_public] = ACTIONS(3882),
    [anon_sym_private] = ACTIONS(3882),
    [anon_sym_protected] = ACTIONS(3882),
    [anon_sym_override] = ACTIONS(3884),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_any] = ACTIONS(3850),
    [anon_sym_number] = ACTIONS(3850),
    [anon_sym_boolean] = ACTIONS(3850),
    [anon_sym_string] = ACTIONS(3850),
    [anon_sym_symbol] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(3850),
    [anon_sym_abstract] = ACTIONS(3886),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3888),
    [sym_html_comment] = ACTIONS(5),
  },
  [1812] = {
    [sym_export_statement] = STATE(4807),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array_pattern] = STATE(4237),
    [sym__call_signature] = STATE(5019),
    [sym__destructuring_pattern] = STATE(7355),
    [sym_spread_element] = STATE(6153),
    [sym_string] = STATE(4128),
    [sym_comment] = STATE(1812),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4184),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(6153),
    [sym_pair] = STATE(6153),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4022),
    [sym_computed_property_name] = STATE(4128),
    [sym_method_signature] = STATE(4807),
    [sym_accessibility_modifier] = STATE(3606),
    [sym_override_modifier] = STATE(3666),
    [sym_call_signature] = STATE(4807),
    [sym_property_signature] = STATE(4807),
    [sym_type_parameters] = STATE(7018),
    [sym_construct_signature] = STATE(4807),
    [sym_index_signature] = STATE(4807),
    [aux_sym_export_statement_repeat1] = STATE(5764),
    [aux_sym_object_repeat1] = STATE(6155),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(3910),
    [anon_sym_export] = ACTIONS(3912),
    [anon_sym_STAR] = ACTIONS(3854),
    [anon_sym_type] = ACTIONS(3910),
    [anon_sym_namespace] = ACTIONS(3910),
    [anon_sym_LBRACE] = ACTIONS(3856),
    [anon_sym_COMMA] = ACTIONS(3932),
    [anon_sym_RBRACE] = ACTIONS(3934),
    [anon_sym_let] = ACTIONS(3910),
    [anon_sym_LPAREN] = ACTIONS(3862),
    [anon_sym_SEMI] = ACTIONS(3936),
    [anon_sym_LBRACK] = ACTIONS(3866),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3916),
    [anon_sym_new] = ACTIONS(3918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3872),
    [anon_sym_DASH] = ACTIONS(3872),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3874),
    [sym_private_property_identifier] = ACTIONS(3874),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3920),
    [anon_sym_readonly] = ACTIONS(3922),
    [anon_sym_get] = ACTIONS(3924),
    [anon_sym_set] = ACTIONS(3924),
    [anon_sym_declare] = ACTIONS(3910),
    [anon_sym_public] = ACTIONS(3926),
    [anon_sym_private] = ACTIONS(3926),
    [anon_sym_protected] = ACTIONS(3926),
    [anon_sym_override] = ACTIONS(3928),
    [anon_sym_module] = ACTIONS(3910),
    [anon_sym_any] = ACTIONS(3910),
    [anon_sym_number] = ACTIONS(3910),
    [anon_sym_boolean] = ACTIONS(3910),
    [anon_sym_string] = ACTIONS(3910),
    [anon_sym_symbol] = ACTIONS(3910),
    [anon_sym_object] = ACTIONS(3910),
    [anon_sym_abstract] = ACTIONS(3886),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3938),
    [sym_html_comment] = ACTIONS(5),
  },
  [1813] = {
    [sym_export_statement] = STATE(4751),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array_pattern] = STATE(4237),
    [sym__call_signature] = STATE(5019),
    [sym__destructuring_pattern] = STATE(7355),
    [sym_spread_element] = STATE(5911),
    [sym_string] = STATE(4128),
    [sym_comment] = STATE(1813),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4184),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(5911),
    [sym_pair] = STATE(5911),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4022),
    [sym_computed_property_name] = STATE(4128),
    [sym_method_signature] = STATE(4751),
    [sym_accessibility_modifier] = STATE(3606),
    [sym_override_modifier] = STATE(3666),
    [sym_call_signature] = STATE(4751),
    [sym_property_signature] = STATE(4751),
    [sym_type_parameters] = STATE(7018),
    [sym_construct_signature] = STATE(4751),
    [sym_index_signature] = STATE(4751),
    [aux_sym_export_statement_repeat1] = STATE(5764),
    [aux_sym_object_repeat1] = STATE(5919),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(3940),
    [anon_sym_export] = ACTIONS(3942),
    [anon_sym_STAR] = ACTIONS(3854),
    [anon_sym_type] = ACTIONS(3940),
    [anon_sym_namespace] = ACTIONS(3940),
    [anon_sym_LBRACE] = ACTIONS(3856),
    [anon_sym_COMMA] = ACTIONS(3858),
    [anon_sym_RBRACE] = ACTIONS(3944),
    [anon_sym_let] = ACTIONS(3940),
    [anon_sym_LPAREN] = ACTIONS(3862),
    [anon_sym_SEMI] = ACTIONS(3864),
    [anon_sym_LBRACK] = ACTIONS(3866),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3946),
    [anon_sym_new] = ACTIONS(3948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3872),
    [anon_sym_DASH] = ACTIONS(3872),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3874),
    [sym_private_property_identifier] = ACTIONS(3874),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3950),
    [anon_sym_readonly] = ACTIONS(3952),
    [anon_sym_get] = ACTIONS(3954),
    [anon_sym_set] = ACTIONS(3954),
    [anon_sym_declare] = ACTIONS(3940),
    [anon_sym_public] = ACTIONS(3956),
    [anon_sym_private] = ACTIONS(3956),
    [anon_sym_protected] = ACTIONS(3956),
    [anon_sym_override] = ACTIONS(3958),
    [anon_sym_module] = ACTIONS(3940),
    [anon_sym_any] = ACTIONS(3940),
    [anon_sym_number] = ACTIONS(3940),
    [anon_sym_boolean] = ACTIONS(3940),
    [anon_sym_string] = ACTIONS(3940),
    [anon_sym_symbol] = ACTIONS(3940),
    [anon_sym_object] = ACTIONS(3940),
    [anon_sym_abstract] = ACTIONS(3886),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3888),
    [sym_html_comment] = ACTIONS(5),
  },
  [1814] = {
    [sym_export_statement] = STATE(4751),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array_pattern] = STATE(4237),
    [sym__call_signature] = STATE(5019),
    [sym__destructuring_pattern] = STATE(7355),
    [sym_spread_element] = STATE(6153),
    [sym_string] = STATE(4128),
    [sym_comment] = STATE(1814),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4184),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(6153),
    [sym_pair] = STATE(6153),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4022),
    [sym_computed_property_name] = STATE(4128),
    [sym_method_signature] = STATE(4751),
    [sym_accessibility_modifier] = STATE(3606),
    [sym_override_modifier] = STATE(3666),
    [sym_call_signature] = STATE(4751),
    [sym_property_signature] = STATE(4751),
    [sym_type_parameters] = STATE(7018),
    [sym_construct_signature] = STATE(4751),
    [sym_index_signature] = STATE(4751),
    [aux_sym_export_statement_repeat1] = STATE(5764),
    [aux_sym_object_repeat1] = STATE(6155),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(3850),
    [anon_sym_export] = ACTIONS(3852),
    [anon_sym_STAR] = ACTIONS(3854),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_namespace] = ACTIONS(3850),
    [anon_sym_LBRACE] = ACTIONS(3856),
    [anon_sym_COMMA] = ACTIONS(3858),
    [anon_sym_RBRACE] = ACTIONS(3960),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_LPAREN] = ACTIONS(3862),
    [anon_sym_SEMI] = ACTIONS(3864),
    [anon_sym_LBRACK] = ACTIONS(3866),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3868),
    [anon_sym_new] = ACTIONS(3870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3872),
    [anon_sym_DASH] = ACTIONS(3872),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3874),
    [sym_private_property_identifier] = ACTIONS(3874),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3876),
    [anon_sym_readonly] = ACTIONS(3878),
    [anon_sym_get] = ACTIONS(3880),
    [anon_sym_set] = ACTIONS(3880),
    [anon_sym_declare] = ACTIONS(3850),
    [anon_sym_public] = ACTIONS(3882),
    [anon_sym_private] = ACTIONS(3882),
    [anon_sym_protected] = ACTIONS(3882),
    [anon_sym_override] = ACTIONS(3884),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_any] = ACTIONS(3850),
    [anon_sym_number] = ACTIONS(3850),
    [anon_sym_boolean] = ACTIONS(3850),
    [anon_sym_string] = ACTIONS(3850),
    [anon_sym_symbol] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(3850),
    [anon_sym_abstract] = ACTIONS(3886),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3888),
    [sym_html_comment] = ACTIONS(5),
  },
  [1815] = {
    [sym_export_statement] = STATE(4751),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array_pattern] = STATE(4237),
    [sym__call_signature] = STATE(5019),
    [sym__destructuring_pattern] = STATE(7355),
    [sym_spread_element] = STATE(5911),
    [sym_string] = STATE(4128),
    [sym_comment] = STATE(1815),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4184),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(5911),
    [sym_pair] = STATE(5911),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4022),
    [sym_computed_property_name] = STATE(4128),
    [sym_method_signature] = STATE(4751),
    [sym_accessibility_modifier] = STATE(3606),
    [sym_override_modifier] = STATE(3666),
    [sym_call_signature] = STATE(4751),
    [sym_property_signature] = STATE(4751),
    [sym_type_parameters] = STATE(7018),
    [sym_construct_signature] = STATE(4751),
    [sym_index_signature] = STATE(4751),
    [aux_sym_export_statement_repeat1] = STATE(5764),
    [aux_sym_object_repeat1] = STATE(5919),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(3940),
    [anon_sym_export] = ACTIONS(3942),
    [anon_sym_STAR] = ACTIONS(3854),
    [anon_sym_type] = ACTIONS(3940),
    [anon_sym_namespace] = ACTIONS(3940),
    [anon_sym_LBRACE] = ACTIONS(3856),
    [anon_sym_COMMA] = ACTIONS(3858),
    [anon_sym_RBRACE] = ACTIONS(3962),
    [anon_sym_let] = ACTIONS(3940),
    [anon_sym_LPAREN] = ACTIONS(3862),
    [anon_sym_SEMI] = ACTIONS(3864),
    [anon_sym_LBRACK] = ACTIONS(3866),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3946),
    [anon_sym_new] = ACTIONS(3948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3872),
    [anon_sym_DASH] = ACTIONS(3872),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3874),
    [sym_private_property_identifier] = ACTIONS(3874),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3950),
    [anon_sym_readonly] = ACTIONS(3952),
    [anon_sym_get] = ACTIONS(3954),
    [anon_sym_set] = ACTIONS(3954),
    [anon_sym_declare] = ACTIONS(3940),
    [anon_sym_public] = ACTIONS(3956),
    [anon_sym_private] = ACTIONS(3956),
    [anon_sym_protected] = ACTIONS(3956),
    [anon_sym_override] = ACTIONS(3958),
    [anon_sym_module] = ACTIONS(3940),
    [anon_sym_any] = ACTIONS(3940),
    [anon_sym_number] = ACTIONS(3940),
    [anon_sym_boolean] = ACTIONS(3940),
    [anon_sym_string] = ACTIONS(3940),
    [anon_sym_symbol] = ACTIONS(3940),
    [anon_sym_object] = ACTIONS(3940),
    [anon_sym_abstract] = ACTIONS(3886),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3888),
    [sym_html_comment] = ACTIONS(5),
  },
  [1816] = {
    [sym_export_statement] = STATE(4751),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array_pattern] = STATE(4237),
    [sym__call_signature] = STATE(5019),
    [sym__destructuring_pattern] = STATE(7355),
    [sym_spread_element] = STATE(6153),
    [sym_string] = STATE(4128),
    [sym_comment] = STATE(1816),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4184),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(6153),
    [sym_pair] = STATE(6153),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4022),
    [sym_computed_property_name] = STATE(4128),
    [sym_method_signature] = STATE(4751),
    [sym_accessibility_modifier] = STATE(3606),
    [sym_override_modifier] = STATE(3666),
    [sym_call_signature] = STATE(4751),
    [sym_property_signature] = STATE(4751),
    [sym_type_parameters] = STATE(7018),
    [sym_construct_signature] = STATE(4751),
    [sym_index_signature] = STATE(4751),
    [aux_sym_export_statement_repeat1] = STATE(5764),
    [aux_sym_object_repeat1] = STATE(6155),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(3910),
    [anon_sym_export] = ACTIONS(3912),
    [anon_sym_STAR] = ACTIONS(3854),
    [anon_sym_type] = ACTIONS(3910),
    [anon_sym_namespace] = ACTIONS(3910),
    [anon_sym_LBRACE] = ACTIONS(3856),
    [anon_sym_COMMA] = ACTIONS(3858),
    [anon_sym_RBRACE] = ACTIONS(3964),
    [anon_sym_let] = ACTIONS(3910),
    [anon_sym_LPAREN] = ACTIONS(3862),
    [anon_sym_SEMI] = ACTIONS(3864),
    [anon_sym_LBRACK] = ACTIONS(3866),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3916),
    [anon_sym_new] = ACTIONS(3918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3872),
    [anon_sym_DASH] = ACTIONS(3872),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3874),
    [sym_private_property_identifier] = ACTIONS(3874),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3920),
    [anon_sym_readonly] = ACTIONS(3922),
    [anon_sym_get] = ACTIONS(3924),
    [anon_sym_set] = ACTIONS(3924),
    [anon_sym_declare] = ACTIONS(3910),
    [anon_sym_public] = ACTIONS(3926),
    [anon_sym_private] = ACTIONS(3926),
    [anon_sym_protected] = ACTIONS(3926),
    [anon_sym_override] = ACTIONS(3928),
    [anon_sym_module] = ACTIONS(3910),
    [anon_sym_any] = ACTIONS(3910),
    [anon_sym_number] = ACTIONS(3910),
    [anon_sym_boolean] = ACTIONS(3910),
    [anon_sym_string] = ACTIONS(3910),
    [anon_sym_symbol] = ACTIONS(3910),
    [anon_sym_object] = ACTIONS(3910),
    [anon_sym_abstract] = ACTIONS(3886),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3888),
    [sym_html_comment] = ACTIONS(5),
  },
  [1817] = {
    [sym_export_statement] = STATE(4751),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array_pattern] = STATE(4237),
    [sym__call_signature] = STATE(5019),
    [sym__destructuring_pattern] = STATE(7355),
    [sym_spread_element] = STATE(6153),
    [sym_string] = STATE(4128),
    [sym_comment] = STATE(1817),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4184),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(6153),
    [sym_pair] = STATE(6153),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4022),
    [sym_computed_property_name] = STATE(4128),
    [sym_method_signature] = STATE(4751),
    [sym_accessibility_modifier] = STATE(3606),
    [sym_override_modifier] = STATE(3666),
    [sym_call_signature] = STATE(4751),
    [sym_property_signature] = STATE(4751),
    [sym_type_parameters] = STATE(7018),
    [sym_construct_signature] = STATE(4751),
    [sym_index_signature] = STATE(4751),
    [aux_sym_export_statement_repeat1] = STATE(5764),
    [aux_sym_object_repeat1] = STATE(6155),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_export] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(3854),
    [anon_sym_type] = ACTIONS(3890),
    [anon_sym_namespace] = ACTIONS(3890),
    [anon_sym_LBRACE] = ACTIONS(3856),
    [anon_sym_COMMA] = ACTIONS(3858),
    [anon_sym_RBRACE] = ACTIONS(3966),
    [anon_sym_let] = ACTIONS(3890),
    [anon_sym_LPAREN] = ACTIONS(3862),
    [anon_sym_SEMI] = ACTIONS(3864),
    [anon_sym_LBRACK] = ACTIONS(3866),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3896),
    [anon_sym_new] = ACTIONS(3898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3872),
    [anon_sym_DASH] = ACTIONS(3872),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3874),
    [sym_private_property_identifier] = ACTIONS(3874),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3900),
    [anon_sym_readonly] = ACTIONS(3902),
    [anon_sym_get] = ACTIONS(3904),
    [anon_sym_set] = ACTIONS(3904),
    [anon_sym_declare] = ACTIONS(3890),
    [anon_sym_public] = ACTIONS(3906),
    [anon_sym_private] = ACTIONS(3906),
    [anon_sym_protected] = ACTIONS(3906),
    [anon_sym_override] = ACTIONS(3908),
    [anon_sym_module] = ACTIONS(3890),
    [anon_sym_any] = ACTIONS(3890),
    [anon_sym_number] = ACTIONS(3890),
    [anon_sym_boolean] = ACTIONS(3890),
    [anon_sym_string] = ACTIONS(3890),
    [anon_sym_symbol] = ACTIONS(3890),
    [anon_sym_object] = ACTIONS(3890),
    [anon_sym_abstract] = ACTIONS(3886),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3888),
    [sym_html_comment] = ACTIONS(5),
  },
  [1818] = {
    [sym_export_statement] = STATE(4751),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(5899),
    [sym_array_pattern] = STATE(4237),
    [sym__call_signature] = STATE(5019),
    [sym__destructuring_pattern] = STATE(7355),
    [sym_spread_element] = STATE(6153),
    [sym_string] = STATE(4128),
    [sym_comment] = STATE(1818),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4184),
    [sym_rest_pattern] = STATE(5899),
    [sym_method_definition] = STATE(6153),
    [sym_pair] = STATE(6153),
    [sym_pair_pattern] = STATE(5899),
    [sym__property_name] = STATE(4022),
    [sym_computed_property_name] = STATE(4128),
    [sym_method_signature] = STATE(4751),
    [sym_accessibility_modifier] = STATE(3606),
    [sym_override_modifier] = STATE(3666),
    [sym_call_signature] = STATE(4751),
    [sym_property_signature] = STATE(4751),
    [sym_type_parameters] = STATE(7018),
    [sym_construct_signature] = STATE(4751),
    [sym_index_signature] = STATE(4751),
    [aux_sym_export_statement_repeat1] = STATE(5764),
    [aux_sym_object_repeat1] = STATE(6155),
    [aux_sym_object_pattern_repeat1] = STATE(5924),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_export] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(3854),
    [anon_sym_type] = ACTIONS(3968),
    [anon_sym_namespace] = ACTIONS(3968),
    [anon_sym_LBRACE] = ACTIONS(3856),
    [anon_sym_COMMA] = ACTIONS(3858),
    [anon_sym_RBRACE] = ACTIONS(3914),
    [anon_sym_let] = ACTIONS(3968),
    [anon_sym_LPAREN] = ACTIONS(3862),
    [anon_sym_SEMI] = ACTIONS(3864),
    [anon_sym_LBRACK] = ACTIONS(3866),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3972),
    [anon_sym_new] = ACTIONS(3974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3872),
    [anon_sym_DASH] = ACTIONS(3872),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3874),
    [sym_private_property_identifier] = ACTIONS(3874),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3976),
    [anon_sym_readonly] = ACTIONS(3978),
    [anon_sym_get] = ACTIONS(3980),
    [anon_sym_set] = ACTIONS(3980),
    [anon_sym_declare] = ACTIONS(3968),
    [anon_sym_public] = ACTIONS(3982),
    [anon_sym_private] = ACTIONS(3982),
    [anon_sym_protected] = ACTIONS(3982),
    [anon_sym_override] = ACTIONS(3984),
    [anon_sym_module] = ACTIONS(3968),
    [anon_sym_any] = ACTIONS(3968),
    [anon_sym_number] = ACTIONS(3968),
    [anon_sym_boolean] = ACTIONS(3968),
    [anon_sym_string] = ACTIONS(3968),
    [anon_sym_symbol] = ACTIONS(3968),
    [anon_sym_object] = ACTIONS(3968),
    [anon_sym_abstract] = ACTIONS(3886),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3888),
    [sym_html_comment] = ACTIONS(5),
  },
  [1819] = {
    [sym_nested_identifier] = STATE(959),
    [sym_string] = STATE(1193),
    [sym_comment] = STATE(1819),
    [sym__module] = STATE(1640),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(3986),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [anon_sym_SQUOTE] = ACTIONS(3990),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1820] = {
    [sym_variable_declarator] = STATE(5773),
    [sym_object_pattern] = STATE(4530),
    [sym_array_pattern] = STATE(4530),
    [sym__destructuring_pattern] = STATE(4630),
    [sym_comment] = STATE(1820),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3994),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(3996),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1821] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1821),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5727),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3998),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1822] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1822),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5637),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(4000),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1823] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1823),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4882),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [sym_jsx_identifier] = ACTIONS(4004),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1824] = {
    [sym_nested_identifier] = STATE(388),
    [sym_string] = STATE(389),
    [sym_comment] = STATE(1824),
    [sym__module] = STATE(455),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4008),
    [anon_sym_SQUOTE] = ACTIONS(4010),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1825] = {
    [sym_nested_identifier] = STATE(959),
    [sym_string] = STATE(1193),
    [sym_comment] = STATE(1825),
    [sym__module] = STATE(1640),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(3986),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [anon_sym_SQUOTE] = ACTIONS(3990),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1826] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1826),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5549),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(4012),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1827] = {
    [sym_nested_identifier] = STATE(388),
    [sym_string] = STATE(389),
    [sym_comment] = STATE(1827),
    [sym__module] = STATE(455),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4008),
    [anon_sym_SQUOTE] = ACTIONS(4010),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1828] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1828),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5547),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(4014),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1829] = {
    [sym_nested_identifier] = STATE(388),
    [sym_string] = STATE(389),
    [sym_comment] = STATE(1829),
    [sym__module] = STATE(455),
    [aux_sym_object_repeat1] = STATE(6180),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4008),
    [anon_sym_SQUOTE] = ACTIONS(4010),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1830] = {
    [sym_variable_declarator] = STATE(5773),
    [sym_object_pattern] = STATE(4530),
    [sym_array_pattern] = STATE(4530),
    [sym__destructuring_pattern] = STATE(4630),
    [sym_comment] = STATE(1830),
    [aux_sym_object_repeat1] = STATE(6180),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3994),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(3996),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1831] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1831),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5629),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1832] = {
    [sym_variable_declarator] = STATE(5773),
    [sym_object_pattern] = STATE(4530),
    [sym_array_pattern] = STATE(4530),
    [sym__destructuring_pattern] = STATE(4630),
    [sym_comment] = STATE(1832),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3994),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(3996),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1833] = {
    [sym_nested_identifier] = STATE(959),
    [sym_string] = STATE(1193),
    [sym_comment] = STATE(1833),
    [sym__module] = STATE(1640),
    [aux_sym_object_repeat1] = STATE(6180),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(3986),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [anon_sym_SQUOTE] = ACTIONS(3990),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1834] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1834),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5554),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1835] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1835),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type] = STATE(4276),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4306),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(4020),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1836] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1836),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4134),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1837] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1837),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type] = STATE(4274),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4306),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(4020),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1838] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1838),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type] = STATE(4219),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4306),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(4020),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1839] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1839),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5632),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1840] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1840),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type] = STATE(4222),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4306),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(4020),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1841] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1841),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5091),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1842] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1842),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3872),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1843] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1843),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5608),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1844] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1844),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type] = STATE(4246),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4306),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(4020),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1845] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1845),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type] = STATE(4253),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4306),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(4020),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1846] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1846),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5607),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1847] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1847),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5609),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1848] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1848),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5185),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1849] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1849),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5612),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1850] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1850),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(2457),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(4024),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1851] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1851),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3884),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1852] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1852),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4464),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1853] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1853),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4463),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1854] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1854),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5602),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1855] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1855),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5600),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1856] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1856),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4461),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1857] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1857),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(2509),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1858] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1858),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(2522),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1859] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1859),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(6175),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(2521),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1860] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1860),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(6175),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(2513),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1861] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1861),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(2496),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1862] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1862),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3827),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1863] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1863),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3820),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1864] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1864),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1865] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1865),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5949),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3837),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1866] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1866),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5949),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3878),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1867] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1867),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type] = STATE(4289),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4306),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(4020),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1868] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1868),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type] = STATE(4290),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4306),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(4020),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1869] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1869),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5733),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1870] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1870),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5885),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1871] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1871),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5885),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(4104),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1872] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1872),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4155),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1873] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1873),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4159),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1874] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1874),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4160),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1875] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1875),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3821),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1876] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1876),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5724),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1877] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1877),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5449),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1878] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1878),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(2426),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1879] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1879),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(2431),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1880] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1880),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5456),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1881] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1881),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4125),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1882] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1882),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5472),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1883] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1883),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5416),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1884] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1884),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(2507),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1885] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1885),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4882),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1886] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1886),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4106),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1887] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1887),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5513),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1888] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1888),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(2468),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1889] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1889),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(2469),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1890] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1890),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(2477),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1891] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1891),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(2367),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1892] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1892),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5534),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1893] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1893),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(2429),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1894] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1894),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(2437),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1895] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1895),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(2506),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1896] = {
    [sym_nested_identifier] = STATE(7215),
    [sym_string] = STATE(2387),
    [sym_comment] = STATE(1896),
    [sym_formal_parameters] = STATE(7248),
    [sym_nested_type_identifier] = STATE(2358),
    [sym__type] = STATE(2508),
    [sym_constructor_type] = STATE(2379),
    [sym__primary_type] = STATE(2378),
    [sym_template_literal_type] = STATE(2394),
    [sym_infer_type] = STATE(2379),
    [sym_conditional_type] = STATE(2394),
    [sym_generic_type] = STATE(2394),
    [sym_type_query] = STATE(2394),
    [sym_index_type_query] = STATE(2394),
    [sym_lookup_type] = STATE(2394),
    [sym_literal_type] = STATE(2394),
    [sym__number] = STATE(2375),
    [sym_existential_type] = STATE(2394),
    [sym_flow_maybe_type] = STATE(2394),
    [sym_parenthesized_type] = STATE(2394),
    [sym_predefined_type] = STATE(2394),
    [sym_object_type] = STATE(2394),
    [sym_type_parameters] = STATE(7067),
    [sym_array_type] = STATE(2394),
    [sym_tuple_type] = STATE(2394),
    [sym_readonly_type] = STATE(2379),
    [sym_union_type] = STATE(2394),
    [sym_intersection_type] = STATE(2394),
    [sym_function_type] = STATE(2379),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3810),
    [anon_sym_typeof] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_PIPE] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3828),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3830),
    [sym_number] = ACTIONS(3832),
    [sym_this] = ACTIONS(4026),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_null] = ACTIONS(3832),
    [sym_undefined] = ACTIONS(3832),
    [anon_sym_readonly] = ACTIONS(3836),
    [anon_sym_QMARK] = ACTIONS(3838),
    [anon_sym_any] = ACTIONS(3828),
    [anon_sym_number] = ACTIONS(3828),
    [anon_sym_boolean] = ACTIONS(3828),
    [anon_sym_string] = ACTIONS(3828),
    [anon_sym_symbol] = ACTIONS(3828),
    [anon_sym_object] = ACTIONS(3828),
    [anon_sym_abstract] = ACTIONS(3840),
    [anon_sym_infer] = ACTIONS(3844),
    [anon_sym_keyof] = ACTIONS(3846),
    [anon_sym_unique] = ACTIONS(3848),
    [anon_sym_unknown] = ACTIONS(3828),
    [anon_sym_never] = ACTIONS(3828),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3810),
    [sym_html_comment] = ACTIONS(5),
  },
  [1897] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1897),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5314),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1898] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1898),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5756),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1899] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1899),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4132),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1900] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1900),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4105),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1901] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1901),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3903),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1902] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1902),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5519),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1903] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1903),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5092),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1904] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1904),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type] = STATE(6424),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(4372),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4306),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(4020),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1905] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1905),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5381),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1906] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1906),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4124),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1907] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1907),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5754),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1908] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1908),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(2958),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1909] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1909),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5622),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1910] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1910),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3841),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1911] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1911),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3876),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1912] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1912),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(2960),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1913] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1913),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3848),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1914] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1914),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(3036),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1915] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1915),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(3035),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1916] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1916),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4154),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1917] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1917),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(3030),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1918] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1918),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4114),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1919] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1919),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3831),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1920] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1920),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(6377),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1921] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1921),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(6377),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3024),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1922] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1922),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5385),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1923] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1923),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5118),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1924] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1924),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5443),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1925] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1925),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5253),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1926] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1926),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5377),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1927] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1927),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5518),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1928] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1928),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type] = STATE(4374),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4306),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(4020),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1929] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1929),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5361),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1930] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1930),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3873),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1931] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1931),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1932] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1932),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5704),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1933] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1933),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(4808),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1934] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1934),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5627),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1935] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1935),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5601),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1936] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1936),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(2926),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1937] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1937),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4144),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1938] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1938),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(2924),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1939] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1939),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5717),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1940] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1940),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(4140),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1941] = {
    [sym_nested_identifier] = STATE(7197),
    [sym_string] = STATE(4109),
    [sym_comment] = STATE(1941),
    [sym_formal_parameters] = STATE(7499),
    [sym_nested_type_identifier] = STATE(4013),
    [sym__type] = STATE(5208),
    [sym_constructor_type] = STATE(4115),
    [sym__primary_type] = STATE(4117),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4115),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4119),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7097),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4115),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4115),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1330),
    [anon_sym_any] = ACTIONS(1342),
    [anon_sym_number] = ACTIONS(1342),
    [anon_sym_boolean] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_symbol] = ACTIONS(1342),
    [anon_sym_object] = ACTIONS(1342),
    [anon_sym_abstract] = ACTIONS(1334),
    [anon_sym_infer] = ACTIONS(1336),
    [anon_sym_keyof] = ACTIONS(1338),
    [anon_sym_unique] = ACTIONS(1340),
    [anon_sym_unknown] = ACTIONS(1342),
    [anon_sym_never] = ACTIONS(1342),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1942] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1942),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type] = STATE(4312),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4306),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(4020),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1943] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1943),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type] = STATE(4311),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4306),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(4020),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1944] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1944),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type] = STATE(6424),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(4365),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4306),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(4020),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1945] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1945),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(2899),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1946] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1946),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(2871),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1947] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1947),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(2962),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(4032),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1948] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1948),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(2870),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1949] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1949),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(2893),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1950] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1950),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type] = STATE(4378),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4306),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(4020),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1951] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1951),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(2966),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1952] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1952),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(3863),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(3924),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(3823),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1953] = {
    [sym_nested_identifier] = STATE(7329),
    [sym_string] = STATE(4282),
    [sym_comment] = STATE(1953),
    [sym_formal_parameters] = STATE(7562),
    [sym_nested_type_identifier] = STATE(4121),
    [sym__type] = STATE(4377),
    [sym_constructor_type] = STATE(4248),
    [sym__primary_type] = STATE(4247),
    [sym_template_literal_type] = STATE(4306),
    [sym_infer_type] = STATE(4248),
    [sym_conditional_type] = STATE(4306),
    [sym_generic_type] = STATE(4306),
    [sym_type_query] = STATE(4306),
    [sym_index_type_query] = STATE(4306),
    [sym_lookup_type] = STATE(4306),
    [sym_literal_type] = STATE(4306),
    [sym__number] = STATE(4230),
    [sym_existential_type] = STATE(4306),
    [sym_flow_maybe_type] = STATE(4306),
    [sym_parenthesized_type] = STATE(4306),
    [sym_predefined_type] = STATE(4306),
    [sym_object_type] = STATE(4306),
    [sym_type_parameters] = STATE(6947),
    [sym_array_type] = STATE(4306),
    [sym_tuple_type] = STATE(4306),
    [sym_readonly_type] = STATE(4248),
    [sym_union_type] = STATE(4306),
    [sym_intersection_type] = STATE(4306),
    [sym_function_type] = STATE(4248),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_PIPE] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3660),
    [sym_this] = ACTIONS(4020),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_QMARK] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_infer] = ACTIONS(3672),
    [anon_sym_keyof] = ACTIONS(3674),
    [anon_sym_unique] = ACTIONS(3676),
    [anon_sym_unknown] = ACTIONS(3656),
    [anon_sym_never] = ACTIONS(3656),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1954] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1954),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(2841),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1955] = {
    [sym_nested_identifier] = STATE(7333),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1955),
    [sym_formal_parameters] = STATE(7447),
    [sym_nested_type_identifier] = STATE(2742),
    [sym__type] = STATE(2842),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6895),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3766),
    [anon_sym_typeof] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(3772),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3776),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_PIPE] = ACTIONS(3780),
    [anon_sym_PLUS] = ACTIONS(3782),
    [anon_sym_DASH] = ACTIONS(3782),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3784),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3786),
    [sym_number] = ACTIONS(3788),
    [sym_this] = ACTIONS(4030),
    [sym_true] = ACTIONS(3788),
    [sym_false] = ACTIONS(3788),
    [sym_null] = ACTIONS(3788),
    [sym_undefined] = ACTIONS(3788),
    [anon_sym_readonly] = ACTIONS(3792),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_any] = ACTIONS(3784),
    [anon_sym_number] = ACTIONS(3784),
    [anon_sym_boolean] = ACTIONS(3784),
    [anon_sym_string] = ACTIONS(3784),
    [anon_sym_symbol] = ACTIONS(3784),
    [anon_sym_object] = ACTIONS(3784),
    [anon_sym_abstract] = ACTIONS(3796),
    [anon_sym_infer] = ACTIONS(3800),
    [anon_sym_keyof] = ACTIONS(3802),
    [anon_sym_unique] = ACTIONS(3804),
    [anon_sym_unknown] = ACTIONS(3784),
    [anon_sym_never] = ACTIONS(3784),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3766),
    [sym_html_comment] = ACTIONS(5),
  },
  [1956] = {
    [sym_nested_identifier] = STATE(7374),
    [sym_string] = STATE(3895),
    [sym_comment] = STATE(1956),
    [sym_formal_parameters] = STATE(7344),
    [sym_nested_type_identifier] = STATE(3790),
    [sym__type] = STATE(5949),
    [sym_constructor_type] = STATE(3823),
    [sym__primary_type] = STATE(5397),
    [sym_template_literal_type] = STATE(3846),
    [sym_infer_type] = STATE(5621),
    [sym_conditional_type] = STATE(3846),
    [sym_generic_type] = STATE(3846),
    [sym_type_query] = STATE(3846),
    [sym_index_type_query] = STATE(3846),
    [sym_lookup_type] = STATE(3846),
    [sym_literal_type] = STATE(3846),
    [sym__number] = STATE(3825),
    [sym_existential_type] = STATE(3846),
    [sym_flow_maybe_type] = STATE(3846),
    [sym_parenthesized_type] = STATE(3846),
    [sym_predefined_type] = STATE(3846),
    [sym_object_type] = STATE(3846),
    [sym_type_parameters] = STATE(6975),
    [sym_array_type] = STATE(3846),
    [sym_tuple_type] = STATE(3846),
    [sym_readonly_type] = STATE(3823),
    [sym_union_type] = STATE(3846),
    [sym_intersection_type] = STATE(3846),
    [sym_function_type] = STATE(3823),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_any] = ACTIONS(208),
    [anon_sym_number] = ACTIONS(208),
    [anon_sym_boolean] = ACTIONS(208),
    [anon_sym_string] = ACTIONS(208),
    [anon_sym_symbol] = ACTIONS(208),
    [anon_sym_object] = ACTIONS(208),
    [anon_sym_abstract] = ACTIONS(200),
    [anon_sym_infer] = ACTIONS(202),
    [anon_sym_keyof] = ACTIONS(204),
    [anon_sym_unique] = ACTIONS(206),
    [anon_sym_unknown] = ACTIONS(208),
    [anon_sym_never] = ACTIONS(208),
    [anon_sym_LBRACE_PIPE] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1957] = {
    [sym_nested_identifier] = STATE(2410),
    [sym_string] = STATE(2409),
    [sym_comment] = STATE(1957),
    [sym__module] = STATE(2714),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1958] = {
    [sym_nested_identifier] = STATE(2410),
    [sym_string] = STATE(2409),
    [sym_comment] = STATE(1958),
    [sym__module] = STATE(2714),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(1133),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1133),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1133),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1959] = {
    [sym_nested_identifier] = STATE(2410),
    [sym_string] = STATE(2409),
    [sym_comment] = STATE(1959),
    [sym__module] = STATE(2714),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(214),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(217),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1960] = {
    [sym_nested_identifier] = STATE(2410),
    [sym_string] = STATE(2409),
    [sym_comment] = STATE(1960),
    [sym__module] = STATE(2714),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1961] = {
    [sym_export_statement] = STATE(4809),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(6871),
    [sym_array_pattern] = STATE(4237),
    [sym__call_signature] = STATE(5019),
    [sym__destructuring_pattern] = STATE(7355),
    [sym_spread_element] = STATE(6869),
    [sym_string] = STATE(4128),
    [sym_comment] = STATE(1961),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4184),
    [sym_rest_pattern] = STATE(6871),
    [sym_method_definition] = STATE(6869),
    [sym_pair] = STATE(6869),
    [sym_pair_pattern] = STATE(6871),
    [sym__property_name] = STATE(4022),
    [sym_computed_property_name] = STATE(4128),
    [sym_method_signature] = STATE(4809),
    [sym_accessibility_modifier] = STATE(3606),
    [sym_override_modifier] = STATE(3666),
    [sym_call_signature] = STATE(4809),
    [sym_property_signature] = STATE(4809),
    [sym_type_parameters] = STATE(7018),
    [sym_construct_signature] = STATE(4809),
    [sym_index_signature] = STATE(4809),
    [aux_sym_export_statement_repeat1] = STATE(5764),
    [sym_identifier] = ACTIONS(4036),
    [anon_sym_export] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3854),
    [anon_sym_type] = ACTIONS(4036),
    [anon_sym_namespace] = ACTIONS(4036),
    [anon_sym_LBRACE] = ACTIONS(3856),
    [anon_sym_COMMA] = ACTIONS(4040),
    [anon_sym_RBRACE] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4036),
    [anon_sym_LPAREN] = ACTIONS(3862),
    [anon_sym_LBRACK] = ACTIONS(3866),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(4043),
    [anon_sym_new] = ACTIONS(4045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3872),
    [anon_sym_DASH] = ACTIONS(3872),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3874),
    [sym_private_property_identifier] = ACTIONS(3874),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4047),
    [anon_sym_readonly] = ACTIONS(4049),
    [anon_sym_get] = ACTIONS(4051),
    [anon_sym_set] = ACTIONS(4051),
    [anon_sym_declare] = ACTIONS(4036),
    [anon_sym_public] = ACTIONS(4053),
    [anon_sym_private] = ACTIONS(4053),
    [anon_sym_protected] = ACTIONS(4053),
    [anon_sym_override] = ACTIONS(4055),
    [anon_sym_module] = ACTIONS(4036),
    [anon_sym_any] = ACTIONS(4036),
    [anon_sym_number] = ACTIONS(4036),
    [anon_sym_boolean] = ACTIONS(4036),
    [anon_sym_string] = ACTIONS(4036),
    [anon_sym_symbol] = ACTIONS(4036),
    [anon_sym_object] = ACTIONS(4036),
    [anon_sym_abstract] = ACTIONS(3886),
    [sym_html_comment] = ACTIONS(5),
  },
  [1962] = {
    [sym_export_statement] = STATE(4859),
    [sym_object_pattern] = STATE(4237),
    [sym_object_assignment_pattern] = STATE(6871),
    [sym_array_pattern] = STATE(4237),
    [sym__call_signature] = STATE(5019),
    [sym__destructuring_pattern] = STATE(7355),
    [sym_spread_element] = STATE(6869),
    [sym_string] = STATE(4128),
    [sym_comment] = STATE(1962),
    [sym_decorator] = STATE(5594),
    [sym_formal_parameters] = STATE(4184),
    [sym_rest_pattern] = STATE(6871),
    [sym_method_definition] = STATE(6869),
    [sym_pair] = STATE(6869),
    [sym_pair_pattern] = STATE(6871),
    [sym__property_name] = STATE(4022),
    [sym_computed_property_name] = STATE(4128),
    [sym_method_signature] = STATE(4859),
    [sym_accessibility_modifier] = STATE(3606),
    [sym_override_modifier] = STATE(3666),
    [sym_call_signature] = STATE(4859),
    [sym_property_signature] = STATE(4859),
    [sym_type_parameters] = STATE(7018),
    [sym_construct_signature] = STATE(4859),
    [sym_index_signature] = STATE(4859),
    [aux_sym_export_statement_repeat1] = STATE(5764),
    [sym_identifier] = ACTIONS(4036),
    [anon_sym_export] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3854),
    [anon_sym_type] = ACTIONS(4036),
    [anon_sym_namespace] = ACTIONS(4036),
    [anon_sym_LBRACE] = ACTIONS(3856),
    [anon_sym_COMMA] = ACTIONS(4040),
    [anon_sym_RBRACE] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4036),
    [anon_sym_LPAREN] = ACTIONS(3862),
    [anon_sym_LBRACK] = ACTIONS(3866),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(4043),
    [anon_sym_new] = ACTIONS(4045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3872),
    [anon_sym_DASH] = ACTIONS(3872),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3874),
    [sym_private_property_identifier] = ACTIONS(3874),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4047),
    [anon_sym_readonly] = ACTIONS(4049),
    [anon_sym_get] = ACTIONS(4051),
    [anon_sym_set] = ACTIONS(4051),
    [anon_sym_declare] = ACTIONS(4036),
    [anon_sym_public] = ACTIONS(4053),
    [anon_sym_private] = ACTIONS(4053),
    [anon_sym_protected] = ACTIONS(4053),
    [anon_sym_override] = ACTIONS(4055),
    [anon_sym_module] = ACTIONS(4036),
    [anon_sym_any] = ACTIONS(4036),
    [anon_sym_number] = ACTIONS(4036),
    [anon_sym_boolean] = ACTIONS(4036),
    [anon_sym_string] = ACTIONS(4036),
    [anon_sym_symbol] = ACTIONS(4036),
    [anon_sym_object] = ACTIONS(4036),
    [anon_sym_abstract] = ACTIONS(3886),
    [sym_html_comment] = ACTIONS(5),
  },
  [1963] = {
    [sym_nested_identifier] = STATE(2410),
    [sym_string] = STATE(2409),
    [sym_comment] = STATE(1963),
    [sym__module] = STATE(2714),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1964] = {
    [sym_variable_declarator] = STATE(5562),
    [sym_object_pattern] = STATE(4530),
    [sym_array_pattern] = STATE(4530),
    [sym__destructuring_pattern] = STATE(4630),
    [sym_comment] = STATE(1964),
    [sym_identifier] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3994),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(3996),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1965] = {
    [sym_variable_declarator] = STATE(5592),
    [sym_object_pattern] = STATE(4530),
    [sym_array_pattern] = STATE(4530),
    [sym__destructuring_pattern] = STATE(4630),
    [sym_comment] = STATE(1965),
    [sym_identifier] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3994),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1169),
    [anon_sym_LBRACK] = ACTIONS(3996),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1966] = {
    [sym_nested_identifier] = STATE(388),
    [sym_string] = STATE(389),
    [sym_comment] = STATE(1966),
    [sym__module] = STATE(455),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4008),
    [anon_sym_SQUOTE] = ACTIONS(4010),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1967] = {
    [sym_nested_identifier] = STATE(2353),
    [sym_string] = STATE(2352),
    [sym_comment] = STATE(1967),
    [sym__module] = STATE(2567),
    [sym_identifier] = ACTIONS(4057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1183),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1968] = {
    [sym_nested_identifier] = STATE(335),
    [sym_string] = STATE(340),
    [sym_comment] = STATE(1968),
    [sym__module] = STATE(350),
    [sym_identifier] = ACTIONS(4059),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4061),
    [anon_sym_SQUOTE] = ACTIONS(4063),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1969] = {
    [sym_nested_identifier] = STATE(2353),
    [sym_string] = STATE(2352),
    [sym_comment] = STATE(1969),
    [sym__module] = STATE(2567),
    [sym_identifier] = ACTIONS(4057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(1195),
    [anon_sym_of] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1970] = {
    [sym_nested_identifier] = STATE(936),
    [sym_string] = STATE(1039),
    [sym_comment] = STATE(1970),
    [sym__module] = STATE(1418),
    [sym_identifier] = ACTIONS(4065),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4067),
    [anon_sym_SQUOTE] = ACTIONS(4069),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1971] = {
    [sym_variable_declarator] = STATE(5773),
    [sym_object_pattern] = STATE(4530),
    [sym_array_pattern] = STATE(4530),
    [sym__destructuring_pattern] = STATE(4630),
    [sym_comment] = STATE(1971),
    [sym_identifier] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3994),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(3996),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1972] = {
    [sym_variable_declarator] = STATE(5747),
    [sym_object_pattern] = STATE(4530),
    [sym_array_pattern] = STATE(4530),
    [sym__destructuring_pattern] = STATE(4630),
    [sym_comment] = STATE(1972),
    [sym_identifier] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3994),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(3996),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1973] = {
    [sym_nested_identifier] = STATE(2410),
    [sym_string] = STATE(2409),
    [sym_comment] = STATE(1973),
    [sym__module] = STATE(2714),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1225),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1974] = {
    [sym_nested_identifier] = STATE(935),
    [sym_string] = STATE(974),
    [sym_comment] = STATE(1974),
    [sym__module] = STATE(1433),
    [sym_identifier] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4073),
    [anon_sym_SQUOTE] = ACTIONS(4075),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1975] = {
    [sym_variable_declarator] = STATE(5688),
    [sym_object_pattern] = STATE(4530),
    [sym_array_pattern] = STATE(4530),
    [sym__destructuring_pattern] = STATE(4287),
    [sym_comment] = STATE(1975),
    [sym_identifier] = ACTIONS(4077),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3994),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(1195),
    [anon_sym_of] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(3996),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1976] = {
    [sym_nested_identifier] = STATE(305),
    [sym_string] = STATE(304),
    [sym_comment] = STATE(1976),
    [sym__module] = STATE(380),
    [sym_identifier] = ACTIONS(4079),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4081),
    [anon_sym_SQUOTE] = ACTIONS(4083),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1977] = {
    [sym_nested_identifier] = STATE(2353),
    [sym_string] = STATE(2352),
    [sym_comment] = STATE(1977),
    [sym__module] = STATE(2567),
    [sym_identifier] = ACTIONS(4057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1978] = {
    [sym_nested_identifier] = STATE(959),
    [sym_string] = STATE(1193),
    [sym_comment] = STATE(1978),
    [sym__module] = STATE(1640),
    [sym_identifier] = ACTIONS(3986),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [anon_sym_SQUOTE] = ACTIONS(3990),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1979] = {
    [sym_nested_identifier] = STATE(2410),
    [sym_string] = STATE(2409),
    [sym_comment] = STATE(1979),
    [sym__module] = STATE(2714),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1980] = {
    [sym_nested_identifier] = STATE(293),
    [sym_string] = STATE(294),
    [sym_comment] = STATE(1980),
    [sym__module] = STATE(337),
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1169),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4087),
    [anon_sym_SQUOTE] = ACTIONS(4089),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1981] = {
    [sym_nested_identifier] = STATE(894),
    [sym_string] = STATE(941),
    [sym_comment] = STATE(1981),
    [sym__module] = STATE(1173),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1169),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4093),
    [anon_sym_SQUOTE] = ACTIONS(4095),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1982] = {
    [sym_nested_identifier] = STATE(5296),
    [sym_string] = STATE(5683),
    [sym_comment] = STATE(1982),
    [sym__module] = STATE(6874),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1983] = {
    [sym_nested_identifier] = STATE(2410),
    [sym_string] = STATE(2409),
    [sym_comment] = STATE(1983),
    [sym__module] = STATE(2714),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1984] = {
    [sym_variable_declarator] = STATE(5707),
    [sym_object_pattern] = STATE(4530),
    [sym_array_pattern] = STATE(4530),
    [sym__destructuring_pattern] = STATE(4630),
    [sym_comment] = STATE(1984),
    [sym_identifier] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3994),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(3996),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1985] = {
    [sym_nested_identifier] = STATE(2353),
    [sym_string] = STATE(2352),
    [sym_comment] = STATE(1985),
    [sym__module] = STATE(2567),
    [sym_identifier] = ACTIONS(4057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1986] = {
    [sym_comment] = STATE(1986),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(4099),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1987] = {
    [sym_nested_identifier] = STATE(2410),
    [sym_string] = STATE(2409),
    [sym_comment] = STATE(1987),
    [sym__module] = STATE(2714),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(1242),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1988] = {
    [sym_comment] = STATE(1988),
    [aux_sym_object_repeat1] = STATE(6234),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(4099),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1989] = {
    [sym_nested_identifier] = STATE(2410),
    [sym_string] = STATE(2409),
    [sym_comment] = STATE(1989),
    [sym__module] = STATE(2714),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1217),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1990] = {
    [sym_nested_identifier] = STATE(2410),
    [sym_string] = STATE(2409),
    [sym_comment] = STATE(1990),
    [sym__module] = STATE(2714),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(1242),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1991] = {
    [sym_comment] = STATE(1991),
    [aux_sym_object_repeat1] = STATE(6180),
    [aux_sym_object_pattern_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(4099),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1029),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1037),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(212),
    [sym__ternary_qmark] = ACTIONS(212),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(1992), 1,
      sym_comment,
    ACTIONS(4101), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4103), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [75] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4097), 1,
      sym_identifier,
    STATE(1993), 1,
      sym_comment,
    STATE(5296), 1,
      sym_nested_identifier,
    STATE(5683), 1,
      sym_string,
    STATE(6874), 1,
      sym__module,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [168] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_DOT,
    ACTIONS(4119), 1,
      anon_sym_EQ_GT,
    ACTIONS(4121), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4125), 1,
      anon_sym_LT,
    STATE(1994), 1,
      sym_comment,
    STATE(3811), 1,
      sym_arguments,
    STATE(3832), 1,
      sym_type_arguments,
    ACTIONS(4111), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4115), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [265] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(1995), 1,
      sym_comment,
    ACTIONS(4127), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4129), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [340] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(3992), 1,
      sym_identifier,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    STATE(1996), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5773), 1,
      sym_variable_declarator,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [433] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(1997), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [526] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4119), 1,
      anon_sym_EQ_GT,
    ACTIONS(4131), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4135), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4137), 1,
      anon_sym_LT,
    STATE(1998), 1,
      sym_comment,
    STATE(3974), 1,
      sym_arguments,
    STATE(4138), 1,
      sym_type_arguments,
    ACTIONS(4115), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4111), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4109), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [623] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4139), 1,
      sym_identifier,
    STATE(1999), 1,
      sym_comment,
    STATE(4469), 1,
      sym_nested_identifier,
    STATE(4712), 1,
      sym_string,
    STATE(5158), 1,
      sym__module,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [716] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(3992), 1,
      sym_identifier,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    STATE(2000), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5585), 1,
      sym_variable_declarator,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [809] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1037), 1,
      anon_sym_QMARK,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4141), 1,
      anon_sym_EQ,
    ACTIONS(4143), 1,
      anon_sym_LPAREN,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LT,
    STATE(2001), 1,
      sym_comment,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2002), 1,
      sym_comment,
    ACTIONS(4151), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4153), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [979] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(3992), 1,
      sym_identifier,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    STATE(2003), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5592), 1,
      sym_variable_declarator,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1072] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1010), 1,
      anon_sym_EQ,
    ACTIONS(1037), 1,
      anon_sym_QMARK,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(2677), 1,
      anon_sym_LPAREN,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2693), 1,
      anon_sym_LT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2004), 1,
      sym_comment,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1167] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4079), 1,
      sym_identifier,
    ACTIONS(4081), 1,
      anon_sym_DQUOTE,
    ACTIONS(4083), 1,
      anon_sym_SQUOTE,
    STATE(304), 1,
      sym_string,
    STATE(305), 1,
      sym_nested_identifier,
    STATE(380), 1,
      sym__module,
    STATE(2005), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1260] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4085), 1,
      sym_identifier,
    ACTIONS(4087), 1,
      anon_sym_DQUOTE,
    ACTIONS(4089), 1,
      anon_sym_SQUOTE,
    STATE(293), 1,
      sym_nested_identifier,
    STATE(294), 1,
      sym_string,
    STATE(337), 1,
      sym__module,
    STATE(2006), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1353] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_RBRACK,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_COMMA,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1221), 1,
      anon_sym_EQ_GT,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2007), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1450] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2008), 1,
      sym_comment,
    ACTIONS(4155), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4157), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1525] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2009), 1,
      sym_comment,
    ACTIONS(4159), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4161), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2010), 1,
      sym_comment,
    ACTIONS(4163), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4165), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1675] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4071), 1,
      sym_identifier,
    ACTIONS(4073), 1,
      anon_sym_DQUOTE,
    ACTIONS(4075), 1,
      anon_sym_SQUOTE,
    STATE(935), 1,
      sym_nested_identifier,
    STATE(974), 1,
      sym_string,
    STATE(1433), 1,
      sym__module,
    STATE(2011), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1768] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4006), 1,
      sym_identifier,
    ACTIONS(4008), 1,
      anon_sym_DQUOTE,
    ACTIONS(4010), 1,
      anon_sym_SQUOTE,
    STATE(388), 1,
      sym_nested_identifier,
    STATE(389), 1,
      sym_string,
    STATE(455), 1,
      sym__module,
    STATE(2012), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1861] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(3986), 1,
      sym_identifier,
    ACTIONS(3988), 1,
      anon_sym_DQUOTE,
    ACTIONS(3990), 1,
      anon_sym_SQUOTE,
    STATE(959), 1,
      sym_nested_identifier,
    STATE(1193), 1,
      sym_string,
    STATE(1640), 1,
      sym__module,
    STATE(2013), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1954] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(1221), 1,
      anon_sym_EQ_GT,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(1260), 1,
      anon_sym_COLON,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2014), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2049] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1010), 1,
      anon_sym_EQ,
    ACTIONS(1037), 1,
      anon_sym_QMARK,
    ACTIONS(2677), 1,
      anon_sym_LPAREN,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2693), 1,
      anon_sym_LT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    STATE(2015), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2144] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1037), 1,
      anon_sym_QMARK,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    ACTIONS(4141), 1,
      anon_sym_EQ,
    ACTIONS(4143), 1,
      anon_sym_LPAREN,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LT,
    STATE(2016), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2239] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2017), 1,
      sym_comment,
    ACTIONS(4167), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4169), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2314] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(67), 1,
      anon_sym_DQUOTE,
    ACTIONS(69), 1,
      anon_sym_SQUOTE,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4057), 1,
      sym_identifier,
    STATE(2018), 1,
      sym_comment,
    STATE(2352), 1,
      sym_string,
    STATE(2353), 1,
      sym_nested_identifier,
    STATE(2567), 1,
      sym__module,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2407] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(3992), 1,
      sym_identifier,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    STATE(2019), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5707), 1,
      sym_variable_declarator,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2500] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(3992), 1,
      sym_identifier,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    STATE(2020), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5562), 1,
      sym_variable_declarator,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2593] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4091), 1,
      sym_identifier,
    ACTIONS(4093), 1,
      anon_sym_DQUOTE,
    ACTIONS(4095), 1,
      anon_sym_SQUOTE,
    STATE(894), 1,
      sym_nested_identifier,
    STATE(941), 1,
      sym_string,
    STATE(1173), 1,
      sym__module,
    STATE(2021), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2686] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2022), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2779] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1037), 1,
      anon_sym_QMARK,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    ACTIONS(4141), 1,
      anon_sym_EQ,
    ACTIONS(4143), 1,
      anon_sym_LPAREN,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LT,
    STATE(2023), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2874] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(1248), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2024), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2967] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(1217), 1,
      anon_sym_COLON,
    ACTIONS(1221), 1,
      anon_sym_EQ_GT,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2025), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3062] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1010), 1,
      anon_sym_EQ,
    ACTIONS(1037), 1,
      anon_sym_QMARK,
    ACTIONS(2677), 1,
      anon_sym_LPAREN,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2693), 1,
      anon_sym_LT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    STATE(2026), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3157] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4065), 1,
      sym_identifier,
    ACTIONS(4067), 1,
      anon_sym_DQUOTE,
    ACTIONS(4069), 1,
      anon_sym_SQUOTE,
    STATE(936), 1,
      sym_nested_identifier,
    STATE(1039), 1,
      sym_string,
    STATE(1418), 1,
      sym__module,
    STATE(2027), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3250] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4059), 1,
      sym_identifier,
    ACTIONS(4061), 1,
      anon_sym_DQUOTE,
    ACTIONS(4063), 1,
      anon_sym_SQUOTE,
    STATE(335), 1,
      sym_nested_identifier,
    STATE(340), 1,
      sym_string,
    STATE(350), 1,
      sym__module,
    STATE(2028), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3343] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(3992), 1,
      sym_identifier,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    STATE(2029), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5747), 1,
      sym_variable_declarator,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3436] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_DOT,
    ACTIONS(4121), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4125), 1,
      anon_sym_LT,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    STATE(2030), 1,
      sym_comment,
    STATE(3811), 1,
      sym_arguments,
    STATE(3832), 1,
      sym_type_arguments,
    ACTIONS(4111), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4115), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3532] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4119), 1,
      anon_sym_EQ_GT,
    ACTIONS(4179), 1,
      anon_sym_DOT,
    ACTIONS(4182), 1,
      anon_sym_LT,
    ACTIONS(4185), 1,
      anon_sym_extends,
    STATE(2031), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4173), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4176), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4109), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3624] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4119), 1,
      anon_sym_EQ_GT,
    ACTIONS(4173), 1,
      anon_sym_LBRACK,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    ACTIONS(4194), 1,
      anon_sym_DOT,
    ACTIONS(4197), 1,
      anon_sym_LT,
    STATE(2032), 1,
      sym_comment,
    STATE(4156), 1,
      sym_type_arguments,
    ACTIONS(4176), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4190), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4185), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4109), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3718] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(1221), 1,
      anon_sym_EQ_GT,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2033), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3810] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2034), 1,
      sym_comment,
    ACTIONS(3174), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3494), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3884] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_DOT,
    ACTIONS(4119), 1,
      anon_sym_EQ_GT,
    ACTIONS(4121), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4125), 1,
      anon_sym_LT,
    STATE(2035), 1,
      sym_comment,
    STATE(3811), 1,
      sym_arguments,
    STATE(3832), 1,
      sym_type_arguments,
    ACTIONS(4115), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4111), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4109), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3980] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4119), 1,
      anon_sym_EQ_GT,
    ACTIONS(4173), 1,
      anon_sym_LBRACK,
    ACTIONS(4179), 1,
      anon_sym_DOT,
    ACTIONS(4182), 1,
      anon_sym_LT,
    ACTIONS(4185), 1,
      anon_sym_extends,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(4202), 1,
      anon_sym_QMARK,
    STATE(2036), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    STATE(6823), 1,
      sym_type_annotation,
    ACTIONS(4176), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4190), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4109), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4080] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(219), 1,
      anon_sym_EQ_GT,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1195), 1,
      anon_sym_in,
    ACTIONS(1198), 1,
      anon_sym_of,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2037), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 34,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4176] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1286), 1,
      anon_sym_EQ_GT,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2038), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2039), 1,
      sym_comment,
    ACTIONS(3158), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3418), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4342] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    STATE(2040), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4420] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1221), 1,
      anon_sym_EQ_GT,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2041), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4512] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    ACTIONS(1286), 1,
      anon_sym_EQ_GT,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2042), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4604] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(219), 1,
      anon_sym_EQ_GT,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1133), 1,
      anon_sym_COLON,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2043), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4698] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_DOT,
    ACTIONS(4121), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4125), 1,
      anon_sym_LT,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    STATE(2044), 1,
      sym_comment,
    STATE(3811), 1,
      sym_arguments,
    STATE(3832), 1,
      sym_type_arguments,
    ACTIONS(4111), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4115), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4794] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(219), 1,
      anon_sym_EQ_GT,
    ACTIONS(1348), 1,
      anon_sym_EQ,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2045), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4885] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4119), 1,
      anon_sym_EQ_GT,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    ACTIONS(4214), 1,
      anon_sym_QMARK,
    STATE(2046), 1,
      sym_comment,
    ACTIONS(4211), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4968] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    ACTIONS(4179), 1,
      anon_sym_DOT,
    ACTIONS(4182), 1,
      anon_sym_LT,
    ACTIONS(4185), 1,
      anon_sym_extends,
    STATE(2047), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4173), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4176), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5059] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_DOT,
    ACTIONS(4121), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4125), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_EQ,
    ACTIONS(4218), 1,
      anon_sym_EQ_GT,
    STATE(2048), 1,
      sym_comment,
    STATE(3811), 1,
      sym_arguments,
    STATE(3832), 1,
      sym_type_arguments,
    ACTIONS(4111), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4115), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5154] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2049), 1,
      sym_comment,
    ACTIONS(4163), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4165), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [5227] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4223), 1,
      anon_sym_EQ_GT,
    STATE(2050), 1,
      sym_comment,
    ACTIONS(4225), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2006), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(212), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5312] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_DOT,
    ACTIONS(4121), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4125), 1,
      anon_sym_LT,
    ACTIONS(4228), 1,
      anon_sym_EQ,
    ACTIONS(4230), 1,
      anon_sym_EQ_GT,
    STATE(2051), 1,
      sym_comment,
    STATE(3811), 1,
      sym_arguments,
    STATE(3832), 1,
      sym_type_arguments,
    ACTIONS(4111), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4115), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5407] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(219), 1,
      anon_sym_EQ_GT,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2052), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5498] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(219), 1,
      anon_sym_EQ_GT,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1195), 1,
      anon_sym_in,
    ACTIONS(1198), 1,
      anon_sym_of,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(4232), 1,
      sym_identifier,
    ACTIONS(4234), 1,
      anon_sym_LBRACK,
    STATE(2053), 1,
      sym_comment,
    STATE(6654), 1,
      sym__destructuring_pattern,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 33,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5591] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4239), 1,
      anon_sym_LPAREN,
    ACTIONS(4241), 1,
      anon_sym_DOT,
    STATE(2054), 1,
      sym_comment,
    STATE(2143), 1,
      sym_arguments,
    ACTIONS(4237), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [5668] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    ACTIONS(4247), 1,
      anon_sym_QMARK,
    STATE(2055), 1,
      sym_comment,
    ACTIONS(4243), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5751] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1135), 1,
      anon_sym_EQ,
    ACTIONS(2006), 1,
      anon_sym_extends,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4223), 1,
      anon_sym_EQ_GT,
    STATE(2056), 1,
      sym_comment,
    ACTIONS(4220), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4225), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(212), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5836] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(219), 1,
      anon_sym_EQ_GT,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2057), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5927] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4251), 1,
      anon_sym_class,
    ACTIONS(4254), 1,
      anon_sym_AT,
    STATE(2058), 1,
      sym_comment,
    STATE(2075), 1,
      aux_sym_export_statement_repeat1,
    STATE(2145), 1,
      sym_decorator,
    ACTIONS(4249), 55,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [6006] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(219), 1,
      anon_sym_EQ_GT,
    ACTIONS(1294), 1,
      anon_sym_EQ,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2059), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6097] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2060), 1,
      sym_comment,
    ACTIONS(4159), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4161), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [6170] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(219), 1,
      anon_sym_EQ_GT,
    ACTIONS(1356), 1,
      anon_sym_EQ,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2061), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6261] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4173), 1,
      anon_sym_LBRACK,
    ACTIONS(4179), 1,
      anon_sym_DOT,
    ACTIONS(4182), 1,
      anon_sym_LT,
    ACTIONS(4185), 1,
      anon_sym_extends,
    ACTIONS(4214), 1,
      anon_sym_QMARK,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    ACTIONS(4257), 1,
      anon_sym_EQ,
    ACTIONS(4262), 1,
      anon_sym_RPAREN,
    STATE(2062), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4176), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4260), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4109), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6358] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(219), 1,
      anon_sym_EQ_GT,
    ACTIONS(1352), 1,
      anon_sym_EQ,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2063), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6449] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(219), 1,
      anon_sym_EQ_GT,
    ACTIONS(1354), 1,
      anon_sym_EQ,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2064), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6540] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_DOT,
    ACTIONS(4121), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4125), 1,
      anon_sym_LT,
    ACTIONS(4265), 1,
      anon_sym_EQ,
    ACTIONS(4267), 1,
      anon_sym_EQ_GT,
    STATE(2065), 1,
      sym_comment,
    STATE(3811), 1,
      sym_arguments,
    STATE(3832), 1,
      sym_type_arguments,
    ACTIONS(4111), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4115), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6635] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4223), 1,
      anon_sym_EQ_GT,
    STATE(2066), 1,
      sym_comment,
    ACTIONS(4269), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6718] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4179), 1,
      anon_sym_DOT,
    ACTIONS(4182), 1,
      anon_sym_LT,
    ACTIONS(4185), 1,
      anon_sym_extends,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    STATE(2067), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4173), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4176), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6809] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4214), 1,
      anon_sym_QMARK,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    ACTIONS(4257), 1,
      anon_sym_EQ,
    STATE(2068), 1,
      sym_comment,
    ACTIONS(4260), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6892] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(219), 1,
      anon_sym_EQ_GT,
    ACTIONS(1350), 1,
      anon_sym_EQ,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2069), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6983] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_DOT,
    ACTIONS(4119), 1,
      anon_sym_EQ_GT,
    ACTIONS(4121), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4125), 1,
      anon_sym_LT,
    STATE(2070), 1,
      sym_comment,
    STATE(3811), 1,
      sym_arguments,
    STATE(3832), 1,
      sym_type_arguments,
    ACTIONS(4115), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(4111), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4109), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7078] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(219), 1,
      anon_sym_EQ_GT,
    ACTIONS(1346), 1,
      anon_sym_EQ,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2071), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7169] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4119), 1,
      anon_sym_EQ_GT,
    ACTIONS(4173), 1,
      anon_sym_LBRACK,
    ACTIONS(4179), 1,
      anon_sym_DOT,
    ACTIONS(4182), 1,
      anon_sym_LT,
    ACTIONS(4185), 1,
      anon_sym_extends,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    ACTIONS(4190), 1,
      anon_sym_RPAREN,
    ACTIONS(4214), 1,
      anon_sym_QMARK,
    STATE(2072), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4176), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4211), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4109), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7266] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(214), 1,
      anon_sym_EQ,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2073), 1,
      sym_comment,
    ACTIONS(4272), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7349] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(212), 1,
      sym__ternary_qmark,
    ACTIONS(219), 1,
      anon_sym_EQ_GT,
    ACTIONS(1358), 1,
      anon_sym_EQ,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2074), 1,
      sym_comment,
    STATE(2409), 1,
      sym_string,
    STATE(2410), 1,
      sym_nested_identifier,
    STATE(2714), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7440] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4254), 1,
      anon_sym_AT,
    STATE(2145), 1,
      sym_decorator,
    STATE(2075), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(4249), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [7515] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1133), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2076), 1,
      sym_comment,
    ACTIONS(4276), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7598] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4179), 1,
      anon_sym_DOT,
    ACTIONS(4182), 1,
      anon_sym_LT,
    ACTIONS(4185), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_EQ,
    ACTIONS(4218), 1,
      anon_sym_EQ_GT,
    STATE(2077), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4173), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4176), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7688] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_DOT,
    ACTIONS(4121), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4125), 1,
      anon_sym_LT,
    ACTIONS(4278), 1,
      anon_sym_EQ,
    ACTIONS(4280), 1,
      anon_sym_EQ_GT,
    STATE(2078), 1,
      sym_comment,
    STATE(3811), 1,
      sym_arguments,
    STATE(3832), 1,
      sym_type_arguments,
    ACTIONS(4111), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4115), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7782] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1029), 1,
      anon_sym_EQ_GT,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    ACTIONS(4282), 1,
      sym_identifier,
    STATE(2079), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7864] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_DOT,
    ACTIONS(4121), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4125), 1,
      anon_sym_LT,
    ACTIONS(4284), 1,
      anon_sym_EQ,
    ACTIONS(4286), 1,
      anon_sym_EQ_GT,
    STATE(2080), 1,
      sym_comment,
    STATE(3811), 1,
      sym_arguments,
    STATE(3832), 1,
      sym_type_arguments,
    ACTIONS(4111), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4115), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7958] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4119), 1,
      anon_sym_EQ_GT,
    STATE(2081), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8036] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4223), 1,
      anon_sym_EQ_GT,
    STATE(2082), 1,
      sym_comment,
    ACTIONS(2006), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4225), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4269), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(212), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8124] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4247), 1,
      anon_sym_QMARK,
    STATE(2083), 1,
      sym_comment,
    ACTIONS(4243), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8204] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1029), 1,
      anon_sym_EQ_GT,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(1169), 1,
      anon_sym_COLON,
    ACTIONS(4288), 1,
      sym_identifier,
    STATE(2084), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8286] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2085), 1,
      sym_comment,
    ACTIONS(4290), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [8356] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4173), 1,
      anon_sym_LBRACK,
    ACTIONS(4179), 1,
      anon_sym_DOT,
    ACTIONS(4182), 1,
      anon_sym_LT,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4243), 1,
      anon_sym_COLON,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    STATE(2086), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4176), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4185), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4109), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8448] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4214), 1,
      anon_sym_QMARK,
    ACTIONS(4257), 1,
      anon_sym_EQ,
    STATE(2087), 1,
      sym_comment,
    ACTIONS(4260), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8528] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1183), 1,
      anon_sym_EQ,
    ACTIONS(2006), 1,
      anon_sym_extends,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4292), 1,
      anon_sym_EQ_GT,
    STATE(2088), 1,
      sym_comment,
    ACTIONS(4220), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4225), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8612] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(214), 1,
      anon_sym_EQ,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2089), 1,
      sym_comment,
    ACTIONS(2006), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4225), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4272), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(212), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8700] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2090), 1,
      sym_comment,
    ACTIONS(3332), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [8770] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4173), 1,
      anon_sym_LBRACK,
    ACTIONS(4179), 1,
      anon_sym_DOT,
    ACTIONS(4182), 1,
      anon_sym_LT,
    ACTIONS(4228), 1,
      anon_sym_EQ,
    ACTIONS(4230), 1,
      anon_sym_EQ_GT,
    STATE(2091), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4185), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4176), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8860] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4173), 1,
      anon_sym_LBRACK,
    ACTIONS(4179), 1,
      anon_sym_DOT,
    ACTIONS(4182), 1,
      anon_sym_LT,
    ACTIONS(4265), 1,
      anon_sym_EQ,
    ACTIONS(4267), 1,
      anon_sym_EQ_GT,
    STATE(2092), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4185), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4176), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8950] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4223), 1,
      anon_sym_EQ_GT,
    STATE(2093), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9028] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2094), 1,
      sym_comment,
    ACTIONS(3346), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [9098] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4119), 1,
      anon_sym_EQ_GT,
    ACTIONS(4173), 1,
      anon_sym_LBRACK,
    ACTIONS(4179), 1,
      anon_sym_DOT,
    ACTIONS(4182), 1,
      anon_sym_LT,
    ACTIONS(4185), 1,
      anon_sym_extends,
    ACTIONS(4243), 1,
      anon_sym_COLON,
    STATE(2095), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4176), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4109), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9192] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4119), 1,
      anon_sym_EQ_GT,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    STATE(2096), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9270] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1029), 1,
      anon_sym_EQ_GT,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(1202), 1,
      anon_sym_COLON,
    ACTIONS(4298), 1,
      sym_identifier,
    STATE(2097), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9352] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(2006), 1,
      anon_sym_extends,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2098), 1,
      sym_comment,
    ACTIONS(4220), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4225), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9436] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    ACTIONS(4214), 1,
      anon_sym_QMARK,
    STATE(2099), 1,
      sym_comment,
    ACTIONS(4211), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9516] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_DOT,
    ACTIONS(4121), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4125), 1,
      anon_sym_LT,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    STATE(2100), 1,
      sym_comment,
    STATE(3811), 1,
      sym_arguments,
    STATE(3832), 1,
      sym_type_arguments,
    ACTIONS(4115), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4111), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4109), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9610] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1029), 1,
      anon_sym_EQ_GT,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(1204), 1,
      anon_sym_COLON,
    ACTIONS(4300), 1,
      sym_identifier,
    STATE(2101), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9692] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1135), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4223), 1,
      anon_sym_EQ_GT,
    STATE(2102), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9770] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1029), 1,
      anon_sym_EQ_GT,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(1206), 1,
      anon_sym_COLON,
    ACTIONS(4099), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9852] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4302), 1,
      anon_sym_COMMA,
    STATE(2104), 1,
      sym_comment,
    ACTIONS(4159), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4161), 34,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9925] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1135), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4223), 1,
      anon_sym_EQ_GT,
    ACTIONS(4276), 1,
      anon_sym_COLON,
    STATE(2105), 1,
      sym_comment,
    ACTIONS(4304), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10006] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_DOT,
    ACTIONS(4121), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4125), 1,
      anon_sym_LT,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    STATE(2106), 1,
      sym_comment,
    STATE(3811), 1,
      sym_arguments,
    STATE(3832), 1,
      sym_type_arguments,
    ACTIONS(4115), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4111), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4109), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10099] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2107), 1,
      sym_comment,
    ACTIONS(3158), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3418), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10170] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2108), 1,
      sym_comment,
    ACTIONS(4237), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [10239] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2109), 1,
      sym_comment,
    ACTIONS(4307), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [10308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2110), 1,
      sym_comment,
    ACTIONS(4167), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4169), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10379] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2934), 1,
      anon_sym_EQ_GT,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    STATE(2111), 1,
      sym_comment,
    ACTIONS(2006), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4225), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10462] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1135), 1,
      anon_sym_EQ,
    ACTIONS(2006), 1,
      anon_sym_extends,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4223), 1,
      anon_sym_EQ_GT,
    ACTIONS(4276), 1,
      anon_sym_COLON,
    STATE(2112), 1,
      sym_comment,
    ACTIONS(4225), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4309), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(212), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10549] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2113), 1,
      sym_comment,
    ACTIONS(4101), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4103), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2114), 1,
      sym_comment,
    ACTIONS(4155), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4157), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10691] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1248), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4313), 1,
      anon_sym_EQ_GT,
    STATE(2115), 1,
      sym_comment,
    ACTIONS(2006), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4225), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10774] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    STATE(2116), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10851] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    STATE(2117), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10928] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2802), 1,
      anon_sym_COLON,
    STATE(2118), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11007] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2802), 1,
      anon_sym_COLON,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    STATE(2119), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11086] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2120), 1,
      sym_comment,
    ACTIONS(3178), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [11155] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2121), 1,
      sym_comment,
    ACTIONS(4159), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4161), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2122), 1,
      sym_comment,
    ACTIONS(4163), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4165), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11297] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2123), 1,
      sym_comment,
    ACTIONS(4315), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [11366] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2124), 1,
      sym_comment,
    ACTIONS(4127), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4129), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2125), 1,
      sym_comment,
    ACTIONS(4151), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4153), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11508] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_DOT,
    ACTIONS(4121), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4125), 1,
      anon_sym_LT,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    STATE(2126), 1,
      sym_comment,
    STATE(3811), 1,
      sym_arguments,
    STATE(3832), 1,
      sym_type_arguments,
    ACTIONS(4111), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4115), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11601] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4292), 1,
      anon_sym_EQ_GT,
    STATE(2127), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11678] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(2006), 1,
      anon_sym_extends,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4317), 1,
      anon_sym_EQ_GT,
    STATE(2128), 1,
      sym_comment,
    ACTIONS(4220), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4225), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11761] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2129), 1,
      sym_comment,
    ACTIONS(3174), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3494), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11832] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2840), 1,
      anon_sym_COLON,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    STATE(2130), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11911] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2131), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11988] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2764), 1,
      anon_sym_COLON,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    STATE(2132), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12067] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2764), 1,
      anon_sym_COLON,
    STATE(2133), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12146] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4119), 1,
      anon_sym_EQ_GT,
    ACTIONS(4179), 1,
      anon_sym_DOT,
    ACTIONS(4182), 1,
      anon_sym_LT,
    ACTIONS(4185), 1,
      anon_sym_extends,
    STATE(2134), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4173), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4176), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12235] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2882), 1,
      anon_sym_COLON,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    STATE(2135), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12314] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4173), 1,
      anon_sym_LBRACK,
    ACTIONS(4179), 1,
      anon_sym_DOT,
    ACTIONS(4182), 1,
      anon_sym_LT,
    ACTIONS(4278), 1,
      anon_sym_EQ,
    ACTIONS(4280), 1,
      anon_sym_EQ_GT,
    STATE(2136), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4185), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4176), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12403] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2137), 1,
      sym_comment,
    ACTIONS(3176), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12472] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(1978), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4223), 1,
      anon_sym_EQ_GT,
    STATE(2138), 1,
      sym_comment,
    ACTIONS(4225), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2006), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(212), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12557] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2882), 1,
      anon_sym_COLON,
    STATE(2139), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12636] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    ACTIONS(4276), 1,
      anon_sym_COLON,
    STATE(2140), 1,
      sym_comment,
    ACTIONS(4225), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2006), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(212), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12721] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4319), 1,
      anon_sym_COMMA,
    STATE(2141), 1,
      sym_comment,
    ACTIONS(4163), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4165), 34,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12794] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2840), 1,
      anon_sym_COLON,
    STATE(2142), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12873] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2143), 1,
      sym_comment,
    ACTIONS(4321), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12942] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    STATE(2144), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13019] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2145), 1,
      sym_comment,
    ACTIONS(4323), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [13088] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    STATE(2146), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13163] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2147), 1,
      sym_comment,
    ACTIONS(4325), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [13232] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2860), 1,
      anon_sym_COLON,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    STATE(2148), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13311] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2149), 1,
      sym_comment,
    ACTIONS(4159), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4161), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13382] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2860), 1,
      anon_sym_COLON,
    STATE(2150), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13461] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4173), 1,
      anon_sym_LBRACK,
    ACTIONS(4179), 1,
      anon_sym_DOT,
    ACTIONS(4182), 1,
      anon_sym_LT,
    ACTIONS(4284), 1,
      anon_sym_EQ,
    ACTIONS(4286), 1,
      anon_sym_EQ_GT,
    STATE(2151), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4185), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4176), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2152), 1,
      sym_comment,
    ACTIONS(4163), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4165), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13621] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    STATE(2153), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13698] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2154), 1,
      sym_comment,
    ACTIONS(3162), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [13767] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2155), 1,
      sym_comment,
    ACTIONS(3160), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [13836] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1183), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4292), 1,
      anon_sym_EQ_GT,
    STATE(2156), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13913] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2157), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13990] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2158), 1,
      sym_comment,
    ACTIONS(4319), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4163), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4165), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14063] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    STATE(2159), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14138] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2160), 1,
      sym_comment,
    ACTIONS(4302), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4159), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4161), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14211] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    ACTIONS(4327), 1,
      anon_sym_in,
    ACTIONS(4330), 1,
      anon_sym_of,
    STATE(2161), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14292] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(1195), 1,
      anon_sym_in,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4332), 1,
      anon_sym_of,
    STATE(2162), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14373] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    STATE(2163), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14447] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2164), 1,
      sym_comment,
    ACTIONS(2006), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4225), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14529] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4282), 1,
      sym_identifier,
    STATE(2165), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14607] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    ACTIONS(4327), 1,
      anon_sym_in,
    ACTIONS(4330), 1,
      anon_sym_of,
    STATE(2166), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14685] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4218), 1,
      anon_sym_EQ_GT,
    STATE(2167), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14761] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4243), 1,
      anon_sym_COLON,
    STATE(2168), 1,
      sym_comment,
    ACTIONS(4336), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14839] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4119), 1,
      anon_sym_EQ_GT,
    STATE(2169), 1,
      sym_comment,
    ACTIONS(4336), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14917] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4298), 1,
      sym_identifier,
    STATE(2170), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14995] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4211), 1,
      anon_sym_RBRACK,
    ACTIONS(4260), 1,
      anon_sym_COMMA,
    ACTIONS(4280), 1,
      anon_sym_EQ_GT,
    ACTIONS(4339), 1,
      anon_sym_EQ,
    ACTIONS(4342), 1,
      anon_sym_in,
    ACTIONS(4344), 1,
      anon_sym_COLON,
    STATE(2171), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15079] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4317), 1,
      anon_sym_EQ_GT,
    STATE(2172), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15155] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_RBRACK,
    ACTIONS(4272), 1,
      anon_sym_COMMA,
    ACTIONS(4346), 1,
      anon_sym_COLON,
    ACTIONS(4348), 1,
      anon_sym_EQ_GT,
    STATE(2173), 1,
      sym_comment,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15237] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1135), 1,
      anon_sym_EQ,
    ACTIONS(2006), 1,
      anon_sym_extends,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4223), 1,
      anon_sym_EQ_GT,
    STATE(2174), 1,
      sym_comment,
    ACTIONS(4220), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4225), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15319] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4099), 1,
      sym_identifier,
    STATE(2175), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15397] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4348), 1,
      anon_sym_EQ_GT,
    STATE(2176), 1,
      sym_comment,
    ACTIONS(2006), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4225), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15479] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4350), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15557] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4173), 1,
      anon_sym_LBRACK,
    ACTIONS(4179), 1,
      anon_sym_DOT,
    ACTIONS(4182), 1,
      anon_sym_LT,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    STATE(2178), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4185), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4176), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4109), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15645] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4300), 1,
      sym_identifier,
    STATE(2179), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15723] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4317), 1,
      anon_sym_EQ_GT,
    STATE(2180), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15799] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4288), 1,
      sym_identifier,
    STATE(2181), 1,
      sym_comment,
    ACTIONS(212), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15877] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4216), 1,
      anon_sym_EQ,
    ACTIONS(4218), 1,
      anon_sym_EQ_GT,
    STATE(2182), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15953] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    STATE(2183), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16027] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_EQ,
    ACTIONS(4280), 1,
      anon_sym_EQ_GT,
    ACTIONS(4342), 1,
      anon_sym_in,
    ACTIONS(4352), 1,
      anon_sym_COLON,
    STATE(2184), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16106] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4265), 1,
      anon_sym_EQ,
    ACTIONS(4267), 1,
      anon_sym_EQ_GT,
    STATE(2185), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16181] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4319), 1,
      anon_sym_COMMA,
    STATE(2186), 1,
      sym_comment,
    ACTIONS(4163), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4165), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [16252] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2187), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4360), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4362), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4867), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16379] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4267), 1,
      anon_sym_EQ_GT,
    STATE(2188), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16454] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2189), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4380), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4382), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4855), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16581] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_EQ,
    ACTIONS(4280), 1,
      anon_sym_EQ_GT,
    ACTIONS(4342), 1,
      anon_sym_in,
    ACTIONS(4344), 1,
      anon_sym_COLON,
    STATE(2190), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16660] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1248), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4313), 1,
      anon_sym_EQ_GT,
    STATE(2191), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16735] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2192), 1,
      sym_comment,
    ACTIONS(2006), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4225), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(212), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16816] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4216), 1,
      anon_sym_EQ,
    STATE(2193), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16889] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2194), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4384), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4386), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4837), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17016] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4302), 1,
      anon_sym_COMMA,
    STATE(2195), 1,
      sym_comment,
    ACTIONS(4159), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4161), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17087] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4230), 1,
      anon_sym_EQ_GT,
    STATE(2196), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17162] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2197), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4388), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4390), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4903), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17289] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2198), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3864), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3888), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4751), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17416] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2934), 1,
      anon_sym_EQ_GT,
    STATE(2199), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17491] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2200), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4392), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4394), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4765), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17618] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4346), 1,
      anon_sym_COLON,
    ACTIONS(4348), 1,
      anon_sym_EQ_GT,
    STATE(2201), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17695] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2202), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3936), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3938), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4807), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17822] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4348), 1,
      anon_sym_EQ_GT,
    ACTIONS(4396), 1,
      anon_sym_COLON,
    STATE(2203), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17899] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4313), 1,
      anon_sym_EQ_GT,
    STATE(2204), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17974] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2934), 1,
      anon_sym_EQ_GT,
    STATE(2205), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18049] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2206), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4398), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4400), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4854), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18176] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4228), 1,
      anon_sym_EQ,
    ACTIONS(4230), 1,
      anon_sym_EQ_GT,
    STATE(2207), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18251] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4211), 1,
      anon_sym_RBRACK,
    ACTIONS(4260), 1,
      anon_sym_COMMA,
    ACTIONS(4280), 1,
      anon_sym_EQ_GT,
    ACTIONS(4339), 1,
      anon_sym_EQ,
    STATE(2208), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18330] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2209), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4402), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4404), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4895), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18457] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_RBRACK,
    ACTIONS(4272), 1,
      anon_sym_COMMA,
    ACTIONS(4348), 1,
      anon_sym_EQ_GT,
    STATE(2210), 1,
      sym_comment,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18536] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_EQ,
    ACTIONS(4280), 1,
      anon_sym_EQ_GT,
    STATE(2211), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18610] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4286), 1,
      anon_sym_EQ_GT,
    STATE(2212), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18684] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4211), 1,
      anon_sym_RBRACK,
    ACTIONS(4260), 1,
      anon_sym_COMMA,
    ACTIONS(4339), 1,
      anon_sym_EQ,
    STATE(2213), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18760] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2214), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18834] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4348), 1,
      anon_sym_EQ_GT,
    STATE(2215), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18908] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4228), 1,
      anon_sym_EQ,
    STATE(2216), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18980] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4348), 1,
      anon_sym_EQ_GT,
    STATE(2217), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19054] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2218), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(212), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19128] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    ACTIONS(4276), 1,
      anon_sym_COLON,
    STATE(2219), 1,
      sym_comment,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19204] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4280), 1,
      anon_sym_EQ_GT,
    STATE(2220), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19278] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1195), 1,
      anon_sym_in,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    ACTIONS(4332), 1,
      anon_sym_of,
    STATE(2221), 1,
      sym_comment,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19356] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4265), 1,
      anon_sym_EQ,
    STATE(2222), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19428] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4284), 1,
      anon_sym_EQ,
    ACTIONS(4286), 1,
      anon_sym_EQ_GT,
    STATE(2223), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19502] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    ACTIONS(4327), 1,
      anon_sym_in,
    ACTIONS(4330), 1,
      anon_sym_of,
    STATE(2224), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19580] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2225), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4406), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19703] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    ACTIONS(4408), 1,
      anon_sym_EQ,
    STATE(2226), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19776] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    ACTIONS(4410), 1,
      anon_sym_EQ,
    STATE(2227), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19849] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2228), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4412), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19972] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2229), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4414), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20095] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2230), 1,
      sym_comment,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20168] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2231), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4416), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20291] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2232), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4418), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20414] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2233), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4420), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20537] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2234), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4422), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20660] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    ACTIONS(4424), 1,
      anon_sym_EQ,
    STATE(2235), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20733] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2236), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4426), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20856] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2237), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4428), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20979] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2238), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4430), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21102] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1358), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2239), 1,
      sym_comment,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21175] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    ACTIONS(4432), 1,
      anon_sym_EQ,
    STATE(2240), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21248] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1356), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2241), 1,
      sym_comment,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21321] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    ACTIONS(4434), 1,
      anon_sym_EQ,
    STATE(2242), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21394] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1352), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2243), 1,
      sym_comment,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21467] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2244), 1,
      sym_comment,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21540] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2245), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4436), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21663] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2246), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4438), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21786] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_EQ,
    STATE(2247), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21857] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2248), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4440), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21980] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2249), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4442), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22103] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    STATE(2250), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22176] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4243), 1,
      anon_sym_COLON,
    STATE(2251), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22249] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2252), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4444), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22372] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2253), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4446), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22495] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2254), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4448), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22618] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2255), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4450), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22741] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2256), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4452), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22864] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2257), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4454), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22987] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    ACTIONS(4456), 1,
      anon_sym_EQ,
    STATE(2258), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23060] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2259), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4458), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23183] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2260), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4460), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23306] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2261), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4462), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23429] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2262), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4464), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23552] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    ACTIONS(4466), 1,
      anon_sym_EQ,
    STATE(2263), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23625] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1294), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2264), 1,
      sym_comment,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23698] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    STATE(2265), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23771] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1346), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2266), 1,
      sym_comment,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23844] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2267), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4470), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23967] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2268), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4472), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24090] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2269), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4474), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24213] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1348), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2270), 1,
      sym_comment,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24286] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4284), 1,
      anon_sym_EQ,
    STATE(2271), 1,
      sym_comment,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4109), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24357] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1350), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2272), 1,
      sym_comment,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24430] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1354), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2273), 1,
      sym_comment,
    ACTIONS(212), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24503] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    ACTIONS(4476), 1,
      anon_sym_EQ,
    STATE(2274), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24576] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4327), 1,
      anon_sym_in,
    ACTIONS(4330), 1,
      anon_sym_of,
    STATE(2275), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24651] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4408), 1,
      anon_sym_EQ,
    STATE(2276), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24721] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4424), 1,
      anon_sym_EQ,
    STATE(2277), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24791] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4456), 1,
      anon_sym_EQ,
    STATE(2278), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24861] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4434), 1,
      anon_sym_EQ,
    STATE(2279), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24931] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    STATE(2280), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25001] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4466), 1,
      anon_sym_EQ,
    STATE(2281), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25071] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4476), 1,
      anon_sym_EQ,
    STATE(2282), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25141] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4432), 1,
      anon_sym_EQ,
    STATE(2283), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25211] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4410), 1,
      anon_sym_EQ,
    STATE(2284), 1,
      sym_comment,
    ACTIONS(4109), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4123), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4105), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25281] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2285), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5327), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25400] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2286), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4774), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25519] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2287), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4871), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25638] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2288), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4904), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25757] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2289), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4899), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25876] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2290), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4842), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25995] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2291), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4809), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26114] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2292), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4860), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26233] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2293), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4859), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26352] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(3886), 1,
      anon_sym_abstract,
    ACTIONS(4356), 1,
      anon_sym_export,
    ACTIONS(4358), 1,
      anon_sym_STAR,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_async,
    ACTIONS(4368), 1,
      anon_sym_new,
    ACTIONS(4370), 1,
      anon_sym_static,
    ACTIONS(4372), 1,
      anon_sym_readonly,
    ACTIONS(4378), 1,
      anon_sym_override,
    STATE(2294), 1,
      sym_comment,
    STATE(3601), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3978), 1,
      sym__property_name,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      aux_sym_export_statement_repeat1,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4374), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4376), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4845), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4354), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26471] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4478), 1,
      anon_sym_STAR,
    ACTIONS(4480), 1,
      anon_sym_default,
    ACTIONS(4482), 1,
      anon_sym_type,
    ACTIONS(4484), 1,
      anon_sym_EQ,
    ACTIONS(4486), 1,
      anon_sym_as,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    ACTIONS(4491), 1,
      anon_sym_RBRACE,
    ACTIONS(4496), 1,
      anon_sym_module,
    STATE(2295), 1,
      sym_comment,
    STATE(5184), 1,
      sym_internal_module,
    STATE(5186), 1,
      sym_declaration,
    STATE(5220), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(5693), 1,
      sym_export_clause,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    STATE(7100), 1,
      sym_namespace_export,
    ACTIONS(4494), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26595] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4478), 1,
      anon_sym_STAR,
    ACTIONS(4480), 1,
      anon_sym_default,
    ACTIONS(4482), 1,
      anon_sym_type,
    ACTIONS(4484), 1,
      anon_sym_EQ,
    ACTIONS(4486), 1,
      anon_sym_as,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    ACTIONS(4496), 1,
      anon_sym_module,
    ACTIONS(4498), 1,
      anon_sym_RBRACE,
    STATE(2296), 1,
      sym_comment,
    STATE(5184), 1,
      sym_internal_module,
    STATE(5186), 1,
      sym_declaration,
    STATE(5220), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(5693), 1,
      sym_export_clause,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    STATE(7100), 1,
      sym_namespace_export,
    ACTIONS(4494), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26719] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4478), 1,
      anon_sym_STAR,
    ACTIONS(4480), 1,
      anon_sym_default,
    ACTIONS(4482), 1,
      anon_sym_type,
    ACTIONS(4484), 1,
      anon_sym_EQ,
    ACTIONS(4486), 1,
      anon_sym_as,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    ACTIONS(4496), 1,
      anon_sym_module,
    ACTIONS(4501), 1,
      anon_sym_RBRACE,
    STATE(2297), 1,
      sym_comment,
    STATE(5184), 1,
      sym_internal_module,
    STATE(5186), 1,
      sym_declaration,
    STATE(5220), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(5693), 1,
      sym_export_clause,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7100), 1,
      sym_namespace_export,
    ACTIONS(4494), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26843] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4478), 1,
      anon_sym_STAR,
    ACTIONS(4480), 1,
      anon_sym_default,
    ACTIONS(4482), 1,
      anon_sym_type,
    ACTIONS(4484), 1,
      anon_sym_EQ,
    ACTIONS(4486), 1,
      anon_sym_as,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    ACTIONS(4496), 1,
      anon_sym_module,
    ACTIONS(4504), 1,
      anon_sym_RBRACE,
    STATE(2298), 1,
      sym_comment,
    STATE(5184), 1,
      sym_internal_module,
    STATE(5186), 1,
      sym_declaration,
    STATE(5220), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(5693), 1,
      sym_export_clause,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    STATE(7100), 1,
      sym_namespace_export,
    ACTIONS(4494), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26967] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4478), 1,
      anon_sym_STAR,
    ACTIONS(4480), 1,
      anon_sym_default,
    ACTIONS(4482), 1,
      anon_sym_type,
    ACTIONS(4484), 1,
      anon_sym_EQ,
    ACTIONS(4486), 1,
      anon_sym_as,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    ACTIONS(4496), 1,
      anon_sym_module,
    ACTIONS(4507), 1,
      anon_sym_RBRACE,
    STATE(2299), 1,
      sym_comment,
    STATE(5184), 1,
      sym_internal_module,
    STATE(5186), 1,
      sym_declaration,
    STATE(5220), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(5693), 1,
      sym_export_clause,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    STATE(7100), 1,
      sym_namespace_export,
    ACTIONS(4494), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [27091] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(4512), 1,
      anon_sym_RBRACE,
    ACTIONS(4514), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_async,
    ACTIONS(4518), 1,
      anon_sym_static,
    ACTIONS(4520), 1,
      anon_sym_readonly,
    ACTIONS(4526), 1,
      anon_sym_override,
    STATE(2300), 1,
      sym_comment,
    STATE(3607), 1,
      sym_accessibility_modifier,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4674), 1,
      sym__property_name,
    STATE(5924), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6155), 1,
      aux_sym_object_repeat1,
    STATE(7355), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4522), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4524), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5899), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6153), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4510), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27202] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4530), 1,
      anon_sym_RBRACE,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    STATE(2301), 1,
      sym_comment,
    STATE(2322), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27319] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4550), 1,
      anon_sym_RBRACE,
    STATE(2302), 1,
      sym_comment,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27436] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4552), 1,
      anon_sym_RBRACE,
    STATE(2303), 1,
      sym_comment,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27553] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4554), 1,
      anon_sym_RBRACE,
    STATE(2302), 1,
      aux_sym_class_body_repeat1,
    STATE(2304), 1,
      sym_comment,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27670] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4556), 1,
      anon_sym_RBRACE,
    STATE(2303), 1,
      aux_sym_class_body_repeat1,
    STATE(2305), 1,
      sym_comment,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27787] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym_LBRACK,
    ACTIONS(4560), 1,
      anon_sym_RBRACE,
    ACTIONS(4562), 1,
      anon_sym_async,
    ACTIONS(4564), 1,
      anon_sym_static,
    ACTIONS(4566), 1,
      anon_sym_readonly,
    ACTIONS(4572), 1,
      anon_sym_override,
    STATE(2306), 1,
      sym_comment,
    STATE(3607), 1,
      sym_accessibility_modifier,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4674), 1,
      sym__property_name,
    STATE(5924), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6155), 1,
      aux_sym_object_repeat1,
    STATE(7355), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4568), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4570), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5899), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6153), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4558), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27898] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4574), 1,
      anon_sym_RBRACE,
    STATE(2307), 1,
      sym_comment,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28015] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4576), 1,
      anon_sym_RBRACE,
    STATE(2308), 1,
      sym_comment,
    STATE(2311), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28132] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4578), 1,
      anon_sym_RBRACE,
    STATE(2307), 1,
      aux_sym_class_body_repeat1,
    STATE(2309), 1,
      sym_comment,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28249] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4580), 1,
      anon_sym_RBRACE,
    STATE(2310), 1,
      sym_comment,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28366] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4582), 1,
      anon_sym_RBRACE,
    STATE(2311), 1,
      sym_comment,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28483] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym_LBRACK,
    ACTIONS(4586), 1,
      anon_sym_RBRACE,
    ACTIONS(4588), 1,
      anon_sym_async,
    ACTIONS(4590), 1,
      anon_sym_static,
    ACTIONS(4592), 1,
      anon_sym_readonly,
    ACTIONS(4598), 1,
      anon_sym_override,
    STATE(2312), 1,
      sym_comment,
    STATE(3607), 1,
      sym_accessibility_modifier,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4674), 1,
      sym__property_name,
    STATE(5924), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6155), 1,
      aux_sym_object_repeat1,
    STATE(7355), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4594), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4596), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5899), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6153), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4584), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28594] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4600), 1,
      anon_sym_RBRACE,
    STATE(2310), 1,
      aux_sym_class_body_repeat1,
    STATE(2313), 1,
      sym_comment,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28711] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4602), 1,
      anon_sym_RBRACE,
    STATE(2314), 1,
      sym_comment,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28828] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4604), 1,
      anon_sym_RBRACE,
    STATE(2315), 1,
      sym_comment,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28945] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym_LBRACK,
    ACTIONS(4608), 1,
      anon_sym_RBRACE,
    ACTIONS(4610), 1,
      anon_sym_async,
    ACTIONS(4612), 1,
      anon_sym_static,
    ACTIONS(4614), 1,
      anon_sym_readonly,
    ACTIONS(4620), 1,
      anon_sym_override,
    STATE(2316), 1,
      sym_comment,
    STATE(3607), 1,
      sym_accessibility_modifier,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4674), 1,
      sym__property_name,
    STATE(5919), 1,
      aux_sym_object_repeat1,
    STATE(5924), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7355), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4616), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4618), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5899), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5911), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4606), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29056] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4622), 1,
      anon_sym_RBRACE,
    STATE(2317), 1,
      sym_comment,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29173] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4624), 1,
      anon_sym_RBRACE,
    STATE(2318), 1,
      sym_comment,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29290] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4626), 1,
      anon_sym_RBRACE,
    STATE(2317), 1,
      aux_sym_class_body_repeat1,
    STATE(2319), 1,
      sym_comment,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29407] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4628), 1,
      anon_sym_RBRACE,
    STATE(2320), 1,
      sym_comment,
    STATE(2330), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29524] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4630), 1,
      anon_sym_RBRACE,
    STATE(2321), 1,
      sym_comment,
    STATE(2332), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29641] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4632), 1,
      anon_sym_RBRACE,
    STATE(2322), 1,
      sym_comment,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29758] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4634), 1,
      anon_sym_RBRACE,
    STATE(2323), 1,
      sym_comment,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29875] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4636), 1,
      anon_sym_RBRACE,
    STATE(2315), 1,
      aux_sym_class_body_repeat1,
    STATE(2324), 1,
      sym_comment,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29992] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      anon_sym_RBRACE,
    ACTIONS(4642), 1,
      anon_sym_async,
    ACTIONS(4644), 1,
      anon_sym_static,
    ACTIONS(4646), 1,
      anon_sym_readonly,
    ACTIONS(4652), 1,
      anon_sym_override,
    STATE(2325), 1,
      sym_comment,
    STATE(3607), 1,
      sym_accessibility_modifier,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4674), 1,
      sym__property_name,
    STATE(5924), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6155), 1,
      aux_sym_object_repeat1,
    STATE(7355), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4648), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4650), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5899), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6153), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4638), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30103] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym_LBRACK,
    ACTIONS(4656), 1,
      anon_sym_RBRACE,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_static,
    ACTIONS(4662), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_override,
    STATE(2326), 1,
      sym_comment,
    STATE(3607), 1,
      sym_accessibility_modifier,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4674), 1,
      sym__property_name,
    STATE(5919), 1,
      aux_sym_object_repeat1,
    STATE(5924), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7355), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4666), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5899), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5911), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4654), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30214] = 31,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4673), 1,
      anon_sym_STAR,
    ACTIONS(4676), 1,
      anon_sym_RBRACE,
    ACTIONS(4678), 1,
      anon_sym_SEMI,
    ACTIONS(4681), 1,
      anon_sym_LBRACK,
    ACTIONS(4684), 1,
      anon_sym_DQUOTE,
    ACTIONS(4687), 1,
      anon_sym_SQUOTE,
    ACTIONS(4690), 1,
      anon_sym_async,
    ACTIONS(4699), 1,
      anon_sym_AT,
    ACTIONS(4702), 1,
      anon_sym_static,
    ACTIONS(4705), 1,
      anon_sym_readonly,
    ACTIONS(4711), 1,
      anon_sym_declare,
    ACTIONS(4717), 1,
      anon_sym_override,
    ACTIONS(4720), 1,
      anon_sym_abstract,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(4693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4708), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2327), 2,
      sym_comment,
      aux_sym_class_body_repeat1,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4714), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4670), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30329] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4723), 1,
      anon_sym_RBRACE,
    STATE(2328), 1,
      sym_comment,
    STATE(2329), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30446] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4725), 1,
      anon_sym_RBRACE,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(2329), 1,
      sym_comment,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30563] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4727), 1,
      anon_sym_RBRACE,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(2330), 1,
      sym_comment,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30680] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4729), 1,
      anon_sym_RBRACE,
    STATE(2314), 1,
      aux_sym_class_body_repeat1,
    STATE(2331), 1,
      sym_comment,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30797] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4731), 1,
      anon_sym_RBRACE,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(2332), 1,
      sym_comment,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30914] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4733), 1,
      anon_sym_RBRACE,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(2333), 1,
      sym_comment,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31031] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4735), 1,
      anon_sym_RBRACE,
    STATE(2323), 1,
      aux_sym_class_body_repeat1,
    STATE(2334), 1,
      sym_comment,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31148] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4737), 1,
      anon_sym_RBRACE,
    STATE(2318), 1,
      aux_sym_class_body_repeat1,
    STATE(2335), 1,
      sym_comment,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31265] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4739), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_comment,
    STATE(2339), 1,
      aux_sym_class_body_repeat1,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31382] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym_LBRACK,
    ACTIONS(4743), 1,
      anon_sym_RBRACE,
    ACTIONS(4745), 1,
      anon_sym_async,
    ACTIONS(4747), 1,
      anon_sym_static,
    ACTIONS(4749), 1,
      anon_sym_readonly,
    ACTIONS(4755), 1,
      anon_sym_override,
    STATE(2337), 1,
      sym_comment,
    STATE(3607), 1,
      sym_accessibility_modifier,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4674), 1,
      sym__property_name,
    STATE(5924), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6155), 1,
      aux_sym_object_repeat1,
    STATE(7355), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4751), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4753), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5899), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6153), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4741), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31493] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4757), 1,
      anon_sym_RBRACE,
    STATE(2333), 1,
      aux_sym_class_body_repeat1,
    STATE(2338), 1,
      sym_comment,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31610] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(4534), 1,
      anon_sym_async,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4538), 1,
      anon_sym_static,
    ACTIONS(4540), 1,
      anon_sym_readonly,
    ACTIONS(4544), 1,
      anon_sym_declare,
    ACTIONS(4548), 1,
      anon_sym_abstract,
    ACTIONS(4759), 1,
      anon_sym_RBRACE,
    STATE(2327), 1,
      aux_sym_class_body_repeat1,
    STATE(2339), 1,
      sym_comment,
    STATE(3416), 1,
      aux_sym_export_statement_repeat1,
    STATE(3547), 1,
      sym_method_definition,
    STATE(3559), 1,
      sym_class_static_block,
    STATE(3578), 1,
      sym_accessibility_modifier,
    STATE(3654), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3929), 1,
      sym__property_name,
    STATE(5577), 1,
      sym_method_signature,
    ACTIONS(3872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6334), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31727] = 31,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4478), 1,
      anon_sym_STAR,
    ACTIONS(4480), 1,
      anon_sym_default,
    ACTIONS(4482), 1,
      anon_sym_type,
    ACTIONS(4486), 1,
      anon_sym_as,
    ACTIONS(4496), 1,
      anon_sym_module,
    ACTIONS(4761), 1,
      anon_sym_EQ,
    STATE(2340), 1,
      sym_comment,
    STATE(5184), 1,
      sym_internal_module,
    STATE(5186), 1,
      sym_declaration,
    STATE(5220), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(5693), 1,
      sym_export_clause,
    STATE(7100), 1,
      sym_namespace_export,
    ACTIONS(4494), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [31841] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2341), 1,
      sym_comment,
    ACTIONS(2143), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2145), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [31903] = 32,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4478), 1,
      anon_sym_STAR,
    ACTIONS(4480), 1,
      anon_sym_default,
    ACTIONS(4482), 1,
      anon_sym_type,
    ACTIONS(4484), 1,
      anon_sym_EQ,
    ACTIONS(4486), 1,
      anon_sym_as,
    ACTIONS(4496), 1,
      anon_sym_module,
    STATE(2342), 1,
      sym_comment,
    STATE(5184), 1,
      sym_internal_module,
    STATE(5186), 1,
      sym_declaration,
    STATE(5220), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(5693), 1,
      sym_export_clause,
    STATE(7100), 1,
      sym_namespace_export,
    ACTIONS(4763), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4494), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [32019] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2343), 1,
      sym_comment,
    ACTIONS(2209), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2211), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [32081] = 26,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym_LBRACK,
    ACTIONS(4769), 1,
      anon_sym_async,
    ACTIONS(4771), 1,
      anon_sym_static,
    ACTIONS(4773), 1,
      anon_sym_readonly,
    ACTIONS(4779), 1,
      anon_sym_override,
    STATE(2344), 1,
      sym_comment,
    STATE(3607), 1,
      sym_accessibility_modifier,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4674), 1,
      sym__property_name,
    STATE(7355), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4040), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4775), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4777), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6869), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6871), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(4767), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32184] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4791), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4793), 1,
      anon_sym_LT,
    STATE(2345), 1,
      sym_comment,
    STATE(2435), 1,
      sym_type_arguments,
    STATE(2669), 1,
      sym_arguments,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4781), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4783), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32261] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4793), 1,
      anon_sym_LT,
    ACTIONS(4799), 1,
      anon_sym_DOT,
    STATE(2346), 1,
      sym_comment,
    STATE(2400), 1,
      sym_arguments,
    STATE(2402), 1,
      sym_type_arguments,
    ACTIONS(4795), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4797), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32332] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4793), 1,
      anon_sym_LT,
    ACTIONS(4803), 1,
      anon_sym_DOT,
    ACTIONS(4805), 1,
      anon_sym_is,
    STATE(2347), 1,
      sym_comment,
    STATE(2523), 1,
      sym_type_arguments,
    ACTIONS(4801), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32401] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4793), 1,
      anon_sym_LT,
    ACTIONS(4811), 1,
      anon_sym_DOT,
    STATE(2348), 1,
      sym_comment,
    STATE(2403), 1,
      sym_arguments,
    STATE(2405), 1,
      sym_type_arguments,
    ACTIONS(4807), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4809), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32472] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4793), 1,
      anon_sym_LT,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    STATE(2349), 1,
      sym_comment,
    STATE(2397), 1,
      sym_arguments,
    STATE(2398), 1,
      sym_type_arguments,
    ACTIONS(4115), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4111), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32543] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2350), 1,
      sym_comment,
    ACTIONS(2143), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2145), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32603] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2351), 1,
      sym_comment,
    ACTIONS(1978), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [32663] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    STATE(2352), 1,
      sym_comment,
    STATE(2675), 1,
      sym_statement_block,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [32727] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    ACTIONS(4817), 1,
      anon_sym_DOT,
    STATE(2353), 1,
      sym_comment,
    STATE(2675), 1,
      sym_statement_block,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [32793] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4805), 1,
      anon_sym_is,
    STATE(2354), 1,
      sym_comment,
    ACTIONS(4819), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4821), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32855] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    ACTIONS(4823), 1,
      anon_sym_DOT,
    STATE(2355), 1,
      sym_comment,
    STATE(2675), 1,
      sym_statement_block,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [32921] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2356), 1,
      sym_comment,
    ACTIONS(2209), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2211), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32981] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2357), 1,
      sym_comment,
    ACTIONS(4325), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4825), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33041] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4793), 1,
      anon_sym_LT,
    STATE(2358), 1,
      sym_comment,
    STATE(2510), 1,
      sym_type_arguments,
    ACTIONS(4827), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4829), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33105] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4831), 1,
      sym__automatic_semicolon,
    STATE(2359), 1,
      sym_comment,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2079), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33169] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2360), 1,
      sym_comment,
    ACTIONS(4307), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4833), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33229] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2361), 1,
      sym_comment,
    ACTIONS(4315), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4835), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33289] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4793), 1,
      anon_sym_LT,
    ACTIONS(4803), 1,
      anon_sym_DOT,
    STATE(2362), 1,
      sym_comment,
    STATE(2523), 1,
      sym_type_arguments,
    ACTIONS(4801), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33355] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4805), 1,
      anon_sym_is,
    STATE(2363), 1,
      sym_comment,
    ACTIONS(4837), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4839), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33417] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2364), 1,
      sym_comment,
    ACTIONS(4841), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4843), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [33477] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    STATE(2365), 1,
      sym_comment,
    STATE(2636), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4845), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4847), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [33543] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4851), 1,
      anon_sym_is,
    STATE(2366), 1,
      sym_comment,
    ACTIONS(4827), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4829), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33605] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4857), 1,
      anon_sym_AMP,
    ACTIONS(4859), 1,
      anon_sym_PIPE,
    ACTIONS(4861), 1,
      anon_sym_extends,
    STATE(2367), 1,
      sym_comment,
    ACTIONS(4853), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4855), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33670] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2368), 1,
      sym_comment,
    ACTIONS(4863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33729] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2369), 1,
      sym_comment,
    ACTIONS(4867), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4869), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33788] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4877), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2370), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4871), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4873), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [33865] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2371), 1,
      sym_comment,
    ACTIONS(4837), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4839), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33924] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4888), 1,
      anon_sym_RPAREN,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2372), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(7424), 1,
      sym_type_annotation,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34049] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2373), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4928), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [34166] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4934), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2374), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4930), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4932), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34251] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2375), 1,
      sym_comment,
    ACTIONS(4937), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4939), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34310] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(4948), 1,
      anon_sym_RBRACE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(4953), 1,
      anon_sym_async,
    ACTIONS(4955), 1,
      anon_sym_readonly,
    STATE(2376), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(3989), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [34405] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2377), 1,
      sym_comment,
    ACTIONS(3124), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3498), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34464] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    STATE(2378), 1,
      sym_comment,
    ACTIONS(4959), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4961), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34525] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2379), 1,
      sym_comment,
    ACTIONS(4959), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4961), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2380), 1,
      sym_comment,
    ACTIONS(4965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4967), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34643] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4973), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2381), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4969), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4971), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [34722] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2382), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4976), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [34839] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2383), 1,
      sym_comment,
    ACTIONS(4965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4967), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34898] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2384), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4978), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [35015] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2385), 1,
      sym_comment,
    ACTIONS(4819), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4821), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35074] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2386), 1,
      sym_comment,
    ACTIONS(4980), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4982), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35133] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2387), 1,
      sym_comment,
    ACTIONS(4984), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4986), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2388), 1,
      sym_comment,
    ACTIONS(4988), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4990), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35251] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2389), 1,
      sym_comment,
    ACTIONS(4992), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4994), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35310] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4791), 1,
      anon_sym_QMARK_DOT,
    STATE(2390), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(2173), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2175), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35377] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2391), 1,
      sym_comment,
    ACTIONS(3126), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3496), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35436] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(4996), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2392), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(7546), 1,
      sym_type_annotation,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35561] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2393), 1,
      sym_comment,
    ACTIONS(4867), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4869), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2394), 1,
      sym_comment,
    ACTIONS(4827), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4829), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35679] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2395), 1,
      sym_comment,
    ACTIONS(4998), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5000), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2396), 1,
      sym_comment,
    ACTIONS(5002), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5004), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35797] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2397), 1,
      sym_comment,
    ACTIONS(5006), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5008), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2398), 1,
      sym_comment,
    ACTIONS(5010), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5012), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35915] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2399), 1,
      sym_comment,
    ACTIONS(5014), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5016), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2400), 1,
      sym_comment,
    ACTIONS(5018), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5020), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36033] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5022), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2401), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(7512), 1,
      sym_type_annotation,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36158] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2402), 1,
      sym_comment,
    ACTIONS(5024), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5026), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36217] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2403), 1,
      sym_comment,
    ACTIONS(5028), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5030), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36276] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5032), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2404), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(7235), 1,
      sym_type_annotation,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36401] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2405), 1,
      sym_comment,
    ACTIONS(5034), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5036), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2406), 1,
      sym_comment,
    ACTIONS(5038), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5040), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36519] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2407), 1,
      sym_comment,
    ACTIONS(4867), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4869), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2408), 1,
      sym_comment,
    ACTIONS(5002), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5004), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36637] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    STATE(2409), 1,
      sym_comment,
    STATE(2601), 1,
      sym_statement_block,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36700] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    ACTIONS(5044), 1,
      anon_sym_DOT,
    STATE(2410), 1,
      sym_comment,
    STATE(2601), 1,
      sym_statement_block,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36765] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5050), 1,
      anon_sym_DOT,
    STATE(2411), 1,
      sym_comment,
    ACTIONS(5046), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5048), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36826] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2412), 1,
      sym_comment,
    ACTIONS(5052), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5054), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36885] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    ACTIONS(5056), 1,
      anon_sym_DOT,
    STATE(2413), 1,
      sym_comment,
    STATE(2601), 1,
      sym_statement_block,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36950] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2414), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5058), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [37067] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2415), 1,
      sym_comment,
    ACTIONS(5060), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5062), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37126] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2416), 1,
      sym_comment,
    ACTIONS(5060), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5062), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37185] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2417), 1,
      sym_comment,
    ACTIONS(5060), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5062), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2418), 1,
      sym_comment,
    ACTIONS(5064), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37303] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2419), 1,
      sym_comment,
    ACTIONS(5068), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5070), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37362] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5076), 1,
      anon_sym_DOT,
    STATE(2420), 1,
      sym_comment,
    ACTIONS(5072), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5074), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37423] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5079), 1,
      anon_sym_DOT,
    STATE(2421), 1,
      sym_comment,
    ACTIONS(5072), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5074), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37484] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2422), 1,
      sym_comment,
    ACTIONS(5082), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5084), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37543] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2423), 1,
      sym_comment,
    ACTIONS(5068), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5070), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37602] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2424), 1,
      sym_comment,
    ACTIONS(5086), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5088), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37661] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2425), 1,
      sym_comment,
    ACTIONS(5090), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(5092), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37724] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2426), 1,
      sym_comment,
    ACTIONS(5094), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5096), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37783] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2427), 1,
      sym_comment,
    ACTIONS(5098), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5100), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37842] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5104), 1,
      anon_sym_EQ,
    ACTIONS(5114), 1,
      anon_sym_extends,
    STATE(2428), 1,
      sym_comment,
    ACTIONS(5108), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5111), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5102), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37909] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2429), 1,
      sym_comment,
    ACTIONS(5116), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5118), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37968] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5120), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2430), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(7570), 1,
      sym_type_annotation,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38093] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4857), 1,
      anon_sym_AMP,
    STATE(2431), 1,
      sym_comment,
    ACTIONS(5122), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5124), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38154] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(4953), 1,
      anon_sym_async,
    ACTIONS(4955), 1,
      anon_sym_readonly,
    ACTIONS(5126), 1,
      anon_sym_RBRACE,
    STATE(2432), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(3989), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38249] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2433), 1,
      sym_comment,
    ACTIONS(5129), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5131), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38308] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3426), 1,
      anon_sym_extends,
    STATE(2434), 1,
      sym_comment,
    ACTIONS(5133), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5136), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2057), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38375] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    STATE(2435), 1,
      sym_comment,
    STATE(2627), 1,
      sym_arguments,
    ACTIONS(5139), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5141), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38438] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5143), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2436), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(7539), 1,
      sym_type_annotation,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38563] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2437), 1,
      sym_comment,
    ACTIONS(5145), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5147), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38622] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(4953), 1,
      anon_sym_async,
    ACTIONS(4955), 1,
      anon_sym_readonly,
    ACTIONS(5149), 1,
      anon_sym_RBRACE,
    STATE(2438), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(3989), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38717] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2439), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5152), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [38834] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5154), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [38951] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2441), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5156), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [39068] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2442), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [39159] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5006), 1,
      anon_sym_QMARK,
    ACTIONS(5008), 1,
      anon_sym_extends,
    STATE(2443), 1,
      sym_comment,
    ACTIONS(5162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2444), 1,
      sym_comment,
    ACTIONS(3128), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3458), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39281] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2445), 1,
      sym_comment,
    ACTIONS(5166), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5168), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39340] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    STATE(2446), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39401] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5170), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2447), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(7487), 1,
      sym_type_annotation,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [39526] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4857), 1,
      anon_sym_AMP,
    ACTIONS(4859), 1,
      anon_sym_PIPE,
    ACTIONS(4861), 1,
      anon_sym_extends,
    STATE(2448), 1,
      sym_comment,
    ACTIONS(5082), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5084), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39591] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5172), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2449), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [39672] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2450), 1,
      sym_comment,
    ACTIONS(5175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5177), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39731] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2451), 1,
      sym_comment,
    ACTIONS(5179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5181), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39790] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2452), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5183), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [39907] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2453), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5185), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40024] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2454), 1,
      sym_comment,
    ACTIONS(5187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40083] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2455), 1,
      sym_comment,
    ACTIONS(5191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40142] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4829), 1,
      anon_sym_extends,
    STATE(2456), 1,
      sym_comment,
    ACTIONS(5195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5197), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40203] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4857), 1,
      anon_sym_AMP,
    ACTIONS(4859), 1,
      anon_sym_PIPE,
    ACTIONS(4861), 1,
      anon_sym_extends,
    STATE(2457), 1,
      sym_comment,
    ACTIONS(5195), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5197), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40268] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2458), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5199), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40385] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2459), 1,
      sym_comment,
    ACTIONS(5187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40444] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2460), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5201), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40561] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2461), 1,
      sym_comment,
    ACTIONS(5191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2462), 1,
      sym_comment,
    ACTIONS(5203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5205), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40679] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2463), 1,
      sym_comment,
    ACTIONS(5207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5209), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2464), 1,
      sym_comment,
    ACTIONS(5203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5205), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40797] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2465), 1,
      sym_comment,
    ACTIONS(5207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5209), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40856] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2466), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5211), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40973] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4831), 1,
      sym__automatic_semicolon,
    STATE(2467), 1,
      sym_comment,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2079), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41034] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4857), 1,
      anon_sym_AMP,
    ACTIONS(4859), 1,
      anon_sym_PIPE,
    ACTIONS(4861), 1,
      anon_sym_extends,
    STATE(2468), 1,
      sym_comment,
    ACTIONS(5213), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5215), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41099] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4857), 1,
      anon_sym_AMP,
    ACTIONS(4859), 1,
      anon_sym_PIPE,
    ACTIONS(4861), 1,
      anon_sym_extends,
    STATE(2469), 1,
      sym_comment,
    ACTIONS(5217), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5219), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41164] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2470), 1,
      sym_comment,
    ACTIONS(5221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5223), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41223] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2471), 1,
      sym_comment,
    ACTIONS(5225), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5227), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2472), 1,
      sym_comment,
    ACTIONS(5221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5223), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41341] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2473), 1,
      sym_comment,
    ACTIONS(5225), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5227), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41400] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2474), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5229), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [41517] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5231), 1,
      sym__automatic_semicolon,
    STATE(2475), 1,
      sym_comment,
    ACTIONS(2091), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2093), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2476), 1,
      sym_comment,
    ACTIONS(5233), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5235), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41637] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2477), 1,
      sym_comment,
    ACTIONS(5237), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5239), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41696] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2478), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [41801] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2479), 1,
      sym_comment,
    ACTIONS(4965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4967), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41860] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2480), 1,
      sym_comment,
    ACTIONS(3132), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3426), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41919] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2481), 1,
      sym_comment,
    ACTIONS(5241), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5243), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41978] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2482), 1,
      sym_comment,
    ACTIONS(5245), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5247), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42037] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2483), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [42144] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5172), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2484), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [42231] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2485), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5160), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5158), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [42330] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2486), 1,
      sym_comment,
    ACTIONS(5245), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5247), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42389] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2487), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [42490] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2488), 1,
      sym_comment,
    ACTIONS(5245), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5247), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42549] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2489), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [42652] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2490), 1,
      sym_comment,
    ACTIONS(5249), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5251), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42711] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2491), 1,
      sym_comment,
    ACTIONS(5249), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5251), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42770] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5172), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2492), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [42855] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5172), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2493), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [42942] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2494), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5160), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [43037] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2495), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [43146] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4857), 1,
      anon_sym_AMP,
    ACTIONS(4859), 1,
      anon_sym_PIPE,
    ACTIONS(4861), 1,
      anon_sym_extends,
    STATE(2496), 1,
      sym_comment,
    ACTIONS(5253), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5255), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43211] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(4953), 1,
      anon_sym_async,
    ACTIONS(4955), 1,
      anon_sym_readonly,
    ACTIONS(5257), 1,
      anon_sym_RBRACE,
    STATE(2497), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(3989), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [43306] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2498), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5260), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [43423] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2499), 1,
      sym_comment,
    ACTIONS(5249), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5251), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43482] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2500), 1,
      sym_comment,
    ACTIONS(5262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5264), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43541] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2501), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5266), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [43658] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2502), 1,
      sym_comment,
    ACTIONS(5268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5270), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43717] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2503), 1,
      sym_comment,
    ACTIONS(5262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5264), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43776] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2504), 1,
      sym_comment,
    ACTIONS(5272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5114), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43835] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2505), 1,
      sym_comment,
    ACTIONS(5262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5264), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43894] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2506), 1,
      sym_comment,
    ACTIONS(5274), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5276), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43953] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2507), 1,
      sym_comment,
    ACTIONS(5278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5280), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44012] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4857), 1,
      anon_sym_AMP,
    ACTIONS(4859), 1,
      anon_sym_PIPE,
    ACTIONS(4861), 1,
      anon_sym_extends,
    STATE(2508), 1,
      sym_comment,
    ACTIONS(5282), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5284), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44077] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4857), 1,
      anon_sym_AMP,
    STATE(2509), 1,
      sym_comment,
    ACTIONS(5286), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5288), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44138] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2510), 1,
      sym_comment,
    ACTIONS(5290), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5292), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44197] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2511), 1,
      sym_comment,
    ACTIONS(5092), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5090), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44256] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2512), 1,
      sym_comment,
    ACTIONS(5294), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44315] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    STATE(2513), 1,
      sym_comment,
    ACTIONS(5298), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5300), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44376] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5306), 1,
      anon_sym_extends,
    STATE(2514), 1,
      sym_comment,
    ACTIONS(5302), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5304), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2515), 1,
      sym_comment,
    ACTIONS(5308), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5310), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44496] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2516), 1,
      sym_comment,
    ACTIONS(3130), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3438), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44555] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(4953), 1,
      anon_sym_async,
    ACTIONS(4955), 1,
      anon_sym_readonly,
    ACTIONS(5312), 1,
      anon_sym_RBRACE,
    STATE(2517), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(3989), 1,
      sym__property_name,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [44650] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4857), 1,
      anon_sym_AMP,
    ACTIONS(4859), 1,
      anon_sym_PIPE,
    ACTIONS(4861), 1,
      anon_sym_extends,
    STATE(2518), 1,
      sym_comment,
    ACTIONS(5294), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44715] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2519), 1,
      sym_comment,
    ACTIONS(2215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2217), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [44774] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2520), 1,
      sym_comment,
    ACTIONS(2219), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2221), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [44833] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4961), 1,
      anon_sym_extends,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    STATE(2521), 1,
      sym_comment,
    ACTIONS(4959), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5315), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5317), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44898] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4857), 1,
      anon_sym_AMP,
    ACTIONS(4859), 1,
      anon_sym_PIPE,
    ACTIONS(4861), 1,
      anon_sym_extends,
    STATE(2522), 1,
      sym_comment,
    ACTIONS(5319), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5321), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44963] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2523), 1,
      sym_comment,
    ACTIONS(5323), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5325), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2524), 1,
      sym_comment,
    ACTIONS(5327), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5329), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45081] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2525), 1,
      sym_comment,
    ACTIONS(5331), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5333), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45140] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5377), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      sym__ternary_qmark,
    STATE(2526), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4976), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [45256] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2527), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5393), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2528), 1,
      sym_comment,
    ACTIONS(2205), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2207), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [45434] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2529), 1,
      sym_comment,
    ACTIONS(2199), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2203), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45492] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2530), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5156), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [45608] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2531), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5154), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [45724] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2532), 1,
      sym_comment,
    ACTIONS(5162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45782] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5377), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      sym__ternary_qmark,
    STATE(2533), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5183), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [45898] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    STATE(2534), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [45988] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2535), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5211), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46104] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2536), 1,
      sym_comment,
    ACTIONS(2099), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2537), 1,
      sym_comment,
    ACTIONS(5427), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5429), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46220] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2538), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5201), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46336] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2539), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4976), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46452] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2540), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4978), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2541), 1,
      sym_comment,
    ACTIONS(5431), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5433), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46626] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(4953), 1,
      anon_sym_async,
    ACTIONS(5312), 1,
      anon_sym_RBRACE,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    STATE(2542), 1,
      sym_comment,
    STATE(3989), 1,
      sym__property_name,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [46714] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    STATE(2543), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [46812] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2544), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5199), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46928] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5437), 1,
      anon_sym_DOT,
    ACTIONS(5439), 1,
      anon_sym_LT,
    ACTIONS(5441), 1,
      anon_sym_is,
    STATE(2545), 1,
      sym_comment,
    STATE(3032), 1,
      sym_type_arguments,
    ACTIONS(4801), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [46994] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(2546), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [47080] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    STATE(2547), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [47186] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5377), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      sym__ternary_qmark,
    STATE(2548), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4928), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [47302] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5377), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      sym__ternary_qmark,
    STATE(2549), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5156), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [47418] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    STATE(2550), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [47522] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2551), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5446), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47642] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(4953), 1,
      anon_sym_async,
    ACTIONS(5257), 1,
      anon_sym_RBRACE,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    STATE(2552), 1,
      sym_comment,
    STATE(3989), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [47730] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2553), 1,
      sym_comment,
    ACTIONS(5448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5450), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47788] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2554), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5452), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [47904] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5377), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      sym__ternary_qmark,
    STATE(2555), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5154), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [48020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2556), 1,
      sym_comment,
    ACTIONS(2191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2195), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48078] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5377), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      sym__ternary_qmark,
    STATE(2557), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5211), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [48194] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2558), 1,
      sym_comment,
    ACTIONS(5454), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5456), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48252] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2559), 1,
      sym_comment,
    ACTIONS(2181), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2185), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2560), 1,
      sym_comment,
    ACTIONS(2165), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2169), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48368] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    STATE(2561), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [48468] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2562), 1,
      sym_comment,
    ACTIONS(5458), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5260), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48526] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2563), 1,
      sym_comment,
    ACTIONS(5460), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5462), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48584] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5312), 1,
      anon_sym_RBRACE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(2564), 1,
      sym_comment,
    STATE(4856), 1,
      sym__property_name,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5466), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [48670] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2565), 1,
      sym_comment,
    ACTIONS(5468), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5470), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2566), 1,
      sym_comment,
    ACTIONS(5472), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5474), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48786] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2567), 1,
      sym_comment,
    ACTIONS(2259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2261), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [48844] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2568), 1,
      sym_comment,
    ACTIONS(5476), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5478), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2569), 1,
      sym_comment,
    ACTIONS(2081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2083), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [48960] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5126), 1,
      anon_sym_RBRACE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(2570), 1,
      sym_comment,
    STATE(4856), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5466), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [49046] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5480), 1,
      anon_sym_LT,
    STATE(2571), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4930), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4932), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [49130] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5377), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      sym__ternary_qmark,
    STATE(2572), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5201), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [49246] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5377), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      sym__ternary_qmark,
    STATE(2573), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5199), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [49362] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    STATE(2574), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [49464] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2575), 1,
      sym_comment,
    ACTIONS(5483), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5485), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49522] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5487), 1,
      anon_sym_LT,
    STATE(2576), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4930), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4932), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [49606] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5257), 1,
      anon_sym_RBRACE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(2577), 1,
      sym_comment,
    STATE(4856), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5466), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [49692] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2578), 1,
      sym_comment,
    ACTIONS(5490), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5492), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49750] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(2579), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [49830] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4821), 1,
      anon_sym_extends,
    STATE(2580), 1,
      sym_comment,
    ACTIONS(5494), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5497), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49894] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5500), 1,
      anon_sym_LT,
    STATE(2581), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4969), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4971), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [49972] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2582), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5185), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [50088] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4986), 1,
      anon_sym_extends,
    STATE(2583), 1,
      sym_comment,
    ACTIONS(5503), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5506), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50152] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2584), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5183), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [50268] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2585), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5509), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50388] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2586), 1,
      sym_comment,
    ACTIONS(5104), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5511), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5102), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50450] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2587), 1,
      sym_comment,
    ACTIONS(5514), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5516), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50508] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2588), 1,
      sym_comment,
    ACTIONS(2205), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2207), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50566] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    STATE(2589), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [50666] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2590), 1,
      sym_comment,
    ACTIONS(2227), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2231), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50724] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5439), 1,
      anon_sym_LT,
    ACTIONS(5518), 1,
      anon_sym_DOT,
    STATE(2591), 1,
      sym_comment,
    STATE(2942), 1,
      sym_type_arguments,
    STATE(2944), 1,
      sym_arguments,
    ACTIONS(4115), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4111), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50792] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5439), 1,
      anon_sym_LT,
    ACTIONS(5520), 1,
      anon_sym_DOT,
    STATE(2592), 1,
      sym_comment,
    STATE(2820), 1,
      sym_type_arguments,
    STATE(2941), 1,
      sym_arguments,
    ACTIONS(4795), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4797), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50860] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2593), 1,
      sym_comment,
    ACTIONS(2237), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2241), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50918] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    ACTIONS(5522), 1,
      anon_sym_COMMA,
    ACTIONS(5525), 1,
      anon_sym_RBRACE,
    STATE(2594), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5527), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51038] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5439), 1,
      anon_sym_LT,
    ACTIONS(5529), 1,
      anon_sym_DOT,
    STATE(2595), 1,
      sym_comment,
    STATE(2937), 1,
      sym_type_arguments,
    STATE(2940), 1,
      sym_arguments,
    ACTIONS(4807), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4809), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51106] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2596), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5531), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2597), 1,
      sym_comment,
    ACTIONS(2157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2161), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51284] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5533), 1,
      anon_sym_LT,
    STATE(2598), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4969), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4971), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [51362] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5377), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      sym__ternary_qmark,
    STATE(2599), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4978), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [51478] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    STATE(2600), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51576] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2601), 1,
      sym_comment,
    ACTIONS(2105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2107), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51634] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(4948), 1,
      anon_sym_RBRACE,
    ACTIONS(4953), 1,
      anon_sym_async,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    STATE(2602), 1,
      sym_comment,
    STATE(3989), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [51722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2603), 1,
      sym_comment,
    ACTIONS(2091), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2093), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [51780] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5536), 1,
      sym__automatic_semicolon,
    STATE(2604), 1,
      sym_comment,
    ACTIONS(2091), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2093), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [51840] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2605), 1,
      sym_comment,
    ACTIONS(5538), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5540), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51898] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2606), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4928), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [52014] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    STATE(2607), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [52104] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2608), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5525), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5542), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2609), 1,
      sym_comment,
    ACTIONS(5544), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5546), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2610), 1,
      sym_comment,
    ACTIONS(2219), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2221), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52338] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2611), 1,
      sym_comment,
    ACTIONS(2215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2217), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52396] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(2612), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [52480] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2613), 1,
      sym_comment,
    ACTIONS(5548), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2614), 1,
      sym_comment,
    ACTIONS(5552), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5554), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52596] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2615), 1,
      sym_comment,
    ACTIONS(5556), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5211), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52654] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2616), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5558), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52774] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2617), 1,
      sym_comment,
    ACTIONS(5560), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5562), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52832] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    STATE(2618), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [52940] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2619), 1,
      sym_comment,
    ACTIONS(5564), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52998] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(2620), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [53084] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2621), 1,
      sym_comment,
    ACTIONS(5568), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5201), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53142] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2622), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53262] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2623), 1,
      sym_comment,
    ACTIONS(5572), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5199), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2624), 1,
      sym_comment,
    ACTIONS(5574), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5576), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53378] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    STATE(2625), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5160), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [53472] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2626), 1,
      sym_comment,
    ACTIONS(5578), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5580), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53530] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2627), 1,
      sym_comment,
    ACTIONS(5582), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5584), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53588] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    STATE(2628), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [53694] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5343), 1,
      anon_sym_GT,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5377), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      sym__ternary_qmark,
    ACTIONS(5588), 1,
      anon_sym_in,
    STATE(2629), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5586), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53812] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2630), 1,
      sym_comment,
    ACTIONS(5591), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5593), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53870] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5595), 1,
      anon_sym_LT,
    STATE(2631), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [53956] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(4948), 1,
      anon_sym_RBRACE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(2632), 1,
      sym_comment,
    STATE(4856), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5466), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [54042] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    ACTIONS(5598), 1,
      anon_sym_COMMA,
    ACTIONS(5601), 1,
      anon_sym_RBRACE,
    STATE(2633), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5154), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54162] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    STATE(2634), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [54266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2635), 1,
      sym_comment,
    ACTIONS(5603), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4976), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54324] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2636), 1,
      sym_comment,
    ACTIONS(5605), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5607), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54382] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5595), 1,
      anon_sym_LT,
    STATE(2637), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [54466] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2638), 1,
      sym_comment,
    ACTIONS(5611), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5615), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5609), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5613), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54528] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5377), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      sym__ternary_qmark,
    STATE(2639), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5185), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [54644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2640), 1,
      sym_comment,
    ACTIONS(5618), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5620), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2641), 1,
      sym_comment,
    ACTIONS(2149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2642), 1,
      sym_comment,
    ACTIONS(5622), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2643), 1,
      sym_comment,
    ACTIONS(5618), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5620), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54876] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2644), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5626), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54996] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5104), 1,
      anon_sym_EQ,
    STATE(2645), 1,
      sym_comment,
    ACTIONS(5102), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55056] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2646), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5266), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [55172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2647), 1,
      sym_comment,
    ACTIONS(5628), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5630), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55230] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5377), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      sym__ternary_qmark,
    STATE(2648), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5152), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [55346] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2649), 1,
      sym_comment,
    ACTIONS(5632), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55404] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    ACTIONS(5522), 1,
      anon_sym_COMMA,
    ACTIONS(5525), 1,
      anon_sym_RBRACE,
    STATE(2650), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(4978), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55524] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5149), 1,
      anon_sym_RBRACE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(2651), 1,
      sym_comment,
    STATE(4856), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5466), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [55610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2652), 1,
      sym_comment,
    ACTIONS(2137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2141), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2653), 1,
      sym_comment,
    ACTIONS(5618), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5620), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2654), 1,
      sym_comment,
    ACTIONS(2173), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2175), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2655), 1,
      sym_comment,
    ACTIONS(2129), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55842] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2656), 1,
      sym_comment,
    ACTIONS(2081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2083), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55900] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2657), 1,
      sym_comment,
    ACTIONS(2091), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2093), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55958] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    ACTIONS(5525), 1,
      anon_sym_RBRACE,
    ACTIONS(5636), 1,
      anon_sym_COMMA,
    STATE(2658), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5154), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56078] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2659), 1,
      sym_comment,
    ACTIONS(5639), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5156), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56136] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2660), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5641), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56256] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2661), 1,
      sym_comment,
    ACTIONS(5643), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5645), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56314] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5647), 1,
      anon_sym_LT,
    STATE(2662), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4871), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4873), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [56390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2663), 1,
      sym_comment,
    ACTIONS(5650), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56448] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2664), 1,
      sym_comment,
    ACTIONS(5654), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5656), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56506] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2665), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56564] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2666), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5658), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56684] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(4953), 1,
      anon_sym_async,
    ACTIONS(5149), 1,
      anon_sym_RBRACE,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    STATE(2667), 1,
      sym_comment,
    STATE(3989), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [56772] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5595), 1,
      anon_sym_LT,
    STATE(2668), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [56858] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2669), 1,
      sym_comment,
    ACTIONS(5660), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5662), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56916] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2670), 1,
      sym_comment,
    ACTIONS(5664), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5666), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2671), 1,
      sym_comment,
    ACTIONS(5668), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5670), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57032] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2672), 1,
      sym_comment,
    ACTIONS(5672), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5674), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57090] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2673), 1,
      sym_comment,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2123), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57148] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5439), 1,
      anon_sym_LT,
    ACTIONS(5676), 1,
      anon_sym_QMARK_DOT,
    STATE(2674), 1,
      sym_comment,
    STATE(2925), 1,
      sym_type_arguments,
    STATE(3252), 1,
      sym_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(4781), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4783), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2675), 1,
      sym_comment,
    ACTIONS(2105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2107), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [57280] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5611), 1,
      anon_sym_EQ,
    STATE(2676), 1,
      sym_comment,
    ACTIONS(5609), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5613), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57340] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2677), 1,
      sym_comment,
    ACTIONS(5678), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5680), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57398] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2678), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5058), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57514] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2679), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5682), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57634] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2680), 1,
      sym_comment,
    ACTIONS(2059), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5684), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2057), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57696] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    STATE(2681), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [57804] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2682), 1,
      sym_comment,
    ACTIONS(5687), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5689), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57862] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5595), 1,
      anon_sym_LT,
    STATE(2683), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [57942] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2684), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58062] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(4953), 1,
      anon_sym_async,
    ACTIONS(5126), 1,
      anon_sym_RBRACE,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    STATE(2685), 1,
      sym_comment,
    STATE(3989), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [58150] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2686), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5693), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58270] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5377), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      sym__ternary_qmark,
    STATE(2687), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5058), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [58386] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2688), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5695), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58506] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2689), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5152), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [58622] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5697), 1,
      sym__automatic_semicolon,
    STATE(2690), 1,
      sym_comment,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2079), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [58682] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    STATE(2691), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5160), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [58776] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2692), 1,
      sym_comment,
    ACTIONS(2057), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58836] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5377), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      sym__ternary_qmark,
    STATE(2693), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5266), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [58952] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4865), 1,
      anon_sym_extends,
    STATE(2694), 1,
      sym_comment,
    ACTIONS(5699), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5702), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5454), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5456), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59016] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2695), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5260), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59132] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2696), 1,
      sym_comment,
    ACTIONS(5705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5707), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59190] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2697), 1,
      sym_comment,
    ACTIONS(2253), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2698), 1,
      sym_comment,
    ACTIONS(5709), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5711), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59306] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2699), 1,
      sym_comment,
    ACTIONS(5713), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5715), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59364] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2700), 1,
      sym_comment,
    ACTIONS(5717), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5719), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2701), 1,
      sym_comment,
    ACTIONS(5721), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5723), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59480] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2702), 1,
      sym_comment,
    ACTIONS(5725), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5727), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2703), 1,
      sym_comment,
    ACTIONS(5729), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5731), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59596] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2704), 1,
      sym_comment,
    ACTIONS(5733), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5735), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59654] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5353), 1,
      anon_sym_GT_GT,
    ACTIONS(5357), 1,
      anon_sym_AMP,
    ACTIONS(5359), 1,
      anon_sym_CARET,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_PERCENT,
    ACTIONS(5367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5369), 1,
      anon_sym_LT,
    ACTIONS(5377), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      sym__ternary_qmark,
    STATE(2705), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5335), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5343), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5355), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5363), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5260), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [59770] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2706), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5737), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59890] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2707), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5739), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60010] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5741), 1,
      anon_sym_LT,
    STATE(2708), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4871), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4873), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [60086] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2709), 1,
      sym_comment,
    ACTIONS(2253), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [60144] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2710), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(5731), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5744), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2711), 1,
      sym_comment,
    ACTIONS(5746), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5748), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60322] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    STATE(2712), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [60424] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(5750), 1,
      anon_sym_STAR,
    ACTIONS(5752), 1,
      anon_sym_LBRACE,
    ACTIONS(5754), 1,
      anon_sym_async,
    ACTIONS(5756), 1,
      anon_sym_readonly,
    STATE(2713), 1,
      sym_comment,
    STATE(3569), 1,
      sym_statement_block,
    STATE(3671), 1,
      sym_override_modifier,
    STATE(3934), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5758), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [60512] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2714), 1,
      sym_comment,
    ACTIONS(2259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2261), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60570] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5760), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2715), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4969), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4971), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [60647] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    ACTIONS(5795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5797), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2716), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5266), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60762] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5799), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2717), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60881] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2718), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5801), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [60996] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5803), 1,
      anon_sym_RBRACK,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2719), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61115] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    ACTIONS(5795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5797), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2720), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5199), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61230] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5104), 1,
      anon_sym_EQ,
    ACTIONS(5114), 1,
      anon_sym_extends,
    STATE(2721), 1,
      sym_comment,
    ACTIONS(5108), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5111), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5102), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61295] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5805), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2722), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61414] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5809), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2723), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(6435), 1,
      aux_sym_array_repeat1,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61533] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    ACTIONS(5795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5797), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2724), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5201), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61648] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    ACTIONS(5795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5797), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2725), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5211), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61763] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    ACTIONS(5795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5797), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2726), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5183), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61878] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5811), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2727), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61997] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5133), 1,
      anon_sym_LBRACK,
    STATE(2728), 1,
      sym_comment,
    ACTIONS(3426), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5136), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2057), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62062] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2729), 1,
      sym_comment,
    ACTIONS(5162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [62119] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5104), 1,
      anon_sym_EQ,
    ACTIONS(5108), 1,
      anon_sym_LBRACK,
    STATE(2730), 1,
      sym_comment,
    ACTIONS(5111), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5813), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5114), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5102), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62186] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4978), 1,
      anon_sym_COMMA,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2731), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5817), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62303] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2732), 1,
      sym_comment,
    ACTIONS(1978), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [62360] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5437), 1,
      anon_sym_DOT,
    ACTIONS(5439), 1,
      anon_sym_LT,
    STATE(2733), 1,
      sym_comment,
    STATE(3032), 1,
      sym_type_arguments,
    ACTIONS(4801), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62423] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_static,
    ACTIONS(5821), 1,
      anon_sym_readonly,
    ACTIONS(5823), 1,
      anon_sym_abstract,
    STATE(2734), 1,
      sym_comment,
    STATE(3631), 1,
      sym_accessibility_modifier,
    STATE(3727), 1,
      sym_override_modifier,
    STATE(4327), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [62508] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(4953), 1,
      anon_sym_async,
    ACTIONS(4955), 1,
      anon_sym_readonly,
    STATE(2735), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(3989), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4957), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5825), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [62595] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    ACTIONS(5795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5797), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2736), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5152), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62710] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4978), 1,
      anon_sym_COMMA,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2737), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5829), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62827] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    ACTIONS(5795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5797), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2738), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5058), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62942] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5126), 1,
      anon_sym_RBRACE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(2739), 1,
      sym_comment,
    STATE(4856), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [63023] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5831), 1,
      anon_sym_RBRACE,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2740), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63142] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5104), 1,
      anon_sym_EQ,
    ACTIONS(5108), 1,
      anon_sym_LBRACK,
    STATE(2741), 1,
      sym_comment,
    ACTIONS(5114), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5111), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5102), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63207] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5439), 1,
      anon_sym_LT,
    STATE(2742), 1,
      sym_comment,
    STATE(3022), 1,
      sym_type_arguments,
    ACTIONS(4827), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4829), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63268] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2743), 1,
      sym_comment,
    ACTIONS(5008), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63327] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2744), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5833), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [63442] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    ACTIONS(5795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5797), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2745), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5154), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63557] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5835), 1,
      anon_sym_RBRACK,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2746), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63676] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5837), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2747), 1,
      sym_comment,
    STATE(5898), 1,
      aux_sym_array_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63795] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    ACTIONS(5795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5797), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2748), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5156), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63910] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5149), 1,
      anon_sym_RBRACE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(2749), 1,
      sym_comment,
    STATE(4856), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [63991] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    ACTIONS(5795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5797), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2750), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4978), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64106] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5839), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2751), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(6370), 1,
      aux_sym_array_repeat1,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64225] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2752), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [64314] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5841), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2753), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64433] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4247), 1,
      anon_sym_QMARK,
    STATE(2754), 1,
      sym_comment,
    ACTIONS(4243), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64496] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5843), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2755), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [64575] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5441), 1,
      anon_sym_is,
    STATE(2756), 1,
      sym_comment,
    ACTIONS(4819), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4821), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64634] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2757), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [64737] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5846), 1,
      anon_sym_is,
    STATE(2758), 1,
      sym_comment,
    ACTIONS(4827), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4829), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64796] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2759), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5586), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [64911] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5848), 1,
      anon_sym_RBRACK,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2760), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65030] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2761), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [65135] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5850), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2762), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(6419), 1,
      aux_sym_array_repeat1,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65254] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5843), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2763), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [65339] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    ACTIONS(5503), 1,
      anon_sym_LBRACK,
    STATE(2764), 1,
      sym_comment,
    ACTIONS(5506), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4986), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65404] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2765), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [65501] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5852), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2766), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65620] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2767), 1,
      sym_comment,
    ACTIONS(5104), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5854), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5102), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65681] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    ACTIONS(5795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5797), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2768), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5185), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65796] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    ACTIONS(5795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5797), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2769), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4976), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65911] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    ACTIONS(5795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5797), 1,
      sym__ternary_qmark,
    STATE(2770), 1,
      sym_comment,
    STATE(3164), 1,
      sym_type_arguments,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5856), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [66026] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5858), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2771), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(6312), 1,
      aux_sym_array_repeat1,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66145] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5860), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2772), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4930), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4932), 17,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [66228] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2773), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [66329] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2774), 1,
      sym_comment,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5229), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66444] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5843), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2775), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [66527] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5863), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2776), 1,
      sym_comment,
    STATE(6188), 1,
      aux_sym_array_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66646] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5865), 1,
      anon_sym_RBRACK,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2777), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66765] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5133), 1,
      anon_sym_LBRACK,
    STATE(2778), 1,
      sym_comment,
    ACTIONS(5136), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5867), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3426), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2057), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66832] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5843), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2779), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [66917] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5871), 1,
      anon_sym_RBRACK,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2780), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(6453), 1,
      aux_sym_array_repeat1,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67036] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    ACTIONS(5795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5797), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2781), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4928), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67151] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5873), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2782), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4871), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4873), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [67226] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5876), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2783), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67345] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5878), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2784), 1,
      sym_comment,
    STATE(5862), 1,
      aux_sym_array_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67464] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5312), 1,
      anon_sym_RBRACE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(2785), 1,
      sym_comment,
    STATE(4856), 1,
      sym__property_name,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67545] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5880), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2786), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67664] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    ACTIONS(4214), 1,
      anon_sym_QMARK,
    STATE(2787), 1,
      sym_comment,
    ACTIONS(4211), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67727] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    STATE(2788), 1,
      sym_comment,
    STATE(3189), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4845), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4847), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [67790] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5882), 1,
      anon_sym_RBRACE,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2789), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67909] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4214), 1,
      anon_sym_QMARK,
    ACTIONS(4257), 1,
      anon_sym_EQ,
    STATE(2790), 1,
      sym_comment,
    ACTIONS(4260), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67972] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2791), 1,
      sym_comment,
    ACTIONS(2059), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5884), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2057), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68033] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2792), 1,
      sym_comment,
    ACTIONS(5611), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5886), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5609), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5613), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68094] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(5888), 1,
      anon_sym_static,
    ACTIONS(5890), 1,
      anon_sym_readonly,
    ACTIONS(5892), 1,
      anon_sym_abstract,
    STATE(2793), 1,
      sym_comment,
    STATE(3649), 1,
      sym_accessibility_modifier,
    STATE(3675), 1,
      sym_override_modifier,
    STATE(4226), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [68179] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2794), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5160), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [68272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2795), 1,
      sym_comment,
    ACTIONS(4307), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4833), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [68329] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2796), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [68436] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(4948), 1,
      anon_sym_RBRACE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(2797), 1,
      sym_comment,
    STATE(4856), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [68517] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2798), 1,
      sym_comment,
    ACTIONS(4841), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4843), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [68574] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2799), 1,
      sym_comment,
    ACTIONS(4315), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4835), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [68631] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5777), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PIPE,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    ACTIONS(5795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5797), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2800), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5260), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68746] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5894), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2801), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68865] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5441), 1,
      anon_sym_is,
    STATE(2802), 1,
      sym_comment,
    ACTIONS(4837), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4839), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68924] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5896), 1,
      anon_sym_COLON,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2803), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69043] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2804), 1,
      sym_comment,
    ACTIONS(4325), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [69100] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4978), 1,
      anon_sym_COMMA,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2805), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5527), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69217] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4986), 1,
      anon_sym_extends,
    STATE(2806), 1,
      sym_comment,
    ACTIONS(5503), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5506), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69282] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5898), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2807), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69401] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5771), 1,
      anon_sym_GT_GT,
    ACTIONS(5775), 1,
      anon_sym_AMP,
    ACTIONS(5783), 1,
      anon_sym_PERCENT,
    ACTIONS(5785), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2808), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5763), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5765), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5773), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5781), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [69500] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3426), 1,
      anon_sym_extends,
    STATE(2809), 1,
      sym_comment,
    ACTIONS(5133), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5136), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2057), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69565] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5900), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2810), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69684] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4978), 1,
      anon_sym_COMMA,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2811), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5902), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69801] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4978), 1,
      anon_sym_COMMA,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5397), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5399), 1,
      anon_sym_GT_GT,
    ACTIONS(5403), 1,
      anon_sym_AMP,
    ACTIONS(5405), 1,
      anon_sym_CARET,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_PERCENT,
    ACTIONS(5413), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_LT,
    ACTIONS(5423), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5425), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2812), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5391), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5401), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5419), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5904), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69918] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5257), 1,
      anon_sym_RBRACE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(2813), 1,
      sym_comment,
    STATE(4856), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [69999] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5906), 1,
      anon_sym_RBRACK,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2814), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(6453), 1,
      aux_sym_array_repeat1,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70118] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5908), 1,
      anon_sym_RBRACE,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2815), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70237] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5910), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2816), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70356] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5912), 1,
      anon_sym_RBRACK,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2817), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(6264), 1,
      aux_sym_array_repeat1,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70475] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    ACTIONS(5914), 1,
      anon_sym_RPAREN,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2818), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70594] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2819), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5586), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [70709] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2820), 1,
      sym_comment,
    ACTIONS(5024), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5026), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70765] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_STAR,
    ACTIONS(5918), 1,
      anon_sym_async,
    ACTIONS(5922), 1,
      anon_sym_abstract,
    STATE(2821), 1,
      sym_comment,
    STATE(3960), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5920), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [70843] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2822), 1,
      sym_comment,
    ACTIONS(5262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5264), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70899] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5104), 1,
      anon_sym_EQ,
    ACTIONS(5108), 1,
      anon_sym_LBRACK,
    ACTIONS(5114), 1,
      anon_sym_extends,
    ACTIONS(5272), 1,
      anon_sym_QMARK,
    ACTIONS(5854), 1,
      anon_sym_COLON,
    STATE(2823), 1,
      sym_comment,
    ACTIONS(5111), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5813), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5102), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70969] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2824), 1,
      sym_comment,
    ACTIONS(4837), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4839), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71025] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5928), 1,
      anon_sym_SEMI,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5960), 1,
      sym__automatic_semicolon,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2825), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71141] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2826), 1,
      sym_comment,
    ACTIONS(5262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5264), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71197] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2827), 1,
      sym_comment,
    ACTIONS(5262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5264), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71253] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2828), 1,
      sym_comment,
    ACTIONS(5249), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5251), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71309] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2829), 1,
      sym_comment,
    ACTIONS(5249), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5251), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71365] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2830), 1,
      sym_comment,
    ACTIONS(5249), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5251), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71421] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2831), 1,
      sym_comment,
    ACTIONS(5245), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5247), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71477] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5108), 1,
      anon_sym_LBRACK,
    ACTIONS(5114), 1,
      anon_sym_extends,
    ACTIONS(5964), 1,
      anon_sym_RPAREN,
    STATE(2832), 1,
      sym_comment,
    ACTIONS(5104), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5111), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5854), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5102), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71545] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2833), 1,
      sym_comment,
    ACTIONS(5245), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5247), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71601] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3132), 1,
      anon_sym_QMARK,
    ACTIONS(3426), 1,
      anon_sym_extends,
    ACTIONS(5133), 1,
      anon_sym_LBRACK,
    ACTIONS(5884), 1,
      anon_sym_COLON,
    STATE(2834), 1,
      sym_comment,
    ACTIONS(5136), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5867), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2057), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71671] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2835), 1,
      sym_comment,
    ACTIONS(3130), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3438), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71727] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2836), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [71823] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2837), 1,
      sym_comment,
    ACTIONS(5245), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5247), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71879] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2838), 1,
      sym_comment,
    ACTIONS(5241), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5243), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71935] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2839), 1,
      sym_comment,
    ACTIONS(5008), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71993] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(5969), 1,
      anon_sym_RBRACE,
    STATE(2840), 1,
      sym_comment,
    STATE(3662), 1,
      sym_override_modifier,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [72083] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2841), 1,
      sym_comment,
    ACTIONS(5145), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5147), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72139] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2842), 1,
      sym_comment,
    ACTIONS(5116), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5118), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72195] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2843), 1,
      sym_comment,
    ACTIONS(5098), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5100), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72251] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2844), 1,
      sym_comment,
    ACTIONS(5060), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5062), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72307] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(5971), 1,
      anon_sym_STAR,
    ACTIONS(5973), 1,
      anon_sym_async,
    ACTIONS(5975), 1,
      anon_sym_readonly,
    STATE(2845), 1,
      sym_comment,
    STATE(3655), 1,
      sym_override_modifier,
    STATE(4023), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5977), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [72389] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2846), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [72487] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2847), 1,
      sym_comment,
    ACTIONS(5060), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5062), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72543] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3426), 1,
      anon_sym_extends,
    ACTIONS(5133), 1,
      anon_sym_LBRACK,
    ACTIONS(5979), 1,
      anon_sym_RPAREN,
    STATE(2848), 1,
      sym_comment,
    ACTIONS(2059), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5136), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5884), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2057), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72611] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2849), 1,
      sym_comment,
    ACTIONS(5060), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5062), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72667] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2850), 1,
      sym_comment,
    ACTIONS(4867), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4869), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72723] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2851), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [72823] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5494), 1,
      anon_sym_LBRACK,
    STATE(2852), 1,
      sym_comment,
    ACTIONS(4821), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5497), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72885] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2853), 1,
      sym_comment,
    ACTIONS(4867), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4869), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72941] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2854), 1,
      sym_comment,
    ACTIONS(4867), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4869), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72997] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5982), 1,
      sym__automatic_semicolon,
    STATE(2855), 1,
      sym_comment,
    ACTIONS(2079), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2057), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73059] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2856), 1,
      sym_comment,
    ACTIONS(4965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4967), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73115] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2857), 1,
      sym_comment,
    ACTIONS(4965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4967), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73171] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2858), 1,
      sym_comment,
    ACTIONS(4965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4967), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73227] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5984), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2859), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [73309] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2860), 1,
      sym_comment,
    ACTIONS(5014), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5016), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73365] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2861), 1,
      sym_comment,
    ACTIONS(5327), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5329), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73421] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2862), 1,
      sym_comment,
    ACTIONS(5331), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5333), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73477] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2863), 1,
      sym_comment,
    ACTIONS(5308), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5310), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73533] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    ACTIONS(5987), 1,
      anon_sym_SEMI,
    ACTIONS(5989), 1,
      sym__automatic_semicolon,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2864), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73649] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5991), 1,
      anon_sym_AMP,
    ACTIONS(5993), 1,
      anon_sym_PIPE,
    ACTIONS(5995), 1,
      anon_sym_extends,
    STATE(2865), 1,
      sym_comment,
    ACTIONS(5294), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73711] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5984), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2866), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73795] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    STATE(2867), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73853] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2868), 1,
      sym_comment,
    ACTIONS(5294), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73909] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2869), 1,
      sym_comment,
    ACTIONS(5268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5270), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73965] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5991), 1,
      anon_sym_AMP,
    ACTIONS(5993), 1,
      anon_sym_PIPE,
    ACTIONS(5995), 1,
      anon_sym_extends,
    STATE(2870), 1,
      sym_comment,
    ACTIONS(4853), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4855), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74027] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2871), 1,
      sym_comment,
    ACTIONS(5237), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5239), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74083] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2872), 1,
      sym_comment,
    ACTIONS(5233), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5235), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74139] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2873), 1,
      sym_comment,
    ACTIONS(5225), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5227), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74195] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2874), 1,
      sym_comment,
    ACTIONS(5221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5223), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74251] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2875), 1,
      sym_comment,
    ACTIONS(5225), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5227), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74307] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2876), 1,
      sym_comment,
    ACTIONS(5221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5223), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74363] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(2877), 1,
      sym_comment,
    STATE(3662), 1,
      sym_override_modifier,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [74453] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2878), 1,
      sym_comment,
    ACTIONS(5207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5209), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74509] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2879), 1,
      sym_comment,
    ACTIONS(5203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5205), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74565] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2880), 1,
      sym_comment,
    ACTIONS(5207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5209), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74621] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2881), 1,
      sym_comment,
    ACTIONS(5203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5205), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74677] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2882), 1,
      sym_comment,
    ACTIONS(5191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74733] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2883), 1,
      sym_comment,
    ACTIONS(5187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74789] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(5997), 1,
      anon_sym_static,
    ACTIONS(5999), 1,
      anon_sym_readonly,
    ACTIONS(6001), 1,
      anon_sym_abstract,
    STATE(2884), 1,
      sym_comment,
    STATE(3705), 1,
      sym_override_modifier,
    STATE(4384), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [74869] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2885), 1,
      sym_comment,
    ACTIONS(5191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74925] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2886), 1,
      sym_comment,
    ACTIONS(5187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74981] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(6003), 1,
      anon_sym_RBRACE,
    STATE(2887), 1,
      sym_comment,
    STATE(3662), 1,
      sym_override_modifier,
    STATE(4927), 1,
      sym__property_name,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75071] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2888), 1,
      sym_comment,
    ACTIONS(5179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5181), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75127] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2889), 1,
      sym_comment,
    ACTIONS(5175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5177), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75183] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(162), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym_LBRACK,
    ACTIONS(6007), 1,
      anon_sym_COMMA,
    ACTIONS(6009), 1,
      anon_sym_RBRACE,
    STATE(2890), 1,
      sym_comment,
    STATE(6157), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7355), 1,
      sym__destructuring_pattern,
    STATE(7451), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6152), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75265] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6011), 1,
      anon_sym_STAR,
    ACTIONS(6013), 1,
      anon_sym_async,
    ACTIONS(6017), 1,
      anon_sym_abstract,
    STATE(2891), 1,
      sym_comment,
    STATE(3949), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6015), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75343] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6011), 1,
      anon_sym_STAR,
    ACTIONS(6013), 1,
      anon_sym_async,
    ACTIONS(6019), 1,
      anon_sym_readonly,
    STATE(2892), 1,
      sym_comment,
    STATE(3664), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6015), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75425] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5991), 1,
      anon_sym_AMP,
    ACTIONS(5993), 1,
      anon_sym_PIPE,
    ACTIONS(5995), 1,
      anon_sym_extends,
    STATE(2893), 1,
      sym_comment,
    ACTIONS(5282), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5284), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75487] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2894), 1,
      sym_comment,
    ACTIONS(5506), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5503), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4986), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75549] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2895), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6021), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75663] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2896), 1,
      sym_comment,
    ACTIONS(5092), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5090), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75723] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5699), 1,
      anon_sym_LBRACK,
    STATE(2897), 1,
      sym_comment,
    ACTIONS(4865), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5702), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5454), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5456), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75785] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4865), 1,
      anon_sym_extends,
    STATE(2898), 1,
      sym_comment,
    ACTIONS(5699), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5702), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5454), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5456), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75847] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5991), 1,
      anon_sym_AMP,
    ACTIONS(5993), 1,
      anon_sym_PIPE,
    ACTIONS(5995), 1,
      anon_sym_extends,
    STATE(2899), 1,
      sym_comment,
    ACTIONS(5253), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5255), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75909] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2900), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5160), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [76001] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2901), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6023), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76115] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5697), 1,
      sym__automatic_semicolon,
    STATE(2902), 1,
      sym_comment,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2079), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76175] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2903), 1,
      sym_comment,
    ACTIONS(5086), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5088), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76231] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2904), 1,
      sym_comment,
    ACTIONS(5068), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5070), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76287] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2905), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [76393] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2906), 1,
      sym_comment,
    ACTIONS(5068), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5070), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76449] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2907), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5525), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76563] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2908), 1,
      sym_comment,
    ACTIONS(5002), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5004), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76619] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(6025), 1,
      anon_sym_RBRACE,
    STATE(2909), 1,
      sym_comment,
    STATE(3662), 1,
      sym_override_modifier,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76709] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2910), 1,
      sym_comment,
    ACTIONS(5002), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5004), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76765] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4821), 1,
      anon_sym_extends,
    ACTIONS(5494), 1,
      anon_sym_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_RPAREN,
    STATE(2911), 1,
      sym_comment,
    ACTIONS(5497), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6027), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6029), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76833] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    ACTIONS(4986), 1,
      anon_sym_extends,
    STATE(2912), 1,
      sym_comment,
    ACTIONS(5503), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5506), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76897] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    ACTIONS(4986), 1,
      anon_sym_extends,
    STATE(2913), 1,
      sym_comment,
    ACTIONS(5503), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5506), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76961] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5750), 1,
      anon_sym_STAR,
    ACTIONS(5754), 1,
      anon_sym_async,
    ACTIONS(6034), 1,
      anon_sym_abstract,
    STATE(2914), 1,
      sym_comment,
    STATE(3934), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5758), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77039] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4821), 1,
      anon_sym_extends,
    STATE(2915), 1,
      sym_comment,
    ACTIONS(5494), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5497), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77101] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4986), 1,
      anon_sym_extends,
    STATE(2916), 1,
      sym_comment,
    ACTIONS(5503), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5506), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77163] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5503), 1,
      anon_sym_LBRACK,
    STATE(2917), 1,
      sym_comment,
    ACTIONS(4986), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5506), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77225] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4214), 1,
      anon_sym_QMARK,
    ACTIONS(4257), 1,
      anon_sym_EQ,
    ACTIONS(5503), 1,
      anon_sym_LBRACK,
    STATE(2918), 1,
      sym_comment,
    ACTIONS(4260), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4986), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5506), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77293] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4821), 1,
      anon_sym_extends,
    ACTIONS(5494), 1,
      anon_sym_LBRACK,
    ACTIONS(6040), 1,
      anon_sym_RPAREN,
    STATE(2919), 1,
      sym_comment,
    ACTIONS(5497), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6036), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6038), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77361] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2920), 1,
      sym_comment,
    ACTIONS(5497), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5494), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4821), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77423] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_RBRACE,
    STATE(2921), 1,
      sym_comment,
    STATE(3662), 1,
      sym_override_modifier,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77513] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5676), 1,
      anon_sym_QMARK_DOT,
    STATE(2922), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(2173), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2175), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77577] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2923), 1,
      sym_comment,
    ACTIONS(5129), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5131), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77633] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5991), 1,
      anon_sym_AMP,
    STATE(2924), 1,
      sym_comment,
    ACTIONS(5122), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5124), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77691] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    STATE(2925), 1,
      sym_comment,
    STATE(3121), 1,
      sym_arguments,
    ACTIONS(5139), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5141), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77751] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2926), 1,
      sym_comment,
    ACTIONS(5094), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5096), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77807] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2927), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5260), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77921] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5991), 1,
      anon_sym_AMP,
    ACTIONS(5993), 1,
      anon_sym_PIPE,
    ACTIONS(5995), 1,
      anon_sym_extends,
    STATE(2928), 1,
      sym_comment,
    ACTIONS(5082), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5084), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77983] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2929), 1,
      sym_comment,
    ACTIONS(5082), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5084), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78039] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    ACTIONS(6045), 1,
      anon_sym_SEMI,
    ACTIONS(6047), 1,
      sym__automatic_semicolon,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2930), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78155] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5079), 1,
      anon_sym_DOT,
    STATE(2931), 1,
      sym_comment,
    ACTIONS(5072), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5074), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78213] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5076), 1,
      anon_sym_DOT,
    STATE(2932), 1,
      sym_comment,
    ACTIONS(5072), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5074), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78271] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2933), 1,
      sym_comment,
    ACTIONS(5064), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78327] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2934), 1,
      sym_comment,
    ACTIONS(5052), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5054), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78383] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2935), 1,
      sym_comment,
    ACTIONS(5038), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5040), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78439] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2936), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5601), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78553] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2937), 1,
      sym_comment,
    ACTIONS(5034), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5036), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78609] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2938), 1,
      sym_comment,
    ACTIONS(4998), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5000), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78665] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2939), 1,
      sym_comment,
    ACTIONS(4827), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4829), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78721] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2940), 1,
      sym_comment,
    ACTIONS(5028), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5030), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78777] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2941), 1,
      sym_comment,
    ACTIONS(5018), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5020), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78833] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2942), 1,
      sym_comment,
    ACTIONS(5010), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5012), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78889] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2943), 1,
      sym_comment,
    ACTIONS(4984), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4986), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78945] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2944), 1,
      sym_comment,
    ACTIONS(5006), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5008), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79001] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2945), 1,
      sym_comment,
    ACTIONS(4819), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4821), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79057] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6049), 1,
      anon_sym_STAR,
    ACTIONS(6051), 1,
      anon_sym_async,
    ACTIONS(6053), 1,
      anon_sym_readonly,
    STATE(2946), 1,
      sym_comment,
    STATE(3657), 1,
      sym_override_modifier,
    STATE(4018), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6055), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79139] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2947), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5266), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79253] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2948), 1,
      sym_comment,
    ACTIONS(5090), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(5092), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79313] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2949), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5154), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79427] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2950), 1,
      sym_comment,
    ACTIONS(4959), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4961), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79483] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6057), 1,
      anon_sym_LBRACK,
    STATE(2951), 1,
      sym_comment,
    ACTIONS(4959), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4961), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79541] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2952), 1,
      sym_comment,
    ACTIONS(4937), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4939), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79597] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2953), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5058), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79711] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6059), 1,
      anon_sym_STAR,
    ACTIONS(6061), 1,
      anon_sym_async,
    ACTIONS(6063), 1,
      anon_sym_readonly,
    STATE(2954), 1,
      sym_comment,
    STATE(3661), 1,
      sym_override_modifier,
    STATE(4040), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6065), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79793] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2955), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6067), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79907] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5104), 1,
      anon_sym_EQ,
    STATE(2956), 1,
      sym_comment,
    ACTIONS(5102), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79965] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5108), 1,
      anon_sym_LBRACK,
    ACTIONS(5114), 1,
      anon_sym_extends,
    ACTIONS(5813), 1,
      anon_sym_RPAREN,
    STATE(2957), 1,
      sym_comment,
    ACTIONS(5104), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5111), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5511), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5102), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80033] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5991), 1,
      anon_sym_AMP,
    ACTIONS(5993), 1,
      anon_sym_PIPE,
    ACTIONS(5995), 1,
      anon_sym_extends,
    STATE(2958), 1,
      sym_comment,
    ACTIONS(5217), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5219), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80095] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3426), 1,
      anon_sym_extends,
    ACTIONS(5133), 1,
      anon_sym_LBRACK,
    ACTIONS(5867), 1,
      anon_sym_RPAREN,
    STATE(2959), 1,
      sym_comment,
    ACTIONS(2059), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5136), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5684), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2057), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80163] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5991), 1,
      anon_sym_AMP,
    ACTIONS(5993), 1,
      anon_sym_PIPE,
    ACTIONS(5995), 1,
      anon_sym_extends,
    STATE(2960), 1,
      sym_comment,
    ACTIONS(5213), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5215), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80225] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2961), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5542), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80339] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5991), 1,
      anon_sym_AMP,
    ACTIONS(5993), 1,
      anon_sym_PIPE,
    ACTIONS(5995), 1,
      anon_sym_extends,
    STATE(2962), 1,
      sym_comment,
    ACTIONS(5195), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5197), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80401] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4829), 1,
      anon_sym_extends,
    STATE(2963), 1,
      sym_comment,
    ACTIONS(5195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5197), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80459] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6073), 1,
      sym_regex_flags,
    STATE(2964), 1,
      sym_comment,
    ACTIONS(6069), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6071), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [80517] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6075), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2965), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4871), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4873), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [80591] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2966), 1,
      sym_comment,
    ACTIONS(5274), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5276), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80647] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2967), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4928), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80761] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6114), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2968), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4930), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4932), 16,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [80843] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6117), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2969), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4969), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4971), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [80919] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4896), 1,
      anon_sym_GT_GT,
    ACTIONS(4900), 1,
      anon_sym_AMP,
    ACTIONS(4902), 1,
      anon_sym_CARET,
    ACTIONS(4904), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_PERCENT,
    ACTIONS(4910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4912), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4926), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2970), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4880), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4898), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4906), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6120), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81033] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    ACTIONS(6122), 1,
      anon_sym_SEMI,
    ACTIONS(6124), 1,
      sym__automatic_semicolon,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2971), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81149] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2972), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5156), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81263] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4953), 1,
      anon_sym_async,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    STATE(2973), 1,
      sym_comment,
    STATE(3989), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4957), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5825), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81343] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2974), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5152), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81457] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2975), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [81545] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2976), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5152), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81659] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2977), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5183), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81773] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2978), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5185), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81887] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2979), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5199), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82001] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2980), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5201), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82115] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2981), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5211), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82229] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_comment,
    STATE(4856), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5466), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5825), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [82307] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2983), 1,
      sym_comment,
    ACTIONS(4980), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4982), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82363] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2984), 1,
      sym_comment,
    ACTIONS(4988), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4990), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82419] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2985), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82533] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2986), 1,
      sym_comment,
    ACTIONS(4992), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4994), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82589] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2987), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5260), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82703] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2988), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5211), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82817] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2989), 1,
      sym_comment,
    ACTIONS(3128), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3458), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82873] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_STAR,
    ACTIONS(6128), 1,
      anon_sym_async,
    ACTIONS(6132), 1,
      anon_sym_abstract,
    STATE(2990), 1,
      sym_comment,
    STATE(3959), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6130), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [82951] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2991), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5201), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83065] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2992), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5199), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83179] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(2993), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5185), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83293] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2994), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [83399] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2995), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5160), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [83491] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6134), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2996), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 15,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [83575] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6134), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2997), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [83657] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2998), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [83757] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1039), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(2999), 1,
      sym_comment,
    STATE(3662), 1,
      sym_override_modifier,
    STATE(4927), 1,
      sym__property_name,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [83847] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3000), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [83945] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3001), 1,
      sym_comment,
    ACTIONS(2057), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84003] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3002), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [84099] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6134), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3003), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [84183] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5984), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3004), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [84267] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3005), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [84371] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_STAR,
    ACTIONS(6128), 1,
      anon_sym_async,
    ACTIONS(6137), 1,
      anon_sym_readonly,
    STATE(3006), 1,
      sym_comment,
    STATE(3659), 1,
      sym_override_modifier,
    STATE(3967), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6130), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84453] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3007), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [84555] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3008), 1,
      sym_comment,
    ACTIONS(5702), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5699), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4865), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5454), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5456), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84617] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3009), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5183), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84731] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6134), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3010), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [84809] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3011), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [84897] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3012), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5156), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85011] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3013), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5154), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85125] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3014), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5058), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85239] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(6139), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3015), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4969), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4971), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [85315] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3016), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4978), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85429] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(162), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym_LBRACK,
    ACTIONS(6007), 1,
      anon_sym_COMMA,
    ACTIONS(6144), 1,
      anon_sym_RBRACE,
    STATE(3017), 1,
      sym_comment,
    STATE(5924), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7355), 1,
      sym__destructuring_pattern,
    STATE(7451), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    STATE(5899), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6142), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [85511] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3018), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4976), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85625] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5984), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3019), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [85703] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3020), 1,
      sym_comment,
    ACTIONS(3124), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3498), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85759] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3021), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [85861] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3022), 1,
      sym_comment,
    ACTIONS(5290), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5292), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85917] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(6146), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3023), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4930), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4932), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [85999] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6057), 1,
      anon_sym_LBRACK,
    STATE(3024), 1,
      sym_comment,
    ACTIONS(5298), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5300), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86057] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3025), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(4928), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86171] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3026), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [86275] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(6149), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3027), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4871), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4873), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [86349] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6152), 1,
      anon_sym_extends,
    STATE(3028), 1,
      sym_comment,
    ACTIONS(5302), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5304), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86407] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4961), 1,
      anon_sym_extends,
    ACTIONS(6057), 1,
      anon_sym_LBRACK,
    STATE(3029), 1,
      sym_comment,
    ACTIONS(4959), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5315), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5317), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86469] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5991), 1,
      anon_sym_AMP,
    ACTIONS(5993), 1,
      anon_sym_PIPE,
    ACTIONS(5995), 1,
      anon_sym_extends,
    STATE(3030), 1,
      sym_comment,
    ACTIONS(5319), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5321), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86531] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    ACTIONS(6154), 1,
      anon_sym_SEMI,
    ACTIONS(6156), 1,
      sym__automatic_semicolon,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3031), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86647] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3032), 1,
      sym_comment,
    ACTIONS(5323), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5325), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86703] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3033), 1,
      sym_comment,
    ACTIONS(4863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86759] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3034), 1,
      sym_comment,
    ACTIONS(5092), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5090), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86815] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5991), 1,
      anon_sym_AMP,
    STATE(3035), 1,
      sym_comment,
    ACTIONS(5286), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5288), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86873] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3036), 1,
      sym_comment,
    ACTIONS(5278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5280), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86929] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3037), 1,
      sym_comment,
    ACTIONS(5272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5114), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86985] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3038), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(4978), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87099] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    ACTIONS(4214), 1,
      anon_sym_QMARK,
    ACTIONS(5503), 1,
      anon_sym_LBRACK,
    STATE(3039), 1,
      sym_comment,
    ACTIONS(4211), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4986), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5506), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87167] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4821), 1,
      anon_sym_extends,
    ACTIONS(5494), 1,
      anon_sym_LBRACK,
    ACTIONS(6161), 1,
      anon_sym_RPAREN,
    STATE(3040), 1,
      sym_comment,
    ACTIONS(5497), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6036), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6158), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87235] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5611), 1,
      anon_sym_EQ,
    STATE(3041), 1,
      sym_comment,
    ACTIONS(5609), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5613), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87293] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3042), 1,
      sym_comment,
    ACTIONS(5166), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5168), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87349] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6165), 1,
      anon_sym_DOT,
    STATE(3043), 1,
      sym_comment,
    ACTIONS(5046), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5048), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87407] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    STATE(3044), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87465] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3045), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6167), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87579] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1016), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(3046), 1,
      sym_comment,
    STATE(3662), 1,
      sym_override_modifier,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [87669] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3047), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(4976), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87783] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3048), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6169), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87897] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    ACTIONS(6171), 1,
      anon_sym_SEMI,
    ACTIONS(6173), 1,
      sym__automatic_semicolon,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3049), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88013] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_STAR,
    ACTIONS(5918), 1,
      anon_sym_async,
    ACTIONS(6175), 1,
      anon_sym_readonly,
    STATE(3050), 1,
      sym_comment,
    STATE(3660), 1,
      sym_override_modifier,
    STATE(3960), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5920), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88095] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5337), 1,
      anon_sym_as,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_satisfies,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_GT_GT,
    ACTIONS(5938), 1,
      anon_sym_AMP,
    ACTIONS(5940), 1,
      anon_sym_CARET,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5946), 1,
      anon_sym_PERCENT,
    ACTIONS(5948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      anon_sym_LT,
    ACTIONS(5958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5962), 1,
      sym__ternary_qmark,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3051), 1,
      sym_comment,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(5379), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5926), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6177), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88209] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3052), 1,
      sym_comment,
    ACTIONS(3132), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3426), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88265] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5008), 1,
      anon_sym_extends,
    STATE(3053), 1,
      sym_comment,
    ACTIONS(5162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88323] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      anon_sym_static,
    ACTIONS(6181), 1,
      anon_sym_readonly,
    ACTIONS(6183), 1,
      anon_sym_abstract,
    STATE(3054), 1,
      sym_comment,
    STATE(3712), 1,
      sym_override_modifier,
    STATE(4206), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88403] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3055), 1,
      sym_comment,
    ACTIONS(3126), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3496), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88459] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3056), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5160), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [88550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3057), 1,
      sym_comment,
    ACTIONS(2173), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2175), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88605] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1016), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(3058), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88686] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6059), 1,
      anon_sym_STAR,
    STATE(3059), 1,
      sym_comment,
    STATE(4843), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6203), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88759] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3060), 1,
      sym_comment,
    ACTIONS(5556), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5211), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88814] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3061), 1,
      sym_comment,
    ACTIONS(6205), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6207), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88873] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6209), 1,
      anon_sym_STAR,
    STATE(3062), 1,
      sym_comment,
    STATE(4831), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6211), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88946] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3063), 1,
      sym_comment,
    ACTIONS(5639), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5156), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89001] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5260), 1,
      anon_sym_RBRACK,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3064), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3065), 1,
      sym_comment,
    ACTIONS(5552), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5554), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89169] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3066), 1,
      sym_comment,
    ACTIONS(5746), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5748), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89224] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    ACTIONS(4984), 1,
      anon_sym_QMARK,
    ACTIONS(5503), 1,
      anon_sym_LBRACK,
    STATE(3067), 1,
      sym_comment,
    ACTIONS(5506), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4986), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89289] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3068), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [89394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3069), 1,
      sym_comment,
    ACTIONS(5713), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5715), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89449] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3070), 1,
      sym_comment,
    ACTIONS(2391), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2173), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2175), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89506] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    ACTIONS(6249), 1,
      anon_sym_COLON,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3071), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89619] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6251), 1,
      anon_sym_STAR,
    STATE(3072), 1,
      sym_comment,
    STATE(4896), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6253), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89692] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5971), 1,
      anon_sym_STAR,
    STATE(3073), 1,
      sym_comment,
    STATE(4942), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6255), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89765] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3074), 1,
      sym_comment,
    ACTIONS(6205), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6207), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89824] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_STAR,
    STATE(3075), 1,
      sym_comment,
    STATE(4823), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6259), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89897] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3076), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5160), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [89988] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6261), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3077), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 14,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [90071] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6264), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3078), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4969), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4971), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [90146] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6261), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3079), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [90227] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3080), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [90326] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3081), 1,
      sym_comment,
    ACTIONS(2303), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2123), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90383] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_STAR,
    STATE(3082), 1,
      sym_comment,
    STATE(4815), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6269), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3083), 1,
      sym_comment,
    ACTIONS(5564), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90511] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3084), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [90608] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6271), 1,
      anon_sym_STAR,
    STATE(3085), 1,
      sym_comment,
    STATE(4969), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6273), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90681] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5257), 1,
      anon_sym_RBRACE,
    STATE(3086), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90748] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3087), 1,
      sym_comment,
    ACTIONS(6275), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6277), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90807] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6279), 1,
      anon_sym_COMMA,
    STATE(3088), 1,
      sym_comment,
    ACTIONS(5162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90864] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3089), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [90959] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4863), 1,
      anon_sym_QMARK,
    STATE(3090), 1,
      sym_comment,
    ACTIONS(4865), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5702), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5699), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(5454), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5456), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91022] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3091), 1,
      sym_comment,
    ACTIONS(5092), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5090), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91081] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3092), 1,
      sym_comment,
    ACTIONS(6281), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6283), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91140] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6285), 1,
      sym__automatic_semicolon,
    STATE(3093), 1,
      sym_comment,
    ACTIONS(2303), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2123), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91199] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3094), 1,
      sym_comment,
    ACTIONS(6036), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6038), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91258] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6287), 1,
      sym__automatic_semicolon,
    STATE(3095), 1,
      sym_comment,
    ACTIONS(2291), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2129), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91317] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3096), 1,
      sym_comment,
    ACTIONS(5568), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5201), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3097), 1,
      sym_comment,
    ACTIONS(5548), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91427] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6289), 1,
      anon_sym_STAR,
    ACTIONS(6291), 1,
      anon_sym_async,
    STATE(3098), 1,
      sym_comment,
    STATE(3958), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6293), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3099), 1,
      sym_comment,
    ACTIONS(5603), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4976), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91557] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3100), 1,
      sym_comment,
    ACTIONS(5705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5707), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91612] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6289), 1,
      anon_sym_STAR,
    STATE(3101), 1,
      sym_comment,
    STATE(4935), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6295), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91685] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3102), 1,
      sym_comment,
    ACTIONS(5578), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5580), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3103), 1,
      sym_comment,
    ACTIONS(5560), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5562), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91795] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5126), 1,
      anon_sym_RBRACE,
    STATE(3104), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91862] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5452), 1,
      anon_sym_RBRACE,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3105), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91975] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3106), 1,
      sym_comment,
    ACTIONS(5572), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5199), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92030] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3107), 1,
      sym_comment,
    ACTIONS(2291), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2129), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92087] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6271), 1,
      anon_sym_STAR,
    ACTIONS(6297), 1,
      anon_sym_async,
    STATE(3108), 1,
      sym_comment,
    STATE(3944), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6299), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92162] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1016), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(3109), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92245] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3110), 1,
      sym_comment,
    ACTIONS(5574), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5576), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92300] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3111), 1,
      sym_comment,
    ACTIONS(5618), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5620), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92355] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5152), 1,
      anon_sym_of,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6315), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6317), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3112), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92468] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5149), 1,
      anon_sym_RBRACE,
    STATE(3113), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92535] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5149), 1,
      anon_sym_RBRACE,
    STATE(3114), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92602] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5104), 1,
      anon_sym_EQ,
    ACTIONS(5854), 1,
      anon_sym_of,
    ACTIONS(6319), 1,
      anon_sym_in,
    STATE(3115), 1,
      sym_comment,
    ACTIONS(5102), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92663] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5126), 1,
      anon_sym_RBRACE,
    STATE(3116), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92730] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5266), 1,
      anon_sym_RBRACK,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3117), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92843] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3118), 1,
      sym_comment,
    ACTIONS(5544), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5546), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92898] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6261), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3119), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [92981] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5211), 1,
      anon_sym_RBRACK,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3120), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3121), 1,
      sym_comment,
    ACTIONS(5582), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5584), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93149] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5257), 1,
      anon_sym_RBRACE,
    STATE(3122), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93216] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3123), 1,
      sym_comment,
    ACTIONS(5538), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5540), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93271] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3124), 1,
      sym_comment,
    ACTIONS(5162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93326] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3125), 1,
      sym_comment,
    ACTIONS(6205), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6207), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93385] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3126), 1,
      sym_comment,
    ACTIONS(5514), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5516), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93440] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5201), 1,
      anon_sym_RBRACK,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3127), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93553] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    ACTIONS(6322), 1,
      anon_sym_COLON,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3128), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93666] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5199), 1,
      anon_sym_RBRACK,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3129), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93779] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5185), 1,
      anon_sym_RBRACK,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3130), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93892] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5183), 1,
      anon_sym_RBRACK,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3131), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94005] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    ACTIONS(6324), 1,
      anon_sym_COLON,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3132), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94118] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6289), 1,
      anon_sym_STAR,
    ACTIONS(6291), 1,
      anon_sym_async,
    STATE(3133), 1,
      sym_comment,
    STATE(3931), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6293), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94193] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(162), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym_LBRACK,
    STATE(3134), 1,
      sym_comment,
    STATE(7355), 1,
      sym__destructuring_pattern,
    STATE(7451), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6328), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6871), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6326), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94270] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6330), 1,
      sym__automatic_semicolon,
    STATE(3135), 1,
      sym_comment,
    ACTIONS(2287), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2141), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94329] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3136), 1,
      sym_comment,
    ACTIONS(5458), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5260), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94384] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5152), 1,
      anon_sym_RBRACK,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3137), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94497] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3138), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [94600] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_STAR,
    ACTIONS(6332), 1,
      anon_sym_async,
    STATE(3139), 1,
      sym_comment,
    STATE(4001), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6334), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94675] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3140), 1,
      sym_comment,
    ACTIONS(5664), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5666), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94730] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_STAR,
    STATE(3141), 1,
      sym_comment,
    STATE(4923), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6336), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94803] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6338), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3142), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4969), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4971), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [94878] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6341), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3143), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4930), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4932), 15,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [94959] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5586), 1,
      anon_sym_of,
    ACTIONS(6187), 1,
      anon_sym_GT,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6315), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6317), 1,
      sym__ternary_qmark,
    ACTIONS(6344), 1,
      anon_sym_in,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3144), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95074] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1039), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(3145), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95155] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1039), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(3146), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95238] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6209), 1,
      anon_sym_STAR,
    ACTIONS(6347), 1,
      anon_sym_async,
    STATE(3147), 1,
      sym_comment,
    STATE(4009), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6349), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95313] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5104), 1,
      anon_sym_EQ,
    ACTIONS(5108), 1,
      anon_sym_LBRACK,
    STATE(3148), 1,
      sym_comment,
    ACTIONS(5114), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5111), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5102), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95376] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6351), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3149), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [95457] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6354), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3150), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4930), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4932), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [95538] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3151), 1,
      sym_comment,
    ACTIONS(6275), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6277), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95597] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4928), 1,
      anon_sym_of,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6315), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6317), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3152), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95710] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6357), 1,
      anon_sym_STAR,
    ACTIONS(6359), 1,
      anon_sym_async,
    STATE(3153), 1,
      sym_comment,
    STATE(3975), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6361), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95785] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3154), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [95886] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4928), 1,
      anon_sym_RBRACK,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3155), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95999] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6363), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3156), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4871), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4873), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [96072] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6011), 1,
      anon_sym_STAR,
    ACTIONS(6013), 1,
      anon_sym_async,
    STATE(3157), 1,
      sym_comment,
    STATE(3954), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6015), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96147] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3158), 1,
      sym_comment,
    ACTIONS(5632), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96202] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5133), 1,
      anon_sym_LBRACK,
    ACTIONS(5884), 1,
      anon_sym_COLON,
    STATE(3159), 1,
      sym_comment,
    ACTIONS(5136), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3426), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2057), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96267] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    ACTIONS(4327), 1,
      anon_sym_in,
    ACTIONS(4330), 1,
      anon_sym_of,
    STATE(3160), 1,
      sym_comment,
    ACTIONS(4105), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96328] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3161), 1,
      sym_comment,
    ACTIONS(5628), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5630), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96383] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3162), 1,
      sym_comment,
    ACTIONS(5591), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5593), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96438] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6366), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3163), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4871), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4873), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [96511] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    STATE(3164), 1,
      sym_comment,
    STATE(2636), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6369), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4845), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4847), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [96574] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5211), 1,
      anon_sym_of,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6315), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6317), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3165), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96687] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5201), 1,
      anon_sym_of,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6315), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6317), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3166), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96800] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    ACTIONS(6371), 1,
      anon_sym_RBRACK,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3167), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96913] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6373), 1,
      anon_sym_STAR,
    STATE(3168), 1,
      sym_comment,
    STATE(4795), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6375), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96986] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5199), 1,
      anon_sym_of,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6315), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6317), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3169), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97099] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3170), 1,
      sym_comment,
    ACTIONS(5650), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97154] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3171), 1,
      sym_comment,
    ACTIONS(6275), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6277), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97213] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3172), 1,
      sym_comment,
    ACTIONS(6027), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6029), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97272] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6377), 1,
      sym__automatic_semicolon,
    STATE(3173), 1,
      sym_comment,
    ACTIONS(2287), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2141), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97331] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5185), 1,
      anon_sym_of,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6315), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6317), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3174), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97444] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5183), 1,
      anon_sym_of,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6315), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6317), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3175), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97557] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    ACTIONS(6379), 1,
      anon_sym_COLON,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3176), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97670] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3177), 1,
      sym_comment,
    ACTIONS(5427), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5429), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97725] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3178), 1,
      sym_comment,
    ACTIONS(2199), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2203), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97780] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3179), 1,
      sym_comment,
    STATE(4856), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5825), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97853] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3180), 1,
      sym_comment,
    ACTIONS(5454), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5456), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97908] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5133), 1,
      anon_sym_LBRACK,
    STATE(3181), 1,
      sym_comment,
    ACTIONS(3426), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5136), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2057), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97971] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3182), 1,
      sym_comment,
    ACTIONS(2099), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98026] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6381), 1,
      sym__automatic_semicolon,
    STATE(3183), 1,
      sym_comment,
    ACTIONS(2275), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98085] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3184), 1,
      sym_comment,
    ACTIONS(5483), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5485), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98140] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5266), 1,
      anon_sym_of,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6315), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6317), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3185), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98253] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5260), 1,
      anon_sym_of,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6315), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6317), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3186), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98366] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3187), 1,
      sym_comment,
    ACTIONS(6383), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6385), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98425] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3188), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [98530] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3189), 1,
      sym_comment,
    ACTIONS(5605), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5607), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98585] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3190), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98698] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5104), 1,
      anon_sym_EQ,
    ACTIONS(5108), 1,
      anon_sym_LBRACK,
    ACTIONS(5854), 1,
      anon_sym_COLON,
    STATE(3191), 1,
      sym_comment,
    ACTIONS(5111), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5114), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5102), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98763] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6389), 1,
      sym__automatic_semicolon,
    STATE(3192), 1,
      sym_comment,
    ACTIONS(2341), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2227), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2231), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98822] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4216), 1,
      anon_sym_EQ,
    ACTIONS(4986), 1,
      anon_sym_extends,
    STATE(3193), 1,
      sym_comment,
    ACTIONS(5503), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5506), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [98885] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3194), 1,
      sym_comment,
    ACTIONS(5431), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5433), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98940] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3195), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [99027] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5058), 1,
      anon_sym_of,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6315), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6317), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3196), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99140] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6391), 1,
      anon_sym_STAR,
    STATE(3197), 1,
      sym_comment,
    STATE(4936), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99213] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5156), 1,
      anon_sym_RBRACK,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3198), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99326] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6011), 1,
      anon_sym_STAR,
    ACTIONS(6013), 1,
      anon_sym_async,
    STATE(3199), 1,
      sym_comment,
    STATE(3957), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6015), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99401] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4986), 1,
      anon_sym_extends,
    STATE(3200), 1,
      sym_comment,
    ACTIONS(5506), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5503), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3201), 1,
      sym_comment,
    ACTIONS(5618), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5620), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99517] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3202), 1,
      sym_comment,
    ACTIONS(5490), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5492), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99572] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4865), 1,
      anon_sym_extends,
    STATE(3203), 1,
      sym_comment,
    ACTIONS(5702), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5699), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(5454), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5456), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99633] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(6049), 1,
      anon_sym_STAR,
    ACTIONS(6051), 1,
      anon_sym_async,
    STATE(3204), 1,
      sym_comment,
    STATE(4018), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6055), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99708] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5154), 1,
      anon_sym_RBRACK,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3205), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99821] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6395), 1,
      anon_sym_STAR,
    STATE(3206), 1,
      sym_comment,
    STATE(4836), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6397), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99894] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(4948), 1,
      anon_sym_RBRACE,
    STATE(3207), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99961] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6059), 1,
      anon_sym_STAR,
    ACTIONS(6061), 1,
      anon_sym_async,
    STATE(3208), 1,
      sym_comment,
    STATE(4040), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6065), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100036] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    ACTIONS(6399), 1,
      anon_sym_COLON,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3209), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100149] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6351), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3210), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [100232] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5058), 1,
      anon_sym_RBRACK,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3211), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100345] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4978), 1,
      anon_sym_RBRACK,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3212), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100458] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3213), 1,
      sym_comment,
    ACTIONS(6279), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100515] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(5971), 1,
      anon_sym_STAR,
    ACTIONS(5973), 1,
      anon_sym_async,
    STATE(3214), 1,
      sym_comment,
    STATE(4023), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5977), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100590] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4984), 1,
      anon_sym_QMARK,
    STATE(3215), 1,
      sym_comment,
    ACTIONS(4986), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5506), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5503), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100653] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3216), 1,
      sym_comment,
    ACTIONS(5733), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5735), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100708] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    ACTIONS(6401), 1,
      anon_sym_RBRACK,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3217), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100821] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3218), 1,
      sym_comment,
    ACTIONS(6403), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6405), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100880] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3219), 1,
      sym_comment,
    ACTIONS(2275), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100937] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6407), 1,
      sym__automatic_semicolon,
    STATE(3220), 1,
      sym_comment,
    ACTIONS(2347), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2161), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100996] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4243), 1,
      anon_sym_COLON,
    ACTIONS(5503), 1,
      anon_sym_LBRACK,
    STATE(3221), 1,
      sym_comment,
    ACTIONS(5506), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4986), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101061] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3222), 1,
      sym_comment,
    ACTIONS(2271), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2099), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101118] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5312), 1,
      anon_sym_RBRACE,
    STATE(3223), 1,
      sym_comment,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101185] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3224), 1,
      sym_comment,
    ACTIONS(5687), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5689), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101240] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3225), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [101339] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3226), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [101436] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(5312), 1,
      anon_sym_RBRACE,
    STATE(3227), 1,
      sym_comment,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101503] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3228), 1,
      sym_comment,
    ACTIONS(5654), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5656), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101558] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3229), 1,
      sym_comment,
    ACTIONS(5643), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5645), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101613] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6409), 1,
      sym__automatic_semicolon,
    STATE(3230), 1,
      sym_comment,
    ACTIONS(2271), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2099), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101672] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6391), 1,
      anon_sym_STAR,
    ACTIONS(6411), 1,
      anon_sym_async,
    STATE(3231), 1,
      sym_comment,
    STATE(3945), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6413), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101747] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6049), 1,
      anon_sym_STAR,
    STATE(3232), 1,
      sym_comment,
    STATE(4857), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6415), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101820] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4243), 1,
      anon_sym_COLON,
    ACTIONS(4986), 1,
      anon_sym_extends,
    ACTIONS(5503), 1,
      anon_sym_LBRACK,
    STATE(3233), 1,
      sym_comment,
    ACTIONS(5506), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6417), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101887] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(5969), 1,
      anon_sym_RBRACE,
    STATE(3234), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101968] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_RBRACE,
    STATE(3235), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102051] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3236), 1,
      sym_comment,
    ACTIONS(2191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2195), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102106] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3237), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [102201] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3238), 1,
      sym_comment,
    ACTIONS(5725), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5727), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102256] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6351), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3239), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [102339] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3240), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [102442] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_of,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6315), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6317), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3241), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102555] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3242), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [102656] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6421), 1,
      sym_regex_flags,
    STATE(3243), 1,
      sym_comment,
    ACTIONS(6069), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6071), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [102713] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5750), 1,
      anon_sym_STAR,
    STATE(3244), 1,
      sym_comment,
    STATE(4968), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6423), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102786] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_RBRACK,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6221), 1,
      anon_sym_GT_GT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6227), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6233), 1,
      anon_sym_PERCENT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6237), 1,
      anon_sym_LT,
    ACTIONS(6245), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6247), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3245), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6215), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6223), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6231), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6241), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6239), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102899] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4228), 1,
      anon_sym_EQ,
    ACTIONS(5503), 1,
      anon_sym_LBRACK,
    STATE(3246), 1,
      sym_comment,
    ACTIONS(4986), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5506), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102962] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6351), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3247), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [103039] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4265), 1,
      anon_sym_EQ,
    ACTIONS(5503), 1,
      anon_sym_LBRACK,
    STATE(3248), 1,
      sym_comment,
    ACTIONS(4986), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5506), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103102] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    STATE(3249), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103159] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6425), 1,
      sym__automatic_semicolon,
    STATE(3250), 1,
      sym_comment,
    ACTIONS(2311), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2165), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2169), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103218] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6427), 1,
      sym__automatic_semicolon,
    STATE(3251), 1,
      sym_comment,
    ACTIONS(2317), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2181), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2185), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103277] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3252), 1,
      sym_comment,
    ACTIONS(5660), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5662), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103332] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3253), 1,
      sym_comment,
    ACTIONS(5721), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5723), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103387] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3254), 1,
      sym_comment,
    ACTIONS(5668), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5670), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103442] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3255), 1,
      sym_comment,
    ACTIONS(5672), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5674), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103497] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6429), 1,
      anon_sym_LPAREN,
    ACTIONS(6432), 1,
      anon_sym_COLON,
    ACTIONS(6434), 1,
      anon_sym_LT,
    ACTIONS(6437), 1,
      anon_sym_QMARK,
    STATE(3256), 1,
      sym_comment,
    ACTIONS(4105), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103560] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6439), 1,
      sym__automatic_semicolon,
    STATE(3257), 1,
      sym_comment,
    ACTIONS(2317), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2181), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2185), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103619] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3258), 1,
      sym_comment,
    ACTIONS(2181), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2185), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103674] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3259), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [103761] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5156), 1,
      anon_sym_of,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6315), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6317), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3260), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103874] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6441), 1,
      sym__automatic_semicolon,
    STATE(3261), 1,
      sym_comment,
    ACTIONS(2311), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2165), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2169), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103933] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3262), 1,
      sym_comment,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2123), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103988] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(6025), 1,
      anon_sym_RBRACE,
    STATE(3263), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104069] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3264), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104182] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3265), 1,
      sym_comment,
    ACTIONS(2165), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2169), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104237] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(6025), 1,
      anon_sym_RBRACE,
    STATE(3266), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104320] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5154), 1,
      anon_sym_of,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6315), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6317), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3267), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104433] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3268), 1,
      sym_comment,
    ACTIONS(5460), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5462), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104488] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3269), 1,
      sym_comment,
    ACTIONS(2227), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2231), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104543] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6445), 1,
      sym__automatic_semicolon,
    STATE(3270), 1,
      sym_comment,
    ACTIONS(2357), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2237), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2241), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104602] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(4978), 1,
      anon_sym_of,
    ACTIONS(6189), 1,
      anon_sym_GT_GT,
    ACTIONS(6195), 1,
      anon_sym_PERCENT,
    ACTIONS(6197), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6199), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6315), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6317), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3271), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6185), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6191), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6193), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6201), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104715] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5611), 1,
      anon_sym_EQ,
    ACTIONS(5886), 1,
      anon_sym_of,
    ACTIONS(6447), 1,
      anon_sym_in,
    STATE(3272), 1,
      sym_comment,
    ACTIONS(5609), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5613), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104776] = 24,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2089), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6452), 1,
      anon_sym_COMMA,
    ACTIONS(6454), 1,
      anon_sym_RBRACE,
    ACTIONS(6456), 1,
      anon_sym_async,
    ACTIONS(6458), 1,
      anon_sym_static,
    ACTIONS(6460), 1,
      anon_sym_readonly,
    ACTIONS(6466), 1,
      anon_sym_override,
    STATE(3273), 1,
      sym_comment,
    STATE(3607), 1,
      sym_accessibility_modifier,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4568), 1,
      sym__property_name,
    STATE(5889), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6462), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(6464), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5892), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(6450), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104869] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6357), 1,
      anon_sym_STAR,
    STATE(3274), 1,
      sym_comment,
    STATE(4980), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6468), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3275), 1,
      sym_comment,
    ACTIONS(2237), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2241), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104997] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6251), 1,
      anon_sym_STAR,
    ACTIONS(6470), 1,
      anon_sym_async,
    STATE(3276), 1,
      sym_comment,
    STATE(3940), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105072] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6421), 1,
      sym_regex_flags,
    STATE(3277), 1,
      sym_comment,
    ACTIONS(6069), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6071), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [105129] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6474), 1,
      anon_sym_STAR,
    STATE(3278), 1,
      sym_comment,
    STATE(4913), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6476), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105202] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3279), 1,
      sym_comment,
    ACTIONS(6478), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6480), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105261] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_RBRACE,
    STATE(3280), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3281), 1,
      sym_comment,
    ACTIONS(5618), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5620), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105397] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6235), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6261), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3282), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [105474] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6482), 1,
      sym__automatic_semicolon,
    STATE(3283), 1,
      sym_comment,
    ACTIONS(2329), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2195), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105533] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    ACTIONS(6484), 1,
      anon_sym_COLON,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3284), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105646] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6486), 1,
      sym__automatic_semicolon,
    STATE(3285), 1,
      sym_comment,
    ACTIONS(2333), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2199), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2203), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105705] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3286), 1,
      sym_comment,
    ACTIONS(2129), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3287), 1,
      sym_comment,
    ACTIONS(5476), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5478), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105815] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3288), 1,
      sym_comment,
    ACTIONS(5472), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5474), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3289), 1,
      sym_comment,
    ACTIONS(2137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2141), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105925] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3290), 1,
      sym_comment,
    ACTIONS(5678), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5680), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3291), 1,
      sym_comment,
    ACTIONS(5468), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5470), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106035] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3292), 1,
      sym_comment,
    ACTIONS(6036), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6158), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106094] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3293), 1,
      sym_comment,
    ACTIONS(2391), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2173), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2175), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106151] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3294), 1,
      sym_comment,
    ACTIONS(5717), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5719), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106206] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6488), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_COLON,
    ACTIONS(6493), 1,
      anon_sym_LT,
    ACTIONS(6496), 1,
      anon_sym_QMARK,
    STATE(3295), 1,
      sym_comment,
    ACTIONS(5733), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5735), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106269] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3296), 1,
      sym_comment,
    ACTIONS(5622), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106324] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6498), 1,
      anon_sym_STAR,
    STATE(3297), 1,
      sym_comment,
    STATE(4937), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6500), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106397] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3298), 1,
      sym_comment,
    ACTIONS(2149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106452] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6289), 1,
      anon_sym_STAR,
    ACTIONS(6291), 1,
      anon_sym_async,
    STATE(3299), 1,
      sym_comment,
    STATE(3968), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6293), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106527] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3300), 1,
      sym_comment,
    ACTIONS(2333), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2199), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2203), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3301), 1,
      sym_comment,
    ACTIONS(5709), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5711), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106639] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3302), 1,
      sym_comment,
    ACTIONS(5729), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5731), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106694] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(5969), 1,
      anon_sym_RBRACE,
    STATE(3303), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106777] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6502), 1,
      sym__automatic_semicolon,
    STATE(3304), 1,
      sym_comment,
    ACTIONS(2341), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2227), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2231), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106836] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6011), 1,
      anon_sym_STAR,
    STATE(3305), 1,
      sym_comment,
    STATE(4933), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106909] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3306), 1,
      sym_comment,
    ACTIONS(5162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3307), 1,
      sym_comment,
    ACTIONS(2157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2161), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107019] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3308), 1,
      sym_comment,
    ACTIONS(2329), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2195), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107076] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_COMMA,
    ACTIONS(4948), 1,
      anon_sym_RBRACE,
    STATE(3309), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107143] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3310), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107198] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3311), 1,
      sym_comment,
    ACTIONS(5448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5450), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107253] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    STATE(3312), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107310] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3313), 1,
      sym_comment,
    ACTIONS(2347), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2161), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107367] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(3314), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107448] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(3315), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107531] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5884), 1,
      anon_sym_of,
    ACTIONS(6506), 1,
      anon_sym_in,
    STATE(3316), 1,
      sym_comment,
    ACTIONS(2057), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107592] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_STAR,
    STATE(3317), 1,
      sym_comment,
    STATE(4821), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6509), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107665] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(6003), 1,
      anon_sym_RBRACE,
    STATE(3318), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107746] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6373), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_async,
    STATE(3319), 1,
      sym_comment,
    STATE(3998), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6513), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107821] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(6003), 1,
      anon_sym_RBRACE,
    STATE(3320), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107904] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6082), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_GT_GT,
    ACTIONS(6090), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_PERCENT,
    ACTIONS(6100), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6102), 1,
      anon_sym_LT,
    ACTIONS(6110), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6112), 1,
      sym__ternary_qmark,
    ACTIONS(6515), 1,
      anon_sym_COLON,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3321), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6080), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6088), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6096), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6106), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6108), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6104), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108017] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_STAR,
    ACTIONS(5918), 1,
      anon_sym_async,
    STATE(3322), 1,
      sym_comment,
    STATE(3960), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5920), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108092] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3323), 1,
      sym_comment,
    ACTIONS(2357), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2237), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2241), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108149] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3426), 1,
      anon_sym_extends,
    STATE(3324), 1,
      sym_comment,
    ACTIONS(5133), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5136), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2057), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108211] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3325), 1,
      sym_comment,
    STATE(4980), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108279] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_comment,
    STATE(4795), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108347] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3327), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108457] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3328), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108567] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6073), 1,
      sym_regex_flags,
    STATE(3329), 1,
      sym_comment,
    ACTIONS(6069), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(6071), 22,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [108623] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3330), 1,
      sym_comment,
    STATE(4896), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108691] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_EQ,
    ACTIONS(5503), 1,
      anon_sym_LBRACK,
    STATE(3331), 1,
      sym_comment,
    ACTIONS(4986), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5506), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108753] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(6452), 1,
      anon_sym_COMMA,
    ACTIONS(6553), 1,
      anon_sym_RBRACE,
    STATE(3332), 1,
      sym_comment,
    STATE(3662), 1,
      sym_override_modifier,
    STATE(4927), 1,
      sym__property_name,
    STATE(5801), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108837] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5969), 1,
      anon_sym_RBRACE,
    STATE(3333), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108913] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3334), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109023] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    STATE(3335), 1,
      sym_comment,
    ACTIONS(1037), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109079] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3336), 1,
      sym_comment,
    STATE(4933), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109147] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3337), 1,
      sym_comment,
    STATE(4831), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109215] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3338), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109325] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3339), 1,
      sym_comment,
    STATE(4823), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109393] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3340), 1,
      sym_comment,
    STATE(4836), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109461] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3341), 1,
      sym_comment,
    STATE(4937), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109529] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3342), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109639] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3343), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109749] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3344), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109859] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3345), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109969] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3346), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110079] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3347), 1,
      sym_comment,
    STATE(4815), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110147] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_RBRACE,
    STATE(3348), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110223] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3349), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110333] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6025), 1,
      anon_sym_RBRACE,
    STATE(3350), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110409] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3351), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110519] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3352), 1,
      sym_comment,
    STATE(4843), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110587] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4284), 1,
      anon_sym_EQ,
    ACTIONS(5503), 1,
      anon_sym_LBRACK,
    STATE(3353), 1,
      sym_comment,
    ACTIONS(4986), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5506), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110649] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3354), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110759] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3355), 1,
      sym_comment,
    STATE(4968), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110827] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4216), 1,
      anon_sym_EQ,
    STATE(3356), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [110883] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3357), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110993] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3358), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 4,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [111097] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_QMARK,
    ACTIONS(4821), 1,
      anon_sym_extends,
    STATE(3359), 1,
      sym_comment,
    ACTIONS(5497), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5494), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111159] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3360), 1,
      sym_comment,
    STATE(4825), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111227] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3361), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5160), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [111317] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3362), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111427] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3363), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111503] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3364), 1,
      sym_comment,
    STATE(4206), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111571] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6043), 1,
      anon_sym_RBRACE,
    STATE(3365), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111647] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3366), 1,
      sym_comment,
    STATE(4942), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111715] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3367), 1,
      sym_comment,
    STATE(4963), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111783] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3368), 1,
      sym_comment,
    STATE(4969), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111851] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3369), 1,
      sym_comment,
    ACTIONS(5008), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111907] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3370), 1,
      sym_comment,
    ACTIONS(5092), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(5090), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111965] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(5339), 1,
      anon_sym_BANG,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5345), 1,
      anon_sym_LBRACK,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(3371), 1,
      sym_comment,
    STATE(3466), 1,
      sym_type_arguments,
    STATE(6197), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112075] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3372), 1,
      sym_comment,
    STATE(4936), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112143] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5494), 1,
      anon_sym_LBRACK,
    STATE(3373), 1,
      sym_comment,
    ACTIONS(4821), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5497), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112203] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3374), 1,
      sym_comment,
    STATE(4857), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112271] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5104), 1,
      anon_sym_EQ,
    ACTIONS(5114), 1,
      anon_sym_extends,
    STATE(3375), 1,
      sym_comment,
    ACTIONS(5108), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5111), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5102), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112333] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3376), 1,
      sym_comment,
    STATE(4923), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112401] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1039), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3377), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112477] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2089), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6559), 1,
      anon_sym_async,
    ACTIONS(6561), 1,
      anon_sym_static,
    ACTIONS(6563), 1,
      anon_sym_readonly,
    ACTIONS(6569), 1,
      anon_sym_override,
    STATE(3378), 1,
      sym_comment,
    STATE(3607), 1,
      sym_accessibility_modifier,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4568), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6557), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(6565), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(6567), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6869), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(6555), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112565] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3379), 1,
      sym_comment,
    STATE(4285), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112633] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6571), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3380), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 13,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [112715] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6571), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3381), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [112795] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3382), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [112893] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3383), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5160), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [112989] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3384), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [113083] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6571), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3385), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [113165] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3386), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [113267] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    STATE(3387), 1,
      sym_comment,
    ACTIONS(4336), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113325] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1016), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3388), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113401] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5160), 1,
      anon_sym_BANG,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3389), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5158), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [113501] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(3390), 1,
      sym_comment,
    STATE(3662), 1,
      sym_override_modifier,
    STATE(4927), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6574), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113583] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6571), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3391), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [113659] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3392), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5160), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [113745] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3393), 1,
      sym_comment,
    STATE(4913), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113813] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3394), 1,
      sym_comment,
    STATE(4935), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113881] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5503), 1,
      anon_sym_LBRACK,
    STATE(3395), 1,
      sym_comment,
    ACTIONS(4986), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5506), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113941] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6577), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3396), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4871), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4873), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [114013] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5611), 1,
      anon_sym_EQ,
    ACTIONS(5886), 1,
      anon_sym_COLON,
    STATE(3397), 1,
      sym_comment,
    ACTIONS(5615), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5609), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5613), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114073] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5699), 1,
      anon_sym_LBRACK,
    STATE(3398), 1,
      sym_comment,
    ACTIONS(4865), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5702), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5454), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5456), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114133] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6523), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6525), 1,
      anon_sym_GT_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP,
    ACTIONS(6531), 1,
      anon_sym_CARET,
    ACTIONS(6533), 1,
      anon_sym_PIPE,
    ACTIONS(6537), 1,
      anon_sym_PERCENT,
    ACTIONS(6539), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6541), 1,
      anon_sym_LT,
    ACTIONS(6549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6551), 1,
      sym__ternary_qmark,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3399), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6517), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6519), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6527), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6535), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6545), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6547), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6543), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114243] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3400), 1,
      sym_comment,
    STATE(4821), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114311] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6580), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3401), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4969), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4971), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [114385] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4882), 1,
      anon_sym_as,
    ACTIONS(4886), 1,
      anon_sym_BANG,
    ACTIONS(4924), 1,
      anon_sym_satisfies,
    ACTIONS(6583), 1,
      anon_sym_LT,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(3402), 1,
      sym_comment,
    STATE(6217), 1,
      sym_optional_chain,
    ACTIONS(4922), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4930), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4932), 14,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [114465] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(4986), 1,
      anon_sym_extends,
    STATE(3403), 1,
      sym_comment,
    ACTIONS(5503), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5506), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114527] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(3404), 1,
      sym_comment,
    STATE(3662), 1,
      sym_override_modifier,
    STATE(4927), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6586), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114606] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6588), 1,
      anon_sym_readonly,
    STATE(3405), 1,
      sym_comment,
    STATE(3692), 1,
      sym_override_modifier,
    STATE(4308), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114679] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(5922), 1,
      anon_sym_abstract,
    STATE(3406), 1,
      sym_comment,
    STATE(4206), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114748] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3407), 1,
      sym_comment,
    ACTIONS(5008), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114803] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_readonly,
    STATE(3408), 1,
      sym_comment,
    STATE(3712), 1,
      sym_override_modifier,
    STATE(4206), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114876] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4228), 1,
      anon_sym_EQ,
    STATE(3409), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114931] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6592), 1,
      anon_sym_readonly,
    STATE(3410), 1,
      sym_comment,
    STATE(3715), 1,
      sym_override_modifier,
    STATE(4323), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115004] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(5503), 1,
      anon_sym_LBRACK,
    STATE(3411), 1,
      sym_comment,
    ACTIONS(4986), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5506), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115065] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3412), 1,
      sym_comment,
    ACTIONS(5450), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6594), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6597), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115120] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(6452), 1,
      anon_sym_COMMA,
    ACTIONS(6553), 1,
      anon_sym_RBRACE,
    STATE(3413), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(5801), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115195] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    STATE(3414), 1,
      sym_comment,
    ACTIONS(5825), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115254] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    STATE(3415), 1,
      sym_comment,
    ACTIONS(5825), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1037), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115313] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4536), 1,
      anon_sym_AT,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6600), 1,
      anon_sym_STAR,
    ACTIONS(6602), 1,
      anon_sym_async,
    ACTIONS(6604), 1,
      anon_sym_static,
    ACTIONS(6606), 1,
      anon_sym_readonly,
    ACTIONS(6610), 1,
      anon_sym_declare,
    ACTIONS(6612), 1,
      anon_sym_abstract,
    STATE(3416), 1,
      sym_comment,
    STATE(3509), 1,
      sym_method_definition,
    STATE(3596), 1,
      sym_accessibility_modifier,
    STATE(3620), 1,
      aux_sym_export_statement_repeat1,
    STATE(3653), 1,
      sym_override_modifier,
    STATE(3732), 1,
      sym_decorator,
    STATE(3933), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6608), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4546), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(4354), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115406] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6614), 1,
      anon_sym_abstract,
    STATE(3417), 1,
      sym_comment,
    STATE(4326), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115475] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6616), 1,
      anon_sym_abstract,
    STATE(3418), 1,
      sym_comment,
    STATE(4324), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115544] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5494), 1,
      anon_sym_LBRACK,
    STATE(3419), 1,
      sym_comment,
    ACTIONS(5497), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4821), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115603] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(6452), 1,
      anon_sym_COMMA,
    ACTIONS(6553), 1,
      anon_sym_RBRACE,
    STATE(3420), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(5801), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115680] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4265), 1,
      anon_sym_EQ,
    STATE(3421), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115735] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3422), 1,
      sym_comment,
    ACTIONS(5719), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6618), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6621), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115790] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3423), 1,
      sym_comment,
    ACTIONS(5731), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6624), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6627), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115845] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3424), 1,
      sym_comment,
    ACTIONS(2153), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6630), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6633), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115900] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4821), 1,
      anon_sym_extends,
    STATE(3425), 1,
      sym_comment,
    ACTIONS(5494), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5497), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115959] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(3426), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6574), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116032] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3427), 1,
      sym_comment,
    ACTIONS(5550), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6636), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6639), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116087] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5699), 1,
      anon_sym_LBRACK,
    STATE(3428), 1,
      sym_comment,
    ACTIONS(5702), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4865), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5454), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5456), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116146] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_abstract,
    STATE(3429), 1,
      sym_comment,
    STATE(4260), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116215] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(3430), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6574), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116290] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6644), 1,
      anon_sym_readonly,
    STATE(3431), 1,
      sym_comment,
    STATE(3726), 1,
      sym_override_modifier,
    STATE(4259), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116363] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5611), 1,
      anon_sym_EQ,
    ACTIONS(5615), 1,
      anon_sym_RBRACK,
    ACTIONS(5886), 1,
      anon_sym_COMMA,
    STATE(3432), 1,
      sym_comment,
    ACTIONS(5609), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5613), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116422] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    STATE(3433), 1,
      sym_comment,
    ACTIONS(1037), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2429), 30,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [116477] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6279), 1,
      anon_sym_COMMA,
    STATE(3434), 1,
      sym_comment,
    ACTIONS(5162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116532] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5104), 1,
      anon_sym_EQ,
    ACTIONS(5511), 1,
      anon_sym_RBRACK,
    ACTIONS(5854), 1,
      anon_sym_COMMA,
    STATE(3435), 1,
      sym_comment,
    ACTIONS(5102), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116591] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6646), 1,
      anon_sym_readonly,
    STATE(3436), 1,
      sym_comment,
    STATE(3681), 1,
      sym_override_modifier,
    STATE(4285), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116664] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4211), 1,
      anon_sym_RBRACK,
    ACTIONS(4260), 1,
      anon_sym_COMMA,
    ACTIONS(4339), 1,
      anon_sym_EQ,
    STATE(3437), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116723] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6648), 1,
      anon_sym_abstract,
    STATE(3438), 1,
      sym_comment,
    STATE(4285), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116792] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3439), 1,
      sym_comment,
    ACTIONS(2241), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6650), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6653), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116847] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5684), 1,
      anon_sym_RBRACK,
    ACTIONS(5884), 1,
      anon_sym_COMMA,
    STATE(3440), 1,
      sym_comment,
    ACTIONS(2057), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116906] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3441), 1,
      sym_comment,
    ACTIONS(2195), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6656), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6659), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116961] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3442), 1,
      sym_comment,
    ACTIONS(2203), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6662), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6665), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117016] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5503), 1,
      anon_sym_LBRACK,
    STATE(3443), 1,
      sym_comment,
    ACTIONS(5506), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4986), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4105), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117075] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1016), 1,
      anon_sym_RBRACE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    STATE(3444), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117137] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3445), 1,
      sym_comment,
    STATE(4284), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117203] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    STATE(3446), 1,
      sym_comment,
    ACTIONS(1037), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117257] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3447), 1,
      sym_comment,
    STATE(4215), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117323] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(6043), 1,
      anon_sym_RBRACE,
    STATE(3448), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117385] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(6025), 1,
      anon_sym_RBRACE,
    STATE(3449), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117447] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(6043), 1,
      anon_sym_RBRACE,
    STATE(3450), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117509] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2059), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5884), 1,
      anon_sym_of,
    ACTIONS(6506), 1,
      anon_sym_in,
    STATE(3451), 1,
      sym_comment,
    ACTIONS(2057), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117567] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(6025), 1,
      anon_sym_RBRACE,
    STATE(3452), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117629] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3453), 1,
      sym_comment,
    STATE(4234), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117695] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1039), 1,
      anon_sym_RBRACE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    STATE(3454), 1,
      sym_comment,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117757] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1039), 1,
      anon_sym_RBRACE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    STATE(3455), 1,
      sym_comment,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117819] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3456), 1,
      sym_comment,
    STATE(4390), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117885] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3457), 1,
      sym_comment,
    STATE(4348), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117951] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_EQ,
    STATE(3458), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118005] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3459), 1,
      sym_comment,
    STATE(4255), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118071] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3460), 1,
      sym_comment,
    STATE(4277), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118137] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3461), 1,
      sym_comment,
    STATE(4269), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118203] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5969), 1,
      anon_sym_RBRACE,
    STATE(3462), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118265] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6073), 1,
      sym_regex_flags,
    STATE(3463), 1,
      sym_comment,
    ACTIONS(6069), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6071), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [118319] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4284), 1,
      anon_sym_EQ,
    STATE(3464), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118373] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3465), 1,
      sym_comment,
    STATE(4283), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118439] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    STATE(3466), 1,
      sym_comment,
    STATE(3189), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4845), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4847), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [118497] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(3467), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6586), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118569] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4327), 1,
      anon_sym_in,
    ACTIONS(4330), 1,
      anon_sym_of,
    STATE(3468), 1,
      sym_comment,
    ACTIONS(4105), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118627] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3469), 1,
      sym_comment,
    STATE(4267), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118693] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3470), 1,
      sym_comment,
    STATE(4235), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118759] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3471), 1,
      sym_comment,
    STATE(4353), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118825] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(3472), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6586), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118895] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3473), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6574), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118963] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3474), 1,
      sym_comment,
    STATE(4210), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119029] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1016), 1,
      anon_sym_RBRACE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    STATE(3475), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119091] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(6003), 1,
      anon_sym_RBRACE,
    STATE(3476), 1,
      sym_comment,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119153] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3477), 1,
      sym_comment,
    STATE(4257), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119219] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(6003), 1,
      anon_sym_RBRACE,
    STATE(3478), 1,
      sym_comment,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119281] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3479), 1,
      sym_comment,
    STATE(4272), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119347] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6452), 1,
      anon_sym_COMMA,
    ACTIONS(6553), 1,
      anon_sym_RBRACE,
    STATE(3480), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    STATE(5801), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119417] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    STATE(3481), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119479] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    STATE(3482), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119541] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4494), 1,
      sym__automatic_semicolon,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3483), 1,
      sym_comment,
    STATE(4339), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119607] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(5969), 1,
      anon_sym_RBRACE,
    STATE(3484), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119669] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5611), 1,
      anon_sym_EQ,
    ACTIONS(5886), 1,
      anon_sym_of,
    ACTIONS(6447), 1,
      anon_sym_in,
    STATE(3485), 1,
      sym_comment,
    ACTIONS(5609), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5613), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119727] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5104), 1,
      anon_sym_EQ,
    ACTIONS(5854), 1,
      anon_sym_of,
    ACTIONS(6319), 1,
      anon_sym_in,
    STATE(3486), 1,
      sym_comment,
    ACTIONS(5102), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119785] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4456), 1,
      anon_sym_EQ,
    STATE(3487), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119838] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4424), 1,
      anon_sym_EQ,
    STATE(3488), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119891] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4434), 1,
      anon_sym_EQ,
    STATE(3489), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119944] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4476), 1,
      anon_sym_EQ,
    STATE(3490), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119997] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4410), 1,
      anon_sym_EQ,
    STATE(3491), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120050] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4408), 1,
      anon_sym_EQ,
    STATE(3492), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120103] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3493), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6586), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120168] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4466), 1,
      anon_sym_EQ,
    STATE(3494), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120221] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    STATE(3495), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120274] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4432), 1,
      anon_sym_EQ,
    STATE(3496), 1,
      sym_comment,
    ACTIONS(4105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120327] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2083), 1,
      sym__automatic_semicolon,
    STATE(3497), 1,
      sym_comment,
    ACTIONS(2081), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120377] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6670), 1,
      sym__automatic_semicolon,
    STATE(3498), 1,
      sym_comment,
    ACTIONS(6668), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120427] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6674), 1,
      sym__automatic_semicolon,
    STATE(3499), 1,
      sym_comment,
    ACTIONS(6672), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120477] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6678), 1,
      sym__automatic_semicolon,
    STATE(3500), 1,
      sym_comment,
    ACTIONS(6676), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120527] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6680), 1,
      sym__automatic_semicolon,
    STATE(3501), 1,
      sym_comment,
    ACTIONS(2091), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120577] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6684), 1,
      sym__automatic_semicolon,
    STATE(3502), 1,
      sym_comment,
    ACTIONS(6682), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120627] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6674), 1,
      sym__automatic_semicolon,
    STATE(3503), 1,
      sym_comment,
    ACTIONS(6672), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120677] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2093), 1,
      sym__automatic_semicolon,
    STATE(3504), 1,
      sym_comment,
    ACTIONS(2091), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120727] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6688), 1,
      sym__automatic_semicolon,
    STATE(3505), 1,
      sym_comment,
    ACTIONS(6686), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120777] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6690), 1,
      sym__automatic_semicolon,
    STATE(3506), 1,
      sym_comment,
    ACTIONS(2055), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120827] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6678), 1,
      sym__automatic_semicolon,
    STATE(3507), 1,
      sym_comment,
    ACTIONS(6676), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120877] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6674), 1,
      sym__automatic_semicolon,
    STATE(3508), 1,
      sym_comment,
    ACTIONS(6672), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120927] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6694), 1,
      anon_sym_SEMI,
    ACTIONS(6697), 1,
      sym__automatic_semicolon,
    STATE(3509), 1,
      sym_comment,
    ACTIONS(6692), 34,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120979] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6701), 1,
      sym__automatic_semicolon,
    STATE(3510), 1,
      sym_comment,
    ACTIONS(6699), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121029] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6705), 1,
      sym__automatic_semicolon,
    STATE(3511), 1,
      sym_comment,
    ACTIONS(6703), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121079] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6709), 1,
      sym__automatic_semicolon,
    STATE(3512), 1,
      sym_comment,
    ACTIONS(6707), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121129] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6713), 1,
      sym__automatic_semicolon,
    STATE(3513), 1,
      sym_comment,
    ACTIONS(6711), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121179] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6717), 1,
      sym__automatic_semicolon,
    STATE(3514), 1,
      sym_comment,
    ACTIONS(6715), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121229] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6721), 1,
      sym__automatic_semicolon,
    STATE(3515), 1,
      sym_comment,
    ACTIONS(6719), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121279] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6713), 1,
      sym__automatic_semicolon,
    STATE(3516), 1,
      sym_comment,
    ACTIONS(6711), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121329] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    STATE(3517), 1,
      sym_comment,
    ACTIONS(6574), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121383] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6721), 1,
      sym__automatic_semicolon,
    STATE(3518), 1,
      sym_comment,
    ACTIONS(6719), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121433] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6674), 1,
      sym__automatic_semicolon,
    STATE(3519), 1,
      sym_comment,
    ACTIONS(6672), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121483] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6725), 1,
      sym__automatic_semicolon,
    STATE(3520), 1,
      sym_comment,
    ACTIONS(6723), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121533] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6717), 1,
      sym__automatic_semicolon,
    STATE(3521), 1,
      sym_comment,
    ACTIONS(6715), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121583] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6678), 1,
      sym__automatic_semicolon,
    STATE(3522), 1,
      sym_comment,
    ACTIONS(6676), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121633] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6721), 1,
      sym__automatic_semicolon,
    STATE(3523), 1,
      sym_comment,
    ACTIONS(6719), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121683] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6717), 1,
      sym__automatic_semicolon,
    STATE(3524), 1,
      sym_comment,
    ACTIONS(6715), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121733] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6674), 1,
      sym__automatic_semicolon,
    STATE(3525), 1,
      sym_comment,
    ACTIONS(6672), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121783] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6717), 1,
      sym__automatic_semicolon,
    STATE(3526), 1,
      sym_comment,
    ACTIONS(6715), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121833] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6678), 1,
      sym__automatic_semicolon,
    STATE(3527), 1,
      sym_comment,
    ACTIONS(6676), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121883] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6678), 1,
      sym__automatic_semicolon,
    STATE(3528), 1,
      sym_comment,
    ACTIONS(6676), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121933] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6678), 1,
      sym__automatic_semicolon,
    STATE(3529), 1,
      sym_comment,
    ACTIONS(6676), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121983] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6721), 1,
      sym__automatic_semicolon,
    STATE(3530), 1,
      sym_comment,
    ACTIONS(6719), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122033] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6717), 1,
      sym__automatic_semicolon,
    STATE(3531), 1,
      sym_comment,
    ACTIONS(6715), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122083] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6688), 1,
      sym__automatic_semicolon,
    STATE(3532), 1,
      sym_comment,
    ACTIONS(6686), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122133] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6727), 1,
      anon_sym_STAR,
    ACTIONS(6729), 1,
      anon_sym_async,
    ACTIONS(6731), 1,
      anon_sym_readonly,
    STATE(3533), 1,
      sym_comment,
    STATE(3669), 1,
      sym_override_modifier,
    STATE(4940), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6733), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122207] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6684), 1,
      sym__automatic_semicolon,
    STATE(3534), 1,
      sym_comment,
    ACTIONS(6682), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122257] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6678), 1,
      sym__automatic_semicolon,
    STATE(3535), 1,
      sym_comment,
    ACTIONS(6676), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122307] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6701), 1,
      sym__automatic_semicolon,
    STATE(3536), 1,
      sym_comment,
    ACTIONS(6699), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122357] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6737), 1,
      sym__automatic_semicolon,
    STATE(3537), 1,
      sym_comment,
    ACTIONS(6735), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122407] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6713), 1,
      sym__automatic_semicolon,
    STATE(3538), 1,
      sym_comment,
    ACTIONS(6711), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122457] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    STATE(3539), 1,
      sym_comment,
    ACTIONS(6574), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122511] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6741), 1,
      sym__automatic_semicolon,
    STATE(3540), 1,
      sym_comment,
    ACTIONS(6739), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122561] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6717), 1,
      sym__automatic_semicolon,
    STATE(3541), 1,
      sym_comment,
    ACTIONS(6715), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122611] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6684), 1,
      sym__automatic_semicolon,
    STATE(3542), 1,
      sym_comment,
    ACTIONS(6682), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122661] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6452), 1,
      anon_sym_COMMA,
    ACTIONS(6553), 1,
      anon_sym_RBRACE,
    STATE(3543), 1,
      sym_comment,
    STATE(5801), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122717] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6452), 1,
      anon_sym_COMMA,
    ACTIONS(6553), 1,
      anon_sym_RBRACE,
    STATE(3544), 1,
      sym_comment,
    STATE(5801), 1,
      aux_sym_object_repeat1,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122773] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6684), 1,
      sym__automatic_semicolon,
    STATE(3545), 1,
      sym_comment,
    ACTIONS(6682), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122823] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6713), 1,
      sym__automatic_semicolon,
    STATE(3546), 1,
      sym_comment,
    ACTIONS(6711), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122873] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6745), 1,
      anon_sym_SEMI,
    ACTIONS(6748), 1,
      sym__automatic_semicolon,
    STATE(3547), 1,
      sym_comment,
    ACTIONS(6743), 34,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122925] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6717), 1,
      sym__automatic_semicolon,
    STATE(3548), 1,
      sym_comment,
    ACTIONS(6715), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122975] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6713), 1,
      sym__automatic_semicolon,
    STATE(3549), 1,
      sym_comment,
    ACTIONS(6711), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123025] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6721), 1,
      sym__automatic_semicolon,
    STATE(3550), 1,
      sym_comment,
    ACTIONS(6719), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123075] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6684), 1,
      sym__automatic_semicolon,
    STATE(3551), 1,
      sym_comment,
    ACTIONS(6682), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123125] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6750), 1,
      sym__automatic_semicolon,
    STATE(3552), 1,
      sym_comment,
    ACTIONS(2055), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123175] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6752), 1,
      sym__automatic_semicolon,
    STATE(3553), 1,
      sym_comment,
    ACTIONS(2091), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123225] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6727), 1,
      anon_sym_STAR,
    STATE(3554), 1,
      sym_comment,
    STATE(4940), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6733), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123290] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      anon_sym_STAR,
    ACTIONS(6756), 1,
      anon_sym_async,
    STATE(3555), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6758), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123357] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    STATE(3556), 1,
      sym_comment,
    STATE(4907), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6762), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123422] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3557), 1,
      sym_comment,
    ACTIONS(6764), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123469] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3558), 1,
      sym_comment,
    ACTIONS(6586), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2429), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123520] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3559), 1,
      sym_comment,
    ACTIONS(6743), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123567] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3560), 1,
      sym_comment,
    ACTIONS(6586), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1037), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123618] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3561), 1,
      sym_comment,
    ACTIONS(6766), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123665] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      anon_sym_STAR,
    STATE(3562), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6758), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123730] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_STAR,
    ACTIONS(6770), 1,
      anon_sym_async,
    STATE(3563), 1,
      sym_comment,
    STATE(4976), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6772), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123797] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3564), 1,
      sym_comment,
    ACTIONS(6766), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123844] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3565), 1,
      sym_comment,
    ACTIONS(2091), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123891] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6774), 1,
      anon_sym_EQ_GT,
    STATE(3566), 1,
      sym_comment,
    STATE(4940), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123954] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6727), 1,
      anon_sym_STAR,
    ACTIONS(6729), 1,
      anon_sym_async,
    STATE(3567), 1,
      sym_comment,
    STATE(4940), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6733), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124021] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3568), 1,
      sym_comment,
    ACTIONS(2081), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124068] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3569), 1,
      sym_comment,
    ACTIONS(6776), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124115] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_STAR,
    STATE(3570), 1,
      sym_comment,
    STATE(4976), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6772), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124180] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3571), 1,
      sym_comment,
    STATE(4815), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124240] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3572), 1,
      sym_comment,
    STATE(4750), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124300] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3573), 1,
      sym_comment,
    STATE(4795), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124360] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3574), 1,
      sym_comment,
    STATE(4836), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124420] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3575), 1,
      sym_comment,
    STATE(4814), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124480] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3576), 1,
      sym_comment,
    STATE(4896), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124540] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3577), 1,
      sym_comment,
    STATE(4963), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124600] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(5750), 1,
      anon_sym_STAR,
    ACTIONS(5754), 1,
      anon_sym_async,
    ACTIONS(6778), 1,
      anon_sym_static,
    ACTIONS(6780), 1,
      anon_sym_readonly,
    ACTIONS(6782), 1,
      anon_sym_declare,
    ACTIONS(6784), 1,
      anon_sym_abstract,
    STATE(3578), 1,
      sym_comment,
    STATE(3671), 1,
      sym_override_modifier,
    STATE(3934), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5758), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124676] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3579), 1,
      sym_comment,
    STATE(4936), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124736] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3580), 1,
      sym_comment,
    STATE(4935), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124796] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3581), 1,
      sym_comment,
    STATE(4847), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124856] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3582), 1,
      sym_comment,
    STATE(4940), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124916] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3583), 1,
      sym_comment,
    STATE(4821), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124976] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3584), 1,
      sym_comment,
    STATE(4813), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125036] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3585), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125096] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3586), 1,
      sym_comment,
    STATE(4980), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125156] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6786), 1,
      anon_sym_LPAREN,
    ACTIONS(6788), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_comment,
    STATE(3697), 1,
      sym_arguments,
    ACTIONS(4237), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125208] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3588), 1,
      sym_comment,
    STATE(4937), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125268] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3589), 1,
      sym_comment,
    STATE(4913), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125328] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3590), 1,
      sym_comment,
    STATE(4907), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125388] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3591), 1,
      sym_comment,
    STATE(4933), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125448] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3592), 1,
      sym_comment,
    STATE(4843), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125508] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3593), 1,
      sym_comment,
    STATE(4831), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125568] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3594), 1,
      sym_comment,
    STATE(4972), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125628] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3595), 1,
      sym_comment,
    STATE(4969), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125688] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_STAR,
    ACTIONS(6128), 1,
      anon_sym_async,
    ACTIONS(6790), 1,
      anon_sym_static,
    ACTIONS(6792), 1,
      anon_sym_readonly,
    ACTIONS(6794), 1,
      anon_sym_declare,
    ACTIONS(6796), 1,
      anon_sym_abstract,
    STATE(3596), 1,
      sym_comment,
    STATE(3656), 1,
      sym_override_modifier,
    STATE(3932), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6130), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125764] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3597), 1,
      sym_comment,
    STATE(4947), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125824] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3598), 1,
      sym_comment,
    STATE(4823), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125884] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3599), 1,
      sym_comment,
    STATE(4942), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125944] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3600), 1,
      sym_comment,
    STATE(4976), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126004] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6049), 1,
      anon_sym_STAR,
    ACTIONS(6051), 1,
      anon_sym_async,
    ACTIONS(6053), 1,
      anon_sym_readonly,
    ACTIONS(6798), 1,
      anon_sym_static,
    STATE(3601), 1,
      sym_comment,
    STATE(3657), 1,
      sym_override_modifier,
    STATE(4018), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6055), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126075] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_RBRACE,
    STATE(3602), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126136] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2936), 1,
      anon_sym_type,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2956), 1,
      anon_sym_module,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2960), 1,
      anon_sym_global,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    STATE(3603), 1,
      sym_comment,
    STATE(5170), 1,
      sym_declaration,
    STATE(5184), 1,
      sym_internal_module,
    STATE(5220), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [126221] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6802), 1,
      anon_sym_RBRACE,
    STATE(3604), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126282] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2663), 1,
      anon_sym_namespace,
    ACTIONS(2669), 1,
      anon_sym_import,
    ACTIONS(2671), 1,
      anon_sym_var,
    ACTIONS(2673), 1,
      anon_sym_let,
    ACTIONS(2675), 1,
      anon_sym_const,
    ACTIONS(2683), 1,
      anon_sym_class,
    ACTIONS(2685), 1,
      anon_sym_async,
    ACTIONS(2687), 1,
      anon_sym_function,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2700), 1,
      anon_sym_declare,
    ACTIONS(2704), 1,
      anon_sym_abstract,
    ACTIONS(2706), 1,
      anon_sym_interface,
    ACTIONS(2708), 1,
      anon_sym_enum,
    ACTIONS(2738), 1,
      anon_sym_type,
    ACTIONS(2740), 1,
      anon_sym_module,
    ACTIONS(2742), 1,
      anon_sym_global,
    STATE(1643), 1,
      sym_declaration,
    STATE(1658), 1,
      sym_internal_module,
    STATE(3605), 1,
      sym_comment,
    STATE(5542), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(1650), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [126367] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(4953), 1,
      anon_sym_async,
    ACTIONS(4955), 1,
      anon_sym_readonly,
    ACTIONS(6804), 1,
      anon_sym_static,
    STATE(3606), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(3989), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126438] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    ACTIONS(6806), 1,
      anon_sym_static,
    STATE(3607), 1,
      sym_comment,
    STATE(3662), 1,
      sym_override_modifier,
    STATE(4927), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126509] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6808), 1,
      anon_sym_RBRACE,
    STATE(3608), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126570] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6810), 1,
      anon_sym_RBRACE,
    STATE(3609), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126631] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2936), 1,
      anon_sym_type,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4496), 1,
      anon_sym_module,
    ACTIONS(6812), 1,
      anon_sym_default,
    STATE(3610), 1,
      sym_comment,
    STATE(5075), 1,
      sym_declaration,
    STATE(5184), 1,
      sym_internal_module,
    STATE(5220), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [126716] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6814), 1,
      anon_sym_RBRACE,
    STATE(3611), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126777] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6816), 1,
      anon_sym_RBRACE,
    STATE(3612), 1,
      sym_comment,
    STATE(5167), 1,
      sym__property_name,
    STATE(5897), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126838] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2830), 1,
      anon_sym_namespace,
    ACTIONS(2832), 1,
      anon_sym_import,
    ACTIONS(2834), 1,
      anon_sym_var,
    ACTIONS(2836), 1,
      anon_sym_let,
    ACTIONS(2838), 1,
      anon_sym_const,
    ACTIONS(2842), 1,
      anon_sym_class,
    ACTIONS(2844), 1,
      anon_sym_async,
    ACTIONS(2846), 1,
      anon_sym_function,
    ACTIONS(2848), 1,
      anon_sym_declare,
    ACTIONS(2850), 1,
      anon_sym_module,
    ACTIONS(2852), 1,
      anon_sym_abstract,
    ACTIONS(2854), 1,
      anon_sym_interface,
    ACTIONS(2856), 1,
      anon_sym_enum,
    ACTIONS(2910), 1,
      anon_sym_type,
    ACTIONS(6818), 1,
      anon_sym_default,
    STATE(3613), 1,
      sym_comment,
    STATE(5395), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(6704), 1,
      sym_internal_module,
    STATE(6942), 1,
      sym_declaration,
    STATE(6691), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [126923] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2663), 1,
      anon_sym_namespace,
    ACTIONS(2669), 1,
      anon_sym_import,
    ACTIONS(2671), 1,
      anon_sym_var,
    ACTIONS(2673), 1,
      anon_sym_let,
    ACTIONS(2675), 1,
      anon_sym_const,
    ACTIONS(2683), 1,
      anon_sym_class,
    ACTIONS(2685), 1,
      anon_sym_async,
    ACTIONS(2687), 1,
      anon_sym_function,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2700), 1,
      anon_sym_declare,
    ACTIONS(2702), 1,
      anon_sym_module,
    ACTIONS(2704), 1,
      anon_sym_abstract,
    ACTIONS(2706), 1,
      anon_sym_interface,
    ACTIONS(2708), 1,
      anon_sym_enum,
    ACTIONS(2738), 1,
      anon_sym_type,
    ACTIONS(6820), 1,
      anon_sym_default,
    STATE(1658), 1,
      sym_internal_module,
    STATE(1682), 1,
      sym_declaration,
    STATE(3614), 1,
      sym_comment,
    STATE(5542), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(1650), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [127008] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3615), 1,
      sym_comment,
    ACTIONS(4290), 33,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127053] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6822), 1,
      anon_sym_RBRACE,
    STATE(3616), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127114] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2792), 1,
      anon_sym_namespace,
    ACTIONS(2794), 1,
      anon_sym_import,
    ACTIONS(2796), 1,
      anon_sym_var,
    ACTIONS(2798), 1,
      anon_sym_let,
    ACTIONS(2800), 1,
      anon_sym_const,
    ACTIONS(2804), 1,
      anon_sym_class,
    ACTIONS(2806), 1,
      anon_sym_async,
    ACTIONS(2808), 1,
      anon_sym_function,
    ACTIONS(2810), 1,
      anon_sym_declare,
    ACTIONS(2812), 1,
      anon_sym_module,
    ACTIONS(2814), 1,
      anon_sym_abstract,
    ACTIONS(2816), 1,
      anon_sym_interface,
    ACTIONS(2818), 1,
      anon_sym_enum,
    ACTIONS(2916), 1,
      anon_sym_type,
    ACTIONS(6824), 1,
      anon_sym_default,
    STATE(1385), 1,
      sym_internal_module,
    STATE(1477), 1,
      sym_declaration,
    STATE(3617), 1,
      sym_comment,
    STATE(5318), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(1376), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [127199] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_readonly,
    ACTIONS(6826), 1,
      anon_sym_STAR,
    STATE(3618), 1,
      sym_comment,
    STATE(3658), 1,
      sym_override_modifier,
    STATE(3966), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6828), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127266] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2792), 1,
      anon_sym_namespace,
    ACTIONS(2794), 1,
      anon_sym_import,
    ACTIONS(2796), 1,
      anon_sym_var,
    ACTIONS(2798), 1,
      anon_sym_let,
    ACTIONS(2800), 1,
      anon_sym_const,
    ACTIONS(2804), 1,
      anon_sym_class,
    ACTIONS(2806), 1,
      anon_sym_async,
    ACTIONS(2808), 1,
      anon_sym_function,
    ACTIONS(2810), 1,
      anon_sym_declare,
    ACTIONS(2814), 1,
      anon_sym_abstract,
    ACTIONS(2816), 1,
      anon_sym_interface,
    ACTIONS(2818), 1,
      anon_sym_enum,
    ACTIONS(2916), 1,
      anon_sym_type,
    ACTIONS(2918), 1,
      anon_sym_module,
    ACTIONS(2920), 1,
      anon_sym_global,
    STATE(1385), 1,
      sym_internal_module,
    STATE(1417), 1,
      sym_declaration,
    STATE(3619), 1,
      sym_comment,
    STATE(5318), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(1376), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [127351] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6830), 1,
      anon_sym_AT,
    STATE(3732), 1,
      sym_decorator,
    STATE(3620), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(4249), 30,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127400] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6833), 1,
      anon_sym_RBRACE,
    STATE(3621), 1,
      sym_comment,
    STATE(5527), 1,
      sym__property_name,
    STATE(5867), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127461] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2830), 1,
      anon_sym_namespace,
    ACTIONS(2832), 1,
      anon_sym_import,
    ACTIONS(2834), 1,
      anon_sym_var,
    ACTIONS(2836), 1,
      anon_sym_let,
    ACTIONS(2838), 1,
      anon_sym_const,
    ACTIONS(2842), 1,
      anon_sym_class,
    ACTIONS(2844), 1,
      anon_sym_async,
    ACTIONS(2846), 1,
      anon_sym_function,
    ACTIONS(2848), 1,
      anon_sym_declare,
    ACTIONS(2852), 1,
      anon_sym_abstract,
    ACTIONS(2854), 1,
      anon_sym_interface,
    ACTIONS(2856), 1,
      anon_sym_enum,
    ACTIONS(2910), 1,
      anon_sym_type,
    ACTIONS(2912), 1,
      anon_sym_module,
    ACTIONS(2914), 1,
      anon_sym_global,
    STATE(3622), 1,
      sym_comment,
    STATE(5395), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(6704), 1,
      sym_internal_module,
    STATE(6868), 1,
      sym_declaration,
    STATE(6691), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [127546] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6835), 1,
      anon_sym_RBRACE,
    STATE(3623), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127607] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6837), 1,
      anon_sym_RBRACE,
    STATE(3624), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127668] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6839), 1,
      anon_sym_RBRACE,
    STATE(3625), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127729] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6841), 1,
      anon_sym_RBRACE,
    STATE(3626), 1,
      sym_comment,
    STATE(5488), 1,
      sym__property_name,
    STATE(6415), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127790] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_RBRACE,
    STATE(3627), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127851] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6845), 1,
      anon_sym_RBRACE,
    STATE(3628), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127912] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6847), 1,
      anon_sym_RBRACE,
    STATE(3629), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127973] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_RBRACE,
    STATE(3630), 1,
      sym_comment,
    STATE(5469), 1,
      sym__property_name,
    STATE(6372), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128034] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6851), 1,
      anon_sym_static,
    ACTIONS(6853), 1,
      anon_sym_readonly,
    ACTIONS(6855), 1,
      anon_sym_abstract,
    STATE(3631), 1,
      sym_comment,
    STATE(3724), 1,
      sym_override_modifier,
    STATE(4344), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128101] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2872), 1,
      anon_sym_namespace,
    ACTIONS(2874), 1,
      anon_sym_import,
    ACTIONS(2876), 1,
      anon_sym_var,
    ACTIONS(2878), 1,
      anon_sym_let,
    ACTIONS(2880), 1,
      anon_sym_const,
    ACTIONS(2884), 1,
      anon_sym_class,
    ACTIONS(2886), 1,
      anon_sym_async,
    ACTIONS(2888), 1,
      anon_sym_function,
    ACTIONS(2890), 1,
      anon_sym_declare,
    ACTIONS(2892), 1,
      anon_sym_module,
    ACTIONS(2894), 1,
      anon_sym_abstract,
    ACTIONS(2896), 1,
      anon_sym_interface,
    ACTIONS(2898), 1,
      anon_sym_enum,
    ACTIONS(2928), 1,
      anon_sym_type,
    ACTIONS(6857), 1,
      anon_sym_default,
    STATE(1150), 1,
      sym_declaration,
    STATE(1185), 1,
      sym_internal_module,
    STATE(3632), 1,
      sym_comment,
    STATE(5146), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(1183), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [128186] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2872), 1,
      anon_sym_namespace,
    ACTIONS(2874), 1,
      anon_sym_import,
    ACTIONS(2876), 1,
      anon_sym_var,
    ACTIONS(2878), 1,
      anon_sym_let,
    ACTIONS(2880), 1,
      anon_sym_const,
    ACTIONS(2884), 1,
      anon_sym_class,
    ACTIONS(2886), 1,
      anon_sym_async,
    ACTIONS(2888), 1,
      anon_sym_function,
    ACTIONS(2890), 1,
      anon_sym_declare,
    ACTIONS(2894), 1,
      anon_sym_abstract,
    ACTIONS(2896), 1,
      anon_sym_interface,
    ACTIONS(2898), 1,
      anon_sym_enum,
    ACTIONS(2928), 1,
      anon_sym_type,
    ACTIONS(2930), 1,
      anon_sym_module,
    ACTIONS(2932), 1,
      anon_sym_global,
    STATE(1174), 1,
      sym_declaration,
    STATE(1185), 1,
      sym_internal_module,
    STATE(3633), 1,
      sym_comment,
    STATE(5146), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(1183), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [128271] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 1,
      anon_sym_RBRACE,
    STATE(3634), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128332] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6861), 1,
      anon_sym_RBRACE,
    STATE(3635), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128393] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6863), 1,
      anon_sym_RBRACE,
    STATE(3636), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128454] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6865), 1,
      anon_sym_RBRACE,
    STATE(3637), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128515] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6867), 1,
      anon_sym_RBRACE,
    STATE(3638), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128576] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_RBRACE,
    STATE(3639), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128637] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6871), 1,
      anon_sym_RBRACE,
    STATE(3640), 1,
      sym_comment,
    STATE(5537), 1,
      sym__property_name,
    STATE(6434), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128698] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6873), 1,
      anon_sym_STAR,
    ACTIONS(6875), 1,
      anon_sym_readonly,
    STATE(3641), 1,
      sym_comment,
    STATE(3668), 1,
      sym_override_modifier,
    STATE(3935), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6877), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128765] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2754), 1,
      anon_sym_namespace,
    ACTIONS(2756), 1,
      anon_sym_import,
    ACTIONS(2758), 1,
      anon_sym_var,
    ACTIONS(2760), 1,
      anon_sym_let,
    ACTIONS(2762), 1,
      anon_sym_const,
    ACTIONS(2766), 1,
      anon_sym_class,
    ACTIONS(2768), 1,
      anon_sym_async,
    ACTIONS(2770), 1,
      anon_sym_function,
    ACTIONS(2772), 1,
      anon_sym_declare,
    ACTIONS(2774), 1,
      anon_sym_module,
    ACTIONS(2776), 1,
      anon_sym_abstract,
    ACTIONS(2778), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      anon_sym_enum,
    ACTIONS(2922), 1,
      anon_sym_type,
    ACTIONS(6879), 1,
      anon_sym_default,
    STATE(1349), 1,
      sym_declaration,
    STATE(1459), 1,
      sym_internal_module,
    STATE(3642), 1,
      sym_comment,
    STATE(5194), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(1462), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [128850] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6881), 1,
      anon_sym_RBRACE,
    STATE(3643), 1,
      sym_comment,
    STATE(5370), 1,
      sym__property_name,
    STATE(6187), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128911] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2754), 1,
      anon_sym_namespace,
    ACTIONS(2756), 1,
      anon_sym_import,
    ACTIONS(2758), 1,
      anon_sym_var,
    ACTIONS(2760), 1,
      anon_sym_let,
    ACTIONS(2762), 1,
      anon_sym_const,
    ACTIONS(2766), 1,
      anon_sym_class,
    ACTIONS(2768), 1,
      anon_sym_async,
    ACTIONS(2770), 1,
      anon_sym_function,
    ACTIONS(2772), 1,
      anon_sym_declare,
    ACTIONS(2776), 1,
      anon_sym_abstract,
    ACTIONS(2778), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      anon_sym_enum,
    ACTIONS(2922), 1,
      anon_sym_type,
    ACTIONS(2924), 1,
      anon_sym_module,
    ACTIONS(2926), 1,
      anon_sym_global,
    STATE(1435), 1,
      sym_declaration,
    STATE(1459), 1,
      sym_internal_module,
    STATE(3644), 1,
      sym_comment,
    STATE(5194), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(1462), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [128996] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_RBRACE,
    STATE(3645), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129057] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6885), 1,
      anon_sym_RBRACE,
    STATE(3646), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129118] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6887), 1,
      anon_sym_RBRACE,
    STATE(3647), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129179] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_RBRACE,
    STATE(3648), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129240] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4378), 1,
      anon_sym_override,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      anon_sym_static,
    ACTIONS(6181), 1,
      anon_sym_readonly,
    ACTIONS(6183), 1,
      anon_sym_abstract,
    STATE(3649), 1,
      sym_comment,
    STATE(3712), 1,
      sym_override_modifier,
    STATE(4206), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129307] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6891), 1,
      anon_sym_RBRACE,
    STATE(3650), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129368] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6893), 1,
      anon_sym_RBRACE,
    STATE(3651), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129429] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3652), 1,
      sym_comment,
    STATE(5665), 1,
      sym__property_name,
    STATE(6832), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129487] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_STAR,
    ACTIONS(6128), 1,
      anon_sym_async,
    ACTIONS(6895), 1,
      anon_sym_readonly,
    STATE(3653), 1,
      sym_comment,
    STATE(3955), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6130), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129551] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(5750), 1,
      anon_sym_STAR,
    ACTIONS(5754), 1,
      anon_sym_async,
    ACTIONS(5756), 1,
      anon_sym_readonly,
    STATE(3654), 1,
      sym_comment,
    STATE(3934), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5758), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129615] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6373), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_async,
    ACTIONS(6897), 1,
      anon_sym_readonly,
    STATE(3655), 1,
      sym_comment,
    STATE(3998), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6513), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129679] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6011), 1,
      anon_sym_STAR,
    ACTIONS(6013), 1,
      anon_sym_async,
    ACTIONS(6899), 1,
      anon_sym_readonly,
    STATE(3656), 1,
      sym_comment,
    STATE(3930), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6015), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129743] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(5971), 1,
      anon_sym_STAR,
    ACTIONS(5973), 1,
      anon_sym_async,
    ACTIONS(5975), 1,
      anon_sym_readonly,
    STATE(3657), 1,
      sym_comment,
    STATE(4023), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5977), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129807] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_STAR,
    STATE(3658), 1,
      sym_comment,
    STATE(4963), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6903), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129867] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6011), 1,
      anon_sym_STAR,
    ACTIONS(6013), 1,
      anon_sym_async,
    ACTIONS(6905), 1,
      anon_sym_readonly,
    STATE(3659), 1,
      sym_comment,
    STATE(3963), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6015), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129931] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6271), 1,
      anon_sym_STAR,
    ACTIONS(6297), 1,
      anon_sym_async,
    ACTIONS(6907), 1,
      anon_sym_readonly,
    STATE(3660), 1,
      sym_comment,
    STATE(3944), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6299), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129995] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6209), 1,
      anon_sym_STAR,
    ACTIONS(6347), 1,
      anon_sym_async,
    ACTIONS(6909), 1,
      anon_sym_readonly,
    STATE(3661), 1,
      sym_comment,
    STATE(4009), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6349), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130059] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6727), 1,
      anon_sym_STAR,
    ACTIONS(6729), 1,
      anon_sym_async,
    ACTIONS(6731), 1,
      anon_sym_readonly,
    STATE(3662), 1,
      sym_comment,
    STATE(4940), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6733), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130123] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3663), 1,
      sym_comment,
    ACTIONS(1037), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2435), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130169] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6289), 1,
      anon_sym_STAR,
    ACTIONS(6291), 1,
      anon_sym_async,
    ACTIONS(6911), 1,
      anon_sym_readonly,
    STATE(3664), 1,
      sym_comment,
    STATE(3946), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6293), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130233] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6059), 1,
      anon_sym_STAR,
    ACTIONS(6061), 1,
      anon_sym_async,
    ACTIONS(6063), 1,
      anon_sym_readonly,
    STATE(3665), 1,
      sym_comment,
    STATE(4040), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6065), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130297] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4941), 1,
      anon_sym_STAR,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(4953), 1,
      anon_sym_async,
    ACTIONS(4955), 1,
      anon_sym_readonly,
    STATE(3666), 1,
      sym_comment,
    STATE(3989), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130361] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6049), 1,
      anon_sym_STAR,
    ACTIONS(6051), 1,
      anon_sym_async,
    ACTIONS(6053), 1,
      anon_sym_readonly,
    STATE(3667), 1,
      sym_comment,
    STATE(4018), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6055), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130425] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6826), 1,
      anon_sym_STAR,
    STATE(3668), 1,
      sym_comment,
    STATE(4825), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6913), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130485] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      anon_sym_STAR,
    ACTIONS(6756), 1,
      anon_sym_async,
    ACTIONS(6915), 1,
      anon_sym_readonly,
    STATE(3669), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6758), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130549] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_STAR,
    STATE(3670), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130613] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_STAR,
    ACTIONS(5918), 1,
      anon_sym_async,
    ACTIONS(6175), 1,
      anon_sym_readonly,
    STATE(3671), 1,
      sym_comment,
    STATE(3960), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5920), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130677] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3672), 1,
      sym_comment,
    ACTIONS(4315), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [130720] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3673), 1,
      sym_comment,
    STATE(4831), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130775] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3674), 1,
      sym_comment,
    STATE(4825), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130830] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_readonly,
    STATE(3675), 1,
      sym_comment,
    STATE(4206), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130887] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3676), 1,
      sym_comment,
    STATE(4972), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130942] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3677), 1,
      sym_comment,
    STATE(4206), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130997] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3678), 1,
      sym_comment,
    STATE(4976), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131052] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3679), 1,
      sym_comment,
    STATE(4821), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131107] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3680), 1,
      sym_comment,
    STATE(4896), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131162] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6917), 1,
      anon_sym_readonly,
    STATE(3681), 1,
      sym_comment,
    STATE(4210), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131219] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3682), 1,
      sym_comment,
    STATE(4210), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131274] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3683), 1,
      sym_comment,
    STATE(4927), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131329] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3684), 1,
      sym_comment,
    STATE(4947), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131384] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3685), 1,
      sym_comment,
    STATE(4936), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131439] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3686), 1,
      sym_comment,
    STATE(4935), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131494] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3687), 1,
      sym_comment,
    STATE(4933), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131549] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3688), 1,
      sym_comment,
    STATE(4923), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131604] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3689), 1,
      sym_comment,
    STATE(4750), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131659] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3690), 1,
      sym_comment,
    STATE(4813), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131714] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3691), 1,
      sym_comment,
    STATE(4913), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131769] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6919), 1,
      anon_sym_readonly,
    STATE(3692), 1,
      sym_comment,
    STATE(4241), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131826] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3693), 1,
      sym_comment,
    STATE(4243), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131881] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3694), 1,
      sym_comment,
    STATE(4937), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131936] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_readonly,
    STATE(3695), 1,
      sym_comment,
    STATE(4388), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131993] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6923), 1,
      anon_sym_readonly,
    STATE(3696), 1,
      sym_comment,
    STATE(4261), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132050] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3697), 1,
      sym_comment,
    ACTIONS(4321), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [132093] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3698), 1,
      sym_comment,
    STATE(4836), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132148] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3699), 1,
      sym_comment,
    ACTIONS(4325), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [132191] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3700), 1,
      sym_comment,
    STATE(4301), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132246] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3701), 1,
      sym_comment,
    STATE(4815), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132301] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3702), 1,
      sym_comment,
    STATE(4823), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132356] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6925), 1,
      anon_sym_readonly,
    STATE(3703), 1,
      sym_comment,
    STATE(4329), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132413] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3704), 1,
      sym_comment,
    STATE(4281), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132468] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6927), 1,
      anon_sym_readonly,
    STATE(3705), 1,
      sym_comment,
    STATE(4337), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132525] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3706), 1,
      sym_comment,
    STATE(4969), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132580] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6929), 1,
      anon_sym_readonly,
    STATE(3707), 1,
      sym_comment,
    STATE(4208), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132637] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3708), 1,
      sym_comment,
    STATE(4843), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132692] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3709), 1,
      sym_comment,
    STATE(4856), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132747] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3710), 1,
      sym_comment,
    STATE(4940), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132802] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3711), 1,
      sym_comment,
    STATE(4847), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132857] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6646), 1,
      anon_sym_readonly,
    STATE(3712), 1,
      sym_comment,
    STATE(4285), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132914] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3713), 1,
      sym_comment,
    STATE(4285), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132969] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3714), 1,
      sym_comment,
    STATE(4963), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133024] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_readonly,
    STATE(3715), 1,
      sym_comment,
    STATE(4278), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133081] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3716), 1,
      sym_comment,
    STATE(4907), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133136] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3717), 1,
      sym_comment,
    STATE(4814), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133191] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3718), 1,
      sym_comment,
    STATE(4980), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133246] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3719), 1,
      sym_comment,
    STATE(4942), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133301] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3720), 1,
      sym_comment,
    STATE(4302), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133356] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3721), 1,
      sym_comment,
    STATE(4795), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133411] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3722), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133466] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6933), 1,
      anon_sym_readonly,
    STATE(3723), 1,
      sym_comment,
    STATE(4332), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133523] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6935), 1,
      anon_sym_readonly,
    STATE(3724), 1,
      sym_comment,
    STATE(4270), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133580] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3725), 1,
      sym_comment,
    ACTIONS(4237), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [133623] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6937), 1,
      anon_sym_readonly,
    STATE(3726), 1,
      sym_comment,
    STATE(4258), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133680] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    ACTIONS(6939), 1,
      anon_sym_readonly,
    STATE(3727), 1,
      sym_comment,
    STATE(4347), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133737] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_LBRACK,
    STATE(3728), 1,
      sym_comment,
    STATE(4262), 1,
      sym__property_name,
    ACTIONS(3874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4128), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133792] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3729), 1,
      sym_comment,
    STATE(4968), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133847] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3730), 1,
      sym_comment,
    ACTIONS(4307), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [133890] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5464), 1,
      anon_sym_LBRACK,
    STATE(3731), 1,
      sym_comment,
    STATE(4857), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4679), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133945] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3732), 1,
      sym_comment,
    ACTIONS(4323), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [133988] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6941), 1,
      sym_identifier,
    STATE(3733), 1,
      sym_comment,
    STATE(7174), 1,
      sym_mapped_type_clause,
    ACTIONS(6943), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134028] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3734), 1,
      sym_comment,
    ACTIONS(4315), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4835), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [134063] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3735), 1,
      sym_comment,
    ACTIONS(4307), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4833), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [134098] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(6945), 1,
      anon_sym_DOT,
    ACTIONS(6947), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6949), 1,
      anon_sym_LT,
    STATE(3736), 1,
      sym_comment,
    STATE(3807), 1,
      sym_arguments,
    STATE(3839), 1,
      sym_type_arguments,
    ACTIONS(4807), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4809), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134145] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(6949), 1,
      anon_sym_LT,
    ACTIONS(6951), 1,
      anon_sym_DOT,
    ACTIONS(6953), 1,
      anon_sym_QMARK_DOT,
    STATE(3737), 1,
      sym_comment,
    STATE(3804), 1,
      sym_arguments,
    STATE(3834), 1,
      sym_type_arguments,
    ACTIONS(4795), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4797), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3738), 1,
      sym_comment,
    ACTIONS(4325), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4825), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [134227] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_DOT,
    ACTIONS(4121), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6949), 1,
      anon_sym_LT,
    STATE(3739), 1,
      sym_comment,
    STATE(3811), 1,
      sym_arguments,
    STATE(3832), 1,
      sym_type_arguments,
    ACTIONS(4115), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4111), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2209), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3740), 1,
      sym_comment,
    ACTIONS(2211), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [134308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2143), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3741), 1,
      sym_comment,
    ACTIONS(2145), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [134342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3742), 1,
      sym_comment,
    ACTIONS(5262), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5264), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134375] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3743), 1,
      sym_comment,
    ACTIONS(5245), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5247), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134408] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4801), 1,
      anon_sym_EQ,
    ACTIONS(6949), 1,
      anon_sym_LT,
    ACTIONS(6955), 1,
      anon_sym_DOT,
    ACTIONS(6957), 1,
      anon_sym_is,
    STATE(3744), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4185), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [134449] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3745), 1,
      sym_comment,
    ACTIONS(4965), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4967), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134482] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3746), 1,
      sym_comment,
    ACTIONS(4965), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4967), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134515] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3747), 1,
      sym_comment,
    ACTIONS(4965), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4967), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3748), 1,
      sym_comment,
    ACTIONS(5014), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5016), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134581] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3749), 1,
      sym_comment,
    ACTIONS(4867), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4869), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3750), 1,
      sym_comment,
    ACTIONS(4867), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4869), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134647] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3751), 1,
      sym_comment,
    ACTIONS(5175), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5177), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134680] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3752), 1,
      sym_comment,
    ACTIONS(5179), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5181), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134713] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3753), 1,
      sym_comment,
    ACTIONS(4867), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4869), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134746] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3754), 1,
      sym_comment,
    ACTIONS(5060), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5062), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134779] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3755), 1,
      sym_comment,
    ACTIONS(5262), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5264), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134812] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3756), 1,
      sym_comment,
    ACTIONS(5262), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5264), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134845] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3757), 1,
      sym_comment,
    ACTIONS(5060), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5062), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3758), 1,
      sym_comment,
    ACTIONS(5225), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5227), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134911] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3759), 1,
      sym_comment,
    ACTIONS(5221), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5223), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134944] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3760), 1,
      sym_comment,
    ACTIONS(5249), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5251), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134977] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3761), 1,
      sym_comment,
    ACTIONS(5225), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5227), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135010] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3762), 1,
      sym_comment,
    ACTIONS(5221), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5223), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135043] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3763), 1,
      sym_comment,
    ACTIONS(5060), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5062), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135076] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3764), 1,
      sym_comment,
    ACTIONS(5249), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5251), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135109] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3765), 1,
      sym_comment,
    ACTIONS(5207), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5209), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3766), 1,
      sym_comment,
    ACTIONS(5203), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5205), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135175] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3767), 1,
      sym_comment,
    ACTIONS(5249), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5251), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3768), 1,
      sym_comment,
    ACTIONS(5207), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5209), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135241] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3769), 1,
      sym_comment,
    ACTIONS(5203), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5205), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3770), 1,
      sym_comment,
    ACTIONS(5245), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5247), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135307] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3771), 1,
      sym_comment,
    ACTIONS(5245), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5247), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135340] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3772), 1,
      sym_comment,
    ACTIONS(5191), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5193), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135373] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3773), 1,
      sym_comment,
    ACTIONS(5187), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5189), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3774), 1,
      sym_comment,
    ACTIONS(5241), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5243), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135439] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3775), 1,
      sym_comment,
    ACTIONS(5187), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5189), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135472] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3776), 1,
      sym_comment,
    ACTIONS(5191), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5193), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135505] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6959), 1,
      sym_identifier,
    ACTIONS(6961), 1,
      anon_sym_STAR,
    ACTIONS(6963), 1,
      anon_sym_type,
    ACTIONS(6965), 1,
      anon_sym_LBRACE,
    ACTIONS(6967), 1,
      anon_sym_typeof,
    STATE(3777), 1,
      sym_comment,
    STATE(5716), 1,
      sym_string,
    STATE(5726), 1,
      sym_import_require_clause,
    STATE(6923), 1,
      sym_import_clause,
    STATE(6928), 1,
      sym__import_identifier,
    STATE(7307), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6969), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [135559] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6973), 1,
      anon_sym_EQ,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(6977), 1,
      anon_sym_COMMA,
    ACTIONS(6979), 1,
      anon_sym_COLON,
    ACTIONS(6981), 1,
      anon_sym_GT,
    ACTIONS(6984), 1,
      anon_sym_DOT,
    ACTIONS(6986), 1,
      anon_sym_SLASH_GT,
    ACTIONS(6988), 1,
      anon_sym_LT,
    ACTIONS(6990), 1,
      anon_sym_extends,
    STATE(3778), 1,
      sym_comment,
    STATE(4331), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4436), 1,
      sym_type_arguments,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    STATE(5708), 1,
      sym_constraint,
    STATE(7134), 1,
      sym_default_type,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [135619] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6961), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_LBRACE,
    ACTIONS(6992), 1,
      sym_identifier,
    ACTIONS(6994), 1,
      anon_sym_type,
    ACTIONS(6996), 1,
      anon_sym_typeof,
    STATE(3779), 1,
      sym_comment,
    STATE(5713), 1,
      sym_import_require_clause,
    STATE(5714), 1,
      sym_string,
    STATE(6845), 1,
      sym_import_clause,
    STATE(6928), 1,
      sym__import_identifier,
    STATE(7307), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6969), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [135673] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6961), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_LBRACE,
    ACTIONS(6998), 1,
      sym_identifier,
    ACTIONS(7000), 1,
      anon_sym_type,
    ACTIONS(7002), 1,
      anon_sym_typeof,
    STATE(3780), 1,
      sym_comment,
    STATE(5587), 1,
      sym_import_require_clause,
    STATE(5591), 1,
      sym_string,
    STATE(6928), 1,
      sym__import_identifier,
    STATE(6971), 1,
      sym_import_clause,
    STATE(7307), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6969), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [135727] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4801), 1,
      anon_sym_EQ,
    ACTIONS(6949), 1,
      anon_sym_LT,
    ACTIONS(6955), 1,
      anon_sym_DOT,
    STATE(3781), 1,
      sym_comment,
    STATE(3835), 1,
      sym_type_arguments,
    ACTIONS(4185), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135765] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6973), 1,
      anon_sym_EQ,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(6977), 1,
      anon_sym_COMMA,
    ACTIONS(6979), 1,
      anon_sym_COLON,
    ACTIONS(6981), 1,
      anon_sym_GT,
    ACTIONS(6984), 1,
      anon_sym_DOT,
    ACTIONS(6988), 1,
      anon_sym_LT,
    ACTIONS(6990), 1,
      anon_sym_extends,
    ACTIONS(7004), 1,
      anon_sym_SLASH_GT,
    STATE(3782), 1,
      sym_comment,
    STATE(4400), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4401), 1,
      sym_type_arguments,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    STATE(5708), 1,
      sym_constraint,
    STATE(7134), 1,
      sym_default_type,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [135825] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6961), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_LBRACE,
    ACTIONS(7006), 1,
      sym_identifier,
    ACTIONS(7008), 1,
      anon_sym_type,
    ACTIONS(7010), 1,
      anon_sym_typeof,
    STATE(3783), 1,
      sym_comment,
    STATE(5744), 1,
      sym_string,
    STATE(5745), 1,
      sym_import_require_clause,
    STATE(6928), 1,
      sym__import_identifier,
    STATE(7077), 1,
      sym_import_clause,
    STATE(7307), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6969), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [135879] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6961), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_LBRACE,
    ACTIONS(7012), 1,
      sym_identifier,
    ACTIONS(7014), 1,
      anon_sym_type,
    ACTIONS(7016), 1,
      anon_sym_typeof,
    STATE(3784), 1,
      sym_comment,
    STATE(5691), 1,
      sym_import_require_clause,
    STATE(5692), 1,
      sym_string,
    STATE(6928), 1,
      sym__import_identifier,
    STATE(7098), 1,
      sym_import_clause,
    STATE(7307), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6969), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [135933] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2221), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5072), 1,
      anon_sym_EQ,
    STATE(3785), 1,
      sym_comment,
    ACTIONS(5074), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [135966] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4988), 1,
      anon_sym_EQ,
    STATE(3786), 1,
      sym_comment,
    ACTIONS(4990), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135997] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5002), 1,
      anon_sym_EQ,
    STATE(3787), 1,
      sym_comment,
    ACTIONS(5004), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136028] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4115), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4135), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7018), 1,
      anon_sym_LT,
    STATE(3788), 1,
      sym_comment,
    STATE(3974), 1,
      sym_arguments,
    STATE(4138), 1,
      sym_type_arguments,
    ACTIONS(4111), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136071] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3789), 1,
      sym_comment,
    ACTIONS(2211), 16,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136102] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4827), 1,
      anon_sym_EQ,
    ACTIONS(6949), 1,
      anon_sym_LT,
    STATE(3790), 1,
      sym_comment,
    STATE(3921), 1,
      sym_type_arguments,
    ACTIONS(4829), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136137] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7020), 1,
      anon_sym_DOT,
    ACTIONS(7022), 1,
      anon_sym_QMARK_DOT,
    STATE(3791), 1,
      sym_comment,
    ACTIONS(5046), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5048), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5308), 1,
      anon_sym_EQ,
    STATE(3792), 1,
      sym_comment,
    ACTIONS(5310), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136203] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3132), 1,
      anon_sym_EQ,
    STATE(3793), 1,
      sym_comment,
    ACTIONS(3426), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5068), 1,
      anon_sym_EQ,
    STATE(3794), 1,
      sym_comment,
    ACTIONS(5070), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136265] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5086), 1,
      anon_sym_EQ,
    STATE(3795), 1,
      sym_comment,
    ACTIONS(5088), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5331), 1,
      anon_sym_EQ,
    STATE(3796), 1,
      sym_comment,
    ACTIONS(5333), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136327] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3124), 1,
      anon_sym_EQ,
    STATE(3797), 1,
      sym_comment,
    ACTIONS(3498), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136358] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5072), 1,
      anon_sym_EQ,
    STATE(3798), 1,
      sym_comment,
    ACTIONS(5074), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136391] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3126), 1,
      anon_sym_EQ,
    STATE(3799), 1,
      sym_comment,
    ACTIONS(3496), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2143), 1,
      anon_sym_PIPE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3800), 1,
      sym_comment,
    ACTIONS(2145), 16,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136453] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4992), 1,
      anon_sym_EQ,
    STATE(3801), 1,
      sym_comment,
    ACTIONS(4994), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136484] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4131), 1,
      anon_sym_LPAREN,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_LT,
    ACTIONS(7024), 1,
      anon_sym_DOT,
    ACTIONS(7026), 1,
      anon_sym_QMARK_DOT,
    STATE(3802), 1,
      sym_comment,
    STATE(3973), 1,
      sym_arguments,
    STATE(4137), 1,
      sym_type_arguments,
    ACTIONS(4797), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136527] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5327), 1,
      anon_sym_EQ,
    STATE(3803), 1,
      sym_comment,
    ACTIONS(5329), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136558] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3804), 1,
      sym_comment,
    ACTIONS(5018), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5020), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136589] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4980), 1,
      anon_sym_EQ,
    STATE(3805), 1,
      sym_comment,
    ACTIONS(4982), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3128), 1,
      anon_sym_EQ,
    STATE(3806), 1,
      sym_comment,
    ACTIONS(3458), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136651] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3807), 1,
      sym_comment,
    ACTIONS(5028), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5030), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5068), 1,
      anon_sym_EQ,
    STATE(3808), 1,
      sym_comment,
    ACTIONS(5070), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136713] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5002), 1,
      anon_sym_EQ,
    STATE(3809), 1,
      sym_comment,
    ACTIONS(5004), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136744] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4131), 1,
      anon_sym_LPAREN,
    ACTIONS(4807), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_LT,
    ACTIONS(7028), 1,
      anon_sym_DOT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_DOT,
    STATE(3810), 1,
      sym_comment,
    STATE(3972), 1,
      sym_arguments,
    STATE(4136), 1,
      sym_type_arguments,
    ACTIONS(4809), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136787] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3811), 1,
      sym_comment,
    ACTIONS(5006), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5008), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3130), 1,
      anon_sym_EQ,
    STATE(3812), 1,
      sym_comment,
    ACTIONS(3438), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136849] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4827), 1,
      anon_sym_EQ,
    ACTIONS(7032), 1,
      anon_sym_is,
    STATE(3813), 1,
      sym_comment,
    ACTIONS(4829), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136881] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1978), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3814), 1,
      sym_comment,
    ACTIONS(2006), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [136911] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_EQ,
    ACTIONS(6957), 1,
      anon_sym_is,
    STATE(3815), 1,
      sym_comment,
    ACTIONS(4821), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136943] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4841), 1,
      anon_sym_EQ,
    STATE(3816), 1,
      sym_comment,
    ACTIONS(4843), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [136973] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_EQ,
    ACTIONS(6957), 1,
      anon_sym_is,
    STATE(3817), 1,
      sym_comment,
    ACTIONS(4839), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137005] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5060), 1,
      anon_sym_PIPE,
    STATE(3818), 1,
      sym_comment,
    ACTIONS(5062), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137034] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7040), 1,
      sym_number,
    ACTIONS(7042), 1,
      anon_sym_unique,
    STATE(3819), 1,
      sym_comment,
    STATE(7359), 1,
      sym_string,
    STATE(7365), 1,
      sym_predefined_type,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137073] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5286), 1,
      anon_sym_EQ,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    STATE(3820), 1,
      sym_comment,
    ACTIONS(5288), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137104] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5122), 1,
      anon_sym_EQ,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    STATE(3821), 1,
      sym_comment,
    ACTIONS(5124), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137135] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3822), 1,
      sym_comment,
    ACTIONS(7046), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [137162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4959), 1,
      anon_sym_EQ,
    STATE(3823), 1,
      sym_comment,
    ACTIONS(4961), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137191] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3824), 1,
      sym_comment,
    ACTIONS(7048), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [137218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4937), 1,
      anon_sym_EQ,
    STATE(3825), 1,
      sym_comment,
    ACTIONS(4939), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137247] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3826), 1,
      sym_comment,
    ACTIONS(7050), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [137274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5278), 1,
      anon_sym_EQ,
    STATE(3827), 1,
      sym_comment,
    ACTIONS(5280), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137303] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5166), 1,
      anon_sym_EQ,
    STATE(3828), 1,
      sym_comment,
    ACTIONS(5168), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137332] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5233), 1,
      anon_sym_EQ,
    STATE(3829), 1,
      sym_comment,
    ACTIONS(5235), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137361] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5092), 1,
      anon_sym_EQ,
    STATE(3830), 1,
      sym_comment,
    ACTIONS(5090), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    STATE(3831), 1,
      sym_comment,
    ACTIONS(5239), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137419] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5010), 1,
      anon_sym_EQ,
    STATE(3832), 1,
      sym_comment,
    ACTIONS(5012), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137448] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4863), 1,
      anon_sym_EQ,
    STATE(3833), 1,
      sym_comment,
    ACTIONS(4865), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137477] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5024), 1,
      anon_sym_EQ,
    STATE(3834), 1,
      sym_comment,
    ACTIONS(5026), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137506] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5323), 1,
      anon_sym_EQ,
    STATE(3835), 1,
      sym_comment,
    ACTIONS(5325), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137535] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5319), 1,
      anon_sym_EQ,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    STATE(3836), 1,
      sym_comment,
    ACTIONS(5321), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [137570] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5315), 1,
      anon_sym_EQ,
    ACTIONS(7056), 1,
      anon_sym_LBRACK,
    STATE(3837), 1,
      sym_comment,
    ACTIONS(4961), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5317), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [137603] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5302), 1,
      anon_sym_EQ,
    ACTIONS(7058), 1,
      anon_sym_extends,
    STATE(3838), 1,
      sym_comment,
    ACTIONS(5304), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [137634] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5034), 1,
      anon_sym_EQ,
    STATE(3839), 1,
      sym_comment,
    ACTIONS(5036), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137663] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5098), 1,
      anon_sym_EQ,
    STATE(3840), 1,
      sym_comment,
    ACTIONS(5100), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137692] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4853), 1,
      anon_sym_EQ,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    STATE(3841), 1,
      sym_comment,
    ACTIONS(4855), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [137727] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5268), 1,
      anon_sym_EQ,
    STATE(3842), 1,
      sym_comment,
    ACTIONS(5270), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137756] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3843), 1,
      sym_comment,
    ACTIONS(7060), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [137783] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7062), 1,
      sym_number,
    STATE(3844), 1,
      sym_comment,
    STATE(7337), 1,
      sym_string,
    STATE(7341), 1,
      sym_predefined_type,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137822] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3845), 1,
      sym_comment,
    ACTIONS(7064), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [137849] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4827), 1,
      anon_sym_EQ,
    STATE(3846), 1,
      sym_comment,
    ACTIONS(4829), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_EQ,
    STATE(3847), 1,
      sym_comment,
    ACTIONS(4839), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137907] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5116), 1,
      anon_sym_EQ,
    STATE(3848), 1,
      sym_comment,
    ACTIONS(5118), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137936] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5175), 1,
      anon_sym_PIPE,
    STATE(3849), 1,
      sym_comment,
    ACTIONS(5177), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137965] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5179), 1,
      anon_sym_PIPE,
    STATE(3850), 1,
      sym_comment,
    ACTIONS(5181), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5187), 1,
      anon_sym_PIPE,
    STATE(3851), 1,
      sym_comment,
    ACTIONS(5189), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138023] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5191), 1,
      anon_sym_PIPE,
    STATE(3852), 1,
      sym_comment,
    ACTIONS(5193), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5187), 1,
      anon_sym_PIPE,
    STATE(3853), 1,
      sym_comment,
    ACTIONS(5189), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138081] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5191), 1,
      anon_sym_PIPE,
    STATE(3854), 1,
      sym_comment,
    ACTIONS(5193), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5203), 1,
      anon_sym_PIPE,
    STATE(3855), 1,
      sym_comment,
    ACTIONS(5205), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138139] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5207), 1,
      anon_sym_PIPE,
    STATE(3856), 1,
      sym_comment,
    ACTIONS(5209), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5203), 1,
      anon_sym_PIPE,
    STATE(3857), 1,
      sym_comment,
    ACTIONS(5205), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138197] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5207), 1,
      anon_sym_PIPE,
    STATE(3858), 1,
      sym_comment,
    ACTIONS(5209), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5221), 1,
      anon_sym_PIPE,
    STATE(3859), 1,
      sym_comment,
    ACTIONS(5223), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138255] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5225), 1,
      anon_sym_PIPE,
    STATE(3860), 1,
      sym_comment,
    ACTIONS(5227), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138284] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5221), 1,
      anon_sym_PIPE,
    STATE(3861), 1,
      sym_comment,
    ACTIONS(5223), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138313] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5225), 1,
      anon_sym_PIPE,
    STATE(3862), 1,
      sym_comment,
    ACTIONS(5227), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138342] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5282), 1,
      anon_sym_EQ,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    STATE(3863), 1,
      sym_comment,
    ACTIONS(5284), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [138377] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7066), 1,
      sym_number,
    STATE(3864), 1,
      sym_comment,
    STATE(7288), 1,
      sym_string,
    STATE(7320), 1,
      sym_predefined_type,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138416] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3865), 1,
      sym_comment,
    ACTIONS(7068), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [138443] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5294), 1,
      anon_sym_EQ,
    STATE(3866), 1,
      sym_comment,
    ACTIONS(5296), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138472] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7070), 1,
      sym_number,
    STATE(3867), 1,
      sym_comment,
    STATE(7596), 1,
      sym_predefined_type,
    STATE(7598), 1,
      sym_string,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138511] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7072), 1,
      sym_number,
    STATE(3868), 1,
      sym_comment,
    STATE(7600), 1,
      sym_predefined_type,
    STATE(7603), 1,
      sym_string,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138550] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5294), 1,
      anon_sym_EQ,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    STATE(3869), 1,
      sym_comment,
    ACTIONS(5296), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [138585] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7074), 1,
      sym_number,
    STATE(3870), 1,
      sym_comment,
    STATE(7606), 1,
      sym_predefined_type,
    STATE(7607), 1,
      sym_string,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138624] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7076), 1,
      sym_number,
    STATE(3871), 1,
      sym_comment,
    STATE(7612), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138661] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5217), 1,
      anon_sym_EQ,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    STATE(3872), 1,
      sym_comment,
    ACTIONS(5219), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [138696] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5213), 1,
      anon_sym_EQ,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    STATE(3873), 1,
      sym_comment,
    ACTIONS(5215), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [138731] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5038), 1,
      anon_sym_EQ,
    STATE(3874), 1,
      sym_comment,
    ACTIONS(5040), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5052), 1,
      anon_sym_EQ,
    STATE(3875), 1,
      sym_comment,
    ACTIONS(5054), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138789] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5145), 1,
      anon_sym_EQ,
    STATE(3876), 1,
      sym_comment,
    ACTIONS(5147), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138818] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7078), 1,
      sym_number,
    STATE(3877), 1,
      sym_comment,
    STATE(7279), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138855] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5298), 1,
      anon_sym_EQ,
    ACTIONS(7056), 1,
      anon_sym_LBRACK,
    STATE(3878), 1,
      sym_comment,
    ACTIONS(5300), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_EQ,
    STATE(3879), 1,
      sym_comment,
    ACTIONS(5066), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138915] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4998), 1,
      anon_sym_EQ,
    STATE(3880), 1,
      sym_comment,
    ACTIONS(5000), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138944] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_EQ,
    STATE(3881), 1,
      sym_comment,
    ACTIONS(4821), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138973] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3882), 1,
      sym_comment,
    ACTIONS(7080), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [139000] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7082), 1,
      sym_number,
    STATE(3883), 1,
      sym_comment,
    STATE(7481), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139037] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5274), 1,
      anon_sym_EQ,
    STATE(3884), 1,
      sym_comment,
    ACTIONS(5276), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139066] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7084), 1,
      sym_number,
    STATE(3885), 1,
      sym_comment,
    STATE(7477), 1,
      sym_predefined_type,
    STATE(7478), 1,
      sym_string,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139105] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5014), 1,
      anon_sym_PIPE,
    STATE(3886), 1,
      sym_comment,
    ACTIONS(5016), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139134] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4965), 1,
      anon_sym_PIPE,
    STATE(3887), 1,
      sym_comment,
    ACTIONS(4967), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139163] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4965), 1,
      anon_sym_PIPE,
    STATE(3888), 1,
      sym_comment,
    ACTIONS(4967), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4965), 1,
      anon_sym_PIPE,
    STATE(3889), 1,
      sym_comment,
    ACTIONS(4967), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139221] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4867), 1,
      anon_sym_PIPE,
    STATE(3890), 1,
      sym_comment,
    ACTIONS(4869), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4867), 1,
      anon_sym_PIPE,
    STATE(3891), 1,
      sym_comment,
    ACTIONS(4869), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139279] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4867), 1,
      anon_sym_PIPE,
    STATE(3892), 1,
      sym_comment,
    ACTIONS(4869), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5060), 1,
      anon_sym_PIPE,
    STATE(3893), 1,
      sym_comment,
    ACTIONS(5062), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139337] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5060), 1,
      anon_sym_PIPE,
    STATE(3894), 1,
      sym_comment,
    ACTIONS(5062), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139366] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4984), 1,
      anon_sym_EQ,
    STATE(3895), 1,
      sym_comment,
    ACTIONS(4986), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139395] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7086), 1,
      sym_number,
    STATE(3896), 1,
      sym_comment,
    STATE(7472), 1,
      sym_predefined_type,
    STATE(7474), 1,
      sym_string,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139434] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7088), 1,
      sym_number,
    STATE(3897), 1,
      sym_comment,
    STATE(7458), 1,
      sym_predefined_type,
    STATE(7467), 1,
      sym_string,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139473] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7090), 1,
      sym_number,
    STATE(3898), 1,
      sym_comment,
    STATE(7439), 1,
      sym_string,
    STATE(7443), 1,
      sym_predefined_type,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139512] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5082), 1,
      anon_sym_EQ,
    STATE(3899), 1,
      sym_comment,
    ACTIONS(5084), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139541] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5272), 1,
      anon_sym_EQ,
    STATE(3900), 1,
      sym_comment,
    ACTIONS(5114), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139570] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7092), 1,
      sym_number,
    STATE(3901), 1,
      sym_comment,
    STATE(7433), 1,
      sym_string,
    STATE(7436), 1,
      sym_predefined_type,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139609] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5082), 1,
      anon_sym_EQ,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    STATE(3902), 1,
      sym_comment,
    ACTIONS(5084), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [139644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5094), 1,
      anon_sym_EQ,
    STATE(3903), 1,
      sym_comment,
    ACTIONS(5096), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139673] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7094), 1,
      sym_number,
    STATE(3904), 1,
      sym_comment,
    STATE(7430), 1,
      sym_string,
    STATE(7431), 1,
      sym_predefined_type,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139712] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_DOT,
    ACTIONS(7100), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7102), 1,
      anon_sym_LT,
    STATE(3905), 1,
      sym_comment,
    STATE(4166), 1,
      sym_arguments,
    STATE(4304), 1,
      sym_type_arguments,
    ACTIONS(4111), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [139751] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7102), 1,
      anon_sym_LT,
    ACTIONS(7104), 1,
      anon_sym_DOT,
    ACTIONS(7106), 1,
      anon_sym_QMARK_DOT,
    STATE(3906), 1,
      sym_comment,
    STATE(4163), 1,
      sym_arguments,
    STATE(4303), 1,
      sym_type_arguments,
    ACTIONS(4797), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [139790] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3907), 1,
      sym_comment,
    ACTIONS(7108), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [139817] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5241), 1,
      anon_sym_PIPE,
    STATE(3908), 1,
      sym_comment,
    ACTIONS(5243), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5245), 1,
      anon_sym_PIPE,
    STATE(3909), 1,
      sym_comment,
    ACTIONS(5247), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139875] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5245), 1,
      anon_sym_PIPE,
    STATE(3910), 1,
      sym_comment,
    ACTIONS(5247), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5245), 1,
      anon_sym_PIPE,
    STATE(3911), 1,
      sym_comment,
    ACTIONS(5247), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139933] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5249), 1,
      anon_sym_PIPE,
    STATE(3912), 1,
      sym_comment,
    ACTIONS(5251), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139962] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5249), 1,
      anon_sym_PIPE,
    STATE(3913), 1,
      sym_comment,
    ACTIONS(5251), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139991] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5249), 1,
      anon_sym_PIPE,
    STATE(3914), 1,
      sym_comment,
    ACTIONS(5251), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5262), 1,
      anon_sym_PIPE,
    STATE(3915), 1,
      sym_comment,
    ACTIONS(5264), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140049] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5262), 1,
      anon_sym_PIPE,
    STATE(3916), 1,
      sym_comment,
    ACTIONS(5264), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140078] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5262), 1,
      anon_sym_PIPE,
    STATE(3917), 1,
      sym_comment,
    ACTIONS(5264), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140107] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7102), 1,
      anon_sym_LT,
    ACTIONS(7110), 1,
      anon_sym_DOT,
    ACTIONS(7112), 1,
      anon_sym_QMARK_DOT,
    STATE(3918), 1,
      sym_comment,
    STATE(4150), 1,
      sym_arguments,
    STATE(4300), 1,
      sym_type_arguments,
    ACTIONS(4809), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [140146] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7114), 1,
      sym_number,
    STATE(3919), 1,
      sym_comment,
    STATE(7417), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [140183] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3920), 1,
      sym_comment,
    ACTIONS(7116), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [140210] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5290), 1,
      anon_sym_EQ,
    STATE(3921), 1,
      sym_comment,
    ACTIONS(5292), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140239] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4801), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_LT,
    ACTIONS(7118), 1,
      anon_sym_DOT,
    ACTIONS(7120), 1,
      anon_sym_is,
    STATE(3922), 1,
      sym_comment,
    STATE(4156), 1,
      sym_type_arguments,
    ACTIONS(4185), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140276] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5129), 1,
      anon_sym_EQ,
    STATE(3923), 1,
      sym_comment,
    ACTIONS(5131), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140305] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4959), 1,
      anon_sym_EQ,
    ACTIONS(7056), 1,
      anon_sym_LBRACK,
    STATE(3924), 1,
      sym_comment,
    ACTIONS(4961), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140336] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7122), 1,
      sym_number,
    STATE(3925), 1,
      sym_comment,
    STATE(7255), 1,
      sym_predefined_type,
    STATE(7256), 1,
      sym_string,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [140375] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7124), 1,
      sym_number,
    STATE(3926), 1,
      sym_comment,
    STATE(7260), 1,
      sym_predefined_type,
    STATE(7270), 1,
      sym_string,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [140414] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7126), 1,
      sym_number,
    STATE(3927), 1,
      sym_comment,
    STATE(7273), 1,
      sym_predefined_type,
    STATE(7275), 1,
      sym_string,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [140453] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    ACTIONS(7042), 1,
      anon_sym_unique,
    ACTIONS(7128), 1,
      sym_number,
    STATE(3928), 1,
      sym_comment,
    STATE(7278), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7038), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [140490] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7134), 1,
      anon_sym_BANG,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7142), 1,
      anon_sym_QMARK,
    STATE(3929), 1,
      sym_comment,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4975), 1,
      sym__call_signature,
    STATE(5065), 1,
      sym_type_annotation,
    STATE(5992), 1,
      sym__initializer,
    STATE(6963), 1,
      sym_type_parameters,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140538] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7146), 1,
      anon_sym_BANG,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7150), 1,
      anon_sym_QMARK,
    STATE(3930), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5247), 1,
      sym_type_annotation,
    STATE(5991), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7044), 1,
      sym__call_signature,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140586] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_BANG,
    ACTIONS(7156), 1,
      anon_sym_QMARK,
    STATE(3931), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5231), 1,
      sym_type_annotation,
    STATE(5951), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6901), 1,
      sym__call_signature,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140634] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7160), 1,
      anon_sym_BANG,
    ACTIONS(7162), 1,
      anon_sym_QMARK,
    STATE(3932), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5207), 1,
      sym_type_annotation,
    STATE(6139), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6979), 1,
      sym__call_signature,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140682] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7166), 1,
      anon_sym_BANG,
    ACTIONS(7168), 1,
      anon_sym_QMARK,
    STATE(3933), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5478), 1,
      sym_type_annotation,
    STATE(5880), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6800), 1,
      sym__call_signature,
    ACTIONS(7164), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140730] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7172), 1,
      anon_sym_BANG,
    ACTIONS(7174), 1,
      anon_sym_QMARK,
    STATE(3934), 1,
      sym_comment,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4822), 1,
      sym__call_signature,
    STATE(5446), 1,
      sym_type_annotation,
    STATE(5840), 1,
      sym__initializer,
    STATE(6963), 1,
      sym_type_parameters,
    ACTIONS(7170), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140778] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7172), 1,
      anon_sym_BANG,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7178), 1,
      anon_sym_QMARK,
    STATE(3935), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5446), 1,
      sym_type_annotation,
    STATE(5852), 1,
      sym__call_signature,
    STATE(5857), 1,
      sym__initializer,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7170), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140826] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    ACTIONS(4491), 1,
      anon_sym_RBRACE,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    STATE(3936), 1,
      sym_comment,
    STATE(4502), 1,
      sym_formal_parameters,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    STATE(6770), 1,
      sym_type_parameters,
    ACTIONS(4494), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [140870] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6961), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_LBRACE,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_type,
    STATE(3937), 1,
      sym_comment,
    STATE(5661), 1,
      sym_string,
    STATE(5768), 1,
      sym_import_require_clause,
    STATE(6928), 1,
      sym__import_identifier,
    STATE(7091), 1,
      sym_import_clause,
    ACTIONS(7186), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7307), 2,
      sym_namespace_import,
      sym_named_imports,
  [140918] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    ACTIONS(4504), 1,
      anon_sym_RBRACE,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    STATE(3938), 1,
      sym_comment,
    STATE(4502), 1,
      sym_formal_parameters,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    STATE(6770), 1,
      sym_type_parameters,
    ACTIONS(4494), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [140962] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(206), 1,
      anon_sym_unique,
    STATE(3939), 1,
      sym_comment,
    STATE(4330), 1,
      sym_type_predicate,
    STATE(7594), 1,
      sym_predefined_type,
    ACTIONS(7188), 2,
      sym_identifier,
      sym_this,
    ACTIONS(208), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [140996] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7192), 1,
      anon_sym_BANG,
    ACTIONS(7194), 1,
      anon_sym_QMARK,
    STATE(3940), 1,
      sym_comment,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4770), 1,
      sym__call_signature,
    STATE(5132), 1,
      sym_type_annotation,
    STATE(5786), 1,
      sym__initializer,
    STATE(6963), 1,
      sym_type_parameters,
    ACTIONS(7190), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141044] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(206), 1,
      anon_sym_unique,
    STATE(2371), 1,
      sym_type_predicate,
    STATE(3941), 1,
      sym_comment,
    STATE(7588), 1,
      sym_predefined_type,
    ACTIONS(7196), 2,
      sym_identifier,
      sym_this,
    ACTIONS(208), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141078] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(206), 1,
      anon_sym_unique,
    STATE(2824), 1,
      sym_type_predicate,
    STATE(3942), 1,
      sym_comment,
    STATE(7395), 1,
      sym_predefined_type,
    ACTIONS(7198), 2,
      sym_identifier,
      sym_this,
    ACTIONS(208), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141112] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6961), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_LBRACE,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_type,
    STATE(3943), 1,
      sym_comment,
    STATE(5673), 1,
      sym_import_require_clause,
    STATE(5675), 1,
      sym_string,
    STATE(6928), 1,
      sym__import_identifier,
    STATE(7079), 1,
      sym_import_clause,
    ACTIONS(7186), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7307), 2,
      sym_namespace_import,
      sym_named_imports,
  [141160] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7202), 1,
      anon_sym_BANG,
    ACTIONS(7204), 1,
      anon_sym_QMARK,
    STATE(3944), 1,
      sym_comment,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4878), 1,
      sym__call_signature,
    STATE(5422), 1,
      sym_type_annotation,
    STATE(6301), 1,
      sym__initializer,
    STATE(6963), 1,
      sym_type_parameters,
    ACTIONS(7200), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141208] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7208), 1,
      anon_sym_BANG,
    ACTIONS(7210), 1,
      anon_sym_QMARK,
    STATE(3945), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5191), 1,
      sym_type_annotation,
    STATE(6126), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6998), 1,
      sym__call_signature,
    ACTIONS(7206), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141256] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7212), 1,
      anon_sym_BANG,
    ACTIONS(7214), 1,
      anon_sym_QMARK,
    STATE(3946), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5419), 1,
      sym_type_annotation,
    STATE(5909), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6799), 1,
      sym__call_signature,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141304] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4125), 1,
      anon_sym_LT,
    ACTIONS(7218), 1,
      anon_sym_GT,
    ACTIONS(7221), 1,
      anon_sym_DOT,
    STATE(3835), 1,
      sym_type_arguments,
    STATE(3947), 1,
      sym_comment,
    ACTIONS(7216), 4,
      anon_sym_LBRACE,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
    ACTIONS(4801), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [141340] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(206), 1,
      anon_sym_unique,
    STATE(3948), 1,
      sym_comment,
    STATE(4118), 1,
      sym_type_predicate,
    STATE(7350), 1,
      sym_predefined_type,
    ACTIONS(7223), 2,
      sym_identifier,
      sym_this,
    ACTIONS(208), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141374] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7225), 1,
      anon_sym_BANG,
    ACTIONS(7227), 1,
      anon_sym_QMARK,
    STATE(3949), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5282), 1,
      sym_type_annotation,
    STATE(6060), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7093), 1,
      sym__call_signature,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141422] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    STATE(3950), 1,
      sym_comment,
    STATE(2636), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5012), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141454] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_RBRACE,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    STATE(3951), 1,
      sym_comment,
    STATE(4502), 1,
      sym_formal_parameters,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    STATE(6770), 1,
      sym_type_parameters,
    ACTIONS(4494), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [141498] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    ACTIONS(4507), 1,
      anon_sym_RBRACE,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    STATE(3952), 1,
      sym_comment,
    STATE(4502), 1,
      sym_formal_parameters,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    STATE(6770), 1,
      sym_type_parameters,
    ACTIONS(4494), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [141542] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7229), 1,
      anon_sym_BANG,
    ACTIONS(7231), 1,
      anon_sym_QMARK,
    STATE(3953), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5365), 1,
      sym_type_annotation,
    STATE(6250), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6785), 1,
      sym__call_signature,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141590] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7233), 1,
      anon_sym_BANG,
    ACTIONS(7235), 1,
      anon_sym_QMARK,
    STATE(3954), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5458), 1,
      sym_type_annotation,
    STATE(6344), 1,
      sym__initializer,
    STATE(6651), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141638] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7237), 1,
      anon_sym_BANG,
    ACTIONS(7239), 1,
      anon_sym_QMARK,
    STATE(3955), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5204), 1,
      sym_type_annotation,
    STATE(6142), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6977), 1,
      sym__call_signature,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141686] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4801), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_LT,
    ACTIONS(7118), 1,
      anon_sym_DOT,
    STATE(3956), 1,
      sym_comment,
    STATE(4156), 1,
      sym_type_arguments,
    ACTIONS(4185), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141720] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7241), 1,
      anon_sym_BANG,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    STATE(3957), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5249), 1,
      sym_type_annotation,
    STATE(5995), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7078), 1,
      sym__call_signature,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141768] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7245), 1,
      anon_sym_BANG,
    ACTIONS(7247), 1,
      anon_sym_QMARK,
    STATE(3958), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5450), 1,
      sym_type_annotation,
    STATE(5913), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6784), 1,
      sym__call_signature,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141816] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_BANG,
    ACTIONS(7251), 1,
      anon_sym_QMARK,
    STATE(3959), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5152), 1,
      sym_type_annotation,
    STATE(6071), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7094), 1,
      sym__call_signature,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141864] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7255), 1,
      anon_sym_BANG,
    ACTIONS(7257), 1,
      anon_sym_QMARK,
    STATE(3960), 1,
      sym_comment,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4967), 1,
      sym__call_signature,
    STATE(5106), 1,
      sym_type_annotation,
    STATE(6013), 1,
      sym__initializer,
    STATE(6963), 1,
      sym_type_parameters,
    ACTIONS(7253), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141912] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6961), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_LBRACE,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_type,
    STATE(3961), 1,
      sym_comment,
    STATE(5663), 1,
      sym_import_require_clause,
    STATE(5664), 1,
      sym_string,
    STATE(6795), 1,
      sym_import_clause,
    STATE(6928), 1,
      sym__import_identifier,
    ACTIONS(7186), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7307), 2,
      sym_namespace_import,
      sym_named_imports,
  [141960] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    ACTIONS(4501), 1,
      anon_sym_RBRACE,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    STATE(3962), 1,
      sym_comment,
    STATE(4502), 1,
      sym_formal_parameters,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6770), 1,
      sym_type_parameters,
    ACTIONS(4494), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [142004] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_BANG,
    ACTIONS(7261), 1,
      anon_sym_QMARK,
    STATE(3963), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5486), 1,
      sym_type_annotation,
    STATE(6405), 1,
      sym__initializer,
    STATE(6578), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142052] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(206), 1,
      anon_sym_unique,
    STATE(3847), 1,
      sym_type_predicate,
    STATE(3964), 1,
      sym_comment,
    STATE(7579), 1,
      sym_predefined_type,
    ACTIONS(7263), 2,
      sym_identifier,
      sym_this,
    ACTIONS(208), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142086] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6961), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_LBRACE,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_type,
    STATE(3965), 1,
      sym_comment,
    STATE(5571), 1,
      sym_import_require_clause,
    STATE(5572), 1,
      sym_string,
    STATE(6928), 1,
      sym__import_identifier,
    STATE(6962), 1,
      sym_import_clause,
    ACTIONS(7186), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7307), 2,
      sym_namespace_import,
      sym_named_imports,
  [142134] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7255), 1,
      anon_sym_BANG,
    ACTIONS(7265), 1,
      anon_sym_QMARK,
    STATE(3966), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5106), 1,
      sym_type_annotation,
    STATE(6053), 1,
      sym__call_signature,
    STATE(6061), 1,
      sym__initializer,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7253), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142182] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7267), 1,
      anon_sym_BANG,
    ACTIONS(7269), 1,
      anon_sym_QMARK,
    STATE(3967), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5144), 1,
      sym_type_annotation,
    STATE(6062), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7007), 1,
      sym__call_signature,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142230] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7271), 1,
      anon_sym_BANG,
    ACTIONS(7273), 1,
      anon_sym_QMARK,
    STATE(3968), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5225), 1,
      sym_type_annotation,
    STATE(5809), 1,
      sym__initializer,
    STATE(6611), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142278] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6961), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_LBRACE,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_type,
    STATE(3969), 1,
      sym_comment,
    STATE(5631), 1,
      sym_import_require_clause,
    STATE(5662), 1,
      sym_string,
    STATE(6888), 1,
      sym_import_clause,
    STATE(6928), 1,
      sym__import_identifier,
    ACTIONS(7186), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7307), 2,
      sym_namespace_import,
      sym_named_imports,
  [142326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5068), 1,
      anon_sym_PIPE,
    STATE(3970), 1,
      sym_comment,
    ACTIONS(5070), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142353] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3971), 1,
      sym_comment,
    ACTIONS(5227), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5028), 1,
      anon_sym_PIPE,
    STATE(3972), 1,
      sym_comment,
    ACTIONS(5030), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142405] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5018), 1,
      anon_sym_PIPE,
    STATE(3973), 1,
      sym_comment,
    ACTIONS(5020), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142432] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5006), 1,
      anon_sym_PIPE,
    STATE(3974), 1,
      sym_comment,
    ACTIONS(5008), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142459] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7277), 1,
      anon_sym_QMARK,
    STATE(3975), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5324), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7275), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142500] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5046), 1,
      anon_sym_PIPE,
    ACTIONS(7279), 1,
      anon_sym_DOT,
    ACTIONS(7281), 1,
      anon_sym_QMARK_DOT,
    STATE(3976), 1,
      sym_comment,
    ACTIONS(5048), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142531] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7287), 1,
      sym_html_character_reference,
    ACTIONS(7289), 1,
      anon_sym_LT_SLASH,
    ACTIONS(7291), 1,
      anon_sym_LT,
    STATE(3977), 1,
      sym_comment,
    STATE(3979), 1,
      sym_jsx_opening_element,
    STATE(3980), 1,
      aux_sym_jsx_element_repeat1,
    STATE(5137), 1,
      sym_jsx_closing_element,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4953), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [142572] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_QMARK,
    STATE(3978), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5427), 1,
      sym_type_annotation,
    STATE(5429), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7293), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142613] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7287), 1,
      sym_html_character_reference,
    ACTIONS(7291), 1,
      anon_sym_LT,
    ACTIONS(7297), 1,
      anon_sym_LT_SLASH,
    STATE(3997), 1,
      aux_sym_jsx_element_repeat1,
    STATE(4838), 1,
      sym_jsx_closing_element,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(3979), 2,
      sym_jsx_opening_element,
      sym_comment,
    STATE(4953), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [142652] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7287), 1,
      sym_html_character_reference,
    ACTIONS(7289), 1,
      anon_sym_LT_SLASH,
    ACTIONS(7291), 1,
      anon_sym_LT,
    STATE(3979), 1,
      sym_jsx_opening_element,
    STATE(3980), 1,
      sym_comment,
    STATE(4063), 1,
      aux_sym_jsx_element_repeat1,
    STATE(5076), 1,
      sym_jsx_closing_element,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4953), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [142693] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7287), 1,
      sym_html_character_reference,
    ACTIONS(7291), 1,
      anon_sym_LT,
    ACTIONS(7299), 1,
      anon_sym_LT_SLASH,
    STATE(2626), 1,
      sym_jsx_closing_element,
    STATE(3979), 1,
      sym_jsx_opening_element,
    STATE(3981), 1,
      sym_comment,
    STATE(3990), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4953), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [142734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_PIPE,
    STATE(3982), 1,
      sym_comment,
    ACTIONS(4835), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142761] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5002), 1,
      anon_sym_PIPE,
    STATE(3983), 1,
      sym_comment,
    ACTIONS(5004), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5002), 1,
      anon_sym_PIPE,
    STATE(3984), 1,
      sym_comment,
    ACTIONS(5004), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142815] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5068), 1,
      anon_sym_PIPE,
    STATE(3985), 1,
      sym_comment,
    ACTIONS(5070), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142842] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5086), 1,
      anon_sym_PIPE,
    STATE(3986), 1,
      sym_comment,
    ACTIONS(5088), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142869] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4992), 1,
      anon_sym_PIPE,
    STATE(3987), 1,
      sym_comment,
    ACTIONS(4994), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    STATE(3988), 1,
      sym_comment,
    ACTIONS(4990), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142923] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7303), 1,
      anon_sym_QMARK,
    STATE(3989), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4626), 1,
      sym__call_signature,
    STATE(5228), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7301), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142964] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7287), 1,
      sym_html_character_reference,
    ACTIONS(7291), 1,
      anon_sym_LT,
    ACTIONS(7299), 1,
      anon_sym_LT_SLASH,
    STATE(2563), 1,
      sym_jsx_closing_element,
    STATE(3979), 1,
      sym_jsx_opening_element,
    STATE(3990), 1,
      sym_comment,
    STATE(4063), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4953), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [143005] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(5010), 1,
      anon_sym_PIPE,
    STATE(3991), 1,
      sym_comment,
    STATE(2636), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5012), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143038] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7102), 1,
      anon_sym_LT,
    ACTIONS(7305), 1,
      anon_sym_DOT,
    ACTIONS(7307), 1,
      anon_sym_is,
    STATE(3992), 1,
      sym_comment,
    STATE(4420), 1,
      sym_type_arguments,
    ACTIONS(4185), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [143071] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3993), 1,
      sym_comment,
    ACTIONS(5264), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143096] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5072), 1,
      anon_sym_PIPE,
    STATE(3994), 1,
      sym_comment,
    ACTIONS(5074), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3995), 1,
      sym_comment,
    ACTIONS(5177), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3996), 1,
      sym_comment,
    ACTIONS(5181), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143175] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7287), 1,
      sym_html_character_reference,
    ACTIONS(7291), 1,
      anon_sym_LT,
    ACTIONS(7297), 1,
      anon_sym_LT_SLASH,
    STATE(3979), 1,
      sym_jsx_opening_element,
    STATE(3997), 1,
      sym_comment,
    STATE(4063), 1,
      aux_sym_jsx_element_repeat1,
    STATE(4885), 1,
      sym_jsx_closing_element,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4953), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [143216] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7311), 1,
      anon_sym_QMARK,
    STATE(3998), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5045), 1,
      sym__call_signature,
    STATE(5046), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7309), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143257] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3999), 1,
      sym_comment,
    ACTIONS(5189), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143282] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4000), 1,
      sym_comment,
    ACTIONS(5193), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143307] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7313), 1,
      anon_sym_QMARK,
    STATE(4001), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4649), 1,
      sym__call_signature,
    STATE(5324), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7275), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4002), 1,
      sym_comment,
    ACTIONS(5189), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143373] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4003), 1,
      sym_comment,
    ACTIONS(5193), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143398] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4004), 1,
      sym_comment,
    ACTIONS(5205), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143423] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4005), 1,
      sym_comment,
    ACTIONS(5209), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143448] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4006), 1,
      sym_comment,
    ACTIONS(5205), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143473] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4007), 1,
      sym_comment,
    ACTIONS(5209), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143498] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4008), 1,
      sym_comment,
    ACTIONS(5223), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143523] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7315), 1,
      anon_sym_QMARK,
    STATE(4009), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4645), 1,
      sym__call_signature,
    STATE(5046), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7309), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4010), 1,
      sym_comment,
    ACTIONS(5223), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143589] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4011), 1,
      sym_comment,
    ACTIONS(5227), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4325), 1,
      anon_sym_PIPE,
    STATE(4012), 1,
      sym_comment,
    ACTIONS(4825), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143641] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_LT,
    STATE(4013), 1,
      sym_comment,
    STATE(4149), 1,
      sym_type_arguments,
    ACTIONS(4829), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143672] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7287), 1,
      sym_html_character_reference,
    ACTIONS(7291), 1,
      anon_sym_LT,
    ACTIONS(7317), 1,
      anon_sym_LT_SLASH,
    STATE(3268), 1,
      sym_jsx_closing_element,
    STATE(3979), 1,
      sym_jsx_opening_element,
    STATE(4014), 1,
      sym_comment,
    STATE(4063), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4953), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [143713] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2221), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5072), 1,
      anon_sym_PIPE,
    STATE(4015), 1,
      sym_comment,
    ACTIONS(5074), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4016), 1,
      sym_comment,
    ACTIONS(5264), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143767] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7287), 1,
      sym_html_character_reference,
    ACTIONS(7291), 1,
      anon_sym_LT,
    ACTIONS(7317), 1,
      anon_sym_LT_SLASH,
    STATE(3102), 1,
      sym_jsx_closing_element,
    STATE(3979), 1,
      sym_jsx_opening_element,
    STATE(4014), 1,
      aux_sym_jsx_element_repeat1,
    STATE(4017), 1,
      sym_comment,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4953), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [143808] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7319), 1,
      anon_sym_QMARK,
    STATE(4018), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5227), 1,
      sym__call_signature,
    STATE(5228), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7301), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143849] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5308), 1,
      anon_sym_PIPE,
    STATE(4019), 1,
      sym_comment,
    ACTIONS(5310), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143876] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5331), 1,
      anon_sym_PIPE,
    STATE(4020), 1,
      sym_comment,
    ACTIONS(5333), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143903] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5327), 1,
      anon_sym_PIPE,
    STATE(4021), 1,
      sym_comment,
    ACTIONS(5329), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143930] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7321), 1,
      anon_sym_COLON,
    ACTIONS(7323), 1,
      anon_sym_QMARK,
    STATE(4022), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4601), 1,
      sym__call_signature,
    STATE(5427), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7293), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143971] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7327), 1,
      anon_sym_QMARK,
    STATE(4023), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5344), 1,
      sym__call_signature,
    STATE(5346), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7325), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144012] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4024), 1,
      sym_comment,
    ACTIONS(5016), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144037] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4025), 1,
      sym_comment,
    ACTIONS(4967), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144062] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4026), 1,
      sym_comment,
    ACTIONS(4967), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144087] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4027), 1,
      sym_comment,
    ACTIONS(4967), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144112] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4028), 1,
      sym_comment,
    ACTIONS(4869), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144137] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4029), 1,
      sym_comment,
    ACTIONS(4869), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144162] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4030), 1,
      sym_comment,
    ACTIONS(4869), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144187] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4031), 1,
      sym_comment,
    ACTIONS(5062), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144212] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4032), 1,
      sym_comment,
    ACTIONS(5062), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144237] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4033), 1,
      sym_comment,
    ACTIONS(5062), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144262] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(6984), 1,
      anon_sym_DOT,
    ACTIONS(6988), 1,
      anon_sym_LT,
    ACTIONS(7329), 1,
      anon_sym_COLON,
    ACTIONS(7331), 1,
      anon_sym_GT,
    ACTIONS(7333), 1,
      anon_sym_SLASH_GT,
    STATE(4034), 1,
      sym_comment,
    STATE(4387), 1,
      sym_type_arguments,
    STATE(4423), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [144307] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(6984), 1,
      anon_sym_DOT,
    ACTIONS(6988), 1,
      anon_sym_LT,
    ACTIONS(7329), 1,
      anon_sym_COLON,
    ACTIONS(7331), 1,
      anon_sym_GT,
    ACTIONS(7335), 1,
      anon_sym_SLASH_GT,
    STATE(4035), 1,
      sym_comment,
    STATE(4355), 1,
      sym_type_arguments,
    STATE(4356), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [144352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4307), 1,
      anon_sym_PIPE,
    STATE(4036), 1,
      sym_comment,
    ACTIONS(4833), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144379] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4037), 1,
      sym_comment,
    ACTIONS(5243), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144404] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4038), 1,
      sym_comment,
    ACTIONS(5247), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144429] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4039), 1,
      sym_comment,
    ACTIONS(5247), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144454] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7337), 1,
      anon_sym_QMARK,
    STATE(4040), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4637), 1,
      sym__call_signature,
    STATE(5346), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7325), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144495] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4041), 1,
      sym_comment,
    ACTIONS(5247), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4042), 1,
      sym_comment,
    ACTIONS(5251), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144545] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4043), 1,
      sym_comment,
    ACTIONS(5251), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4044), 1,
      sym_comment,
    ACTIONS(5251), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144595] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4980), 1,
      anon_sym_PIPE,
    STATE(4045), 1,
      sym_comment,
    ACTIONS(4982), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144622] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4046), 1,
      sym_comment,
    ACTIONS(5264), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144647] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_PIPE,
    ACTIONS(7120), 1,
      anon_sym_is,
    STATE(4047), 1,
      sym_comment,
    ACTIONS(4821), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144675] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7102), 1,
      anon_sym_LT,
    ACTIONS(7305), 1,
      anon_sym_DOT,
    STATE(4048), 1,
      sym_comment,
    STATE(4420), 1,
      sym_type_arguments,
    ACTIONS(4185), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [144705] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    ACTIONS(4504), 1,
      anon_sym_RBRACE,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    STATE(4049), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(4494), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [144739] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4050), 1,
      sym_comment,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4891), 1,
      sym__call_signature,
    STATE(5404), 1,
      sym_type_annotation,
    STATE(6297), 1,
      sym__initializer,
    STATE(6963), 1,
      sym_type_parameters,
    ACTIONS(7339), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144781] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4051), 1,
      sym_comment,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4970), 1,
      sym__call_signature,
    STATE(5083), 1,
      sym_type_annotation,
    STATE(6004), 1,
      sym__initializer,
    STATE(6963), 1,
      sym_type_parameters,
    ACTIONS(7341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144823] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4052), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5101), 1,
      sym_type_annotation,
    STATE(6010), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7143), 1,
      sym__call_signature,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144865] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1978), 1,
      anon_sym_PIPE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4053), 1,
      sym_comment,
    ACTIONS(2006), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [144891] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_PIPE,
    ACTIONS(7120), 1,
      anon_sym_is,
    STATE(4054), 1,
      sym_comment,
    ACTIONS(4839), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144919] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4055), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5182), 1,
      sym_type_annotation,
    STATE(6121), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7006), 1,
      sym__call_signature,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144961] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4056), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5205), 1,
      sym_type_annotation,
    STATE(6138), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6986), 1,
      sym__call_signature,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145003] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4057), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5454), 1,
      sym_type_annotation,
    STATE(5813), 1,
      sym__initializer,
    STATE(6624), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145045] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4058), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5404), 1,
      sym_type_annotation,
    STATE(6329), 1,
      sym__call_signature,
    STATE(6330), 1,
      sym__initializer,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7339), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145087] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4059), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5210), 1,
      sym_type_annotation,
    STATE(5795), 1,
      sym__initializer,
    STATE(6561), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145129] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4060), 1,
      sym_comment,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4757), 1,
      sym__call_signature,
    STATE(5362), 1,
      sym_type_annotation,
    STATE(5780), 1,
      sym__initializer,
    STATE(6963), 1,
      sym_type_parameters,
    ACTIONS(7347), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145171] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4061), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5307), 1,
      sym_type_annotation,
    STATE(6210), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6855), 1,
      sym__call_signature,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145213] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    STATE(4062), 1,
      sym_comment,
    STATE(4502), 1,
      sym_formal_parameters,
    STATE(6770), 1,
      sym_type_parameters,
    ACTIONS(4763), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4494), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [145249] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7349), 1,
      anon_sym_LBRACE,
    ACTIONS(7355), 1,
      sym_html_character_reference,
    ACTIONS(7358), 1,
      anon_sym_LT_SLASH,
    ACTIONS(7360), 1,
      anon_sym_LT,
    STATE(3979), 1,
      sym_jsx_opening_element,
    ACTIONS(7352), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4063), 2,
      sym_comment,
      aux_sym_jsx_element_repeat1,
    STATE(4953), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [145285] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6961), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_LBRACE,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_type,
    STATE(4064), 1,
      sym_comment,
    STATE(5663), 1,
      sym_import_require_clause,
    STATE(5664), 1,
      sym_string,
    STATE(6795), 1,
      sym_import_clause,
    STATE(6928), 1,
      sym__import_identifier,
    STATE(7307), 2,
      sym_namespace_import,
      sym_named_imports,
  [145329] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4065), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5480), 1,
      sym_type_annotation,
    STATE(6390), 1,
      sym__initializer,
    STATE(6589), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
    ACTIONS(7363), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145371] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4066), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5421), 1,
      sym_type_annotation,
    STATE(5904), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6793), 1,
      sym__call_signature,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145413] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(6949), 1,
      anon_sym_LT,
    ACTIONS(6955), 1,
      anon_sym_DOT,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    STATE(3835), 1,
      sym_type_arguments,
    STATE(4067), 1,
      sym_comment,
    STATE(6823), 1,
      sym_type_annotation,
    ACTIONS(4185), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [145449] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4068), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5407), 1,
      sym_type_annotation,
    STATE(5915), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6815), 1,
      sym__call_signature,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145491] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(6988), 1,
      anon_sym_LT,
    ACTIONS(7368), 1,
      anon_sym_GT,
    ACTIONS(7370), 1,
      anon_sym_DOT,
    ACTIONS(7372), 1,
      anon_sym_SLASH_GT,
    STATE(4069), 1,
      sym_comment,
    STATE(4357), 1,
      sym_type_arguments,
    STATE(4358), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [145533] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4638), 1,
      sym__call_signature,
    STATE(5349), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7374), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145571] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4071), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5512), 1,
      sym_type_annotation,
    STATE(6452), 1,
      sym__initializer,
    STATE(6527), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
    ACTIONS(7363), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145613] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4072), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5218), 1,
      sym_type_annotation,
    STATE(5957), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6926), 1,
      sym__call_signature,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145655] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6961), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_LBRACE,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_type,
    STATE(4073), 1,
      sym_comment,
    STATE(5571), 1,
      sym_import_require_clause,
    STATE(5572), 1,
      sym_string,
    STATE(6928), 1,
      sym__import_identifier,
    STATE(6962), 1,
      sym_import_clause,
    STATE(7307), 2,
      sym_namespace_import,
      sym_named_imports,
  [145699] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4074), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5067), 1,
      sym_type_annotation,
    STATE(5962), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6929), 1,
      sym__call_signature,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145741] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4841), 1,
      anon_sym_PIPE,
    STATE(4075), 1,
      sym_comment,
    ACTIONS(4843), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [145767] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4076), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5321), 1,
      sym__call_signature,
    STATE(5322), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7376), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145805] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    ACTIONS(4501), 1,
      anon_sym_RBRACE,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    STATE(4077), 1,
      sym_comment,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4494), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [145839] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4078), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4648), 1,
      sym__call_signature,
    STATE(5322), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7376), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145877] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6961), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_LBRACE,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_type,
    STATE(4079), 1,
      sym_comment,
    STATE(5673), 1,
      sym_import_require_clause,
    STATE(5675), 1,
      sym_string,
    STATE(6928), 1,
      sym__import_identifier,
    STATE(7079), 1,
      sym_import_clause,
    STATE(7307), 2,
      sym_namespace_import,
      sym_named_imports,
  [145921] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    ACTIONS(4507), 1,
      anon_sym_RBRACE,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    STATE(4080), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(4494), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [145955] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(6988), 1,
      anon_sym_LT,
    ACTIONS(7368), 1,
      anon_sym_GT,
    ACTIONS(7370), 1,
      anon_sym_DOT,
    ACTIONS(7378), 1,
      anon_sym_SLASH_GT,
    STATE(4081), 1,
      sym_comment,
    STATE(4425), 1,
      sym_type_arguments,
    STATE(4426), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [145997] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(6988), 1,
      anon_sym_LT,
    ACTIONS(7368), 1,
      anon_sym_GT,
    ACTIONS(7370), 1,
      anon_sym_DOT,
    ACTIONS(7380), 1,
      anon_sym_SLASH_GT,
    STATE(4082), 1,
      sym_comment,
    STATE(4242), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4328), 1,
      sym_type_arguments,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [146039] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6961), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_LBRACE,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_type,
    STATE(4083), 1,
      sym_comment,
    STATE(5661), 1,
      sym_string,
    STATE(5768), 1,
      sym_import_require_clause,
    STATE(6928), 1,
      sym__import_identifier,
    STATE(7091), 1,
      sym_import_clause,
    STATE(7307), 2,
      sym_namespace_import,
      sym_named_imports,
  [146083] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4084), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5039), 1,
      sym__call_signature,
    STATE(5044), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7382), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146121] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    ACTIONS(4491), 1,
      anon_sym_RBRACE,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    STATE(4085), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(4494), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [146155] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4086), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5236), 1,
      sym__call_signature,
    STATE(5239), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7384), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146193] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(6988), 1,
      anon_sym_LT,
    ACTIONS(7368), 1,
      anon_sym_GT,
    ACTIONS(7370), 1,
      anon_sym_DOT,
    ACTIONS(7386), 1,
      anon_sym_SLASH_GT,
    STATE(4087), 1,
      sym_comment,
    STATE(4361), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4394), 1,
      sym_type_arguments,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [146235] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(7388), 1,
      anon_sym_is,
    STATE(4088), 1,
      sym_comment,
    ACTIONS(4829), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146263] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4089), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4628), 1,
      sym__call_signature,
    STATE(5239), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7384), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146301] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4090), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5452), 1,
      sym_type_annotation,
    STATE(6342), 1,
      sym__initializer,
    STATE(6644), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146343] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4091), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4643), 1,
      sym__call_signature,
    STATE(5044), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7382), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146381] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4092), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4652), 1,
      sym__call_signature,
    STATE(5528), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7392), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146419] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_RBRACE,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    STATE(4093), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(4494), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [146453] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4094), 1,
      sym_comment,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4844), 1,
      sym__call_signature,
    STATE(5531), 1,
      sym_type_annotation,
    STATE(5873), 1,
      sym__initializer,
    STATE(6963), 1,
      sym_type_parameters,
    ACTIONS(7394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146495] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6961), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_LBRACE,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_type,
    STATE(4095), 1,
      sym_comment,
    STATE(5631), 1,
      sym_import_require_clause,
    STATE(5662), 1,
      sym_string,
    STATE(6888), 1,
      sym_import_clause,
    STATE(6928), 1,
      sym__import_identifier,
    STATE(7307), 2,
      sym_namespace_import,
      sym_named_imports,
  [146539] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4096), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5202), 1,
      sym_type_annotation,
    STATE(6133), 1,
      sym__initializer,
    STATE(6653), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
    ACTIONS(7396), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146581] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4097), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5347), 1,
      sym__call_signature,
    STATE(5349), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7374), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146619] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4098), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5252), 1,
      sym_type_annotation,
    STATE(6007), 1,
      sym__initializer,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7138), 1,
      sym__call_signature,
    ACTIONS(7363), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146661] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4099), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5526), 1,
      sym__call_signature,
    STATE(5528), 1,
      sym_type_annotation,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7392), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146699] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4100), 1,
      sym_comment,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4965), 1,
      sym__call_signature,
    STATE(5109), 1,
      sym_type_annotation,
    STATE(6030), 1,
      sym__initializer,
    STATE(6963), 1,
      sym_type_parameters,
    ACTIONS(7398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146741] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4101), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5276), 1,
      sym_type_annotation,
    STATE(5796), 1,
      sym__initializer,
    STATE(6502), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
    ACTIONS(7363), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146783] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4102), 1,
      sym_comment,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5109), 1,
      sym_type_annotation,
    STATE(6042), 1,
      sym__call_signature,
    STATE(6044), 1,
      sym__initializer,
    STATE(7018), 1,
      sym_type_parameters,
    ACTIONS(7398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146825] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_PIPE,
    ACTIONS(7404), 1,
      anon_sym_extends,
    STATE(4103), 1,
      sym_comment,
    ACTIONS(5084), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [146854] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4959), 1,
      anon_sym_PIPE,
    ACTIONS(7406), 1,
      anon_sym_LBRACK,
    STATE(4104), 1,
      sym_comment,
    ACTIONS(4961), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(5317), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146883] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5145), 1,
      anon_sym_PIPE,
    STATE(4105), 1,
      sym_comment,
    ACTIONS(5147), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146908] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5116), 1,
      anon_sym_PIPE,
    STATE(4106), 1,
      sym_comment,
    ACTIONS(5118), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146933] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5098), 1,
      anon_sym_PIPE,
    STATE(4107), 1,
      sym_comment,
    ACTIONS(5100), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3130), 1,
      anon_sym_PIPE,
    STATE(4108), 1,
      sym_comment,
    ACTIONS(3438), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146983] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4984), 1,
      anon_sym_PIPE,
    STATE(4109), 1,
      sym_comment,
    ACTIONS(4986), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147008] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_PIPE,
    STATE(4110), 1,
      sym_comment,
    ACTIONS(4821), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147033] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_PIPE,
    ACTIONS(7404), 1,
      anon_sym_extends,
    STATE(4111), 1,
      sym_comment,
    ACTIONS(5296), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [147062] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5294), 1,
      anon_sym_PIPE,
    STATE(4112), 1,
      sym_comment,
    ACTIONS(5296), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147087] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5268), 1,
      anon_sym_PIPE,
    STATE(4113), 1,
      sym_comment,
    ACTIONS(5270), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147112] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_PIPE,
    ACTIONS(7404), 1,
      anon_sym_extends,
    STATE(4114), 1,
      sym_comment,
    ACTIONS(4855), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [147141] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4959), 1,
      anon_sym_PIPE,
    STATE(4115), 1,
      sym_comment,
    ACTIONS(4961), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5233), 1,
      anon_sym_PIPE,
    STATE(4116), 1,
      sym_comment,
    ACTIONS(5235), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147191] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4959), 1,
      anon_sym_PIPE,
    ACTIONS(7406), 1,
      anon_sym_LBRACK,
    STATE(4117), 1,
      sym_comment,
    ACTIONS(4961), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_PIPE,
    STATE(4118), 1,
      sym_comment,
    ACTIONS(4839), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147243] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4937), 1,
      anon_sym_PIPE,
    STATE(4119), 1,
      sym_comment,
    ACTIONS(4939), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147268] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7408), 1,
      sym_identifier,
    ACTIONS(7410), 1,
      anon_sym_type,
    ACTIONS(7412), 1,
      anon_sym_COMMA,
    ACTIONS(7414), 1,
      anon_sym_RBRACE,
    ACTIONS(7416), 1,
      anon_sym_typeof,
    STATE(4120), 1,
      sym_comment,
    STATE(5720), 1,
      sym_string,
    STATE(6258), 1,
      sym_import_specifier,
    STATE(6765), 1,
      sym__import_identifier,
    STATE(7416), 1,
      sym__module_export_name,
  [147311] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7102), 1,
      anon_sym_LT,
    STATE(4121), 1,
      sym_comment,
    STATE(4422), 1,
      sym_type_arguments,
    ACTIONS(4829), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147338] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4998), 1,
      anon_sym_PIPE,
    STATE(4122), 1,
      sym_comment,
    ACTIONS(5000), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147363] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5129), 1,
      anon_sym_PIPE,
    STATE(4123), 1,
      sym_comment,
    ACTIONS(5131), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147388] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5122), 1,
      anon_sym_PIPE,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    STATE(4124), 1,
      sym_comment,
    ACTIONS(5124), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147415] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5094), 1,
      anon_sym_PIPE,
    STATE(4125), 1,
      sym_comment,
    ACTIONS(5096), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    STATE(4126), 1,
      sym_comment,
    ACTIONS(4829), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147465] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    STATE(4127), 1,
      sym_comment,
    ACTIONS(5084), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147490] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4128), 1,
      sym_comment,
    ACTIONS(6432), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [147513] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_PIPE,
    STATE(4129), 1,
      sym_comment,
    ACTIONS(5066), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    STATE(4130), 1,
      sym_comment,
    ACTIONS(5054), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147563] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4131), 1,
      sym_comment,
    ACTIONS(4835), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147586] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5274), 1,
      anon_sym_PIPE,
    STATE(4132), 1,
      sym_comment,
    ACTIONS(5276), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147611] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5038), 1,
      anon_sym_PIPE,
    STATE(4133), 1,
      sym_comment,
    ACTIONS(5040), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147636] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_PIPE,
    ACTIONS(7404), 1,
      anon_sym_extends,
    STATE(4134), 1,
      sym_comment,
    ACTIONS(5284), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [147665] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7418), 1,
      anon_sym_DOT,
    ACTIONS(7420), 1,
      anon_sym_QMARK_DOT,
    STATE(4135), 1,
      sym_comment,
    ACTIONS(5048), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147692] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5034), 1,
      anon_sym_PIPE,
    STATE(4136), 1,
      sym_comment,
    ACTIONS(5036), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147717] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5024), 1,
      anon_sym_PIPE,
    STATE(4137), 1,
      sym_comment,
    ACTIONS(5026), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147742] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5010), 1,
      anon_sym_PIPE,
    STATE(4138), 1,
      sym_comment,
    ACTIONS(5012), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147767] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4139), 1,
      sym_comment,
    ACTIONS(4494), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [147790] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_PIPE,
    ACTIONS(7404), 1,
      anon_sym_extends,
    STATE(4140), 1,
      sym_comment,
    ACTIONS(5219), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [147819] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4141), 1,
      sym_comment,
    ACTIONS(5074), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147844] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3132), 1,
      anon_sym_PIPE,
    STATE(4142), 1,
      sym_comment,
    ACTIONS(3426), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147869] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2221), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4143), 1,
      sym_comment,
    ACTIONS(5074), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147894] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_PIPE,
    ACTIONS(7404), 1,
      anon_sym_extends,
    STATE(4144), 1,
      sym_comment,
    ACTIONS(5215), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [147923] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4145), 1,
      sym_comment,
    ACTIONS(4833), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147946] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3128), 1,
      anon_sym_PIPE,
    STATE(4146), 1,
      sym_comment,
    ACTIONS(3458), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147971] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4147), 1,
      sym_comment,
    ACTIONS(4825), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147994] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_comment,
    STATE(4502), 1,
      sym_formal_parameters,
    STATE(6770), 1,
      sym_type_parameters,
    ACTIONS(4494), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [148025] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5290), 1,
      anon_sym_PIPE,
    STATE(4149), 1,
      sym_comment,
    ACTIONS(5292), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148050] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4150), 1,
      sym_comment,
    ACTIONS(5030), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148073] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3126), 1,
      anon_sym_PIPE,
    STATE(4151), 1,
      sym_comment,
    ACTIONS(3496), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148098] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5298), 1,
      anon_sym_PIPE,
    ACTIONS(7406), 1,
      anon_sym_LBRACK,
    STATE(4152), 1,
      sym_comment,
    ACTIONS(5300), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148125] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5302), 1,
      anon_sym_PIPE,
    ACTIONS(7422), 1,
      anon_sym_extends,
    STATE(4153), 1,
      sym_comment,
    ACTIONS(5304), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE_RBRACE,
  [148152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5237), 1,
      anon_sym_PIPE,
    STATE(4154), 1,
      sym_comment,
    ACTIONS(5239), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148177] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_PIPE,
    ACTIONS(7404), 1,
      anon_sym_extends,
    STATE(4155), 1,
      sym_comment,
    ACTIONS(5321), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [148206] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5323), 1,
      anon_sym_PIPE,
    STATE(4156), 1,
      sym_comment,
    ACTIONS(5325), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148231] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4863), 1,
      anon_sym_PIPE,
    STATE(4157), 1,
      sym_comment,
    ACTIONS(4865), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148256] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5092), 1,
      anon_sym_PIPE,
    STATE(4158), 1,
      sym_comment,
    ACTIONS(5090), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148281] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5286), 1,
      anon_sym_PIPE,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    STATE(4159), 1,
      sym_comment,
    ACTIONS(5288), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5278), 1,
      anon_sym_PIPE,
    STATE(4160), 1,
      sym_comment,
    ACTIONS(5280), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148333] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5272), 1,
      anon_sym_PIPE,
    STATE(4161), 1,
      sym_comment,
    ACTIONS(5114), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148358] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4162), 1,
      sym_comment,
    ACTIONS(6491), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [148381] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4163), 1,
      sym_comment,
    ACTIONS(5020), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148404] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5166), 1,
      anon_sym_PIPE,
    STATE(4164), 1,
      sym_comment,
    ACTIONS(5168), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148429] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3124), 1,
      anon_sym_PIPE,
    STATE(4165), 1,
      sym_comment,
    ACTIONS(3498), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148454] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4166), 1,
      sym_comment,
    ACTIONS(5008), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148477] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7424), 1,
      sym_identifier,
    ACTIONS(7426), 1,
      anon_sym_LBRACE,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    STATE(3202), 1,
      sym_class_body,
    STATE(4167), 1,
      sym_comment,
    STATE(4607), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(7146), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [148517] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(6986), 1,
      anon_sym_SLASH_GT,
    ACTIONS(7329), 1,
      anon_sym_COLON,
    ACTIONS(7331), 1,
      anon_sym_GT,
    STATE(4168), 1,
      sym_comment,
    STATE(4342), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [148553] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7307), 1,
      anon_sym_is,
    STATE(4169), 1,
      sym_comment,
    ACTIONS(4821), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148577] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7426), 1,
      anon_sym_LBRACE,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7432), 1,
      sym_identifier,
    STATE(3311), 1,
      sym_class_body,
    STATE(4170), 1,
      sym_comment,
    STATE(4623), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6698), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [148617] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4131), 1,
      anon_sym_LPAREN,
    ACTIONS(7436), 1,
      anon_sym_DOT,
    STATE(4171), 1,
      sym_comment,
    STATE(4451), 1,
      sym_arguments,
    ACTIONS(7434), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148645] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7438), 1,
      sym_identifier,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    STATE(2553), 1,
      sym_class_body,
    STATE(4172), 1,
      sym_comment,
    STATE(4749), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6676), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [148685] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7329), 1,
      anon_sym_COLON,
    ACTIONS(7331), 1,
      anon_sym_GT,
    ACTIONS(7335), 1,
      anon_sym_SLASH_GT,
    STATE(4173), 1,
      sym_comment,
    STATE(4354), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [148721] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7408), 1,
      sym_identifier,
    ACTIONS(7410), 1,
      anon_sym_type,
    ACTIONS(7416), 1,
      anon_sym_typeof,
    ACTIONS(7442), 1,
      anon_sym_RBRACE,
    STATE(4174), 1,
      sym_comment,
    STATE(5720), 1,
      sym_string,
    STATE(6601), 1,
      sym_import_specifier,
    STATE(6765), 1,
      sym__import_identifier,
    STATE(7416), 1,
      sym__module_export_name,
  [148761] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    STATE(4175), 1,
      sym_comment,
    STATE(3189), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5012), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148789] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4176), 1,
      sym_comment,
    ACTIONS(4843), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [148811] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7426), 1,
      anon_sym_LBRACE,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7444), 1,
      sym_identifier,
    STATE(3202), 1,
      sym_class_body,
    STATE(4177), 1,
      sym_comment,
    STATE(4607), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(7146), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [148851] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7426), 1,
      anon_sym_LBRACE,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7446), 1,
      sym_identifier,
    STATE(3202), 1,
      sym_class_body,
    STATE(4178), 1,
      sym_comment,
    STATE(4607), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(7146), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [148891] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7004), 1,
      anon_sym_SLASH_GT,
    ACTIONS(7329), 1,
      anon_sym_COLON,
    ACTIONS(7331), 1,
      anon_sym_GT,
    STATE(4179), 1,
      sym_comment,
    STATE(4402), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [148927] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7329), 1,
      anon_sym_COLON,
    ACTIONS(7331), 1,
      anon_sym_GT,
    ACTIONS(7333), 1,
      anon_sym_SLASH_GT,
    STATE(4180), 1,
      sym_comment,
    STATE(4417), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [148963] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7448), 1,
      anon_sym_EQ,
    ACTIONS(7452), 1,
      anon_sym_BANG,
    STATE(4181), 1,
      sym_comment,
    STATE(5309), 1,
      sym__initializer,
    STATE(5398), 1,
      sym_type_annotation,
    ACTIONS(7454), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7450), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148997] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7426), 1,
      anon_sym_LBRACE,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7456), 1,
      sym_identifier,
    STATE(3311), 1,
      sym_class_body,
    STATE(4182), 1,
      sym_comment,
    STATE(4623), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6698), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [149037] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7426), 1,
      anon_sym_LBRACE,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7458), 1,
      sym_identifier,
    STATE(3202), 1,
      sym_class_body,
    STATE(4183), 1,
      sym_comment,
    STATE(4607), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(7146), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [149077] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_COLON,
    STATE(4184), 1,
      sym_comment,
    STATE(4839), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7460), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149103] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7464), 1,
      anon_sym_is,
    STATE(4185), 1,
      sym_comment,
    ACTIONS(4829), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149127] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_PIPE,
    ACTIONS(7404), 1,
      anon_sym_extends,
    STATE(4186), 1,
      sym_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149155] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7307), 1,
      anon_sym_is,
    STATE(4187), 1,
      sym_comment,
    ACTIONS(4839), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149179] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    STATE(4188), 1,
      sym_comment,
    ACTIONS(4763), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4494), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [149205] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7426), 1,
      anon_sym_LBRACE,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7468), 1,
      sym_identifier,
    STATE(3202), 1,
      sym_class_body,
    STATE(4189), 1,
      sym_comment,
    STATE(4607), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(7146), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [149245] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_COLON,
    STATE(4190), 1,
      sym_comment,
    STATE(4890), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7470), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149271] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4191), 1,
      sym_comment,
    ACTIONS(2006), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [149293] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7452), 1,
      anon_sym_BANG,
    STATE(4192), 1,
      sym_comment,
    STATE(5398), 1,
      sym_type_annotation,
    STATE(6286), 1,
      sym__initializer,
    ACTIONS(7454), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7450), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149327] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7426), 1,
      anon_sym_LBRACE,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7472), 1,
      sym_identifier,
    STATE(3311), 1,
      sym_class_body,
    STATE(4193), 1,
      sym_comment,
    STATE(4623), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6698), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [149367] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7474), 1,
      sym_identifier,
    STATE(3412), 1,
      sym_class_body,
    STATE(4194), 1,
      sym_comment,
    STATE(4658), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(7107), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [149407] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7408), 1,
      sym_identifier,
    ACTIONS(7410), 1,
      anon_sym_type,
    ACTIONS(7416), 1,
      anon_sym_typeof,
    ACTIONS(7476), 1,
      anon_sym_RBRACE,
    STATE(4195), 1,
      sym_comment,
    STATE(5720), 1,
      sym_string,
    STATE(6601), 1,
      sym_import_specifier,
    STATE(6765), 1,
      sym__import_identifier,
    STATE(7416), 1,
      sym__module_export_name,
  [149447] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7408), 1,
      sym_identifier,
    ACTIONS(7478), 1,
      anon_sym_type,
    ACTIONS(7480), 1,
      anon_sym_as,
    STATE(4196), 1,
      sym_comment,
    STATE(5720), 1,
      sym_string,
    STATE(6911), 1,
      sym__import_identifier,
    STATE(7227), 1,
      sym__module_export_name,
    ACTIONS(7186), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [149485] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7426), 1,
      anon_sym_LBRACE,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7482), 1,
      sym_identifier,
    STATE(3202), 1,
      sym_class_body,
    STATE(4197), 1,
      sym_comment,
    STATE(4607), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(7146), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [149525] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7426), 1,
      anon_sym_LBRACE,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7484), 1,
      sym_identifier,
    STATE(3311), 1,
      sym_class_body,
    STATE(4198), 1,
      sym_comment,
    STATE(4623), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6698), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [149565] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7426), 1,
      anon_sym_LBRACE,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7486), 1,
      sym_identifier,
    STATE(3202), 1,
      sym_class_body,
    STATE(4199), 1,
      sym_comment,
    STATE(4607), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(7146), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [149605] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7488), 1,
      sym_identifier,
    STATE(2578), 1,
      sym_class_body,
    STATE(4200), 1,
      sym_comment,
    STATE(4521), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6896), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [149645] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7426), 1,
      anon_sym_LBRACE,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7490), 1,
      sym_identifier,
    STATE(3311), 1,
      sym_class_body,
    STATE(4201), 1,
      sym_comment,
    STATE(4623), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6698), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [149685] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7426), 1,
      anon_sym_LBRACE,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7492), 1,
      sym_identifier,
    STATE(3311), 1,
      sym_class_body,
    STATE(4202), 1,
      sym_comment,
    STATE(4623), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6698), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [149725] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7494), 1,
      sym_identifier,
    ACTIONS(7498), 1,
      anon_sym_COMMA,
    ACTIONS(7500), 1,
      anon_sym_RBRACE,
    STATE(4203), 1,
      sym_comment,
    STATE(5720), 1,
      sym_string,
    STATE(6147), 1,
      sym_export_specifier,
    STATE(6154), 1,
      sym__module_export_name,
    ACTIONS(7496), 2,
      anon_sym_type,
      anon_sym_typeof,
  [149763] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7426), 1,
      anon_sym_LBRACE,
    ACTIONS(7428), 1,
      anon_sym_extends,
    ACTIONS(7430), 1,
      anon_sym_implements,
    ACTIONS(7502), 1,
      sym_identifier,
    STATE(3311), 1,
      sym_class_body,
    STATE(4204), 1,
      sym_comment,
    STATE(4623), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6698), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [149803] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4205), 1,
      sym_comment,
    ACTIONS(5004), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149824] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4206), 1,
      sym_comment,
    STATE(5106), 1,
      sym_type_annotation,
    STATE(6033), 1,
      sym__initializer,
    ACTIONS(7255), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7253), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149855] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    STATE(3219), 1,
      sym_class_body,
    STATE(4207), 1,
      sym_comment,
    STATE(4489), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6536), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [149892] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7510), 1,
      anon_sym_BANG,
    ACTIONS(7512), 1,
      anon_sym_QMARK,
    STATE(4208), 1,
      sym_comment,
    STATE(5196), 1,
      sym_type_annotation,
    STATE(6129), 1,
      sym__initializer,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149925] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6949), 1,
      anon_sym_LT,
    ACTIONS(7514), 1,
      anon_sym_DOT,
    STATE(2532), 1,
      sym_template_string,
    STATE(2729), 1,
      sym_arguments,
    STATE(4209), 1,
      sym_comment,
    STATE(5676), 1,
      sym_type_arguments,
    STATE(6851), 1,
      sym_optional_chain,
  [149962] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4210), 1,
      sym_comment,
    STATE(5132), 1,
      sym_type_annotation,
    STATE(5783), 1,
      sym__initializer,
    ACTIONS(7192), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7190), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149993] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    STATE(3183), 1,
      sym_class_body,
    STATE(4211), 1,
      sym_comment,
    STATE(4728), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6526), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [150030] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    ACTIONS(7516), 1,
      anon_sym_COMMA,
    ACTIONS(7518), 1,
      anon_sym_RBRACE,
    STATE(4212), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(4494), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [150061] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(6949), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_DOT,
    STATE(2532), 1,
      sym_template_string,
    STATE(3213), 1,
      sym_arguments,
    STATE(4213), 1,
      sym_comment,
    STATE(5676), 1,
      sym_type_arguments,
    STATE(6851), 1,
      sym_optional_chain,
  [150098] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7522), 1,
      anon_sym_LBRACE,
    STATE(1290), 1,
      sym_class_body,
    STATE(4214), 1,
      sym_comment,
    STATE(4487), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6544), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [150135] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4215), 1,
      sym_comment,
    STATE(5089), 1,
      sym_type_annotation,
    STATE(5998), 1,
      sym__initializer,
    ACTIONS(7526), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7524), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150166] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(3424), 1,
      sym_class_body,
    STATE(4216), 1,
      sym_comment,
    STATE(4596), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6661), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [150203] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7494), 1,
      sym_identifier,
    ACTIONS(7530), 1,
      anon_sym_RBRACE,
    STATE(4217), 1,
      sym_comment,
    STATE(5720), 1,
      sym_string,
    STATE(6154), 1,
      sym__module_export_name,
    STATE(6492), 1,
      sym_export_specifier,
    ACTIONS(7496), 2,
      anon_sym_type,
      anon_sym_typeof,
  [150238] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(4218), 1,
      sym_comment,
    STATE(4723), 1,
      sym_type_parameters,
    STATE(5920), 1,
      sym_class_body,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6481), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [150275] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4219), 1,
      sym_comment,
    ACTIONS(5147), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150296] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(2641), 1,
      sym_class_body,
    STATE(4220), 1,
      sym_comment,
    STATE(4714), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6473), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [150333] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_class_body,
    STATE(4221), 1,
      sym_comment,
    STATE(4677), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6540), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [150370] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4222), 1,
      sym_comment,
    ACTIONS(5118), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150391] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7536), 1,
      anon_sym_GT,
    ACTIONS(7538), 1,
      anon_sym_SLASH_GT,
    STATE(4223), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [150424] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7540), 1,
      anon_sym_GT,
    ACTIONS(7542), 1,
      anon_sym_SLASH_GT,
    STATE(4224), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [150457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4225), 1,
      sym_comment,
    ACTIONS(5100), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150478] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4226), 1,
      sym_comment,
    STATE(5446), 1,
      sym_type_annotation,
    STATE(5845), 1,
      sym__initializer,
    ACTIONS(7172), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7170), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150509] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(1070), 1,
      sym_class_body,
    STATE(4227), 1,
      sym_comment,
    STATE(4485), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6576), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [150546] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_EQ,
    STATE(4228), 1,
      sym_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [150575] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6949), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_arguments,
    STATE(2532), 1,
      sym_template_string,
    STATE(3950), 1,
      sym_type_arguments,
    STATE(4229), 1,
      sym_comment,
    STATE(6851), 1,
      sym_optional_chain,
  [150612] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4230), 1,
      sym_comment,
    ACTIONS(4939), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150633] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(6949), 1,
      anon_sym_LT,
    STATE(4231), 1,
      sym_comment,
    STATE(5732), 1,
      sym_type_arguments,
    STATE(7009), 1,
      sym_optional_chain,
    STATE(3124), 2,
      sym_template_string,
      sym_arguments,
  [150668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_EQ,
    STATE(4232), 1,
      sym_comment,
    ACTIONS(7550), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [150691] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(4233), 1,
      sym_comment,
    STATE(4706), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6575), 1,
      sym_class_heritage,
    STATE(7051), 1,
      sym_class_body,
    STATE(7172), 1,
      sym_implements_clause,
  [150728] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_BANG,
    ACTIONS(7556), 1,
      anon_sym_QMARK,
    STATE(4234), 1,
      sym_comment,
    STATE(5373), 1,
      sym_type_annotation,
    STATE(5828), 1,
      sym__initializer,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150761] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7558), 1,
      anon_sym_BANG,
    ACTIONS(7560), 1,
      anon_sym_QMARK,
    STATE(4235), 1,
      sym_comment,
    STATE(5121), 1,
      sym_type_annotation,
    STATE(6122), 1,
      sym__initializer,
    ACTIONS(7206), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150794] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    ACTIONS(7516), 1,
      anon_sym_COMMA,
    STATE(4236), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(4494), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [150825] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4237), 1,
      sym_comment,
    ACTIONS(7562), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [150846] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_AMP,
    ACTIONS(7566), 1,
      anon_sym_PIPE,
    ACTIONS(7568), 1,
      anon_sym_extends,
    STATE(4238), 1,
      sym_comment,
    ACTIONS(5296), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [150873] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7570), 1,
      anon_sym_EQ,
    STATE(4239), 1,
      sym_comment,
    ACTIONS(7572), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [150896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4240), 1,
      sym_comment,
    ACTIONS(5296), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150917] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7574), 1,
      anon_sym_BANG,
    ACTIONS(7576), 1,
      anon_sym_QMARK,
    STATE(4241), 1,
      sym_comment,
    STATE(5406), 1,
      sym_type_annotation,
    STATE(5833), 1,
      sym__initializer,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150950] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7578), 1,
      anon_sym_GT,
    ACTIONS(7580), 1,
      anon_sym_SLASH_GT,
    STATE(4242), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [150983] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7582), 1,
      anon_sym_BANG,
    ACTIONS(7584), 1,
      anon_sym_QMARK,
    STATE(4243), 1,
      sym_comment,
    STATE(5424), 1,
      sym_type_annotation,
    STATE(5835), 1,
      sym__initializer,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151016] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4244), 1,
      sym_comment,
    ACTIONS(5270), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151037] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7586), 1,
      anon_sym_EQ,
    ACTIONS(7588), 1,
      anon_sym_DOT,
    STATE(4245), 1,
      sym_comment,
    STATE(4441), 1,
      sym_arguments,
    ACTIONS(7434), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [151066] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_AMP,
    ACTIONS(7566), 1,
      anon_sym_PIPE,
    ACTIONS(7568), 1,
      anon_sym_extends,
    STATE(4246), 1,
      sym_comment,
    ACTIONS(4855), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [151093] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7590), 1,
      anon_sym_LBRACK,
    STATE(4247), 1,
      sym_comment,
    ACTIONS(4961), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4248), 1,
      sym_comment,
    ACTIONS(4961), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151137] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4249), 1,
      sym_comment,
    ACTIONS(3498), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4250), 1,
      sym_comment,
    ACTIONS(3496), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151179] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4251), 1,
      sym_comment,
    ACTIONS(3458), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151200] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    STATE(3222), 1,
      sym_class_body,
    STATE(4252), 1,
      sym_comment,
    STATE(4477), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6604), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [151237] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4253), 1,
      sym_comment,
    ACTIONS(5239), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151258] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4254), 1,
      sym_comment,
    ACTIONS(3438), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151279] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7592), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_QMARK,
    STATE(4255), 1,
      sym_comment,
    STATE(5496), 1,
      sym_type_annotation,
    STATE(5851), 1,
      sym__initializer,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4256), 1,
      sym_comment,
    ACTIONS(5235), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151333] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7596), 1,
      anon_sym_BANG,
    ACTIONS(7598), 1,
      anon_sym_QMARK,
    STATE(4257), 1,
      sym_comment,
    STATE(5154), 1,
      sym_type_annotation,
    STATE(6075), 1,
      sym__initializer,
    ACTIONS(7206), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151366] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7600), 1,
      anon_sym_BANG,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    STATE(4258), 1,
      sym_comment,
    STATE(5161), 1,
      sym_type_annotation,
    STATE(6084), 1,
      sym__initializer,
    ACTIONS(7206), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151399] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_BANG,
    ACTIONS(7606), 1,
      anon_sym_QMARK,
    STATE(4259), 1,
      sym_comment,
    STATE(5538), 1,
      sym_type_annotation,
    STATE(5861), 1,
      sym__initializer,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151432] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7608), 1,
      anon_sym_BANG,
    ACTIONS(7610), 1,
      anon_sym_QMARK,
    STATE(4260), 1,
      sym_comment,
    STATE(5536), 1,
      sym_type_annotation,
    STATE(5863), 1,
      sym__initializer,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151465] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7612), 1,
      anon_sym_BANG,
    ACTIONS(7614), 1,
      anon_sym_QMARK,
    STATE(4261), 1,
      sym_comment,
    STATE(5533), 1,
      sym_type_annotation,
    STATE(5865), 1,
      sym__initializer,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151498] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7616), 1,
      anon_sym_BANG,
    ACTIONS(7618), 1,
      anon_sym_QMARK,
    STATE(4262), 1,
      sym_comment,
    STATE(5162), 1,
      sym_type_annotation,
    STATE(6085), 1,
      sym__initializer,
    ACTIONS(7206), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151531] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7620), 1,
      anon_sym_LBRACE,
    STATE(302), 1,
      sym_class_body,
    STATE(4263), 1,
      sym_comment,
    STATE(4499), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6567), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [151568] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(4264), 1,
      sym_comment,
    STATE(4732), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6573), 1,
      sym_class_heritage,
    STATE(6658), 1,
      sym_class_body,
    STATE(7172), 1,
      sym_implements_clause,
  [151605] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4265), 1,
      sym_comment,
    ACTIONS(4821), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4266), 1,
      sym_comment,
    ACTIONS(3426), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151647] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7622), 1,
      anon_sym_BANG,
    ACTIONS(7624), 1,
      anon_sym_QMARK,
    STATE(4267), 1,
      sym_comment,
    STATE(5165), 1,
      sym_type_annotation,
    STATE(6093), 1,
      sym__initializer,
    ACTIONS(7206), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151680] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7626), 1,
      anon_sym_EQ,
    STATE(4268), 1,
      sym_comment,
    ACTIONS(7628), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [151703] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7630), 1,
      anon_sym_BANG,
    ACTIONS(7632), 1,
      anon_sym_QMARK,
    STATE(4269), 1,
      sym_comment,
    STATE(5169), 1,
      sym_type_annotation,
    STATE(6102), 1,
      sym__initializer,
    ACTIONS(7206), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151736] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7634), 1,
      anon_sym_BANG,
    ACTIONS(7636), 1,
      anon_sym_QMARK,
    STATE(4270), 1,
      sym_comment,
    STATE(5418), 1,
      sym_type_annotation,
    STATE(5876), 1,
      sym__initializer,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151769] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7638), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_comment,
    ACTIONS(7640), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [151792] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7642), 1,
      anon_sym_BANG,
    ACTIONS(7644), 1,
      anon_sym_QMARK,
    STATE(4272), 1,
      sym_comment,
    STATE(5506), 1,
      sym_type_annotation,
    STATE(5878), 1,
      sym__initializer,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151825] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    ACTIONS(7516), 1,
      anon_sym_COMMA,
    ACTIONS(7646), 1,
      anon_sym_RBRACE,
    STATE(4273), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(4494), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [151856] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4274), 1,
      sym_comment,
    ACTIONS(5276), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151877] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7648), 1,
      anon_sym_LBRACE,
    STATE(1651), 1,
      sym_class_body,
    STATE(4275), 1,
      sym_comment,
    STATE(4497), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(7003), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [151914] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_AMP,
    ACTIONS(7566), 1,
      anon_sym_PIPE,
    ACTIONS(7568), 1,
      anon_sym_extends,
    STATE(4276), 1,
      sym_comment,
    ACTIONS(5284), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [151941] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_BANG,
    ACTIONS(7652), 1,
      anon_sym_QMARK,
    STATE(4277), 1,
      sym_comment,
    STATE(5229), 1,
      sym_type_annotation,
    STATE(6150), 1,
      sym__initializer,
    ACTIONS(7206), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151974] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7654), 1,
      anon_sym_BANG,
    ACTIONS(7656), 1,
      anon_sym_QMARK,
    STATE(4278), 1,
      sym_comment,
    STATE(5241), 1,
      sym_type_annotation,
    STATE(6159), 1,
      sym__initializer,
    ACTIONS(7206), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152007] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7658), 1,
      anon_sym_EQ,
    STATE(4279), 1,
      sym_comment,
    ACTIONS(4302), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [152030] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4280), 1,
      sym_comment,
    ACTIONS(7660), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [152051] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7662), 1,
      anon_sym_BANG,
    ACTIONS(7664), 1,
      anon_sym_QMARK,
    STATE(4281), 1,
      sym_comment,
    STATE(5244), 1,
      sym_type_annotation,
    STATE(6160), 1,
      sym__initializer,
    ACTIONS(7206), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152084] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4282), 1,
      sym_comment,
    ACTIONS(4986), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152105] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7666), 1,
      anon_sym_BANG,
    ACTIONS(7668), 1,
      anon_sym_QMARK,
    STATE(4283), 1,
      sym_comment,
    STATE(5259), 1,
      sym_type_annotation,
    STATE(5776), 1,
      sym__initializer,
    ACTIONS(7206), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152138] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7670), 1,
      anon_sym_BANG,
    ACTIONS(7672), 1,
      anon_sym_QMARK,
    STATE(4284), 1,
      sym_comment,
    STATE(5284), 1,
      sym_type_annotation,
    STATE(6191), 1,
      sym__initializer,
    ACTIONS(7206), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152171] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4285), 1,
      sym_comment,
    STATE(5422), 1,
      sym_type_annotation,
    STATE(6313), 1,
      sym__initializer,
    ACTIONS(7202), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7200), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152202] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4286), 1,
      sym_comment,
    ACTIONS(2211), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152223] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4287), 1,
      sym_comment,
    STATE(5398), 1,
      sym_type_annotation,
    STATE(6299), 1,
      sym__initializer,
    ACTIONS(7454), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7450), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152254] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4288), 1,
      sym_comment,
    ACTIONS(5131), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152275] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_AMP,
    STATE(4289), 1,
      sym_comment,
    ACTIONS(5124), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [152298] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4290), 1,
      sym_comment,
    ACTIONS(5096), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152319] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_AMP,
    ACTIONS(7566), 1,
      anon_sym_PIPE,
    ACTIONS(7568), 1,
      anon_sym_extends,
    STATE(4291), 1,
      sym_comment,
    ACTIONS(5084), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [152346] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4292), 1,
      sym_comment,
    ACTIONS(5084), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152367] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7448), 1,
      anon_sym_EQ,
    STATE(4293), 1,
      sym_comment,
    STATE(5310), 1,
      sym__initializer,
    STATE(5398), 1,
      sym_type_annotation,
    ACTIONS(7454), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7450), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152398] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4294), 1,
      sym_comment,
    ACTIONS(4319), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [152419] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4295), 1,
      sym_comment,
    ACTIONS(5066), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152440] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7674), 1,
      anon_sym_COLON,
    STATE(4296), 1,
      sym_comment,
    STATE(5357), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7460), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152465] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7676), 1,
      anon_sym_EQ,
    STATE(4297), 1,
      sym_comment,
    ACTIONS(4319), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [152488] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4298), 1,
      sym_comment,
    ACTIONS(5054), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152509] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4299), 1,
      sym_comment,
    ACTIONS(5040), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152530] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4300), 1,
      sym_comment,
    ACTIONS(5036), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152551] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7678), 1,
      anon_sym_BANG,
    ACTIONS(7680), 1,
      anon_sym_QMARK,
    STATE(4301), 1,
      sym_comment,
    STATE(5411), 1,
      sym_type_annotation,
    STATE(5912), 1,
      sym__initializer,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152584] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7682), 1,
      anon_sym_BANG,
    ACTIONS(7684), 1,
      anon_sym_QMARK,
    STATE(4302), 1,
      sym_comment,
    STATE(5500), 1,
      sym_type_annotation,
    STATE(6428), 1,
      sym__initializer,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152617] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4303), 1,
      sym_comment,
    ACTIONS(5026), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4304), 1,
      sym_comment,
    ACTIONS(5012), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152659] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6949), 1,
      anon_sym_LT,
    STATE(2532), 1,
      sym_template_string,
    STATE(3407), 1,
      sym_arguments,
    STATE(3950), 1,
      sym_type_arguments,
    STATE(4305), 1,
      sym_comment,
    STATE(6851), 1,
      sym_optional_chain,
  [152696] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4306), 1,
      sym_comment,
    ACTIONS(4829), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152717] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4307), 1,
      sym_comment,
    ACTIONS(5000), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152738] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7686), 1,
      anon_sym_BANG,
    ACTIONS(7688), 1,
      anon_sym_QMARK,
    STATE(4308), 1,
      sym_comment,
    STATE(5532), 1,
      sym_type_annotation,
    STATE(6459), 1,
      sym__initializer,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152771] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7690), 1,
      anon_sym_GT,
    ACTIONS(7692), 1,
      anon_sym_SLASH_GT,
    STATE(4309), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [152804] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7522), 1,
      anon_sym_LBRACE,
    STATE(1236), 1,
      sym_class_body,
    STATE(4310), 1,
      sym_comment,
    STATE(4492), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6484), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [152841] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_AMP,
    ACTIONS(7566), 1,
      anon_sym_PIPE,
    ACTIONS(7568), 1,
      anon_sym_extends,
    STATE(4311), 1,
      sym_comment,
    ACTIONS(5215), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [152868] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_AMP,
    ACTIONS(7566), 1,
      anon_sym_PIPE,
    ACTIONS(7568), 1,
      anon_sym_extends,
    STATE(4312), 1,
      sym_comment,
    ACTIONS(5219), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [152895] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(6949), 1,
      anon_sym_LT,
    ACTIONS(7694), 1,
      anon_sym_DOT,
    STATE(3124), 1,
      sym_template_string,
    STATE(3306), 1,
      sym_arguments,
    STATE(4313), 1,
      sym_comment,
    STATE(5732), 1,
      sym_type_arguments,
    STATE(7009), 1,
      sym_optional_chain,
  [152932] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4314), 1,
      sym_comment,
    ACTIONS(7550), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [152953] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4315), 1,
      sym_comment,
    ACTIONS(7572), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [152974] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4316), 1,
      sym_comment,
    ACTIONS(7628), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [152995] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4317), 1,
      sym_comment,
    ACTIONS(7640), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [153016] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4318), 1,
      sym_comment,
    ACTIONS(4302), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [153037] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    ACTIONS(7516), 1,
      anon_sym_COMMA,
    ACTIONS(7696), 1,
      anon_sym_RBRACE,
    STATE(4319), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(4494), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [153068] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7698), 1,
      anon_sym_LBRACE,
    STATE(345), 1,
      sym_class_body,
    STATE(4320), 1,
      sym_comment,
    STATE(4594), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6634), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [153105] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(2536), 1,
      sym_class_body,
    STATE(4321), 1,
      sym_comment,
    STATE(4740), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6652), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [153142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4322), 1,
      sym_comment,
    ACTIONS(7700), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [153163] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7702), 1,
      anon_sym_BANG,
    ACTIONS(7704), 1,
      anon_sym_QMARK,
    STATE(4323), 1,
      sym_comment,
    STATE(5405), 1,
      sym_type_annotation,
    STATE(5918), 1,
      sym__initializer,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153196] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7706), 1,
      anon_sym_BANG,
    ACTIONS(7708), 1,
      anon_sym_QMARK,
    STATE(4324), 1,
      sym_comment,
    STATE(5402), 1,
      sym_type_annotation,
    STATE(5921), 1,
      sym__initializer,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153229] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    STATE(3298), 1,
      sym_class_body,
    STATE(4325), 1,
      sym_comment,
    STATE(4681), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6518), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [153266] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7712), 1,
      anon_sym_QMARK,
    STATE(4326), 1,
      sym_comment,
    STATE(5523), 1,
      sym_type_annotation,
    STATE(6268), 1,
      sym__initializer,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153299] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7714), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_QMARK,
    STATE(4327), 1,
      sym_comment,
    STATE(5178), 1,
      sym_type_annotation,
    STATE(6105), 1,
      sym__initializer,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153332] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7718), 1,
      anon_sym_GT,
    ACTIONS(7720), 1,
      anon_sym_SLASH_GT,
    STATE(4224), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4328), 1,
      sym_comment,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153365] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7722), 1,
      anon_sym_BANG,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(4329), 1,
      sym_comment,
    STATE(5400), 1,
      sym_type_annotation,
    STATE(5923), 1,
      sym__initializer,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153398] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4330), 1,
      sym_comment,
    ACTIONS(4839), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153419] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7726), 1,
      anon_sym_GT,
    ACTIONS(7728), 1,
      anon_sym_SLASH_GT,
    STATE(4331), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153452] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7730), 1,
      anon_sym_BANG,
    ACTIONS(7732), 1,
      anon_sym_QMARK,
    STATE(4332), 1,
      sym_comment,
    STATE(5520), 1,
      sym_type_annotation,
    STATE(6413), 1,
      sym__initializer,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153485] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4333), 1,
      sym_comment,
    ACTIONS(7734), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [153506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4334), 1,
      sym_comment,
    ACTIONS(4994), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153527] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4335), 1,
      sym_comment,
    ACTIONS(4990), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4336), 1,
      sym_comment,
    ACTIONS(4982), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153569] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7736), 1,
      anon_sym_BANG,
    ACTIONS(7738), 1,
      anon_sym_QMARK,
    STATE(4337), 1,
      sym_comment,
    STATE(5380), 1,
      sym_type_annotation,
    STATE(5933), 1,
      sym__initializer,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153602] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7740), 1,
      anon_sym_LBRACE,
    STATE(972), 1,
      sym_class_body,
    STATE(4338), 1,
      sym_comment,
    STATE(4571), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6825), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [153639] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7742), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_QMARK,
    STATE(4339), 1,
      sym_comment,
    STATE(5354), 1,
      sym_type_annotation,
    STATE(5937), 1,
      sym__initializer,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153672] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7746), 1,
      anon_sym_LBRACE,
    STATE(914), 1,
      sym_class_body,
    STATE(4340), 1,
      sym_comment,
    STATE(4503), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6587), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [153709] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(4341), 1,
      sym_comment,
    STATE(4498), 1,
      sym_type_parameters,
    STATE(5097), 1,
      sym_class_body,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6810), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [153746] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_GT,
    ACTIONS(7750), 1,
      anon_sym_SLASH_GT,
    STATE(4342), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153779] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_class_body,
    STATE(4343), 1,
      sym_comment,
    STATE(4493), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6710), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [153816] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7752), 1,
      anon_sym_BANG,
    ACTIONS(7754), 1,
      anon_sym_QMARK,
    STATE(4344), 1,
      sym_comment,
    STATE(5444), 1,
      sym_type_annotation,
    STATE(6326), 1,
      sym__initializer,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153849] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7331), 1,
      anon_sym_GT,
    ACTIONS(7335), 1,
      anon_sym_SLASH_GT,
    STATE(4345), 1,
      sym_comment,
    STATE(4359), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153882] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7004), 1,
      anon_sym_SLASH_GT,
    ACTIONS(7331), 1,
      anon_sym_GT,
    STATE(4346), 1,
      sym_comment,
    STATE(4382), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153915] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7756), 1,
      anon_sym_BANG,
    ACTIONS(7758), 1,
      anon_sym_QMARK,
    STATE(4347), 1,
      sym_comment,
    STATE(5415), 1,
      sym_type_annotation,
    STATE(6461), 1,
      sym__initializer,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153948] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7760), 1,
      anon_sym_BANG,
    ACTIONS(7762), 1,
      anon_sym_QMARK,
    STATE(4348), 1,
      sym_comment,
    STATE(5413), 1,
      sym_type_annotation,
    STATE(6281), 1,
      sym__initializer,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153981] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(6949), 1,
      anon_sym_LT,
    STATE(3053), 1,
      sym_arguments,
    STATE(3124), 1,
      sym_template_string,
    STATE(4175), 1,
      sym_type_arguments,
    STATE(4349), 1,
      sym_comment,
    STATE(7009), 1,
      sym_optional_chain,
  [154018] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7740), 1,
      anon_sym_LBRACE,
    STATE(964), 1,
      sym_class_body,
    STATE(4350), 1,
      sym_comment,
    STATE(4590), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6745), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [154055] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7648), 1,
      anon_sym_LBRACE,
    STATE(1708), 1,
      sym_class_body,
    STATE(4351), 1,
      sym_comment,
    STATE(4482), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6766), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [154092] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7764), 1,
      anon_sym_LBRACE,
    STATE(1117), 1,
      sym_class_body,
    STATE(4352), 1,
      sym_comment,
    STATE(4507), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6600), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [154129] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7768), 1,
      anon_sym_BANG,
    ACTIONS(7770), 1,
      anon_sym_QMARK,
    STATE(4353), 1,
      sym_comment,
    STATE(5375), 1,
      sym_type_annotation,
    STATE(6270), 1,
      sym__initializer,
    ACTIONS(7766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154162] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_GT,
    ACTIONS(7772), 1,
      anon_sym_SLASH_GT,
    STATE(4354), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [154195] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7774), 1,
      anon_sym_GT,
    ACTIONS(7776), 1,
      anon_sym_SLASH_GT,
    STATE(4355), 1,
      sym_comment,
    STATE(4370), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [154228] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7726), 1,
      anon_sym_GT,
    ACTIONS(7778), 1,
      anon_sym_SLASH_GT,
    STATE(4356), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [154261] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7718), 1,
      anon_sym_GT,
    ACTIONS(7780), 1,
      anon_sym_SLASH_GT,
    STATE(4357), 1,
      sym_comment,
    STATE(4371), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [154294] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7578), 1,
      anon_sym_GT,
    ACTIONS(7782), 1,
      anon_sym_SLASH_GT,
    STATE(4358), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [154327] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7690), 1,
      anon_sym_GT,
    ACTIONS(7784), 1,
      anon_sym_SLASH_GT,
    STATE(4359), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [154360] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1255), 1,
      sym_class_body,
    STATE(4360), 1,
      sym_comment,
    STATE(4578), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6772), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [154397] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7578), 1,
      anon_sym_GT,
    ACTIONS(7788), 1,
      anon_sym_SLASH_GT,
    STATE(4361), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [154430] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(6949), 1,
      anon_sym_LT,
    STATE(3124), 1,
      sym_template_string,
    STATE(3369), 1,
      sym_arguments,
    STATE(4175), 1,
      sym_type_arguments,
    STATE(4362), 1,
      sym_comment,
    STATE(7009), 1,
      sym_optional_chain,
  [154467] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6949), 1,
      anon_sym_LT,
    ACTIONS(7790), 1,
      anon_sym_DOT,
    STATE(2532), 1,
      sym_template_string,
    STATE(3088), 1,
      sym_arguments,
    STATE(4363), 1,
      sym_comment,
    STATE(5676), 1,
      sym_type_arguments,
    STATE(6851), 1,
      sym_optional_chain,
  [154504] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7698), 1,
      anon_sym_LBRACE,
    STATE(346), 1,
      sym_class_body,
    STATE(4364), 1,
      sym_comment,
    STATE(4577), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6803), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [154541] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7590), 1,
      anon_sym_LBRACK,
    STATE(4365), 1,
      sym_comment,
    ACTIONS(5300), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154564] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7792), 1,
      anon_sym_extends,
    STATE(4366), 1,
      sym_comment,
    ACTIONS(5304), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [154587] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4367), 1,
      sym_comment,
    ACTIONS(5329), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4368), 1,
      sym_comment,
    ACTIONS(5333), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154629] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4369), 1,
      sym_comment,
    ACTIONS(5310), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154650] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7536), 1,
      anon_sym_GT,
    ACTIONS(7794), 1,
      anon_sym_SLASH_GT,
    STATE(4370), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [154683] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7540), 1,
      anon_sym_GT,
    ACTIONS(7796), 1,
      anon_sym_SLASH_GT,
    STATE(4371), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [154716] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7590), 1,
      anon_sym_LBRACK,
    STATE(4372), 1,
      sym_comment,
    ACTIONS(4961), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5317), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154741] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6949), 1,
      anon_sym_LT,
    STATE(2532), 1,
      sym_template_string,
    STATE(2743), 1,
      sym_arguments,
    STATE(3950), 1,
      sym_type_arguments,
    STATE(4373), 1,
      sym_comment,
    STATE(6851), 1,
      sym_optional_chain,
  [154778] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_AMP,
    ACTIONS(7566), 1,
      anon_sym_PIPE,
    ACTIONS(7568), 1,
      anon_sym_extends,
    STATE(4374), 1,
      sym_comment,
    ACTIONS(5321), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [154805] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4375), 1,
      sym_comment,
    ACTIONS(4865), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154826] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4376), 1,
      sym_comment,
    ACTIONS(5090), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154847] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_AMP,
    STATE(4377), 1,
      sym_comment,
    ACTIONS(5288), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [154870] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4378), 1,
      sym_comment,
    ACTIONS(5280), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154891] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1315), 1,
      sym_class_body,
    STATE(4379), 1,
      sym_comment,
    STATE(4570), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6897), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [154928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4380), 1,
      sym_comment,
    ACTIONS(5114), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154949] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4381), 1,
      sym_comment,
    ACTIONS(5168), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154970] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7690), 1,
      anon_sym_GT,
    ACTIONS(7798), 1,
      anon_sym_SLASH_GT,
    STATE(4382), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155003] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4383), 1,
      sym_comment,
    ACTIONS(2145), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155024] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7800), 1,
      anon_sym_BANG,
    ACTIONS(7802), 1,
      anon_sym_QMARK,
    STATE(4384), 1,
      sym_comment,
    STATE(5093), 1,
      sym_type_annotation,
    STATE(5874), 1,
      sym__initializer,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155057] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7620), 1,
      anon_sym_LBRACE,
    STATE(313), 1,
      sym_class_body,
    STATE(4385), 1,
      sym_comment,
    STATE(4510), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6614), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [155094] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(4386), 1,
      sym_comment,
    STATE(4748), 1,
      sym_type_parameters,
    STATE(5942), 1,
      sym_class_body,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6666), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [155131] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7774), 1,
      anon_sym_GT,
    ACTIONS(7804), 1,
      anon_sym_SLASH_GT,
    STATE(4387), 1,
      sym_comment,
    STATE(4410), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155164] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7806), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_QMARK,
    STATE(4388), 1,
      sym_comment,
    STATE(5007), 1,
      sym_type_annotation,
    STATE(6005), 1,
      sym__initializer,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155197] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7494), 1,
      sym_identifier,
    ACTIONS(7810), 1,
      anon_sym_RBRACE,
    STATE(4389), 1,
      sym_comment,
    STATE(5720), 1,
      sym_string,
    STATE(6154), 1,
      sym__module_export_name,
    STATE(6492), 1,
      sym_export_specifier,
    ACTIONS(7496), 2,
      anon_sym_type,
      anon_sym_typeof,
  [155232] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7812), 1,
      anon_sym_BANG,
    ACTIONS(7814), 1,
      anon_sym_QMARK,
    STATE(4390), 1,
      sym_comment,
    STATE(5473), 1,
      sym_type_annotation,
    STATE(6379), 1,
      sym__initializer,
    ACTIONS(7766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155265] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7540), 1,
      anon_sym_GT,
    ACTIONS(7816), 1,
      anon_sym_SLASH_GT,
    STATE(4391), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155298] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7818), 1,
      anon_sym_LBRACE,
    ACTIONS(7820), 1,
      anon_sym_DQUOTE,
    ACTIONS(7822), 1,
      anon_sym_SQUOTE,
    ACTIONS(7824), 1,
      anon_sym_LT,
    STATE(3977), 1,
      sym_jsx_opening_element,
    STATE(4392), 1,
      sym_comment,
    STATE(5317), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [155329] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7818), 1,
      anon_sym_LBRACE,
    ACTIONS(7820), 1,
      anon_sym_DQUOTE,
    ACTIONS(7822), 1,
      anon_sym_SQUOTE,
    ACTIONS(7824), 1,
      anon_sym_LT,
    STATE(3977), 1,
      sym_jsx_opening_element,
    STATE(4393), 1,
      sym_comment,
    STATE(5301), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [155360] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7718), 1,
      anon_sym_GT,
    ACTIONS(7826), 1,
      anon_sym_SLASH_GT,
    STATE(4394), 1,
      sym_comment,
    STATE(4434), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155393] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4395), 1,
      sym_comment,
    ACTIONS(5088), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4396), 1,
      sym_comment,
    ACTIONS(5070), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155435] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4397), 1,
      sym_comment,
    ACTIONS(5070), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155456] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    STATE(1277), 1,
      sym_class_body,
    STATE(4398), 1,
      sym_comment,
    STATE(4557), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6842), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [155493] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4399), 1,
      sym_comment,
    ACTIONS(5004), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155514] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7726), 1,
      anon_sym_GT,
    ACTIONS(7830), 1,
      anon_sym_SLASH_GT,
    STATE(4400), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155547] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7774), 1,
      anon_sym_GT,
    ACTIONS(7832), 1,
      anon_sym_SLASH_GT,
    STATE(4401), 1,
      sym_comment,
    STATE(4424), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155580] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_GT,
    ACTIONS(7834), 1,
      anon_sym_SLASH_GT,
    STATE(4402), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155613] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7408), 1,
      sym_identifier,
    ACTIONS(7410), 1,
      anon_sym_type,
    ACTIONS(7416), 1,
      anon_sym_typeof,
    STATE(4403), 1,
      sym_comment,
    STATE(5720), 1,
      sym_string,
    STATE(6601), 1,
      sym_import_specifier,
    STATE(6765), 1,
      sym__import_identifier,
    STATE(7416), 1,
      sym__module_export_name,
  [155650] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6949), 1,
      anon_sym_LT,
    STATE(4404), 1,
      sym_comment,
    STATE(5676), 1,
      sym_type_arguments,
    STATE(6851), 1,
      sym_optional_chain,
    STATE(2532), 2,
      sym_template_string,
      sym_arguments,
  [155685] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4405), 1,
      sym_comment,
    ACTIONS(7836), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [155706] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7838), 1,
      anon_sym_LBRACE,
    STATE(390), 1,
      sym_class_body,
    STATE(4406), 1,
      sym_comment,
    STATE(4534), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(7025), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [155743] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(1158), 1,
      sym_class_body,
    STATE(4407), 1,
      sym_comment,
    STATE(4491), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6525), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [155780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4408), 1,
      sym_comment,
    ACTIONS(7840), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [155801] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7331), 1,
      anon_sym_GT,
    ACTIONS(7333), 1,
      anon_sym_SLASH_GT,
    STATE(4409), 1,
      sym_comment,
    STATE(4429), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155834] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7536), 1,
      anon_sym_GT,
    ACTIONS(7842), 1,
      anon_sym_SLASH_GT,
    STATE(4410), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155867] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    ACTIONS(7516), 1,
      anon_sym_COMMA,
    ACTIONS(7844), 1,
      anon_sym_RBRACE,
    STATE(4411), 1,
      sym_comment,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4494), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [155898] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    ACTIONS(7516), 1,
      anon_sym_COMMA,
    STATE(4412), 1,
      sym_comment,
    STATE(6180), 1,
      aux_sym_object_repeat1,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4494), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [155929] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(4413), 1,
      sym_comment,
    STATE(4509), 1,
      sym_type_parameters,
    STATE(5070), 1,
      sym_class_body,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6954), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [155966] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    STATE(3182), 1,
      sym_class_body,
    STATE(4414), 1,
      sym_comment,
    STATE(4611), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(7033), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [156003] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(6986), 1,
      anon_sym_SLASH_GT,
    ACTIONS(7331), 1,
      anon_sym_GT,
    STATE(4309), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4415), 1,
      sym_comment,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156036] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(4416), 1,
      sym_comment,
    STATE(4500), 1,
      sym_type_parameters,
    STATE(5010), 1,
      sym_class_body,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6862), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [156073] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_GT,
    ACTIONS(7846), 1,
      anon_sym_SLASH_GT,
    STATE(4417), 1,
      sym_comment,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156106] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7746), 1,
      anon_sym_LBRACE,
    STATE(951), 1,
      sym_class_body,
    STATE(4418), 1,
      sym_comment,
    STATE(4512), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6620), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [156143] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    ACTIONS(7516), 1,
      anon_sym_COMMA,
    STATE(4419), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6234), 1,
      aux_sym_object_repeat1,
    ACTIONS(4494), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [156174] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4420), 1,
      sym_comment,
    ACTIONS(5325), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156195] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7851), 1,
      anon_sym_LBRACE,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(7848), 2,
      sym_jsx_identifier,
      sym_identifier,
    ACTIONS(7854), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(4421), 2,
      sym_comment,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156224] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4422), 1,
      sym_comment,
    ACTIONS(5292), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156245] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7726), 1,
      anon_sym_GT,
    ACTIONS(7856), 1,
      anon_sym_SLASH_GT,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4423), 1,
      sym_comment,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156278] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7536), 1,
      anon_sym_GT,
    ACTIONS(7858), 1,
      anon_sym_SLASH_GT,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4424), 1,
      sym_comment,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156311] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7718), 1,
      anon_sym_GT,
    ACTIONS(7860), 1,
      anon_sym_SLASH_GT,
    STATE(4391), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4425), 1,
      sym_comment,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156344] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7578), 1,
      anon_sym_GT,
    ACTIONS(7862), 1,
      anon_sym_SLASH_GT,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4426), 1,
      sym_comment,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156377] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7838), 1,
      anon_sym_LBRACE,
    STATE(358), 1,
      sym_class_body,
    STATE(4427), 1,
      sym_comment,
    STATE(4501), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6872), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [156414] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    STATE(3230), 1,
      sym_class_body,
    STATE(4428), 1,
      sym_comment,
    STATE(4608), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6751), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [156451] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7690), 1,
      anon_sym_GT,
    ACTIONS(7864), 1,
      anon_sym_SLASH_GT,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4429), 1,
      sym_comment,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156484] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(4430), 1,
      sym_comment,
    STATE(4504), 1,
      sym_type_parameters,
    STATE(5031), 1,
      sym_class_body,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6891), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [156521] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    STATE(1210), 1,
      sym_class_body,
    STATE(4431), 1,
      sym_comment,
    STATE(4725), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6494), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [156558] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7764), 1,
      anon_sym_LBRACE,
    STATE(1081), 1,
      sym_class_body,
    STATE(4432), 1,
      sym_comment,
    STATE(4513), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6636), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [156595] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LT,
    STATE(2532), 1,
      sym_template_string,
    STATE(2839), 1,
      sym_arguments,
    STATE(3991), 1,
      sym_type_arguments,
    STATE(4433), 1,
      sym_comment,
    STATE(6851), 1,
      sym_optional_chain,
  [156632] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7540), 1,
      anon_sym_GT,
    ACTIONS(7866), 1,
      anon_sym_SLASH_GT,
    STATE(4421), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4434), 1,
      sym_comment,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156665] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7674), 1,
      anon_sym_COLON,
    STATE(4435), 1,
      sym_comment,
    STATE(5214), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7470), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156690] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6975), 1,
      anon_sym_LBRACE,
    ACTIONS(7774), 1,
      anon_sym_GT,
    ACTIONS(7868), 1,
      anon_sym_SLASH_GT,
    STATE(4223), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4436), 1,
      sym_comment,
    STATE(4785), 1,
      sym_jsx_namespace_name,
    ACTIONS(6971), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5257), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156723] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4875), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    ACTIONS(6949), 1,
      anon_sym_LT,
    ACTIONS(7870), 1,
      anon_sym_DOT,
    STATE(3124), 1,
      sym_template_string,
    STATE(3434), 1,
      sym_arguments,
    STATE(4437), 1,
      sym_comment,
    STATE(5732), 1,
      sym_type_arguments,
    STATE(7009), 1,
      sym_optional_chain,
  [156760] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7872), 1,
      sym_escape_sequence,
    ACTIONS(7874), 1,
      anon_sym_BQUOTE,
    ACTIONS(7876), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7878), 1,
      sym__template_chars,
    STATE(4438), 1,
      sym_comment,
    STATE(4916), 1,
      aux_sym_template_string_repeat1,
    STATE(5267), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5736), 1,
      sym_template_substitution,
    STATE(5950), 1,
      sym_template_type,
  [156794] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7872), 1,
      sym_escape_sequence,
    ACTIONS(7876), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7878), 1,
      sym__template_chars,
    ACTIONS(7880), 1,
      anon_sym_BQUOTE,
    STATE(4439), 1,
      sym_comment,
    STATE(4916), 1,
      aux_sym_template_string_repeat1,
    STATE(5267), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5736), 1,
      sym_template_substitution,
    STATE(5950), 1,
      sym_template_type,
  [156828] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7882), 1,
      anon_sym_EQ,
    STATE(4440), 1,
      sym_comment,
    ACTIONS(6279), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [156850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7884), 1,
      anon_sym_EQ,
    STATE(4441), 1,
      sym_comment,
    ACTIONS(7886), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [156872] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3992), 1,
      sym_identifier,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7888), 1,
      anon_sym_enum,
    STATE(4442), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5707), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [156904] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7890), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7892), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7894), 1,
      anon_sym_QMARK_COLON,
    STATE(4443), 1,
      sym_comment,
    STATE(5094), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [156932] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7898), 1,
      anon_sym_DOT,
    STATE(4444), 1,
      sym_comment,
    ACTIONS(7896), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156954] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7872), 1,
      sym_escape_sequence,
    ACTIONS(7876), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7878), 1,
      sym__template_chars,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    STATE(4445), 1,
      sym_comment,
    STATE(4916), 1,
      aux_sym_template_string_repeat1,
    STATE(5267), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5736), 1,
      sym_template_substitution,
    STATE(5950), 1,
      sym_template_type,
  [156988] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7872), 1,
      sym_escape_sequence,
    ACTIONS(7876), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7878), 1,
      sym__template_chars,
    ACTIONS(7902), 1,
      anon_sym_BQUOTE,
    STATE(4446), 1,
      sym_comment,
    STATE(4958), 1,
      aux_sym_template_string_repeat1,
    STATE(5267), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5736), 1,
      sym_template_substitution,
    STATE(5950), 1,
      sym_template_type,
  [157022] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3992), 1,
      sym_identifier,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7904), 1,
      anon_sym_enum,
    STATE(4447), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5747), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [157054] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3992), 1,
      sym_identifier,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7906), 1,
      anon_sym_enum,
    STATE(4448), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5585), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [157086] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7890), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7892), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7894), 1,
      anon_sym_QMARK_COLON,
    STATE(4449), 1,
      sym_comment,
    STATE(5332), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157114] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4450), 1,
      sym_comment,
    ACTIONS(6279), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [157134] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4451), 1,
      sym_comment,
    ACTIONS(7886), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [157154] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7890), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7892), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7894), 1,
      anon_sym_QMARK_COLON,
    STATE(4452), 1,
      sym_comment,
    STATE(5331), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157182] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3992), 1,
      sym_identifier,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7908), 1,
      anon_sym_enum,
    STATE(4453), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5562), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [157214] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7872), 1,
      sym_escape_sequence,
    ACTIONS(7876), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7878), 1,
      sym__template_chars,
    ACTIONS(7910), 1,
      anon_sym_BQUOTE,
    STATE(4454), 1,
      sym_comment,
    STATE(4916), 1,
      aux_sym_template_string_repeat1,
    STATE(5143), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5736), 1,
      sym_template_substitution,
    STATE(5950), 1,
      sym_template_type,
  [157248] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7872), 1,
      sym_escape_sequence,
    ACTIONS(7876), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7878), 1,
      sym__template_chars,
    ACTIONS(7912), 1,
      anon_sym_BQUOTE,
    STATE(4455), 1,
      sym_comment,
    STATE(4958), 1,
      aux_sym_template_string_repeat1,
    STATE(5267), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5736), 1,
      sym_template_substitution,
    STATE(5950), 1,
      sym_template_type,
  [157282] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7494), 1,
      sym_identifier,
    STATE(4456), 1,
      sym_comment,
    STATE(5720), 1,
      sym_string,
    STATE(6154), 1,
      sym__module_export_name,
    STATE(6492), 1,
      sym_export_specifier,
    ACTIONS(7496), 2,
      anon_sym_type,
      anon_sym_typeof,
  [157314] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7890), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7892), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7894), 1,
      anon_sym_QMARK_COLON,
    STATE(4457), 1,
      sym_comment,
    STATE(5414), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157342] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7452), 1,
      anon_sym_BANG,
    STATE(4458), 1,
      sym_comment,
    STATE(5398), 1,
      sym_type_annotation,
    STATE(6286), 1,
      sym__initializer,
    ACTIONS(7450), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157372] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7890), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7892), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7894), 1,
      anon_sym_QMARK_COLON,
    STATE(4459), 1,
      sym_comment,
    STATE(5430), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157400] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3992), 1,
      sym_identifier,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7914), 1,
      anon_sym_enum,
    STATE(4460), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5592), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [157432] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_PIPE,
    ACTIONS(7404), 1,
      anon_sym_extends,
    STATE(4461), 1,
      sym_comment,
    ACTIONS(7916), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157458] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7918), 1,
      sym_identifier,
    ACTIONS(7920), 1,
      anon_sym_const,
    ACTIONS(7922), 1,
      anon_sym_GT,
    ACTIONS(7924), 1,
      sym_jsx_identifier,
    ACTIONS(7926), 1,
      anon_sym_SLASH_GT,
    STATE(4082), 1,
      sym_nested_identifier,
    STATE(4415), 1,
      sym_jsx_namespace_name,
    STATE(4462), 1,
      sym_comment,
    STATE(6068), 1,
      sym_type_parameter,
  [157492] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_PIPE,
    ACTIONS(7404), 1,
      anon_sym_extends,
    STATE(4463), 1,
      sym_comment,
    ACTIONS(7928), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157518] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_PIPE,
    ACTIONS(7404), 1,
      anon_sym_extends,
    STATE(4464), 1,
      sym_comment,
    ACTIONS(7930), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157544] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7890), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7892), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7894), 1,
      anon_sym_QMARK_COLON,
    STATE(4465), 1,
      sym_comment,
    STATE(5435), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157572] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_AMP,
    ACTIONS(7566), 1,
      anon_sym_PIPE,
    ACTIONS(7568), 1,
      anon_sym_extends,
    STATE(4466), 1,
      sym_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157598] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_DOT,
    STATE(4467), 1,
      sym_comment,
    STATE(4929), 1,
      sym_arguments,
    ACTIONS(7434), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157624] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7934), 1,
      anon_sym_LBRACE,
    ACTIONS(7936), 1,
      anon_sym_DOT,
    STATE(4468), 1,
      sym_comment,
    STATE(5004), 1,
      sym_statement_block,
    ACTIONS(2073), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157650] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7934), 1,
      anon_sym_LBRACE,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(4469), 1,
      sym_comment,
    STATE(5004), 1,
      sym_statement_block,
    ACTIONS(2073), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157676] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7920), 1,
      anon_sym_const,
    ACTIONS(7922), 1,
      anon_sym_GT,
    ACTIONS(7940), 1,
      sym_identifier,
    ACTIONS(7942), 1,
      sym_jsx_identifier,
    ACTIONS(7944), 1,
      anon_sym_SLASH_GT,
    STATE(4087), 1,
      sym_nested_identifier,
    STATE(4346), 1,
      sym_jsx_namespace_name,
    STATE(4470), 1,
      sym_comment,
    STATE(6068), 1,
      sym_type_parameter,
  [157710] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7890), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7892), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7894), 1,
      anon_sym_QMARK_COLON,
    STATE(4471), 1,
      sym_comment,
    STATE(5431), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157738] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7890), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7892), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7894), 1,
      anon_sym_QMARK_COLON,
    STATE(4472), 1,
      sym_comment,
    STATE(5079), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157766] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7872), 1,
      sym_escape_sequence,
    ACTIONS(7876), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7878), 1,
      sym__template_chars,
    ACTIONS(7946), 1,
      anon_sym_BQUOTE,
    STATE(4473), 1,
      sym_comment,
    STATE(4916), 1,
      aux_sym_template_string_repeat1,
    STATE(5267), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5736), 1,
      sym_template_substitution,
    STATE(5950), 1,
      sym_template_type,
  [157800] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    ACTIONS(7890), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7892), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7894), 1,
      anon_sym_QMARK_COLON,
    STATE(4474), 1,
      sym_comment,
    STATE(5120), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157828] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7872), 1,
      sym_escape_sequence,
    ACTIONS(7876), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7878), 1,
      sym__template_chars,
    ACTIONS(7948), 1,
      anon_sym_BQUOTE,
    STATE(4475), 1,
      sym_comment,
    STATE(4916), 1,
      aux_sym_template_string_repeat1,
    STATE(5267), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5736), 1,
      sym_template_substitution,
    STATE(5950), 1,
      sym_template_type,
  [157862] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3992), 1,
      sym_identifier,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7950), 1,
      anon_sym_enum,
    STATE(4476), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5773), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [157894] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    STATE(3107), 1,
      sym_class_body,
    STATE(4477), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6569), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [157925] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4478), 1,
      sym_comment,
    STATE(5491), 1,
      sym_type_annotation,
    STATE(6404), 1,
      sym__initializer,
    ACTIONS(7363), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157952] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(129), 1,
      anon_sym_import,
    ACTIONS(7952), 1,
      sym_identifier,
    STATE(3906), 1,
      sym__type_query_member_expression,
    STATE(3918), 1,
      sym__type_query_subscript_expression,
    STATE(4135), 1,
      sym__type_query_call_expression,
    STATE(4381), 1,
      sym__type_query_instantiation_expression,
    STATE(4479), 1,
      sym_comment,
    STATE(5649), 1,
      sym_import,
  [157983] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4073), 1,
      anon_sym_DQUOTE,
    ACTIONS(4075), 1,
      anon_sym_SQUOTE,
    ACTIONS(7954), 1,
      sym_identifier,
    ACTIONS(7956), 1,
      anon_sym_DOT,
    STATE(935), 1,
      sym_nested_identifier,
    STATE(974), 1,
      sym_string,
    STATE(1433), 1,
      sym__module,
    STATE(4480), 1,
      sym_comment,
  [158014] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7958), 1,
      anon_sym_LBRACE,
    ACTIONS(7960), 1,
      anon_sym_LT,
    ACTIONS(7962), 1,
      anon_sym_extends,
    ACTIONS(7964), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1357), 1,
      sym_object_type,
    STATE(4481), 1,
      sym_comment,
    STATE(5499), 1,
      sym_type_parameters,
    STATE(6384), 1,
      sym_extends_type_clause,
  [158045] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7648), 1,
      anon_sym_LBRACE,
    STATE(1595), 1,
      sym_class_body,
    STATE(4482), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6893), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158076] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4483), 1,
      sym_comment,
    ACTIONS(4319), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [158095] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4484), 1,
      sym_comment,
    STATE(5198), 1,
      sym_type_annotation,
    STATE(6132), 1,
      sym__initializer,
    ACTIONS(7396), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158122] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(1156), 1,
      sym_class_body,
    STATE(4485), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6534), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158153] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4486), 1,
      sym_comment,
    STATE(5352), 1,
      sym_type_annotation,
    ACTIONS(7966), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158176] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7522), 1,
      anon_sym_LBRACE,
    STATE(1247), 1,
      sym_class_body,
    STATE(4487), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6475), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158207] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(129), 1,
      anon_sym_import,
    ACTIONS(7968), 1,
      sym_identifier,
    STATE(3736), 1,
      sym__type_query_subscript_expression,
    STATE(3737), 1,
      sym__type_query_member_expression,
    STATE(3791), 1,
      sym__type_query_call_expression,
    STATE(3828), 1,
      sym__type_query_instantiation_expression,
    STATE(4488), 1,
      sym_comment,
    STATE(5770), 1,
      sym_import,
  [158238] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    STATE(3300), 1,
      sym_class_body,
    STATE(4489), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6483), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158269] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7970), 1,
      anon_sym_EQ,
    STATE(4490), 1,
      sym_comment,
    STATE(5708), 1,
      sym_constraint,
    STATE(7134), 1,
      sym_default_type,
    ACTIONS(7972), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(7974), 2,
      anon_sym_COLON,
      anon_sym_extends,
  [158296] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(1178), 1,
      sym_class_body,
    STATE(4491), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6487), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158327] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7522), 1,
      anon_sym_LBRACE,
    STATE(1211), 1,
      sym_class_body,
    STATE(4492), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6506), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158358] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_class_body,
    STATE(4493), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6985), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158389] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4494), 1,
      sym_comment,
    STATE(5337), 1,
      sym_type_annotation,
    STATE(5938), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158416] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4093), 1,
      anon_sym_DQUOTE,
    ACTIONS(4095), 1,
      anon_sym_SQUOTE,
    ACTIONS(7976), 1,
      sym_identifier,
    ACTIONS(7978), 1,
      anon_sym_DOT,
    STATE(894), 1,
      sym_nested_identifier,
    STATE(941), 1,
      sym_string,
    STATE(1173), 1,
      sym__module,
    STATE(4495), 1,
      sym_comment,
  [158447] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7960), 1,
      anon_sym_LT,
    ACTIONS(7962), 1,
      anon_sym_extends,
    ACTIONS(7980), 1,
      anon_sym_LBRACE,
    ACTIONS(7982), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1153), 1,
      sym_object_type,
    STATE(4496), 1,
      sym_comment,
    STATE(5483), 1,
      sym_type_parameters,
    STATE(6408), 1,
      sym_extends_type_clause,
  [158478] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7648), 1,
      anon_sym_LBRACE,
    STATE(1561), 1,
      sym_class_body,
    STATE(4497), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6791), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158509] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(4498), 1,
      sym_comment,
    STATE(5200), 1,
      sym_class_body,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6779), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158540] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7620), 1,
      anon_sym_LBRACE,
    STATE(310), 1,
      sym_class_body,
    STATE(4499), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6594), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158571] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(4500), 1,
      sym_comment,
    STATE(5103), 1,
      sym_class_body,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6807), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158602] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7838), 1,
      anon_sym_LBRACE,
    STATE(347), 1,
      sym_class_body,
    STATE(4501), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6811), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158633] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4502), 1,
      sym_comment,
    STATE(5226), 1,
      sym_type_annotation,
    ACTIONS(7984), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158656] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7746), 1,
      anon_sym_LBRACE,
    STATE(946), 1,
      sym_class_body,
    STATE(4503), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6617), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158687] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(4504), 1,
      sym_comment,
    STATE(4995), 1,
      sym_class_body,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6829), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158718] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4505), 1,
      sym_comment,
    STATE(5484), 1,
      sym_type_annotation,
    STATE(6353), 1,
      sym__initializer,
    ACTIONS(7986), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158745] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4506), 1,
      sym_comment,
    STATE(5462), 1,
      sym_type_annotation,
    STATE(6373), 1,
      sym__initializer,
    ACTIONS(7986), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158772] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7764), 1,
      anon_sym_LBRACE,
    STATE(1090), 1,
      sym_class_body,
    STATE(4507), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6627), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158803] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4508), 1,
      sym_comment,
    STATE(5515), 1,
      sym_type_annotation,
    STATE(6407), 1,
      sym__initializer,
    ACTIONS(7363), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158830] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(4509), 1,
      sym_comment,
    STATE(5011), 1,
      sym_class_body,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6866), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158861] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7620), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_class_body,
    STATE(4510), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6635), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158892] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4511), 1,
      sym_comment,
    STATE(5047), 1,
      sym_type_annotation,
    ACTIONS(7988), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158915] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7746), 1,
      anon_sym_LBRACE,
    STATE(921), 1,
      sym_class_body,
    STATE(4512), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6639), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158946] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7764), 1,
      anon_sym_LBRACE,
    STATE(956), 1,
      sym_class_body,
    STATE(4513), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6645), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [158977] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4514), 1,
      sym_comment,
    ACTIONS(7990), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [158996] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7992), 1,
      sym_identifier,
    STATE(4287), 1,
      sym__destructuring_pattern,
    STATE(4515), 1,
      sym_comment,
    STATE(5688), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159025] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7994), 1,
      sym_identifier,
    STATE(4293), 1,
      sym__destructuring_pattern,
    STATE(4516), 1,
      sym_comment,
    STATE(5690), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159054] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(4517), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(6065), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159083] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4518), 1,
      sym_comment,
    STATE(5465), 1,
      sym_type_annotation,
    STATE(6460), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4519), 1,
      sym_comment,
    ACTIONS(5854), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [159129] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_COMMA,
    ACTIONS(8002), 1,
      anon_sym_DOT,
    ACTIONS(8004), 1,
      anon_sym_LT,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4520), 1,
      sym_comment,
    STATE(5705), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5836), 1,
      sym_type_arguments,
  [159160] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(2677), 1,
      sym_class_body,
    STATE(4521), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6739), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [159191] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4522), 1,
      sym_comment,
    STATE(5510), 1,
      sym_type_annotation,
    STATE(6414), 1,
      sym__initializer,
    ACTIONS(7986), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159218] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4523), 1,
      sym_comment,
    STATE(5539), 1,
      sym_type_annotation,
    STATE(6436), 1,
      sym__initializer,
    ACTIONS(7986), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159245] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4524), 1,
      sym_comment,
    ACTIONS(7836), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [159264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4525), 1,
      sym_comment,
    ACTIONS(5884), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [159283] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8008), 1,
      sym__automatic_semicolon,
    STATE(4526), 1,
      sym_comment,
    ACTIONS(2093), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [159304] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7408), 1,
      sym_identifier,
    ACTIONS(7478), 1,
      anon_sym_type,
    STATE(4527), 1,
      sym_comment,
    STATE(5720), 1,
      sym_string,
    STATE(6911), 1,
      sym__import_identifier,
    STATE(7227), 1,
      sym__module_export_name,
  [159335] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4528), 1,
      sym_comment,
    ACTIONS(7640), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [159354] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4529), 1,
      sym_comment,
    ACTIONS(7628), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [159373] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4530), 1,
      sym_comment,
    ACTIONS(7562), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [159392] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8010), 1,
      sym_identifier,
    ACTIONS(8012), 1,
      anon_sym_STAR,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    STATE(4531), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7092), 1,
      sym__call_signature,
  [159423] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(129), 1,
      anon_sym_import,
    ACTIONS(8016), 1,
      sym_identifier,
    STATE(2346), 1,
      sym__type_query_member_expression,
    STATE(2348), 1,
      sym__type_query_subscript_expression,
    STATE(2411), 1,
      sym__type_query_call_expression,
    STATE(2445), 1,
      sym__type_query_instantiation_expression,
    STATE(4532), 1,
      sym_comment,
    STATE(5641), 1,
      sym_import,
  [159454] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4533), 1,
      sym_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [159473] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7838), 1,
      anon_sym_LBRACE,
    STATE(382), 1,
      sym_class_body,
    STATE(4534), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6937), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [159504] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(4535), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5709), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159533] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1344), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7960), 1,
      anon_sym_LT,
    ACTIONS(7962), 1,
      anon_sym_extends,
    ACTIONS(8018), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4536), 1,
      sym_comment,
    STATE(5043), 1,
      sym_object_type,
    STATE(5350), 1,
      sym_type_parameters,
    STATE(6131), 1,
      sym_extends_type_clause,
  [159564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4537), 1,
      sym_comment,
    ACTIONS(7550), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [159583] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4538), 1,
      sym_comment,
    STATE(5308), 1,
      sym_type_annotation,
    ACTIONS(8020), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159606] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(4539), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5707), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159635] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(8022), 1,
      sym_identifier,
    ACTIONS(8024), 1,
      anon_sym_DOT,
    STATE(4469), 1,
      sym_nested_identifier,
    STATE(4540), 1,
      sym_comment,
    STATE(4712), 1,
      sym_string,
    STATE(5158), 1,
      sym__module,
  [159666] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(8026), 1,
      sym_identifier,
    ACTIONS(8028), 1,
      anon_sym_DOT,
    STATE(4541), 1,
      sym_comment,
    STATE(5296), 1,
      sym_nested_identifier,
    STATE(5683), 1,
      sym_string,
    STATE(6874), 1,
      sym__module,
  [159697] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(210), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7960), 1,
      anon_sym_LT,
    ACTIONS(7962), 1,
      anon_sym_extends,
    ACTIONS(8030), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4542), 1,
      sym_comment,
    STATE(5394), 1,
      sym_type_parameters,
    STATE(6360), 1,
      sym_extends_type_clause,
    STATE(7096), 1,
      sym_object_type,
  [159728] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym_identifier,
    ACTIONS(8034), 1,
      anon_sym_STAR,
    STATE(4543), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6886), 1,
      sym__call_signature,
  [159759] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7970), 1,
      anon_sym_EQ,
    STATE(4544), 1,
      sym_comment,
    STATE(5620), 1,
      sym_constraint,
    STATE(6852), 1,
      sym_default_type,
    ACTIONS(7974), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(8036), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [159786] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7329), 1,
      anon_sym_COLON,
    ACTIONS(8040), 1,
      anon_sym_EQ,
    STATE(4545), 1,
      sym_comment,
    ACTIONS(8038), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [159809] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4546), 1,
      sym_comment,
    STATE(5509), 1,
      sym_type_annotation,
    STATE(6451), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159836] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4547), 1,
      sym_comment,
    STATE(5503), 1,
      sym_type_annotation,
    STATE(6446), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159863] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8042), 1,
      sym_identifier,
    ACTIONS(8044), 1,
      anon_sym_STAR,
    STATE(4548), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6738), 1,
      sym__call_signature,
  [159894] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4549), 1,
      sym_comment,
    STATE(5251), 1,
      sym_type_annotation,
    STATE(6001), 1,
      sym__initializer,
    ACTIONS(7363), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159921] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4550), 1,
      sym_comment,
    STATE(5109), 1,
      sym_type_annotation,
    STATE(6024), 1,
      sym__initializer,
    ACTIONS(7398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159948] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    STATE(4551), 1,
      sym_comment,
    ACTIONS(8046), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4494), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [159971] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4552), 1,
      sym_comment,
    STATE(5494), 1,
      sym_type_annotation,
    STATE(6427), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159998] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4553), 1,
      sym_comment,
    STATE(5493), 1,
      sym_type_annotation,
    STATE(6425), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160025] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4554), 1,
      sym_comment,
    ACTIONS(7700), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [160044] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4555), 1,
      sym_comment,
    STATE(5489), 1,
      sym_type_annotation,
    STATE(6418), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160071] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4556), 1,
      sym_comment,
    STATE(5487), 1,
      sym_type_annotation,
    STATE(6409), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160098] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    STATE(1206), 1,
      sym_class_body,
    STATE(4557), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6508), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [160129] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4558), 1,
      sym_comment,
    STATE(5482), 1,
      sym_type_annotation,
    STATE(6391), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160156] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4559), 1,
      sym_comment,
    STATE(5477), 1,
      sym_type_annotation,
    STATE(6385), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160183] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4125), 1,
      anon_sym_LT,
    ACTIONS(8049), 1,
      sym_identifier,
    ACTIONS(8051), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_arguments,
    STATE(4560), 1,
      sym_comment,
    STATE(6695), 1,
      sym_type_arguments,
    ACTIONS(8053), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [160212] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4561), 1,
      sym_comment,
    STATE(5466), 1,
      sym_type_annotation,
    STATE(6362), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160239] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4562), 1,
      sym_comment,
    STATE(4987), 1,
      sym_type_annotation,
    STATE(5779), 1,
      sym__initializer,
    ACTIONS(7363), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160266] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4563), 1,
      sym_comment,
    STATE(5188), 1,
      sym_type_annotation,
    STATE(5960), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160293] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4564), 1,
      sym_comment,
    STATE(5223), 1,
      sym_type_annotation,
    STATE(5954), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160320] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4565), 1,
      sym_comment,
    STATE(5448), 1,
      sym_type_annotation,
    STATE(6336), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160347] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4125), 1,
      anon_sym_LT,
    ACTIONS(8049), 1,
      sym_identifier,
    ACTIONS(8055), 1,
      anon_sym_LPAREN,
    STATE(3287), 1,
      sym_arguments,
    STATE(4566), 1,
      sym_comment,
    STATE(7047), 1,
      sym_type_arguments,
    ACTIONS(8053), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [160376] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4567), 1,
      sym_comment,
    STATE(5531), 1,
      sym_type_annotation,
    STATE(5864), 1,
      sym__initializer,
    ACTIONS(7394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160403] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(8057), 1,
      anon_sym_COLON,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    STATE(4568), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7058), 1,
      sym__call_signature,
  [160434] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4569), 1,
      sym_comment,
    ACTIONS(8061), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [160453] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1350), 1,
      sym_class_body,
    STATE(4570), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6945), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [160484] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7740), 1,
      anon_sym_LBRACE,
    STATE(987), 1,
      sym_class_body,
    STATE(4571), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6905), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [160515] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4572), 1,
      sym_comment,
    ACTIONS(2215), 7,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
      anon_sym_LT,
      sym_identifier,
  [160534] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4573), 1,
      sym_comment,
    ACTIONS(2219), 7,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
      anon_sym_LT,
      sym_identifier,
  [160553] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4574), 1,
      sym_comment,
    ACTIONS(7660), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [160572] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7960), 1,
      anon_sym_LT,
    ACTIONS(7962), 1,
      anon_sym_extends,
    ACTIONS(8063), 1,
      anon_sym_LBRACE,
    ACTIONS(8065), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1601), 1,
      sym_object_type,
    STATE(4575), 1,
      sym_comment,
    STATE(4990), 1,
      sym_type_parameters,
    STATE(5791), 1,
      sym_extends_type_clause,
  [160603] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4576), 1,
      sym_comment,
    ACTIONS(7840), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [160622] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7698), 1,
      anon_sym_LBRACE,
    STATE(370), 1,
      sym_class_body,
    STATE(4577), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6892), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [160653] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1303), 1,
      sym_class_body,
    STATE(4578), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6884), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [160684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4579), 1,
      sym_comment,
    ACTIONS(4302), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [160703] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4580), 1,
      sym_comment,
    STATE(5401), 1,
      sym_type_annotation,
    STATE(6277), 1,
      sym__initializer,
    ACTIONS(7363), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160730] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3988), 1,
      anon_sym_DQUOTE,
    ACTIONS(3990), 1,
      anon_sym_SQUOTE,
    ACTIONS(8067), 1,
      sym_identifier,
    ACTIONS(8069), 1,
      anon_sym_DOT,
    STATE(959), 1,
      sym_nested_identifier,
    STATE(1193), 1,
      sym_string,
    STATE(1640), 1,
      sym__module,
    STATE(4581), 1,
      sym_comment,
  [160761] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4582), 1,
      sym_comment,
    STATE(5432), 1,
      sym_type_annotation,
    STATE(6314), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160788] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4583), 1,
      sym_comment,
    STATE(5428), 1,
      sym_type_annotation,
    STATE(6310), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160815] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4584), 1,
      sym_comment,
    STATE(5423), 1,
      sym_type_annotation,
    STATE(6302), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160842] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4585), 1,
      sym_comment,
    STATE(5399), 1,
      sym_type_annotation,
    STATE(6295), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160869] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4586), 1,
      sym_comment,
    STATE(5391), 1,
      sym_type_annotation,
    STATE(6288), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160896] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4587), 1,
      sym_comment,
    STATE(5387), 1,
      sym_type_annotation,
    STATE(6282), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160923] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4588), 1,
      sym_comment,
    STATE(5459), 1,
      sym_type_annotation,
    STATE(6274), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160950] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4589), 1,
      sym_comment,
    STATE(4982), 1,
      sym_type_annotation,
    STATE(6271), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160977] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7740), 1,
      anon_sym_LBRACE,
    STATE(970), 1,
      sym_class_body,
    STATE(4590), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6816), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [161008] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(4591), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5746), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [161037] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(129), 1,
      anon_sym_import,
    ACTIONS(8071), 1,
      sym_identifier,
    STATE(3802), 1,
      sym__type_query_member_expression,
    STATE(3810), 1,
      sym__type_query_subscript_expression,
    STATE(3976), 1,
      sym__type_query_call_expression,
    STATE(4164), 1,
      sym__type_query_instantiation_expression,
    STATE(4592), 1,
      sym_comment,
    STATE(5742), 1,
      sym_import,
  [161068] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4593), 1,
      sym_comment,
    STATE(5403), 1,
      sym_type_annotation,
    STATE(6279), 1,
      sym__initializer,
    ACTIONS(7363), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161095] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7698), 1,
      anon_sym_LBRACE,
    STATE(353), 1,
      sym_class_body,
    STATE(4594), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6760), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [161126] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(8075), 1,
      anon_sym_DOT,
    STATE(4595), 1,
      sym_comment,
    STATE(5755), 1,
      sym_arguments,
    ACTIONS(8073), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [161151] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(3442), 1,
      sym_class_body,
    STATE(4596), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(7075), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [161182] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(4597), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5747), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [161211] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4598), 1,
      sym_comment,
    STATE(5360), 1,
      sym_type_annotation,
    STATE(6263), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161238] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4599), 1,
      sym_comment,
    STATE(5353), 1,
      sym_type_annotation,
    STATE(6259), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161265] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4600), 1,
      sym_comment,
    ACTIONS(7734), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [161284] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4601), 1,
      sym_comment,
    STATE(7030), 1,
      sym_statement_block,
    ACTIONS(8079), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161307] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7960), 1,
      anon_sym_LT,
    ACTIONS(7962), 1,
      anon_sym_extends,
    ACTIONS(8081), 1,
      anon_sym_LBRACE,
    ACTIONS(8083), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1482), 1,
      sym_object_type,
    STATE(4602), 1,
      sym_comment,
    STATE(5078), 1,
      sym_type_parameters,
    STATE(5838), 1,
      sym_extends_type_clause,
  [161338] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4067), 1,
      anon_sym_DQUOTE,
    ACTIONS(4069), 1,
      anon_sym_SQUOTE,
    ACTIONS(8085), 1,
      sym_identifier,
    ACTIONS(8087), 1,
      anon_sym_DOT,
    STATE(936), 1,
      sym_nested_identifier,
    STATE(1039), 1,
      sym_string,
    STATE(1418), 1,
      sym__module,
    STATE(4603), 1,
      sym_comment,
  [161369] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4604), 1,
      sym_comment,
    STATE(5342), 1,
      sym_type_annotation,
    STATE(6247), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161396] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4605), 1,
      sym_comment,
    STATE(5339), 1,
      sym_type_annotation,
    STATE(6244), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161423] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8089), 1,
      sym_identifier,
    ACTIONS(8091), 1,
      anon_sym_STAR,
    STATE(4606), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7092), 1,
      sym__call_signature,
  [161454] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    STATE(3290), 1,
      sym_class_body,
    STATE(4607), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(7050), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [161485] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    STATE(3095), 1,
      sym_class_body,
    STATE(4608), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6621), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [161516] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(4609), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5586), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [161545] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(129), 1,
      anon_sym_import,
    ACTIONS(8093), 1,
      sym_identifier,
    STATE(2592), 1,
      sym__type_query_member_expression,
    STATE(2595), 1,
      sym__type_query_subscript_expression,
    STATE(3042), 1,
      sym__type_query_instantiation_expression,
    STATE(3043), 1,
      sym__type_query_call_expression,
    STATE(4610), 1,
      sym_comment,
    STATE(5578), 1,
      sym_import,
  [161576] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    STATE(3286), 1,
      sym_class_body,
    STATE(4611), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6511), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [161607] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(4612), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5585), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [161636] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4613), 1,
      sym_comment,
    STATE(5334), 1,
      sym_type_annotation,
    STATE(6233), 1,
      sym__initializer,
    ACTIONS(8095), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161663] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4614), 1,
      sym_comment,
    STATE(5362), 1,
      sym_type_annotation,
    STATE(5817), 1,
      sym__initializer,
    ACTIONS(7347), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161690] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(4615), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5561), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [161719] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(8097), 1,
      anon_sym_EQ,
    ACTIONS(8101), 1,
      anon_sym_QMARK,
    STATE(4616), 1,
      sym_comment,
    STATE(5553), 1,
      sym_type_annotation,
    STATE(6633), 1,
      sym__initializer,
    ACTIONS(8099), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [161748] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4617), 1,
      sym_comment,
    ACTIONS(4260), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [161767] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4618), 1,
      sym_comment,
    STATE(5333), 1,
      sym_type_annotation,
    STATE(5939), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161794] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4619), 1,
      sym_comment,
    STATE(5262), 1,
      sym_type_annotation,
    STATE(5929), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161821] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8103), 1,
      anon_sym_EQ,
    STATE(4620), 1,
      sym_comment,
    ACTIONS(4260), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [161842] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4621), 1,
      sym_comment,
    STATE(5382), 1,
      sym_type_annotation,
    STATE(5829), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161869] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4622), 1,
      sym_comment,
    STATE(5197), 1,
      sym_type_annotation,
    STATE(6130), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161896] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    STATE(3294), 1,
      sym_class_body,
    STATE(4623), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6517), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [161927] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4624), 1,
      sym_comment,
    STATE(5389), 1,
      sym_type_annotation,
    STATE(5926), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161954] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4625), 1,
      sym_comment,
    STATE(6496), 1,
      sym_statement_block,
    ACTIONS(8106), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161977] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4626), 1,
      sym_comment,
    STATE(6993), 1,
      sym_statement_block,
    ACTIONS(8106), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162000] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_comment,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(5562), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162029] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4628), 1,
      sym_comment,
    STATE(6656), 1,
      sym_statement_block,
    ACTIONS(8108), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4629), 1,
      sym_comment,
    ACTIONS(5886), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [162071] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4630), 1,
      sym_comment,
    STATE(5398), 1,
      sym_type_annotation,
    STATE(6299), 1,
      sym__initializer,
    ACTIONS(7450), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162098] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4631), 1,
      sym_comment,
    STATE(7020), 1,
      sym_statement_block,
    ACTIONS(8110), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162121] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(4632), 1,
      sym_comment,
    STATE(5590), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4633), 1,
      sym_comment,
    ACTIONS(2255), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162169] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4634), 1,
      sym_comment,
    ACTIONS(2083), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162188] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4635), 1,
      sym_comment,
    STATE(7032), 1,
      sym_statement_block,
    ACTIONS(8112), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162211] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4636), 1,
      sym_comment,
    STATE(5505), 1,
      sym_type_annotation,
    STATE(6449), 1,
      sym__initializer,
    ACTIONS(7363), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162238] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4637), 1,
      sym_comment,
    STATE(6915), 1,
      sym_statement_block,
    ACTIONS(8112), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162261] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4638), 1,
      sym_comment,
    STATE(6900), 1,
      sym_statement_block,
    ACTIONS(8110), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162284] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4639), 1,
      sym_comment,
    STATE(5409), 1,
      sym_type_annotation,
    STATE(5981), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162311] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4640), 1,
      sym_comment,
    STATE(6777), 1,
      sym_statement_block,
    ACTIONS(8114), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162334] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4641), 1,
      sym_comment,
    STATE(6752), 1,
      sym_statement_block,
    ACTIONS(8116), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162357] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4642), 1,
      sym_comment,
    ACTIONS(2093), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162376] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4643), 1,
      sym_comment,
    STATE(6835), 1,
      sym_statement_block,
    ACTIONS(8114), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162399] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(4644), 1,
      sym_comment,
    STATE(5592), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162428] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4645), 1,
      sym_comment,
    STATE(6958), 1,
      sym_statement_block,
    ACTIONS(8116), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162451] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4646), 1,
      sym_comment,
    STATE(5474), 1,
      sym_type_annotation,
    STATE(6283), 1,
      sym__initializer,
    ACTIONS(7363), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162478] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4647), 1,
      sym_comment,
    STATE(6734), 1,
      sym_statement_block,
    ACTIONS(8118), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162501] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4648), 1,
      sym_comment,
    STATE(6783), 1,
      sym_statement_block,
    ACTIONS(8120), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162524] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4649), 1,
      sym_comment,
    STATE(6782), 1,
      sym_statement_block,
    ACTIONS(8118), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162547] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4650), 1,
      sym_comment,
    STATE(7015), 1,
      sym_statement_block,
    ACTIONS(8122), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162570] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4651), 1,
      sym_comment,
    STATE(7019), 1,
      sym_statement_block,
    ACTIONS(8124), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162593] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4652), 1,
      sym_comment,
    STATE(6773), 1,
      sym_statement_block,
    ACTIONS(8122), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162616] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8126), 1,
      anon_sym_COMMA,
    ACTIONS(8128), 1,
      anon_sym_RBRACE,
    STATE(4653), 1,
      sym_comment,
    STATE(5801), 1,
      aux_sym_object_repeat1,
    ACTIONS(4494), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [162641] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4654), 1,
      sym_comment,
    STATE(5305), 1,
      sym_type_annotation,
    STATE(6208), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162668] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4655), 1,
      sym_comment,
    STATE(6830), 1,
      sym_statement_block,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162691] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8132), 1,
      sym_identifier,
    ACTIONS(8134), 1,
      anon_sym_STAR,
    STATE(4656), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7135), 1,
      sym__call_signature,
  [162722] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4657), 1,
      sym_comment,
    STATE(5303), 1,
      sym_type_annotation,
    STATE(6203), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162749] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(3422), 1,
      sym_class_body,
    STATE(4658), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6664), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [162780] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4659), 1,
      sym_comment,
    STATE(5298), 1,
      sym_type_annotation,
    STATE(6200), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162807] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4660), 1,
      sym_comment,
    STATE(6819), 1,
      sym_statement_block,
    ACTIONS(8136), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162830] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4661), 1,
      sym_comment,
    STATE(5293), 1,
      sym_type_annotation,
    STATE(6198), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162857] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4662), 1,
      sym_comment,
    STATE(5367), 1,
      sym_type_annotation,
    STATE(6195), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162884] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8138), 1,
      sym__automatic_semicolon,
    STATE(4663), 1,
      sym_comment,
    ACTIONS(2093), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162905] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8140), 1,
      sym_identifier,
    ACTIONS(8142), 1,
      anon_sym_STAR,
    STATE(4664), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7135), 1,
      sym__call_signature,
  [162936] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4665), 1,
      sym_comment,
    STATE(5270), 1,
      sym_type_annotation,
    STATE(6177), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162963] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4666), 1,
      sym_comment,
    STATE(5269), 1,
      sym_type_annotation,
    STATE(6173), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162990] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4667), 1,
      sym_comment,
    STATE(6524), 1,
      sym_statement_block,
    ACTIONS(8144), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163013] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_EQ,
    STATE(4668), 1,
      sym_comment,
    ACTIONS(4260), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [163034] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8149), 1,
      sym_identifier,
    ACTIONS(8151), 1,
      anon_sym_STAR,
    STATE(4669), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7092), 1,
      sym__call_signature,
  [163065] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4670), 1,
      sym_comment,
    STATE(5258), 1,
      sym_type_annotation,
    STATE(6166), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163092] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4671), 1,
      sym_comment,
    STATE(5245), 1,
      sym_type_annotation,
    STATE(6165), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163119] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4672), 1,
      sym_comment,
    STATE(5425), 1,
      sym_type_annotation,
    STATE(5901), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163146] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4673), 1,
      sym_comment,
    STATE(5460), 1,
      sym_type_annotation,
    STATE(5890), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163173] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8153), 1,
      anon_sym_COLON,
    STATE(4674), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7058), 1,
      sym__call_signature,
  [163204] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4675), 1,
      sym_comment,
    STATE(5240), 1,
      sym_type_annotation,
    STATE(6156), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163231] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4676), 1,
      sym_comment,
    STATE(5238), 1,
      sym_type_annotation,
    STATE(6151), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163258] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(457), 1,
      sym_class_body,
    STATE(4677), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6990), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [163289] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4678), 1,
      sym_comment,
    STATE(5471), 1,
      sym_type_annotation,
    STATE(5887), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163316] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4679), 1,
      sym_comment,
    ACTIONS(6432), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [163335] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4680), 1,
      sym_comment,
    STATE(5211), 1,
      sym_type_annotation,
    STATE(6143), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163362] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    STATE(3178), 1,
      sym_class_body,
    STATE(4681), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(7048), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [163393] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4682), 1,
      sym_comment,
    STATE(5209), 1,
      sym_type_annotation,
    STATE(6141), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163420] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8155), 1,
      sym_identifier,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    STATE(4683), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7135), 1,
      sym__call_signature,
  [163451] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8159), 1,
      anon_sym_EQ,
    STATE(4684), 1,
      sym_comment,
    ACTIONS(4243), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [163472] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4685), 1,
      sym_comment,
    STATE(5481), 1,
      sym_type_annotation,
    STATE(5882), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163499] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4686), 1,
      sym_comment,
    ACTIONS(2217), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [163518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4687), 1,
      sym_comment,
    ACTIONS(2221), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [163537] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4688), 1,
      sym_comment,
    STATE(5404), 1,
      sym_type_annotation,
    STATE(6296), 1,
      sym__initializer,
    ACTIONS(7339), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163564] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(4689), 1,
      sym_comment,
    STATE(5774), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [163593] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4690), 1,
      sym_comment,
    ACTIONS(8161), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [163612] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4691), 1,
      sym_comment,
    STATE(5180), 1,
      sym_type_annotation,
    STATE(6118), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163639] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4692), 1,
      sym_comment,
    STATE(5179), 1,
      sym_type_annotation,
    STATE(6111), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163666] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4693), 1,
      sym_comment,
    STATE(5177), 1,
      sym_type_annotation,
    STATE(6109), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163693] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4694), 1,
      sym_comment,
    STATE(5176), 1,
      sym_type_annotation,
    STATE(6106), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163720] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4695), 1,
      sym_comment,
    STATE(5171), 1,
      sym_type_annotation,
    STATE(6103), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163747] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4696), 1,
      sym_comment,
    STATE(5501), 1,
      sym_type_annotation,
    STATE(5879), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163774] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4697), 1,
      sym_comment,
    STATE(5168), 1,
      sym_type_annotation,
    STATE(6095), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163801] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4698), 1,
      sym_comment,
    STATE(5166), 1,
      sym_type_annotation,
    STATE(6094), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163828] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4699), 1,
      sym_comment,
    ACTIONS(2207), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163847] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4700), 1,
      sym_comment,
    STATE(5164), 1,
      sym_type_annotation,
    STATE(6089), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163874] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4701), 1,
      sym_comment,
    STATE(5163), 1,
      sym_type_annotation,
    STATE(6087), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163901] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4702), 1,
      sym_comment,
    STATE(5525), 1,
      sym_type_annotation,
    STATE(5872), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163928] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4703), 1,
      sym_comment,
    STATE(5530), 1,
      sym_type_annotation,
    STATE(5868), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163955] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4704), 1,
      sym_comment,
    STATE(5160), 1,
      sym_type_annotation,
    STATE(6082), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163982] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4705), 1,
      sym_comment,
    STATE(5157), 1,
      sym_type_annotation,
    STATE(6076), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164009] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(4706), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6663), 1,
      sym_class_heritage,
    STATE(6949), 1,
      sym_class_body,
    STATE(7172), 1,
      sym_implements_clause,
  [164040] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4707), 1,
      sym_comment,
    STATE(5544), 1,
      sym_type_annotation,
    STATE(5856), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164067] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4708), 1,
      sym_comment,
    STATE(5507), 1,
      sym_type_annotation,
    STATE(5853), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164094] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4709), 1,
      sym_comment,
    STATE(5147), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164121] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4710), 1,
      sym_comment,
    STATE(5138), 1,
      sym_type_annotation,
    STATE(6057), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164148] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4711), 1,
      sym_comment,
    STATE(5453), 1,
      sym_type_annotation,
    STATE(5841), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164175] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7934), 1,
      anon_sym_LBRACE,
    STATE(4712), 1,
      sym_comment,
    STATE(5004), 1,
      sym_statement_block,
    ACTIONS(2073), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164198] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4713), 1,
      sym_comment,
    STATE(5439), 1,
      sym_type_annotation,
    STATE(5837), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164225] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(2529), 1,
      sym_class_body,
    STATE(4714), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6602), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [164256] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(4630), 1,
      sym__destructuring_pattern,
    STATE(4715), 1,
      sym_comment,
    STATE(5773), 1,
      sym_variable_declarator,
    STATE(4530), 2,
      sym_object_pattern,
      sym_array_pattern,
  [164285] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8163), 1,
      sym__automatic_semicolon,
    STATE(4716), 1,
      sym_comment,
    ACTIONS(2079), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164306] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4717), 1,
      sym_comment,
    STATE(6741), 1,
      sym_statement_block,
    ACTIONS(8120), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164329] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4718), 1,
      sym_comment,
    STATE(5129), 1,
      sym_type_annotation,
    STATE(6052), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164356] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4719), 1,
      sym_comment,
    STATE(5128), 1,
      sym_type_annotation,
    STATE(6050), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164383] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4720), 1,
      sym_comment,
    STATE(5124), 1,
      sym_type_annotation,
    STATE(6046), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164410] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4721), 1,
      sym_comment,
    STATE(5122), 1,
      sym_type_annotation,
    STATE(6045), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164437] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4722), 1,
      sym_comment,
    STATE(5383), 1,
      sym_type_annotation,
    STATE(5830), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164464] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(4723), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6107), 1,
      sym_class_body,
    STATE(6583), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [164495] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4724), 1,
      sym_comment,
    ACTIONS(6491), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [164514] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    STATE(1546), 1,
      sym_class_body,
    STATE(4725), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(7014), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [164545] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4726), 1,
      sym_comment,
    STATE(5116), 1,
      sym_type_annotation,
    STATE(6035), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164572] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4727), 1,
      sym_comment,
    STATE(5114), 1,
      sym_type_annotation,
    STATE(6028), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164599] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    STATE(3285), 1,
      sym_class_body,
    STATE(4728), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6574), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [164630] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8165), 1,
      sym_identifier,
    ACTIONS(8167), 1,
      anon_sym_STAR,
    STATE(4729), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7135), 1,
      sym__call_signature,
  [164661] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8169), 1,
      sym_identifier,
    ACTIONS(8171), 1,
      anon_sym_STAR,
    STATE(4730), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7092), 1,
      sym__call_signature,
  [164692] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8173), 1,
      anon_sym_EQ,
    ACTIONS(8175), 1,
      anon_sym_DOT,
    STATE(4731), 1,
      sym_comment,
    ACTIONS(7896), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [164715] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(4732), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6568), 1,
      sym_class_heritage,
    STATE(7152), 1,
      sym_class_body,
    STATE(7172), 1,
      sym_implements_clause,
  [164746] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4733), 1,
      sym_comment,
    STATE(5100), 1,
      sym_type_annotation,
    STATE(6009), 1,
      sym__initializer,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164773] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8177), 1,
      sym_identifier,
    ACTIONS(8179), 1,
      anon_sym_STAR,
    STATE(4734), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7135), 1,
      sym__call_signature,
  [164804] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8181), 1,
      sym_identifier,
    ACTIONS(8183), 1,
      anon_sym_STAR,
    STATE(4735), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7092), 1,
      sym__call_signature,
  [164835] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8185), 1,
      sym_identifier,
    ACTIONS(8187), 1,
      anon_sym_STAR,
    STATE(4736), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7135), 1,
      sym__call_signature,
  [164866] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4737), 1,
      sym_comment,
    STATE(5355), 1,
      sym_type_annotation,
    STATE(5823), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164893] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4738), 1,
      sym_comment,
    STATE(5351), 1,
      sym_type_annotation,
    STATE(5822), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164920] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4739), 1,
      sym_comment,
    STATE(5248), 1,
      sym_type_annotation,
    STATE(5811), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164947] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(2655), 1,
      sym_class_body,
    STATE(4740), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6480), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [164978] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8189), 1,
      sym_identifier,
    ACTIONS(8191), 1,
      anon_sym_STAR,
    STATE(4741), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7092), 1,
      sym__call_signature,
  [165009] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4742), 1,
      sym_comment,
    ACTIONS(8193), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [165028] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8195), 1,
      sym_identifier,
    ACTIONS(8197), 1,
      anon_sym_STAR,
    STATE(4743), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7135), 1,
      sym__call_signature,
  [165059] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4744), 1,
      sym_comment,
    STATE(5195), 1,
      sym_type_annotation,
    STATE(5793), 1,
      sym__initializer,
    ACTIONS(7345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165086] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8199), 1,
      sym_identifier,
    ACTIONS(8201), 1,
      anon_sym_STAR,
    STATE(4745), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7092), 1,
      sym__call_signature,
  [165117] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(4746), 1,
      sym_comment,
    STATE(5083), 1,
      sym_type_annotation,
    STATE(5993), 1,
      sym__initializer,
    ACTIONS(7341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5982), 1,
      sym__automatic_semicolon,
    STATE(4747), 1,
      sym_comment,
    ACTIONS(2079), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [165165] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(4748), 1,
      sym_comment,
    STATE(5914), 1,
      sym_class_body,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6519), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [165196] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_extends,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(2700), 1,
      sym_class_body,
    STATE(4749), 1,
      sym_comment,
    STATE(6037), 1,
      sym_extends_clause,
    STATE(6521), 1,
      sym_class_heritage,
    STATE(7172), 1,
      sym_implements_clause,
  [165227] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(8203), 1,
      anon_sym_QMARK,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4750), 1,
      sym_comment,
    STATE(5789), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
  [165255] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4751), 1,
      sym_comment,
    STATE(4869), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8207), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8205), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165277] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8209), 1,
      sym_identifier,
    STATE(4752), 1,
      sym_comment,
    ACTIONS(6969), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [165297] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4753), 1,
      sym_comment,
    ACTIONS(8061), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [165315] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8211), 1,
      sym_identifier,
    STATE(4754), 1,
      sym_comment,
    ACTIONS(6969), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [165335] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8213), 1,
      sym_identifier,
    STATE(4755), 1,
      sym_comment,
    ACTIONS(6969), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [165355] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8215), 1,
      anon_sym_default,
    ACTIONS(8217), 1,
      anon_sym_RBRACE,
    ACTIONS(8219), 1,
      anon_sym_case,
    STATE(4756), 1,
      sym_comment,
    STATE(4764), 1,
      aux_sym_switch_body_repeat1,
    STATE(6064), 2,
      sym_switch_case,
      sym_switch_default,
  [165381] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3534), 1,
      sym_statement_block,
    STATE(4757), 1,
      sym_comment,
    ACTIONS(8120), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165403] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8223), 1,
      sym_identifier,
    STATE(4758), 1,
      sym_comment,
    ACTIONS(6969), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [165423] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7588), 1,
      anon_sym_DOT,
    ACTIONS(8225), 1,
      anon_sym_COMMA,
    ACTIONS(8227), 1,
      anon_sym_GT,
    STATE(4441), 1,
      sym_arguments,
    STATE(4759), 1,
      sym_comment,
    STATE(5902), 1,
      aux_sym_type_arguments_repeat1,
  [165451] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8229), 1,
      sym_identifier,
    STATE(4760), 1,
      sym_comment,
    ACTIONS(6969), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [165471] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(8231), 1,
      anon_sym_COMMA,
    ACTIONS(8233), 1,
      anon_sym_GT,
    STATE(4761), 1,
      sym_comment,
    STATE(5907), 1,
      aux_sym_type_arguments_repeat1,
  [165499] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8235), 1,
      sym_identifier,
    STATE(4762), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6880), 1,
      sym__call_signature,
  [165527] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(8237), 1,
      anon_sym_QMARK,
    STATE(4763), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7035), 1,
      sym__call_signature,
  [165555] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8215), 1,
      anon_sym_default,
    ACTIONS(8219), 1,
      anon_sym_case,
    ACTIONS(8239), 1,
      anon_sym_RBRACE,
    STATE(4764), 1,
      sym_comment,
    STATE(4796), 1,
      aux_sym_switch_body_repeat1,
    STATE(6064), 2,
      sym_switch_case,
      sym_switch_default,
  [165581] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4765), 1,
      sym_comment,
    STATE(4776), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8243), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8241), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165603] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7588), 1,
      anon_sym_DOT,
    ACTIONS(8245), 1,
      anon_sym_COMMA,
    ACTIONS(8247), 1,
      anon_sym_GT,
    STATE(4441), 1,
      sym_arguments,
    STATE(4766), 1,
      sym_comment,
    STATE(5854), 1,
      aux_sym_type_arguments_repeat1,
  [165631] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8249), 1,
      sym_identifier,
    STATE(4767), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7117), 1,
      sym__call_signature,
  [165659] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(8251), 1,
      anon_sym_COMMA,
    ACTIONS(8253), 1,
      anon_sym_GT,
    STATE(4768), 1,
      sym_comment,
    STATE(5846), 1,
      aux_sym_type_arguments_repeat1,
  [165687] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8255), 1,
      sym_escape_sequence,
    ACTIONS(8258), 1,
      anon_sym_BQUOTE,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8263), 1,
      sym__template_chars,
    STATE(5736), 1,
      sym_template_substitution,
    STATE(4769), 2,
      sym_comment,
      aux_sym_template_string_repeat1,
  [165713] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3532), 1,
      sym_statement_block,
    STATE(4770), 1,
      sym_comment,
    ACTIONS(8118), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165735] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4771), 1,
      sym_comment,
    ACTIONS(2083), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [165753] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(8266), 1,
      sym_identifier,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    STATE(4772), 1,
      sym_comment,
    STATE(5963), 1,
      sym__destructuring_pattern,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
  [165779] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8270), 1,
      sym_identifier,
    STATE(4773), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6880), 1,
      sym__call_signature,
  [165807] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4774), 1,
      sym_comment,
    STATE(4777), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8274), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8272), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165829] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8276), 1,
      sym_identifier,
    STATE(4775), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7117), 1,
      sym__call_signature,
  [165857] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4776), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8274), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8272), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165879] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4777), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8280), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8278), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165901] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4067), 1,
      anon_sym_DQUOTE,
    ACTIONS(4069), 1,
      anon_sym_SQUOTE,
    ACTIONS(8085), 1,
      sym_identifier,
    STATE(936), 1,
      sym_nested_identifier,
    STATE(1039), 1,
      sym_string,
    STATE(1418), 1,
      sym__module,
    STATE(4778), 1,
      sym_comment,
  [165929] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8282), 1,
      sym_identifier,
    STATE(4779), 1,
      sym_comment,
    STATE(5990), 1,
      sym__destructuring_pattern,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
  [165955] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8284), 1,
      sym_identifier,
    STATE(4780), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6880), 1,
      sym__call_signature,
  [165983] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4067), 1,
      anon_sym_DQUOTE,
    ACTIONS(4069), 1,
      anon_sym_SQUOTE,
    ACTIONS(8085), 1,
      sym_identifier,
    STATE(936), 1,
      sym_nested_identifier,
    STATE(1039), 1,
      sym_string,
    STATE(1392), 1,
      sym__module,
    STATE(4781), 1,
      sym_comment,
  [166011] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8286), 1,
      sym_identifier,
    STATE(4782), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7117), 1,
      sym__call_signature,
  [166039] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8288), 1,
      anon_sym_COMMA,
    STATE(4783), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5229), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [166059] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4784), 1,
      sym_comment,
    ACTIONS(8291), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [166077] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8295), 1,
      anon_sym_EQ,
    STATE(4785), 1,
      sym_comment,
    ACTIONS(8293), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [166097] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4786), 1,
      sym_comment,
    ACTIONS(7990), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [166115] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4787), 1,
      sym_comment,
    ACTIONS(8297), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [166133] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4788), 1,
      sym_comment,
    ACTIONS(8299), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [166151] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4789), 1,
      sym_comment,
    ACTIONS(8193), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [166169] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(8022), 1,
      sym_identifier,
    STATE(4469), 1,
      sym_nested_identifier,
    STATE(4712), 1,
      sym_string,
    STATE(4790), 1,
      sym_comment,
    STATE(4998), 1,
      sym__module,
  [166197] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(8022), 1,
      sym_identifier,
    STATE(4469), 1,
      sym_nested_identifier,
    STATE(4712), 1,
      sym_string,
    STATE(4791), 1,
      sym_comment,
    STATE(5158), 1,
      sym__module,
  [166225] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8301), 1,
      sym_identifier,
    STATE(4792), 1,
      sym_comment,
    STATE(6058), 1,
      sym__destructuring_pattern,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
  [166251] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8303), 1,
      sym_identifier,
    STATE(4793), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6880), 1,
      sym__call_signature,
  [166279] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8305), 1,
      sym_identifier,
    STATE(4794), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6880), 1,
      sym__call_signature,
  [166307] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(8307), 1,
      anon_sym_QMARK,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4795), 1,
      sym_comment,
    STATE(5058), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
  [166335] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8309), 1,
      anon_sym_default,
    ACTIONS(8312), 1,
      anon_sym_RBRACE,
    ACTIONS(8314), 1,
      anon_sym_case,
    STATE(4796), 2,
      sym_comment,
      aux_sym_switch_body_repeat1,
    STATE(6064), 2,
      sym_switch_case,
      sym_switch_default,
  [166359] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8317), 1,
      sym_identifier,
    STATE(4797), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7117), 1,
      sym__call_signature,
  [166387] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4798), 1,
      sym_comment,
    ACTIONS(8319), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [166405] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8215), 1,
      anon_sym_default,
    ACTIONS(8219), 1,
      anon_sym_case,
    ACTIONS(8321), 1,
      anon_sym_RBRACE,
    STATE(4799), 1,
      sym_comment,
    STATE(4806), 1,
      aux_sym_switch_body_repeat1,
    STATE(6064), 2,
      sym_switch_case,
      sym_switch_default,
  [166431] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8323), 1,
      anon_sym_catch,
    ACTIONS(8325), 1,
      anon_sym_finally,
    STATE(4800), 1,
      sym_comment,
    STATE(5701), 1,
      sym_catch_clause,
    STATE(7154), 1,
      sym_finally_clause,
    ACTIONS(3024), 2,
      anon_sym_else,
      anon_sym_while,
  [166457] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7872), 1,
      sym_escape_sequence,
    ACTIONS(8327), 1,
      anon_sym_BQUOTE,
    ACTIONS(8329), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8331), 1,
      sym__template_chars,
    STATE(4801), 1,
      sym_comment,
    STATE(4958), 1,
      aux_sym_template_string_repeat1,
    STATE(5736), 1,
      sym_template_substitution,
  [166485] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4802), 1,
      sym_comment,
    ACTIONS(2093), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [166503] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7588), 1,
      anon_sym_DOT,
    ACTIONS(8333), 1,
      anon_sym_COMMA,
    ACTIONS(8335), 1,
      anon_sym_GT,
    STATE(4441), 1,
      sym_arguments,
    STATE(4803), 1,
      sym_comment,
    STATE(6190), 1,
      aux_sym_type_arguments_repeat1,
  [166531] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(8337), 1,
      anon_sym_COMMA,
    ACTIONS(8339), 1,
      anon_sym_GT,
    STATE(4804), 1,
      sym_comment,
    STATE(6194), 1,
      aux_sym_type_arguments_repeat1,
  [166559] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    STATE(4783), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4805), 1,
      sym_comment,
    ACTIONS(8341), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [166581] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8215), 1,
      anon_sym_default,
    ACTIONS(8219), 1,
      anon_sym_case,
    ACTIONS(8343), 1,
      anon_sym_RBRACE,
    STATE(4796), 1,
      aux_sym_switch_body_repeat1,
    STATE(4806), 1,
      sym_comment,
    STATE(6064), 2,
      sym_switch_case,
      sym_switch_default,
  [166607] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4807), 1,
      sym_comment,
    STATE(4810), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8347), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8345), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166629] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(8349), 1,
      anon_sym_LBRACE,
    ACTIONS(8351), 1,
      anon_sym_COMMA,
    STATE(4808), 1,
      sym_comment,
    STATE(5941), 1,
      aux_sym_implements_clause_repeat1,
  [166657] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4809), 1,
      sym_comment,
    STATE(4811), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8355), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166679] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4810), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8355), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166701] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4811), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8359), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8357), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166723] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4812), 1,
      sym_comment,
    ACTIONS(8161), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [166741] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(8361), 1,
      anon_sym_QMARK,
    STATE(4813), 1,
      sym_comment,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7028), 1,
      sym__call_signature,
  [166769] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(8363), 1,
      anon_sym_QMARK,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4660), 1,
      sym__call_signature,
    STATE(4814), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
  [166797] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(8365), 1,
      anon_sym_QMARK,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4651), 1,
      sym__call_signature,
    STATE(4815), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
  [166825] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3502), 1,
      sym_statement_block,
    STATE(4816), 1,
      sym_comment,
    ACTIONS(8120), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166847] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4073), 1,
      anon_sym_DQUOTE,
    ACTIONS(4075), 1,
      anon_sym_SQUOTE,
    ACTIONS(7954), 1,
      sym_identifier,
    STATE(935), 1,
      sym_nested_identifier,
    STATE(974), 1,
      sym_string,
    STATE(1268), 1,
      sym__module,
    STATE(4817), 1,
      sym_comment,
  [166875] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3505), 1,
      sym_statement_block,
    STATE(4818), 1,
      sym_comment,
    ACTIONS(8118), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166897] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4073), 1,
      anon_sym_DQUOTE,
    ACTIONS(4075), 1,
      anon_sym_SQUOTE,
    ACTIONS(7954), 1,
      sym_identifier,
    STATE(935), 1,
      sym_nested_identifier,
    STATE(974), 1,
      sym_string,
    STATE(1433), 1,
      sym__module,
    STATE(4819), 1,
      sym_comment,
  [166925] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3530), 1,
      sym_statement_block,
    STATE(4820), 1,
      sym_comment,
    ACTIONS(8106), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166947] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(8367), 1,
      anon_sym_QMARK,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4821), 1,
      sym_comment,
    STATE(4973), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [166975] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3515), 1,
      sym_statement_block,
    STATE(4822), 1,
      sym_comment,
    ACTIONS(8106), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166997] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(8369), 1,
      anon_sym_QMARK,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4647), 1,
      sym__call_signature,
    STATE(4823), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
  [167025] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4824), 1,
      sym_comment,
    ACTIONS(5483), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [167043] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(8371), 1,
      anon_sym_QMARK,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4825), 1,
      sym_comment,
    STATE(6036), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
  [167071] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8373), 1,
      anon_sym_COLON,
    STATE(4826), 1,
      sym_comment,
    ACTIONS(7460), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(6989), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [167093] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8375), 1,
      anon_sym_export,
    ACTIONS(8377), 1,
      anon_sym_class,
    ACTIONS(8379), 1,
      anon_sym_abstract,
    STATE(4827), 1,
      sym_comment,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
  [167121] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3988), 1,
      anon_sym_DQUOTE,
    ACTIONS(3990), 1,
      anon_sym_SQUOTE,
    ACTIONS(8067), 1,
      sym_identifier,
    STATE(959), 1,
      sym_nested_identifier,
    STATE(1193), 1,
      sym_string,
    STATE(1678), 1,
      sym__module,
    STATE(4828), 1,
      sym_comment,
  [167149] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8383), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167171] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3988), 1,
      anon_sym_DQUOTE,
    ACTIONS(3990), 1,
      anon_sym_SQUOTE,
    ACTIONS(8067), 1,
      sym_identifier,
    STATE(959), 1,
      sym_nested_identifier,
    STATE(1193), 1,
      sym_string,
    STATE(1640), 1,
      sym__module,
    STATE(4830), 1,
      sym_comment,
  [167199] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(8385), 1,
      anon_sym_QMARK,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4641), 1,
      sym__call_signature,
    STATE(4831), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
  [167227] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8215), 1,
      anon_sym_default,
    ACTIONS(8219), 1,
      anon_sym_case,
    ACTIONS(8387), 1,
      anon_sym_RBRACE,
    STATE(4832), 1,
      sym_comment,
    STATE(4835), 1,
      aux_sym_switch_body_repeat1,
    STATE(6064), 2,
      sym_switch_case,
      sym_switch_default,
  [167253] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7588), 1,
      anon_sym_DOT,
    ACTIONS(8389), 1,
      anon_sym_COMMA,
    ACTIONS(8391), 1,
      anon_sym_GT,
    STATE(4441), 1,
      sym_arguments,
    STATE(4833), 1,
      sym_comment,
    STATE(6437), 1,
      aux_sym_type_arguments_repeat1,
  [167281] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(8393), 1,
      anon_sym_COMMA,
    ACTIONS(8395), 1,
      anon_sym_GT,
    STATE(4834), 1,
      sym_comment,
    STATE(6441), 1,
      aux_sym_type_arguments_repeat1,
  [167309] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8215), 1,
      anon_sym_default,
    ACTIONS(8219), 1,
      anon_sym_case,
    ACTIONS(8397), 1,
      anon_sym_RBRACE,
    STATE(4796), 1,
      aux_sym_switch_body_repeat1,
    STATE(4835), 1,
      sym_comment,
    STATE(6064), 2,
      sym_switch_case,
      sym_switch_default,
  [167335] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(8399), 1,
      anon_sym_QMARK,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4836), 1,
      sym_comment,
    STATE(4977), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [167363] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4837), 1,
      sym_comment,
    STATE(4846), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8403), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8401), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167385] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4838), 1,
      sym_comment,
    ACTIONS(5578), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [167403] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4839), 1,
      sym_comment,
    ACTIONS(8405), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167421] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3540), 1,
      sym_statement_block,
    STATE(4840), 1,
      sym_comment,
    ACTIONS(8144), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167443] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4841), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8409), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167465] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4842), 1,
      sym_comment,
    ACTIONS(8409), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167487] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(8411), 1,
      anon_sym_QMARK,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4635), 1,
      sym__call_signature,
    STATE(4843), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
  [167515] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3520), 1,
      sym_statement_block,
    STATE(4844), 1,
      sym_comment,
    ACTIONS(8108), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167537] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4845), 1,
      sym_comment,
    STATE(4848), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8415), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167559] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4846), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8415), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167581] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(8417), 1,
      anon_sym_QMARK,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4847), 1,
      sym_comment,
    STATE(5463), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
  [167609] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4848), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8421), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8419), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167631] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8000), 1,
      anon_sym_COMMA,
    ACTIONS(8004), 1,
      anon_sym_LT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE,
    ACTIONS(8425), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4849), 1,
      sym_comment,
    STATE(5711), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5831), 1,
      sym_type_arguments,
  [167659] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4093), 1,
      anon_sym_DQUOTE,
    ACTIONS(4095), 1,
      anon_sym_SQUOTE,
    ACTIONS(7976), 1,
      sym_identifier,
    STATE(894), 1,
      sym_nested_identifier,
    STATE(941), 1,
      sym_string,
    STATE(967), 1,
      sym__module,
    STATE(4850), 1,
      sym_comment,
  [167687] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4093), 1,
      anon_sym_DQUOTE,
    ACTIONS(4095), 1,
      anon_sym_SQUOTE,
    ACTIONS(7976), 1,
      sym_identifier,
    STATE(894), 1,
      sym_nested_identifier,
    STATE(941), 1,
      sym_string,
    STATE(1173), 1,
      sym__module,
    STATE(4851), 1,
      sym_comment,
  [167715] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7588), 1,
      anon_sym_DOT,
    ACTIONS(8427), 1,
      anon_sym_COMMA,
    ACTIONS(8429), 1,
      anon_sym_GT,
    STATE(4441), 1,
      sym_arguments,
    STATE(4852), 1,
      sym_comment,
    STATE(6368), 1,
      aux_sym_type_arguments_repeat1,
  [167743] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(8431), 1,
      anon_sym_COMMA,
    ACTIONS(8433), 1,
      anon_sym_GT,
    STATE(4853), 1,
      sym_comment,
    STATE(6364), 1,
      aux_sym_type_arguments_repeat1,
  [167771] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4854), 1,
      sym_comment,
    STATE(4862), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8437), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8435), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167793] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4841), 1,
      aux_sym_object_type_repeat1,
    STATE(4855), 1,
      sym_comment,
    ACTIONS(8441), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167815] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(8443), 1,
      anon_sym_QMARK,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4625), 1,
      sym__call_signature,
    STATE(4856), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
  [167843] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(8445), 1,
      anon_sym_QMARK,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4857), 1,
      sym_comment,
    STATE(5219), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
  [167871] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8215), 1,
      anon_sym_default,
    ACTIONS(8219), 1,
      anon_sym_case,
    ACTIONS(8447), 1,
      anon_sym_RBRACE,
    STATE(4796), 1,
      aux_sym_switch_body_repeat1,
    STATE(4858), 1,
      sym_comment,
    STATE(6064), 2,
      sym_switch_case,
      sym_switch_default,
  [167897] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4859), 1,
      sym_comment,
    STATE(4943), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8451), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8449), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167919] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4860), 1,
      sym_comment,
    STATE(4864), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8455), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167941] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4861), 1,
      sym_comment,
    ACTIONS(8457), 6,
      anon_sym_export,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [167959] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4862), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8455), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167981] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(8097), 1,
      anon_sym_EQ,
    STATE(4863), 1,
      sym_comment,
    STATE(5748), 1,
      sym_type_annotation,
    STATE(7128), 1,
      sym__initializer,
    ACTIONS(8459), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [168007] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4864), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8463), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168029] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7588), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_COMMA,
    ACTIONS(8467), 1,
      anon_sym_GT,
    STATE(4441), 1,
      sym_arguments,
    STATE(4865), 1,
      sym_comment,
    STATE(6311), 1,
      aux_sym_type_arguments_repeat1,
  [168057] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(8469), 1,
      anon_sym_COMMA,
    ACTIONS(8471), 1,
      anon_sym_GT,
    STATE(4866), 1,
      sym_comment,
    STATE(6306), 1,
      aux_sym_type_arguments_repeat1,
  [168085] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4867), 1,
      sym_comment,
    STATE(4872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8475), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8473), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168107] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4868), 1,
      sym_comment,
    ACTIONS(8477), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168125] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4869), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8451), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8449), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168147] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4870), 1,
      sym_comment,
    ACTIONS(8479), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168165] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4871), 1,
      sym_comment,
    STATE(4875), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8483), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168187] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4872), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8483), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168209] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4873), 1,
      sym_comment,
    ACTIONS(8485), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168227] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8215), 1,
      anon_sym_default,
    ACTIONS(8219), 1,
      anon_sym_case,
    ACTIONS(8487), 1,
      anon_sym_RBRACE,
    STATE(4874), 1,
      sym_comment,
    STATE(4959), 1,
      aux_sym_switch_body_repeat1,
    STATE(6064), 2,
      sym_switch_case,
      sym_switch_default,
  [168253] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4875), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8491), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168275] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      sym_identifier,
    STATE(4876), 1,
      sym_comment,
    STATE(6168), 1,
      sym__destructuring_pattern,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
  [168301] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4877), 1,
      sym_comment,
    ACTIONS(8477), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168319] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3519), 1,
      sym_statement_block,
    STATE(4878), 1,
      sym_comment,
    ACTIONS(8116), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168341] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8495), 1,
      sym_identifier,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4879), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6880), 1,
      sym__call_signature,
  [168369] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4880), 1,
      sym_comment,
    ACTIONS(5654), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168387] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4881), 1,
      sym_comment,
    ACTIONS(8497), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168405] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    STATE(4882), 1,
      sym_comment,
    ACTIONS(8499), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [168429] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4883), 1,
      sym_comment,
    ACTIONS(5650), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168447] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4884), 1,
      sym_comment,
    ACTIONS(5468), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168465] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4885), 1,
      sym_comment,
    ACTIONS(5460), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168483] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8501), 1,
      anon_sym_DOT,
    STATE(4886), 1,
      sym_comment,
    ACTIONS(7896), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168503] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4887), 1,
      sym_comment,
    ACTIONS(8477), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168521] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4888), 1,
      sym_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [168539] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4889), 1,
      sym_comment,
    ACTIONS(8505), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [168557] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4890), 1,
      sym_comment,
    ACTIONS(8507), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [168575] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3535), 1,
      sym_statement_block,
    STATE(4891), 1,
      sym_comment,
    ACTIONS(8114), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168597] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(8509), 1,
      anon_sym_COMMA,
    ACTIONS(8511), 1,
      anon_sym_GT,
    STATE(4892), 1,
      sym_comment,
    STATE(6444), 1,
      aux_sym_type_arguments_repeat1,
  [168625] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8513), 1,
      sym_identifier,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4893), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7117), 1,
      sym__call_signature,
  [168653] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7588), 1,
      anon_sym_DOT,
    ACTIONS(8515), 1,
      anon_sym_COMMA,
    ACTIONS(8517), 1,
      anon_sym_GT,
    STATE(4441), 1,
      sym_arguments,
    STATE(4894), 1,
      sym_comment,
    STATE(6426), 1,
      aux_sym_type_arguments_repeat1,
  [168681] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4895), 1,
      sym_comment,
    STATE(4901), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8521), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168703] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(8523), 1,
      anon_sym_QMARK,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4818), 1,
      sym__call_signature,
    STATE(4896), 1,
      sym_comment,
    STATE(6963), 1,
      sym_type_parameters,
  [168731] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4897), 1,
      sym_comment,
    ACTIONS(7216), 6,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [168749] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3508), 1,
      sym_statement_block,
    STATE(4898), 1,
      sym_comment,
    ACTIONS(8116), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168771] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4899), 1,
      sym_comment,
    STATE(4902), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8527), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8525), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168793] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3507), 1,
      sym_statement_block,
    STATE(4900), 1,
      sym_comment,
    ACTIONS(8114), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168815] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4901), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8527), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8525), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168837] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4902), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8531), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8529), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168859] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4903), 1,
      sym_comment,
    STATE(4905), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8535), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8533), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168881] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4904), 1,
      sym_comment,
    STATE(4906), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8539), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168903] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4905), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8539), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168925] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4906), 1,
      sym_comment,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8543), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8541), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168947] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(8545), 1,
      anon_sym_QMARK,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4907), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6729), 1,
      sym__call_signature,
  [168975] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8215), 1,
      anon_sym_default,
    ACTIONS(8219), 1,
      anon_sym_case,
    ACTIONS(8547), 1,
      anon_sym_RBRACE,
    STATE(4858), 1,
      aux_sym_switch_body_repeat1,
    STATE(4908), 1,
      sym_comment,
    STATE(6064), 2,
      sym_switch_case,
      sym_switch_default,
  [169001] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8549), 1,
      sym_identifier,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4909), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7117), 1,
      sym__call_signature,
  [169029] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3537), 1,
      sym_statement_block,
    STATE(4910), 1,
      sym_comment,
    ACTIONS(8136), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169051] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3498), 1,
      sym_statement_block,
    STATE(4911), 1,
      sym_comment,
    ACTIONS(8130), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169073] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8551), 1,
      anon_sym_export,
    ACTIONS(8553), 1,
      anon_sym_class,
    ACTIONS(8555), 1,
      anon_sym_abstract,
    STATE(4912), 1,
      sym_comment,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
  [169101] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(8557), 1,
      anon_sym_QMARK,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4913), 1,
      sym_comment,
    STATE(5522), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
  [169129] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8002), 1,
      anon_sym_DOT,
    ACTIONS(8004), 1,
      anon_sym_LT,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    STATE(4914), 1,
      sym_comment,
    STATE(5836), 1,
      sym_type_arguments,
    ACTIONS(8561), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [169155] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7922), 1,
      anon_sym_GT,
    ACTIONS(8563), 1,
      sym_identifier,
    ACTIONS(8565), 1,
      sym_jsx_identifier,
    ACTIONS(8567), 1,
      anon_sym_SLASH_GT,
    STATE(4081), 1,
      sym_nested_identifier,
    STATE(4409), 1,
      sym_jsx_namespace_name,
    STATE(4915), 1,
      sym_comment,
  [169183] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7872), 1,
      sym_escape_sequence,
    ACTIONS(8329), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8331), 1,
      sym__template_chars,
    ACTIONS(8569), 1,
      anon_sym_BQUOTE,
    STATE(4769), 1,
      aux_sym_template_string_repeat1,
    STATE(4916), 1,
      sym_comment,
    STATE(5736), 1,
      sym_template_substitution,
  [169211] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4917), 1,
      sym_comment,
    ACTIONS(5618), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169229] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4918), 1,
      sym_comment,
    ACTIONS(5622), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169247] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4919), 1,
      sym_comment,
    ACTIONS(5618), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169265] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4920), 1,
      sym_comment,
    ACTIONS(5628), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169283] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4921), 1,
      sym_comment,
    ACTIONS(5632), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169301] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4922), 1,
      sym_comment,
    ACTIONS(5618), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169319] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(8571), 1,
      anon_sym_QMARK,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4923), 1,
      sym_comment,
    STATE(6655), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [169347] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4924), 1,
      sym_comment,
    ACTIONS(8573), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169365] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4925), 1,
      sym_comment,
    ACTIONS(8575), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169383] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8577), 1,
      sym_identifier,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4926), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6737), 1,
      sym__call_signature,
  [169411] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(8579), 1,
      anon_sym_QMARK,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4927), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6957), 1,
      sym__call_signature,
  [169439] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4928), 1,
      sym_comment,
    ACTIONS(6279), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
  [169457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4929), 1,
      sym_comment,
    ACTIONS(7886), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
  [169475] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4930), 1,
      sym_comment,
    ACTIONS(4494), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [169493] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4931), 1,
      sym_comment,
    ACTIONS(5721), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169511] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4932), 1,
      sym_comment,
    ACTIONS(5725), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169529] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4933), 1,
      sym_comment,
    STATE(6609), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [169557] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8583), 1,
      sym_identifier,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4934), 1,
      sym_comment,
    STATE(6590), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [169585] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(8585), 1,
      anon_sym_QMARK,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4935), 1,
      sym_comment,
    STATE(6588), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [169613] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(8587), 1,
      anon_sym_QMARK,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4936), 1,
      sym_comment,
    STATE(6680), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [169641] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4937), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6711), 1,
      sym__call_signature,
  [169669] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4938), 1,
      sym_comment,
    ACTIONS(5746), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169687] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4939), 1,
      sym_comment,
    ACTIONS(5713), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169705] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(8591), 1,
      anon_sym_QMARK,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4940), 1,
      sym_comment,
    STATE(6491), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [169733] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8596), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4941), 2,
      sym_comment,
      aux_sym_object_type_repeat1,
    ACTIONS(8593), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169753] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(8598), 1,
      anon_sym_QMARK,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4942), 1,
      sym_comment,
    STATE(5369), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
  [169781] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4941), 1,
      aux_sym_object_type_repeat1,
    STATE(4943), 1,
      sym_comment,
    ACTIONS(8602), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8600), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169803] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4944), 1,
      sym_comment,
    ACTIONS(8604), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4494), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [169823] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(8026), 1,
      sym_identifier,
    STATE(4945), 1,
      sym_comment,
    STATE(5296), 1,
      sym_nested_identifier,
    STATE(5683), 1,
      sym_string,
    STATE(6874), 1,
      sym__module,
  [169851] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(8026), 1,
      sym_identifier,
    STATE(4946), 1,
      sym_comment,
    STATE(5296), 1,
      sym_nested_identifier,
    STATE(5683), 1,
      sym_string,
    STATE(6565), 1,
      sym__module,
  [169879] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_QMARK,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4947), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6713), 1,
      sym__call_signature,
  [169907] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8608), 1,
      sym_identifier,
    STATE(4948), 1,
      sym_comment,
    ACTIONS(6969), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [169927] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8612), 1,
      anon_sym_AT,
    STATE(5594), 1,
      sym_decorator,
    STATE(4949), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(8610), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_abstract,
  [169949] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7872), 1,
      sym_escape_sequence,
    ACTIONS(8329), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8331), 1,
      sym__template_chars,
    ACTIONS(8615), 1,
      anon_sym_BQUOTE,
    STATE(4916), 1,
      aux_sym_template_string_repeat1,
    STATE(4950), 1,
      sym_comment,
    STATE(5736), 1,
      sym_template_substitution,
  [169977] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8373), 1,
      anon_sym_COLON,
    STATE(4951), 1,
      sym_comment,
    ACTIONS(7470), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(6501), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [169999] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7922), 1,
      anon_sym_GT,
    ACTIONS(8617), 1,
      sym_identifier,
    ACTIONS(8619), 1,
      sym_jsx_identifier,
    ACTIONS(8621), 1,
      anon_sym_SLASH_GT,
    STATE(4069), 1,
      sym_nested_identifier,
    STATE(4345), 1,
      sym_jsx_namespace_name,
    STATE(4952), 1,
      sym_comment,
  [170027] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4953), 1,
      sym_comment,
    ACTIONS(8623), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [170045] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(8627), 1,
      anon_sym_QMARK,
    STATE(4954), 1,
      sym_comment,
    ACTIONS(8625), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [170071] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4955), 1,
      sym_comment,
    ACTIONS(8629), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [170089] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8631), 1,
      sym_identifier,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4956), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6880), 1,
      sym__call_signature,
  [170117] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8633), 1,
      anon_sym_export,
    ACTIONS(8635), 1,
      anon_sym_class,
    ACTIONS(8637), 1,
      anon_sym_abstract,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(4957), 1,
      sym_comment,
    STATE(5594), 1,
      sym_decorator,
  [170145] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7872), 1,
      sym_escape_sequence,
    ACTIONS(8329), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8331), 1,
      sym__template_chars,
    ACTIONS(8639), 1,
      anon_sym_BQUOTE,
    STATE(4769), 1,
      aux_sym_template_string_repeat1,
    STATE(4958), 1,
      sym_comment,
    STATE(5736), 1,
      sym_template_substitution,
  [170173] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8215), 1,
      anon_sym_default,
    ACTIONS(8219), 1,
      anon_sym_case,
    ACTIONS(8641), 1,
      anon_sym_RBRACE,
    STATE(4796), 1,
      aux_sym_switch_body_repeat1,
    STATE(4959), 1,
      sym_comment,
    STATE(6064), 2,
      sym_switch_case,
      sym_switch_default,
  [170199] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8643), 1,
      sym_identifier,
    STATE(4960), 1,
      sym_comment,
    STATE(5769), 1,
      sym__destructuring_pattern,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
  [170225] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8645), 1,
      sym_identifier,
    STATE(4961), 1,
      sym_comment,
    STATE(6654), 1,
      sym__destructuring_pattern,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
  [170251] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4962), 1,
      sym_comment,
    ACTIONS(8647), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [170269] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(8649), 1,
      anon_sym_QMARK,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4963), 1,
      sym_comment,
    STATE(6317), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
  [170297] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8651), 1,
      sym_identifier,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4964), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7117), 1,
      sym__call_signature,
  [170325] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3516), 1,
      sym_statement_block,
    STATE(4965), 1,
      sym_comment,
    ACTIONS(8110), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170347] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8653), 1,
      sym_identifier,
    STATE(4966), 1,
      sym_comment,
    STATE(5839), 1,
      sym__destructuring_pattern,
    STATE(4237), 2,
      sym_object_pattern,
      sym_array_pattern,
  [170373] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3514), 1,
      sym_statement_block,
    STATE(4967), 1,
      sym_comment,
    ACTIONS(8112), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170395] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(8655), 1,
      anon_sym_QMARK,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4820), 1,
      sym__call_signature,
    STATE(4968), 1,
      sym_comment,
    STATE(6963), 1,
      sym_type_parameters,
  [170423] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(8657), 1,
      anon_sym_QMARK,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4898), 1,
      sym__call_signature,
    STATE(4969), 1,
      sym_comment,
    STATE(6963), 1,
      sym_type_parameters,
  [170451] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3536), 1,
      sym_statement_block,
    STATE(4970), 1,
      sym_comment,
    ACTIONS(8122), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170473] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8659), 1,
      anon_sym_export,
    ACTIONS(8661), 1,
      anon_sym_class,
    ACTIONS(8663), 1,
      anon_sym_abstract,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(4971), 1,
      sym_comment,
    STATE(5594), 1,
      sym_decorator,
  [170501] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(8665), 1,
      anon_sym_QMARK,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4910), 1,
      sym__call_signature,
    STATE(4972), 1,
      sym_comment,
    STATE(6963), 1,
      sym_type_parameters,
  [170529] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3548), 1,
      sym_statement_block,
    STATE(4973), 1,
      sym_comment,
    ACTIONS(8112), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170551] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3549), 1,
      sym_statement_block,
    STATE(4974), 1,
      sym_comment,
    ACTIONS(8110), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170573] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3511), 1,
      sym_statement_block,
    STATE(4975), 1,
      sym_comment,
    ACTIONS(8079), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170595] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(8667), 1,
      anon_sym_QMARK,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4976), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6714), 1,
      sym__call_signature,
  [170623] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3512), 1,
      sym_statement_block,
    STATE(4977), 1,
      sym_comment,
    ACTIONS(8124), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170645] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3510), 1,
      sym_statement_block,
    STATE(4978), 1,
      sym_comment,
    ACTIONS(8122), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170667] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8669), 1,
      anon_sym_export,
    ACTIONS(8671), 1,
      anon_sym_class,
    ACTIONS(8673), 1,
      anon_sym_abstract,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(4979), 1,
      sym_comment,
    STATE(5594), 1,
      sym_decorator,
  [170695] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(8675), 1,
      anon_sym_QMARK,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4980), 1,
      sym_comment,
    STATE(5313), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
  [170723] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4981), 1,
      sym_comment,
    ACTIONS(3404), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170740] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(4982), 1,
      sym_comment,
    STATE(6399), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170761] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4983), 1,
      sym_comment,
    ACTIONS(5002), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [170778] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4984), 1,
      sym_comment,
    STATE(5535), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [170803] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(4985), 1,
      sym_comment,
    STATE(6545), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [170828] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4986), 1,
      sym_comment,
    STATE(5540), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [170853] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(4987), 1,
      sym_comment,
    STATE(5947), 1,
      sym__initializer,
    ACTIONS(8679), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170874] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8681), 1,
      sym_identifier,
    ACTIONS(8683), 1,
      anon_sym_GT,
    ACTIONS(8685), 1,
      sym_jsx_identifier,
    STATE(4988), 1,
      sym_comment,
    STATE(6731), 1,
      sym_nested_identifier,
    STATE(7449), 1,
      sym_jsx_namespace_name,
  [170899] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4989), 1,
      sym_comment,
    ACTIONS(3416), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170916] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7962), 1,
      anon_sym_extends,
    ACTIONS(8063), 1,
      anon_sym_LBRACE,
    ACTIONS(8065), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1712), 1,
      sym_object_type,
    STATE(4990), 1,
      sym_comment,
    STATE(5869), 1,
      sym_extends_type_clause,
  [170941] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4991), 1,
      sym_comment,
    STATE(5508), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [170966] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8661), 1,
      anon_sym_class,
    ACTIONS(8663), 1,
      anon_sym_abstract,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(4992), 1,
      sym_comment,
    STATE(5594), 1,
      sym_decorator,
  [170991] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4993), 1,
      sym_comment,
    ACTIONS(3414), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4994), 1,
      sym_comment,
    ACTIONS(3412), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171025] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4995), 1,
      sym_comment,
    ACTIONS(3410), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171042] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4996), 1,
      sym_comment,
    ACTIONS(3408), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171059] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4997), 1,
      sym_comment,
    ACTIONS(5713), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171076] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4998), 1,
      sym_comment,
    ACTIONS(2261), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171093] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4999), 1,
      sym_comment,
    ACTIONS(5746), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5000), 1,
      sym_comment,
    ACTIONS(3406), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171127] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(8687), 1,
      sym_identifier,
    STATE(5001), 1,
      sym_comment,
    STATE(5720), 1,
      sym_string,
    STATE(7005), 1,
      sym__module_export_name,
  [171152] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5002), 1,
      sym_comment,
    STATE(5498), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [171177] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8689), 1,
      anon_sym_LBRACE,
    ACTIONS(8691), 1,
      anon_sym_SEMI,
    ACTIONS(8693), 1,
      sym__automatic_semicolon,
    ACTIONS(8695), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1542), 1,
      sym_statement_block,
    STATE(5003), 1,
      sym_comment,
  [171202] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5004), 1,
      sym_comment,
    ACTIONS(2107), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171219] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5005), 1,
      sym_comment,
    ACTIONS(3404), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5006), 1,
      sym_comment,
    ACTIONS(3404), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171253] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5007), 1,
      sym_comment,
    STATE(5940), 1,
      sym__initializer,
    ACTIONS(8697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5008), 1,
      sym_comment,
    ACTIONS(3392), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171291] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5009), 1,
      sym_comment,
    ACTIONS(3384), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171308] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5010), 1,
      sym_comment,
    ACTIONS(2275), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171325] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5011), 1,
      sym_comment,
    ACTIONS(2291), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5012), 1,
      sym_comment,
    ACTIONS(2303), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171359] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5013), 1,
      sym_comment,
    ACTIONS(8114), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5014), 1,
      sym_comment,
    ACTIONS(3382), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171393] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5015), 1,
      sym_comment,
    ACTIONS(3380), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5016), 1,
      sym_comment,
    ACTIONS(3380), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171427] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5017), 1,
      sym_comment,
    ACTIONS(3378), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171444] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5018), 1,
      sym_comment,
    ACTIONS(5725), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171461] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5019), 1,
      sym_comment,
    ACTIONS(8699), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171478] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5020), 1,
      sym_comment,
    ACTIONS(3440), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171495] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5021), 1,
      sym_comment,
    ACTIONS(5721), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171512] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5022), 1,
      sym_comment,
    STATE(5311), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
  [171537] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5023), 1,
      sym_comment,
    ACTIONS(5068), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171554] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5024), 1,
      sym_comment,
    ACTIONS(5068), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171571] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5025), 1,
      sym_comment,
    ACTIONS(4980), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171588] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5026), 1,
      sym_comment,
    ACTIONS(4988), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171605] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5027), 1,
      sym_comment,
    ACTIONS(4992), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171622] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5028), 1,
      sym_comment,
    ACTIONS(3376), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171639] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5029), 1,
      sym_comment,
    ACTIONS(3374), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5030), 1,
      sym_comment,
    ACTIONS(3372), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171673] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5031), 1,
      sym_comment,
    ACTIONS(3370), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171690] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5032), 1,
      sym_comment,
    ACTIONS(5618), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171707] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5033), 1,
      sym_comment,
    ACTIONS(5632), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171724] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5034), 1,
      sym_comment,
    ACTIONS(5628), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171741] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5035), 1,
      sym_comment,
    ACTIONS(5618), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171758] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5036), 1,
      sym_comment,
    ACTIONS(5622), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171775] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8701), 1,
      anon_sym_BQUOTE,
    ACTIONS(8703), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8705), 1,
      sym__template_chars,
    STATE(5037), 1,
      sym_comment,
    STATE(5143), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5950), 1,
      sym_template_type,
  [171800] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5038), 1,
      sym_comment,
    ACTIONS(5618), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171817] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5039), 1,
      sym_comment,
    ACTIONS(8114), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171834] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5040), 1,
      sym_comment,
    ACTIONS(3368), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171851] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5041), 1,
      sym_comment,
    ACTIONS(3368), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5042), 1,
      sym_comment,
    ACTIONS(3368), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171885] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5043), 1,
      sym_comment,
    ACTIONS(3548), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171902] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5044), 1,
      sym_comment,
    ACTIONS(8707), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171919] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5045), 1,
      sym_comment,
    ACTIONS(8116), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171936] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5046), 1,
      sym_comment,
    ACTIONS(8709), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171953] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5047), 1,
      sym_comment,
    ACTIONS(8711), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171970] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5048), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6821), 1,
      sym__call_signature,
  [171995] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5049), 1,
      sym_comment,
    ACTIONS(6038), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [172012] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5050), 1,
      sym_comment,
    ACTIONS(5086), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [172029] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4911), 1,
      sym__call_signature,
    STATE(5051), 1,
      sym_comment,
    STATE(6963), 1,
      sym_type_parameters,
  [172054] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5052), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6757), 1,
      sym__call_signature,
  [172079] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5053), 1,
      sym_comment,
    ACTIONS(3420), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172096] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5054), 1,
      sym_comment,
    STATE(6528), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [172121] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5055), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6808), 1,
      sym__call_signature,
  [172146] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5056), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6834), 1,
      sym__call_signature,
  [172171] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8713), 1,
      anon_sym_LBRACE,
    ACTIONS(8715), 1,
      anon_sym_SEMI,
    ACTIONS(8717), 1,
      sym__automatic_semicolon,
    ACTIONS(8719), 1,
      sym__function_signature_automatic_semicolon,
    STATE(352), 1,
      sym_statement_block,
    STATE(5057), 1,
      sym_comment,
  [172196] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5058), 1,
      sym_comment,
    ACTIONS(8116), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172213] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5059), 1,
      sym_comment,
    ACTIONS(3480), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172230] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5060), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6863), 1,
      sym__call_signature,
  [172255] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5061), 1,
      sym_comment,
    STATE(5374), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [172280] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5062), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6899), 1,
      sym__call_signature,
  [172305] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5063), 1,
      sym_comment,
    ACTIONS(3538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172322] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5064), 1,
      sym_comment,
    ACTIONS(3538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172339] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5065), 1,
      sym_comment,
    STATE(5877), 1,
      sym__initializer,
    ACTIONS(8721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172360] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5066), 1,
      sym_comment,
    STATE(5368), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [172385] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5067), 1,
      sym_comment,
    STATE(6216), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5068), 1,
      sym_comment,
    ACTIONS(3538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172423] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5069), 1,
      sym_comment,
    ACTIONS(3538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5070), 1,
      sym_comment,
    ACTIONS(2271), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5071), 1,
      sym_comment,
    ACTIONS(3540), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172474] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5072), 1,
      sym_comment,
    ACTIONS(3542), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172491] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5073), 1,
      sym_comment,
    ACTIONS(3538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172508] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5074), 1,
      sym_comment,
    ACTIONS(3538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172525] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5075), 1,
      sym_comment,
    ACTIONS(3544), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172542] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5076), 1,
      sym_comment,
    ACTIONS(5460), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [172559] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5077), 1,
      sym_comment,
    ACTIONS(5468), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [172576] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7962), 1,
      anon_sym_extends,
    ACTIONS(8081), 1,
      anon_sym_LBRACE,
    ACTIONS(8083), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1257), 1,
      sym_object_type,
    STATE(5078), 1,
      sym_comment,
    STATE(5895), 1,
      sym_extends_type_clause,
  [172601] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5079), 1,
      sym_comment,
    ACTIONS(8725), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172618] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5080), 1,
      sym_comment,
    STATE(5359), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [172643] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8727), 1,
      anon_sym_class,
    ACTIONS(8729), 1,
      anon_sym_abstract,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5081), 1,
      sym_comment,
    STATE(5594), 1,
      sym_decorator,
  [172668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5082), 1,
      sym_comment,
    ACTIONS(3546), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172685] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5083), 1,
      sym_comment,
    STATE(6232), 1,
      sym__initializer,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172706] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5084), 1,
      sym_comment,
    ACTIONS(3562), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172723] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5085), 1,
      sym_comment,
    ACTIONS(5650), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [172740] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5086), 1,
      sym_comment,
    ACTIONS(5654), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [172757] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5087), 1,
      sym_comment,
    ACTIONS(6283), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [172774] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5088), 1,
      sym_comment,
    STATE(5340), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [172799] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5089), 1,
      sym_comment,
    STATE(6235), 1,
      sym__initializer,
    ACTIONS(8733), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172820] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5090), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7023), 1,
      sym__call_signature,
  [172845] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5091), 1,
      sym_comment,
    ACTIONS(8735), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172868] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(8739), 1,
      anon_sym_as,
    ACTIONS(8741), 1,
      anon_sym_RBRACK,
    STATE(5092), 1,
      sym_comment,
  [172893] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5093), 1,
      sym_comment,
    STATE(5931), 1,
      sym__initializer,
    ACTIONS(8697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172914] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5094), 1,
      sym_comment,
    ACTIONS(8743), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172931] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4900), 1,
      sym__call_signature,
    STATE(5095), 1,
      sym_comment,
    STATE(6963), 1,
      sym_type_parameters,
  [172956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5096), 1,
      sym_comment,
    ACTIONS(3420), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172973] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5097), 1,
      sym_comment,
    ACTIONS(3424), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172990] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5098), 1,
      sym_comment,
    ACTIONS(2347), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173007] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    STATE(5099), 1,
      sym_comment,
    ACTIONS(8745), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [173030] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5100), 1,
      sym_comment,
    STATE(6239), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173051] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5101), 1,
      sym_comment,
    STATE(6240), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173072] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5102), 1,
      sym_comment,
    ACTIONS(2329), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173089] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5103), 1,
      sym_comment,
    ACTIONS(2333), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173106] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5104), 1,
      sym_comment,
    ACTIONS(3428), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173123] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5105), 1,
      sym_comment,
    ACTIONS(8503), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173140] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5106), 1,
      sym_comment,
    STATE(6298), 1,
      sym__initializer,
    ACTIONS(8749), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173161] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5107), 1,
      sym_comment,
    STATE(6474), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [173186] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8715), 1,
      anon_sym_SEMI,
    ACTIONS(8717), 1,
      sym__automatic_semicolon,
    ACTIONS(8719), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8751), 1,
      anon_sym_LBRACE,
    STATE(971), 1,
      sym_statement_block,
    STATE(5108), 1,
      sym_comment,
  [173211] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5109), 1,
      sym_comment,
    STATE(6300), 1,
      sym__initializer,
    ACTIONS(8753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173232] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7588), 1,
      anon_sym_DOT,
    STATE(4441), 1,
      sym_arguments,
    STATE(5110), 1,
      sym_comment,
    ACTIONS(8755), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [173255] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5111), 1,
      sym_comment,
    ACTIONS(6207), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [173272] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5112), 1,
      sym_comment,
    ACTIONS(8291), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [173289] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5113), 1,
      sym_comment,
    ACTIONS(6207), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [173306] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5114), 1,
      sym_comment,
    STATE(6241), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173327] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5115), 1,
      sym_comment,
    ACTIONS(6207), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [173344] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5116), 1,
      sym_comment,
    STATE(6242), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173365] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5117), 1,
      sym_comment,
    STATE(6315), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
  [173390] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5118), 1,
      sym_comment,
    ACTIONS(8757), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173413] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5119), 1,
      sym_comment,
    STATE(5294), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [173438] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5120), 1,
      sym_comment,
    ACTIONS(8759), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173455] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5121), 1,
      sym_comment,
    STATE(6248), 1,
      sym__initializer,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173476] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5122), 1,
      sym_comment,
    STATE(6249), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173497] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5123), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7013), 1,
      sym__call_signature,
  [173522] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5124), 1,
      sym_comment,
    STATE(6251), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173543] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5125), 1,
      sym_comment,
    ACTIONS(6480), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [173560] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8373), 1,
      anon_sym_COLON,
    ACTIONS(8763), 1,
      anon_sym_EQ_GT,
    STATE(5126), 1,
      sym_comment,
    STATE(6501), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [173581] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5127), 1,
      sym_comment,
    ACTIONS(3436), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173598] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5128), 1,
      sym_comment,
    STATE(6252), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173619] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5129), 1,
      sym_comment,
    STATE(6253), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173640] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5130), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6904), 1,
      sym__call_signature,
  [173665] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5131), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6883), 1,
      sym__call_signature,
  [173690] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5132), 1,
      sym_comment,
    STATE(5997), 1,
      sym__initializer,
    ACTIONS(8766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173711] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5133), 1,
      sym_comment,
    STATE(5475), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [173736] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5134), 1,
      sym_comment,
    ACTIONS(3442), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5135), 1,
      sym_comment,
    ACTIONS(3524), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5136), 1,
      sym_comment,
    ACTIONS(3520), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173787] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5137), 1,
      sym_comment,
    ACTIONS(5578), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [173804] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5138), 1,
      sym_comment,
    STATE(6254), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173825] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5139), 1,
      sym_comment,
    ACTIONS(3444), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173842] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5140), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6824), 1,
      sym__call_signature,
  [173867] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5141), 1,
      sym_comment,
    STATE(5183), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [173892] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5142), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6769), 1,
      sym__call_signature,
  [173917] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8703), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8705), 1,
      sym__template_chars,
    ACTIONS(8768), 1,
      anon_sym_BQUOTE,
    STATE(5143), 1,
      sym_comment,
    STATE(5390), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5950), 1,
      sym_template_type,
  [173942] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5144), 1,
      sym_comment,
    STATE(6400), 1,
      sym__initializer,
    ACTIONS(8770), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173963] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5145), 1,
      sym_comment,
    STATE(5150), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [173988] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8673), 1,
      anon_sym_abstract,
    ACTIONS(8772), 1,
      anon_sym_class,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5146), 1,
      sym_comment,
    STATE(5594), 1,
      sym_decorator,
  [174013] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5147), 1,
      sym_comment,
    STATE(6255), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174034] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5108), 1,
      sym__call_signature,
    STATE(5148), 1,
      sym_comment,
    STATE(6963), 1,
      sym_type_parameters,
  [174059] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8635), 1,
      anon_sym_class,
    ACTIONS(8637), 1,
      anon_sym_abstract,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5149), 1,
      sym_comment,
    STATE(5594), 1,
      sym_decorator,
  [174084] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8713), 1,
      anon_sym_LBRACE,
    ACTIONS(8774), 1,
      anon_sym_SEMI,
    ACTIONS(8776), 1,
      sym__automatic_semicolon,
    ACTIONS(8778), 1,
      sym__function_signature_automatic_semicolon,
    STATE(362), 1,
      sym_statement_block,
    STATE(5150), 1,
      sym_comment,
  [174109] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5151), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7039), 1,
      sym__call_signature,
  [174134] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5152), 1,
      sym_comment,
    STATE(6380), 1,
      sym__initializer,
    ACTIONS(8770), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174155] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5057), 1,
      sym__call_signature,
    STATE(5153), 1,
      sym_comment,
    STATE(6963), 1,
      sym_type_parameters,
  [174180] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5154), 1,
      sym_comment,
    STATE(6266), 1,
      sym__initializer,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174201] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5155), 1,
      sym_comment,
    ACTIONS(3446), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5156), 1,
      sym_comment,
    ACTIONS(3448), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174235] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5157), 1,
      sym_comment,
    STATE(6276), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174256] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5158), 1,
      sym_comment,
    ACTIONS(3514), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174273] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5159), 1,
      sym_comment,
    ACTIONS(5886), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [174290] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5160), 1,
      sym_comment,
    STATE(6267), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174311] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5161), 1,
      sym_comment,
    STATE(6278), 1,
      sym__initializer,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174332] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5162), 1,
      sym_comment,
    STATE(6291), 1,
      sym__initializer,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174353] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5163), 1,
      sym_comment,
    STATE(6293), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174374] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5164), 1,
      sym_comment,
    STATE(6294), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174395] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5165), 1,
      sym_comment,
    STATE(6303), 1,
      sym__initializer,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174416] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5166), 1,
      sym_comment,
    STATE(6305), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174437] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8097), 1,
      anon_sym_EQ,
    ACTIONS(8780), 1,
      anon_sym_COMMA,
    ACTIONS(8782), 1,
      anon_sym_RBRACE,
    STATE(5167), 1,
      sym_comment,
    STATE(5943), 1,
      aux_sym_enum_body_repeat1,
    STATE(6927), 1,
      sym__initializer,
  [174462] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5168), 1,
      sym_comment,
    STATE(6307), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174483] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5169), 1,
      sym_comment,
    STATE(6316), 1,
      sym__initializer,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5170), 1,
      sym_comment,
    ACTIONS(3512), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174521] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5171), 1,
      sym_comment,
    STATE(6320), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174542] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5172), 1,
      sym_comment,
    STATE(6515), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [174567] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5173), 1,
      sym_comment,
    STATE(6513), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [174592] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5174), 1,
      sym_comment,
    ACTIONS(3450), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174609] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5175), 1,
      sym_comment,
    ACTIONS(5483), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [174626] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5176), 1,
      sym_comment,
    STATE(6322), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174647] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5177), 1,
      sym_comment,
    STATE(6324), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174668] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5178), 1,
      sym_comment,
    STATE(6332), 1,
      sym__initializer,
    ACTIONS(8770), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174689] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5179), 1,
      sym_comment,
    STATE(6327), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174710] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5180), 1,
      sym_comment,
    STATE(6331), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174731] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5181), 1,
      sym_comment,
    STATE(5777), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
  [174756] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5182), 1,
      sym_comment,
    STATE(6335), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174777] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8751), 1,
      anon_sym_LBRACE,
    ACTIONS(8774), 1,
      anon_sym_SEMI,
    ACTIONS(8776), 1,
      sym__automatic_semicolon,
    ACTIONS(8778), 1,
      sym__function_signature_automatic_semicolon,
    STATE(975), 1,
      sym_statement_block,
    STATE(5183), 1,
      sym_comment,
  [174802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5184), 1,
      sym_comment,
    ACTIONS(2391), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174819] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5185), 1,
      sym_comment,
    ACTIONS(8784), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5186), 1,
      sym_comment,
    ACTIONS(3492), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174859] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5187), 1,
      sym_comment,
    STATE(6486), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [174884] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5188), 1,
      sym_comment,
    STATE(6215), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174905] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8786), 1,
      sym_identifier,
    ACTIONS(8788), 1,
      anon_sym_GT,
    ACTIONS(8790), 1,
      sym_jsx_identifier,
    STATE(5189), 1,
      sym_comment,
    STATE(6991), 1,
      sym_nested_identifier,
    STATE(7249), 1,
      sym_jsx_namespace_name,
  [174930] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5190), 1,
      sym_comment,
    ACTIONS(5331), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [174947] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5191), 1,
      sym_comment,
    STATE(6347), 1,
      sym__initializer,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174968] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5192), 1,
      sym_comment,
    ACTIONS(2391), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174985] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5193), 1,
      sym_comment,
    ACTIONS(5327), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [175002] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8663), 1,
      anon_sym_abstract,
    ACTIONS(8792), 1,
      anon_sym_class,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5194), 1,
      sym_comment,
    STATE(5594), 1,
      sym_decorator,
  [175027] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5195), 1,
      sym_comment,
    STATE(6006), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175048] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5196), 1,
      sym_comment,
    STATE(6275), 1,
      sym__initializer,
    ACTIONS(8770), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175069] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5197), 1,
      sym_comment,
    STATE(6352), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175090] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5198), 1,
      sym_comment,
    STATE(6272), 1,
      sym__initializer,
    ACTIONS(8794), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175111] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5199), 1,
      sym_comment,
    ACTIONS(3456), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5200), 1,
      sym_comment,
    ACTIONS(3460), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175145] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(8687), 1,
      sym_identifier,
    STATE(5201), 1,
      sym_comment,
    STATE(5720), 1,
      sym_string,
    STATE(7429), 1,
      sym__module_export_name,
  [175170] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5202), 1,
      sym_comment,
    STATE(6269), 1,
      sym__initializer,
    ACTIONS(8794), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175191] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5203), 1,
      sym_comment,
    ACTIONS(8796), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [175208] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5204), 1,
      sym_comment,
    STATE(6012), 1,
      sym__initializer,
    ACTIONS(8770), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175229] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5205), 1,
      sym_comment,
    STATE(6355), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175250] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8377), 1,
      anon_sym_class,
    ACTIONS(8379), 1,
      anon_sym_abstract,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5206), 1,
      sym_comment,
    STATE(5594), 1,
      sym_decorator,
  [175275] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5207), 1,
      sym_comment,
    STATE(5986), 1,
      sym__initializer,
    ACTIONS(8770), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175296] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5208), 1,
      sym_comment,
    ACTIONS(8798), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [175319] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5209), 1,
      sym_comment,
    STATE(6357), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175340] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5210), 1,
      sym_comment,
    STATE(6008), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175361] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5211), 1,
      sym_comment,
    STATE(6359), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175382] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(8687), 1,
      sym_identifier,
    STATE(5212), 1,
      sym_comment,
    STATE(5720), 1,
      sym_string,
    STATE(6223), 1,
      sym__module_export_name,
  [175407] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5213), 1,
      sym_comment,
    STATE(5263), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
  [175432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5214), 1,
      sym_comment,
    ACTIONS(8507), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175449] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5215), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6716), 1,
      sym__call_signature,
  [175474] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5216), 1,
      sym_comment,
    ACTIONS(2357), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175491] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5217), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6712), 1,
      sym__call_signature,
  [175516] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5218), 1,
      sym_comment,
    STATE(6214), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175537] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5219), 1,
      sym_comment,
    ACTIONS(8106), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175554] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8729), 1,
      anon_sym_abstract,
    ACTIONS(8800), 1,
      anon_sym_class,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5220), 1,
      sym_comment,
    STATE(5594), 1,
      sym_decorator,
  [175579] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5221), 1,
      sym_comment,
    ACTIONS(8505), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175596] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5222), 1,
      sym_comment,
    ACTIONS(8319), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [175613] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5223), 1,
      sym_comment,
    STATE(6212), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5224), 1,
      sym_comment,
    ACTIONS(3464), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175651] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5225), 1,
      sym_comment,
    STATE(6014), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5226), 1,
      sym_comment,
    ACTIONS(8804), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5227), 1,
      sym_comment,
    ACTIONS(8106), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175706] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5228), 1,
      sym_comment,
    ACTIONS(8806), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175723] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5229), 1,
      sym_comment,
    STATE(6363), 1,
      sym__initializer,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175744] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5230), 1,
      sym_comment,
    STATE(5485), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [175769] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5231), 1,
      sym_comment,
    STATE(6211), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175790] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5232), 1,
      sym_comment,
    ACTIONS(3466), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175807] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5233), 1,
      sym_comment,
    ACTIONS(3468), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5234), 1,
      sym_comment,
    ACTIONS(3470), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175841] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5235), 1,
      sym_comment,
    STATE(6498), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [175866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5236), 1,
      sym_comment,
    ACTIONS(8108), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175883] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6709), 1,
      sym__call_signature,
  [175908] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5238), 1,
      sym_comment,
    STATE(6365), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175929] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5239), 1,
      sym_comment,
    ACTIONS(8808), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175946] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5240), 1,
      sym_comment,
    STATE(6367), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175967] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5241), 1,
      sym_comment,
    STATE(6406), 1,
      sym__initializer,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5242), 1,
      sym_comment,
    ACTIONS(3474), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176005] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5243), 1,
      sym_comment,
    STATE(6673), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [176030] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5244), 1,
      sym_comment,
    STATE(6421), 1,
      sym__initializer,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176051] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5245), 1,
      sym_comment,
    STATE(6422), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176072] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5246), 1,
      sym_comment,
    STATE(6592), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [176097] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5247), 1,
      sym_comment,
    STATE(5959), 1,
      sym__initializer,
    ACTIONS(8697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176118] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5248), 1,
      sym_comment,
    STATE(6017), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176139] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5249), 1,
      sym_comment,
    STATE(5968), 1,
      sym__initializer,
    ACTIONS(8697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176160] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5250), 1,
      sym_comment,
    STATE(6584), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [176185] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5251), 1,
      sym_comment,
    STATE(5975), 1,
      sym__initializer,
    ACTIONS(8679), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176206] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5252), 1,
      sym_comment,
    STATE(5980), 1,
      sym__initializer,
    ACTIONS(8679), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176227] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5253), 1,
      sym_comment,
    ACTIONS(8810), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [176250] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5254), 1,
      sym_comment,
    STATE(6581), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [176275] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5255), 1,
      sym_comment,
    STATE(5287), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [176300] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5256), 1,
      sym_comment,
    STATE(6555), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [176325] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5257), 1,
      sym_comment,
    ACTIONS(8812), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [176342] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5258), 1,
      sym_comment,
    STATE(6423), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176363] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5259), 1,
      sym_comment,
    STATE(6429), 1,
      sym__initializer,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176384] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5260), 1,
      sym_comment,
    STATE(6476), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [176409] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5261), 1,
      sym_comment,
    STATE(6478), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [176434] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5262), 1,
      sym_comment,
    STATE(6189), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176455] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5263), 1,
      sym_comment,
    ACTIONS(8110), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176472] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5264), 1,
      sym_comment,
    STATE(6482), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [176497] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5265), 1,
      sym_comment,
    STATE(6503), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [176522] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5266), 1,
      sym_comment,
    STATE(5514), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [176547] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8703), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8705), 1,
      sym__template_chars,
    ACTIONS(8814), 1,
      anon_sym_BQUOTE,
    STATE(5267), 1,
      sym_comment,
    STATE(5390), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5950), 1,
      sym_template_type,
  [176572] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5268), 1,
      sym_comment,
    STATE(5470), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [176597] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5269), 1,
      sym_comment,
    STATE(6430), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176618] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5270), 1,
      sym_comment,
    STATE(6443), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176639] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5013), 1,
      sym__call_signature,
    STATE(5271), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
  [176664] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5272), 1,
      sym_comment,
    STATE(6580), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [176689] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5273), 1,
      sym_comment,
    STATE(5476), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [176714] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8373), 1,
      anon_sym_COLON,
    ACTIONS(8816), 1,
      anon_sym_EQ_GT,
    STATE(5274), 1,
      sym_comment,
    STATE(6501), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [176735] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2221), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5072), 1,
      anon_sym_LBRACE,
    STATE(5275), 1,
      sym_comment,
    ACTIONS(5074), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [176756] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5276), 1,
      sym_comment,
    STATE(5948), 1,
      sym__initializer,
    ACTIONS(8679), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176777] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5277), 1,
      sym_comment,
    STATE(6599), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [176802] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5072), 1,
      anon_sym_LBRACE,
    STATE(5278), 1,
      sym_comment,
    ACTIONS(5074), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [176823] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5279), 1,
      sym_comment,
    STATE(5461), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [176848] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym_comment,
    STATE(6619), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [176873] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5281), 1,
      sym_comment,
    STATE(6646), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [176898] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5282), 1,
      sym_comment,
    STATE(5917), 1,
      sym__initializer,
    ACTIONS(8697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176919] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5283), 1,
      sym_comment,
    ACTIONS(8819), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [176936] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5284), 1,
      sym_comment,
    STATE(6454), 1,
      sym__initializer,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176957] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5285), 1,
      sym_comment,
    STATE(5441), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [176982] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8553), 1,
      anon_sym_class,
    ACTIONS(8555), 1,
      anon_sym_abstract,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5286), 1,
      sym_comment,
    STATE(5594), 1,
      sym_decorator,
  [177007] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8689), 1,
      anon_sym_LBRACE,
    ACTIONS(8821), 1,
      anon_sym_SEMI,
    ACTIONS(8823), 1,
      sym__automatic_semicolon,
    ACTIONS(8825), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1208), 1,
      sym_statement_block,
    STATE(5287), 1,
      sym_comment,
  [177032] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5288), 1,
      sym_comment,
    STATE(6495), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [177057] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5003), 1,
      sym__call_signature,
    STATE(5289), 1,
      sym_comment,
    STATE(6963), 1,
      sym_type_parameters,
  [177082] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5290), 1,
      sym_comment,
    STATE(6626), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [177107] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    ACTIONS(8827), 1,
      anon_sym_DOT,
    STATE(5291), 1,
      sym_comment,
    STATE(6969), 1,
      sym_statement_block,
    ACTIONS(2073), 2,
      anon_sym_else,
      anon_sym_while,
  [177130] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5292), 1,
      sym_comment,
    STATE(6638), 1,
      sym__call_signature,
    STATE(6699), 1,
      sym_type_parameters,
  [177155] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5293), 1,
      sym_comment,
    STATE(6457), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177176] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8821), 1,
      anon_sym_SEMI,
    ACTIONS(8823), 1,
      sym__automatic_semicolon,
    ACTIONS(8825), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8829), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_statement_block,
    STATE(5294), 1,
      sym_comment,
  [177201] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8373), 1,
      anon_sym_COLON,
    ACTIONS(8831), 1,
      anon_sym_EQ_GT,
    STATE(5295), 1,
      sym_comment,
    STATE(6989), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [177222] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    ACTIONS(8834), 1,
      anon_sym_DOT,
    STATE(5296), 1,
      sym_comment,
    STATE(6969), 1,
      sym_statement_block,
    ACTIONS(2073), 2,
      anon_sym_else,
      anon_sym_while,
  [177245] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5297), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6870), 1,
      sym__call_signature,
  [177270] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5298), 1,
      sym_comment,
    STATE(6458), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177291] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5299), 1,
      sym_comment,
    STATE(5336), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [177316] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5300), 1,
      sym_comment,
    ACTIONS(8836), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [177333] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5301), 1,
      sym_comment,
    ACTIONS(8838), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [177350] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8840), 1,
      sym_identifier,
    ACTIONS(8842), 1,
      anon_sym_GT,
    ACTIONS(8844), 1,
      sym_jsx_identifier,
    STATE(5302), 1,
      sym_comment,
    STATE(6964), 1,
      sym_nested_identifier,
    STATE(7276), 1,
      sym_jsx_namespace_name,
  [177375] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5303), 1,
      sym_comment,
    STATE(6371), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8846), 1,
      anon_sym_EQ,
    STATE(5304), 1,
      sym_comment,
    ACTIONS(4243), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [177415] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5305), 1,
      sym_comment,
    STATE(6463), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177436] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(5306), 1,
      sym_comment,
    STATE(5378), 1,
      sym__call_signature,
    STATE(6963), 1,
      sym_type_parameters,
  [177461] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5307), 1,
      sym_comment,
    STATE(6465), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177482] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5308), 1,
      sym_comment,
    ACTIONS(8848), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177499] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8852), 1,
      anon_sym_in,
    ACTIONS(8854), 1,
      anon_sym_of,
    STATE(5309), 1,
      sym_comment,
    ACTIONS(8850), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177520] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8856), 1,
      anon_sym_in,
    ACTIONS(8858), 1,
      anon_sym_of,
    STATE(5310), 1,
      sym_comment,
    ACTIONS(8850), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177541] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5311), 1,
      sym_comment,
    ACTIONS(8120), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177558] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5312), 1,
      sym_comment,
    STATE(5517), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
  [177583] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5313), 1,
      sym_comment,
    ACTIONS(8118), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177600] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5314), 1,
      sym_comment,
    ACTIONS(8860), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [177623] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(8687), 1,
      sym_identifier,
    STATE(5315), 1,
      sym_comment,
    STATE(5720), 1,
      sym_string,
    STATE(6922), 1,
      sym__module_export_name,
  [177648] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8862), 1,
      sym_identifier,
    ACTIONS(8864), 1,
      anon_sym_GT,
    ACTIONS(8866), 1,
      sym_jsx_identifier,
    STATE(5316), 1,
      sym_comment,
    STATE(6688), 1,
      sym_nested_identifier,
    STATE(7482), 1,
      sym_jsx_namespace_name,
  [177673] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5317), 1,
      sym_comment,
    ACTIONS(8868), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [177690] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8637), 1,
      anon_sym_abstract,
    ACTIONS(8870), 1,
      anon_sym_class,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5318), 1,
      sym_comment,
    STATE(5594), 1,
      sym_decorator,
  [177715] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5319), 1,
      sym_comment,
    ACTIONS(5854), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [177732] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8004), 1,
      anon_sym_LT,
    ACTIONS(8872), 1,
      anon_sym_LBRACE,
    STATE(5320), 1,
      sym_comment,
    STATE(5831), 1,
      sym_type_arguments,
    ACTIONS(8874), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [177755] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5321), 1,
      sym_comment,
    ACTIONS(8120), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177772] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5322), 1,
      sym_comment,
    ACTIONS(8876), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177789] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5323), 1,
      sym_comment,
    ACTIONS(8118), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177806] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5324), 1,
      sym_comment,
    ACTIONS(8878), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177823] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5325), 1,
      sym_comment,
    ACTIONS(5884), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [177840] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8703), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8705), 1,
      sym__template_chars,
    ACTIONS(8880), 1,
      anon_sym_BQUOTE,
    STATE(5326), 1,
      sym_comment,
    STATE(5364), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5950), 1,
      sym_template_type,
  [177865] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5327), 1,
      sym_comment,
    ACTIONS(8596), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177882] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5328), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6875), 1,
      sym__call_signature,
  [177907] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6389), 1,
      sym__automatic_semicolon,
    STATE(5329), 1,
      sym_comment,
    ACTIONS(2341), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177926] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5330), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7027), 1,
      sym__call_signature,
  [177951] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5331), 1,
      sym_comment,
    ACTIONS(8882), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177968] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5332), 1,
      sym_comment,
    ACTIONS(8884), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177985] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5333), 1,
      sym_comment,
    STATE(6207), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178006] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5334), 1,
      sym_comment,
    STATE(6448), 1,
      sym__initializer,
    ACTIONS(8886), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178027] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4840), 1,
      sym__call_signature,
    STATE(5335), 1,
      sym_comment,
    STATE(6963), 1,
      sym_type_parameters,
  [178052] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8691), 1,
      anon_sym_SEMI,
    ACTIONS(8693), 1,
      sym__automatic_semicolon,
    ACTIONS(8695), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8829), 1,
      anon_sym_LBRACE,
    STATE(438), 1,
      sym_statement_block,
    STATE(5336), 1,
      sym_comment,
  [178077] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5337), 1,
      sym_comment,
    STATE(6206), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178098] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7037), 1,
      sym__call_signature,
  [178123] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5339), 1,
      sym_comment,
    STATE(6445), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178144] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8888), 1,
      anon_sym_LBRACE,
    ACTIONS(8890), 1,
      anon_sym_SEMI,
    ACTIONS(8892), 1,
      sym__automatic_semicolon,
    ACTIONS(8894), 1,
      sym__function_signature_automatic_semicolon,
    STATE(371), 1,
      sym_statement_block,
    STATE(5340), 1,
      sym_comment,
  [178169] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6439), 1,
      sym__automatic_semicolon,
    STATE(5341), 1,
      sym_comment,
    ACTIONS(2317), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178188] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5342), 1,
      sym_comment,
    STATE(6442), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178209] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6441), 1,
      sym__automatic_semicolon,
    STATE(5343), 1,
      sym_comment,
    ACTIONS(2311), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178228] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5344), 1,
      sym_comment,
    ACTIONS(8112), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178245] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6377), 1,
      sym__automatic_semicolon,
    STATE(5345), 1,
      sym_comment,
    ACTIONS(2287), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5346), 1,
      sym_comment,
    ACTIONS(8896), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178281] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5347), 1,
      sym_comment,
    ACTIONS(8110), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178298] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4494), 1,
      anon_sym_COLON,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    ACTIONS(8898), 1,
      anon_sym_COMMA,
    ACTIONS(8900), 1,
      anon_sym_RBRACE,
    STATE(5348), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_object_pattern_repeat1,
  [178323] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5349), 1,
      sym_comment,
    ACTIONS(8902), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178340] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1344), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7962), 1,
      anon_sym_extends,
    ACTIONS(8018), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5029), 1,
      sym_object_type,
    STATE(5350), 1,
      sym_comment,
    STATE(6185), 1,
      sym_extends_type_clause,
  [178365] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5351), 1,
      sym_comment,
    STATE(6022), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178386] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5352), 1,
      sym_comment,
    ACTIONS(8904), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178403] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5353), 1,
      sym_comment,
    STATE(6440), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178424] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5354), 1,
      sym_comment,
    STATE(6205), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178445] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5355), 1,
      sym_comment,
    STATE(6027), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178466] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8671), 1,
      anon_sym_class,
    ACTIONS(8673), 1,
      anon_sym_abstract,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5356), 1,
      sym_comment,
    STATE(5594), 1,
      sym_decorator,
  [178491] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5357), 1,
      sym_comment,
    ACTIONS(8405), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178508] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8373), 1,
      anon_sym_COLON,
    ACTIONS(8906), 1,
      anon_sym_EQ_GT,
    STATE(5358), 1,
      sym_comment,
    STATE(6989), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [178529] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7934), 1,
      anon_sym_LBRACE,
    ACTIONS(8909), 1,
      anon_sym_SEMI,
    ACTIONS(8911), 1,
      sym__automatic_semicolon,
    ACTIONS(8913), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5345), 1,
      sym_statement_block,
    STATE(5359), 1,
      sym_comment,
  [178554] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5360), 1,
      sym_comment,
    STATE(6438), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178575] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5361), 1,
      sym_comment,
    ACTIONS(8915), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178598] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5362), 1,
      sym_comment,
    STATE(5988), 1,
      sym__initializer,
    ACTIONS(8917), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178619] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5363), 1,
      sym_comment,
    ACTIONS(6405), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [178636] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8703), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8705), 1,
      sym__template_chars,
    ACTIONS(8919), 1,
      anon_sym_BQUOTE,
    STATE(5364), 1,
      sym_comment,
    STATE(5390), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5950), 1,
      sym_template_type,
  [178661] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5365), 1,
      sym_comment,
    STATE(5908), 1,
      sym__initializer,
    ACTIONS(8697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178682] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5366), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(6736), 1,
      sym__call_signature,
  [178707] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5367), 1,
      sym_comment,
    STATE(6456), 1,
      sym__initializer,
    ACTIONS(8747), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178728] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8888), 1,
      anon_sym_LBRACE,
    ACTIONS(8921), 1,
      anon_sym_SEMI,
    ACTIONS(8923), 1,
      sym__automatic_semicolon,
    ACTIONS(8925), 1,
      sym__function_signature_automatic_semicolon,
    STATE(354), 1,
      sym_statement_block,
    STATE(5368), 1,
      sym_comment,
  [178753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5369), 1,
      sym_comment,
    ACTIONS(8112), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178770] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8097), 1,
      anon_sym_EQ,
    ACTIONS(8927), 1,
      anon_sym_COMMA,
    ACTIONS(8929), 1,
      anon_sym_RBRACE,
    STATE(5370), 1,
      sym_comment,
    STATE(6226), 1,
      aux_sym_enum_body_repeat1,
    STATE(6927), 1,
      sym__initializer,
  [178795] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8703), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8705), 1,
      sym__template_chars,
    ACTIONS(8931), 1,
      anon_sym_BQUOTE,
    STATE(5371), 1,
      sym_comment,
    STATE(5468), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5950), 1,
      sym_template_type,
  [178820] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4494), 1,
      anon_sym_COLON,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    ACTIONS(8898), 1,
      anon_sym_COMMA,
    ACTIONS(8933), 1,
      anon_sym_RBRACE,
    STATE(5372), 1,
      sym_comment,
    STATE(6236), 1,
      aux_sym_object_pattern_repeat1,
  [178845] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5373), 1,
      sym_comment,
    STATE(6040), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178866] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7934), 1,
      anon_sym_LBRACE,
    ACTIONS(8935), 1,
      anon_sym_SEMI,
    ACTIONS(8937), 1,
      sym__automatic_semicolon,
    ACTIONS(8939), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5343), 1,
      sym_statement_block,
    STATE(5374), 1,
      sym_comment,
  [178891] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5375), 1,
      sym_comment,
    STATE(6403), 1,
      sym__initializer,
    ACTIONS(8941), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178912] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5376), 1,
      sym_comment,
    ACTIONS(8943), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [178929] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5377), 1,
      sym_comment,
    ACTIONS(8945), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178952] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    ACTIONS(8947), 1,
      anon_sym_SEMI,
    ACTIONS(8949), 1,
      sym__automatic_semicolon,
    ACTIONS(8951), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3135), 1,
      sym_statement_block,
    STATE(5378), 1,
      sym_comment,
  [178977] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5379), 1,
      sym_comment,
    ACTIONS(5002), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [178994] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5380), 1,
      sym_comment,
    STATE(6199), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179015] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    STATE(5381), 1,
      sym_comment,
    ACTIONS(8953), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [179038] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5382), 1,
      sym_comment,
    STATE(6041), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179059] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5383), 1,
      sym_comment,
    STATE(6043), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5384), 1,
      sym_comment,
    ACTIONS(6277), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [179097] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5385), 1,
      sym_comment,
    ACTIONS(8955), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179120] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5386), 1,
      sym_comment,
    ACTIONS(8957), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [179137] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5387), 1,
      sym_comment,
    STATE(6397), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5388), 1,
      sym_comment,
    ACTIONS(3534), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179175] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5389), 1,
      sym_comment,
    STATE(6184), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179196] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8959), 1,
      anon_sym_BQUOTE,
    ACTIONS(8961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8964), 1,
      sym__template_chars,
    STATE(5950), 1,
      sym_template_type,
    STATE(5390), 2,
      sym_comment,
      aux_sym_template_literal_type_repeat1,
  [179219] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5391), 1,
      sym_comment,
    STATE(6396), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179240] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4816), 1,
      sym__call_signature,
    STATE(5392), 1,
      sym_comment,
    STATE(6963), 1,
      sym_type_parameters,
  [179265] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5393), 1,
      sym_comment,
    ACTIONS(6277), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [179282] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(210), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7962), 1,
      anon_sym_extends,
    ACTIONS(8030), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5394), 1,
      sym_comment,
    STATE(6412), 1,
      sym_extends_type_clause,
    STATE(6694), 1,
      sym_object_type,
  [179307] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8555), 1,
      anon_sym_abstract,
    ACTIONS(8967), 1,
      anon_sym_class,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5395), 1,
      sym_comment,
    STATE(5594), 1,
      sym_decorator,
  [179332] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8703), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8705), 1,
      sym__template_chars,
    ACTIONS(8969), 1,
      anon_sym_BQUOTE,
    STATE(5267), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5396), 1,
      sym_comment,
    STATE(5950), 1,
      sym_template_type,
  [179357] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7056), 1,
      anon_sym_LBRACK,
    ACTIONS(8971), 1,
      anon_sym_RBRACE,
    STATE(5397), 1,
      sym_comment,
    ACTIONS(4961), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [179378] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5398), 1,
      sym_comment,
    STATE(6066), 1,
      sym__initializer,
    ACTIONS(8973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179399] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5399), 1,
      sym_comment,
    STATE(6395), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179420] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5400), 1,
      sym_comment,
    STATE(6183), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179441] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5401), 1,
      sym_comment,
    STATE(5894), 1,
      sym__initializer,
    ACTIONS(8679), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179462] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5402), 1,
      sym_comment,
    STATE(6172), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179483] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5403), 1,
      sym_comment,
    STATE(5893), 1,
      sym__initializer,
    ACTIONS(8679), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179504] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5404), 1,
      sym_comment,
    STATE(6308), 1,
      sym__initializer,
    ACTIONS(8975), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179525] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5405), 1,
      sym_comment,
    STATE(6158), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179546] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5406), 1,
      sym_comment,
    STATE(6049), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179567] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5407), 1,
      sym_comment,
    STATE(6149), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179588] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    STATE(5408), 1,
      sym_comment,
    ACTIONS(8977), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [179611] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5409), 1,
      sym_comment,
    STATE(6148), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179632] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5410), 1,
      sym_comment,
    ACTIONS(5308), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [179649] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5411), 1,
      sym_comment,
    STATE(6144), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5412), 1,
      sym_comment,
    ACTIONS(3532), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179687] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5413), 1,
      sym_comment,
    STATE(5891), 1,
      sym__initializer,
    ACTIONS(8697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179708] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5414), 1,
      sym_comment,
    ACTIONS(8979), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179725] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5415), 1,
      sym_comment,
    STATE(5886), 1,
      sym__initializer,
    ACTIONS(8697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179746] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    STATE(5416), 1,
      sym_comment,
    ACTIONS(8981), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [179769] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4667), 1,
      sym__call_signature,
    STATE(5417), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
  [179794] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5418), 1,
      sym_comment,
    STATE(6108), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179815] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5419), 1,
      sym_comment,
    STATE(6196), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179836] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8373), 1,
      anon_sym_COLON,
    ACTIONS(8983), 1,
      anon_sym_EQ_GT,
    STATE(5420), 1,
      sym_comment,
    STATE(6989), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [179857] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5421), 1,
      sym_comment,
    STATE(6125), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179878] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5422), 1,
      sym_comment,
    STATE(5782), 1,
      sym__initializer,
    ACTIONS(8986), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179899] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5423), 1,
      sym_comment,
    STATE(6394), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179920] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5424), 1,
      sym_comment,
    STATE(6054), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179941] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5425), 1,
      sym_comment,
    STATE(6123), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179962] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4655), 1,
      sym__call_signature,
    STATE(5426), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
  [179987] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5427), 1,
      sym_comment,
    ACTIONS(8988), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180004] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5428), 1,
      sym_comment,
    STATE(6393), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180025] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5429), 1,
      sym_comment,
    ACTIONS(8079), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180042] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5430), 1,
      sym_comment,
    ACTIONS(8990), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180059] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5431), 1,
      sym_comment,
    ACTIONS(8992), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180076] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5432), 1,
      sym_comment,
    STATE(6387), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180097] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4650), 1,
      sym__call_signature,
    STATE(5433), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
  [180122] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5434), 1,
      sym_comment,
    STATE(5784), 1,
      sym__call_signature,
    STATE(7018), 1,
      sym_type_parameters,
  [180147] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5435), 1,
      sym_comment,
    ACTIONS(8994), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5436), 1,
      sym_comment,
    ACTIONS(8996), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [180181] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5437), 1,
      sym_comment,
    ACTIONS(6277), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [180198] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4978), 1,
      sym__call_signature,
    STATE(5438), 1,
      sym_comment,
    STATE(6963), 1,
      sym_type_parameters,
  [180223] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5439), 1,
      sym_comment,
    STATE(6055), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180244] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_formal_parameters,
    STATE(4974), 1,
      sym__call_signature,
    STATE(5440), 1,
      sym_comment,
    STATE(6963), 1,
      sym_type_parameters,
  [180269] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7934), 1,
      anon_sym_LBRACE,
    ACTIONS(8947), 1,
      anon_sym_SEMI,
    ACTIONS(8949), 1,
      sym__automatic_semicolon,
    ACTIONS(8951), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5441), 1,
      sym_comment,
    STATE(5916), 1,
      sym_statement_block,
  [180294] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4826), 1,
      sym_formal_parameters,
    STATE(5442), 1,
      sym_comment,
    STATE(6699), 1,
      sym_type_parameters,
    STATE(7016), 1,
      sym__call_signature,
  [180319] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5443), 1,
      sym_comment,
    ACTIONS(8998), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180342] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5444), 1,
      sym_comment,
    STATE(5875), 1,
      sym__initializer,
    ACTIONS(8697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180363] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5445), 1,
      sym_comment,
    ACTIONS(6029), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [180380] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5446), 1,
      sym_comment,
    STATE(6032), 1,
      sym__initializer,
    ACTIONS(9000), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180401] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4717), 1,
      sym__call_signature,
    STATE(5447), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
  [180426] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5448), 1,
      sym_comment,
    STATE(6386), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180447] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5449), 1,
      sym_comment,
    ACTIONS(9002), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180470] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5450), 1,
      sym_comment,
    STATE(6140), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180491] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5451), 1,
      sym_comment,
    ACTIONS(8144), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180508] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5452), 1,
      sym_comment,
    STATE(6383), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180529] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5453), 1,
      sym_comment,
    STATE(6056), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180550] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5454), 1,
      sym_comment,
    STATE(6020), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180571] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5455), 1,
      sym_comment,
    ACTIONS(9004), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180594] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5456), 1,
      sym_comment,
    ACTIONS(9006), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180617] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5417), 1,
      anon_sym_in,
    STATE(5457), 1,
      sym_comment,
    ACTIONS(6432), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [180636] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5458), 1,
      sym_comment,
    STATE(5799), 1,
      sym__initializer,
    ACTIONS(8697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180657] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5459), 1,
      sym_comment,
    STATE(6398), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180678] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5460), 1,
      sym_comment,
    STATE(6116), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180699] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9008), 1,
      anon_sym_LBRACE,
    ACTIONS(9010), 1,
      anon_sym_SEMI,
    ACTIONS(9012), 1,
      sym__automatic_semicolon,
    ACTIONS(9014), 1,
      sym__function_signature_automatic_semicolon,
    STATE(944), 1,
      sym_statement_block,
    STATE(5461), 1,
      sym_comment,
  [180724] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5462), 1,
      sym_comment,
    STATE(6323), 1,
      sym__initializer,
    ACTIONS(9016), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180745] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5463), 1,
      sym_comment,
    ACTIONS(8136), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180762] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5451), 1,
      sym__call_signature,
    STATE(5464), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
  [180787] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5465), 1,
      sym_comment,
    STATE(6375), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180808] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5466), 1,
      sym_comment,
    STATE(6374), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180829] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5467), 1,
      sym_comment,
    ACTIONS(6385), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [180846] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8703), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8705), 1,
      sym__template_chars,
    ACTIONS(9018), 1,
      anon_sym_BQUOTE,
    STATE(5390), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5468), 1,
      sym_comment,
    STATE(5950), 1,
      sym_template_type,
  [180871] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8097), 1,
      anon_sym_EQ,
    ACTIONS(9020), 1,
      anon_sym_COMMA,
    ACTIONS(9022), 1,
      anon_sym_RBRACE,
    STATE(5469), 1,
      sym_comment,
    STATE(6356), 1,
      aux_sym_enum_body_repeat1,
    STATE(6927), 1,
      sym__initializer,
  [180896] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_SEMI,
    ACTIONS(9012), 1,
      sym__automatic_semicolon,
    ACTIONS(9014), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(9024), 1,
      anon_sym_LBRACE,
    STATE(315), 1,
      sym_statement_block,
    STATE(5470), 1,
      sym_comment,
  [180921] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5471), 1,
      sym_comment,
    STATE(6115), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180942] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5472), 1,
      sym_comment,
    ACTIONS(9026), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180965] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5473), 1,
      sym_comment,
    STATE(6350), 1,
      sym__initializer,
    ACTIONS(8941), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180986] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5474), 1,
      sym_comment,
    STATE(5807), 1,
      sym__initializer,
    ACTIONS(8679), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181007] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9008), 1,
      anon_sym_LBRACE,
    ACTIONS(9028), 1,
      anon_sym_SEMI,
    ACTIONS(9030), 1,
      sym__automatic_semicolon,
    ACTIONS(9032), 1,
      sym__function_signature_automatic_semicolon,
    STATE(928), 1,
      sym_statement_block,
    STATE(5475), 1,
      sym_comment,
  [181032] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    ACTIONS(9034), 1,
      anon_sym_SEMI,
    ACTIONS(9036), 1,
      sym__automatic_semicolon,
    ACTIONS(9038), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3250), 1,
      sym_statement_block,
    STATE(5476), 1,
      sym_comment,
  [181057] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5477), 1,
      sym_comment,
    STATE(6349), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181078] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5478), 1,
      sym_comment,
    STATE(6003), 1,
      sym__initializer,
    ACTIONS(9040), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181099] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5479), 1,
      sym_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181116] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5480), 1,
      sym_comment,
    STATE(5808), 1,
      sym__initializer,
    ACTIONS(8679), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181137] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5481), 1,
      sym_comment,
    STATE(6114), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181158] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5482), 1,
      sym_comment,
    STATE(6348), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181179] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7962), 1,
      anon_sym_extends,
    ACTIONS(7980), 1,
      anon_sym_LBRACE,
    ACTIONS(7982), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1114), 1,
      sym_object_type,
    STATE(5483), 1,
      sym_comment,
    STATE(6378), 1,
      sym_extends_type_clause,
  [181204] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5484), 1,
      sym_comment,
    STATE(6321), 1,
      sym__initializer,
    ACTIONS(9016), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181225] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9024), 1,
      anon_sym_LBRACE,
    ACTIONS(9028), 1,
      anon_sym_SEMI,
    ACTIONS(9030), 1,
      sym__automatic_semicolon,
    ACTIONS(9032), 1,
      sym__function_signature_automatic_semicolon,
    STATE(311), 1,
      sym_statement_block,
    STATE(5485), 1,
      sym_comment,
  [181250] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5486), 1,
      sym_comment,
    STATE(5821), 1,
      sym__initializer,
    ACTIONS(8697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181271] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5487), 1,
      sym_comment,
    STATE(6346), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181292] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8097), 1,
      anon_sym_EQ,
    ACTIONS(9042), 1,
      anon_sym_COMMA,
    ACTIONS(9044), 1,
      anon_sym_RBRACE,
    STATE(5488), 1,
      sym_comment,
    STATE(6417), 1,
      aux_sym_enum_body_repeat1,
    STATE(6927), 1,
      sym__initializer,
  [181317] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5489), 1,
      sym_comment,
    STATE(6345), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181338] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5490), 1,
      sym_comment,
    ACTIONS(2217), 5,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_GT,
      anon_sym_DOT,
  [181355] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5491), 1,
      sym_comment,
    STATE(5860), 1,
      sym__initializer,
    ACTIONS(8679), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5492), 1,
      sym_comment,
    ACTIONS(2221), 5,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_GT,
      anon_sym_DOT,
  [181393] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5493), 1,
      sym_comment,
    STATE(6343), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181414] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5494), 1,
      sym_comment,
    STATE(6341), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181435] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4640), 1,
      sym__call_signature,
    STATE(5495), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
  [181460] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5496), 1,
      sym_comment,
    STATE(6070), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181481] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8703), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8705), 1,
      sym__template_chars,
    ACTIONS(9046), 1,
      anon_sym_BQUOTE,
    STATE(5497), 1,
      sym_comment,
    STATE(5541), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5950), 1,
      sym_template_type,
  [181506] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    ACTIONS(8909), 1,
      anon_sym_SEMI,
    ACTIONS(8911), 1,
      sym__automatic_semicolon,
    ACTIONS(8913), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3173), 1,
      sym_statement_block,
    STATE(5498), 1,
      sym_comment,
  [181531] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7958), 1,
      anon_sym_LBRACE,
    ACTIONS(7962), 1,
      anon_sym_extends,
    ACTIONS(7964), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1288), 1,
      sym_object_type,
    STATE(5499), 1,
      sym_comment,
    STATE(6432), 1,
      sym_extends_type_clause,
  [181556] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5500), 1,
      sym_comment,
    STATE(5824), 1,
      sym__initializer,
    ACTIONS(8697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181577] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5501), 1,
      sym_comment,
    STATE(6113), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181598] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8373), 1,
      anon_sym_COLON,
    ACTIONS(9048), 1,
      anon_sym_EQ_GT,
    STATE(5502), 1,
      sym_comment,
    STATE(6989), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [181619] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5503), 1,
      sym_comment,
    STATE(6338), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181640] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8373), 1,
      anon_sym_COLON,
    ACTIONS(9051), 1,
      anon_sym_EQ_GT,
    STATE(5504), 1,
      sym_comment,
    STATE(6501), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [181661] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5505), 1,
      sym_comment,
    STATE(5826), 1,
      sym__initializer,
    ACTIONS(8679), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181682] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5506), 1,
      sym_comment,
    STATE(6112), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181703] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5507), 1,
      sym_comment,
    STATE(6072), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181724] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8890), 1,
      anon_sym_SEMI,
    ACTIONS(8892), 1,
      sym__automatic_semicolon,
    ACTIONS(8894), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(9054), 1,
      anon_sym_LBRACE,
    STATE(1001), 1,
      sym_statement_block,
    STATE(5508), 1,
      sym_comment,
  [181749] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5509), 1,
      sym_comment,
    STATE(6337), 1,
      sym__initializer,
    ACTIONS(8677), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181770] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5510), 1,
      sym_comment,
    STATE(6238), 1,
      sym__initializer,
    ACTIONS(9016), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181791] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8373), 1,
      anon_sym_COLON,
    ACTIONS(9056), 1,
      anon_sym_EQ_GT,
    STATE(5511), 1,
      sym_comment,
    STATE(6501), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [181812] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5512), 1,
      sym_comment,
    STATE(5827), 1,
      sym__initializer,
    ACTIONS(8679), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181833] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5513), 1,
      sym_comment,
    ACTIONS(9059), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181856] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7934), 1,
      anon_sym_LBRACE,
    ACTIONS(9034), 1,
      anon_sym_SEMI,
    ACTIONS(9036), 1,
      sym__automatic_semicolon,
    ACTIONS(9038), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5514), 1,
      sym_comment,
    STATE(6099), 1,
      sym_statement_block,
  [181881] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5515), 1,
      sym_comment,
    STATE(5859), 1,
      sym__initializer,
    ACTIONS(8679), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181902] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    STATE(5516), 1,
      sym_comment,
    STATE(6823), 1,
      sym_type_annotation,
    ACTIONS(4260), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [181923] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5517), 1,
      sym_comment,
    ACTIONS(8122), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181940] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5518), 1,
      sym_comment,
    ACTIONS(9061), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181963] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5519), 1,
      sym_comment,
    ACTIONS(9063), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181986] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5520), 1,
      sym_comment,
    STATE(5858), 1,
      sym__initializer,
    ACTIONS(8697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182007] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(5479), 1,
      sym__call_signature,
    STATE(5521), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
  [182032] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5522), 1,
      sym_comment,
    ACTIONS(8124), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182049] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5523), 1,
      sym_comment,
    STATE(5850), 1,
      sym__initializer,
    ACTIONS(8697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182070] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5524), 1,
      sym_comment,
    ACTIONS(3484), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182087] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5525), 1,
      sym_comment,
    STATE(6098), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182108] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5526), 1,
      sym_comment,
    ACTIONS(8122), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182125] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8097), 1,
      anon_sym_EQ,
    ACTIONS(9065), 1,
      anon_sym_COMMA,
    ACTIONS(9067), 1,
      anon_sym_RBRACE,
    STATE(5527), 1,
      sym_comment,
    STATE(5982), 1,
      aux_sym_enum_body_repeat1,
    STATE(6927), 1,
      sym__initializer,
  [182150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5528), 1,
      sym_comment,
    ACTIONS(9069), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182167] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_formal_parameters,
    STATE(4631), 1,
      sym__call_signature,
    STATE(5529), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
  [182192] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5530), 1,
      sym_comment,
    STATE(6097), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182213] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5531), 1,
      sym_comment,
    STATE(6048), 1,
      sym__initializer,
    ACTIONS(9071), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182234] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5532), 1,
      sym_comment,
    STATE(5832), 1,
      sym__initializer,
    ACTIONS(8697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182255] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5533), 1,
      sym_comment,
    STATE(6096), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182276] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5534), 1,
      sym_comment,
    ACTIONS(9073), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182299] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8921), 1,
      anon_sym_SEMI,
    ACTIONS(8923), 1,
      sym__automatic_semicolon,
    ACTIONS(8925), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(9054), 1,
      anon_sym_LBRACE,
    STATE(1002), 1,
      sym_statement_block,
    STATE(5535), 1,
      sym_comment,
  [182324] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5536), 1,
      sym_comment,
    STATE(6090), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182345] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8097), 1,
      anon_sym_EQ,
    ACTIONS(9075), 1,
      anon_sym_COMMA,
    ACTIONS(9077), 1,
      anon_sym_RBRACE,
    STATE(5537), 1,
      sym_comment,
    STATE(6469), 1,
      aux_sym_enum_body_repeat1,
    STATE(6927), 1,
      sym__initializer,
  [182370] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5538), 1,
      sym_comment,
    STATE(6083), 1,
      sym__initializer,
    ACTIONS(8802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182391] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5539), 1,
      sym_comment,
    STATE(6328), 1,
      sym__initializer,
    ACTIONS(9016), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182412] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    ACTIONS(8935), 1,
      anon_sym_SEMI,
    ACTIONS(8937), 1,
      sym__automatic_semicolon,
    ACTIONS(8939), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3261), 1,
      sym_statement_block,
    STATE(5540), 1,
      sym_comment,
  [182437] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8703), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8705), 1,
      sym__template_chars,
    ACTIONS(9079), 1,
      anon_sym_BQUOTE,
    STATE(5390), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5541), 1,
      sym_comment,
    STATE(5950), 1,
      sym_template_type,
  [182462] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8379), 1,
      anon_sym_abstract,
    ACTIONS(9081), 1,
      anon_sym_class,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5542), 1,
      sym_comment,
    STATE(5594), 1,
      sym_decorator,
  [182487] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5543), 1,
      sym_comment,
    ACTIONS(3486), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182504] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7130), 1,
      anon_sym_EQ,
    STATE(5544), 1,
      sym_comment,
    STATE(6074), 1,
      sym__initializer,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182525] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    ACTIONS(9085), 1,
      anon_sym_SEMI,
    ACTIONS(9087), 1,
      sym__automatic_semicolon,
    STATE(5545), 1,
      sym_comment,
    STATE(6623), 1,
      sym_import_attribute,
  [182547] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9089), 1,
      anon_sym_SQUOTE,
    STATE(5546), 1,
      sym_comment,
    STATE(5551), 1,
      aux_sym_string_repeat2,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [182567] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9093), 1,
      anon_sym_RBRACK,
    STATE(5547), 1,
      sym_comment,
  [182589] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8000), 1,
      anon_sym_COMMA,
    ACTIONS(8423), 1,
      anon_sym_LBRACE,
    ACTIONS(8425), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5548), 1,
      sym_comment,
    STATE(5719), 1,
      aux_sym_extends_type_clause_repeat1,
  [182611] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9095), 1,
      anon_sym_RBRACK,
    STATE(5549), 1,
      sym_comment,
  [182633] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    ACTIONS(9097), 1,
      anon_sym_SEMI,
    ACTIONS(9099), 1,
      sym__automatic_semicolon,
    STATE(5550), 1,
      sym_comment,
    STATE(6522), 1,
      sym_import_attribute,
  [182655] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9101), 1,
      anon_sym_SQUOTE,
    ACTIONS(9103), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
    STATE(5551), 2,
      sym_comment,
      aux_sym_string_repeat2,
  [182673] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9106), 1,
      anon_sym_DQUOTE,
    ACTIONS(9108), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
    STATE(5552), 2,
      sym_comment,
      aux_sym_string_repeat1,
  [182691] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8097), 1,
      anon_sym_EQ,
    STATE(5553), 1,
      sym_comment,
    STATE(7130), 1,
      sym__initializer,
    ACTIONS(9111), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [182711] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9113), 1,
      anon_sym_COLON,
    STATE(5554), 1,
      sym_comment,
  [182733] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(5833), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(5555), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [182751] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9118), 1,
      anon_sym_DQUOTE,
    STATE(5556), 1,
      sym_comment,
    STATE(5563), 1,
      aux_sym_string_repeat1,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [182771] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5557), 1,
      sym_comment,
    STATE(6907), 1,
      sym__from_clause,
    ACTIONS(9124), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182791] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8175), 1,
      anon_sym_DOT,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    ACTIONS(9128), 1,
      anon_sym_GT,
    STATE(5558), 1,
      sym_comment,
    STATE(6439), 1,
      aux_sym_type_arguments_repeat1,
  [182813] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9118), 1,
      anon_sym_SQUOTE,
    STATE(5559), 1,
      sym_comment,
    STATE(5565), 1,
      aux_sym_string_repeat2,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [182833] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5560), 1,
      sym_comment,
    STATE(6559), 1,
      sym__from_clause,
    ACTIONS(9130), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182853] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5561), 1,
      sym_comment,
    STATE(5567), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9134), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182873] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5562), 1,
      sym_comment,
    STATE(5568), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9136), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182893] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9138), 1,
      anon_sym_DQUOTE,
    STATE(5552), 1,
      aux_sym_string_repeat1,
    STATE(5563), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [182913] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5564), 1,
      sym_comment,
    STATE(5740), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9140), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182933] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9138), 1,
      anon_sym_SQUOTE,
    STATE(5551), 1,
      aux_sym_string_repeat2,
    STATE(5565), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [182953] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5566), 1,
      sym_comment,
    STATE(6585), 1,
      sym__from_clause,
    ACTIONS(5817), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182973] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5567), 1,
      sym_comment,
    STATE(5740), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9142), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182993] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5568), 1,
      sym_comment,
    STATE(5740), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9144), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183013] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5569), 1,
      sym_comment,
    STATE(5740), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9146), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183033] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    ACTIONS(9148), 1,
      anon_sym_SEMI,
    ACTIONS(9150), 1,
      sym__automatic_semicolon,
    STATE(5570), 1,
      sym_comment,
    STATE(6570), 1,
      sym_import_attribute,
  [183055] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5571), 1,
      sym_comment,
    STATE(6571), 1,
      sym_import_attribute,
    ACTIONS(9152), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183075] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5572), 1,
      sym_comment,
    STATE(6572), 1,
      sym_import_attribute,
    ACTIONS(9154), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183095] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7920), 1,
      anon_sym_const,
    ACTIONS(9156), 1,
      sym_identifier,
    ACTIONS(9158), 1,
      anon_sym_GT,
    STATE(5573), 1,
      sym_comment,
    STATE(6786), 1,
      sym_type_parameter,
  [183117] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5574), 1,
      sym_comment,
    STATE(6579), 1,
      sym__from_clause,
    ACTIONS(5829), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183137] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8175), 1,
      anon_sym_DOT,
    ACTIONS(9160), 1,
      anon_sym_COMMA,
    ACTIONS(9162), 1,
      anon_sym_GT,
    STATE(5575), 1,
      sym_comment,
    STATE(6366), 1,
      aux_sym_type_arguments_repeat1,
  [183159] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9164), 1,
      anon_sym_RPAREN,
    STATE(5576), 1,
      sym_comment,
  [183181] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5577), 1,
      sym_comment,
    ACTIONS(6748), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183197] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(9166), 1,
      anon_sym_LT,
    STATE(2942), 1,
      sym_type_arguments,
    STATE(2944), 1,
      sym_arguments,
    STATE(5578), 1,
      sym_comment,
  [183219] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9170), 1,
      anon_sym_COMMA,
    ACTIONS(9168), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(5579), 2,
      sym_comment,
      aux_sym_extends_clause_repeat1,
  [183237] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9173), 1,
      anon_sym_SQUOTE,
    STATE(5551), 1,
      aux_sym_string_repeat2,
    STATE(5580), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183257] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5581), 1,
      sym_comment,
    ACTIONS(9175), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [183273] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7920), 1,
      anon_sym_const,
    ACTIONS(9156), 1,
      sym_identifier,
    ACTIONS(9177), 1,
      anon_sym_GT,
    STATE(5582), 1,
      sym_comment,
    STATE(6786), 1,
      sym_type_parameter,
  [183295] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9173), 1,
      anon_sym_DQUOTE,
    STATE(5552), 1,
      aux_sym_string_repeat1,
    STATE(5583), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183315] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    ACTIONS(9179), 1,
      anon_sym_SEMI,
    ACTIONS(9181), 1,
      sym__automatic_semicolon,
    STATE(5584), 1,
      sym_comment,
    STATE(6504), 1,
      sym_import_attribute,
  [183337] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5564), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5585), 1,
      sym_comment,
    ACTIONS(9183), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183357] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5569), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5586), 1,
      sym_comment,
    ACTIONS(9185), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183377] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5587), 1,
      sym_comment,
    STATE(6615), 1,
      sym_import_attribute,
    ACTIONS(9187), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183397] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9189), 1,
      anon_sym_DQUOTE,
    STATE(5588), 1,
      sym_comment,
    STATE(5595), 1,
      aux_sym_string_repeat1,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183417] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9189), 1,
      anon_sym_SQUOTE,
    STATE(5589), 1,
      sym_comment,
    STATE(5596), 1,
      aux_sym_string_repeat2,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183437] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5590), 1,
      sym_comment,
    STATE(5597), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9191), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183457] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5591), 1,
      sym_comment,
    STATE(6616), 1,
      sym_import_attribute,
    ACTIONS(9193), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183477] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5592), 1,
      sym_comment,
    STATE(5598), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9195), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183497] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5593), 1,
      sym_comment,
    STATE(6630), 1,
      sym__from_clause,
    ACTIONS(9197), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183517] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5594), 1,
      sym_comment,
    ACTIONS(9199), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [183533] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9201), 1,
      anon_sym_DQUOTE,
    STATE(5552), 1,
      aux_sym_string_repeat1,
    STATE(5595), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183553] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9201), 1,
      anon_sym_SQUOTE,
    STATE(5551), 1,
      aux_sym_string_repeat2,
    STATE(5596), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183573] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5597), 1,
      sym_comment,
    STATE(5740), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9203), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183593] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5598), 1,
      sym_comment,
    STATE(5740), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9205), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183613] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8175), 1,
      anon_sym_DOT,
    ACTIONS(9207), 1,
      anon_sym_COMMA,
    ACTIONS(9209), 1,
      anon_sym_GT,
    STATE(5599), 1,
      sym_comment,
    STATE(6309), 1,
      aux_sym_type_arguments_repeat1,
  [183635] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9211), 1,
      anon_sym_RBRACK,
    STATE(5600), 1,
      sym_comment,
  [183657] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9213), 1,
      anon_sym_COLON,
    STATE(5601), 1,
      sym_comment,
  [183679] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9215), 1,
      anon_sym_RBRACK,
    STATE(5602), 1,
      sym_comment,
  [183701] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9217), 1,
      anon_sym_SQUOTE,
    STATE(5580), 1,
      aux_sym_string_repeat2,
    STATE(5603), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183721] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4486), 1,
      sym_formal_parameters,
    STATE(5604), 1,
      sym_comment,
    STATE(6959), 1,
      sym_type_parameters,
  [183743] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9219), 1,
      sym__glimmer_template_content,
    ACTIONS(9221), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3103), 1,
      sym_glimmer_closing_tag,
    STATE(5605), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_glimmer_template_repeat1,
  [183765] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9217), 1,
      anon_sym_DQUOTE,
    STATE(5583), 1,
      aux_sym_string_repeat1,
    STATE(5606), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183785] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9223), 1,
      anon_sym_RBRACK,
    STATE(5607), 1,
      sym_comment,
  [183807] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9225), 1,
      anon_sym_QMARK,
    STATE(5608), 1,
      sym_comment,
  [183829] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9227), 1,
      anon_sym_RBRACK,
    STATE(5609), 1,
      sym_comment,
  [183851] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9231), 1,
      anon_sym_COMMA,
    STATE(5610), 1,
      sym_comment,
    STATE(5763), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(9229), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [183871] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5611), 1,
      sym_comment,
    STATE(5740), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9233), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183891] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9235), 1,
      anon_sym_RBRACK,
    STATE(5612), 1,
      sym_comment,
  [183913] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9237), 1,
      anon_sym_DQUOTE,
    STATE(5613), 1,
      sym_comment,
    STATE(5616), 1,
      aux_sym_string_repeat1,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183933] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9237), 1,
      anon_sym_SQUOTE,
    STATE(5614), 1,
      sym_comment,
    STATE(5617), 1,
      aux_sym_string_repeat2,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183953] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5615), 1,
      sym_comment,
    STATE(5740), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9239), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183973] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9241), 1,
      anon_sym_DQUOTE,
    STATE(5552), 1,
      aux_sym_string_repeat1,
    STATE(5616), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183993] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9241), 1,
      anon_sym_SQUOTE,
    STATE(5551), 1,
      aux_sym_string_repeat2,
    STATE(5617), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184013] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(5618), 1,
      sym_comment,
    STATE(6902), 1,
      sym_type_parameters,
    STATE(7323), 1,
      sym_formal_parameters,
  [184035] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8175), 1,
      anon_sym_DOT,
    ACTIONS(9243), 1,
      anon_sym_COMMA,
    ACTIONS(9245), 1,
      anon_sym_GT,
    STATE(5619), 1,
      sym_comment,
    STATE(6431), 1,
      aux_sym_type_arguments_repeat1,
  [184057] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7970), 1,
      anon_sym_EQ,
    STATE(5620), 1,
      sym_comment,
    STATE(6878), 1,
      sym_default_type,
    ACTIONS(9247), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [184077] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8971), 1,
      anon_sym_RBRACE,
    STATE(5621), 1,
      sym_comment,
    ACTIONS(4961), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [184095] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9249), 1,
      anon_sym_COLON,
    STATE(5622), 1,
      sym_comment,
  [184117] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9251), 1,
      sym_html_character_reference,
    ACTIONS(9254), 1,
      anon_sym_SQUOTE,
    ACTIONS(9256), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(5623), 2,
      sym_comment,
      aux_sym__jsx_string_repeat2,
  [184137] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9259), 1,
      sym_html_character_reference,
    ACTIONS(9262), 1,
      anon_sym_DQUOTE,
    ACTIONS(9264), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(5624), 2,
      sym_comment,
      aux_sym__jsx_string_repeat1,
  [184157] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7920), 1,
      anon_sym_const,
    ACTIONS(9156), 1,
      sym_identifier,
    ACTIONS(9267), 1,
      anon_sym_GT,
    STATE(5625), 1,
      sym_comment,
    STATE(6786), 1,
      sym_type_parameter,
  [184179] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9269), 1,
      anon_sym_DQUOTE,
    STATE(5626), 1,
      sym_comment,
    STATE(5630), 1,
      aux_sym_string_repeat1,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184199] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9271), 1,
      anon_sym_COLON,
    STATE(5627), 1,
      sym_comment,
  [184221] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9269), 1,
      anon_sym_SQUOTE,
    STATE(5546), 1,
      aux_sym_string_repeat2,
    STATE(5628), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184241] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9273), 1,
      anon_sym_RBRACK,
    STATE(5629), 1,
      sym_comment,
  [184263] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9089), 1,
      anon_sym_DQUOTE,
    STATE(5552), 1,
      aux_sym_string_repeat1,
    STATE(5630), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184283] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5631), 1,
      sym_comment,
    STATE(6640), 1,
      sym_import_attribute,
    ACTIONS(9275), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184303] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9277), 1,
      anon_sym_QMARK,
    STATE(5632), 1,
      sym_comment,
  [184325] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9279), 1,
      anon_sym_DQUOTE,
    STATE(5633), 1,
      sym_comment,
    STATE(5635), 1,
      aux_sym_string_repeat1,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184345] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9279), 1,
      anon_sym_SQUOTE,
    STATE(5634), 1,
      sym_comment,
    STATE(5636), 1,
      aux_sym_string_repeat2,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184365] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9281), 1,
      anon_sym_DQUOTE,
    STATE(5552), 1,
      aux_sym_string_repeat1,
    STATE(5635), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184385] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9281), 1,
      anon_sym_SQUOTE,
    STATE(5551), 1,
      aux_sym_string_repeat2,
    STATE(5636), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184405] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9283), 1,
      anon_sym_RBRACK,
    STATE(5637), 1,
      sym_comment,
  [184427] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9285), 1,
      anon_sym_STAR,
    ACTIONS(9287), 1,
      anon_sym_LBRACE,
    STATE(5638), 1,
      sym_comment,
    STATE(7204), 2,
      sym_namespace_import,
      sym_named_imports,
  [184447] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9289), 1,
      anon_sym_DQUOTE,
    STATE(5639), 1,
      sym_comment,
    STATE(5643), 1,
      aux_sym_string_repeat1,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184467] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9291), 1,
      anon_sym_RPAREN,
    STATE(5640), 1,
      sym_comment,
  [184489] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(9293), 1,
      anon_sym_LT,
    STATE(2397), 1,
      sym_arguments,
    STATE(2398), 1,
      sym_type_arguments,
    STATE(5641), 1,
      sym_comment,
  [184511] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9289), 1,
      anon_sym_SQUOTE,
    STATE(5642), 1,
      sym_comment,
    STATE(5645), 1,
      aux_sym_string_repeat2,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184531] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9295), 1,
      anon_sym_DQUOTE,
    STATE(5552), 1,
      aux_sym_string_repeat1,
    STATE(5643), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184551] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    ACTIONS(9297), 1,
      anon_sym_SEMI,
    ACTIONS(9299), 1,
      sym__automatic_semicolon,
    STATE(5644), 1,
      sym_comment,
    STATE(6858), 1,
      sym_import_attribute,
  [184573] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9295), 1,
      anon_sym_SQUOTE,
    STATE(5551), 1,
      aux_sym_string_repeat2,
    STATE(5645), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184593] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    ACTIONS(9301), 1,
      anon_sym_SEMI,
    ACTIONS(9303), 1,
      sym__automatic_semicolon,
    STATE(5646), 1,
      sym_comment,
    STATE(7083), 1,
      sym_import_attribute,
  [184615] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9305), 1,
      anon_sym_DQUOTE,
    STATE(5647), 1,
      sym_comment,
    STATE(5650), 1,
      aux_sym_string_repeat1,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184635] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9219), 1,
      sym__glimmer_template_content,
    ACTIONS(9307), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2566), 1,
      sym_glimmer_closing_tag,
    STATE(5648), 1,
      sym_comment,
    STATE(6100), 1,
      aux_sym_glimmer_template_repeat1,
  [184657] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7102), 1,
      anon_sym_LT,
    STATE(4166), 1,
      sym_arguments,
    STATE(4304), 1,
      sym_type_arguments,
    STATE(5649), 1,
      sym_comment,
  [184679] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9309), 1,
      anon_sym_DQUOTE,
    STATE(5552), 1,
      aux_sym_string_repeat1,
    STATE(5650), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184699] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8175), 1,
      anon_sym_DOT,
    ACTIONS(9311), 1,
      anon_sym_COMMA,
    ACTIONS(9313), 1,
      anon_sym_GT,
    STATE(5651), 1,
      sym_comment,
    STATE(6192), 1,
      aux_sym_type_arguments_repeat1,
  [184721] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9309), 1,
      anon_sym_SQUOTE,
    STATE(5551), 1,
      aux_sym_string_repeat2,
    STATE(5652), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184741] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9315), 1,
      anon_sym_DQUOTE,
    STATE(5653), 1,
      sym_comment,
    STATE(5657), 1,
      aux_sym_string_repeat1,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184761] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5654), 1,
      sym_comment,
    STATE(5740), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9317), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184781] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5655), 1,
      sym_comment,
    STATE(5740), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9319), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184801] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9315), 1,
      anon_sym_SQUOTE,
    STATE(5656), 1,
      sym_comment,
    STATE(5658), 1,
      aux_sym_string_repeat2,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184821] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9321), 1,
      anon_sym_DQUOTE,
    STATE(5552), 1,
      aux_sym_string_repeat1,
    STATE(5657), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184841] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9321), 1,
      anon_sym_SQUOTE,
    STATE(5551), 1,
      aux_sym_string_repeat2,
    STATE(5658), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184861] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9305), 1,
      anon_sym_SQUOTE,
    STATE(5652), 1,
      aux_sym_string_repeat2,
    STATE(5659), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184881] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9323), 1,
      anon_sym_RPAREN,
    STATE(5660), 1,
      sym_comment,
  [184903] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5661), 1,
      sym_comment,
    STATE(6750), 1,
      sym_import_attribute,
    ACTIONS(9325), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184923] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5662), 1,
      sym_comment,
    STATE(6641), 1,
      sym_import_attribute,
    ACTIONS(9327), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184943] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5663), 1,
      sym_comment,
    STATE(7049), 1,
      sym_import_attribute,
    ACTIONS(9329), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184963] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5664), 1,
      sym_comment,
    STATE(7046), 1,
      sym_import_attribute,
    ACTIONS(9331), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184983] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8097), 1,
      anon_sym_EQ,
    STATE(5665), 1,
      sym_comment,
    STATE(6927), 1,
      sym__initializer,
    ACTIONS(9333), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [185003] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5666), 1,
      sym_comment,
    STATE(6674), 1,
      sym__from_clause,
    ACTIONS(5902), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185023] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9335), 1,
      anon_sym_LBRACE,
    ACTIONS(9337), 1,
      anon_sym_COMMA,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5667), 2,
      sym_comment,
      aux_sym_extends_type_clause_repeat1,
  [185043] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9342), 1,
      sym_html_character_reference,
    ACTIONS(9344), 1,
      anon_sym_DQUOTE,
    ACTIONS(9346), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(5668), 1,
      sym_comment,
    STATE(5679), 1,
      aux_sym__jsx_string_repeat1,
  [185065] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9344), 1,
      anon_sym_SQUOTE,
    ACTIONS(9348), 1,
      sym_html_character_reference,
    ACTIONS(9350), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(5669), 1,
      sym_comment,
    STATE(5674), 1,
      aux_sym__jsx_string_repeat2,
  [185087] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5670), 1,
      sym_comment,
    STATE(5740), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9352), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185107] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5671), 1,
      sym_comment,
    STATE(5740), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9354), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185127] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    ACTIONS(9356), 1,
      anon_sym_SEMI,
    ACTIONS(9358), 1,
      sym__automatic_semicolon,
    STATE(5672), 1,
      sym_comment,
    STATE(6940), 1,
      sym_import_attribute,
  [185149] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5673), 1,
      sym_comment,
    STATE(6946), 1,
      sym_import_attribute,
    ACTIONS(9360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185169] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9348), 1,
      sym_html_character_reference,
    ACTIONS(9350), 1,
      sym_unescaped_single_jsx_string_fragment,
    ACTIONS(9362), 1,
      anon_sym_SQUOTE,
    STATE(5623), 1,
      aux_sym__jsx_string_repeat2,
    STATE(5674), 1,
      sym_comment,
  [185191] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5675), 1,
      sym_comment,
    STATE(6948), 1,
      sym_import_attribute,
    ACTIONS(9364), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185211] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    ACTIONS(4849), 1,
      anon_sym_BQUOTE,
    STATE(5676), 1,
      sym_comment,
    STATE(2636), 2,
      sym_template_string,
      sym_arguments,
  [185231] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5677), 1,
      sym_comment,
    STATE(6956), 1,
      sym__from_clause,
    ACTIONS(5542), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185251] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(9366), 1,
      anon_sym_class,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(5678), 1,
      sym_comment,
  [185273] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9342), 1,
      sym_html_character_reference,
    ACTIONS(9346), 1,
      sym_unescaped_double_jsx_string_fragment,
    ACTIONS(9362), 1,
      anon_sym_DQUOTE,
    STATE(5624), 1,
      aux_sym__jsx_string_repeat1,
    STATE(5679), 1,
      sym_comment,
  [185295] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9368), 1,
      sym_escape_sequence,
    STATE(5680), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [185313] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9373), 1,
      anon_sym_COMMA,
    ACTIONS(5229), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5681), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [185331] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9376), 1,
      anon_sym_EQ_GT,
    STATE(5682), 1,
      sym_comment,
    ACTIONS(4494), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [185349] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(5683), 1,
      sym_comment,
    STATE(6969), 1,
      sym_statement_block,
    ACTIONS(2073), 2,
      anon_sym_else,
      anon_sym_while,
  [185369] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9378), 1,
      anon_sym_SQUOTE,
    STATE(5551), 1,
      aux_sym_string_repeat2,
    STATE(5684), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185389] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9378), 1,
      anon_sym_DQUOTE,
    STATE(5552), 1,
      aux_sym_string_repeat1,
    STATE(5685), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185409] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(9380), 1,
      anon_sym_class,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(5686), 1,
      sym_comment,
  [185431] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9382), 1,
      anon_sym_EQ_GT,
    STATE(5687), 1,
      sym_comment,
    ACTIONS(4494), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [185449] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5670), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5688), 1,
      sym_comment,
    ACTIONS(9384), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185469] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(5689), 1,
      sym_comment,
    STATE(6861), 1,
      sym_type_parameters,
    STATE(7363), 1,
      sym_formal_parameters,
  [185491] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5671), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5690), 1,
      sym_comment,
    ACTIONS(9386), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185511] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5691), 1,
      sym_comment,
    STATE(7036), 1,
      sym_import_attribute,
    ACTIONS(9388), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185531] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5692), 1,
      sym_comment,
    STATE(7038), 1,
      sym_import_attribute,
    ACTIONS(9390), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185551] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5693), 1,
      sym_comment,
    STATE(7041), 1,
      sym__from_clause,
    ACTIONS(9392), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185571] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(5694), 1,
      sym_comment,
    STATE(6925), 1,
      sym_type_parameters,
    STATE(7537), 1,
      sym_formal_parameters,
  [185593] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9394), 1,
      sym_identifier,
    STATE(5320), 1,
      sym_nested_type_identifier,
    STATE(5695), 1,
      sym_comment,
    STATE(6220), 1,
      sym_generic_type,
    STATE(7281), 1,
      sym_nested_identifier,
  [185615] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9396), 1,
      anon_sym_SQUOTE,
    STATE(5551), 1,
      aux_sym_string_repeat2,
    STATE(5696), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185635] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9396), 1,
      anon_sym_DQUOTE,
    STATE(5552), 1,
      aux_sym_string_repeat1,
    STATE(5697), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185655] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9398), 1,
      anon_sym_EQ,
    ACTIONS(9400), 1,
      anon_sym_COMMA,
    ACTIONS(9402), 1,
      anon_sym_RBRACK,
    STATE(5698), 1,
      sym_comment,
    STATE(6265), 1,
      aux_sym_array_pattern_repeat1,
  [185677] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9404), 1,
      anon_sym_DQUOTE,
    STATE(5699), 1,
      sym_comment,
    STATE(5761), 1,
      aux_sym_string_repeat1,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185697] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9404), 1,
      anon_sym_SQUOTE,
    STATE(5700), 1,
      sym_comment,
    STATE(5762), 1,
      aux_sym_string_repeat2,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185717] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8325), 1,
      anon_sym_finally,
    STATE(5701), 1,
      sym_comment,
    STATE(6516), 1,
      sym_finally_clause,
    ACTIONS(3086), 2,
      anon_sym_else,
      anon_sym_while,
  [185737] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9406), 1,
      anon_sym_SQUOTE,
    STATE(5684), 1,
      aux_sym_string_repeat2,
    STATE(5702), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185757] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9406), 1,
      anon_sym_DQUOTE,
    STATE(5685), 1,
      aux_sym_string_repeat1,
    STATE(5703), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185777] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9408), 1,
      anon_sym_QMARK,
    STATE(5704), 1,
      sym_comment,
  [185799] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8000), 1,
      anon_sym_COMMA,
    ACTIONS(9410), 1,
      anon_sym_LBRACE,
    ACTIONS(9412), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5667), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5705), 1,
      sym_comment,
  [185821] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(5706), 1,
      sym_comment,
    STATE(6941), 1,
      sym_type_parameters,
    STATE(7583), 1,
      sym_formal_parameters,
  [185843] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5654), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5707), 1,
      sym_comment,
    ACTIONS(9414), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185863] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7970), 1,
      anon_sym_EQ,
    STATE(5708), 1,
      sym_comment,
    STATE(6796), 1,
      sym_default_type,
    ACTIONS(9416), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [185883] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5655), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5709), 1,
      sym_comment,
    ACTIONS(9418), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185903] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9420), 1,
      anon_sym_SQUOTE,
    STATE(5710), 1,
      sym_comment,
    STATE(5751), 1,
      aux_sym_string_repeat2,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185923] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8000), 1,
      anon_sym_COMMA,
    ACTIONS(9422), 1,
      anon_sym_LBRACE,
    ACTIONS(9424), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5667), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5711), 1,
      sym_comment,
  [185945] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9420), 1,
      anon_sym_DQUOTE,
    STATE(5712), 1,
      sym_comment,
    STATE(5752), 1,
      aux_sym_string_repeat1,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185965] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5713), 1,
      sym_comment,
    STATE(6778), 1,
      sym_import_attribute,
    ACTIONS(9426), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185985] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5714), 1,
      sym_comment,
    STATE(6790), 1,
      sym_import_attribute,
    ACTIONS(9428), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186005] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4494), 1,
      anon_sym_COLON,
    ACTIONS(7180), 1,
      anon_sym_EQ,
    STATE(5715), 1,
      sym_comment,
    ACTIONS(9430), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [186025] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5716), 1,
      sym_comment,
    STATE(6753), 1,
      sym_import_attribute,
    ACTIONS(9432), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186045] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9434), 1,
      anon_sym_COLON,
    STATE(5717), 1,
      sym_comment,
  [186067] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5718), 1,
      sym_comment,
    STATE(7057), 1,
      sym__from_clause,
    ACTIONS(9436), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186087] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8000), 1,
      anon_sym_COMMA,
    ACTIONS(9422), 1,
      anon_sym_LBRACE,
    ACTIONS(9424), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5667), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5719), 1,
      sym_comment,
  [186109] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5720), 1,
      sym_comment,
    ACTIONS(9438), 4,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [186125] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9219), 1,
      sym__glimmer_template_content,
    ACTIONS(9307), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2617), 1,
      sym_glimmer_closing_tag,
    STATE(5648), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(5721), 1,
      sym_comment,
  [186147] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5722), 1,
      sym_comment,
    STATE(6595), 1,
      sym__from_clause,
    ACTIONS(9440), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186167] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5723), 1,
      sym_comment,
    STATE(6794), 1,
      sym__from_clause,
    ACTIONS(5527), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186187] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9442), 1,
      anon_sym_QMARK,
    STATE(5724), 1,
      sym_comment,
  [186209] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7920), 1,
      anon_sym_const,
    ACTIONS(9156), 1,
      sym_identifier,
    ACTIONS(9444), 1,
      anon_sym_GT,
    STATE(5725), 1,
      sym_comment,
    STATE(6786), 1,
      sym_type_parameter,
  [186231] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5726), 1,
      sym_comment,
    STATE(6659), 1,
      sym_import_attribute,
    ACTIONS(9446), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186251] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9448), 1,
      anon_sym_RBRACK,
    STATE(5727), 1,
      sym_comment,
  [186273] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9450), 1,
      anon_sym_SQUOTE,
    STATE(5696), 1,
      aux_sym_string_repeat2,
    STATE(5728), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186293] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9450), 1,
      anon_sym_DQUOTE,
    STATE(5697), 1,
      aux_sym_string_repeat1,
    STATE(5729), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186313] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9219), 1,
      sym__glimmer_template_content,
    ACTIONS(9221), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3288), 1,
      sym_glimmer_closing_tag,
    STATE(5730), 1,
      sym_comment,
    STATE(6100), 1,
      aux_sym_glimmer_template_repeat1,
  [186335] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    STATE(5681), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5731), 1,
      sym_comment,
    ACTIONS(8341), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186355] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5381), 1,
      anon_sym_BQUOTE,
    STATE(5732), 1,
      sym_comment,
    STATE(3189), 2,
      sym_template_string,
      sym_arguments,
  [186375] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    STATE(5733), 1,
      sym_comment,
  [186397] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    ACTIONS(9454), 1,
      anon_sym_SEMI,
    ACTIONS(9456), 1,
      sym__automatic_semicolon,
    STATE(5734), 1,
      sym_comment,
    STATE(6531), 1,
      sym_import_attribute,
  [186419] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5735), 1,
      sym_comment,
    ACTIONS(8073), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [186435] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5736), 1,
      sym_comment,
    ACTIONS(9458), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [186451] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8175), 1,
      anon_sym_DOT,
    ACTIONS(9460), 1,
      anon_sym_COMMA,
    ACTIONS(9462), 1,
      anon_sym_GT,
    STATE(5737), 1,
      sym_comment,
    STATE(5849), 1,
      aux_sym_type_arguments_repeat1,
  [186473] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5738), 1,
      sym_comment,
    ACTIONS(9368), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [186489] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(5739), 1,
      sym_comment,
    STATE(7106), 1,
      sym_type_parameters,
    STATE(7427), 1,
      sym_formal_parameters,
  [186511] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9467), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5740), 2,
      sym_comment,
      aux_sym_variable_declaration_repeat1,
  [186529] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9469), 1,
      anon_sym_RPAREN,
    STATE(5741), 1,
      sym_comment,
  [186551] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4131), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LT,
    STATE(3974), 1,
      sym_arguments,
    STATE(4138), 1,
      sym_type_arguments,
    STATE(5742), 1,
      sym_comment,
  [186573] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(5743), 1,
      sym_comment,
    STATE(7111), 1,
      sym_type_parameters,
    STATE(7346), 1,
      sym_formal_parameters,
  [186595] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5744), 1,
      sym_comment,
    STATE(6598), 1,
      sym_import_attribute,
    ACTIONS(9471), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186615] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5745), 1,
      sym_comment,
    STATE(6606), 1,
      sym_import_attribute,
    ACTIONS(9473), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186635] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5746), 1,
      sym_comment,
    STATE(5766), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9475), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186655] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5747), 1,
      sym_comment,
    STATE(5765), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9477), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186675] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8097), 1,
      anon_sym_EQ,
    STATE(5748), 1,
      sym_comment,
    STATE(6660), 1,
      sym__initializer,
    ACTIONS(9479), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [186695] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    ACTIONS(9481), 1,
      anon_sym_SEMI,
    ACTIONS(9483), 1,
      sym__automatic_semicolon,
    STATE(5749), 1,
      sym_comment,
    STATE(6837), 1,
      sym_import_attribute,
  [186717] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9485), 1,
      anon_sym_RPAREN,
    STATE(5750), 1,
      sym_comment,
  [186739] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9487), 1,
      anon_sym_SQUOTE,
    STATE(5551), 1,
      aux_sym_string_repeat2,
    STATE(5751), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186759] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9487), 1,
      anon_sym_DQUOTE,
    STATE(5552), 1,
      aux_sym_string_repeat1,
    STATE(5752), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186779] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9398), 1,
      anon_sym_EQ,
    ACTIONS(9400), 1,
      anon_sym_COMMA,
    ACTIONS(9489), 1,
      anon_sym_RBRACK,
    STATE(5753), 1,
      sym_comment,
    STATE(6455), 1,
      aux_sym_array_pattern_repeat1,
  [186801] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9491), 1,
      anon_sym_RBRACK,
    STATE(5754), 1,
      sym_comment,
  [186823] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5755), 1,
      sym_comment,
    ACTIONS(9493), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [186839] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    ACTIONS(9495), 1,
      anon_sym_RBRACK,
    STATE(5756), 1,
      sym_comment,
  [186861] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8175), 1,
      anon_sym_DOT,
    ACTIONS(9497), 1,
      anon_sym_COMMA,
    ACTIONS(9499), 1,
      anon_sym_GT,
    STATE(5757), 1,
      sym_comment,
    STATE(5905), 1,
      aux_sym_type_arguments_repeat1,
  [186883] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(5758), 1,
      sym_comment,
    STATE(6934), 1,
      sym_type_parameters,
    STATE(7351), 1,
      sym_formal_parameters,
  [186905] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(5759), 1,
      sym_comment,
    STATE(7059), 1,
      sym_type_parameters,
    STATE(7311), 1,
      sym_formal_parameters,
  [186927] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(5760), 1,
      sym_comment,
    STATE(7042), 1,
      sym_type_parameters,
    STATE(7376), 1,
      sym_formal_parameters,
  [186949] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9501), 1,
      anon_sym_DQUOTE,
    STATE(5552), 1,
      aux_sym_string_repeat1,
    STATE(5761), 1,
      sym_comment,
    ACTIONS(9120), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186969] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9501), 1,
      anon_sym_SQUOTE,
    STATE(5551), 1,
      aux_sym_string_repeat2,
    STATE(5762), 1,
      sym_comment,
    ACTIONS(9091), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186989] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9231), 1,
      anon_sym_COMMA,
    STATE(5579), 1,
      aux_sym_extends_clause_repeat1,
    STATE(5763), 1,
      sym_comment,
    ACTIONS(9503), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [187009] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(9505), 1,
      anon_sym_export,
    STATE(4949), 1,
      aux_sym_export_statement_repeat1,
    STATE(5594), 1,
      sym_decorator,
    STATE(5764), 1,
      sym_comment,
  [187031] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5740), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5765), 1,
      sym_comment,
    ACTIONS(9507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187051] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5740), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5766), 1,
      sym_comment,
    ACTIONS(9509), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187071] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    ACTIONS(9511), 1,
      anon_sym_SEMI,
    ACTIONS(9513), 1,
      sym__automatic_semicolon,
    STATE(5767), 1,
      sym_comment,
    STATE(6756), 1,
      sym_import_attribute,
  [187093] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_with,
    STATE(5768), 1,
      sym_comment,
    STATE(6755), 1,
      sym_import_attribute,
    ACTIONS(9515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187113] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9517), 1,
      anon_sym_EQ,
    STATE(5769), 1,
      sym_comment,
    STATE(7073), 1,
      sym__initializer,
    ACTIONS(7454), 2,
      anon_sym_in,
      anon_sym_of,
  [187133] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(6949), 1,
      anon_sym_LT,
    STATE(3811), 1,
      sym_arguments,
    STATE(3832), 1,
      sym_type_arguments,
    STATE(5770), 1,
      sym_comment,
  [187155] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5771), 1,
      sym_comment,
    STATE(6743), 1,
      sym__from_clause,
    ACTIONS(5904), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187175] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9519), 1,
      sym_identifier,
    STATE(4849), 1,
      sym_nested_type_identifier,
    STATE(5548), 1,
      sym_generic_type,
    STATE(5772), 1,
      sym_comment,
    STATE(7281), 1,
      sym_nested_identifier,
  [187197] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5611), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5773), 1,
      sym_comment,
    ACTIONS(9521), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187217] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    STATE(5615), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5774), 1,
      sym_comment,
    ACTIONS(9523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187237] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(5775), 1,
      sym_comment,
    STATE(6935), 1,
      sym_type_parameters,
    STATE(7575), 1,
      sym_formal_parameters,
  [187259] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5776), 1,
      sym_comment,
    ACTIONS(9525), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5777), 1,
      sym_comment,
    ACTIONS(9527), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187289] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5778), 1,
      sym_comment,
    ACTIONS(9529), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [187304] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5779), 1,
      sym_comment,
    ACTIONS(9531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187319] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5780), 1,
      sym_comment,
    ACTIONS(9533), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187334] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9535), 1,
      anon_sym_LPAREN,
    ACTIONS(9537), 1,
      anon_sym_await,
    STATE(119), 1,
      sym__for_header,
    STATE(5781), 1,
      sym_comment,
  [187353] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5782), 1,
      sym_comment,
    ACTIONS(9539), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187368] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5783), 1,
      sym_comment,
    ACTIONS(9541), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187383] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5784), 1,
      sym_comment,
    ACTIONS(9543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187398] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(9545), 1,
      anon_sym_EQ,
    STATE(5785), 1,
      sym_comment,
    STATE(7614), 1,
      sym_type_parameters,
  [187417] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5786), 1,
      sym_comment,
    ACTIONS(9541), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187432] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7184), 1,
      anon_sym_type,
    ACTIONS(9547), 1,
      sym_identifier,
    STATE(5787), 1,
      sym_comment,
    STATE(7055), 1,
      sym__import_identifier,
  [187451] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5788), 1,
      sym_comment,
    ACTIONS(3122), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [187466] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5789), 1,
      sym_comment,
    ACTIONS(9549), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187481] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9551), 1,
      anon_sym_EQ,
    STATE(5790), 1,
      sym_comment,
    ACTIONS(9553), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [187498] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8063), 1,
      anon_sym_LBRACE,
    ACTIONS(8065), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1714), 1,
      sym_object_type,
    STATE(5791), 1,
      sym_comment,
  [187517] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(9555), 1,
      anon_sym_EQ,
    STATE(5792), 1,
      sym_comment,
    STATE(7592), 1,
      sym_type_parameters,
  [187536] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5793), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187551] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9559), 1,
      sym_identifier,
    ACTIONS(9561), 1,
      anon_sym_SEMI,
    ACTIONS(9563), 1,
      sym__automatic_semicolon,
    STATE(5794), 1,
      sym_comment,
  [187570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5795), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187585] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5796), 1,
      sym_comment,
    ACTIONS(9531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187600] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7184), 1,
      anon_sym_type,
    ACTIONS(9547), 1,
      sym_identifier,
    STATE(5797), 1,
      sym_comment,
    STATE(7056), 1,
      sym__import_identifier,
  [187619] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9565), 1,
      sym_identifier,
    ACTIONS(9567), 1,
      anon_sym_SEMI,
    ACTIONS(9569), 1,
      sym__automatic_semicolon,
    STATE(5798), 1,
      sym_comment,
  [187638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5799), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187653] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9573), 1,
      anon_sym_EQ,
    STATE(5800), 1,
      sym_comment,
    ACTIONS(9553), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [187670] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8126), 1,
      anon_sym_COMMA,
    ACTIONS(9575), 1,
      anon_sym_RBRACE,
    STATE(5801), 1,
      sym_comment,
    STATE(6230), 1,
      aux_sym_object_repeat1,
  [187689] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8126), 1,
      anon_sym_COMMA,
    ACTIONS(9577), 1,
      anon_sym_RBRACE,
    STATE(5802), 1,
      sym_comment,
    STATE(6230), 1,
      aux_sym_object_repeat1,
  [187708] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5878), 1,
      anon_sym_RPAREN,
    STATE(5803), 1,
      sym_comment,
    STATE(5862), 1,
      aux_sym_array_repeat1,
  [187727] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5878), 1,
      anon_sym_RPAREN,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(5804), 1,
      sym_comment,
  [187746] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9579), 1,
      anon_sym_LBRACE,
    STATE(5805), 1,
      sym_comment,
    ACTIONS(8996), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [187763] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(9581), 1,
      anon_sym_EQ,
    STATE(5806), 1,
      sym_comment,
    STATE(7564), 1,
      sym_type_parameters,
  [187782] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5807), 1,
      sym_comment,
    ACTIONS(9583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187797] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5808), 1,
      sym_comment,
    ACTIONS(9583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5809), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187827] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9587), 1,
      anon_sym_COMMA,
    ACTIONS(9590), 1,
      anon_sym_RBRACE,
    STATE(5810), 2,
      sym_comment,
      aux_sym_named_imports_repeat1,
  [187844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5811), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187859] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7034), 1,
      anon_sym_DQUOTE,
    ACTIONS(7036), 1,
      anon_sym_SQUOTE,
    STATE(5812), 1,
      sym_comment,
    STATE(7222), 1,
      sym_string,
  [187878] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5813), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187893] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9592), 1,
      anon_sym_COMMA,
    ACTIONS(9594), 1,
      anon_sym_RPAREN,
    STATE(5814), 1,
      sym_comment,
    STATE(6051), 1,
      aux_sym_formal_parameters_repeat1,
  [187912] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9599), 1,
      anon_sym_RBRACE,
    STATE(5815), 2,
      sym_comment,
      aux_sym_export_clause_repeat1,
  [187929] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9601), 1,
      anon_sym_LBRACE,
    ACTIONS(9603), 1,
      anon_sym_LPAREN,
    STATE(966), 1,
      sym_statement_block,
    STATE(5816), 1,
      sym_comment,
  [187948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5817), 1,
      sym_comment,
    ACTIONS(9533), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187963] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9605), 1,
      anon_sym_EQ,
    STATE(5818), 1,
      sym_comment,
    ACTIONS(4260), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [187980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9608), 1,
      anon_sym_EQ,
    STATE(5819), 1,
      sym_comment,
    ACTIONS(9553), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [187997] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(9610), 1,
      anon_sym_EQ,
    STATE(5820), 1,
      sym_comment,
    STATE(7530), 1,
      sym_type_parameters,
  [188016] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5821), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188031] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5822), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188046] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5823), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188061] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5824), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188076] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9612), 1,
      sym_identifier,
    STATE(4595), 1,
      sym_decorator_member_expression,
    STATE(5735), 1,
      sym_decorator_call_expression,
    STATE(5825), 1,
      sym_comment,
  [188095] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5826), 1,
      sym_comment,
    ACTIONS(9583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5827), 1,
      sym_comment,
    ACTIONS(9583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5828), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5829), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188155] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5830), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188170] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5290), 1,
      anon_sym_LBRACE,
    STATE(5831), 1,
      sym_comment,
    ACTIONS(5292), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [188187] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5832), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188202] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5833), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188217] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5834), 1,
      sym_comment,
    ACTIONS(7990), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [188232] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5835), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188247] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5323), 1,
      anon_sym_LBRACE,
    STATE(5836), 1,
      sym_comment,
    ACTIONS(5325), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [188264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5837), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188279] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8081), 1,
      anon_sym_LBRACE,
    ACTIONS(8083), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1256), 1,
      sym_object_type,
    STATE(5838), 1,
      sym_comment,
  [188298] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(9614), 1,
      anon_sym_RPAREN,
    STATE(5839), 1,
      sym_comment,
    STATE(7200), 1,
      sym_type_annotation,
  [188317] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5840), 1,
      sym_comment,
    ACTIONS(9616), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5841), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188347] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5837), 1,
      anon_sym_RPAREN,
    STATE(5842), 1,
      sym_comment,
    STATE(5898), 1,
      aux_sym_array_repeat1,
  [188366] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5837), 1,
      anon_sym_RPAREN,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(5843), 1,
      sym_comment,
  [188385] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(9618), 1,
      anon_sym_DOT,
    STATE(4928), 1,
      sym_arguments,
    STATE(5844), 1,
      sym_comment,
  [188404] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5845), 1,
      sym_comment,
    ACTIONS(9616), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188419] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9620), 1,
      anon_sym_COMMA,
    ACTIONS(9622), 1,
      anon_sym_GT,
    STATE(5846), 1,
      sym_comment,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
  [188438] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    ACTIONS(9624), 1,
      anon_sym_as,
    STATE(5847), 1,
      sym_comment,
    STATE(6981), 1,
      sym__from_clause,
  [188457] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9626), 1,
      sym_identifier,
    ACTIONS(9628), 1,
      anon_sym_LBRACE,
    STATE(5723), 1,
      sym_export_clause,
    STATE(5848), 1,
      sym_comment,
  [188476] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9630), 1,
      anon_sym_COMMA,
    ACTIONS(9632), 1,
      anon_sym_GT,
    STATE(5849), 1,
      sym_comment,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
  [188495] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5850), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188510] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5851), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188525] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5852), 1,
      sym_comment,
    ACTIONS(9634), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5853), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188555] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9636), 1,
      anon_sym_COMMA,
    ACTIONS(9638), 1,
      anon_sym_GT,
    STATE(5854), 1,
      sym_comment,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
  [188574] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8827), 1,
      anon_sym_DOT,
    ACTIONS(9640), 1,
      anon_sym_COLON,
    ACTIONS(9642), 1,
      anon_sym_GT,
    STATE(5855), 1,
      sym_comment,
  [188593] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5856), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5857), 1,
      sym_comment,
    ACTIONS(9616), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188623] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5858), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5859), 1,
      sym_comment,
    ACTIONS(9583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188653] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5860), 1,
      sym_comment,
    ACTIONS(9583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5861), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188683] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(9644), 1,
      anon_sym_RPAREN,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(5862), 1,
      sym_comment,
  [188702] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5863), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188717] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5864), 1,
      sym_comment,
    ACTIONS(9646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188732] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5865), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188747] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9648), 1,
      anon_sym_COMMA,
    ACTIONS(9650), 1,
      anon_sym_RPAREN,
    STATE(5814), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(5866), 1,
      sym_comment,
  [188766] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9652), 1,
      anon_sym_COMMA,
    ACTIONS(9654), 1,
      anon_sym_RBRACE,
    STATE(5867), 1,
      sym_comment,
    STATE(5961), 1,
      aux_sym_enum_body_repeat1,
  [188785] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5868), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188800] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8063), 1,
      anon_sym_LBRACE,
    ACTIONS(8065), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1593), 1,
      sym_object_type,
    STATE(5869), 1,
      sym_comment,
  [188819] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7936), 1,
      anon_sym_DOT,
    STATE(5870), 1,
      sym_comment,
    ACTIONS(9656), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [188836] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(5871), 1,
      sym_comment,
    ACTIONS(9656), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [188853] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5872), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5873), 1,
      sym_comment,
    ACTIONS(9646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188883] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5874), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188898] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5875), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188913] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5876), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5877), 1,
      sym_comment,
    ACTIONS(9660), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188943] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5878), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188958] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5879), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188973] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5880), 1,
      sym_comment,
    ACTIONS(9662), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188988] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9664), 1,
      anon_sym_COMMA,
    ACTIONS(9666), 1,
      anon_sym_RBRACK,
    STATE(5881), 1,
      sym_comment,
    STATE(5936), 1,
      aux_sym_tuple_type_repeat1,
  [189007] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5882), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189022] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(9668), 1,
      anon_sym_DOT,
    STATE(4440), 1,
      sym_arguments,
    STATE(5883), 1,
      sym_comment,
  [189041] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5884), 1,
      sym_comment,
    ACTIONS(9670), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [189056] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7400), 1,
      anon_sym_AMP,
    ACTIONS(7404), 1,
      anon_sym_extends,
    ACTIONS(8737), 1,
      anon_sym_PIPE,
    STATE(5885), 1,
      sym_comment,
  [189075] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5886), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189090] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5887), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189105] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(9672), 1,
      anon_sym_EQ,
    STATE(5888), 1,
      sym_comment,
    STATE(7322), 1,
      sym_type_parameters,
  [189124] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8126), 1,
      anon_sym_COMMA,
    ACTIONS(9674), 1,
      anon_sym_RBRACE,
    STATE(5889), 1,
      sym_comment,
    STATE(6230), 1,
      aux_sym_object_repeat1,
  [189143] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5890), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5891), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189173] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8126), 1,
      anon_sym_COMMA,
    ACTIONS(9674), 1,
      anon_sym_RBRACE,
    STATE(5802), 1,
      aux_sym_object_repeat1,
    STATE(5892), 1,
      sym_comment,
  [189192] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5893), 1,
      sym_comment,
    ACTIONS(9583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189207] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5894), 1,
      sym_comment,
    ACTIONS(9583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189222] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8081), 1,
      anon_sym_LBRACE,
    ACTIONS(8083), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1304), 1,
      sym_object_type,
    STATE(5895), 1,
      sym_comment,
  [189241] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9676), 1,
      anon_sym_COMMA,
    ACTIONS(9679), 1,
      anon_sym_GT,
    STATE(5896), 2,
      sym_comment,
      aux_sym_type_parameters_repeat1,
  [189258] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9681), 1,
      anon_sym_COMMA,
    ACTIONS(9683), 1,
      anon_sym_RBRACE,
    STATE(5897), 1,
      sym_comment,
    STATE(5945), 1,
      aux_sym_enum_body_repeat1,
  [189277] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(9685), 1,
      anon_sym_RPAREN,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(5898), 1,
      sym_comment,
  [189296] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8898), 1,
      anon_sym_COMMA,
    ACTIONS(9687), 1,
      anon_sym_RBRACE,
    STATE(5899), 1,
      sym_comment,
    STATE(6222), 1,
      aux_sym_object_pattern_repeat1,
  [189315] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6285), 1,
      sym__automatic_semicolon,
    STATE(5900), 1,
      sym_comment,
    ACTIONS(2303), 2,
      anon_sym_else,
      anon_sym_while,
  [189332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5901), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189347] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9689), 1,
      anon_sym_COMMA,
    ACTIONS(9691), 1,
      anon_sym_GT,
    STATE(5902), 1,
      sym_comment,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
  [189366] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9693), 1,
      sym_identifier,
    ACTIONS(9695), 1,
      anon_sym_LBRACK,
    ACTIONS(9697), 1,
      sym_private_property_identifier,
    STATE(5903), 1,
      sym_comment,
  [189385] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5904), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189400] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9699), 1,
      anon_sym_COMMA,
    ACTIONS(9701), 1,
      anon_sym_GT,
    STATE(5905), 1,
      sym_comment,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
  [189419] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9703), 1,
      sym_identifier,
    ACTIONS(9705), 1,
      anon_sym_LBRACK,
    ACTIONS(9707), 1,
      sym_private_property_identifier,
    STATE(5906), 1,
      sym_comment,
  [189438] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9709), 1,
      anon_sym_COMMA,
    ACTIONS(9711), 1,
      anon_sym_GT,
    STATE(5907), 1,
      sym_comment,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
  [189457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5908), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5909), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189487] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9713), 1,
      sym_identifier,
    ACTIONS(9715), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym_private_property_identifier,
    STATE(5910), 1,
      sym_comment,
  [189506] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8126), 1,
      anon_sym_COMMA,
    ACTIONS(9719), 1,
      anon_sym_RBRACE,
    STATE(5911), 1,
      sym_comment,
    STATE(6224), 1,
      aux_sym_object_repeat1,
  [189525] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5912), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5913), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189555] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6287), 1,
      sym__automatic_semicolon,
    STATE(5914), 1,
      sym_comment,
    ACTIONS(2291), 2,
      anon_sym_else,
      anon_sym_while,
  [189572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5915), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189587] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6330), 1,
      sym__automatic_semicolon,
    STATE(5916), 1,
      sym_comment,
    ACTIONS(2287), 2,
      anon_sym_else,
      anon_sym_while,
  [189604] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5917), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189619] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5918), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189634] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8126), 1,
      anon_sym_COMMA,
    ACTIONS(9719), 1,
      anon_sym_RBRACE,
    STATE(5919), 1,
      sym_comment,
    STATE(6230), 1,
      aux_sym_object_repeat1,
  [189653] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6381), 1,
      sym__automatic_semicolon,
    STATE(5920), 1,
      sym_comment,
    ACTIONS(2275), 2,
      anon_sym_else,
      anon_sym_while,
  [189670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5921), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189685] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9721), 1,
      anon_sym_COMMA,
    ACTIONS(9723), 1,
      anon_sym_RBRACK,
    STATE(5922), 1,
      sym_comment,
    STATE(6182), 1,
      aux_sym_tuple_type_repeat1,
  [189704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5923), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189719] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8898), 1,
      anon_sym_COMMA,
    ACTIONS(9687), 1,
      anon_sym_RBRACE,
    STATE(5924), 1,
      sym_comment,
    STATE(6231), 1,
      aux_sym_object_pattern_repeat1,
  [189738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9725), 1,
      anon_sym_EQ,
    STATE(5925), 1,
      sym_comment,
    ACTIONS(9553), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [189755] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5926), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189770] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7140), 1,
      anon_sym_LT,
    ACTIONS(9727), 1,
      anon_sym_EQ,
    STATE(5927), 1,
      sym_comment,
    STATE(7390), 1,
      sym_type_parameters,
  [189789] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9729), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LBRACK,
    ACTIONS(9733), 1,
      sym_private_property_identifier,
    STATE(5928), 1,
      sym_comment,
  [189808] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5929), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189823] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9735), 1,
      sym_identifier,
    ACTIONS(9737), 1,
      anon_sym_LBRACK,
    ACTIONS(9739), 1,
      sym_private_property_identifier,
    STATE(5930), 1,
      sym_comment,
  [189842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5931), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189857] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9741), 1,
      sym_identifier,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    ACTIONS(9745), 1,
      sym_private_property_identifier,
    STATE(5932), 1,
      sym_comment,
  [189876] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5933), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189891] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LBRACK,
    ACTIONS(9751), 1,
      sym_private_property_identifier,
    STATE(5934), 1,
      sym_comment,
  [189910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    ACTIONS(9753), 1,
      anon_sym_COMMA,
    STATE(5935), 2,
      sym_comment,
      aux_sym_implements_clause_repeat1,
  [189927] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9756), 1,
      anon_sym_COMMA,
    ACTIONS(9758), 1,
      anon_sym_RBRACK,
    STATE(5936), 1,
      sym_comment,
    STATE(6182), 1,
      aux_sym_tuple_type_repeat1,
  [189946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5937), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189961] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5938), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189976] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5939), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189991] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5940), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190006] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8351), 1,
      anon_sym_COMMA,
    ACTIONS(9760), 1,
      anon_sym_LBRACE,
    STATE(5935), 1,
      aux_sym_implements_clause_repeat1,
    STATE(5941), 1,
      sym_comment,
  [190025] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6409), 1,
      sym__automatic_semicolon,
    STATE(5942), 1,
      sym_comment,
    ACTIONS(2271), 2,
      anon_sym_else,
      anon_sym_while,
  [190042] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9762), 1,
      anon_sym_COMMA,
    ACTIONS(9764), 1,
      anon_sym_RBRACE,
    STATE(5943), 1,
      sym_comment,
    STATE(6229), 1,
      aux_sym_enum_body_repeat1,
  [190061] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7920), 1,
      anon_sym_const,
    ACTIONS(9156), 1,
      sym_identifier,
    STATE(5944), 1,
      sym_comment,
    STATE(6786), 1,
      sym_type_parameter,
  [190080] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9766), 1,
      anon_sym_COMMA,
    ACTIONS(9768), 1,
      anon_sym_RBRACE,
    STATE(5945), 1,
      sym_comment,
    STATE(6229), 1,
      aux_sym_enum_body_repeat1,
  [190099] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9770), 1,
      anon_sym_COMMA,
    ACTIONS(9772), 1,
      anon_sym_GT,
    STATE(5896), 1,
      aux_sym_type_parameters_repeat1,
    STATE(5946), 1,
      sym_comment,
  [190118] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5947), 1,
      sym_comment,
    ACTIONS(9583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190133] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5948), 1,
      sym_comment,
    ACTIONS(9583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190148] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7044), 1,
      anon_sym_AMP,
    ACTIONS(7052), 1,
      anon_sym_PIPE,
    ACTIONS(7054), 1,
      anon_sym_extends,
    STATE(5949), 1,
      sym_comment,
  [190167] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5950), 1,
      sym_comment,
    ACTIONS(9774), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [190182] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5951), 1,
      sym_comment,
    ACTIONS(9585), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190197] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9776), 1,
      anon_sym_EQ,
    STATE(5952), 1,
      sym_comment,
    ACTIONS(9553), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [190214] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9778), 1,
      anon_sym_COMMA,
    ACTIONS(9780), 1,
      anon_sym_RBRACK,
    STATE(5922), 1,
      aux_sym_tuple_type_repeat1,
    STATE(5953), 1,
      sym_comment,
  [190233] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5954), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190248] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9628), 1,
      anon_sym_LBRACE,
    ACTIONS(9782), 1,
      sym_identifier,
    STATE(5566), 1,
      sym_export_clause,
    STATE(5955), 1,
      sym_comment,
  [190267] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    ACTIONS(9624), 1,
      anon_sym_as,
    STATE(5956), 1,
      sym_comment,
    STATE(6552), 1,
      sym__from_clause,
  [190286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5957), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190301] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9784), 1,
      sym_identifier,
    ACTIONS(9786), 1,
      anon_sym_LBRACK,
    ACTIONS(9788), 1,
      sym_private_property_identifier,
    STATE(5958), 1,
      sym_comment,
  [190320] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5959), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190335] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5960), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190350] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9790), 1,
      anon_sym_COMMA,
    ACTIONS(9792), 1,
      anon_sym_RBRACE,
    STATE(5961), 1,
      sym_comment,
    STATE(6229), 1,
      aux_sym_enum_body_repeat1,
  [190369] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5962), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190384] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(9794), 1,
      anon_sym_RPAREN,
    STATE(5963), 1,
      sym_comment,
    STATE(7298), 1,
      sym_type_annotation,
  [190403] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8175), 1,
      anon_sym_DOT,
    STATE(5964), 1,
      sym_comment,
    ACTIONS(9796), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [190420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4992), 1,
      anon_sym_LBRACE,
    STATE(5965), 1,
      sym_comment,
    ACTIONS(4994), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [190437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    STATE(5966), 1,
      sym_comment,
    ACTIONS(4990), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [190454] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4980), 1,
      anon_sym_LBRACE,
    STATE(5967), 1,
      sym_comment,
    ACTIONS(4982), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [190471] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5968), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5002), 1,
      anon_sym_LBRACE,
    STATE(5969), 1,
      sym_comment,
    ACTIONS(5004), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [190503] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5002), 1,
      anon_sym_LBRACE,
    STATE(5970), 1,
      sym_comment,
    ACTIONS(5004), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [190520] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5068), 1,
      anon_sym_LBRACE,
    STATE(5971), 1,
      sym_comment,
    ACTIONS(5070), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [190537] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5068), 1,
      anon_sym_LBRACE,
    STATE(5972), 1,
      sym_comment,
    ACTIONS(5070), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [190554] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5086), 1,
      anon_sym_LBRACE,
    STATE(5973), 1,
      sym_comment,
    ACTIONS(5088), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [190571] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5308), 1,
      anon_sym_LBRACE,
    STATE(5974), 1,
      sym_comment,
    ACTIONS(5310), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [190588] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5975), 1,
      sym_comment,
    ACTIONS(9583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190603] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9798), 1,
      sym_identifier,
    ACTIONS(9800), 1,
      anon_sym_require,
    STATE(5976), 1,
      sym_comment,
    STATE(6381), 1,
      sym_nested_identifier,
  [190622] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5331), 1,
      anon_sym_LBRACE,
    STATE(5977), 1,
      sym_comment,
    ACTIONS(5333), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [190639] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5327), 1,
      anon_sym_LBRACE,
    STATE(5978), 1,
      sym_comment,
    ACTIONS(5329), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [190656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8745), 1,
      anon_sym_GT,
    ACTIONS(9802), 1,
      anon_sym_COMMA,
    STATE(5979), 2,
      sym_comment,
      aux_sym_type_arguments_repeat1,
  [190673] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5980), 1,
      sym_comment,
    ACTIONS(9583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190688] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5981), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190703] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9805), 1,
      anon_sym_COMMA,
    ACTIONS(9807), 1,
      anon_sym_RBRACE,
    STATE(5982), 1,
      sym_comment,
    STATE(6229), 1,
      aux_sym_enum_body_repeat1,
  [190722] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5983), 1,
      sym_comment,
    ACTIONS(8161), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [190737] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9628), 1,
      anon_sym_LBRACE,
    ACTIONS(9809), 1,
      sym_identifier,
    STATE(5574), 1,
      sym_export_clause,
    STATE(5984), 1,
      sym_comment,
  [190756] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    ACTIONS(9624), 1,
      anon_sym_as,
    STATE(5985), 1,
      sym_comment,
    STATE(6637), 1,
      sym__from_clause,
  [190775] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5986), 1,
      sym_comment,
    ACTIONS(9811), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190790] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9813), 1,
      anon_sym_COMMA,
    ACTIONS(9815), 1,
      anon_sym_RPAREN,
    STATE(5987), 1,
      sym_comment,
    STATE(6340), 1,
      aux_sym_formal_parameters_repeat1,
  [190809] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5988), 1,
      sym_comment,
    ACTIONS(9817), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190824] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3118), 1,
      anon_sym_while,
    ACTIONS(9819), 1,
      anon_sym_else,
    STATE(5989), 1,
      sym_comment,
    STATE(6748), 1,
      sym_else_clause,
  [190843] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(9821), 1,
      anon_sym_RPAREN,
    STATE(5990), 1,
      sym_comment,
    STATE(7232), 1,
      sym_type_annotation,
  [190862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5991), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190877] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5992), 1,
      sym_comment,
    ACTIONS(9823), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190892] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5993), 1,
      sym_comment,
    ACTIONS(9825), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190907] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9800), 1,
      anon_sym_require,
    ACTIONS(9827), 1,
      sym_identifier,
    STATE(5994), 1,
      sym_comment,
    STATE(6411), 1,
      sym_nested_identifier,
  [190926] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5995), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190941] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5996), 1,
      sym_comment,
    ACTIONS(9829), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [190956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5997), 1,
      sym_comment,
    ACTIONS(9831), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190971] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5998), 1,
      sym_comment,
    ACTIONS(9833), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190986] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9835), 1,
      anon_sym_LBRACE,
    STATE(5999), 1,
      sym_comment,
    ACTIONS(8796), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [191003] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9628), 1,
      anon_sym_LBRACE,
    ACTIONS(9837), 1,
      sym_identifier,
    STATE(5677), 1,
      sym_export_clause,
    STATE(6000), 1,
      sym_comment,
  [191022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6001), 1,
      sym_comment,
    ACTIONS(9531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191037] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    ACTIONS(9624), 1,
      anon_sym_as,
    STATE(6002), 1,
      sym_comment,
    STATE(7052), 1,
      sym__from_clause,
  [191056] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6003), 1,
      sym_comment,
    ACTIONS(9839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191071] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6004), 1,
      sym_comment,
    ACTIONS(9825), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191086] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6005), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191101] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6006), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6007), 1,
      sym_comment,
    ACTIONS(9531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191131] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6008), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191146] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6009), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191161] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6010), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191176] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9847), 1,
      anon_sym_await,
    STATE(83), 1,
      sym__for_header,
    STATE(6011), 1,
      sym_comment,
  [191195] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6012), 1,
      sym_comment,
    ACTIONS(9811), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191210] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6013), 1,
      sym_comment,
    ACTIONS(9849), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191225] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6014), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191240] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9853), 1,
      sym_identifier,
    ACTIONS(9855), 1,
      anon_sym_SEMI,
    ACTIONS(9857), 1,
      sym__automatic_semicolon,
    STATE(6015), 1,
      sym_comment,
  [191259] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9859), 1,
      sym_identifier,
    ACTIONS(9861), 1,
      anon_sym_SEMI,
    ACTIONS(9863), 1,
      sym__automatic_semicolon,
    STATE(6016), 1,
      sym_comment,
  [191278] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6017), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191293] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9865), 1,
      sym_identifier,
    STATE(3587), 1,
      sym_decorator_member_expression,
    STATE(3725), 1,
      sym_decorator_call_expression,
    STATE(6018), 1,
      sym_comment,
  [191312] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9400), 1,
      anon_sym_COMMA,
    ACTIONS(9489), 1,
      anon_sym_RBRACK,
    STATE(6019), 1,
      sym_comment,
    STATE(6455), 1,
      aux_sym_array_pattern_repeat1,
  [191331] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6020), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191346] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9867), 1,
      anon_sym_LBRACE,
    STATE(6021), 1,
      sym_comment,
    ACTIONS(8819), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [191363] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6022), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191378] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5871), 1,
      anon_sym_RBRACK,
    STATE(6023), 1,
      sym_comment,
    STATE(6453), 1,
      aux_sym_array_repeat1,
  [191397] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6024), 1,
      sym_comment,
    ACTIONS(9869), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191412] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5871), 1,
      anon_sym_RBRACK,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(6025), 1,
      sym_comment,
  [191431] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9400), 1,
      anon_sym_COMMA,
    ACTIONS(9489), 1,
      anon_sym_RBRACK,
    STATE(6026), 1,
      sym_comment,
    STATE(6376), 1,
      aux_sym_array_pattern_repeat1,
  [191450] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6027), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191465] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6028), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191480] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9871), 1,
      anon_sym_DQUOTE,
    STATE(6029), 1,
      sym_comment,
    ACTIONS(9873), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [191497] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6030), 1,
      sym_comment,
    ACTIONS(9869), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191512] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9875), 1,
      anon_sym_SQUOTE,
    STATE(6031), 1,
      sym_comment,
    ACTIONS(9877), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [191529] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6032), 1,
      sym_comment,
    ACTIONS(9879), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191544] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6033), 1,
      sym_comment,
    ACTIONS(9849), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191559] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7920), 1,
      anon_sym_const,
    ACTIONS(9156), 1,
      sym_identifier,
    STATE(6034), 1,
      sym_comment,
    STATE(6068), 1,
      sym_type_parameter,
  [191578] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6035), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191593] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6036), 1,
      sym_comment,
    ACTIONS(9881), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191608] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7508), 1,
      anon_sym_implements,
    ACTIONS(9883), 1,
      anon_sym_LBRACE,
    STATE(6037), 1,
      sym_comment,
    STATE(7228), 1,
      sym_implements_clause,
  [191627] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9887), 1,
      anon_sym_SEMI,
    ACTIONS(9889), 1,
      sym__automatic_semicolon,
    STATE(6038), 1,
      sym_comment,
  [191646] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9891), 1,
      sym_identifier,
    ACTIONS(9893), 1,
      anon_sym_SEMI,
    ACTIONS(9895), 1,
      sym__automatic_semicolon,
    STATE(6039), 1,
      sym_comment,
  [191665] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6040), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191680] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6041), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191695] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6042), 1,
      sym_comment,
    ACTIONS(9897), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6043), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191725] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6044), 1,
      sym_comment,
    ACTIONS(9869), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191740] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6045), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191755] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6046), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191770] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9899), 1,
      anon_sym_LPAREN,
    ACTIONS(9901), 1,
      anon_sym_await,
    STATE(80), 1,
      sym__for_header,
    STATE(6047), 1,
      sym_comment,
  [191789] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6048), 1,
      sym_comment,
    ACTIONS(9903), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191804] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6049), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191819] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6050), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9905), 1,
      anon_sym_COMMA,
    ACTIONS(9908), 1,
      anon_sym_RPAREN,
    STATE(6051), 2,
      sym_comment,
      aux_sym_formal_parameters_repeat1,
  [191851] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6052), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6053), 1,
      sym_comment,
    ACTIONS(9881), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191881] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6054), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6055), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191911] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6056), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191926] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6057), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191941] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(9910), 1,
      anon_sym_RPAREN,
    STATE(6058), 1,
      sym_comment,
    STATE(7187), 1,
      sym_type_annotation,
  [191960] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6059), 1,
      sym_comment,
    ACTIONS(8061), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [191975] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6060), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191990] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6061), 1,
      sym_comment,
    ACTIONS(9849), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192005] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6062), 1,
      sym_comment,
    ACTIONS(9912), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6063), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192035] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6064), 1,
      sym_comment,
    ACTIONS(9914), 3,
      anon_sym_default,
      anon_sym_RBRACE,
      anon_sym_case,
  [192050] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6065), 1,
      sym_comment,
    ACTIONS(9467), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192065] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6066), 1,
      sym_comment,
    ACTIONS(9916), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6067), 1,
      sym_comment,
    ACTIONS(9918), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192095] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9920), 1,
      anon_sym_COMMA,
    ACTIONS(9922), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6068), 1,
      sym_comment,
  [192114] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9800), 1,
      anon_sym_require,
    ACTIONS(9924), 1,
      sym_identifier,
    STATE(5871), 1,
      sym_nested_identifier,
    STATE(6069), 1,
      sym_comment,
  [192133] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6070), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192148] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6071), 1,
      sym_comment,
    ACTIONS(9912), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192163] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6072), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192178] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6073), 1,
      sym_comment,
    ACTIONS(9926), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [192195] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6074), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192210] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6075), 1,
      sym_comment,
    ACTIONS(9525), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192225] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6076), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7936), 1,
      anon_sym_DOT,
    STATE(6077), 1,
      sym_comment,
    ACTIONS(9926), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [192257] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9628), 1,
      anon_sym_LBRACE,
    ACTIONS(9928), 1,
      sym_identifier,
    STATE(5771), 1,
      sym_export_clause,
    STATE(6078), 1,
      sym_comment,
  [192276] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    ACTIONS(9624), 1,
      anon_sym_as,
    STATE(6079), 1,
      sym_comment,
    STATE(6546), 1,
      sym__from_clause,
  [192295] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9930), 1,
      anon_sym_COMMA,
    ACTIONS(9932), 1,
      anon_sym_RBRACE,
    STATE(5810), 1,
      aux_sym_named_imports_repeat1,
    STATE(6080), 1,
      sym_comment,
  [192314] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7184), 1,
      anon_sym_type,
    ACTIONS(9547), 1,
      sym_identifier,
    STATE(6081), 1,
      sym_comment,
    STATE(6596), 1,
      sym__import_identifier,
  [192333] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6082), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6083), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192363] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6084), 1,
      sym_comment,
    ACTIONS(9525), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6085), 1,
      sym_comment,
    ACTIONS(9525), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192393] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7184), 1,
      anon_sym_type,
    ACTIONS(9547), 1,
      sym_identifier,
    STATE(6086), 1,
      sym_comment,
    STATE(6566), 1,
      sym__import_identifier,
  [192412] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6087), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192427] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9934), 1,
      anon_sym_as,
    STATE(6088), 1,
      sym_comment,
    ACTIONS(9936), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [192444] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6089), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192459] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6090), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192474] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8159), 1,
      anon_sym_EQ,
    STATE(6091), 1,
      sym_comment,
    ACTIONS(4330), 2,
      anon_sym_in,
      anon_sym_of,
  [192491] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6407), 1,
      sym__automatic_semicolon,
    STATE(6092), 1,
      sym_comment,
    ACTIONS(2347), 2,
      anon_sym_else,
      anon_sym_while,
  [192508] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6093), 1,
      sym_comment,
    ACTIONS(9525), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192523] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6094), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192538] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6095), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192553] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6096), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192568] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6097), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192583] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6098), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192598] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6425), 1,
      sym__automatic_semicolon,
    STATE(6099), 1,
      sym_comment,
    ACTIONS(2311), 2,
      anon_sym_else,
      anon_sym_while,
  [192615] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9938), 1,
      sym__glimmer_template_content,
    ACTIONS(9941), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(6100), 2,
      sym_comment,
      aux_sym_glimmer_template_repeat1,
  [192632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6427), 1,
      sym__automatic_semicolon,
    STATE(6101), 1,
      sym_comment,
    ACTIONS(2317), 2,
      anon_sym_else,
      anon_sym_while,
  [192649] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6102), 1,
      sym_comment,
    ACTIONS(9525), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192664] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6103), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192679] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6482), 1,
      sym__automatic_semicolon,
    STATE(6104), 1,
      sym_comment,
    ACTIONS(2329), 2,
      anon_sym_else,
      anon_sym_while,
  [192696] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6105), 1,
      sym_comment,
    ACTIONS(9912), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192711] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6106), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6486), 1,
      sym__automatic_semicolon,
    STATE(6107), 1,
      sym_comment,
    ACTIONS(2333), 2,
      anon_sym_else,
      anon_sym_while,
  [192743] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6108), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6109), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192773] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9943), 1,
      anon_sym_LBRACE,
    ACTIONS(9945), 1,
      anon_sym_LPAREN,
    STATE(1000), 1,
      sym_statement_block,
    STATE(6110), 1,
      sym_comment,
  [192792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6111), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192807] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6112), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192822] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6113), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192837] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6114), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6115), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192867] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6116), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192882] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8827), 1,
      anon_sym_DOT,
    ACTIONS(9640), 1,
      anon_sym_COLON,
    ACTIONS(9947), 1,
      anon_sym_GT,
    STATE(6117), 1,
      sym_comment,
  [192901] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6118), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192916] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8049), 1,
      sym_identifier,
    STATE(6119), 1,
      sym_comment,
    ACTIONS(8053), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [192933] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9398), 1,
      anon_sym_EQ,
    STATE(6120), 1,
      sym_comment,
    ACTIONS(9949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [192950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6121), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192965] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6122), 1,
      sym_comment,
    ACTIONS(9525), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6123), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192995] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9951), 1,
      anon_sym_LPAREN,
    ACTIONS(9953), 1,
      anon_sym_await,
    STATE(122), 1,
      sym__for_header,
    STATE(6124), 1,
      sym_comment,
  [193014] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6125), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193029] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6126), 1,
      sym_comment,
    ACTIONS(9525), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193044] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9955), 1,
      sym_identifier,
    ACTIONS(9957), 1,
      anon_sym_SEMI,
    ACTIONS(9959), 1,
      sym__automatic_semicolon,
    STATE(6127), 1,
      sym_comment,
  [193063] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9961), 1,
      sym_identifier,
    ACTIONS(9963), 1,
      anon_sym_SEMI,
    ACTIONS(9965), 1,
      sym__automatic_semicolon,
    STATE(6128), 1,
      sym_comment,
  [193082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6129), 1,
      sym_comment,
    ACTIONS(9912), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193097] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6130), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193112] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1344), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8018), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5030), 1,
      sym_object_type,
    STATE(6131), 1,
      sym_comment,
  [193131] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6132), 1,
      sym_comment,
    ACTIONS(9967), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193146] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6133), 1,
      sym_comment,
    ACTIONS(9967), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193161] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9969), 1,
      sym_identifier,
    STATE(2054), 1,
      sym_decorator_member_expression,
    STATE(2108), 1,
      sym_decorator_call_expression,
    STATE(6134), 1,
      sym_comment,
  [193180] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5863), 1,
      anon_sym_RPAREN,
    STATE(6135), 1,
      sym_comment,
    STATE(6188), 1,
      aux_sym_array_repeat1,
  [193199] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5863), 1,
      anon_sym_RPAREN,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(6136), 1,
      sym_comment,
  [193218] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9971), 1,
      anon_sym_DQUOTE,
    ACTIONS(9973), 1,
      anon_sym_SQUOTE,
    STATE(6137), 1,
      sym_comment,
    STATE(6257), 1,
      sym_string,
  [193237] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6138), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193252] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6139), 1,
      sym_comment,
    ACTIONS(9912), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193267] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6140), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193282] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6141), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193297] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6142), 1,
      sym_comment,
    ACTIONS(9912), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6143), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193327] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6144), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6145), 1,
      sym_comment,
    ACTIONS(9975), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [193357] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8827), 1,
      anon_sym_DOT,
    ACTIONS(9640), 1,
      anon_sym_COLON,
    ACTIONS(9977), 1,
      anon_sym_GT,
    STATE(6146), 1,
      sym_comment,
  [193376] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_RBRACE,
    STATE(6147), 1,
      sym_comment,
    STATE(6218), 1,
      aux_sym_export_clause_repeat1,
  [193395] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6148), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6149), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193425] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6150), 1,
      sym_comment,
    ACTIONS(9525), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6151), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193455] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8898), 1,
      anon_sym_COMMA,
    ACTIONS(9983), 1,
      anon_sym_RBRACE,
    STATE(6152), 1,
      sym_comment,
    STATE(6237), 1,
      aux_sym_object_pattern_repeat1,
  [193474] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8126), 1,
      anon_sym_COMMA,
    ACTIONS(9985), 1,
      anon_sym_RBRACE,
    STATE(6153), 1,
      sym_comment,
    STATE(6243), 1,
      aux_sym_object_repeat1,
  [193493] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9987), 1,
      anon_sym_as,
    STATE(6154), 1,
      sym_comment,
    ACTIONS(9989), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [193510] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8126), 1,
      anon_sym_COMMA,
    ACTIONS(9985), 1,
      anon_sym_RBRACE,
    STATE(6155), 1,
      sym_comment,
    STATE(6230), 1,
      aux_sym_object_repeat1,
  [193529] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6156), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193544] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8898), 1,
      anon_sym_COMMA,
    ACTIONS(9983), 1,
      anon_sym_RBRACE,
    STATE(6157), 1,
      sym_comment,
    STATE(6231), 1,
      aux_sym_object_pattern_repeat1,
  [193563] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6158), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193578] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6159), 1,
      sym_comment,
    ACTIONS(9525), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193593] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6160), 1,
      sym_comment,
    ACTIONS(9525), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193608] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7936), 1,
      anon_sym_DOT,
    STATE(6161), 1,
      sym_comment,
    ACTIONS(9991), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [193625] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6162), 1,
      sym_comment,
    ACTIONS(9991), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [193642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6163), 1,
      sym_comment,
    ACTIONS(3418), 3,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
  [193657] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6502), 1,
      sym__automatic_semicolon,
    STATE(6164), 1,
      sym_comment,
    ACTIONS(2341), 2,
      anon_sym_else,
      anon_sym_while,
  [193674] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6165), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6166), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193704] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6445), 1,
      sym__automatic_semicolon,
    STATE(6167), 1,
      sym_comment,
    ACTIONS(2357), 2,
      anon_sym_else,
      anon_sym_while,
  [193721] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(9993), 1,
      anon_sym_RPAREN,
    STATE(6168), 1,
      sym_comment,
    STATE(7283), 1,
      sym_type_annotation,
  [193740] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6169), 1,
      sym_comment,
    ACTIONS(3136), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [193755] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9995), 1,
      anon_sym_COMMA,
    ACTIONS(9997), 1,
      anon_sym_RPAREN,
    STATE(6170), 1,
      sym_comment,
    STATE(6260), 1,
      aux_sym_formal_parameters_repeat1,
  [193774] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9999), 1,
      anon_sym_COMMA,
    ACTIONS(10001), 1,
      anon_sym_RBRACK,
    STATE(6171), 1,
      sym_comment,
    STATE(6219), 1,
      aux_sym_tuple_type_repeat1,
  [193793] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6172), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193808] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6173), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193823] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9400), 1,
      anon_sym_COMMA,
    ACTIONS(9402), 1,
      anon_sym_RBRACK,
    STATE(6174), 1,
      sym_comment,
    STATE(6265), 1,
      aux_sym_array_pattern_repeat1,
  [193842] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4861), 1,
      anon_sym_extends,
    ACTIONS(10003), 1,
      anon_sym_AMP,
    ACTIONS(10005), 1,
      anon_sym_PIPE,
    STATE(6175), 1,
      sym_comment,
  [193861] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5912), 1,
      anon_sym_RBRACK,
    STATE(6176), 1,
      sym_comment,
    STATE(6264), 1,
      aux_sym_array_repeat1,
  [193880] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6177), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193895] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5912), 1,
      anon_sym_RBRACK,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(6178), 1,
      sym_comment,
  [193914] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9400), 1,
      anon_sym_COMMA,
    ACTIONS(9402), 1,
      anon_sym_RBRACK,
    STATE(6179), 1,
      sym_comment,
    STATE(6376), 1,
      aux_sym_array_pattern_repeat1,
  [193933] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8126), 1,
      anon_sym_COMMA,
    ACTIONS(10007), 1,
      anon_sym_RBRACE,
    STATE(6180), 1,
      sym_comment,
    STATE(6230), 1,
      aux_sym_object_repeat1,
  [193952] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8898), 1,
      anon_sym_COMMA,
    ACTIONS(10009), 1,
      anon_sym_RBRACE,
    STATE(6181), 1,
      sym_comment,
    STATE(6231), 1,
      aux_sym_object_pattern_repeat1,
  [193971] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10014), 1,
      anon_sym_RBRACK,
    STATE(6182), 2,
      sym_comment,
      aux_sym_tuple_type_repeat1,
  [193988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6183), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194003] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6184), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194018] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1344), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8018), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4994), 1,
      sym_object_type,
    STATE(6185), 1,
      sym_comment,
  [194037] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9800), 1,
      anon_sym_require,
    ACTIONS(10016), 1,
      sym_identifier,
    STATE(6186), 1,
      sym_comment,
    STATE(6358), 1,
      sym_nested_identifier,
  [194056] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10018), 1,
      anon_sym_COMMA,
    ACTIONS(10020), 1,
      anon_sym_RBRACE,
    STATE(6187), 1,
      sym_comment,
    STATE(6228), 1,
      aux_sym_enum_body_repeat1,
  [194075] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(10022), 1,
      anon_sym_RPAREN,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(6188), 1,
      sym_comment,
  [194094] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6189), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194109] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10024), 1,
      anon_sym_COMMA,
    ACTIONS(10026), 1,
      anon_sym_GT,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6190), 1,
      sym_comment,
  [194128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6191), 1,
      sym_comment,
    ACTIONS(9525), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194143] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10028), 1,
      anon_sym_COMMA,
    ACTIONS(10030), 1,
      anon_sym_GT,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6192), 1,
      sym_comment,
  [194162] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6193), 1,
      sym_comment,
    ACTIONS(10032), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [194177] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10034), 1,
      anon_sym_COMMA,
    ACTIONS(10036), 1,
      anon_sym_GT,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6194), 1,
      sym_comment,
  [194196] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6195), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194211] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6196), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194226] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10038), 1,
      sym_identifier,
    ACTIONS(10040), 1,
      anon_sym_LBRACK,
    ACTIONS(10042), 1,
      sym_private_property_identifier,
    STATE(6197), 1,
      sym_comment,
  [194245] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6198), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6199), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194275] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6200), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194290] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10046), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(6201), 1,
      sym_comment,
    ACTIONS(10044), 2,
      sym_html_character_reference,
      anon_sym_DQUOTE,
  [194307] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_GT,
    STATE(6202), 1,
      sym_comment,
    STATE(6287), 1,
      aux_sym_type_parameters_repeat1,
  [194326] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6203), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194341] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10054), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(6204), 1,
      sym_comment,
    ACTIONS(10052), 2,
      sym_html_character_reference,
      anon_sym_SQUOTE,
  [194358] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6205), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194373] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6206), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194388] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6207), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194403] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6208), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194418] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7920), 1,
      anon_sym_const,
    ACTIONS(9156), 1,
      sym_identifier,
    STATE(6202), 1,
      sym_type_parameter,
    STATE(6209), 1,
      sym_comment,
  [194437] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6210), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6211), 1,
      sym_comment,
    ACTIONS(9851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194467] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6212), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194482] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6213), 1,
      sym_comment,
    ACTIONS(3138), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [194497] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6214), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194512] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6215), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194527] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6216), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194542] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10056), 1,
      sym_identifier,
    ACTIONS(10058), 1,
      anon_sym_LBRACK,
    ACTIONS(10060), 1,
      sym_private_property_identifier,
    STATE(6217), 1,
      sym_comment,
  [194561] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10062), 1,
      anon_sym_COMMA,
    ACTIONS(10064), 1,
      anon_sym_RBRACE,
    STATE(5815), 1,
      aux_sym_export_clause_repeat1,
    STATE(6218), 1,
      sym_comment,
  [194580] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10066), 1,
      anon_sym_COMMA,
    ACTIONS(10068), 1,
      anon_sym_RBRACK,
    STATE(6182), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6219), 1,
      sym_comment,
  [194599] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8872), 1,
      anon_sym_LBRACE,
    STATE(6220), 1,
      sym_comment,
    ACTIONS(8874), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [194616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6221), 1,
      sym_comment,
    ACTIONS(10070), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [194631] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8898), 1,
      anon_sym_COMMA,
    ACTIONS(10072), 1,
      anon_sym_RBRACE,
    STATE(6222), 1,
      sym_comment,
    STATE(6231), 1,
      aux_sym_object_pattern_repeat1,
  [194650] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10074), 1,
      anon_sym_as,
    STATE(6223), 1,
      sym_comment,
    ACTIONS(10076), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [194667] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8126), 1,
      anon_sym_COMMA,
    ACTIONS(10078), 1,
      anon_sym_RBRACE,
    STATE(6224), 1,
      sym_comment,
    STATE(6230), 1,
      aux_sym_object_repeat1,
  [194686] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9628), 1,
      anon_sym_LBRACE,
    ACTIONS(10080), 1,
      sym_identifier,
    STATE(5666), 1,
      sym_export_clause,
    STATE(6225), 1,
      sym_comment,
  [194705] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10082), 1,
      anon_sym_COMMA,
    ACTIONS(10084), 1,
      anon_sym_RBRACE,
    STATE(6226), 1,
      sym_comment,
    STATE(6229), 1,
      aux_sym_enum_body_repeat1,
  [194724] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    ACTIONS(9624), 1,
      anon_sym_as,
    STATE(6227), 1,
      sym_comment,
    STATE(6838), 1,
      sym__from_clause,
  [194743] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10086), 1,
      anon_sym_COMMA,
    ACTIONS(10088), 1,
      anon_sym_RBRACE,
    STATE(6228), 1,
      sym_comment,
    STATE(6229), 1,
      aux_sym_enum_body_repeat1,
  [194762] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10090), 1,
      anon_sym_COMMA,
    ACTIONS(10093), 1,
      anon_sym_RBRACE,
    STATE(6229), 2,
      sym_comment,
      aux_sym_enum_body_repeat1,
  [194779] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10095), 1,
      anon_sym_COMMA,
    ACTIONS(10098), 1,
      anon_sym_RBRACE,
    STATE(6230), 2,
      sym_comment,
      aux_sym_object_repeat1,
  [194796] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10100), 1,
      anon_sym_COMMA,
    ACTIONS(10103), 1,
      anon_sym_RBRACE,
    STATE(6231), 2,
      sym_comment,
      aux_sym_object_pattern_repeat1,
  [194813] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6232), 1,
      sym_comment,
    ACTIONS(10105), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194828] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6233), 1,
      sym_comment,
    ACTIONS(10107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194843] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8126), 1,
      anon_sym_COMMA,
    ACTIONS(10109), 1,
      anon_sym_RBRACE,
    STATE(6230), 1,
      aux_sym_object_repeat1,
    STATE(6234), 1,
      sym_comment,
  [194862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6235), 1,
      sym_comment,
    ACTIONS(10111), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194877] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8898), 1,
      anon_sym_COMMA,
    ACTIONS(10113), 1,
      anon_sym_RBRACE,
    STATE(6231), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6236), 1,
      sym_comment,
  [194896] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8898), 1,
      anon_sym_COMMA,
    ACTIONS(10115), 1,
      anon_sym_RBRACE,
    STATE(6231), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6237), 1,
      sym_comment,
  [194915] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6238), 1,
      sym_comment,
    ACTIONS(10117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194930] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6239), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194945] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6240), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194960] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6241), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194975] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6242), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194990] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8126), 1,
      anon_sym_COMMA,
    ACTIONS(10121), 1,
      anon_sym_RBRACE,
    STATE(6230), 1,
      aux_sym_object_repeat1,
    STATE(6243), 1,
      sym_comment,
  [195009] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6244), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6245), 1,
      sym_comment,
    ACTIONS(9936), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [195039] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10125), 1,
      anon_sym_EQ,
    STATE(6246), 1,
      sym_comment,
    ACTIONS(9553), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [195056] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6247), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195071] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6248), 1,
      sym_comment,
    ACTIONS(10127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195086] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6249), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195101] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6250), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6251), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195131] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6252), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195146] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6253), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195161] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6254), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6255), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195191] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9438), 1,
      anon_sym_as,
    STATE(6256), 1,
      sym_comment,
    ACTIONS(9553), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [195208] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6257), 1,
      sym_comment,
    ACTIONS(10129), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [195223] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10131), 1,
      anon_sym_COMMA,
    ACTIONS(10133), 1,
      anon_sym_RBRACE,
    STATE(6080), 1,
      aux_sym_named_imports_repeat1,
    STATE(6258), 1,
      sym_comment,
  [195242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6259), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195257] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10135), 1,
      anon_sym_COMMA,
    ACTIONS(10137), 1,
      anon_sym_RPAREN,
    STATE(6051), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6260), 1,
      sym_comment,
  [195276] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9800), 1,
      anon_sym_require,
    ACTIONS(10139), 1,
      sym_identifier,
    STATE(6073), 1,
      sym_nested_identifier,
    STATE(6261), 1,
      sym_comment,
  [195295] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    ACTIONS(10141), 1,
      anon_sym_LPAREN,
    STATE(5788), 1,
      sym_statement_block,
    STATE(6262), 1,
      sym_comment,
  [195314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6263), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195329] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(10143), 1,
      anon_sym_RBRACK,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(6264), 1,
      sym_comment,
  [195348] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9400), 1,
      anon_sym_COMMA,
    ACTIONS(10145), 1,
      anon_sym_RBRACK,
    STATE(6265), 1,
      sym_comment,
    STATE(6376), 1,
      aux_sym_array_pattern_repeat1,
  [195367] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6266), 1,
      sym_comment,
    ACTIONS(10127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195382] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6267), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195397] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6268), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195412] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6269), 1,
      sym_comment,
    ACTIONS(10147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195427] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6270), 1,
      sym_comment,
    ACTIONS(10149), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6271), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6272), 1,
      sym_comment,
    ACTIONS(10147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6273), 1,
      sym_comment,
    ACTIONS(10151), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [195487] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6274), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195502] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6275), 1,
      sym_comment,
    ACTIONS(9811), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195517] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6276), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195532] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6277), 1,
      sym_comment,
    ACTIONS(9531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195547] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6278), 1,
      sym_comment,
    ACTIONS(10127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6279), 1,
      sym_comment,
    ACTIONS(9531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195577] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10153), 1,
      anon_sym_LPAREN,
    ACTIONS(10155), 1,
      anon_sym_await,
    STATE(111), 1,
      sym__for_header,
    STATE(6280), 1,
      sym_comment,
  [195596] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6281), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195611] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6282), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6283), 1,
      sym_comment,
    ACTIONS(9531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195641] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10157), 1,
      sym_identifier,
    ACTIONS(10159), 1,
      anon_sym_SEMI,
    ACTIONS(10161), 1,
      sym__automatic_semicolon,
    STATE(6284), 1,
      sym_comment,
  [195660] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10163), 1,
      sym_identifier,
    ACTIONS(10165), 1,
      anon_sym_SEMI,
    ACTIONS(10167), 1,
      sym__automatic_semicolon,
    STATE(6285), 1,
      sym_comment,
  [195679] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6286), 1,
      sym_comment,
    ACTIONS(8850), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195694] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10171), 1,
      anon_sym_GT,
    STATE(5896), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6287), 1,
      sym_comment,
  [195713] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6288), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195728] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5850), 1,
      anon_sym_RPAREN,
    STATE(6289), 1,
      sym_comment,
    STATE(6419), 1,
      aux_sym_array_repeat1,
  [195747] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5850), 1,
      anon_sym_RPAREN,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(6290), 1,
      sym_comment,
  [195766] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6291), 1,
      sym_comment,
    ACTIONS(10127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195781] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4131), 1,
      anon_sym_LPAREN,
    ACTIONS(10173), 1,
      anon_sym_DOT,
    STATE(4450), 1,
      sym_arguments,
    STATE(6292), 1,
      sym_comment,
  [195800] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6293), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195815] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6294), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6295), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195845] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6296), 1,
      sym_comment,
    ACTIONS(10175), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195860] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6297), 1,
      sym_comment,
    ACTIONS(10175), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195875] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6298), 1,
      sym_comment,
    ACTIONS(10177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195890] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6299), 1,
      sym_comment,
    ACTIONS(8850), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195905] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6300), 1,
      sym_comment,
    ACTIONS(10179), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6301), 1,
      sym_comment,
    ACTIONS(10181), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195935] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6302), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6303), 1,
      sym_comment,
    ACTIONS(10127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195965] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8827), 1,
      anon_sym_DOT,
    ACTIONS(9640), 1,
      anon_sym_COLON,
    ACTIONS(10183), 1,
      anon_sym_GT,
    STATE(6304), 1,
      sym_comment,
  [195984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6305), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195999] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10185), 1,
      anon_sym_COMMA,
    ACTIONS(10187), 1,
      anon_sym_GT,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6306), 1,
      sym_comment,
  [196018] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6307), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196033] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6308), 1,
      sym_comment,
    ACTIONS(10189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196048] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10191), 1,
      anon_sym_COMMA,
    ACTIONS(10193), 1,
      anon_sym_GT,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6309), 1,
      sym_comment,
  [196067] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6310), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196082] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10195), 1,
      anon_sym_COMMA,
    ACTIONS(10197), 1,
      anon_sym_GT,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6311), 1,
      sym_comment,
  [196101] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(10199), 1,
      anon_sym_RPAREN,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(6312), 1,
      sym_comment,
  [196120] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6313), 1,
      sym_comment,
    ACTIONS(10181), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196135] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6314), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6315), 1,
      sym_comment,
    ACTIONS(10201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196165] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6316), 1,
      sym_comment,
    ACTIONS(10127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196180] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6317), 1,
      sym_comment,
    ACTIONS(10203), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196195] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5858), 1,
      anon_sym_RPAREN,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(6318), 1,
      sym_comment,
  [196214] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5858), 1,
      anon_sym_RPAREN,
    STATE(6312), 1,
      aux_sym_array_repeat1,
    STATE(6319), 1,
      sym_comment,
  [196233] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6320), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6321), 1,
      sym_comment,
    ACTIONS(10117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196263] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6322), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196278] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6323), 1,
      sym_comment,
    ACTIONS(10117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196293] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6324), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10205), 1,
      anon_sym_EQ,
    STATE(6325), 1,
      sym_comment,
    ACTIONS(4330), 2,
      anon_sym_in,
      anon_sym_of,
  [196325] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6326), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196340] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6327), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196355] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6328), 1,
      sym_comment,
    ACTIONS(10117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196370] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6329), 1,
      sym_comment,
    ACTIONS(10201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196385] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6330), 1,
      sym_comment,
    ACTIONS(10175), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6331), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196415] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6332), 1,
      sym_comment,
    ACTIONS(9811), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196430] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6333), 1,
      sym_comment,
    ACTIONS(3494), 3,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
  [196445] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6334), 1,
      sym_comment,
    ACTIONS(6748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196460] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6335), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196475] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6336), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196490] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6337), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196505] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6338), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6339), 1,
      sym_comment,
    ACTIONS(8193), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [196535] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10209), 1,
      anon_sym_COMMA,
    ACTIONS(10211), 1,
      anon_sym_RPAREN,
    STATE(6051), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6340), 1,
      sym_comment,
  [196554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6341), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196569] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6342), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196584] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6343), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196599] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6344), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196614] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6345), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196629] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6346), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196644] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6347), 1,
      sym_comment,
    ACTIONS(10127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196659] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6348), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196674] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6349), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6350), 1,
      sym_comment,
    ACTIONS(10213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196704] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7936), 1,
      anon_sym_DOT,
    STATE(6351), 1,
      sym_comment,
    ACTIONS(10215), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [196721] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6352), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196736] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6353), 1,
      sym_comment,
    ACTIONS(10217), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196751] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10219), 1,
      anon_sym_COMMA,
    ACTIONS(10221), 1,
      anon_sym_RBRACE,
    STATE(6229), 1,
      aux_sym_enum_body_repeat1,
    STATE(6354), 1,
      sym_comment,
  [196770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6355), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196785] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10223), 1,
      anon_sym_COMMA,
    ACTIONS(10225), 1,
      anon_sym_RBRACE,
    STATE(6229), 1,
      aux_sym_enum_body_repeat1,
    STATE(6356), 1,
      sym_comment,
  [196804] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6357), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196819] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6358), 1,
      sym_comment,
    ACTIONS(10215), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [196836] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6359), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196851] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(210), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8030), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6360), 1,
      sym_comment,
    STATE(6662), 1,
      sym_object_type,
  [196870] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10227), 1,
      anon_sym_COMMA,
    ACTIONS(10229), 1,
      anon_sym_RBRACK,
    STATE(6361), 1,
      sym_comment,
    STATE(6433), 1,
      aux_sym_tuple_type_repeat1,
  [196889] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6362), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6363), 1,
      sym_comment,
    ACTIONS(10127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196919] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10231), 1,
      anon_sym_COMMA,
    ACTIONS(10233), 1,
      anon_sym_GT,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6364), 1,
      sym_comment,
  [196938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6365), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196953] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10235), 1,
      anon_sym_COMMA,
    ACTIONS(10237), 1,
      anon_sym_GT,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6366), 1,
      sym_comment,
  [196972] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6367), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196987] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10239), 1,
      anon_sym_COMMA,
    ACTIONS(10241), 1,
      anon_sym_GT,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6368), 1,
      sym_comment,
  [197006] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10243), 1,
      anon_sym_LBRACE,
    ACTIONS(10245), 1,
      anon_sym_LPAREN,
    STATE(919), 1,
      sym_statement_block,
    STATE(6369), 1,
      sym_comment,
  [197025] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(10247), 1,
      anon_sym_RPAREN,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(6370), 1,
      sym_comment,
  [197044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6371), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197059] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10249), 1,
      anon_sym_COMMA,
    ACTIONS(10251), 1,
      anon_sym_RBRACE,
    STATE(6354), 1,
      aux_sym_enum_body_repeat1,
    STATE(6372), 1,
      sym_comment,
  [197078] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6373), 1,
      sym_comment,
    ACTIONS(10217), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197093] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6374), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197108] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6375), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197123] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10253), 1,
      anon_sym_COMMA,
    ACTIONS(10256), 1,
      anon_sym_RBRACK,
    STATE(6376), 2,
      sym_comment,
      aux_sym_array_pattern_repeat1,
  [197140] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5995), 1,
      anon_sym_extends,
    ACTIONS(10258), 1,
      anon_sym_AMP,
    ACTIONS(10260), 1,
      anon_sym_PIPE,
    STATE(6377), 1,
      sym_comment,
  [197159] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7980), 1,
      anon_sym_LBRACE,
    ACTIONS(7982), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1089), 1,
      sym_object_type,
    STATE(6378), 1,
      sym_comment,
  [197178] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6379), 1,
      sym_comment,
    ACTIONS(10149), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197193] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6380), 1,
      sym_comment,
    ACTIONS(9811), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6381), 1,
      sym_comment,
    ACTIONS(10262), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [197225] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7936), 1,
      anon_sym_DOT,
    STATE(6382), 1,
      sym_comment,
    ACTIONS(10262), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [197242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6383), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197257] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7958), 1,
      anon_sym_LBRACE,
    ACTIONS(7964), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1289), 1,
      sym_object_type,
    STATE(6384), 1,
      sym_comment,
  [197276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6385), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197291] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6386), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197306] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6387), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197321] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5809), 1,
      anon_sym_RPAREN,
    STATE(6388), 1,
      sym_comment,
    STATE(6435), 1,
      aux_sym_array_repeat1,
  [197340] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5809), 1,
      anon_sym_RPAREN,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(6389), 1,
      sym_comment,
  [197359] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6390), 1,
      sym_comment,
    ACTIONS(9531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197374] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6391), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197389] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10264), 1,
      anon_sym_LBRACE,
    ACTIONS(10266), 1,
      anon_sym_LPAREN,
    STATE(1317), 1,
      sym_statement_block,
    STATE(6392), 1,
      sym_comment,
  [197408] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6393), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197423] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6394), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197438] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6395), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197453] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6396), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197468] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6397), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197483] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6398), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197498] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6399), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197513] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6400), 1,
      sym_comment,
    ACTIONS(9811), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197528] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5839), 1,
      anon_sym_RPAREN,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(6401), 1,
      sym_comment,
  [197547] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(5839), 1,
      anon_sym_RPAREN,
    STATE(6370), 1,
      aux_sym_array_repeat1,
    STATE(6402), 1,
      sym_comment,
  [197566] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6403), 1,
      sym_comment,
    ACTIONS(10213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197581] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6404), 1,
      sym_comment,
    ACTIONS(9531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197596] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6405), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197611] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6406), 1,
      sym_comment,
    ACTIONS(10127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6407), 1,
      sym_comment,
    ACTIONS(9531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197641] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7980), 1,
      anon_sym_LBRACE,
    ACTIONS(7982), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1116), 1,
      sym_object_type,
    STATE(6408), 1,
      sym_comment,
  [197660] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6409), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197675] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7936), 1,
      anon_sym_DOT,
    STATE(6410), 1,
      sym_comment,
    ACTIONS(10268), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [197692] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6411), 1,
      sym_comment,
    ACTIONS(10268), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [197709] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(210), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8030), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6412), 1,
      sym_comment,
    STATE(6889), 1,
      sym_object_type,
  [197728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6413), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197743] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6414), 1,
      sym_comment,
    ACTIONS(10217), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197758] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10270), 1,
      anon_sym_COMMA,
    ACTIONS(10272), 1,
      anon_sym_RBRACE,
    STATE(6415), 1,
      sym_comment,
    STATE(6416), 1,
      aux_sym_enum_body_repeat1,
  [197777] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10274), 1,
      anon_sym_COMMA,
    ACTIONS(10276), 1,
      anon_sym_RBRACE,
    STATE(6229), 1,
      aux_sym_enum_body_repeat1,
    STATE(6416), 1,
      sym_comment,
  [197796] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10278), 1,
      anon_sym_COMMA,
    ACTIONS(10280), 1,
      anon_sym_RBRACE,
    STATE(6229), 1,
      aux_sym_enum_body_repeat1,
    STATE(6417), 1,
      sym_comment,
  [197815] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6418), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197830] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(10282), 1,
      anon_sym_RPAREN,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(6419), 1,
      sym_comment,
  [197849] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10284), 1,
      anon_sym_COMMA,
    ACTIONS(10286), 1,
      anon_sym_RBRACK,
    STATE(6420), 1,
      sym_comment,
    STATE(6470), 1,
      aux_sym_tuple_type_repeat1,
  [197868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6421), 1,
      sym_comment,
    ACTIONS(10127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197883] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6422), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197898] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6423), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197913] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_AMP,
    ACTIONS(7566), 1,
      anon_sym_PIPE,
    ACTIONS(7568), 1,
      anon_sym_extends,
    STATE(6424), 1,
      sym_comment,
  [197932] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6425), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197947] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10288), 1,
      anon_sym_COMMA,
    ACTIONS(10290), 1,
      anon_sym_GT,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6426), 1,
      sym_comment,
  [197966] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6427), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197981] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6428), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197996] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6429), 1,
      sym_comment,
    ACTIONS(10127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198011] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6430), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198026] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10292), 1,
      anon_sym_COMMA,
    ACTIONS(10294), 1,
      anon_sym_GT,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6431), 1,
      sym_comment,
  [198045] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7958), 1,
      anon_sym_LBRACE,
    ACTIONS(7964), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1246), 1,
      sym_object_type,
    STATE(6432), 1,
      sym_comment,
  [198064] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10296), 1,
      anon_sym_COMMA,
    ACTIONS(10298), 1,
      anon_sym_RBRACK,
    STATE(6182), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6433), 1,
      sym_comment,
  [198083] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10300), 1,
      anon_sym_COMMA,
    ACTIONS(10302), 1,
      anon_sym_RBRACE,
    STATE(6434), 1,
      sym_comment,
    STATE(6467), 1,
      aux_sym_enum_body_repeat1,
  [198102] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(10304), 1,
      anon_sym_RPAREN,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(6435), 1,
      sym_comment,
  [198121] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6436), 1,
      sym_comment,
    ACTIONS(10217), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198136] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10306), 1,
      anon_sym_COMMA,
    ACTIONS(10308), 1,
      anon_sym_GT,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6437), 1,
      sym_comment,
  [198155] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6438), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198170] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10310), 1,
      anon_sym_COMMA,
    ACTIONS(10312), 1,
      anon_sym_GT,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6439), 1,
      sym_comment,
  [198189] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6440), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198204] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10314), 1,
      anon_sym_COMMA,
    ACTIONS(10316), 1,
      anon_sym_GT,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6441), 1,
      sym_comment,
  [198223] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6442), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198238] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6443), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198253] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10318), 1,
      anon_sym_COMMA,
    ACTIONS(10320), 1,
      anon_sym_GT,
    STATE(5979), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6444), 1,
      sym_comment,
  [198272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6445), 1,
      sym_comment,
    ACTIONS(10207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198287] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6446), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6447), 1,
      sym_comment,
    ACTIONS(5833), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [198317] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6448), 1,
      sym_comment,
    ACTIONS(10322), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6449), 1,
      sym_comment,
    ACTIONS(9531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198347] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9398), 1,
      anon_sym_EQ,
    STATE(6450), 1,
      sym_comment,
    ACTIONS(10256), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [198364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6451), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198379] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6452), 1,
      sym_comment,
    ACTIONS(9531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198394] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      anon_sym_COMMA,
    ACTIONS(10324), 1,
      anon_sym_RBRACK,
    STATE(5555), 1,
      aux_sym_array_repeat1,
    STATE(6453), 1,
      sym_comment,
  [198413] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6454), 1,
      sym_comment,
    ACTIONS(10127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198428] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9400), 1,
      anon_sym_COMMA,
    ACTIONS(10326), 1,
      anon_sym_RBRACK,
    STATE(6376), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6455), 1,
      sym_comment,
  [198447] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6456), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6457), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198477] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6458), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198492] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6459), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198507] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6460), 1,
      sym_comment,
    ACTIONS(10123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6461), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198537] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10328), 1,
      sym_identifier,
    ACTIONS(10330), 1,
      anon_sym_LBRACK,
    ACTIONS(10332), 1,
      sym_private_property_identifier,
    STATE(6462), 1,
      sym_comment,
  [198556] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6463), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198571] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10334), 1,
      sym_identifier,
    ACTIONS(10336), 1,
      anon_sym_LBRACK,
    ACTIONS(10338), 1,
      sym_private_property_identifier,
    STATE(6464), 1,
      sym_comment,
  [198590] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6465), 1,
      sym_comment,
    ACTIONS(10119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198605] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10340), 1,
      sym_identifier,
    ACTIONS(10342), 1,
      anon_sym_LBRACK,
    ACTIONS(10344), 1,
      sym_private_property_identifier,
    STATE(6466), 1,
      sym_comment,
  [198624] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10346), 1,
      anon_sym_COMMA,
    ACTIONS(10348), 1,
      anon_sym_RBRACE,
    STATE(6229), 1,
      aux_sym_enum_body_repeat1,
    STATE(6467), 1,
      sym_comment,
  [198643] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10350), 1,
      sym_identifier,
    ACTIONS(10352), 1,
      anon_sym_LBRACK,
    ACTIONS(10354), 1,
      sym_private_property_identifier,
    STATE(6468), 1,
      sym_comment,
  [198662] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10356), 1,
      anon_sym_COMMA,
    ACTIONS(10358), 1,
      anon_sym_RBRACE,
    STATE(6229), 1,
      aux_sym_enum_body_repeat1,
    STATE(6469), 1,
      sym_comment,
  [198681] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10360), 1,
      anon_sym_COMMA,
    ACTIONS(10362), 1,
      anon_sym_RBRACK,
    STATE(6182), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6470), 1,
      sym_comment,
  [198700] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10364), 1,
      sym_identifier,
    ACTIONS(10366), 1,
      sym_private_property_identifier,
    STATE(6471), 1,
      sym_comment,
  [198716] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6472), 1,
      sym_comment,
    ACTIONS(3538), 2,
      anon_sym_else,
      anon_sym_while,
  [198730] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(2556), 1,
      sym_class_body,
    STATE(6473), 1,
      sym_comment,
  [198746] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    STATE(3192), 1,
      sym_statement_block,
    STATE(6474), 1,
      sym_comment,
  [198762] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7522), 1,
      anon_sym_LBRACE,
    STATE(1220), 1,
      sym_class_body,
    STATE(6475), 1,
      sym_comment,
  [198778] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    STATE(2559), 1,
      sym_statement_block,
    STATE(6476), 1,
      sym_comment,
  [198794] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6477), 1,
      sym_comment,
    ACTIONS(5666), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [198808] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    STATE(2560), 1,
      sym_statement_block,
    STATE(6478), 1,
      sym_comment,
  [198824] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10368), 1,
      sym_identifier,
    ACTIONS(10370), 1,
      sym_private_property_identifier,
    STATE(6479), 1,
      sym_comment,
  [198840] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(2597), 1,
      sym_class_body,
    STATE(6480), 1,
      sym_comment,
  [198856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(6104), 1,
      sym_class_body,
    STATE(6481), 1,
      sym_comment,
  [198872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3549), 1,
      sym_statement_block,
    STATE(6482), 1,
      sym_comment,
  [198888] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3323), 1,
      sym_class_body,
    STATE(6483), 1,
      sym_comment,
  [198904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7522), 1,
      anon_sym_LBRACE,
    STATE(1213), 1,
      sym_class_body,
    STATE(6484), 1,
      sym_comment,
  [198920] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10372), 1,
      sym_identifier,
    ACTIONS(10374), 1,
      sym_private_property_identifier,
    STATE(6485), 1,
      sym_comment,
  [198936] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9054), 1,
      anon_sym_LBRACE,
    STATE(1004), 1,
      sym_statement_block,
    STATE(6486), 1,
      sym_comment,
  [198952] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(957), 1,
      sym_class_body,
    STATE(6487), 1,
      sym_comment,
  [198968] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10243), 1,
      anon_sym_LBRACE,
    STATE(954), 1,
      sym_statement_block,
    STATE(6488), 1,
      sym_comment,
  [198984] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10376), 1,
      sym_identifier,
    ACTIONS(10378), 1,
      sym_private_property_identifier,
    STATE(6489), 1,
      sym_comment,
  [199000] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10328), 1,
      sym_identifier,
    ACTIONS(10332), 1,
      sym_private_property_identifier,
    STATE(6490), 1,
      sym_comment,
  [199016] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6491), 1,
      sym_comment,
    STATE(7032), 1,
      sym_statement_block,
  [199032] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6492), 1,
      sym_comment,
    ACTIONS(9599), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199046] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(109), 1,
      sym_parenthesized_expression,
    STATE(6493), 1,
      sym_comment,
  [199062] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    STATE(1544), 1,
      sym_class_body,
    STATE(6494), 1,
      sym_comment,
  [199078] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8689), 1,
      anon_sym_LBRACE,
    STATE(1543), 1,
      sym_statement_block,
    STATE(6495), 1,
      sym_comment,
  [199094] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6496), 1,
      sym_comment,
    ACTIONS(6721), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(110), 1,
      sym_parenthesized_expression,
    STATE(6497), 1,
      sym_comment,
  [199124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6498), 1,
      sym_comment,
    STATE(7020), 1,
      sym_statement_block,
  [199140] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10382), 1,
      anon_sym_LPAREN,
    STATE(6499), 1,
      sym_comment,
    STATE(6967), 1,
      sym_parenthesized_expression,
  [199156] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10384), 1,
      anon_sym_LBRACE,
    STATE(1534), 1,
      sym_statement_block,
    STATE(6500), 1,
      sym_comment,
  [199172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6501), 1,
      sym_comment,
    ACTIONS(8507), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [199186] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3513), 1,
      sym_statement_block,
    STATE(6502), 1,
      sym_comment,
  [199202] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7934), 1,
      anon_sym_LBRACE,
    STATE(6101), 1,
      sym_statement_block,
    STATE(6503), 1,
      sym_comment,
  [199218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10386), 1,
      anon_sym_SEMI,
    ACTIONS(10388), 1,
      sym__automatic_semicolon,
    STATE(6504), 1,
      sym_comment,
  [199234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10390), 1,
      anon_sym_LBRACE,
    STATE(1479), 1,
      sym_enum_body,
    STATE(6505), 1,
      sym_comment,
  [199250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7522), 1,
      anon_sym_LBRACE,
    STATE(1198), 1,
      sym_class_body,
    STATE(6506), 1,
      sym_comment,
  [199266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10243), 1,
      anon_sym_LBRACE,
    STATE(955), 1,
      sym_statement_block,
    STATE(6507), 1,
      sym_comment,
  [199282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    STATE(1540), 1,
      sym_class_body,
    STATE(6508), 1,
      sym_comment,
  [199298] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10392), 1,
      sym_identifier,
    ACTIONS(10394), 1,
      anon_sym_STAR,
    STATE(6509), 1,
      sym_comment,
  [199314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6510), 1,
      sym_comment,
    ACTIONS(9553), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199328] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3307), 1,
      sym_class_body,
    STATE(6511), 1,
      sym_comment,
  [199344] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6512), 1,
      sym_comment,
    ACTIONS(3366), 2,
      anon_sym_else,
      anon_sym_while,
  [199358] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    STATE(3265), 1,
      sym_statement_block,
    STATE(6513), 1,
      sym_comment,
  [199374] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10396), 1,
      sym_identifier,
    ACTIONS(10398), 1,
      anon_sym_STAR,
    STATE(6514), 1,
      sym_comment,
  [199390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    STATE(3258), 1,
      sym_statement_block,
    STATE(6515), 1,
      sym_comment,
  [199406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6516), 1,
      sym_comment,
    ACTIONS(3364), 2,
      anon_sym_else,
      anon_sym_while,
  [199420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3097), 1,
      sym_class_body,
    STATE(6517), 1,
      sym_comment,
  [199436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3236), 1,
      sym_class_body,
    STATE(6518), 1,
      sym_comment,
  [199452] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(6092), 1,
      sym_class_body,
    STATE(6519), 1,
      sym_comment,
  [199468] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10400), 1,
      sym_identifier,
    ACTIONS(10402), 1,
      sym_private_property_identifier,
    STATE(6520), 1,
      sym_comment,
  [199484] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(2613), 1,
      sym_class_body,
    STATE(6521), 1,
      sym_comment,
  [199500] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10404), 1,
      anon_sym_SEMI,
    ACTIONS(10406), 1,
      sym__automatic_semicolon,
    STATE(6522), 1,
      sym_comment,
  [199516] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10408), 1,
      sym_identifier,
    ACTIONS(10410), 1,
      sym_private_property_identifier,
    STATE(6523), 1,
      sym_comment,
  [199532] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6524), 1,
      sym_comment,
    ACTIONS(6741), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(1177), 1,
      sym_class_body,
    STATE(6525), 1,
      sym_comment,
  [199562] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3283), 1,
      sym_class_body,
    STATE(6526), 1,
      sym_comment,
  [199578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3538), 1,
      sym_statement_block,
    STATE(6527), 1,
      sym_comment,
  [199594] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9054), 1,
      anon_sym_LBRACE,
    STATE(1003), 1,
      sym_statement_block,
    STATE(6528), 1,
      sym_comment,
  [199610] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6529), 1,
      sym_comment,
    ACTIONS(5695), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199624] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    ACTIONS(10414), 1,
      sym_private_property_identifier,
    STATE(6530), 1,
      sym_comment,
  [199640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10416), 1,
      anon_sym_SEMI,
    ACTIONS(10418), 1,
      sym__automatic_semicolon,
    STATE(6531), 1,
      sym_comment,
  [199656] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10420), 1,
      sym_identifier,
    ACTIONS(10422), 1,
      anon_sym_STAR,
    STATE(6532), 1,
      sym_comment,
  [199672] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10424), 1,
      sym_identifier,
    ACTIONS(10426), 1,
      sym_private_property_identifier,
    STATE(6533), 1,
      sym_comment,
  [199688] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(1176), 1,
      sym_class_body,
    STATE(6534), 1,
      sym_comment,
  [199704] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10428), 1,
      sym_identifier,
    ACTIONS(10430), 1,
      sym_private_property_identifier,
    STATE(6535), 1,
      sym_comment,
  [199720] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3308), 1,
      sym_class_body,
    STATE(6536), 1,
      sym_comment,
  [199736] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(91), 1,
      sym_parenthesized_expression,
    STATE(6537), 1,
      sym_comment,
  [199752] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6538), 1,
      sym_comment,
    ACTIONS(8503), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [199766] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10432), 1,
      sym_identifier,
    ACTIONS(10434), 1,
      sym_private_property_identifier,
    STATE(6539), 1,
      sym_comment,
  [199782] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_class_body,
    STATE(6540), 1,
      sym_comment,
  [199798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6541), 1,
      sym_comment,
    ACTIONS(10256), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [199812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6542), 1,
      sym_comment,
    ACTIONS(3362), 2,
      anon_sym_else,
      anon_sym_while,
  [199826] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10436), 1,
      sym_identifier,
    ACTIONS(10438), 1,
      sym_private_property_identifier,
    STATE(6543), 1,
      sym_comment,
  [199842] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7522), 1,
      anon_sym_LBRACE,
    STATE(1248), 1,
      sym_class_body,
    STATE(6544), 1,
      sym_comment,
  [199858] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    STATE(3257), 1,
      sym_statement_block,
    STATE(6545), 1,
      sym_comment,
  [199874] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10440), 1,
      anon_sym_SEMI,
    ACTIONS(10442), 1,
      sym__automatic_semicolon,
    STATE(6546), 1,
      sym_comment,
  [199890] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10444), 1,
      anon_sym_LBRACE,
    STATE(1154), 1,
      sym_statement_block,
    STATE(6547), 1,
      sym_comment,
  [199906] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10446), 1,
      anon_sym_LBRACE,
    STATE(891), 1,
      sym_statement_block,
    STATE(6548), 1,
      sym_comment,
  [199922] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10448), 1,
      anon_sym_LBRACE,
    STATE(1152), 1,
      sym_enum_body,
    STATE(6549), 1,
      sym_comment,
  [199938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6550), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [199952] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6551), 1,
      sym_comment,
    ACTIONS(3368), 2,
      anon_sym_else,
      anon_sym_while,
  [199966] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10450), 1,
      anon_sym_SEMI,
    ACTIONS(10452), 1,
      sym__automatic_semicolon,
    STATE(6552), 1,
      sym_comment,
  [199982] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10454), 1,
      sym_identifier,
    ACTIONS(10456), 1,
      anon_sym_STAR,
    STATE(6553), 1,
      sym_comment,
  [199998] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10458), 1,
      anon_sym_LBRACE,
    STATE(1686), 1,
      sym_statement_block,
    STATE(6554), 1,
      sym_comment,
  [200014] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    STATE(3304), 1,
      sym_statement_block,
    STATE(6555), 1,
      sym_comment,
  [200030] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10460), 1,
      sym_identifier,
    ACTIONS(10462), 1,
      sym_private_property_identifier,
    STATE(6556), 1,
      sym_comment,
  [200046] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6557), 1,
      sym_comment,
    ACTIONS(3358), 2,
      anon_sym_else,
      anon_sym_while,
  [200060] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10464), 1,
      anon_sym_SEMI,
    ACTIONS(10466), 1,
      sym__automatic_semicolon,
    STATE(6558), 1,
      sym_comment,
  [200076] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10468), 1,
      anon_sym_SEMI,
    ACTIONS(10470), 1,
      sym__automatic_semicolon,
    STATE(6559), 1,
      sym_comment,
  [200092] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6560), 1,
      sym_comment,
    ACTIONS(3368), 2,
      anon_sym_else,
      anon_sym_while,
  [200106] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3535), 1,
      sym_statement_block,
    STATE(6561), 1,
      sym_comment,
  [200122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6562), 1,
      sym_comment,
    ACTIONS(8505), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [200136] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10472), 1,
      sym_identifier,
    ACTIONS(10474), 1,
      sym_private_property_identifier,
    STATE(6563), 1,
      sym_comment,
  [200152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10448), 1,
      anon_sym_LBRACE,
    STATE(1132), 1,
      sym_enum_body,
    STATE(6564), 1,
      sym_comment,
  [200168] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6565), 1,
      sym_comment,
    ACTIONS(2261), 2,
      anon_sym_else,
      anon_sym_while,
  [200182] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6566), 1,
      sym_comment,
    ACTIONS(10476), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200196] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7620), 1,
      anon_sym_LBRACE,
    STATE(308), 1,
      sym_class_body,
    STATE(6567), 1,
      sym_comment,
  [200212] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(6568), 1,
      sym_comment,
    STATE(6982), 1,
      sym_class_body,
  [200228] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3313), 1,
      sym_class_body,
    STATE(6569), 1,
      sym_comment,
  [200244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10478), 1,
      anon_sym_SEMI,
    ACTIONS(10480), 1,
      sym__automatic_semicolon,
    STATE(6570), 1,
      sym_comment,
  [200260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6571), 1,
      sym_comment,
    ACTIONS(10482), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6572), 1,
      sym_comment,
    ACTIONS(10484), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200288] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(6573), 1,
      sym_comment,
    STATE(7153), 1,
      sym_class_body,
  [200304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3270), 1,
      sym_class_body,
    STATE(6574), 1,
      sym_comment,
  [200320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(6575), 1,
      sym_comment,
    STATE(6950), 1,
      sym_class_body,
  [200336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(1145), 1,
      sym_class_body,
    STATE(6576), 1,
      sym_comment,
  [200352] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6577), 1,
      sym_comment,
    ACTIONS(10486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200366] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3531), 1,
      sym_statement_block,
    STATE(6578), 1,
      sym_comment,
  [200382] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10488), 1,
      anon_sym_SEMI,
    ACTIONS(10490), 1,
      sym__automatic_semicolon,
    STATE(6579), 1,
      sym_comment,
  [200398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    STATE(3251), 1,
      sym_statement_block,
    STATE(6580), 1,
      sym_comment,
  [200414] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7934), 1,
      anon_sym_LBRACE,
    STATE(6164), 1,
      sym_statement_block,
    STATE(6581), 1,
      sym_comment,
  [200430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(1713), 1,
      sym_parenthesized_expression,
    STATE(6582), 1,
      sym_comment,
  [200446] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(6167), 1,
      sym_class_body,
    STATE(6583), 1,
      sym_comment,
  [200462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3507), 1,
      sym_statement_block,
    STATE(6584), 1,
      sym_comment,
  [200478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10492), 1,
      anon_sym_SEMI,
    ACTIONS(10494), 1,
      sym__automatic_semicolon,
    STATE(6585), 1,
      sym_comment,
  [200494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6586), 1,
      sym_comment,
    ACTIONS(10496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200508] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7746), 1,
      anon_sym_LBRACE,
    STATE(932), 1,
      sym_class_body,
    STATE(6587), 1,
      sym_comment,
  [200524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3508), 1,
      sym_statement_block,
    STATE(6588), 1,
      sym_comment,
  [200540] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3516), 1,
      sym_statement_block,
    STATE(6589), 1,
      sym_comment,
  [200556] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    STATE(2696), 1,
      sym_statement_block,
    STATE(6590), 1,
      sym_comment,
  [200572] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10498), 1,
      anon_sym_SEMI,
    ACTIONS(10500), 1,
      sym__automatic_semicolon,
    STATE(6591), 1,
      sym_comment,
  [200588] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    STATE(2590), 1,
      sym_statement_block,
    STATE(6592), 1,
      sym_comment,
  [200604] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10502), 1,
      sym_identifier,
    ACTIONS(10504), 1,
      anon_sym_STAR,
    STATE(6593), 1,
      sym_comment,
  [200620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7620), 1,
      anon_sym_LBRACE,
    STATE(314), 1,
      sym_class_body,
    STATE(6594), 1,
      sym_comment,
  [200636] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10506), 1,
      anon_sym_SEMI,
    ACTIONS(10508), 1,
      sym__automatic_semicolon,
    STATE(6595), 1,
      sym_comment,
  [200652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6596), 1,
      sym_comment,
    ACTIONS(10510), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200666] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6597), 1,
      sym_comment,
    ACTIONS(10512), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200680] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6598), 1,
      sym_comment,
    ACTIONS(10514), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9024), 1,
      anon_sym_LBRACE,
    STATE(318), 1,
      sym_statement_block,
    STATE(6599), 1,
      sym_comment,
  [200710] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7764), 1,
      anon_sym_LBRACE,
    STATE(1091), 1,
      sym_class_body,
    STATE(6600), 1,
      sym_comment,
  [200726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6601), 1,
      sym_comment,
    ACTIONS(9590), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(2593), 1,
      sym_class_body,
    STATE(6602), 1,
      sym_comment,
  [200756] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10516), 1,
      sym_identifier,
    ACTIONS(10518), 1,
      anon_sym_STAR,
    STATE(6603), 1,
      sym_comment,
  [200772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3081), 1,
      sym_class_body,
    STATE(6604), 1,
      sym_comment,
  [200788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10444), 1,
      anon_sym_LBRACE,
    STATE(1142), 1,
      sym_statement_block,
    STATE(6605), 1,
      sym_comment,
  [200804] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6606), 1,
      sym_comment,
    ACTIONS(9515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10520), 1,
      anon_sym_LPAREN,
    STATE(1139), 1,
      sym_parenthesized_expression,
    STATE(6607), 1,
      sym_comment,
  [200834] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6608), 1,
      sym_comment,
    ACTIONS(10522), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [200848] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3548), 1,
      sym_statement_block,
    STATE(6609), 1,
      sym_comment,
  [200864] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10524), 1,
      anon_sym_LBRACE,
    STATE(1333), 1,
      sym_enum_body,
    STATE(6610), 1,
      sym_comment,
  [200880] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3519), 1,
      sym_statement_block,
    STATE(6611), 1,
      sym_comment,
  [200896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10390), 1,
      anon_sym_LBRACE,
    STATE(1367), 1,
      sym_enum_body,
    STATE(6612), 1,
      sym_comment,
  [200912] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6613), 1,
      sym_comment,
    ACTIONS(2063), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7620), 1,
      anon_sym_LBRACE,
    STATE(320), 1,
      sym_class_body,
    STATE(6614), 1,
      sym_comment,
  [200942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6615), 1,
      sym_comment,
    ACTIONS(9152), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6616), 1,
      sym_comment,
    ACTIONS(10526), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200970] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7746), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym_class_body,
    STATE(6617), 1,
      sym_comment,
  [200986] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10528), 1,
      sym_identifier,
    ACTIONS(10530), 1,
      sym_private_property_identifier,
    STATE(6618), 1,
      sym_comment,
  [201002] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9008), 1,
      anon_sym_LBRACE,
    STATE(948), 1,
      sym_statement_block,
    STATE(6619), 1,
      sym_comment,
  [201018] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7746), 1,
      anon_sym_LBRACE,
    STATE(929), 1,
      sym_class_body,
    STATE(6620), 1,
      sym_comment,
  [201034] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3220), 1,
      sym_class_body,
    STATE(6621), 1,
      sym_comment,
  [201050] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10532), 1,
      sym_identifier,
    ACTIONS(10534), 1,
      anon_sym_STAR,
    STATE(6622), 1,
      sym_comment,
  [201066] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10536), 1,
      anon_sym_SEMI,
    ACTIONS(10538), 1,
      sym__automatic_semicolon,
    STATE(6623), 1,
      sym_comment,
  [201082] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3527), 1,
      sym_statement_block,
    STATE(6624), 1,
      sym_comment,
  [201098] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6625), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [201112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9024), 1,
      anon_sym_LBRACE,
    STATE(328), 1,
      sym_statement_block,
    STATE(6626), 1,
      sym_comment,
  [201128] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7764), 1,
      anon_sym_LBRACE,
    STATE(1067), 1,
      sym_class_body,
    STATE(6627), 1,
      sym_comment,
  [201144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10540), 1,
      anon_sym_LPAREN,
    STATE(1234), 1,
      sym_parenthesized_expression,
    STATE(6628), 1,
      sym_comment,
  [201160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10384), 1,
      anon_sym_LBRACE,
    STATE(1238), 1,
      sym_statement_block,
    STATE(6629), 1,
      sym_comment,
  [201176] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10542), 1,
      anon_sym_SEMI,
    ACTIONS(10544), 1,
      sym__automatic_semicolon,
    STATE(6630), 1,
      sym_comment,
  [201192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10546), 1,
      anon_sym_SEMI,
    ACTIONS(10548), 1,
      sym__automatic_semicolon,
    STATE(6631), 1,
      sym_comment,
  [201208] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6632), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [201222] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6633), 1,
      sym_comment,
    ACTIONS(10550), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [201236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7698), 1,
      anon_sym_LBRACE,
    STATE(359), 1,
      sym_class_body,
    STATE(6634), 1,
      sym_comment,
  [201252] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7620), 1,
      anon_sym_LBRACE,
    STATE(330), 1,
      sym_class_body,
    STATE(6635), 1,
      sym_comment,
  [201268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7764), 1,
      anon_sym_LBRACE,
    STATE(1054), 1,
      sym_class_body,
    STATE(6636), 1,
      sym_comment,
  [201284] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10552), 1,
      anon_sym_SEMI,
    ACTIONS(10554), 1,
      sym__automatic_semicolon,
    STATE(6637), 1,
      sym_comment,
  [201300] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9008), 1,
      anon_sym_LBRACE,
    STATE(950), 1,
      sym_statement_block,
    STATE(6638), 1,
      sym_comment,
  [201316] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7746), 1,
      anon_sym_LBRACE,
    STATE(945), 1,
      sym_class_body,
    STATE(6639), 1,
      sym_comment,
  [201332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6640), 1,
      sym_comment,
    ACTIONS(10556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201346] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6641), 1,
      sym_comment,
    ACTIONS(10558), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201360] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10524), 1,
      anon_sym_LBRACE,
    STATE(1356), 1,
      sym_enum_body,
    STATE(6642), 1,
      sym_comment,
  [201376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10560), 1,
      anon_sym_LBRACE,
    STATE(1358), 1,
      sym_statement_block,
    STATE(6643), 1,
      sym_comment,
  [201392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3536), 1,
      sym_statement_block,
    STATE(6644), 1,
      sym_comment,
  [201408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7764), 1,
      anon_sym_LBRACE,
    STATE(1044), 1,
      sym_class_body,
    STATE(6645), 1,
      sym_comment,
  [201424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    STATE(2652), 1,
      sym_statement_block,
    STATE(6646), 1,
      sym_comment,
  [201440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6647), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [201454] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10562), 1,
      sym_identifier,
    ACTIONS(10564), 1,
      anon_sym_STAR,
    STATE(6648), 1,
      sym_comment,
  [201470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6649), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [201484] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6650), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [201498] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3514), 1,
      sym_statement_block,
    STATE(6651), 1,
      sym_comment,
  [201514] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(2673), 1,
      sym_class_body,
    STATE(6652), 1,
      sym_comment,
  [201530] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3520), 1,
      sym_statement_block,
    STATE(6653), 1,
      sym_comment,
  [201546] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6654), 1,
      sym_comment,
    ACTIONS(7454), 2,
      anon_sym_in,
      anon_sym_of,
  [201560] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3530), 1,
      sym_statement_block,
    STATE(6655), 1,
      sym_comment,
  [201576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6656), 1,
      sym_comment,
    ACTIONS(6725), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201590] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(5126), 1,
      sym_formal_parameters,
    STATE(6657), 1,
      sym_comment,
  [201606] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6658), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [201620] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6659), 1,
      sym_comment,
    ACTIONS(9329), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6660), 1,
      sym_comment,
    ACTIONS(10566), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [201648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(3441), 1,
      sym_class_body,
    STATE(6661), 1,
      sym_comment,
  [201664] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6662), 1,
      sym_comment,
    ACTIONS(3372), 2,
      anon_sym_else,
      anon_sym_while,
  [201678] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(6663), 1,
      sym_comment,
    STATE(6849), 1,
      sym_class_body,
  [201694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(3427), 1,
      sym_class_body,
    STATE(6664), 1,
      sym_comment,
  [201710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6665), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [201724] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(5900), 1,
      sym_class_body,
    STATE(6666), 1,
      sym_comment,
  [201740] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6667), 1,
      sym_comment,
    ACTIONS(10568), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201754] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6668), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [201768] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6669), 1,
      sym_comment,
    ACTIONS(5682), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201782] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6670), 1,
      sym_comment,
    ACTIONS(5393), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201796] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6671), 1,
      sym_comment,
    ACTIONS(10570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201810] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6672), 1,
      sym_comment,
    ACTIONS(10572), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3502), 1,
      sym_statement_block,
    STATE(6673), 1,
      sym_comment,
  [201840] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10574), 1,
      anon_sym_SEMI,
    ACTIONS(10576), 1,
      sym__automatic_semicolon,
    STATE(6674), 1,
      sym_comment,
  [201856] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6675), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [201870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(2703), 1,
      sym_class_body,
    STATE(6676), 1,
      sym_comment,
  [201886] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6677), 1,
      sym_comment,
    ACTIONS(3482), 2,
      anon_sym_else,
      anon_sym_while,
  [201900] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10578), 1,
      anon_sym_LPAREN,
    STATE(99), 1,
      sym__for_header,
    STATE(6678), 1,
      sym_comment,
  [201916] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10580), 1,
      anon_sym_LBRACE,
    STATE(1022), 1,
      sym_switch_body,
    STATE(6679), 1,
      sym_comment,
  [201932] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3505), 1,
      sym_statement_block,
    STATE(6680), 1,
      sym_comment,
  [201948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6213), 1,
      sym_statement_block,
    STATE(6681), 1,
      sym_comment,
  [201964] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6682), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [201978] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6683), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [201992] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6684), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [202006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6685), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [202020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6686), 1,
      sym_comment,
    ACTIONS(5641), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202034] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6687), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [202048] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8834), 1,
      anon_sym_DOT,
    ACTIONS(10582), 1,
      anon_sym_GT,
    STATE(6688), 1,
      sym_comment,
  [202064] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6689), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [202078] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6690), 1,
      sym_comment,
    ACTIONS(5693), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202092] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6691), 1,
      sym_comment,
    ACTIONS(2391), 2,
      anon_sym_else,
      anon_sym_while,
  [202106] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9640), 1,
      anon_sym_COLON,
    ACTIONS(10183), 1,
      anon_sym_GT,
    STATE(6692), 1,
      sym_comment,
  [202122] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10584), 1,
      anon_sym_LBRACE,
    STATE(1702), 1,
      sym_enum_body,
    STATE(6693), 1,
      sym_comment,
  [202138] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6694), 1,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_else,
      anon_sym_while,
  [202152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4785), 1,
      anon_sym_LPAREN,
    STATE(2698), 1,
      sym_arguments,
    STATE(6695), 1,
      sym_comment,
  [202168] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6696), 1,
      sym_comment,
    ACTIONS(5626), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202182] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    STATE(6697), 1,
      sym_comment,
    STATE(6823), 1,
      sym_type_annotation,
  [202198] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3302), 1,
      sym_class_body,
    STATE(6698), 1,
      sym_comment,
  [202214] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(4951), 1,
      sym_formal_parameters,
    STATE(6699), 1,
      sym_comment,
  [202230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6700), 1,
      sym_comment,
    ACTIONS(5658), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202244] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6701), 1,
      sym_comment,
    ACTIONS(3376), 2,
      anon_sym_else,
      anon_sym_while,
  [202258] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6702), 1,
      sym_comment,
    ACTIONS(3492), 2,
      anon_sym_else,
      anon_sym_while,
  [202272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6703), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [202286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6704), 1,
      sym_comment,
    ACTIONS(2391), 2,
      anon_sym_else,
      anon_sym_while,
  [202300] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10586), 1,
      sym_identifier,
    ACTIONS(10588), 1,
      sym_private_property_identifier,
    STATE(6705), 1,
      sym_comment,
  [202316] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6706), 1,
      sym_comment,
    ACTIONS(10590), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202330] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10592), 1,
      sym_identifier,
    ACTIONS(10594), 1,
      anon_sym_STAR,
    STATE(6707), 1,
      sym_comment,
  [202346] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6708), 1,
      sym_comment,
    ACTIONS(10596), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202360] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3510), 1,
      sym_statement_block,
    STATE(6709), 1,
      sym_comment,
  [202376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(435), 1,
      sym_class_body,
    STATE(6710), 1,
      sym_comment,
  [202392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3512), 1,
      sym_statement_block,
    STATE(6711), 1,
      sym_comment,
  [202408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3498), 1,
      sym_statement_block,
    STATE(6712), 1,
      sym_comment,
  [202424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3537), 1,
      sym_statement_block,
    STATE(6713), 1,
      sym_comment,
  [202440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6714), 1,
      sym_comment,
    STATE(6734), 1,
      sym_statement_block,
  [202456] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10598), 1,
      sym_identifier,
    ACTIONS(10600), 1,
      sym_private_property_identifier,
    STATE(6715), 1,
      sym_comment,
  [202472] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3540), 1,
      sym_statement_block,
    STATE(6716), 1,
      sym_comment,
  [202488] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6717), 1,
      sym_comment,
    ACTIONS(5433), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202502] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6718), 1,
      sym_comment,
    ACTIONS(5429), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202516] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6719), 1,
      sym_comment,
    ACTIONS(3466), 2,
      anon_sym_else,
      anon_sym_while,
  [202530] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10264), 1,
      anon_sym_LBRACE,
    STATE(1205), 1,
      sym_statement_block,
    STATE(6720), 1,
      sym_comment,
  [202546] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6721), 1,
      sym_comment,
    ACTIONS(10602), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202560] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(6067), 1,
      sym_type_annotation,
    STATE(6722), 1,
      sym_comment,
  [202576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6723), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [202590] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10604), 1,
      anon_sym_LBRACE,
    STATE(869), 1,
      sym_statement_block,
    STATE(6724), 1,
      sym_comment,
  [202606] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(105), 1,
      sym_parenthesized_expression,
    STATE(6725), 1,
      sym_comment,
  [202622] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6726), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [202636] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(6727), 1,
      sym_comment,
    STATE(6908), 1,
      sym__from_clause,
  [202652] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(120), 1,
      sym_parenthesized_expression,
    STATE(6728), 1,
      sym_comment,
  [202668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6729), 1,
      sym_comment,
    STATE(7019), 1,
      sym_statement_block,
  [202684] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9640), 1,
      anon_sym_COLON,
    ACTIONS(9642), 1,
      anon_sym_GT,
    STATE(6730), 1,
      sym_comment,
  [202700] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8834), 1,
      anon_sym_DOT,
    ACTIONS(10606), 1,
      anon_sym_GT,
    STATE(6731), 1,
      sym_comment,
  [202716] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10608), 1,
      sym_identifier,
    ACTIONS(10610), 1,
      sym_private_property_identifier,
    STATE(6732), 1,
      sym_comment,
  [202732] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10612), 1,
      sym_identifier,
    ACTIONS(10614), 1,
      sym_private_property_identifier,
    STATE(6733), 1,
      sym_comment,
  [202748] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6734), 1,
      sym_comment,
    ACTIONS(6688), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202762] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6735), 1,
      sym_comment,
    ACTIONS(10616), 2,
      sym_jsx_identifier,
      sym_identifier,
  [202776] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6736), 1,
      sym_comment,
    STATE(7015), 1,
      sym_statement_block,
  [202792] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    STATE(2624), 1,
      sym_statement_block,
    STATE(6737), 1,
      sym_comment,
  [202808] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    STATE(2619), 1,
      sym_statement_block,
    STATE(6738), 1,
      sym_comment,
  [202824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(2614), 1,
      sym_class_body,
    STATE(6739), 1,
      sym_comment,
  [202840] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6740), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [202854] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6741), 1,
      sym_comment,
    ACTIONS(6684), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6742), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [202882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10618), 1,
      anon_sym_SEMI,
    ACTIONS(10620), 1,
      sym__automatic_semicolon,
    STATE(6743), 1,
      sym_comment,
  [202898] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6744), 1,
      sym_comment,
    ACTIONS(10622), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202912] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7740), 1,
      anon_sym_LBRACE,
    STATE(968), 1,
      sym_class_body,
    STATE(6745), 1,
      sym_comment,
  [202928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6746), 1,
      sym_comment,
    ACTIONS(3476), 2,
      anon_sym_else,
      anon_sym_while,
  [202942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6747), 1,
      sym_comment,
    ACTIONS(3396), 2,
      anon_sym_else,
      anon_sym_while,
  [202956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6748), 1,
      sym_comment,
    ACTIONS(3478), 2,
      anon_sym_else,
      anon_sym_while,
  [202970] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10578), 1,
      anon_sym_LPAREN,
    STATE(104), 1,
      sym__for_header,
    STATE(6749), 1,
      sym_comment,
  [202986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6750), 1,
      sym_comment,
    ACTIONS(10624), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203000] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3093), 1,
      sym_class_body,
    STATE(6751), 1,
      sym_comment,
  [203016] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6752), 1,
      sym_comment,
    ACTIONS(6674), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203030] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6753), 1,
      sym_comment,
    ACTIONS(10626), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10628), 1,
      anon_sym_LBRACE,
    STATE(6754), 1,
      sym_comment,
    STATE(7084), 1,
      sym_object,
  [203060] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6755), 1,
      sym_comment,
    ACTIONS(10630), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203074] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10632), 1,
      anon_sym_SEMI,
    ACTIONS(10634), 1,
      sym__automatic_semicolon,
    STATE(6756), 1,
      sym_comment,
  [203090] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6741), 1,
      sym_statement_block,
    STATE(6757), 1,
      sym_comment,
  [203106] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10636), 1,
      anon_sym_LBRACE,
    STATE(1438), 1,
      sym_switch_body,
    STATE(6758), 1,
      sym_comment,
  [203122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6759), 1,
      sym_comment,
    ACTIONS(3480), 2,
      anon_sym_else,
      anon_sym_while,
  [203136] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7698), 1,
      anon_sym_LBRACE,
    STATE(383), 1,
      sym_class_body,
    STATE(6760), 1,
      sym_comment,
  [203152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6542), 1,
      sym_statement_block,
    STATE(6761), 1,
      sym_comment,
  [203168] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6762), 1,
      sym_comment,
    ACTIONS(3378), 2,
      anon_sym_else,
      anon_sym_while,
  [203182] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10382), 1,
      anon_sym_LPAREN,
    STATE(6557), 1,
      sym_parenthesized_expression,
    STATE(6763), 1,
      sym_comment,
  [203198] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6764), 1,
      sym_comment,
    ACTIONS(3380), 2,
      anon_sym_else,
      anon_sym_while,
  [203212] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6765), 1,
      sym_comment,
    ACTIONS(10638), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7648), 1,
      anon_sym_LBRACE,
    STATE(1597), 1,
      sym_class_body,
    STATE(6766), 1,
      sym_comment,
  [203242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6767), 1,
      sym_comment,
    ACTIONS(3380), 2,
      anon_sym_else,
      anon_sym_while,
  [203256] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6768), 1,
      sym_comment,
    ACTIONS(3484), 2,
      anon_sym_else,
      anon_sym_while,
  [203270] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8713), 1,
      anon_sym_LBRACE,
    STATE(364), 1,
      sym_statement_block,
    STATE(6769), 1,
      sym_comment,
  [203286] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4538), 1,
      sym_formal_parameters,
    STATE(6770), 1,
      sym_comment,
  [203302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6771), 1,
      sym_comment,
    ACTIONS(3486), 2,
      anon_sym_else,
      anon_sym_while,
  [203316] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1302), 1,
      sym_class_body,
    STATE(6772), 1,
      sym_comment,
  [203332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6773), 1,
      sym_comment,
    ACTIONS(6701), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203346] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10640), 1,
      anon_sym_LBRACE,
    STATE(6759), 1,
      sym_enum_body,
    STATE(6774), 1,
      sym_comment,
  [203362] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6775), 1,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_else,
      anon_sym_while,
  [203376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9943), 1,
      anon_sym_LBRACE,
    STATE(1006), 1,
      sym_statement_block,
    STATE(6776), 1,
      sym_comment,
  [203392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6777), 1,
      sym_comment,
    ACTIONS(6678), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6778), 1,
      sym_comment,
    ACTIONS(9275), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(5242), 1,
      sym_class_body,
    STATE(6779), 1,
      sym_comment,
  [203436] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6780), 1,
      sym_comment,
    ACTIONS(3382), 2,
      anon_sym_else,
      anon_sym_while,
  [203450] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10642), 1,
      sym_identifier,
    ACTIONS(10644), 1,
      sym_private_property_identifier,
    STATE(6781), 1,
      sym_comment,
  [203466] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6782), 1,
      sym_comment,
    ACTIONS(6688), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203480] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6783), 1,
      sym_comment,
    ACTIONS(6684), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203494] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3503), 1,
      sym_statement_block,
    STATE(6784), 1,
      sym_comment,
  [203510] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3526), 1,
      sym_statement_block,
    STATE(6785), 1,
      sym_comment,
  [203526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6786), 1,
      sym_comment,
    ACTIONS(9679), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [203540] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9693), 1,
      sym_identifier,
    ACTIONS(9697), 1,
      sym_private_property_identifier,
    STATE(6787), 1,
      sym_comment,
  [203556] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10646), 1,
      sym_identifier,
    ACTIONS(10648), 1,
      sym_private_property_identifier,
    STATE(6788), 1,
      sym_comment,
  [203572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6789), 1,
      sym_comment,
    ACTIONS(3490), 2,
      anon_sym_else,
      anon_sym_while,
  [203586] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6790), 1,
      sym_comment,
    ACTIONS(10650), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7648), 1,
      anon_sym_LBRACE,
    STATE(1613), 1,
      sym_class_body,
    STATE(6791), 1,
      sym_comment,
  [203616] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10652), 1,
      sym_identifier,
    ACTIONS(10654), 1,
      sym_private_property_identifier,
    STATE(6792), 1,
      sym_comment,
  [203632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3522), 1,
      sym_statement_block,
    STATE(6793), 1,
      sym_comment,
  [203648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10656), 1,
      anon_sym_SEMI,
    ACTIONS(10658), 1,
      sym__automatic_semicolon,
    STATE(6794), 1,
      sym_comment,
  [203664] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5734), 1,
      sym__from_clause,
    STATE(6795), 1,
      sym_comment,
  [203680] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6796), 1,
      sym_comment,
    ACTIONS(10660), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [203694] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10662), 1,
      sym_identifier,
    ACTIONS(10664), 1,
      sym_private_property_identifier,
    STATE(6797), 1,
      sym_comment,
  [203710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6798), 1,
      sym_comment,
    ACTIONS(3490), 2,
      anon_sym_else,
      anon_sym_while,
  [203724] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3499), 1,
      sym_statement_block,
    STATE(6799), 1,
      sym_comment,
  [203740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3511), 1,
      sym_statement_block,
    STATE(6800), 1,
      sym_comment,
  [203756] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10666), 1,
      sym_identifier,
    ACTIONS(10668), 1,
      sym_private_property_identifier,
    STATE(6801), 1,
      sym_comment,
  [203772] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6802), 1,
      sym_comment,
    ACTIONS(3500), 2,
      anon_sym_else,
      anon_sym_while,
  [203786] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7698), 1,
      anon_sym_LBRACE,
    STATE(369), 1,
      sym_class_body,
    STATE(6803), 1,
      sym_comment,
  [203802] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10670), 1,
      sym_identifier,
    ACTIONS(10672), 1,
      sym_private_property_identifier,
    STATE(6804), 1,
      sym_comment,
  [203818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6169), 1,
      sym_statement_block,
    STATE(6805), 1,
      sym_comment,
  [203834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9943), 1,
      anon_sym_LBRACE,
    STATE(1005), 1,
      sym_statement_block,
    STATE(6806), 1,
      sym_comment,
  [203850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(5216), 1,
      sym_class_body,
    STATE(6807), 1,
      sym_comment,
  [203866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7934), 1,
      anon_sym_LBRACE,
    STATE(5329), 1,
      sym_statement_block,
    STATE(6808), 1,
      sym_comment,
  [203882] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6809), 1,
      sym_comment,
    ACTIONS(3502), 2,
      anon_sym_else,
      anon_sym_while,
  [203896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(5199), 1,
      sym_class_body,
    STATE(6810), 1,
      sym_comment,
  [203912] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7838), 1,
      anon_sym_LBRACE,
    STATE(363), 1,
      sym_class_body,
    STATE(6811), 1,
      sym_comment,
  [203928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6812), 1,
      sym_comment,
    ACTIONS(3506), 2,
      anon_sym_else,
      anon_sym_while,
  [203942] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10674), 1,
      sym_identifier,
    ACTIONS(10676), 1,
      anon_sym_STAR,
    STATE(6813), 1,
      sym_comment,
  [203958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    STATE(6814), 1,
      sym_comment,
    STATE(6918), 1,
      sym_type_annotation,
  [203974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3500), 1,
      sym_statement_block,
    STATE(6815), 1,
      sym_comment,
  [203990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7740), 1,
      anon_sym_LBRACE,
    STATE(973), 1,
      sym_class_body,
    STATE(6816), 1,
      sym_comment,
  [204006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(88), 1,
      sym_parenthesized_expression,
    STATE(6817), 1,
      sym_comment,
  [204022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10382), 1,
      anon_sym_LPAREN,
    STATE(6818), 1,
      sym_comment,
    STATE(6933), 1,
      sym_parenthesized_expression,
  [204038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6819), 1,
      sym_comment,
    ACTIONS(6737), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6820), 1,
      sym_comment,
    ACTIONS(3420), 2,
      anon_sym_else,
      anon_sym_while,
  [204066] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6524), 1,
      sym_statement_block,
    STATE(6821), 1,
      sym_comment,
  [204082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6822), 1,
      sym_comment,
    ACTIONS(3422), 2,
      anon_sym_else,
      anon_sym_while,
  [204096] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6823), 1,
      sym_comment,
    ACTIONS(10678), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [204110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8751), 1,
      anon_sym_LBRACE,
    STATE(976), 1,
      sym_statement_block,
    STATE(6824), 1,
      sym_comment,
  [204126] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7740), 1,
      anon_sym_LBRACE,
    STATE(983), 1,
      sym_class_body,
    STATE(6825), 1,
      sym_comment,
  [204142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10680), 1,
      anon_sym_SEMI,
    ACTIONS(10682), 1,
      sym__automatic_semicolon,
    STATE(6826), 1,
      sym_comment,
  [204158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6827), 1,
      sym_comment,
    ACTIONS(3504), 2,
      anon_sym_else,
      anon_sym_while,
  [204172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6828), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [204186] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(5134), 1,
      sym_class_body,
    STATE(6829), 1,
      sym_comment,
  [204202] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6830), 1,
      sym_comment,
    ACTIONS(6670), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204216] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6831), 1,
      sym_comment,
    ACTIONS(10684), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [204230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6832), 1,
      sym_comment,
    ACTIONS(10686), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(6826), 1,
      sym__from_clause,
    STATE(6833), 1,
      sym_comment,
  [204260] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8888), 1,
      anon_sym_LBRACE,
    STATE(361), 1,
      sym_statement_block,
    STATE(6834), 1,
      sym_comment,
  [204276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6835), 1,
      sym_comment,
    ACTIONS(6678), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6836), 1,
      sym_comment,
    ACTIONS(3538), 2,
      anon_sym_else,
      anon_sym_while,
  [204304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10688), 1,
      anon_sym_SEMI,
    ACTIONS(10690), 1,
      sym__automatic_semicolon,
    STATE(6837), 1,
      sym_comment,
  [204320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10692), 1,
      anon_sym_SEMI,
    ACTIONS(10694), 1,
      sym__automatic_semicolon,
    STATE(6838), 1,
      sym_comment,
  [204336] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6839), 1,
      sym_comment,
    ACTIONS(3538), 2,
      anon_sym_else,
      anon_sym_while,
  [204350] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10696), 1,
      sym_identifier,
    ACTIONS(10698), 1,
      sym_private_property_identifier,
    STATE(6840), 1,
      sym_comment,
  [204366] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10700), 1,
      sym_identifier,
    STATE(6073), 1,
      sym_nested_identifier,
    STATE(6841), 1,
      sym_comment,
  [204382] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    STATE(1204), 1,
      sym_class_body,
    STATE(6842), 1,
      sym_comment,
  [204398] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10702), 1,
      sym_identifier,
    ACTIONS(10704), 1,
      sym_private_property_identifier,
    STATE(6843), 1,
      sym_comment,
  [204414] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10706), 1,
      sym_identifier,
    ACTIONS(10708), 1,
      sym_private_property_identifier,
    STATE(6844), 1,
      sym_comment,
  [204430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5545), 1,
      sym__from_clause,
    STATE(6845), 1,
      sym_comment,
  [204446] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10710), 1,
      sym_identifier,
    ACTIONS(10712), 1,
      sym_private_property_identifier,
    STATE(6846), 1,
      sym_comment,
  [204462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6847), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [204476] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6848), 1,
      sym_comment,
    ACTIONS(3510), 2,
      anon_sym_else,
      anon_sym_while,
  [204490] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6849), 1,
      sym_comment,
    ACTIONS(3474), 2,
      anon_sym_else,
      anon_sym_while,
  [204504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6850), 1,
      sym_comment,
    ACTIONS(3538), 2,
      anon_sym_else,
      anon_sym_while,
  [204518] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10056), 1,
      sym_identifier,
    ACTIONS(10060), 1,
      sym_private_property_identifier,
    STATE(6851), 1,
      sym_comment,
  [204534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6852), 1,
      sym_comment,
    ACTIONS(10714), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [204548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6853), 1,
      sym_comment,
    ACTIONS(3386), 2,
      anon_sym_else,
      anon_sym_while,
  [204562] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10716), 1,
      sym_identifier,
    ACTIONS(10718), 1,
      sym_private_property_identifier,
    STATE(6854), 1,
      sym_comment,
  [204578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3551), 1,
      sym_statement_block,
    STATE(6855), 1,
      sym_comment,
  [204594] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9729), 1,
      sym_identifier,
    ACTIONS(9733), 1,
      sym_private_property_identifier,
    STATE(6856), 1,
      sym_comment,
  [204610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10640), 1,
      anon_sym_LBRACE,
    STATE(6857), 1,
      sym_comment,
    STATE(7080), 1,
      sym_enum_body,
  [204626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10720), 1,
      anon_sym_SEMI,
    ACTIONS(10722), 1,
      sym__automatic_semicolon,
    STATE(6858), 1,
      sym_comment,
  [204642] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10724), 1,
      sym_identifier,
    ACTIONS(10726), 1,
      anon_sym_STAR,
    STATE(6859), 1,
      sym_comment,
  [204658] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6860), 1,
      sym_comment,
    ACTIONS(3472), 2,
      anon_sym_else,
      anon_sym_while,
  [204672] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(6861), 1,
      sym_comment,
    STATE(7164), 1,
      sym_formal_parameters,
  [204688] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(5102), 1,
      sym_class_body,
    STATE(6862), 1,
      sym_comment,
  [204704] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7934), 1,
      anon_sym_LBRACE,
    STATE(5341), 1,
      sym_statement_block,
    STATE(6863), 1,
      sym_comment,
  [204720] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6864), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [204734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6865), 1,
      sym_comment,
    STATE(7099), 1,
      sym_statement_block,
  [204750] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(5098), 1,
      sym_class_body,
    STATE(6866), 1,
      sym_comment,
  [204766] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10728), 1,
      sym_identifier,
    ACTIONS(10730), 1,
      sym_private_property_identifier,
    STATE(6867), 1,
      sym_comment,
  [204782] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6868), 1,
      sym_comment,
    ACTIONS(3512), 2,
      anon_sym_else,
      anon_sym_while,
  [204796] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6869), 1,
      sym_comment,
    ACTIONS(10098), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204810] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8829), 1,
      anon_sym_LBRACE,
    STATE(439), 1,
      sym_statement_block,
    STATE(6870), 1,
      sym_comment,
  [204826] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6871), 1,
      sym_comment,
    ACTIONS(10103), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204840] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7838), 1,
      anon_sym_LBRACE,
    STATE(348), 1,
      sym_class_body,
    STATE(6872), 1,
      sym_comment,
  [204856] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10732), 1,
      sym_identifier,
    ACTIONS(10734), 1,
      sym_private_property_identifier,
    STATE(6873), 1,
      sym_comment,
  [204872] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6874), 1,
      sym_comment,
    ACTIONS(3514), 2,
      anon_sym_else,
      anon_sym_while,
  [204886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8829), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_statement_block,
    STATE(6875), 1,
      sym_comment,
  [204902] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10736), 1,
      sym_identifier,
    ACTIONS(10738), 1,
      sym_private_property_identifier,
    STATE(6876), 1,
      sym_comment,
  [204918] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(117), 1,
      sym_parenthesized_expression,
    STATE(6877), 1,
      sym_comment,
  [204934] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6878), 1,
      sym_comment,
    ACTIONS(10740), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [204948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6879), 1,
      sym_comment,
    ACTIONS(5531), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204962] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    STATE(3100), 1,
      sym_statement_block,
    STATE(6880), 1,
      sym_comment,
  [204978] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6881), 1,
      sym_comment,
    ACTIONS(3516), 2,
      anon_sym_else,
      anon_sym_while,
  [204992] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6882), 1,
      sym_comment,
    ACTIONS(3386), 2,
      anon_sym_else,
      anon_sym_while,
  [205006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8713), 1,
      anon_sym_LBRACE,
    STATE(381), 1,
      sym_statement_block,
    STATE(6883), 1,
      sym_comment,
  [205022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1330), 1,
      sym_class_body,
    STATE(6884), 1,
      sym_comment,
  [205038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6885), 1,
      sym_comment,
    ACTIONS(3468), 2,
      anon_sym_else,
      anon_sym_while,
  [205052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    STATE(2672), 1,
      sym_statement_block,
    STATE(6886), 1,
      sym_comment,
  [205068] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6887), 1,
      sym_comment,
    ACTIONS(3540), 2,
      anon_sym_else,
      anon_sym_while,
  [205082] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5584), 1,
      sym__from_clause,
    STATE(6888), 1,
      sym_comment,
  [205098] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6889), 1,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_else,
      anon_sym_while,
  [205112] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6890), 1,
      sym_comment,
    ACTIONS(3388), 2,
      anon_sym_else,
      anon_sym_while,
  [205126] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(4996), 1,
      sym_class_body,
    STATE(6891), 1,
      sym_comment,
  [205142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7698), 1,
      anon_sym_LBRACE,
    STATE(386), 1,
      sym_class_body,
    STATE(6892), 1,
      sym_comment,
  [205158] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7648), 1,
      anon_sym_LBRACE,
    STATE(1581), 1,
      sym_class_body,
    STATE(6893), 1,
      sym_comment,
  [205174] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10742), 1,
      sym_identifier,
    STATE(6381), 1,
      sym_nested_identifier,
    STATE(6894), 1,
      sym_comment,
  [205190] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(6895), 1,
      sym_comment,
    STATE(7566), 1,
      sym_formal_parameters,
  [205206] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(2682), 1,
      sym_class_body,
    STATE(6896), 1,
      sym_comment,
  [205222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1339), 1,
      sym_class_body,
    STATE(6897), 1,
      sym_comment,
  [205238] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6898), 1,
      sym_comment,
    ACTIONS(3464), 2,
      anon_sym_else,
      anon_sym_while,
  [205252] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8888), 1,
      anon_sym_LBRACE,
    STATE(349), 1,
      sym_statement_block,
    STATE(6899), 1,
      sym_comment,
  [205268] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6900), 1,
      sym_comment,
    ACTIONS(6713), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3525), 1,
      sym_statement_block,
    STATE(6901), 1,
      sym_comment,
  [205298] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(6902), 1,
      sym_comment,
    STATE(7371), 1,
      sym_formal_parameters,
  [205314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6903), 1,
      sym_comment,
    ACTIONS(3542), 2,
      anon_sym_else,
      anon_sym_while,
  [205328] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8751), 1,
      anon_sym_LBRACE,
    STATE(988), 1,
      sym_statement_block,
    STATE(6904), 1,
      sym_comment,
  [205344] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7740), 1,
      anon_sym_LBRACE,
    STATE(991), 1,
      sym_class_body,
    STATE(6905), 1,
      sym_comment,
  [205360] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(6558), 1,
      sym__from_clause,
    STATE(6906), 1,
      sym_comment,
  [205376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10744), 1,
      anon_sym_SEMI,
    ACTIONS(10746), 1,
      sym__automatic_semicolon,
    STATE(6907), 1,
      sym_comment,
  [205392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10748), 1,
      anon_sym_SEMI,
    ACTIONS(10750), 1,
      sym__automatic_semicolon,
    STATE(6908), 1,
      sym_comment,
  [205408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(5504), 1,
      sym_formal_parameters,
    STATE(6909), 1,
      sym_comment,
  [205424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9601), 1,
      anon_sym_LBRACE,
    STATE(994), 1,
      sym_statement_block,
    STATE(6910), 1,
      sym_comment,
  [205440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6911), 1,
      sym_comment,
    ACTIONS(10752), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205454] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10754), 1,
      sym_identifier,
    STATE(6358), 1,
      sym_nested_identifier,
    STATE(6912), 1,
      sym_comment,
  [205470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6913), 1,
      sym_comment,
    ACTIONS(3538), 2,
      anon_sym_else,
      anon_sym_while,
  [205484] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6914), 1,
      sym_comment,
    ACTIONS(5446), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205498] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6915), 1,
      sym_comment,
    ACTIONS(6717), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205512] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6916), 1,
      sym_comment,
    ACTIONS(10014), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [205526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6917), 1,
      sym_comment,
    ACTIONS(9949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6918), 1,
      sym_comment,
    ACTIONS(10756), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [205554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6919), 1,
      sym_comment,
    ACTIONS(10758), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205568] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6920), 1,
      sym_comment,
    ACTIONS(10760), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205582] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6921), 1,
      sym_comment,
    ACTIONS(3390), 2,
      anon_sym_else,
      anon_sym_while,
  [205596] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6922), 1,
      sym_comment,
    ACTIONS(10762), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5646), 1,
      sym__from_clause,
    STATE(6923), 1,
      sym_comment,
  [205626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6924), 1,
      sym_comment,
    ACTIONS(8625), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [205640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(6925), 1,
      sym_comment,
    STATE(7584), 1,
      sym_formal_parameters,
  [205656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3528), 1,
      sym_statement_block,
    STATE(6926), 1,
      sym_comment,
  [205672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6927), 1,
      sym_comment,
    ACTIONS(10764), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205686] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10766), 1,
      anon_sym_COMMA,
    ACTIONS(10768), 1,
      anon_sym_from,
    STATE(6928), 1,
      sym_comment,
  [205702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3529), 1,
      sym_statement_block,
    STATE(6929), 1,
      sym_comment,
  [205718] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10770), 1,
      sym_identifier,
    ACTIONS(10772), 1,
      anon_sym_STAR,
    STATE(6930), 1,
      sym_comment,
  [205734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(5511), 1,
      sym_formal_parameters,
    STATE(6931), 1,
      sym_comment,
  [205750] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10578), 1,
      anon_sym_LPAREN,
    STATE(112), 1,
      sym__for_header,
    STATE(6932), 1,
      sym_comment,
  [205766] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10774), 1,
      anon_sym_LBRACE,
    STATE(6933), 1,
      sym_comment,
    STATE(7045), 1,
      sym_switch_body,
  [205782] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(6934), 1,
      sym_comment,
    STATE(7619), 1,
      sym_formal_parameters,
  [205798] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(6935), 1,
      sym_comment,
    STATE(7353), 1,
      sym_formal_parameters,
  [205814] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6936), 1,
      sym_comment,
    ACTIONS(3462), 2,
      anon_sym_else,
      anon_sym_while,
  [205828] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7838), 1,
      anon_sym_LBRACE,
    STATE(355), 1,
      sym_class_body,
    STATE(6937), 1,
      sym_comment,
  [205844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6938), 1,
      sym_comment,
    ACTIONS(3538), 2,
      anon_sym_else,
      anon_sym_while,
  [205858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6939), 1,
      sym_comment,
    ACTIONS(3392), 2,
      anon_sym_else,
      anon_sym_while,
  [205872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10776), 1,
      anon_sym_SEMI,
    ACTIONS(10778), 1,
      sym__automatic_semicolon,
    STATE(6940), 1,
      sym_comment,
  [205888] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(6941), 1,
      sym_comment,
    STATE(7496), 1,
      sym_formal_parameters,
  [205904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6942), 1,
      sym_comment,
    ACTIONS(3544), 2,
      anon_sym_else,
      anon_sym_while,
  [205918] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10780), 1,
      sym_identifier,
    STATE(6411), 1,
      sym_nested_identifier,
    STATE(6943), 1,
      sym_comment,
  [205934] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6944), 1,
      sym_comment,
    ACTIONS(3368), 2,
      anon_sym_else,
      anon_sym_while,
  [205948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1363), 1,
      sym_class_body,
    STATE(6945), 1,
      sym_comment,
  [205964] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6946), 1,
      sym_comment,
    ACTIONS(10782), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205978] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(6947), 1,
      sym_comment,
    STATE(7582), 1,
      sym_formal_parameters,
  [205994] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6948), 1,
      sym_comment,
    ACTIONS(10784), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6949), 1,
      sym_comment,
    ACTIONS(3460), 2,
      anon_sym_else,
      anon_sym_while,
  [206022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6950), 1,
      sym_comment,
    ACTIONS(3456), 2,
      anon_sym_else,
      anon_sym_while,
  [206036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9601), 1,
      anon_sym_LBRACE,
    STATE(997), 1,
      sym_statement_block,
    STATE(6951), 1,
      sym_comment,
  [206052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6952), 1,
      sym_comment,
    ACTIONS(3454), 2,
      anon_sym_else,
      anon_sym_while,
  [206066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6953), 1,
      sym_comment,
    ACTIONS(3394), 2,
      anon_sym_else,
      anon_sym_while,
  [206080] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(5012), 1,
      sym_class_body,
    STATE(6954), 1,
      sym_comment,
  [206096] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6955), 1,
      sym_comment,
    ACTIONS(10786), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10788), 1,
      anon_sym_SEMI,
    ACTIONS(10790), 1,
      sym__automatic_semicolon,
    STATE(6956), 1,
      sym_comment,
  [206126] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6496), 1,
      sym_statement_block,
    STATE(6957), 1,
      sym_comment,
  [206142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6958), 1,
      sym_comment,
    ACTIONS(6674), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206156] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4511), 1,
      sym_formal_parameters,
    STATE(6959), 1,
      sym_comment,
  [206172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6960), 1,
      sym_comment,
    ACTIONS(10792), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206186] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6961), 1,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_else,
      anon_sym_while,
  [206200] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5550), 1,
      sym__from_clause,
    STATE(6962), 1,
      sym_comment,
  [206216] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(4435), 1,
      sym_formal_parameters,
    STATE(6963), 1,
      sym_comment,
  [206232] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8834), 1,
      anon_sym_DOT,
    ACTIONS(10794), 1,
      anon_sym_GT,
    STATE(6964), 1,
      sym_comment,
  [206248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6965), 1,
      sym_comment,
    ACTIONS(5558), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206262] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9640), 1,
      anon_sym_COLON,
    ACTIONS(9977), 1,
      anon_sym_GT,
    STATE(6966), 1,
      sym_comment,
  [206278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10796), 1,
      anon_sym_LBRACE,
    STATE(1585), 1,
      sym_switch_body,
    STATE(6967), 1,
      sym_comment,
  [206294] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6968), 1,
      sym_comment,
    ACTIONS(3448), 2,
      anon_sym_else,
      anon_sym_while,
  [206308] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6969), 1,
      sym_comment,
    ACTIONS(2107), 2,
      anon_sym_else,
      anon_sym_while,
  [206322] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6970), 1,
      sym_comment,
    ACTIONS(2255), 2,
      anon_sym_else,
      anon_sym_while,
  [206336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5570), 1,
      sym__from_clause,
    STATE(6971), 1,
      sym_comment,
  [206352] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6972), 1,
      sym_comment,
    ACTIONS(3520), 2,
      anon_sym_else,
      anon_sym_while,
  [206366] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(6631), 1,
      sym__from_clause,
    STATE(6973), 1,
      sym_comment,
  [206382] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6974), 1,
      sym_comment,
    ACTIONS(3522), 2,
      anon_sym_else,
      anon_sym_while,
  [206396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(6975), 1,
      sym_comment,
    STATE(7343), 1,
      sym_formal_parameters,
  [206412] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6976), 1,
      sym_comment,
    ACTIONS(3524), 2,
      anon_sym_else,
      anon_sym_while,
  [206426] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3550), 1,
      sym_statement_block,
    STATE(6977), 1,
      sym_comment,
  [206442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6978), 1,
      sym_comment,
    ACTIONS(3446), 2,
      anon_sym_else,
      anon_sym_while,
  [206456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3523), 1,
      sym_statement_block,
    STATE(6979), 1,
      sym_comment,
  [206472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6980), 1,
      sym_comment,
    ACTIONS(3444), 2,
      anon_sym_else,
      anon_sym_while,
  [206486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10798), 1,
      anon_sym_SEMI,
    ACTIONS(10800), 1,
      sym__automatic_semicolon,
    STATE(6981), 1,
      sym_comment,
  [206502] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6982), 1,
      sym_comment,
    ACTIONS(3442), 2,
      anon_sym_else,
      anon_sym_while,
  [206516] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6983), 1,
      sym_comment,
    ACTIONS(3440), 2,
      anon_sym_else,
      anon_sym_while,
  [206530] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9640), 1,
      anon_sym_COLON,
    ACTIONS(9947), 1,
      anon_sym_GT,
    STATE(6984), 1,
      sym_comment,
  [206546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_class_body,
    STATE(6985), 1,
      sym_comment,
  [206562] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3545), 1,
      sym_statement_block,
    STATE(6986), 1,
      sym_comment,
  [206578] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6987), 1,
      sym_comment,
    ACTIONS(3436), 2,
      anon_sym_else,
      anon_sym_while,
  [206592] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6988), 1,
      sym_comment,
    ACTIONS(3434), 2,
      anon_sym_else,
      anon_sym_while,
  [206606] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6989), 1,
      sym_comment,
    ACTIONS(8405), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [206620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_class_body,
    STATE(6990), 1,
      sym_comment,
  [206636] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8834), 1,
      anon_sym_DOT,
    ACTIONS(10802), 1,
      anon_sym_GT,
    STATE(6991), 1,
      sym_comment,
  [206652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6992), 1,
      sym_comment,
    ACTIONS(10804), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206666] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6993), 1,
      sym_comment,
    ACTIONS(6721), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206680] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6994), 1,
      sym_comment,
    ACTIONS(3432), 2,
      anon_sym_else,
      anon_sym_while,
  [206694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(4800), 1,
      sym_statement_block,
    STATE(6995), 1,
      sym_comment,
  [206710] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(77), 1,
      sym_parenthesized_expression,
    STATE(6996), 1,
      sym_comment,
  [206726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6997), 1,
      sym_comment,
    ACTIONS(3430), 2,
      anon_sym_else,
      anon_sym_while,
  [206740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3532), 1,
      sym_statement_block,
    STATE(6998), 1,
      sym_comment,
  [206756] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6999), 1,
      sym_comment,
    ACTIONS(10806), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [206770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7000), 1,
      sym_comment,
    ACTIONS(3528), 2,
      anon_sym_else,
      anon_sym_while,
  [206784] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7001), 1,
      sym_comment,
    ACTIONS(3530), 2,
      anon_sym_else,
      anon_sym_while,
  [206798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7002), 1,
      sym_comment,
    ACTIONS(3430), 2,
      anon_sym_else,
      anon_sym_while,
  [206812] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7648), 1,
      anon_sym_LBRACE,
    STATE(1562), 1,
      sym_class_body,
    STATE(7003), 1,
      sym_comment,
  [206828] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(85), 1,
      sym_parenthesized_expression,
    STATE(7004), 1,
      sym_comment,
  [206844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7005), 1,
      sym_comment,
    ACTIONS(10808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206858] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3542), 1,
      sym_statement_block,
    STATE(7006), 1,
      sym_comment,
  [206874] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3515), 1,
      sym_statement_block,
    STATE(7007), 1,
      sym_comment,
  [206890] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10382), 1,
      anon_sym_LPAREN,
    STATE(6679), 1,
      sym_parenthesized_expression,
    STATE(7008), 1,
      sym_comment,
  [206906] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10038), 1,
      sym_identifier,
    ACTIONS(10042), 1,
      sym_private_property_identifier,
    STATE(7009), 1,
      sym_comment,
  [206922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7010), 1,
      sym_comment,
    ACTIONS(3428), 2,
      anon_sym_else,
      anon_sym_while,
  [206936] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10810), 1,
      sym_identifier,
    ACTIONS(10812), 1,
      sym_private_property_identifier,
    STATE(7011), 1,
      sym_comment,
  [206952] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10584), 1,
      anon_sym_LBRACE,
    STATE(1606), 1,
      sym_enum_body,
    STATE(7012), 1,
      sym_comment,
  [206968] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8689), 1,
      anon_sym_LBRACE,
    STATE(1197), 1,
      sym_statement_block,
    STATE(7013), 1,
      sym_comment,
  [206984] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    STATE(1187), 1,
      sym_class_body,
    STATE(7014), 1,
      sym_comment,
  [207000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7015), 1,
      sym_comment,
    ACTIONS(6701), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207014] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6830), 1,
      sym_statement_block,
    STATE(7016), 1,
      sym_comment,
  [207030] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7017), 1,
      sym_comment,
    ACTIONS(3452), 2,
      anon_sym_else,
      anon_sym_while,
  [207044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(4190), 1,
      sym_formal_parameters,
    STATE(7018), 1,
      sym_comment,
  [207060] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7019), 1,
      sym_comment,
    ACTIONS(6709), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7020), 1,
      sym_comment,
    ACTIONS(6713), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7021), 1,
      sym_comment,
    ACTIONS(3532), 2,
      anon_sym_else,
      anon_sym_while,
  [207102] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7022), 1,
      sym_comment,
    ACTIONS(3534), 2,
      anon_sym_else,
      anon_sym_while,
  [207116] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6777), 1,
      sym_statement_block,
    STATE(7023), 1,
      sym_comment,
  [207132] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10458), 1,
      anon_sym_LBRACE,
    STATE(1599), 1,
      sym_statement_block,
    STATE(7024), 1,
      sym_comment,
  [207148] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7838), 1,
      anon_sym_LBRACE,
    STATE(387), 1,
      sym_class_body,
    STATE(7025), 1,
      sym_comment,
  [207164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7026), 1,
      sym_comment,
    ACTIONS(3526), 2,
      anon_sym_else,
      anon_sym_while,
  [207178] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6656), 1,
      sym_statement_block,
    STATE(7027), 1,
      sym_comment,
  [207194] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6819), 1,
      sym_statement_block,
    STATE(7028), 1,
      sym_comment,
  [207210] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10560), 1,
      anon_sym_LBRACE,
    STATE(1526), 1,
      sym_statement_block,
    STATE(7029), 1,
      sym_comment,
  [207226] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7030), 1,
      sym_comment,
    ACTIONS(6705), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10814), 1,
      anon_sym_LPAREN,
    STATE(1533), 1,
      sym_parenthesized_expression,
    STATE(7031), 1,
      sym_comment,
  [207256] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7032), 1,
      sym_comment,
    ACTIONS(6717), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207270] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3262), 1,
      sym_class_body,
    STATE(7033), 1,
      sym_comment,
  [207286] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10816), 1,
      anon_sym_LBRACE,
    STATE(5059), 1,
      sym_enum_body,
    STATE(7034), 1,
      sym_comment,
  [207302] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(6752), 1,
      sym_statement_block,
    STATE(7035), 1,
      sym_comment,
  [207318] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7036), 1,
      sym_comment,
    ACTIONS(9360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207332] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    STATE(3289), 1,
      sym_statement_block,
    STATE(7037), 1,
      sym_comment,
  [207348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7038), 1,
      sym_comment,
    ACTIONS(10818), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207362] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    STATE(3269), 1,
      sym_statement_block,
    STATE(7039), 1,
      sym_comment,
  [207378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7040), 1,
      sym_comment,
    ACTIONS(5509), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10820), 1,
      anon_sym_SEMI,
    ACTIONS(10822), 1,
      sym__automatic_semicolon,
    STATE(7041), 1,
      sym_comment,
  [207408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(7042), 1,
      sym_comment,
    STATE(7412), 1,
      sym_formal_parameters,
  [207424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10824), 1,
      anon_sym_SEMI,
    ACTIONS(10826), 1,
      sym__automatic_semicolon,
    STATE(7043), 1,
      sym_comment,
  [207440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3524), 1,
      sym_statement_block,
    STATE(7044), 1,
      sym_comment,
  [207456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7045), 1,
      sym_comment,
    ACTIONS(3536), 2,
      anon_sym_else,
      anon_sym_while,
  [207470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7046), 1,
      sym_comment,
    ACTIONS(10828), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207484] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    STATE(3301), 1,
      sym_arguments,
    STATE(7047), 1,
      sym_comment,
  [207500] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3275), 1,
      sym_class_body,
    STATE(7048), 1,
      sym_comment,
  [207516] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7049), 1,
      sym_comment,
    ACTIONS(10830), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207530] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3065), 1,
      sym_class_body,
    STATE(7050), 1,
      sym_comment,
  [207546] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7051), 1,
      sym_comment,
    ACTIONS(3424), 2,
      anon_sym_else,
      anon_sym_while,
  [207560] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10832), 1,
      anon_sym_SEMI,
    ACTIONS(10834), 1,
      sym__automatic_semicolon,
    STATE(7052), 1,
      sym_comment,
  [207576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7053), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [207590] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7054), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [207604] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7055), 1,
      sym_comment,
    ACTIONS(10836), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207618] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7056), 1,
      sym_comment,
    ACTIONS(10838), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10840), 1,
      anon_sym_SEMI,
    ACTIONS(10842), 1,
      sym__automatic_semicolon,
    STATE(7057), 1,
      sym_comment,
  [207648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    STATE(7030), 1,
      sym_statement_block,
    STATE(7058), 1,
      sym_comment,
  [207664] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(7059), 1,
      sym_comment,
    STATE(7375), 1,
      sym_formal_parameters,
  [207680] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(115), 1,
      sym_parenthesized_expression,
    STATE(7060), 1,
      sym_comment,
  [207696] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10382), 1,
      anon_sym_LPAREN,
    STATE(6758), 1,
      sym_parenthesized_expression,
    STATE(7061), 1,
      sym_comment,
  [207712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7062), 1,
      sym_comment,
    ACTIONS(10844), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [207726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10816), 1,
      anon_sym_LBRACE,
    STATE(5082), 1,
      sym_enum_body,
    STATE(7063), 1,
      sym_comment,
  [207742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7064), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [207756] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7065), 1,
      sym_comment,
    ACTIONS(5613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207770] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    STATE(6162), 1,
      sym_nested_identifier,
    STATE(7066), 1,
      sym_comment,
  [207786] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(7067), 1,
      sym_comment,
    STATE(7328), 1,
      sym_formal_parameters,
  [207802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7934), 1,
      anon_sym_LBRACE,
    STATE(5084), 1,
      sym_statement_block,
    STATE(7068), 1,
      sym_comment,
  [207818] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7069), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [207832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7070), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [207846] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7071), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [207860] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7072), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [207874] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8852), 1,
      anon_sym_in,
    ACTIONS(8854), 1,
      anon_sym_of,
    STATE(7073), 1,
      sym_comment,
  [207890] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(6591), 1,
      sym__from_clause,
    STATE(7074), 1,
      sym_comment,
  [207906] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(3439), 1,
      sym_class_body,
    STATE(7075), 1,
      sym_comment,
  [207922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7076), 1,
      sym_comment,
    ACTIONS(3398), 2,
      anon_sym_else,
      anon_sym_while,
  [207936] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5767), 1,
      sym__from_clause,
    STATE(7077), 1,
      sym_comment,
  [207952] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3541), 1,
      sym_statement_block,
    STATE(7078), 1,
      sym_comment,
  [207968] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5644), 1,
      sym__from_clause,
    STATE(7079), 1,
      sym_comment,
  [207984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7080), 1,
      sym_comment,
    ACTIONS(3546), 2,
      anon_sym_else,
      anon_sym_while,
  [207998] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7081), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [208012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10848), 1,
      anon_sym_in,
    ACTIONS(10850), 1,
      anon_sym_COLON,
    STATE(7082), 1,
      sym_comment,
  [208028] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10852), 1,
      anon_sym_SEMI,
    ACTIONS(10854), 1,
      sym__automatic_semicolon,
    STATE(7083), 1,
      sym_comment,
  [208044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7084), 1,
      sym_comment,
    ACTIONS(10856), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208058] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7085), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [208072] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10264), 1,
      anon_sym_LBRACE,
    STATE(1408), 1,
      sym_statement_block,
    STATE(7086), 1,
      sym_comment,
  [208088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7087), 1,
      sym_comment,
    ACTIONS(10858), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208102] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7088), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [208116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7089), 1,
      sym_comment,
    ACTIONS(10860), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7090), 1,
      sym_comment,
    ACTIONS(3420), 2,
      anon_sym_else,
      anon_sym_while,
  [208144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5749), 1,
      sym__from_clause,
    STATE(7091), 1,
      sym_comment,
  [208160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    STATE(3083), 1,
      sym_statement_block,
    STATE(7092), 1,
      sym_comment,
  [208176] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3521), 1,
      sym_statement_block,
    STATE(7093), 1,
      sym_comment,
  [208192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3518), 1,
      sym_statement_block,
    STATE(7094), 1,
      sym_comment,
  [208208] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7095), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [208222] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7096), 1,
      sym_comment,
    ACTIONS(3548), 2,
      anon_sym_else,
      anon_sym_while,
  [208236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(7097), 1,
      sym_comment,
    STATE(7423), 1,
      sym_formal_parameters,
  [208252] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(5672), 1,
      sym__from_clause,
    STATE(7098), 1,
      sym_comment,
  [208268] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7099), 1,
      sym_comment,
    ACTIONS(3562), 2,
      anon_sym_else,
      anon_sym_while,
  [208282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9122), 1,
      anon_sym_from,
    STATE(7043), 1,
      sym__from_clause,
    STATE(7100), 1,
      sym_comment,
  [208298] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10862), 1,
      sym_identifier,
    STATE(5871), 1,
      sym_nested_identifier,
    STATE(7101), 1,
      sym_comment,
  [208314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7102), 1,
      sym_comment,
    ACTIONS(5570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208328] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7103), 1,
      sym_comment,
    ACTIONS(3400), 2,
      anon_sym_else,
      anon_sym_while,
  [208342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7104), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [208356] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7105), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [208370] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(7106), 1,
      sym_comment,
    STATE(7349), 1,
      sym_formal_parameters,
  [208386] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7528), 1,
      anon_sym_LBRACE,
    STATE(3423), 1,
      sym_class_body,
    STATE(7107), 1,
      sym_comment,
  [208402] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(5274), 1,
      sym_formal_parameters,
    STATE(7108), 1,
      sym_comment,
  [208418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7109), 1,
      sym_comment,
    ACTIONS(5737), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7110), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [208446] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(7111), 1,
      sym_comment,
    STATE(7289), 1,
      sym_formal_parameters,
  [208462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7112), 1,
      sym_comment,
    ACTIONS(5739), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208476] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7113), 1,
      sym_comment,
    ACTIONS(3402), 2,
      anon_sym_else,
      anon_sym_while,
  [208490] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7114), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [208504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7115), 1,
      sym_comment,
    ACTIONS(10864), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7116), 1,
      sym_comment,
    ACTIONS(10866), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    STATE(3110), 1,
      sym_statement_block,
    STATE(7117), 1,
      sym_comment,
  [208548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7118), 1,
      sym_comment,
    ACTIONS(3404), 2,
      anon_sym_else,
      anon_sym_while,
  [208562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7119), 1,
      sym_comment,
    ACTIONS(9908), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [208576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7120), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [208590] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10578), 1,
      anon_sym_LPAREN,
    STATE(73), 1,
      sym__for_header,
    STATE(7121), 1,
      sym_comment,
  [208606] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10868), 1,
      anon_sym_LBRACE,
    STATE(1391), 1,
      sym_switch_body,
    STATE(7122), 1,
      sym_comment,
  [208622] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7123), 1,
      sym_comment,
    ACTIONS(5691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208636] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(97), 1,
      sym_parenthesized_expression,
    STATE(7124), 1,
      sym_comment,
  [208652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7125), 1,
      sym_comment,
    ACTIONS(3416), 2,
      anon_sym_else,
      anon_sym_while,
  [208666] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10382), 1,
      anon_sym_LPAREN,
    STATE(7122), 1,
      sym_parenthesized_expression,
    STATE(7126), 1,
      sym_comment,
  [208682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(92), 1,
      sym_parenthesized_expression,
    STATE(7127), 1,
      sym_comment,
  [208698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7128), 1,
      sym_comment,
    ACTIONS(10870), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [208712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(87), 1,
      sym_parenthesized_expression,
    STATE(7129), 1,
      sym_comment,
  [208728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7130), 1,
      sym_comment,
    ACTIONS(10872), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [208742] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10578), 1,
      anon_sym_LPAREN,
    STATE(82), 1,
      sym__for_header,
    STATE(7131), 1,
      sym_comment,
  [208758] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACE,
    STATE(878), 1,
      sym_statement_block,
    STATE(7132), 1,
      sym_comment,
  [208774] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7133), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [208788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7134), 1,
      sym_comment,
    ACTIONS(10876), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [208802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_LBRACE,
    STATE(3255), 1,
      sym_statement_block,
    STATE(7135), 1,
      sym_comment,
  [208818] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7136), 1,
      sym_comment,
    ACTIONS(2207), 2,
      anon_sym_else,
      anon_sym_while,
  [208832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7137), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [208846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3546), 1,
      sym_statement_block,
    STATE(7138), 1,
      sym_comment,
  [208862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7139), 1,
      sym_comment,
    ACTIONS(3404), 2,
      anon_sym_else,
      anon_sym_while,
  [208876] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7140), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [208890] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(100), 1,
      sym_parenthesized_expression,
    STATE(7141), 1,
      sym_comment,
  [208906] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7142), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [208920] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_LBRACE,
    STATE(3534), 1,
      sym_statement_block,
    STATE(7143), 1,
      sym_comment,
  [208936] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7144), 1,
      sym_comment,
    ACTIONS(10878), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7145), 1,
      sym_comment,
    ACTIONS(3414), 2,
      anon_sym_else,
      anon_sym_while,
  [208964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7504), 1,
      anon_sym_LBRACE,
    STATE(3224), 1,
      sym_class_body,
    STATE(7146), 1,
      sym_comment,
  [208980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7147), 1,
      sym_comment,
    ACTIONS(3394), 2,
      anon_sym_else,
      anon_sym_while,
  [208994] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7148), 1,
      sym_comment,
    ACTIONS(5744), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [209008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7149), 1,
      sym_comment,
    ACTIONS(3404), 2,
      anon_sym_else,
      anon_sym_while,
  [209022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7150), 1,
      sym_comment,
    ACTIONS(3550), 2,
      anon_sym_else,
      anon_sym_while,
  [209036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10380), 1,
      anon_sym_LPAREN,
    STATE(121), 1,
      sym_parenthesized_expression,
    STATE(7151), 1,
      sym_comment,
  [209052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7152), 1,
      sym_comment,
    ACTIONS(3410), 2,
      anon_sym_else,
      anon_sym_while,
  [209066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7153), 1,
      sym_comment,
    ACTIONS(3408), 2,
      anon_sym_else,
      anon_sym_while,
  [209080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7154), 1,
      sym_comment,
    ACTIONS(3552), 2,
      anon_sym_else,
      anon_sym_while,
  [209094] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7155), 1,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_else,
      anon_sym_while,
  [209108] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7156), 1,
      sym_comment,
    ACTIONS(3556), 2,
      anon_sym_else,
      anon_sym_while,
  [209122] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10880), 1,
      anon_sym_LBRACE,
    STATE(880), 1,
      sym_statement_block,
    STATE(7157), 1,
      sym_comment,
  [209138] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7158), 1,
      sym_comment,
    ACTIONS(3558), 2,
      anon_sym_else,
      anon_sym_while,
  [209152] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7159), 1,
      sym_comment,
    ACTIONS(3560), 2,
      anon_sym_else,
      anon_sym_while,
  [209166] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7160), 1,
      sym_comment,
    ACTIONS(10882), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [209180] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7161), 1,
      sym_comment,
    ACTIONS(3406), 2,
      anon_sym_else,
      anon_sym_while,
  [209194] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(7162), 1,
      sym_comment,
    ACTIONS(4004), 2,
      sym_jsx_identifier,
      sym_identifier,
  [209208] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10884), 1,
      sym_identifier,
    STATE(7163), 1,
      sym_comment,
  [209221] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10886), 1,
      anon_sym_EQ_GT,
    STATE(7164), 1,
      sym_comment,
  [209234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10888), 1,
      anon_sym_EQ_GT,
    STATE(7165), 1,
      sym_comment,
  [209247] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5789), 1,
      anon_sym_in,
    STATE(7166), 1,
      sym_comment,
  [209260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10890), 1,
      anon_sym_EQ_GT,
    STATE(7167), 1,
      sym_comment,
  [209273] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6104), 1,
      anon_sym_in,
    STATE(7168), 1,
      sym_comment,
  [209286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5371), 1,
      anon_sym_in,
    STATE(7169), 1,
      sym_comment,
  [209299] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10892), 1,
      anon_sym_EQ_GT,
    STATE(7170), 1,
      sym_comment,
  [209312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10894), 1,
      anon_sym_EQ,
    STATE(7171), 1,
      sym_comment,
  [209325] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9883), 1,
      anon_sym_LBRACE,
    STATE(7172), 1,
      sym_comment,
  [209338] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10896), 1,
      anon_sym_EQ,
    STATE(7173), 1,
      sym_comment,
  [209351] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10898), 1,
      anon_sym_RBRACK,
    STATE(7174), 1,
      sym_comment,
  [209364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9382), 1,
      anon_sym_EQ_GT,
    STATE(7175), 1,
      sym_comment,
  [209377] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9376), 1,
      anon_sym_EQ_GT,
    STATE(7176), 1,
      sym_comment,
  [209390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10900), 1,
      anon_sym_EQ_GT,
    STATE(7177), 1,
      sym_comment,
  [209403] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10902), 1,
      anon_sym_target,
    STATE(7178), 1,
      sym_comment,
  [209416] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10904), 1,
      anon_sym_EQ,
    STATE(7179), 1,
      sym_comment,
  [209429] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10906), 1,
      anon_sym_SLASH2,
    STATE(7180), 1,
      sym_comment,
  [209442] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10908), 1,
      sym_identifier,
    STATE(7181), 1,
      sym_comment,
  [209455] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5032), 1,
      anon_sym_RPAREN,
    STATE(7182), 1,
      sym_comment,
  [209468] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10910), 1,
      anon_sym_RBRACK,
    STATE(7183), 1,
      sym_comment,
  [209481] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10912), 1,
      sym_regex_pattern,
    STATE(7184), 1,
      sym_comment,
  [209494] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10914), 1,
      sym_identifier,
    STATE(7185), 1,
      sym_comment,
  [209507] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10916), 1,
      sym_identifier,
    STATE(7186), 1,
      sym_comment,
  [209520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10918), 1,
      anon_sym_RPAREN,
    STATE(7187), 1,
      sym_comment,
  [209533] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10920), 1,
      anon_sym_EQ_GT,
    STATE(7188), 1,
      sym_comment,
  [209546] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10922), 1,
      anon_sym_EQ_GT,
    STATE(7189), 1,
      sym_comment,
  [209559] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10924), 1,
      anon_sym_COLON,
    STATE(7190), 1,
      sym_comment,
  [209572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10926), 1,
      anon_sym_COLON,
    STATE(7191), 1,
      sym_comment,
  [209585] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10928), 1,
      sym_identifier,
    STATE(7192), 1,
      sym_comment,
  [209598] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10930), 1,
      sym_identifier,
    STATE(7193), 1,
      sym_comment,
  [209611] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10932), 1,
      anon_sym_LBRACK,
    STATE(7194), 1,
      sym_comment,
  [209624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10934), 1,
      anon_sym_EQ_GT,
    STATE(7195), 1,
      sym_comment,
  [209637] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10936), 1,
      anon_sym_EQ_GT,
    STATE(7196), 1,
      sym_comment,
  [209650] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10938), 1,
      anon_sym_DOT,
    STATE(7197), 1,
      sym_comment,
  [209663] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10940), 1,
      sym_identifier,
    STATE(7198), 1,
      sym_comment,
  [209676] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10942), 1,
      anon_sym_while,
    STATE(7199), 1,
      sym_comment,
  [209689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10944), 1,
      anon_sym_RPAREN,
    STATE(7200), 1,
      sym_comment,
  [209702] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10946), 1,
      sym_identifier,
    STATE(7201), 1,
      sym_comment,
  [209715] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10948), 1,
      sym_identifier,
    STATE(7202), 1,
      sym_comment,
  [209728] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10950), 1,
      sym_identifier,
    STATE(7203), 1,
      sym_comment,
  [209741] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10952), 1,
      anon_sym_from,
    STATE(7204), 1,
      sym_comment,
  [209754] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10954), 1,
      sym_identifier,
    STATE(7205), 1,
      sym_comment,
  [209767] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10956), 1,
      sym_identifier,
    STATE(7206), 1,
      sym_comment,
  [209780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10958), 1,
      anon_sym_while,
    STATE(7207), 1,
      sym_comment,
  [209793] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10960), 1,
      sym_identifier,
    STATE(7208), 1,
      sym_comment,
  [209806] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10962), 1,
      anon_sym_while,
    STATE(7209), 1,
      sym_comment,
  [209819] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10964), 1,
      sym_identifier,
    STATE(7210), 1,
      sym_comment,
  [209832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10966), 1,
      anon_sym_EQ,
    STATE(7211), 1,
      sym_comment,
  [209845] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10968), 1,
      anon_sym_SLASH2,
    STATE(7212), 1,
      sym_comment,
  [209858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10970), 1,
      anon_sym_LPAREN,
    STATE(7213), 1,
      sym_comment,
  [209871] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10972), 1,
      sym_identifier,
    STATE(7214), 1,
      sym_comment,
  [209884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10974), 1,
      anon_sym_DOT,
    STATE(7215), 1,
      sym_comment,
  [209897] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10976), 1,
      sym_identifier,
    STATE(7216), 1,
      sym_comment,
  [209910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5900), 1,
      anon_sym_RPAREN,
    STATE(7217), 1,
      sym_comment,
  [209923] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10978), 1,
      anon_sym_EQ,
    STATE(7218), 1,
      sym_comment,
  [209936] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10980), 1,
      sym_identifier,
    STATE(7219), 1,
      sym_comment,
  [209949] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10982), 1,
      sym_identifier,
    STATE(7220), 1,
      sym_comment,
  [209962] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10984), 1,
      sym_regex_pattern,
    STATE(7221), 1,
      sym_comment,
  [209975] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10986), 1,
      anon_sym_RPAREN,
    STATE(7222), 1,
      sym_comment,
  [209988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10988), 1,
      anon_sym_from,
    STATE(7223), 1,
      sym_comment,
  [210001] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10990), 1,
      anon_sym_from,
    STATE(7224), 1,
      sym_comment,
  [210014] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10992), 1,
      sym_identifier,
    STATE(7225), 1,
      sym_comment,
  [210027] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9626), 1,
      sym_identifier,
    STATE(7226), 1,
      sym_comment,
  [210040] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10994), 1,
      anon_sym_as,
    STATE(7227), 1,
      sym_comment,
  [210053] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10996), 1,
      anon_sym_LBRACE,
    STATE(7228), 1,
      sym_comment,
  [210066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10998), 1,
      anon_sym_require,
    STATE(7229), 1,
      sym_comment,
  [210079] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11000), 1,
      anon_sym_from,
    STATE(7230), 1,
      sym_comment,
  [210092] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11002), 1,
      sym_identifier,
    STATE(7231), 1,
      sym_comment,
  [210105] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11004), 1,
      anon_sym_RPAREN,
    STATE(7232), 1,
      sym_comment,
  [210118] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11006), 1,
      sym_identifier,
    STATE(7233), 1,
      sym_comment,
  [210131] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5882), 1,
      anon_sym_RBRACE,
    STATE(7234), 1,
      sym_comment,
  [210144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11008), 1,
      anon_sym_RPAREN,
    STATE(7235), 1,
      sym_comment,
  [210157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11010), 1,
      anon_sym_EQ,
    STATE(7236), 1,
      sym_comment,
  [210170] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11012), 1,
      sym_identifier,
    STATE(7237), 1,
      sym_comment,
  [210183] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5022), 1,
      anon_sym_RPAREN,
    STATE(7238), 1,
      sym_comment,
  [210196] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11014), 1,
      anon_sym_EQ_GT,
    STATE(7239), 1,
      sym_comment,
  [210209] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11016), 1,
      anon_sym_EQ_GT,
    STATE(7240), 1,
      sym_comment,
  [210222] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11018), 1,
      anon_sym_EQ_GT,
    STATE(7241), 1,
      sym_comment,
  [210235] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8846), 1,
      anon_sym_EQ,
    STATE(7242), 1,
      sym_comment,
  [210248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11020), 1,
      sym_number,
    STATE(7243), 1,
      sym_comment,
  [210261] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11022), 1,
      anon_sym_EQ_GT,
    STATE(7244), 1,
      sym_comment,
  [210274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6543), 1,
      anon_sym_in,
    STATE(7245), 1,
      sym_comment,
  [210287] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11024), 1,
      sym_identifier,
    STATE(7246), 1,
      sym_comment,
  [210300] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11026), 1,
      anon_sym_symbol,
    STATE(7247), 1,
      sym_comment,
  [210313] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11028), 1,
      anon_sym_EQ_GT,
    STATE(7248), 1,
      sym_comment,
  [210326] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9947), 1,
      anon_sym_GT,
    STATE(7249), 1,
      sym_comment,
  [210339] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11030), 1,
      sym_regex_pattern,
    STATE(7250), 1,
      sym_comment,
  [210352] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11032), 1,
      sym_identifier,
    STATE(7251), 1,
      sym_comment,
  [210365] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11034), 1,
      sym_identifier,
    STATE(7252), 1,
      sym_comment,
  [210378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11036), 1,
      anon_sym_class,
    STATE(7253), 1,
      sym_comment,
  [210391] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4914), 1,
      anon_sym_in,
    STATE(7254), 1,
      sym_comment,
  [210404] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11038), 1,
      anon_sym_RBRACK,
    STATE(7255), 1,
      sym_comment,
  [210417] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11040), 1,
      anon_sym_RBRACK,
    STATE(7256), 1,
      sym_comment,
  [210430] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11042), 1,
      anon_sym_RBRACK,
    STATE(7257), 1,
      sym_comment,
  [210443] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11044), 1,
      sym_identifier,
    STATE(7258), 1,
      sym_comment,
  [210456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11046), 1,
      anon_sym_RBRACK,
    STATE(7259), 1,
      sym_comment,
  [210469] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11048), 1,
      anon_sym_RBRACK,
    STATE(7260), 1,
      sym_comment,
  [210482] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11050), 1,
      anon_sym_new,
    STATE(7261), 1,
      sym_comment,
  [210495] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11052), 1,
      anon_sym_EQ_GT,
    STATE(7262), 1,
      sym_comment,
  [210508] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11054), 1,
      sym_identifier,
    STATE(7263), 1,
      sym_comment,
  [210521] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11056), 1,
      sym_identifier,
    STATE(7264), 1,
      sym_comment,
  [210534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11058), 1,
      anon_sym_while,
    STATE(7265), 1,
      sym_comment,
  [210547] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8159), 1,
      anon_sym_EQ,
    STATE(7266), 1,
      sym_comment,
  [210560] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11060), 1,
      sym_identifier,
    STATE(7267), 1,
      sym_comment,
  [210573] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9981), 1,
      anon_sym_RBRACE,
    STATE(7268), 1,
      sym_comment,
  [210586] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11062), 1,
      sym_identifier,
    STATE(7269), 1,
      sym_comment,
  [210599] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11064), 1,
      anon_sym_RBRACK,
    STATE(7270), 1,
      sym_comment,
  [210612] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11066), 1,
      anon_sym_RBRACK,
    STATE(7271), 1,
      sym_comment,
  [210625] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11068), 1,
      sym_identifier,
    STATE(7272), 1,
      sym_comment,
  [210638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11070), 1,
      anon_sym_RBRACK,
    STATE(7273), 1,
      sym_comment,
  [210651] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11072), 1,
      sym_identifier,
    STATE(7274), 1,
      sym_comment,
  [210664] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11074), 1,
      anon_sym_RBRACK,
    STATE(7275), 1,
      sym_comment,
  [210677] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9977), 1,
      anon_sym_GT,
    STATE(7276), 1,
      sym_comment,
  [210690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11076), 1,
      anon_sym_RBRACK,
    STATE(7277), 1,
      sym_comment,
  [210703] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11078), 1,
      anon_sym_RBRACK,
    STATE(7278), 1,
      sym_comment,
  [210716] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11080), 1,
      anon_sym_RBRACK,
    STATE(7279), 1,
      sym_comment,
  [210729] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11082), 1,
      anon_sym_RBRACK,
    STATE(7280), 1,
      sym_comment,
  [210742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    STATE(7281), 1,
      sym_comment,
  [210755] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11086), 1,
      anon_sym_RBRACK,
    STATE(7282), 1,
      sym_comment,
  [210768] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11088), 1,
      anon_sym_RPAREN,
    STATE(7283), 1,
      sym_comment,
  [210781] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11090), 1,
      anon_sym_RBRACK,
    STATE(7284), 1,
      sym_comment,
  [210794] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11092), 1,
      sym_identifier,
    STATE(7285), 1,
      sym_comment,
  [210807] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11094), 1,
      anon_sym_RBRACK,
    STATE(7286), 1,
      sym_comment,
  [210820] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11096), 1,
      anon_sym_EQ,
    STATE(7287), 1,
      sym_comment,
  [210833] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11098), 1,
      anon_sym_RBRACK,
    STATE(7288), 1,
      sym_comment,
  [210846] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11100), 1,
      anon_sym_EQ_GT,
    STATE(7289), 1,
      sym_comment,
  [210859] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11102), 1,
      anon_sym_RBRACK,
    STATE(7290), 1,
      sym_comment,
  [210872] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11104), 1,
      anon_sym_RBRACK,
    STATE(7291), 1,
      sym_comment,
  [210885] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11106), 1,
      anon_sym_RBRACK,
    STATE(7292), 1,
      sym_comment,
  [210898] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11108), 1,
      anon_sym_RBRACK,
    STATE(7293), 1,
      sym_comment,
  [210911] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11110), 1,
      anon_sym_RBRACK,
    STATE(7294), 1,
      sym_comment,
  [210924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11112), 1,
      anon_sym_RBRACK,
    STATE(7295), 1,
      sym_comment,
  [210937] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11114), 1,
      anon_sym_RBRACK,
    STATE(7296), 1,
      sym_comment,
  [210950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11116), 1,
      anon_sym_RBRACK,
    STATE(7297), 1,
      sym_comment,
  [210963] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11118), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      sym_comment,
  [210976] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11120), 1,
      sym_identifier,
    STATE(7299), 1,
      sym_comment,
  [210989] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11122), 1,
      anon_sym_RBRACK,
    STATE(7300), 1,
      sym_comment,
  [211002] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11124), 1,
      anon_sym_RBRACK,
    STATE(7301), 1,
      sym_comment,
  [211015] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11126), 1,
      anon_sym_RBRACK,
    STATE(7302), 1,
      sym_comment,
  [211028] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9780), 1,
      anon_sym_RBRACK,
    STATE(7303), 1,
      sym_comment,
  [211041] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11128), 1,
      anon_sym_RBRACK,
    STATE(7304), 1,
      sym_comment,
  [211054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11130), 1,
      anon_sym_RBRACK,
    STATE(7305), 1,
      sym_comment,
  [211067] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10001), 1,
      anon_sym_RBRACK,
    STATE(7306), 1,
      sym_comment,
  [211080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10768), 1,
      anon_sym_from,
    STATE(7307), 1,
      sym_comment,
  [211093] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11132), 1,
      anon_sym_RBRACK,
    STATE(7308), 1,
      sym_comment,
  [211106] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4888), 1,
      anon_sym_RPAREN,
    STATE(7309), 1,
      sym_comment,
  [211119] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11134), 1,
      anon_sym_RBRACK,
    STATE(7310), 1,
      sym_comment,
  [211132] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11136), 1,
      anon_sym_EQ_GT,
    STATE(7311), 1,
      sym_comment,
  [211145] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11138), 1,
      sym_identifier,
    STATE(7312), 1,
      sym_comment,
  [211158] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11140), 1,
      sym_identifier,
    STATE(7313), 1,
      sym_comment,
  [211171] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11142), 1,
      anon_sym_RBRACK,
    STATE(7314), 1,
      sym_comment,
  [211184] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11144), 1,
      sym_identifier,
    STATE(7315), 1,
      sym_comment,
  [211197] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11146), 1,
      sym_identifier,
    STATE(7316), 1,
      sym_comment,
  [211210] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11148), 1,
      sym_identifier,
    STATE(7317), 1,
      sym_comment,
  [211223] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11150), 1,
      sym_identifier,
    STATE(7318), 1,
      sym_comment,
  [211236] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11152), 1,
      sym_identifier,
    STATE(7319), 1,
      sym_comment,
  [211249] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11154), 1,
      anon_sym_RBRACK,
    STATE(7320), 1,
      sym_comment,
  [211262] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11156), 1,
      sym_identifier,
    STATE(7321), 1,
      sym_comment,
  [211275] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11158), 1,
      anon_sym_EQ,
    STATE(7322), 1,
      sym_comment,
  [211288] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11160), 1,
      anon_sym_EQ_GT,
    STATE(7323), 1,
      sym_comment,
  [211301] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11162), 1,
      sym_identifier,
    STATE(7324), 1,
      sym_comment,
  [211314] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11164), 1,
      sym_identifier,
    STATE(7325), 1,
      sym_comment,
  [211327] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11166), 1,
      sym_identifier,
    STATE(7326), 1,
      sym_comment,
  [211340] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11168), 1,
      sym_identifier,
    STATE(7327), 1,
      sym_comment,
  [211353] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11170), 1,
      anon_sym_EQ_GT,
    STATE(7328), 1,
      sym_comment,
  [211366] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11172), 1,
      anon_sym_DOT,
    STATE(7329), 1,
      sym_comment,
  [211379] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11174), 1,
      anon_sym_RBRACK,
    STATE(7330), 1,
      sym_comment,
  [211392] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11176), 1,
      sym_identifier,
    STATE(7331), 1,
      sym_comment,
  [211405] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11178), 1,
      sym_identifier,
    STATE(7332), 1,
      sym_comment,
  [211418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11180), 1,
      anon_sym_DOT,
    STATE(7333), 1,
      sym_comment,
  [211431] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11182), 1,
      anon_sym_EQ_GT,
    STATE(7334), 1,
      sym_comment,
  [211444] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11184), 1,
      anon_sym_EQ_GT,
    STATE(7335), 1,
      sym_comment,
  [211457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5865), 1,
      anon_sym_RBRACK,
    STATE(7336), 1,
      sym_comment,
  [211470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11186), 1,
      anon_sym_RBRACK,
    STATE(7337), 1,
      sym_comment,
  [211483] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11188), 1,
      anon_sym_EQ_GT,
    STATE(7338), 1,
      sym_comment,
  [211496] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11190), 1,
      sym_identifier,
    STATE(7339), 1,
      sym_comment,
  [211509] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11192), 1,
      anon_sym_as,
    STATE(7340), 1,
      sym_comment,
  [211522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11194), 1,
      anon_sym_RBRACK,
    STATE(7341), 1,
      sym_comment,
  [211535] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11196), 1,
      anon_sym_target,
    STATE(7342), 1,
      sym_comment,
  [211548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11198), 1,
      anon_sym_EQ_GT,
    STATE(7343), 1,
      sym_comment,
  [211561] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11200), 1,
      anon_sym_EQ_GT,
    STATE(7344), 1,
      sym_comment,
  [211574] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11202), 1,
      sym_identifier,
    STATE(7345), 1,
      sym_comment,
  [211587] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11204), 1,
      anon_sym_EQ_GT,
    STATE(7346), 1,
      sym_comment,
  [211600] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11206), 1,
      sym_identifier,
    STATE(7347), 1,
      sym_comment,
  [211613] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11208), 1,
      anon_sym_EQ,
    STATE(7348), 1,
      sym_comment,
  [211626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11210), 1,
      anon_sym_EQ_GT,
    STATE(7349), 1,
      sym_comment,
  [211639] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7388), 1,
      anon_sym_is,
    STATE(7350), 1,
      sym_comment,
  [211652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11212), 1,
      anon_sym_EQ_GT,
    STATE(7351), 1,
      sym_comment,
  [211665] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11214), 1,
      anon_sym_SLASH2,
    STATE(7352), 1,
      sym_comment,
  [211678] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11216), 1,
      anon_sym_EQ_GT,
    STATE(7353), 1,
      sym_comment,
  [211691] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5952), 1,
      anon_sym_in,
    STATE(7354), 1,
      sym_comment,
  [211704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11218), 1,
      anon_sym_EQ,
    STATE(7355), 1,
      sym_comment,
  [211717] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11220), 1,
      anon_sym_EQ_GT,
    STATE(7356), 1,
      sym_comment,
  [211730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11222), 1,
      anon_sym_RBRACK,
    STATE(7357), 1,
      sym_comment,
  [211743] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11224), 1,
      anon_sym_EQ_GT,
    STATE(7358), 1,
      sym_comment,
  [211756] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11226), 1,
      anon_sym_RBRACK,
    STATE(7359), 1,
      sym_comment,
  [211769] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11228), 1,
      anon_sym_EQ,
    STATE(7360), 1,
      sym_comment,
  [211782] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11230), 1,
      anon_sym_namespace,
    STATE(7361), 1,
      sym_comment,
  [211795] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11232), 1,
      sym_identifier,
    STATE(7362), 1,
      sym_comment,
  [211808] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11234), 1,
      anon_sym_EQ_GT,
    STATE(7363), 1,
      sym_comment,
  [211821] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11236), 1,
      sym_identifier,
    STATE(7364), 1,
      sym_comment,
  [211834] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11238), 1,
      anon_sym_RBRACK,
    STATE(7365), 1,
      sym_comment,
  [211847] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5894), 1,
      anon_sym_RPAREN,
    STATE(7366), 1,
      sym_comment,
  [211860] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11240), 1,
      anon_sym_while,
    STATE(7367), 1,
      sym_comment,
  [211873] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11242), 1,
      sym_identifier,
    STATE(7368), 1,
      sym_comment,
  [211886] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5910), 1,
      anon_sym_RPAREN,
    STATE(7369), 1,
      sym_comment,
  [211899] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11244), 1,
      anon_sym_EQ_GT,
    STATE(7370), 1,
      sym_comment,
  [211912] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11246), 1,
      anon_sym_EQ_GT,
    STATE(7371), 1,
      sym_comment,
  [211925] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11248), 1,
      anon_sym_EQ_GT,
    STATE(7372), 1,
      sym_comment,
  [211938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11250), 1,
      anon_sym_EQ_GT,
    STATE(7373), 1,
      sym_comment,
  [211951] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11252), 1,
      anon_sym_DOT,
    STATE(7374), 1,
      sym_comment,
  [211964] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11254), 1,
      anon_sym_EQ_GT,
    STATE(7375), 1,
      sym_comment,
  [211977] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11256), 1,
      anon_sym_EQ_GT,
    STATE(7376), 1,
      sym_comment,
  [211990] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11258), 1,
      anon_sym_COLON,
    STATE(7377), 1,
      sym_comment,
  [212003] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11260), 1,
      sym_identifier,
    STATE(7378), 1,
      sym_comment,
  [212016] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11262), 1,
      sym_identifier,
    STATE(7379), 1,
      sym_comment,
  [212029] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11264), 1,
      sym_regex_pattern,
    STATE(7380), 1,
      sym_comment,
  [212042] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11266), 1,
      anon_sym_symbol,
    STATE(7381), 1,
      sym_comment,
  [212055] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11268), 1,
      anon_sym_EQ,
    STATE(7382), 1,
      sym_comment,
  [212068] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10080), 1,
      sym_identifier,
    STATE(7383), 1,
      sym_comment,
  [212081] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11270), 1,
      anon_sym_class,
    STATE(7384), 1,
      sym_comment,
  [212094] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11272), 1,
      sym_identifier,
    STATE(7385), 1,
      sym_comment,
  [212107] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11274), 1,
      anon_sym_RBRACK,
    STATE(7386), 1,
      sym_comment,
  [212120] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11276), 1,
      anon_sym_EQ,
    STATE(7387), 1,
      sym_comment,
  [212133] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11278), 1,
      sym_identifier,
    STATE(7388), 1,
      sym_comment,
  [212146] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11280), 1,
      sym_identifier,
    STATE(7389), 1,
      sym_comment,
  [212159] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11282), 1,
      anon_sym_EQ,
    STATE(7390), 1,
      sym_comment,
  [212172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11284), 1,
      anon_sym_new,
    STATE(7391), 1,
      sym_comment,
  [212185] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11286), 1,
      anon_sym_RBRACK,
    STATE(7392), 1,
      sym_comment,
  [212198] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11288), 1,
      anon_sym_RBRACK,
    STATE(7393), 1,
      sym_comment,
  [212211] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11290), 1,
      anon_sym_RBRACK,
    STATE(7394), 1,
      sym_comment,
  [212224] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5846), 1,
      anon_sym_is,
    STATE(7395), 1,
      sym_comment,
  [212237] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11292), 1,
      anon_sym_RBRACK,
    STATE(7396), 1,
      sym_comment,
  [212250] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11294), 1,
      anon_sym_RBRACK,
    STATE(7397), 1,
      sym_comment,
  [212263] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11296), 1,
      anon_sym_new,
    STATE(7398), 1,
      sym_comment,
  [212276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5799), 1,
      anon_sym_RPAREN,
    STATE(7399), 1,
      sym_comment,
  [212289] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11298), 1,
      sym_identifier,
    STATE(7400), 1,
      sym_comment,
  [212302] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11300), 1,
      sym_identifier,
    STATE(7401), 1,
      sym_comment,
  [212315] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5908), 1,
      anon_sym_RBRACE,
    STATE(7402), 1,
      sym_comment,
  [212328] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11302), 1,
      sym_number,
    STATE(7403), 1,
      sym_comment,
  [212341] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11304), 1,
      anon_sym_EQ_GT,
    STATE(7404), 1,
      sym_comment,
  [212354] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11306), 1,
      anon_sym_class,
    STATE(7405), 1,
      sym_comment,
  [212367] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11308), 1,
      sym_identifier,
    STATE(7406), 1,
      sym_comment,
  [212380] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11310), 1,
      anon_sym_RPAREN,
    STATE(7407), 1,
      sym_comment,
  [212393] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11312), 1,
      anon_sym_EQ,
    STATE(7408), 1,
      sym_comment,
  [212406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11314), 1,
      anon_sym_RBRACK,
    STATE(7409), 1,
      sym_comment,
  [212419] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11316), 1,
      anon_sym_RBRACK,
    STATE(7410), 1,
      sym_comment,
  [212432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10133), 1,
      anon_sym_RBRACE,
    STATE(7411), 1,
      sym_comment,
  [212445] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11318), 1,
      anon_sym_EQ_GT,
    STATE(7412), 1,
      sym_comment,
  [212458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11320), 1,
      anon_sym_from,
    STATE(7413), 1,
      sym_comment,
  [212471] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11322), 1,
      sym_identifier,
    STATE(7414), 1,
      sym_comment,
  [212484] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11324), 1,
      sym_identifier,
    STATE(7415), 1,
      sym_comment,
  [212497] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11326), 1,
      anon_sym_as,
    STATE(7416), 1,
      sym_comment,
  [212510] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11328), 1,
      anon_sym_RBRACK,
    STATE(7417), 1,
      sym_comment,
  [212523] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11330), 1,
      anon_sym_RBRACK,
    STATE(7418), 1,
      sym_comment,
  [212536] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11332), 1,
      sym_identifier,
    STATE(7419), 1,
      sym_comment,
  [212549] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11334), 1,
      sym_identifier,
    STATE(7420), 1,
      sym_comment,
  [212562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11336), 1,
      anon_sym_COLON,
    STATE(7421), 1,
      sym_comment,
  [212575] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11338), 1,
      anon_sym_EQ,
    STATE(7422), 1,
      sym_comment,
  [212588] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11340), 1,
      anon_sym_EQ_GT,
    STATE(7423), 1,
      sym_comment,
  [212601] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11342), 1,
      anon_sym_RPAREN,
    STATE(7424), 1,
      sym_comment,
  [212614] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11344), 1,
      sym_identifier,
    STATE(7425), 1,
      sym_comment,
  [212627] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11346), 1,
      sym_identifier,
    STATE(7426), 1,
      sym_comment,
  [212640] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11348), 1,
      anon_sym_EQ_GT,
    STATE(7427), 1,
      sym_comment,
  [212653] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9666), 1,
      anon_sym_RBRACK,
    STATE(7428), 1,
      sym_comment,
  [212666] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11350), 1,
      anon_sym_from,
    STATE(7429), 1,
      sym_comment,
  [212679] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11352), 1,
      anon_sym_RBRACK,
    STATE(7430), 1,
      sym_comment,
  [212692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11354), 1,
      anon_sym_RBRACK,
    STATE(7431), 1,
      sym_comment,
  [212705] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11356), 1,
      anon_sym_RBRACK,
    STATE(7432), 1,
      sym_comment,
  [212718] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11358), 1,
      anon_sym_RBRACK,
    STATE(7433), 1,
      sym_comment,
  [212731] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11360), 1,
      sym_identifier,
    STATE(7434), 1,
      sym_comment,
  [212744] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11362), 1,
      sym_identifier,
    STATE(7435), 1,
      sym_comment,
  [212757] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11364), 1,
      anon_sym_RBRACK,
    STATE(7436), 1,
      sym_comment,
  [212770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11366), 1,
      anon_sym_RBRACK,
    STATE(7437), 1,
      sym_comment,
  [212783] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11368), 1,
      anon_sym_RBRACK,
    STATE(7438), 1,
      sym_comment,
  [212796] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11370), 1,
      anon_sym_RBRACK,
    STATE(7439), 1,
      sym_comment,
  [212809] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11372), 1,
      sym_identifier,
    STATE(7440), 1,
      sym_comment,
  [212822] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11374), 1,
      sym_identifier,
    STATE(7441), 1,
      sym_comment,
  [212835] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11376), 1,
      sym_identifier,
    STATE(7442), 1,
      sym_comment,
  [212848] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_RBRACK,
    STATE(7443), 1,
      sym_comment,
  [212861] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11380), 1,
      sym_number,
    STATE(7444), 1,
      sym_comment,
  [212874] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11382), 1,
      sym_identifier,
    STATE(7445), 1,
      sym_comment,
  [212887] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11384), 1,
      anon_sym_symbol,
    STATE(7446), 1,
      sym_comment,
  [212900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11386), 1,
      anon_sym_EQ_GT,
    STATE(7447), 1,
      sym_comment,
  [212913] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11388), 1,
      anon_sym_RPAREN,
    STATE(7448), 1,
      sym_comment,
  [212926] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9642), 1,
      anon_sym_GT,
    STATE(7449), 1,
      sym_comment,
  [212939] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11390), 1,
      anon_sym_RPAREN,
    STATE(7450), 1,
      sym_comment,
  [212952] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11392), 1,
      anon_sym_COLON,
    STATE(7451), 1,
      sym_comment,
  [212965] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11394), 1,
      anon_sym_RBRACK,
    STATE(7452), 1,
      sym_comment,
  [212978] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11396), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_comment,
  [212991] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11398), 1,
      sym_identifier,
    STATE(7454), 1,
      sym_comment,
  [213004] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11400), 1,
      anon_sym_RPAREN,
    STATE(7455), 1,
      sym_comment,
  [213017] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11402), 1,
      sym_identifier,
    STATE(7456), 1,
      sym_comment,
  [213030] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6201), 1,
      anon_sym_in,
    STATE(7457), 1,
      sym_comment,
  [213043] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11404), 1,
      anon_sym_RBRACK,
    STATE(7458), 1,
      sym_comment,
  [213056] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11406), 1,
      anon_sym_function,
    STATE(7459), 1,
      sym_comment,
  [213069] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11408), 1,
      sym_identifier,
    STATE(7460), 1,
      sym_comment,
  [213082] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11410), 1,
      sym_identifier,
    STATE(7461), 1,
      sym_comment,
  [213095] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8608), 1,
      sym_identifier,
    STATE(7462), 1,
      sym_comment,
  [213108] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11412), 1,
      sym_identifier,
    STATE(7463), 1,
      sym_comment,
  [213121] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11414), 1,
      sym_identifier,
    STATE(7464), 1,
      sym_comment,
  [213134] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11416), 1,
      anon_sym_namespace,
    STATE(7465), 1,
      sym_comment,
  [213147] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5848), 1,
      anon_sym_RBRACK,
    STATE(7466), 1,
      sym_comment,
  [213160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11418), 1,
      anon_sym_RBRACK,
    STATE(7467), 1,
      sym_comment,
  [213173] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11420), 1,
      anon_sym_EQ_GT,
    STATE(7468), 1,
      sym_comment,
  [213186] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11422), 1,
      anon_sym_RBRACK,
    STATE(7469), 1,
      sym_comment,
  [213199] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11424), 1,
      anon_sym_EQ,
    STATE(7470), 1,
      sym_comment,
  [213212] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5831), 1,
      anon_sym_RBRACE,
    STATE(7471), 1,
      sym_comment,
  [213225] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11426), 1,
      anon_sym_RBRACK,
    STATE(7472), 1,
      sym_comment,
  [213238] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10205), 1,
      anon_sym_EQ,
    STATE(7473), 1,
      sym_comment,
  [213251] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11428), 1,
      anon_sym_RBRACK,
    STATE(7474), 1,
      sym_comment,
  [213264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11430), 1,
      anon_sym_EQ_GT,
    STATE(7475), 1,
      sym_comment,
  [213277] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11432), 1,
      anon_sym_RBRACK,
    STATE(7476), 1,
      sym_comment,
  [213290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11434), 1,
      anon_sym_RBRACK,
    STATE(7477), 1,
      sym_comment,
  [213303] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11436), 1,
      anon_sym_RBRACK,
    STATE(7478), 1,
      sym_comment,
  [213316] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11438), 1,
      sym_identifier,
    STATE(7479), 1,
      sym_comment,
  [213329] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11440), 1,
      anon_sym_RBRACK,
    STATE(7480), 1,
      sym_comment,
  [213342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11442), 1,
      anon_sym_RBRACK,
    STATE(7481), 1,
      sym_comment,
  [213355] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10183), 1,
      anon_sym_GT,
    STATE(7482), 1,
      sym_comment,
  [213368] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4996), 1,
      anon_sym_RPAREN,
    STATE(7483), 1,
      sym_comment,
  [213381] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11444), 1,
      ts_builtin_sym_end,
    STATE(7484), 1,
      sym_comment,
  [213394] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6239), 1,
      anon_sym_in,
    STATE(7485), 1,
      sym_comment,
  [213407] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11446), 1,
      anon_sym_EQ_GT,
    STATE(7486), 1,
      sym_comment,
  [213420] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11448), 1,
      anon_sym_RPAREN,
    STATE(7487), 1,
      sym_comment,
  [213433] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11450), 1,
      anon_sym_EQ_GT,
    STATE(7488), 1,
      sym_comment,
  [213446] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11452), 1,
      anon_sym_EQ_GT,
    STATE(7489), 1,
      sym_comment,
  [213459] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11454), 1,
      anon_sym_EQ_GT,
    STATE(7490), 1,
      sym_comment,
  [213472] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11456), 1,
      sym_identifier,
    STATE(7491), 1,
      sym_comment,
  [213485] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11458), 1,
      sym_identifier,
    STATE(7492), 1,
      sym_comment,
  [213498] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11460), 1,
      sym_identifier,
    STATE(7493), 1,
      sym_comment,
  [213511] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11462), 1,
      anon_sym_class,
    STATE(7494), 1,
      sym_comment,
  [213524] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11464), 1,
      sym_identifier,
    STATE(7495), 1,
      sym_comment,
  [213537] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11466), 1,
      anon_sym_EQ_GT,
    STATE(7496), 1,
      sym_comment,
  [213550] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11468), 1,
      anon_sym_EQ_GT,
    STATE(7497), 1,
      sym_comment,
  [213563] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11470), 1,
      anon_sym_EQ,
    STATE(7498), 1,
      sym_comment,
  [213576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11472), 1,
      anon_sym_EQ_GT,
    STATE(7499), 1,
      sym_comment,
  [213589] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11474), 1,
      anon_sym_EQ_GT,
    STATE(7500), 1,
      sym_comment,
  [213602] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_symbol,
    STATE(7501), 1,
      sym_comment,
  [213615] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11478), 1,
      sym_identifier,
    STATE(7502), 1,
      sym_comment,
  [213628] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5170), 1,
      anon_sym_RPAREN,
    STATE(7503), 1,
      sym_comment,
  [213641] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11480), 1,
      sym_number,
    STATE(7504), 1,
      sym_comment,
  [213654] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5417), 1,
      anon_sym_in,
    STATE(7505), 1,
      sym_comment,
  [213667] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11482), 1,
      anon_sym_EQ_GT,
    STATE(7506), 1,
      sym_comment,
  [213680] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11484), 1,
      sym_identifier,
    STATE(7507), 1,
      sym_comment,
  [213693] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11486), 1,
      anon_sym_RBRACK,
    STATE(7508), 1,
      sym_comment,
  [213706] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11488), 1,
      anon_sym_RBRACK,
    STATE(7509), 1,
      sym_comment,
  [213719] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11490), 1,
      anon_sym_RBRACK,
    STATE(7510), 1,
      sym_comment,
  [213732] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11492), 1,
      sym_regex_pattern,
    STATE(7511), 1,
      sym_comment,
  [213745] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11494), 1,
      anon_sym_RPAREN,
    STATE(7512), 1,
      sym_comment,
  [213758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11496), 1,
      anon_sym_class,
    STATE(7513), 1,
      sym_comment,
  [213771] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11498), 1,
      anon_sym_namespace,
    STATE(7514), 1,
      sym_comment,
  [213784] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11500), 1,
      anon_sym_EQ,
    STATE(7515), 1,
      sym_comment,
  [213797] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5811), 1,
      anon_sym_RPAREN,
    STATE(7516), 1,
      sym_comment,
  [213810] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11502), 1,
      anon_sym_SLASH2,
    STATE(7517), 1,
      sym_comment,
  [213823] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11504), 1,
      anon_sym_RBRACK,
    STATE(7518), 1,
      sym_comment,
  [213836] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11506), 1,
      sym_identifier,
    STATE(7519), 1,
      sym_comment,
  [213849] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11508), 1,
      anon_sym_RBRACK,
    STATE(7520), 1,
      sym_comment,
  [213862] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11510), 1,
      sym_identifier,
    STATE(7521), 1,
      sym_comment,
  [213875] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11512), 1,
      sym_identifier,
    STATE(7522), 1,
      sym_comment,
  [213888] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9928), 1,
      sym_identifier,
    STATE(7523), 1,
      sym_comment,
  [213901] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11514), 1,
      anon_sym_class,
    STATE(7524), 1,
      sym_comment,
  [213914] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11516), 1,
      anon_sym_RBRACK,
    STATE(7525), 1,
      sym_comment,
  [213927] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11518), 1,
      anon_sym_RBRACK,
    STATE(7526), 1,
      sym_comment,
  [213940] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11520), 1,
      anon_sym_EQ,
    STATE(7527), 1,
      sym_comment,
  [213953] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11522), 1,
      anon_sym_RBRACK,
    STATE(7528), 1,
      sym_comment,
  [213966] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11524), 1,
      sym_identifier,
    STATE(7529), 1,
      sym_comment,
  [213979] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11526), 1,
      anon_sym_EQ,
    STATE(7530), 1,
      sym_comment,
  [213992] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11528), 1,
      anon_sym_new,
    STATE(7531), 1,
      sym_comment,
  [214005] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5880), 1,
      anon_sym_RPAREN,
    STATE(7532), 1,
      sym_comment,
  [214018] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11530), 1,
      sym_identifier,
    STATE(7533), 1,
      sym_comment,
  [214031] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5896), 1,
      anon_sym_COLON,
    STATE(7534), 1,
      sym_comment,
  [214044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11532), 1,
      anon_sym_COLON,
    STATE(7535), 1,
      sym_comment,
  [214057] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10229), 1,
      anon_sym_RBRACK,
    STATE(7536), 1,
      sym_comment,
  [214070] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11534), 1,
      anon_sym_EQ_GT,
    STATE(7537), 1,
      sym_comment,
  [214083] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5835), 1,
      anon_sym_RBRACK,
    STATE(7538), 1,
      sym_comment,
  [214096] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11536), 1,
      anon_sym_RPAREN,
    STATE(7539), 1,
      sym_comment,
  [214109] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11538), 1,
      anon_sym_EQ_GT,
    STATE(7540), 1,
      sym_comment,
  [214122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11540), 1,
      anon_sym_RBRACK,
    STATE(7541), 1,
      sym_comment,
  [214135] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11542), 1,
      anon_sym_EQ_GT,
    STATE(7542), 1,
      sym_comment,
  [214148] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11544), 1,
      anon_sym_RBRACK,
    STATE(7543), 1,
      sym_comment,
  [214161] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11546), 1,
      anon_sym_EQ_GT,
    STATE(7544), 1,
      sym_comment,
  [214174] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11548), 1,
      anon_sym_EQ,
    STATE(7545), 1,
      sym_comment,
  [214187] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11550), 1,
      anon_sym_RPAREN,
    STATE(7546), 1,
      sym_comment,
  [214200] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11552), 1,
      sym_identifier,
    STATE(7547), 1,
      sym_comment,
  [214213] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11554), 1,
      anon_sym_class,
    STATE(7548), 1,
      sym_comment,
  [214226] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11556), 1,
      anon_sym_namespace,
    STATE(7549), 1,
      sym_comment,
  [214239] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11558), 1,
      sym_number,
    STATE(7550), 1,
      sym_comment,
  [214252] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11560), 1,
      sym_identifier,
    STATE(7551), 1,
      sym_comment,
  [214265] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11562), 1,
      sym_identifier,
    STATE(7552), 1,
      sym_comment,
  [214278] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11564), 1,
      sym_identifier,
    STATE(7553), 1,
      sym_comment,
  [214291] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11566), 1,
      sym_identifier,
    STATE(7554), 1,
      sym_comment,
  [214304] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11568), 1,
      sym_identifier,
    STATE(7555), 1,
      sym_comment,
  [214317] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11570), 1,
      anon_sym_from,
    STATE(7556), 1,
      sym_comment,
  [214330] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9837), 1,
      sym_identifier,
    STATE(7557), 1,
      sym_comment,
  [214343] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11572), 1,
      anon_sym_class,
    STATE(7558), 1,
      sym_comment,
  [214356] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11574), 1,
      sym_identifier,
    STATE(7559), 1,
      sym_comment,
  [214369] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11576), 1,
      anon_sym_symbol,
    STATE(7560), 1,
      sym_comment,
  [214382] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11578), 1,
      anon_sym_EQ,
    STATE(7561), 1,
      sym_comment,
  [214395] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11580), 1,
      anon_sym_EQ_GT,
    STATE(7562), 1,
      sym_comment,
  [214408] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11582), 1,
      sym_identifier,
    STATE(7563), 1,
      sym_comment,
  [214421] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11584), 1,
      anon_sym_EQ,
    STATE(7564), 1,
      sym_comment,
  [214434] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11586), 1,
      anon_sym_new,
    STATE(7565), 1,
      sym_comment,
  [214447] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11588), 1,
      anon_sym_EQ_GT,
    STATE(7566), 1,
      sym_comment,
  [214460] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11590), 1,
      sym_identifier,
    STATE(7567), 1,
      sym_comment,
  [214473] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10286), 1,
      anon_sym_RBRACK,
    STATE(7568), 1,
      sym_comment,
  [214486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11592), 1,
      anon_sym_COLON,
    STATE(7569), 1,
      sym_comment,
  [214499] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11594), 1,
      anon_sym_RPAREN,
    STATE(7570), 1,
      sym_comment,
  [214512] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11596), 1,
      anon_sym_GT,
    STATE(7571), 1,
      sym_comment,
  [214525] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11598), 1,
      sym_identifier,
    STATE(7572), 1,
      sym_comment,
  [214538] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11600), 1,
      anon_sym_RBRACK,
    STATE(7573), 1,
      sym_comment,
  [214551] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11602), 1,
      sym_identifier,
    STATE(7574), 1,
      sym_comment,
  [214564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11604), 1,
      anon_sym_EQ_GT,
    STATE(7575), 1,
      sym_comment,
  [214577] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11606), 1,
      anon_sym_class,
    STATE(7576), 1,
      sym_comment,
  [214590] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11608), 1,
      anon_sym_namespace,
    STATE(7577), 1,
      sym_comment,
  [214603] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11610), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_comment,
  [214616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7032), 1,
      anon_sym_is,
    STATE(7579), 1,
      sym_comment,
  [214629] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11612), 1,
      sym_identifier,
    STATE(7580), 1,
      sym_comment,
  [214642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11614), 1,
      anon_sym_readonly,
    STATE(7581), 1,
      sym_comment,
  [214655] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11616), 1,
      anon_sym_EQ_GT,
    STATE(7582), 1,
      sym_comment,
  [214668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11618), 1,
      anon_sym_EQ_GT,
    STATE(7583), 1,
      sym_comment,
  [214681] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11620), 1,
      anon_sym_EQ_GT,
    STATE(7584), 1,
      sym_comment,
  [214694] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9809), 1,
      sym_identifier,
    STATE(7585), 1,
      sym_comment,
  [214707] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11622), 1,
      anon_sym_class,
    STATE(7586), 1,
      sym_comment,
  [214720] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5120), 1,
      anon_sym_RPAREN,
    STATE(7587), 1,
      sym_comment,
  [214733] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4851), 1,
      anon_sym_is,
    STATE(7588), 1,
      sym_comment,
  [214746] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11624), 1,
      anon_sym_EQ,
    STATE(7589), 1,
      sym_comment,
  [214759] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5803), 1,
      anon_sym_RBRACK,
    STATE(7590), 1,
      sym_comment,
  [214772] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11626), 1,
      sym_identifier,
    STATE(7591), 1,
      sym_comment,
  [214785] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11628), 1,
      anon_sym_EQ,
    STATE(7592), 1,
      sym_comment,
  [214798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11630), 1,
      anon_sym_new,
    STATE(7593), 1,
      sym_comment,
  [214811] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7464), 1,
      anon_sym_is,
    STATE(7594), 1,
      sym_comment,
  [214824] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11632), 1,
      sym_identifier,
    STATE(7595), 1,
      sym_comment,
  [214837] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11634), 1,
      anon_sym_RBRACK,
    STATE(7596), 1,
      sym_comment,
  [214850] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11636), 1,
      anon_sym_COLON,
    STATE(7597), 1,
      sym_comment,
  [214863] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11638), 1,
      anon_sym_RBRACK,
    STATE(7598), 1,
      sym_comment,
  [214876] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11640), 1,
      anon_sym_RBRACK,
    STATE(7599), 1,
      sym_comment,
  [214889] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11642), 1,
      anon_sym_RBRACK,
    STATE(7600), 1,
      sym_comment,
  [214902] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11644), 1,
      anon_sym_class,
    STATE(7601), 1,
      sym_comment,
  [214915] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11646), 1,
      anon_sym_namespace,
    STATE(7602), 1,
      sym_comment,
  [214928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11648), 1,
      anon_sym_RBRACK,
    STATE(7603), 1,
      sym_comment,
  [214941] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11650), 1,
      anon_sym_RBRACK,
    STATE(7604), 1,
      sym_comment,
  [214954] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11652), 1,
      anon_sym_EQ,
    STATE(7605), 1,
      sym_comment,
  [214967] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11654), 1,
      anon_sym_RBRACK,
    STATE(7606), 1,
      sym_comment,
  [214980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11656), 1,
      anon_sym_RBRACK,
    STATE(7607), 1,
      sym_comment,
  [214993] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9782), 1,
      sym_identifier,
    STATE(7608), 1,
      sym_comment,
  [215006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11658), 1,
      anon_sym_class,
    STATE(7609), 1,
      sym_comment,
  [215019] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11660), 1,
      anon_sym_RBRACK,
    STATE(7610), 1,
      sym_comment,
  [215032] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11662), 1,
      anon_sym_EQ,
    STATE(7611), 1,
      sym_comment,
  [215045] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11664), 1,
      anon_sym_RBRACK,
    STATE(7612), 1,
      sym_comment,
  [215058] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11666), 1,
      sym_identifier,
    STATE(7613), 1,
      sym_comment,
  [215071] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11668), 1,
      anon_sym_EQ,
    STATE(7614), 1,
      sym_comment,
  [215084] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5805), 1,
      anon_sym_RPAREN,
    STATE(7615), 1,
      sym_comment,
  [215097] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11670), 1,
      sym_identifier,
    STATE(7616), 1,
      sym_comment,
  [215110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11672), 1,
      anon_sym_COLON,
    STATE(7617), 1,
      sym_comment,
  [215123] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5841), 1,
      anon_sym_RPAREN,
    STATE(7618), 1,
      sym_comment,
  [215136] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11674), 1,
      anon_sym_EQ_GT,
    STATE(7619), 1,
      sym_comment,
  [215149] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11676), 1,
      anon_sym_RBRACK,
    STATE(7620), 1,
      sym_comment,
  [215162] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8229), 1,
      sym_identifier,
    STATE(7621), 1,
      sym_comment,
  [215175] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11678), 1,
      anon_sym_function,
    STATE(7622), 1,
      sym_comment,
  [215188] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11680), 1,
      anon_sym_RBRACK,
    STATE(7623), 1,
      sym_comment,
  [215201] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11682), 1,
      anon_sym_RBRACK,
    STATE(7624), 1,
      sym_comment,
  [215214] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11684), 1,
      sym_identifier,
    STATE(7625), 1,
      sym_comment,
  [215227] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11686), 1,
      anon_sym_RBRACK,
    STATE(7626), 1,
      sym_comment,
  [215240] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5143), 1,
      anon_sym_RPAREN,
    STATE(7627), 1,
      sym_comment,
  [215253] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8223), 1,
      sym_identifier,
    STATE(7628), 1,
      sym_comment,
  [215266] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11688), 1,
      anon_sym_function,
    STATE(7629), 1,
      sym_comment,
  [215279] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11690), 1,
      anon_sym_RBRACK,
    STATE(7630), 1,
      sym_comment,
  [215292] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11692), 1,
      sym_identifier,
    STATE(7631), 1,
      sym_comment,
  [215305] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11694), 1,
      anon_sym_RBRACK,
    STATE(7632), 1,
      sym_comment,
  [215318] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8213), 1,
      sym_identifier,
    STATE(7633), 1,
      sym_comment,
  [215331] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11696), 1,
      anon_sym_function,
    STATE(7634), 1,
      sym_comment,
  [215344] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11698), 1,
      anon_sym_RBRACK,
    STATE(7635), 1,
      sym_comment,
  [215357] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11700), 1,
      sym_identifier,
    STATE(7636), 1,
      sym_comment,
  [215370] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11702), 1,
      anon_sym_RBRACK,
    STATE(7637), 1,
      sym_comment,
  [215383] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8211), 1,
      sym_identifier,
    STATE(7638), 1,
      sym_comment,
  [215396] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11704), 1,
      anon_sym_function,
    STATE(7639), 1,
      sym_comment,
  [215409] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11706), 1,
      anon_sym_SLASH2,
    STATE(7640), 1,
      sym_comment,
  [215422] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11708), 1,
      sym_identifier,
    STATE(7641), 1,
      sym_comment,
  [215435] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11710), 1,
      anon_sym_RBRACK,
    STATE(7642), 1,
      sym_comment,
  [215448] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8209), 1,
      sym_identifier,
    STATE(7643), 1,
      sym_comment,
  [215461] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11712), 1,
      anon_sym_function,
    STATE(7644), 1,
      sym_comment,
  [215474] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11714), 1,
      anon_sym_RBRACK,
    STATE(7645), 1,
      sym_comment,
  [215487] = 1,
    ACTIONS(11716), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1992)] = 0,
  [SMALL_STATE(1993)] = 75,
  [SMALL_STATE(1994)] = 168,
  [SMALL_STATE(1995)] = 265,
  [SMALL_STATE(1996)] = 340,
  [SMALL_STATE(1997)] = 433,
  [SMALL_STATE(1998)] = 526,
  [SMALL_STATE(1999)] = 623,
  [SMALL_STATE(2000)] = 716,
  [SMALL_STATE(2001)] = 809,
  [SMALL_STATE(2002)] = 904,
  [SMALL_STATE(2003)] = 979,
  [SMALL_STATE(2004)] = 1072,
  [SMALL_STATE(2005)] = 1167,
  [SMALL_STATE(2006)] = 1260,
  [SMALL_STATE(2007)] = 1353,
  [SMALL_STATE(2008)] = 1450,
  [SMALL_STATE(2009)] = 1525,
  [SMALL_STATE(2010)] = 1600,
  [SMALL_STATE(2011)] = 1675,
  [SMALL_STATE(2012)] = 1768,
  [SMALL_STATE(2013)] = 1861,
  [SMALL_STATE(2014)] = 1954,
  [SMALL_STATE(2015)] = 2049,
  [SMALL_STATE(2016)] = 2144,
  [SMALL_STATE(2017)] = 2239,
  [SMALL_STATE(2018)] = 2314,
  [SMALL_STATE(2019)] = 2407,
  [SMALL_STATE(2020)] = 2500,
  [SMALL_STATE(2021)] = 2593,
  [SMALL_STATE(2022)] = 2686,
  [SMALL_STATE(2023)] = 2779,
  [SMALL_STATE(2024)] = 2874,
  [SMALL_STATE(2025)] = 2967,
  [SMALL_STATE(2026)] = 3062,
  [SMALL_STATE(2027)] = 3157,
  [SMALL_STATE(2028)] = 3250,
  [SMALL_STATE(2029)] = 3343,
  [SMALL_STATE(2030)] = 3436,
  [SMALL_STATE(2031)] = 3532,
  [SMALL_STATE(2032)] = 3624,
  [SMALL_STATE(2033)] = 3718,
  [SMALL_STATE(2034)] = 3810,
  [SMALL_STATE(2035)] = 3884,
  [SMALL_STATE(2036)] = 3980,
  [SMALL_STATE(2037)] = 4080,
  [SMALL_STATE(2038)] = 4176,
  [SMALL_STATE(2039)] = 4268,
  [SMALL_STATE(2040)] = 4342,
  [SMALL_STATE(2041)] = 4420,
  [SMALL_STATE(2042)] = 4512,
  [SMALL_STATE(2043)] = 4604,
  [SMALL_STATE(2044)] = 4698,
  [SMALL_STATE(2045)] = 4794,
  [SMALL_STATE(2046)] = 4885,
  [SMALL_STATE(2047)] = 4968,
  [SMALL_STATE(2048)] = 5059,
  [SMALL_STATE(2049)] = 5154,
  [SMALL_STATE(2050)] = 5227,
  [SMALL_STATE(2051)] = 5312,
  [SMALL_STATE(2052)] = 5407,
  [SMALL_STATE(2053)] = 5498,
  [SMALL_STATE(2054)] = 5591,
  [SMALL_STATE(2055)] = 5668,
  [SMALL_STATE(2056)] = 5751,
  [SMALL_STATE(2057)] = 5836,
  [SMALL_STATE(2058)] = 5927,
  [SMALL_STATE(2059)] = 6006,
  [SMALL_STATE(2060)] = 6097,
  [SMALL_STATE(2061)] = 6170,
  [SMALL_STATE(2062)] = 6261,
  [SMALL_STATE(2063)] = 6358,
  [SMALL_STATE(2064)] = 6449,
  [SMALL_STATE(2065)] = 6540,
  [SMALL_STATE(2066)] = 6635,
  [SMALL_STATE(2067)] = 6718,
  [SMALL_STATE(2068)] = 6809,
  [SMALL_STATE(2069)] = 6892,
  [SMALL_STATE(2070)] = 6983,
  [SMALL_STATE(2071)] = 7078,
  [SMALL_STATE(2072)] = 7169,
  [SMALL_STATE(2073)] = 7266,
  [SMALL_STATE(2074)] = 7349,
  [SMALL_STATE(2075)] = 7440,
  [SMALL_STATE(2076)] = 7515,
  [SMALL_STATE(2077)] = 7598,
  [SMALL_STATE(2078)] = 7688,
  [SMALL_STATE(2079)] = 7782,
  [SMALL_STATE(2080)] = 7864,
  [SMALL_STATE(2081)] = 7958,
  [SMALL_STATE(2082)] = 8036,
  [SMALL_STATE(2083)] = 8124,
  [SMALL_STATE(2084)] = 8204,
  [SMALL_STATE(2085)] = 8286,
  [SMALL_STATE(2086)] = 8356,
  [SMALL_STATE(2087)] = 8448,
  [SMALL_STATE(2088)] = 8528,
  [SMALL_STATE(2089)] = 8612,
  [SMALL_STATE(2090)] = 8700,
  [SMALL_STATE(2091)] = 8770,
  [SMALL_STATE(2092)] = 8860,
  [SMALL_STATE(2093)] = 8950,
  [SMALL_STATE(2094)] = 9028,
  [SMALL_STATE(2095)] = 9098,
  [SMALL_STATE(2096)] = 9192,
  [SMALL_STATE(2097)] = 9270,
  [SMALL_STATE(2098)] = 9352,
  [SMALL_STATE(2099)] = 9436,
  [SMALL_STATE(2100)] = 9516,
  [SMALL_STATE(2101)] = 9610,
  [SMALL_STATE(2102)] = 9692,
  [SMALL_STATE(2103)] = 9770,
  [SMALL_STATE(2104)] = 9852,
  [SMALL_STATE(2105)] = 9925,
  [SMALL_STATE(2106)] = 10006,
  [SMALL_STATE(2107)] = 10099,
  [SMALL_STATE(2108)] = 10170,
  [SMALL_STATE(2109)] = 10239,
  [SMALL_STATE(2110)] = 10308,
  [SMALL_STATE(2111)] = 10379,
  [SMALL_STATE(2112)] = 10462,
  [SMALL_STATE(2113)] = 10549,
  [SMALL_STATE(2114)] = 10620,
  [SMALL_STATE(2115)] = 10691,
  [SMALL_STATE(2116)] = 10774,
  [SMALL_STATE(2117)] = 10851,
  [SMALL_STATE(2118)] = 10928,
  [SMALL_STATE(2119)] = 11007,
  [SMALL_STATE(2120)] = 11086,
  [SMALL_STATE(2121)] = 11155,
  [SMALL_STATE(2122)] = 11226,
  [SMALL_STATE(2123)] = 11297,
  [SMALL_STATE(2124)] = 11366,
  [SMALL_STATE(2125)] = 11437,
  [SMALL_STATE(2126)] = 11508,
  [SMALL_STATE(2127)] = 11601,
  [SMALL_STATE(2128)] = 11678,
  [SMALL_STATE(2129)] = 11761,
  [SMALL_STATE(2130)] = 11832,
  [SMALL_STATE(2131)] = 11911,
  [SMALL_STATE(2132)] = 11988,
  [SMALL_STATE(2133)] = 12067,
  [SMALL_STATE(2134)] = 12146,
  [SMALL_STATE(2135)] = 12235,
  [SMALL_STATE(2136)] = 12314,
  [SMALL_STATE(2137)] = 12403,
  [SMALL_STATE(2138)] = 12472,
  [SMALL_STATE(2139)] = 12557,
  [SMALL_STATE(2140)] = 12636,
  [SMALL_STATE(2141)] = 12721,
  [SMALL_STATE(2142)] = 12794,
  [SMALL_STATE(2143)] = 12873,
  [SMALL_STATE(2144)] = 12942,
  [SMALL_STATE(2145)] = 13019,
  [SMALL_STATE(2146)] = 13088,
  [SMALL_STATE(2147)] = 13163,
  [SMALL_STATE(2148)] = 13232,
  [SMALL_STATE(2149)] = 13311,
  [SMALL_STATE(2150)] = 13382,
  [SMALL_STATE(2151)] = 13461,
  [SMALL_STATE(2152)] = 13550,
  [SMALL_STATE(2153)] = 13621,
  [SMALL_STATE(2154)] = 13698,
  [SMALL_STATE(2155)] = 13767,
  [SMALL_STATE(2156)] = 13836,
  [SMALL_STATE(2157)] = 13913,
  [SMALL_STATE(2158)] = 13990,
  [SMALL_STATE(2159)] = 14063,
  [SMALL_STATE(2160)] = 14138,
  [SMALL_STATE(2161)] = 14211,
  [SMALL_STATE(2162)] = 14292,
  [SMALL_STATE(2163)] = 14373,
  [SMALL_STATE(2164)] = 14447,
  [SMALL_STATE(2165)] = 14529,
  [SMALL_STATE(2166)] = 14607,
  [SMALL_STATE(2167)] = 14685,
  [SMALL_STATE(2168)] = 14761,
  [SMALL_STATE(2169)] = 14839,
  [SMALL_STATE(2170)] = 14917,
  [SMALL_STATE(2171)] = 14995,
  [SMALL_STATE(2172)] = 15079,
  [SMALL_STATE(2173)] = 15155,
  [SMALL_STATE(2174)] = 15237,
  [SMALL_STATE(2175)] = 15319,
  [SMALL_STATE(2176)] = 15397,
  [SMALL_STATE(2177)] = 15479,
  [SMALL_STATE(2178)] = 15557,
  [SMALL_STATE(2179)] = 15645,
  [SMALL_STATE(2180)] = 15723,
  [SMALL_STATE(2181)] = 15799,
  [SMALL_STATE(2182)] = 15877,
  [SMALL_STATE(2183)] = 15953,
  [SMALL_STATE(2184)] = 16027,
  [SMALL_STATE(2185)] = 16106,
  [SMALL_STATE(2186)] = 16181,
  [SMALL_STATE(2187)] = 16252,
  [SMALL_STATE(2188)] = 16379,
  [SMALL_STATE(2189)] = 16454,
  [SMALL_STATE(2190)] = 16581,
  [SMALL_STATE(2191)] = 16660,
  [SMALL_STATE(2192)] = 16735,
  [SMALL_STATE(2193)] = 16816,
  [SMALL_STATE(2194)] = 16889,
  [SMALL_STATE(2195)] = 17016,
  [SMALL_STATE(2196)] = 17087,
  [SMALL_STATE(2197)] = 17162,
  [SMALL_STATE(2198)] = 17289,
  [SMALL_STATE(2199)] = 17416,
  [SMALL_STATE(2200)] = 17491,
  [SMALL_STATE(2201)] = 17618,
  [SMALL_STATE(2202)] = 17695,
  [SMALL_STATE(2203)] = 17822,
  [SMALL_STATE(2204)] = 17899,
  [SMALL_STATE(2205)] = 17974,
  [SMALL_STATE(2206)] = 18049,
  [SMALL_STATE(2207)] = 18176,
  [SMALL_STATE(2208)] = 18251,
  [SMALL_STATE(2209)] = 18330,
  [SMALL_STATE(2210)] = 18457,
  [SMALL_STATE(2211)] = 18536,
  [SMALL_STATE(2212)] = 18610,
  [SMALL_STATE(2213)] = 18684,
  [SMALL_STATE(2214)] = 18760,
  [SMALL_STATE(2215)] = 18834,
  [SMALL_STATE(2216)] = 18908,
  [SMALL_STATE(2217)] = 18980,
  [SMALL_STATE(2218)] = 19054,
  [SMALL_STATE(2219)] = 19128,
  [SMALL_STATE(2220)] = 19204,
  [SMALL_STATE(2221)] = 19278,
  [SMALL_STATE(2222)] = 19356,
  [SMALL_STATE(2223)] = 19428,
  [SMALL_STATE(2224)] = 19502,
  [SMALL_STATE(2225)] = 19580,
  [SMALL_STATE(2226)] = 19703,
  [SMALL_STATE(2227)] = 19776,
  [SMALL_STATE(2228)] = 19849,
  [SMALL_STATE(2229)] = 19972,
  [SMALL_STATE(2230)] = 20095,
  [SMALL_STATE(2231)] = 20168,
  [SMALL_STATE(2232)] = 20291,
  [SMALL_STATE(2233)] = 20414,
  [SMALL_STATE(2234)] = 20537,
  [SMALL_STATE(2235)] = 20660,
  [SMALL_STATE(2236)] = 20733,
  [SMALL_STATE(2237)] = 20856,
  [SMALL_STATE(2238)] = 20979,
  [SMALL_STATE(2239)] = 21102,
  [SMALL_STATE(2240)] = 21175,
  [SMALL_STATE(2241)] = 21248,
  [SMALL_STATE(2242)] = 21321,
  [SMALL_STATE(2243)] = 21394,
  [SMALL_STATE(2244)] = 21467,
  [SMALL_STATE(2245)] = 21540,
  [SMALL_STATE(2246)] = 21663,
  [SMALL_STATE(2247)] = 21786,
  [SMALL_STATE(2248)] = 21857,
  [SMALL_STATE(2249)] = 21980,
  [SMALL_STATE(2250)] = 22103,
  [SMALL_STATE(2251)] = 22176,
  [SMALL_STATE(2252)] = 22249,
  [SMALL_STATE(2253)] = 22372,
  [SMALL_STATE(2254)] = 22495,
  [SMALL_STATE(2255)] = 22618,
  [SMALL_STATE(2256)] = 22741,
  [SMALL_STATE(2257)] = 22864,
  [SMALL_STATE(2258)] = 22987,
  [SMALL_STATE(2259)] = 23060,
  [SMALL_STATE(2260)] = 23183,
  [SMALL_STATE(2261)] = 23306,
  [SMALL_STATE(2262)] = 23429,
  [SMALL_STATE(2263)] = 23552,
  [SMALL_STATE(2264)] = 23625,
  [SMALL_STATE(2265)] = 23698,
  [SMALL_STATE(2266)] = 23771,
  [SMALL_STATE(2267)] = 23844,
  [SMALL_STATE(2268)] = 23967,
  [SMALL_STATE(2269)] = 24090,
  [SMALL_STATE(2270)] = 24213,
  [SMALL_STATE(2271)] = 24286,
  [SMALL_STATE(2272)] = 24357,
  [SMALL_STATE(2273)] = 24430,
  [SMALL_STATE(2274)] = 24503,
  [SMALL_STATE(2275)] = 24576,
  [SMALL_STATE(2276)] = 24651,
  [SMALL_STATE(2277)] = 24721,
  [SMALL_STATE(2278)] = 24791,
  [SMALL_STATE(2279)] = 24861,
  [SMALL_STATE(2280)] = 24931,
  [SMALL_STATE(2281)] = 25001,
  [SMALL_STATE(2282)] = 25071,
  [SMALL_STATE(2283)] = 25141,
  [SMALL_STATE(2284)] = 25211,
  [SMALL_STATE(2285)] = 25281,
  [SMALL_STATE(2286)] = 25400,
  [SMALL_STATE(2287)] = 25519,
  [SMALL_STATE(2288)] = 25638,
  [SMALL_STATE(2289)] = 25757,
  [SMALL_STATE(2290)] = 25876,
  [SMALL_STATE(2291)] = 25995,
  [SMALL_STATE(2292)] = 26114,
  [SMALL_STATE(2293)] = 26233,
  [SMALL_STATE(2294)] = 26352,
  [SMALL_STATE(2295)] = 26471,
  [SMALL_STATE(2296)] = 26595,
  [SMALL_STATE(2297)] = 26719,
  [SMALL_STATE(2298)] = 26843,
  [SMALL_STATE(2299)] = 26967,
  [SMALL_STATE(2300)] = 27091,
  [SMALL_STATE(2301)] = 27202,
  [SMALL_STATE(2302)] = 27319,
  [SMALL_STATE(2303)] = 27436,
  [SMALL_STATE(2304)] = 27553,
  [SMALL_STATE(2305)] = 27670,
  [SMALL_STATE(2306)] = 27787,
  [SMALL_STATE(2307)] = 27898,
  [SMALL_STATE(2308)] = 28015,
  [SMALL_STATE(2309)] = 28132,
  [SMALL_STATE(2310)] = 28249,
  [SMALL_STATE(2311)] = 28366,
  [SMALL_STATE(2312)] = 28483,
  [SMALL_STATE(2313)] = 28594,
  [SMALL_STATE(2314)] = 28711,
  [SMALL_STATE(2315)] = 28828,
  [SMALL_STATE(2316)] = 28945,
  [SMALL_STATE(2317)] = 29056,
  [SMALL_STATE(2318)] = 29173,
  [SMALL_STATE(2319)] = 29290,
  [SMALL_STATE(2320)] = 29407,
  [SMALL_STATE(2321)] = 29524,
  [SMALL_STATE(2322)] = 29641,
  [SMALL_STATE(2323)] = 29758,
  [SMALL_STATE(2324)] = 29875,
  [SMALL_STATE(2325)] = 29992,
  [SMALL_STATE(2326)] = 30103,
  [SMALL_STATE(2327)] = 30214,
  [SMALL_STATE(2328)] = 30329,
  [SMALL_STATE(2329)] = 30446,
  [SMALL_STATE(2330)] = 30563,
  [SMALL_STATE(2331)] = 30680,
  [SMALL_STATE(2332)] = 30797,
  [SMALL_STATE(2333)] = 30914,
  [SMALL_STATE(2334)] = 31031,
  [SMALL_STATE(2335)] = 31148,
  [SMALL_STATE(2336)] = 31265,
  [SMALL_STATE(2337)] = 31382,
  [SMALL_STATE(2338)] = 31493,
  [SMALL_STATE(2339)] = 31610,
  [SMALL_STATE(2340)] = 31727,
  [SMALL_STATE(2341)] = 31841,
  [SMALL_STATE(2342)] = 31903,
  [SMALL_STATE(2343)] = 32019,
  [SMALL_STATE(2344)] = 32081,
  [SMALL_STATE(2345)] = 32184,
  [SMALL_STATE(2346)] = 32261,
  [SMALL_STATE(2347)] = 32332,
  [SMALL_STATE(2348)] = 32401,
  [SMALL_STATE(2349)] = 32472,
  [SMALL_STATE(2350)] = 32543,
  [SMALL_STATE(2351)] = 32603,
  [SMALL_STATE(2352)] = 32663,
  [SMALL_STATE(2353)] = 32727,
  [SMALL_STATE(2354)] = 32793,
  [SMALL_STATE(2355)] = 32855,
  [SMALL_STATE(2356)] = 32921,
  [SMALL_STATE(2357)] = 32981,
  [SMALL_STATE(2358)] = 33041,
  [SMALL_STATE(2359)] = 33105,
  [SMALL_STATE(2360)] = 33169,
  [SMALL_STATE(2361)] = 33229,
  [SMALL_STATE(2362)] = 33289,
  [SMALL_STATE(2363)] = 33355,
  [SMALL_STATE(2364)] = 33417,
  [SMALL_STATE(2365)] = 33477,
  [SMALL_STATE(2366)] = 33543,
  [SMALL_STATE(2367)] = 33605,
  [SMALL_STATE(2368)] = 33670,
  [SMALL_STATE(2369)] = 33729,
  [SMALL_STATE(2370)] = 33788,
  [SMALL_STATE(2371)] = 33865,
  [SMALL_STATE(2372)] = 33924,
  [SMALL_STATE(2373)] = 34049,
  [SMALL_STATE(2374)] = 34166,
  [SMALL_STATE(2375)] = 34251,
  [SMALL_STATE(2376)] = 34310,
  [SMALL_STATE(2377)] = 34405,
  [SMALL_STATE(2378)] = 34464,
  [SMALL_STATE(2379)] = 34525,
  [SMALL_STATE(2380)] = 34584,
  [SMALL_STATE(2381)] = 34643,
  [SMALL_STATE(2382)] = 34722,
  [SMALL_STATE(2383)] = 34839,
  [SMALL_STATE(2384)] = 34898,
  [SMALL_STATE(2385)] = 35015,
  [SMALL_STATE(2386)] = 35074,
  [SMALL_STATE(2387)] = 35133,
  [SMALL_STATE(2388)] = 35192,
  [SMALL_STATE(2389)] = 35251,
  [SMALL_STATE(2390)] = 35310,
  [SMALL_STATE(2391)] = 35377,
  [SMALL_STATE(2392)] = 35436,
  [SMALL_STATE(2393)] = 35561,
  [SMALL_STATE(2394)] = 35620,
  [SMALL_STATE(2395)] = 35679,
  [SMALL_STATE(2396)] = 35738,
  [SMALL_STATE(2397)] = 35797,
  [SMALL_STATE(2398)] = 35856,
  [SMALL_STATE(2399)] = 35915,
  [SMALL_STATE(2400)] = 35974,
  [SMALL_STATE(2401)] = 36033,
  [SMALL_STATE(2402)] = 36158,
  [SMALL_STATE(2403)] = 36217,
  [SMALL_STATE(2404)] = 36276,
  [SMALL_STATE(2405)] = 36401,
  [SMALL_STATE(2406)] = 36460,
  [SMALL_STATE(2407)] = 36519,
  [SMALL_STATE(2408)] = 36578,
  [SMALL_STATE(2409)] = 36637,
  [SMALL_STATE(2410)] = 36700,
  [SMALL_STATE(2411)] = 36765,
  [SMALL_STATE(2412)] = 36826,
  [SMALL_STATE(2413)] = 36885,
  [SMALL_STATE(2414)] = 36950,
  [SMALL_STATE(2415)] = 37067,
  [SMALL_STATE(2416)] = 37126,
  [SMALL_STATE(2417)] = 37185,
  [SMALL_STATE(2418)] = 37244,
  [SMALL_STATE(2419)] = 37303,
  [SMALL_STATE(2420)] = 37362,
  [SMALL_STATE(2421)] = 37423,
  [SMALL_STATE(2422)] = 37484,
  [SMALL_STATE(2423)] = 37543,
  [SMALL_STATE(2424)] = 37602,
  [SMALL_STATE(2425)] = 37661,
  [SMALL_STATE(2426)] = 37724,
  [SMALL_STATE(2427)] = 37783,
  [SMALL_STATE(2428)] = 37842,
  [SMALL_STATE(2429)] = 37909,
  [SMALL_STATE(2430)] = 37968,
  [SMALL_STATE(2431)] = 38093,
  [SMALL_STATE(2432)] = 38154,
  [SMALL_STATE(2433)] = 38249,
  [SMALL_STATE(2434)] = 38308,
  [SMALL_STATE(2435)] = 38375,
  [SMALL_STATE(2436)] = 38438,
  [SMALL_STATE(2437)] = 38563,
  [SMALL_STATE(2438)] = 38622,
  [SMALL_STATE(2439)] = 38717,
  [SMALL_STATE(2440)] = 38834,
  [SMALL_STATE(2441)] = 38951,
  [SMALL_STATE(2442)] = 39068,
  [SMALL_STATE(2443)] = 39159,
  [SMALL_STATE(2444)] = 39222,
  [SMALL_STATE(2445)] = 39281,
  [SMALL_STATE(2446)] = 39340,
  [SMALL_STATE(2447)] = 39401,
  [SMALL_STATE(2448)] = 39526,
  [SMALL_STATE(2449)] = 39591,
  [SMALL_STATE(2450)] = 39672,
  [SMALL_STATE(2451)] = 39731,
  [SMALL_STATE(2452)] = 39790,
  [SMALL_STATE(2453)] = 39907,
  [SMALL_STATE(2454)] = 40024,
  [SMALL_STATE(2455)] = 40083,
  [SMALL_STATE(2456)] = 40142,
  [SMALL_STATE(2457)] = 40203,
  [SMALL_STATE(2458)] = 40268,
  [SMALL_STATE(2459)] = 40385,
  [SMALL_STATE(2460)] = 40444,
  [SMALL_STATE(2461)] = 40561,
  [SMALL_STATE(2462)] = 40620,
  [SMALL_STATE(2463)] = 40679,
  [SMALL_STATE(2464)] = 40738,
  [SMALL_STATE(2465)] = 40797,
  [SMALL_STATE(2466)] = 40856,
  [SMALL_STATE(2467)] = 40973,
  [SMALL_STATE(2468)] = 41034,
  [SMALL_STATE(2469)] = 41099,
  [SMALL_STATE(2470)] = 41164,
  [SMALL_STATE(2471)] = 41223,
  [SMALL_STATE(2472)] = 41282,
  [SMALL_STATE(2473)] = 41341,
  [SMALL_STATE(2474)] = 41400,
  [SMALL_STATE(2475)] = 41517,
  [SMALL_STATE(2476)] = 41578,
  [SMALL_STATE(2477)] = 41637,
  [SMALL_STATE(2478)] = 41696,
  [SMALL_STATE(2479)] = 41801,
  [SMALL_STATE(2480)] = 41860,
  [SMALL_STATE(2481)] = 41919,
  [SMALL_STATE(2482)] = 41978,
  [SMALL_STATE(2483)] = 42037,
  [SMALL_STATE(2484)] = 42144,
  [SMALL_STATE(2485)] = 42231,
  [SMALL_STATE(2486)] = 42330,
  [SMALL_STATE(2487)] = 42389,
  [SMALL_STATE(2488)] = 42490,
  [SMALL_STATE(2489)] = 42549,
  [SMALL_STATE(2490)] = 42652,
  [SMALL_STATE(2491)] = 42711,
  [SMALL_STATE(2492)] = 42770,
  [SMALL_STATE(2493)] = 42855,
  [SMALL_STATE(2494)] = 42942,
  [SMALL_STATE(2495)] = 43037,
  [SMALL_STATE(2496)] = 43146,
  [SMALL_STATE(2497)] = 43211,
  [SMALL_STATE(2498)] = 43306,
  [SMALL_STATE(2499)] = 43423,
  [SMALL_STATE(2500)] = 43482,
  [SMALL_STATE(2501)] = 43541,
  [SMALL_STATE(2502)] = 43658,
  [SMALL_STATE(2503)] = 43717,
  [SMALL_STATE(2504)] = 43776,
  [SMALL_STATE(2505)] = 43835,
  [SMALL_STATE(2506)] = 43894,
  [SMALL_STATE(2507)] = 43953,
  [SMALL_STATE(2508)] = 44012,
  [SMALL_STATE(2509)] = 44077,
  [SMALL_STATE(2510)] = 44138,
  [SMALL_STATE(2511)] = 44197,
  [SMALL_STATE(2512)] = 44256,
  [SMALL_STATE(2513)] = 44315,
  [SMALL_STATE(2514)] = 44376,
  [SMALL_STATE(2515)] = 44437,
  [SMALL_STATE(2516)] = 44496,
  [SMALL_STATE(2517)] = 44555,
  [SMALL_STATE(2518)] = 44650,
  [SMALL_STATE(2519)] = 44715,
  [SMALL_STATE(2520)] = 44774,
  [SMALL_STATE(2521)] = 44833,
  [SMALL_STATE(2522)] = 44898,
  [SMALL_STATE(2523)] = 44963,
  [SMALL_STATE(2524)] = 45022,
  [SMALL_STATE(2525)] = 45081,
  [SMALL_STATE(2526)] = 45140,
  [SMALL_STATE(2527)] = 45256,
  [SMALL_STATE(2528)] = 45376,
  [SMALL_STATE(2529)] = 45434,
  [SMALL_STATE(2530)] = 45492,
  [SMALL_STATE(2531)] = 45608,
  [SMALL_STATE(2532)] = 45724,
  [SMALL_STATE(2533)] = 45782,
  [SMALL_STATE(2534)] = 45898,
  [SMALL_STATE(2535)] = 45988,
  [SMALL_STATE(2536)] = 46104,
  [SMALL_STATE(2537)] = 46162,
  [SMALL_STATE(2538)] = 46220,
  [SMALL_STATE(2539)] = 46336,
  [SMALL_STATE(2540)] = 46452,
  [SMALL_STATE(2541)] = 46568,
  [SMALL_STATE(2542)] = 46626,
  [SMALL_STATE(2543)] = 46714,
  [SMALL_STATE(2544)] = 46812,
  [SMALL_STATE(2545)] = 46928,
  [SMALL_STATE(2546)] = 46994,
  [SMALL_STATE(2547)] = 47080,
  [SMALL_STATE(2548)] = 47186,
  [SMALL_STATE(2549)] = 47302,
  [SMALL_STATE(2550)] = 47418,
  [SMALL_STATE(2551)] = 47522,
  [SMALL_STATE(2552)] = 47642,
  [SMALL_STATE(2553)] = 47730,
  [SMALL_STATE(2554)] = 47788,
  [SMALL_STATE(2555)] = 47904,
  [SMALL_STATE(2556)] = 48020,
  [SMALL_STATE(2557)] = 48078,
  [SMALL_STATE(2558)] = 48194,
  [SMALL_STATE(2559)] = 48252,
  [SMALL_STATE(2560)] = 48310,
  [SMALL_STATE(2561)] = 48368,
  [SMALL_STATE(2562)] = 48468,
  [SMALL_STATE(2563)] = 48526,
  [SMALL_STATE(2564)] = 48584,
  [SMALL_STATE(2565)] = 48670,
  [SMALL_STATE(2566)] = 48728,
  [SMALL_STATE(2567)] = 48786,
  [SMALL_STATE(2568)] = 48844,
  [SMALL_STATE(2569)] = 48902,
  [SMALL_STATE(2570)] = 48960,
  [SMALL_STATE(2571)] = 49046,
  [SMALL_STATE(2572)] = 49130,
  [SMALL_STATE(2573)] = 49246,
  [SMALL_STATE(2574)] = 49362,
  [SMALL_STATE(2575)] = 49464,
  [SMALL_STATE(2576)] = 49522,
  [SMALL_STATE(2577)] = 49606,
  [SMALL_STATE(2578)] = 49692,
  [SMALL_STATE(2579)] = 49750,
  [SMALL_STATE(2580)] = 49830,
  [SMALL_STATE(2581)] = 49894,
  [SMALL_STATE(2582)] = 49972,
  [SMALL_STATE(2583)] = 50088,
  [SMALL_STATE(2584)] = 50152,
  [SMALL_STATE(2585)] = 50268,
  [SMALL_STATE(2586)] = 50388,
  [SMALL_STATE(2587)] = 50450,
  [SMALL_STATE(2588)] = 50508,
  [SMALL_STATE(2589)] = 50566,
  [SMALL_STATE(2590)] = 50666,
  [SMALL_STATE(2591)] = 50724,
  [SMALL_STATE(2592)] = 50792,
  [SMALL_STATE(2593)] = 50860,
  [SMALL_STATE(2594)] = 50918,
  [SMALL_STATE(2595)] = 51038,
  [SMALL_STATE(2596)] = 51106,
  [SMALL_STATE(2597)] = 51226,
  [SMALL_STATE(2598)] = 51284,
  [SMALL_STATE(2599)] = 51362,
  [SMALL_STATE(2600)] = 51478,
  [SMALL_STATE(2601)] = 51576,
  [SMALL_STATE(2602)] = 51634,
  [SMALL_STATE(2603)] = 51722,
  [SMALL_STATE(2604)] = 51780,
  [SMALL_STATE(2605)] = 51840,
  [SMALL_STATE(2606)] = 51898,
  [SMALL_STATE(2607)] = 52014,
  [SMALL_STATE(2608)] = 52104,
  [SMALL_STATE(2609)] = 52222,
  [SMALL_STATE(2610)] = 52280,
  [SMALL_STATE(2611)] = 52338,
  [SMALL_STATE(2612)] = 52396,
  [SMALL_STATE(2613)] = 52480,
  [SMALL_STATE(2614)] = 52538,
  [SMALL_STATE(2615)] = 52596,
  [SMALL_STATE(2616)] = 52654,
  [SMALL_STATE(2617)] = 52774,
  [SMALL_STATE(2618)] = 52832,
  [SMALL_STATE(2619)] = 52940,
  [SMALL_STATE(2620)] = 52998,
  [SMALL_STATE(2621)] = 53084,
  [SMALL_STATE(2622)] = 53142,
  [SMALL_STATE(2623)] = 53262,
  [SMALL_STATE(2624)] = 53320,
  [SMALL_STATE(2625)] = 53378,
  [SMALL_STATE(2626)] = 53472,
  [SMALL_STATE(2627)] = 53530,
  [SMALL_STATE(2628)] = 53588,
  [SMALL_STATE(2629)] = 53694,
  [SMALL_STATE(2630)] = 53812,
  [SMALL_STATE(2631)] = 53870,
  [SMALL_STATE(2632)] = 53956,
  [SMALL_STATE(2633)] = 54042,
  [SMALL_STATE(2634)] = 54162,
  [SMALL_STATE(2635)] = 54266,
  [SMALL_STATE(2636)] = 54324,
  [SMALL_STATE(2637)] = 54382,
  [SMALL_STATE(2638)] = 54466,
  [SMALL_STATE(2639)] = 54528,
  [SMALL_STATE(2640)] = 54644,
  [SMALL_STATE(2641)] = 54702,
  [SMALL_STATE(2642)] = 54760,
  [SMALL_STATE(2643)] = 54818,
  [SMALL_STATE(2644)] = 54876,
  [SMALL_STATE(2645)] = 54996,
  [SMALL_STATE(2646)] = 55056,
  [SMALL_STATE(2647)] = 55172,
  [SMALL_STATE(2648)] = 55230,
  [SMALL_STATE(2649)] = 55346,
  [SMALL_STATE(2650)] = 55404,
  [SMALL_STATE(2651)] = 55524,
  [SMALL_STATE(2652)] = 55610,
  [SMALL_STATE(2653)] = 55668,
  [SMALL_STATE(2654)] = 55726,
  [SMALL_STATE(2655)] = 55784,
  [SMALL_STATE(2656)] = 55842,
  [SMALL_STATE(2657)] = 55900,
  [SMALL_STATE(2658)] = 55958,
  [SMALL_STATE(2659)] = 56078,
  [SMALL_STATE(2660)] = 56136,
  [SMALL_STATE(2661)] = 56256,
  [SMALL_STATE(2662)] = 56314,
  [SMALL_STATE(2663)] = 56390,
  [SMALL_STATE(2664)] = 56448,
  [SMALL_STATE(2665)] = 56506,
  [SMALL_STATE(2666)] = 56564,
  [SMALL_STATE(2667)] = 56684,
  [SMALL_STATE(2668)] = 56772,
  [SMALL_STATE(2669)] = 56858,
  [SMALL_STATE(2670)] = 56916,
  [SMALL_STATE(2671)] = 56974,
  [SMALL_STATE(2672)] = 57032,
  [SMALL_STATE(2673)] = 57090,
  [SMALL_STATE(2674)] = 57148,
  [SMALL_STATE(2675)] = 57222,
  [SMALL_STATE(2676)] = 57280,
  [SMALL_STATE(2677)] = 57340,
  [SMALL_STATE(2678)] = 57398,
  [SMALL_STATE(2679)] = 57514,
  [SMALL_STATE(2680)] = 57634,
  [SMALL_STATE(2681)] = 57696,
  [SMALL_STATE(2682)] = 57804,
  [SMALL_STATE(2683)] = 57862,
  [SMALL_STATE(2684)] = 57942,
  [SMALL_STATE(2685)] = 58062,
  [SMALL_STATE(2686)] = 58150,
  [SMALL_STATE(2687)] = 58270,
  [SMALL_STATE(2688)] = 58386,
  [SMALL_STATE(2689)] = 58506,
  [SMALL_STATE(2690)] = 58622,
  [SMALL_STATE(2691)] = 58682,
  [SMALL_STATE(2692)] = 58776,
  [SMALL_STATE(2693)] = 58836,
  [SMALL_STATE(2694)] = 58952,
  [SMALL_STATE(2695)] = 59016,
  [SMALL_STATE(2696)] = 59132,
  [SMALL_STATE(2697)] = 59190,
  [SMALL_STATE(2698)] = 59248,
  [SMALL_STATE(2699)] = 59306,
  [SMALL_STATE(2700)] = 59364,
  [SMALL_STATE(2701)] = 59422,
  [SMALL_STATE(2702)] = 59480,
  [SMALL_STATE(2703)] = 59538,
  [SMALL_STATE(2704)] = 59596,
  [SMALL_STATE(2705)] = 59654,
  [SMALL_STATE(2706)] = 59770,
  [SMALL_STATE(2707)] = 59890,
  [SMALL_STATE(2708)] = 60010,
  [SMALL_STATE(2709)] = 60086,
  [SMALL_STATE(2710)] = 60144,
  [SMALL_STATE(2711)] = 60264,
  [SMALL_STATE(2712)] = 60322,
  [SMALL_STATE(2713)] = 60424,
  [SMALL_STATE(2714)] = 60512,
  [SMALL_STATE(2715)] = 60570,
  [SMALL_STATE(2716)] = 60647,
  [SMALL_STATE(2717)] = 60762,
  [SMALL_STATE(2718)] = 60881,
  [SMALL_STATE(2719)] = 60996,
  [SMALL_STATE(2720)] = 61115,
  [SMALL_STATE(2721)] = 61230,
  [SMALL_STATE(2722)] = 61295,
  [SMALL_STATE(2723)] = 61414,
  [SMALL_STATE(2724)] = 61533,
  [SMALL_STATE(2725)] = 61648,
  [SMALL_STATE(2726)] = 61763,
  [SMALL_STATE(2727)] = 61878,
  [SMALL_STATE(2728)] = 61997,
  [SMALL_STATE(2729)] = 62062,
  [SMALL_STATE(2730)] = 62119,
  [SMALL_STATE(2731)] = 62186,
  [SMALL_STATE(2732)] = 62303,
  [SMALL_STATE(2733)] = 62360,
  [SMALL_STATE(2734)] = 62423,
  [SMALL_STATE(2735)] = 62508,
  [SMALL_STATE(2736)] = 62595,
  [SMALL_STATE(2737)] = 62710,
  [SMALL_STATE(2738)] = 62827,
  [SMALL_STATE(2739)] = 62942,
  [SMALL_STATE(2740)] = 63023,
  [SMALL_STATE(2741)] = 63142,
  [SMALL_STATE(2742)] = 63207,
  [SMALL_STATE(2743)] = 63268,
  [SMALL_STATE(2744)] = 63327,
  [SMALL_STATE(2745)] = 63442,
  [SMALL_STATE(2746)] = 63557,
  [SMALL_STATE(2747)] = 63676,
  [SMALL_STATE(2748)] = 63795,
  [SMALL_STATE(2749)] = 63910,
  [SMALL_STATE(2750)] = 63991,
  [SMALL_STATE(2751)] = 64106,
  [SMALL_STATE(2752)] = 64225,
  [SMALL_STATE(2753)] = 64314,
  [SMALL_STATE(2754)] = 64433,
  [SMALL_STATE(2755)] = 64496,
  [SMALL_STATE(2756)] = 64575,
  [SMALL_STATE(2757)] = 64634,
  [SMALL_STATE(2758)] = 64737,
  [SMALL_STATE(2759)] = 64796,
  [SMALL_STATE(2760)] = 64911,
  [SMALL_STATE(2761)] = 65030,
  [SMALL_STATE(2762)] = 65135,
  [SMALL_STATE(2763)] = 65254,
  [SMALL_STATE(2764)] = 65339,
  [SMALL_STATE(2765)] = 65404,
  [SMALL_STATE(2766)] = 65501,
  [SMALL_STATE(2767)] = 65620,
  [SMALL_STATE(2768)] = 65681,
  [SMALL_STATE(2769)] = 65796,
  [SMALL_STATE(2770)] = 65911,
  [SMALL_STATE(2771)] = 66026,
  [SMALL_STATE(2772)] = 66145,
  [SMALL_STATE(2773)] = 66228,
  [SMALL_STATE(2774)] = 66329,
  [SMALL_STATE(2775)] = 66444,
  [SMALL_STATE(2776)] = 66527,
  [SMALL_STATE(2777)] = 66646,
  [SMALL_STATE(2778)] = 66765,
  [SMALL_STATE(2779)] = 66832,
  [SMALL_STATE(2780)] = 66917,
  [SMALL_STATE(2781)] = 67036,
  [SMALL_STATE(2782)] = 67151,
  [SMALL_STATE(2783)] = 67226,
  [SMALL_STATE(2784)] = 67345,
  [SMALL_STATE(2785)] = 67464,
  [SMALL_STATE(2786)] = 67545,
  [SMALL_STATE(2787)] = 67664,
  [SMALL_STATE(2788)] = 67727,
  [SMALL_STATE(2789)] = 67790,
  [SMALL_STATE(2790)] = 67909,
  [SMALL_STATE(2791)] = 67972,
  [SMALL_STATE(2792)] = 68033,
  [SMALL_STATE(2793)] = 68094,
  [SMALL_STATE(2794)] = 68179,
  [SMALL_STATE(2795)] = 68272,
  [SMALL_STATE(2796)] = 68329,
  [SMALL_STATE(2797)] = 68436,
  [SMALL_STATE(2798)] = 68517,
  [SMALL_STATE(2799)] = 68574,
  [SMALL_STATE(2800)] = 68631,
  [SMALL_STATE(2801)] = 68746,
  [SMALL_STATE(2802)] = 68865,
  [SMALL_STATE(2803)] = 68924,
  [SMALL_STATE(2804)] = 69043,
  [SMALL_STATE(2805)] = 69100,
  [SMALL_STATE(2806)] = 69217,
  [SMALL_STATE(2807)] = 69282,
  [SMALL_STATE(2808)] = 69401,
  [SMALL_STATE(2809)] = 69500,
  [SMALL_STATE(2810)] = 69565,
  [SMALL_STATE(2811)] = 69684,
  [SMALL_STATE(2812)] = 69801,
  [SMALL_STATE(2813)] = 69918,
  [SMALL_STATE(2814)] = 69999,
  [SMALL_STATE(2815)] = 70118,
  [SMALL_STATE(2816)] = 70237,
  [SMALL_STATE(2817)] = 70356,
  [SMALL_STATE(2818)] = 70475,
  [SMALL_STATE(2819)] = 70594,
  [SMALL_STATE(2820)] = 70709,
  [SMALL_STATE(2821)] = 70765,
  [SMALL_STATE(2822)] = 70843,
  [SMALL_STATE(2823)] = 70899,
  [SMALL_STATE(2824)] = 70969,
  [SMALL_STATE(2825)] = 71025,
  [SMALL_STATE(2826)] = 71141,
  [SMALL_STATE(2827)] = 71197,
  [SMALL_STATE(2828)] = 71253,
  [SMALL_STATE(2829)] = 71309,
  [SMALL_STATE(2830)] = 71365,
  [SMALL_STATE(2831)] = 71421,
  [SMALL_STATE(2832)] = 71477,
  [SMALL_STATE(2833)] = 71545,
  [SMALL_STATE(2834)] = 71601,
  [SMALL_STATE(2835)] = 71671,
  [SMALL_STATE(2836)] = 71727,
  [SMALL_STATE(2837)] = 71823,
  [SMALL_STATE(2838)] = 71879,
  [SMALL_STATE(2839)] = 71935,
  [SMALL_STATE(2840)] = 71993,
  [SMALL_STATE(2841)] = 72083,
  [SMALL_STATE(2842)] = 72139,
  [SMALL_STATE(2843)] = 72195,
  [SMALL_STATE(2844)] = 72251,
  [SMALL_STATE(2845)] = 72307,
  [SMALL_STATE(2846)] = 72389,
  [SMALL_STATE(2847)] = 72487,
  [SMALL_STATE(2848)] = 72543,
  [SMALL_STATE(2849)] = 72611,
  [SMALL_STATE(2850)] = 72667,
  [SMALL_STATE(2851)] = 72723,
  [SMALL_STATE(2852)] = 72823,
  [SMALL_STATE(2853)] = 72885,
  [SMALL_STATE(2854)] = 72941,
  [SMALL_STATE(2855)] = 72997,
  [SMALL_STATE(2856)] = 73059,
  [SMALL_STATE(2857)] = 73115,
  [SMALL_STATE(2858)] = 73171,
  [SMALL_STATE(2859)] = 73227,
  [SMALL_STATE(2860)] = 73309,
  [SMALL_STATE(2861)] = 73365,
  [SMALL_STATE(2862)] = 73421,
  [SMALL_STATE(2863)] = 73477,
  [SMALL_STATE(2864)] = 73533,
  [SMALL_STATE(2865)] = 73649,
  [SMALL_STATE(2866)] = 73711,
  [SMALL_STATE(2867)] = 73795,
  [SMALL_STATE(2868)] = 73853,
  [SMALL_STATE(2869)] = 73909,
  [SMALL_STATE(2870)] = 73965,
  [SMALL_STATE(2871)] = 74027,
  [SMALL_STATE(2872)] = 74083,
  [SMALL_STATE(2873)] = 74139,
  [SMALL_STATE(2874)] = 74195,
  [SMALL_STATE(2875)] = 74251,
  [SMALL_STATE(2876)] = 74307,
  [SMALL_STATE(2877)] = 74363,
  [SMALL_STATE(2878)] = 74453,
  [SMALL_STATE(2879)] = 74509,
  [SMALL_STATE(2880)] = 74565,
  [SMALL_STATE(2881)] = 74621,
  [SMALL_STATE(2882)] = 74677,
  [SMALL_STATE(2883)] = 74733,
  [SMALL_STATE(2884)] = 74789,
  [SMALL_STATE(2885)] = 74869,
  [SMALL_STATE(2886)] = 74925,
  [SMALL_STATE(2887)] = 74981,
  [SMALL_STATE(2888)] = 75071,
  [SMALL_STATE(2889)] = 75127,
  [SMALL_STATE(2890)] = 75183,
  [SMALL_STATE(2891)] = 75265,
  [SMALL_STATE(2892)] = 75343,
  [SMALL_STATE(2893)] = 75425,
  [SMALL_STATE(2894)] = 75487,
  [SMALL_STATE(2895)] = 75549,
  [SMALL_STATE(2896)] = 75663,
  [SMALL_STATE(2897)] = 75723,
  [SMALL_STATE(2898)] = 75785,
  [SMALL_STATE(2899)] = 75847,
  [SMALL_STATE(2900)] = 75909,
  [SMALL_STATE(2901)] = 76001,
  [SMALL_STATE(2902)] = 76115,
  [SMALL_STATE(2903)] = 76175,
  [SMALL_STATE(2904)] = 76231,
  [SMALL_STATE(2905)] = 76287,
  [SMALL_STATE(2906)] = 76393,
  [SMALL_STATE(2907)] = 76449,
  [SMALL_STATE(2908)] = 76563,
  [SMALL_STATE(2909)] = 76619,
  [SMALL_STATE(2910)] = 76709,
  [SMALL_STATE(2911)] = 76765,
  [SMALL_STATE(2912)] = 76833,
  [SMALL_STATE(2913)] = 76897,
  [SMALL_STATE(2914)] = 76961,
  [SMALL_STATE(2915)] = 77039,
  [SMALL_STATE(2916)] = 77101,
  [SMALL_STATE(2917)] = 77163,
  [SMALL_STATE(2918)] = 77225,
  [SMALL_STATE(2919)] = 77293,
  [SMALL_STATE(2920)] = 77361,
  [SMALL_STATE(2921)] = 77423,
  [SMALL_STATE(2922)] = 77513,
  [SMALL_STATE(2923)] = 77577,
  [SMALL_STATE(2924)] = 77633,
  [SMALL_STATE(2925)] = 77691,
  [SMALL_STATE(2926)] = 77751,
  [SMALL_STATE(2927)] = 77807,
  [SMALL_STATE(2928)] = 77921,
  [SMALL_STATE(2929)] = 77983,
  [SMALL_STATE(2930)] = 78039,
  [SMALL_STATE(2931)] = 78155,
  [SMALL_STATE(2932)] = 78213,
  [SMALL_STATE(2933)] = 78271,
  [SMALL_STATE(2934)] = 78327,
  [SMALL_STATE(2935)] = 78383,
  [SMALL_STATE(2936)] = 78439,
  [SMALL_STATE(2937)] = 78553,
  [SMALL_STATE(2938)] = 78609,
  [SMALL_STATE(2939)] = 78665,
  [SMALL_STATE(2940)] = 78721,
  [SMALL_STATE(2941)] = 78777,
  [SMALL_STATE(2942)] = 78833,
  [SMALL_STATE(2943)] = 78889,
  [SMALL_STATE(2944)] = 78945,
  [SMALL_STATE(2945)] = 79001,
  [SMALL_STATE(2946)] = 79057,
  [SMALL_STATE(2947)] = 79139,
  [SMALL_STATE(2948)] = 79253,
  [SMALL_STATE(2949)] = 79313,
  [SMALL_STATE(2950)] = 79427,
  [SMALL_STATE(2951)] = 79483,
  [SMALL_STATE(2952)] = 79541,
  [SMALL_STATE(2953)] = 79597,
  [SMALL_STATE(2954)] = 79711,
  [SMALL_STATE(2955)] = 79793,
  [SMALL_STATE(2956)] = 79907,
  [SMALL_STATE(2957)] = 79965,
  [SMALL_STATE(2958)] = 80033,
  [SMALL_STATE(2959)] = 80095,
  [SMALL_STATE(2960)] = 80163,
  [SMALL_STATE(2961)] = 80225,
  [SMALL_STATE(2962)] = 80339,
  [SMALL_STATE(2963)] = 80401,
  [SMALL_STATE(2964)] = 80459,
  [SMALL_STATE(2965)] = 80517,
  [SMALL_STATE(2966)] = 80591,
  [SMALL_STATE(2967)] = 80647,
  [SMALL_STATE(2968)] = 80761,
  [SMALL_STATE(2969)] = 80843,
  [SMALL_STATE(2970)] = 80919,
  [SMALL_STATE(2971)] = 81033,
  [SMALL_STATE(2972)] = 81149,
  [SMALL_STATE(2973)] = 81263,
  [SMALL_STATE(2974)] = 81343,
  [SMALL_STATE(2975)] = 81457,
  [SMALL_STATE(2976)] = 81545,
  [SMALL_STATE(2977)] = 81659,
  [SMALL_STATE(2978)] = 81773,
  [SMALL_STATE(2979)] = 81887,
  [SMALL_STATE(2980)] = 82001,
  [SMALL_STATE(2981)] = 82115,
  [SMALL_STATE(2982)] = 82229,
  [SMALL_STATE(2983)] = 82307,
  [SMALL_STATE(2984)] = 82363,
  [SMALL_STATE(2985)] = 82419,
  [SMALL_STATE(2986)] = 82533,
  [SMALL_STATE(2987)] = 82589,
  [SMALL_STATE(2988)] = 82703,
  [SMALL_STATE(2989)] = 82817,
  [SMALL_STATE(2990)] = 82873,
  [SMALL_STATE(2991)] = 82951,
  [SMALL_STATE(2992)] = 83065,
  [SMALL_STATE(2993)] = 83179,
  [SMALL_STATE(2994)] = 83293,
  [SMALL_STATE(2995)] = 83399,
  [SMALL_STATE(2996)] = 83491,
  [SMALL_STATE(2997)] = 83575,
  [SMALL_STATE(2998)] = 83657,
  [SMALL_STATE(2999)] = 83757,
  [SMALL_STATE(3000)] = 83847,
  [SMALL_STATE(3001)] = 83945,
  [SMALL_STATE(3002)] = 84003,
  [SMALL_STATE(3003)] = 84099,
  [SMALL_STATE(3004)] = 84183,
  [SMALL_STATE(3005)] = 84267,
  [SMALL_STATE(3006)] = 84371,
  [SMALL_STATE(3007)] = 84453,
  [SMALL_STATE(3008)] = 84555,
  [SMALL_STATE(3009)] = 84617,
  [SMALL_STATE(3010)] = 84731,
  [SMALL_STATE(3011)] = 84809,
  [SMALL_STATE(3012)] = 84897,
  [SMALL_STATE(3013)] = 85011,
  [SMALL_STATE(3014)] = 85125,
  [SMALL_STATE(3015)] = 85239,
  [SMALL_STATE(3016)] = 85315,
  [SMALL_STATE(3017)] = 85429,
  [SMALL_STATE(3018)] = 85511,
  [SMALL_STATE(3019)] = 85625,
  [SMALL_STATE(3020)] = 85703,
  [SMALL_STATE(3021)] = 85759,
  [SMALL_STATE(3022)] = 85861,
  [SMALL_STATE(3023)] = 85917,
  [SMALL_STATE(3024)] = 85999,
  [SMALL_STATE(3025)] = 86057,
  [SMALL_STATE(3026)] = 86171,
  [SMALL_STATE(3027)] = 86275,
  [SMALL_STATE(3028)] = 86349,
  [SMALL_STATE(3029)] = 86407,
  [SMALL_STATE(3030)] = 86469,
  [SMALL_STATE(3031)] = 86531,
  [SMALL_STATE(3032)] = 86647,
  [SMALL_STATE(3033)] = 86703,
  [SMALL_STATE(3034)] = 86759,
  [SMALL_STATE(3035)] = 86815,
  [SMALL_STATE(3036)] = 86873,
  [SMALL_STATE(3037)] = 86929,
  [SMALL_STATE(3038)] = 86985,
  [SMALL_STATE(3039)] = 87099,
  [SMALL_STATE(3040)] = 87167,
  [SMALL_STATE(3041)] = 87235,
  [SMALL_STATE(3042)] = 87293,
  [SMALL_STATE(3043)] = 87349,
  [SMALL_STATE(3044)] = 87407,
  [SMALL_STATE(3045)] = 87465,
  [SMALL_STATE(3046)] = 87579,
  [SMALL_STATE(3047)] = 87669,
  [SMALL_STATE(3048)] = 87783,
  [SMALL_STATE(3049)] = 87897,
  [SMALL_STATE(3050)] = 88013,
  [SMALL_STATE(3051)] = 88095,
  [SMALL_STATE(3052)] = 88209,
  [SMALL_STATE(3053)] = 88265,
  [SMALL_STATE(3054)] = 88323,
  [SMALL_STATE(3055)] = 88403,
  [SMALL_STATE(3056)] = 88459,
  [SMALL_STATE(3057)] = 88550,
  [SMALL_STATE(3058)] = 88605,
  [SMALL_STATE(3059)] = 88686,
  [SMALL_STATE(3060)] = 88759,
  [SMALL_STATE(3061)] = 88814,
  [SMALL_STATE(3062)] = 88873,
  [SMALL_STATE(3063)] = 88946,
  [SMALL_STATE(3064)] = 89001,
  [SMALL_STATE(3065)] = 89114,
  [SMALL_STATE(3066)] = 89169,
  [SMALL_STATE(3067)] = 89224,
  [SMALL_STATE(3068)] = 89289,
  [SMALL_STATE(3069)] = 89394,
  [SMALL_STATE(3070)] = 89449,
  [SMALL_STATE(3071)] = 89506,
  [SMALL_STATE(3072)] = 89619,
  [SMALL_STATE(3073)] = 89692,
  [SMALL_STATE(3074)] = 89765,
  [SMALL_STATE(3075)] = 89824,
  [SMALL_STATE(3076)] = 89897,
  [SMALL_STATE(3077)] = 89988,
  [SMALL_STATE(3078)] = 90071,
  [SMALL_STATE(3079)] = 90146,
  [SMALL_STATE(3080)] = 90227,
  [SMALL_STATE(3081)] = 90326,
  [SMALL_STATE(3082)] = 90383,
  [SMALL_STATE(3083)] = 90456,
  [SMALL_STATE(3084)] = 90511,
  [SMALL_STATE(3085)] = 90608,
  [SMALL_STATE(3086)] = 90681,
  [SMALL_STATE(3087)] = 90748,
  [SMALL_STATE(3088)] = 90807,
  [SMALL_STATE(3089)] = 90864,
  [SMALL_STATE(3090)] = 90959,
  [SMALL_STATE(3091)] = 91022,
  [SMALL_STATE(3092)] = 91081,
  [SMALL_STATE(3093)] = 91140,
  [SMALL_STATE(3094)] = 91199,
  [SMALL_STATE(3095)] = 91258,
  [SMALL_STATE(3096)] = 91317,
  [SMALL_STATE(3097)] = 91372,
  [SMALL_STATE(3098)] = 91427,
  [SMALL_STATE(3099)] = 91502,
  [SMALL_STATE(3100)] = 91557,
  [SMALL_STATE(3101)] = 91612,
  [SMALL_STATE(3102)] = 91685,
  [SMALL_STATE(3103)] = 91740,
  [SMALL_STATE(3104)] = 91795,
  [SMALL_STATE(3105)] = 91862,
  [SMALL_STATE(3106)] = 91975,
  [SMALL_STATE(3107)] = 92030,
  [SMALL_STATE(3108)] = 92087,
  [SMALL_STATE(3109)] = 92162,
  [SMALL_STATE(3110)] = 92245,
  [SMALL_STATE(3111)] = 92300,
  [SMALL_STATE(3112)] = 92355,
  [SMALL_STATE(3113)] = 92468,
  [SMALL_STATE(3114)] = 92535,
  [SMALL_STATE(3115)] = 92602,
  [SMALL_STATE(3116)] = 92663,
  [SMALL_STATE(3117)] = 92730,
  [SMALL_STATE(3118)] = 92843,
  [SMALL_STATE(3119)] = 92898,
  [SMALL_STATE(3120)] = 92981,
  [SMALL_STATE(3121)] = 93094,
  [SMALL_STATE(3122)] = 93149,
  [SMALL_STATE(3123)] = 93216,
  [SMALL_STATE(3124)] = 93271,
  [SMALL_STATE(3125)] = 93326,
  [SMALL_STATE(3126)] = 93385,
  [SMALL_STATE(3127)] = 93440,
  [SMALL_STATE(3128)] = 93553,
  [SMALL_STATE(3129)] = 93666,
  [SMALL_STATE(3130)] = 93779,
  [SMALL_STATE(3131)] = 93892,
  [SMALL_STATE(3132)] = 94005,
  [SMALL_STATE(3133)] = 94118,
  [SMALL_STATE(3134)] = 94193,
  [SMALL_STATE(3135)] = 94270,
  [SMALL_STATE(3136)] = 94329,
  [SMALL_STATE(3137)] = 94384,
  [SMALL_STATE(3138)] = 94497,
  [SMALL_STATE(3139)] = 94600,
  [SMALL_STATE(3140)] = 94675,
  [SMALL_STATE(3141)] = 94730,
  [SMALL_STATE(3142)] = 94803,
  [SMALL_STATE(3143)] = 94878,
  [SMALL_STATE(3144)] = 94959,
  [SMALL_STATE(3145)] = 95074,
  [SMALL_STATE(3146)] = 95155,
  [SMALL_STATE(3147)] = 95238,
  [SMALL_STATE(3148)] = 95313,
  [SMALL_STATE(3149)] = 95376,
  [SMALL_STATE(3150)] = 95457,
  [SMALL_STATE(3151)] = 95538,
  [SMALL_STATE(3152)] = 95597,
  [SMALL_STATE(3153)] = 95710,
  [SMALL_STATE(3154)] = 95785,
  [SMALL_STATE(3155)] = 95886,
  [SMALL_STATE(3156)] = 95999,
  [SMALL_STATE(3157)] = 96072,
  [SMALL_STATE(3158)] = 96147,
  [SMALL_STATE(3159)] = 96202,
  [SMALL_STATE(3160)] = 96267,
  [SMALL_STATE(3161)] = 96328,
  [SMALL_STATE(3162)] = 96383,
  [SMALL_STATE(3163)] = 96438,
  [SMALL_STATE(3164)] = 96511,
  [SMALL_STATE(3165)] = 96574,
  [SMALL_STATE(3166)] = 96687,
  [SMALL_STATE(3167)] = 96800,
  [SMALL_STATE(3168)] = 96913,
  [SMALL_STATE(3169)] = 96986,
  [SMALL_STATE(3170)] = 97099,
  [SMALL_STATE(3171)] = 97154,
  [SMALL_STATE(3172)] = 97213,
  [SMALL_STATE(3173)] = 97272,
  [SMALL_STATE(3174)] = 97331,
  [SMALL_STATE(3175)] = 97444,
  [SMALL_STATE(3176)] = 97557,
  [SMALL_STATE(3177)] = 97670,
  [SMALL_STATE(3178)] = 97725,
  [SMALL_STATE(3179)] = 97780,
  [SMALL_STATE(3180)] = 97853,
  [SMALL_STATE(3181)] = 97908,
  [SMALL_STATE(3182)] = 97971,
  [SMALL_STATE(3183)] = 98026,
  [SMALL_STATE(3184)] = 98085,
  [SMALL_STATE(3185)] = 98140,
  [SMALL_STATE(3186)] = 98253,
  [SMALL_STATE(3187)] = 98366,
  [SMALL_STATE(3188)] = 98425,
  [SMALL_STATE(3189)] = 98530,
  [SMALL_STATE(3190)] = 98585,
  [SMALL_STATE(3191)] = 98698,
  [SMALL_STATE(3192)] = 98763,
  [SMALL_STATE(3193)] = 98822,
  [SMALL_STATE(3194)] = 98885,
  [SMALL_STATE(3195)] = 98940,
  [SMALL_STATE(3196)] = 99027,
  [SMALL_STATE(3197)] = 99140,
  [SMALL_STATE(3198)] = 99213,
  [SMALL_STATE(3199)] = 99326,
  [SMALL_STATE(3200)] = 99401,
  [SMALL_STATE(3201)] = 99462,
  [SMALL_STATE(3202)] = 99517,
  [SMALL_STATE(3203)] = 99572,
  [SMALL_STATE(3204)] = 99633,
  [SMALL_STATE(3205)] = 99708,
  [SMALL_STATE(3206)] = 99821,
  [SMALL_STATE(3207)] = 99894,
  [SMALL_STATE(3208)] = 99961,
  [SMALL_STATE(3209)] = 100036,
  [SMALL_STATE(3210)] = 100149,
  [SMALL_STATE(3211)] = 100232,
  [SMALL_STATE(3212)] = 100345,
  [SMALL_STATE(3213)] = 100458,
  [SMALL_STATE(3214)] = 100515,
  [SMALL_STATE(3215)] = 100590,
  [SMALL_STATE(3216)] = 100653,
  [SMALL_STATE(3217)] = 100708,
  [SMALL_STATE(3218)] = 100821,
  [SMALL_STATE(3219)] = 100880,
  [SMALL_STATE(3220)] = 100937,
  [SMALL_STATE(3221)] = 100996,
  [SMALL_STATE(3222)] = 101061,
  [SMALL_STATE(3223)] = 101118,
  [SMALL_STATE(3224)] = 101185,
  [SMALL_STATE(3225)] = 101240,
  [SMALL_STATE(3226)] = 101339,
  [SMALL_STATE(3227)] = 101436,
  [SMALL_STATE(3228)] = 101503,
  [SMALL_STATE(3229)] = 101558,
  [SMALL_STATE(3230)] = 101613,
  [SMALL_STATE(3231)] = 101672,
  [SMALL_STATE(3232)] = 101747,
  [SMALL_STATE(3233)] = 101820,
  [SMALL_STATE(3234)] = 101887,
  [SMALL_STATE(3235)] = 101968,
  [SMALL_STATE(3236)] = 102051,
  [SMALL_STATE(3237)] = 102106,
  [SMALL_STATE(3238)] = 102201,
  [SMALL_STATE(3239)] = 102256,
  [SMALL_STATE(3240)] = 102339,
  [SMALL_STATE(3241)] = 102442,
  [SMALL_STATE(3242)] = 102555,
  [SMALL_STATE(3243)] = 102656,
  [SMALL_STATE(3244)] = 102713,
  [SMALL_STATE(3245)] = 102786,
  [SMALL_STATE(3246)] = 102899,
  [SMALL_STATE(3247)] = 102962,
  [SMALL_STATE(3248)] = 103039,
  [SMALL_STATE(3249)] = 103102,
  [SMALL_STATE(3250)] = 103159,
  [SMALL_STATE(3251)] = 103218,
  [SMALL_STATE(3252)] = 103277,
  [SMALL_STATE(3253)] = 103332,
  [SMALL_STATE(3254)] = 103387,
  [SMALL_STATE(3255)] = 103442,
  [SMALL_STATE(3256)] = 103497,
  [SMALL_STATE(3257)] = 103560,
  [SMALL_STATE(3258)] = 103619,
  [SMALL_STATE(3259)] = 103674,
  [SMALL_STATE(3260)] = 103761,
  [SMALL_STATE(3261)] = 103874,
  [SMALL_STATE(3262)] = 103933,
  [SMALL_STATE(3263)] = 103988,
  [SMALL_STATE(3264)] = 104069,
  [SMALL_STATE(3265)] = 104182,
  [SMALL_STATE(3266)] = 104237,
  [SMALL_STATE(3267)] = 104320,
  [SMALL_STATE(3268)] = 104433,
  [SMALL_STATE(3269)] = 104488,
  [SMALL_STATE(3270)] = 104543,
  [SMALL_STATE(3271)] = 104602,
  [SMALL_STATE(3272)] = 104715,
  [SMALL_STATE(3273)] = 104776,
  [SMALL_STATE(3274)] = 104869,
  [SMALL_STATE(3275)] = 104942,
  [SMALL_STATE(3276)] = 104997,
  [SMALL_STATE(3277)] = 105072,
  [SMALL_STATE(3278)] = 105129,
  [SMALL_STATE(3279)] = 105202,
  [SMALL_STATE(3280)] = 105261,
  [SMALL_STATE(3281)] = 105342,
  [SMALL_STATE(3282)] = 105397,
  [SMALL_STATE(3283)] = 105474,
  [SMALL_STATE(3284)] = 105533,
  [SMALL_STATE(3285)] = 105646,
  [SMALL_STATE(3286)] = 105705,
  [SMALL_STATE(3287)] = 105760,
  [SMALL_STATE(3288)] = 105815,
  [SMALL_STATE(3289)] = 105870,
  [SMALL_STATE(3290)] = 105925,
  [SMALL_STATE(3291)] = 105980,
  [SMALL_STATE(3292)] = 106035,
  [SMALL_STATE(3293)] = 106094,
  [SMALL_STATE(3294)] = 106151,
  [SMALL_STATE(3295)] = 106206,
  [SMALL_STATE(3296)] = 106269,
  [SMALL_STATE(3297)] = 106324,
  [SMALL_STATE(3298)] = 106397,
  [SMALL_STATE(3299)] = 106452,
  [SMALL_STATE(3300)] = 106527,
  [SMALL_STATE(3301)] = 106584,
  [SMALL_STATE(3302)] = 106639,
  [SMALL_STATE(3303)] = 106694,
  [SMALL_STATE(3304)] = 106777,
  [SMALL_STATE(3305)] = 106836,
  [SMALL_STATE(3306)] = 106909,
  [SMALL_STATE(3307)] = 106964,
  [SMALL_STATE(3308)] = 107019,
  [SMALL_STATE(3309)] = 107076,
  [SMALL_STATE(3310)] = 107143,
  [SMALL_STATE(3311)] = 107198,
  [SMALL_STATE(3312)] = 107253,
  [SMALL_STATE(3313)] = 107310,
  [SMALL_STATE(3314)] = 107367,
  [SMALL_STATE(3315)] = 107448,
  [SMALL_STATE(3316)] = 107531,
  [SMALL_STATE(3317)] = 107592,
  [SMALL_STATE(3318)] = 107665,
  [SMALL_STATE(3319)] = 107746,
  [SMALL_STATE(3320)] = 107821,
  [SMALL_STATE(3321)] = 107904,
  [SMALL_STATE(3322)] = 108017,
  [SMALL_STATE(3323)] = 108092,
  [SMALL_STATE(3324)] = 108149,
  [SMALL_STATE(3325)] = 108211,
  [SMALL_STATE(3326)] = 108279,
  [SMALL_STATE(3327)] = 108347,
  [SMALL_STATE(3328)] = 108457,
  [SMALL_STATE(3329)] = 108567,
  [SMALL_STATE(3330)] = 108623,
  [SMALL_STATE(3331)] = 108691,
  [SMALL_STATE(3332)] = 108753,
  [SMALL_STATE(3333)] = 108837,
  [SMALL_STATE(3334)] = 108913,
  [SMALL_STATE(3335)] = 109023,
  [SMALL_STATE(3336)] = 109079,
  [SMALL_STATE(3337)] = 109147,
  [SMALL_STATE(3338)] = 109215,
  [SMALL_STATE(3339)] = 109325,
  [SMALL_STATE(3340)] = 109393,
  [SMALL_STATE(3341)] = 109461,
  [SMALL_STATE(3342)] = 109529,
  [SMALL_STATE(3343)] = 109639,
  [SMALL_STATE(3344)] = 109749,
  [SMALL_STATE(3345)] = 109859,
  [SMALL_STATE(3346)] = 109969,
  [SMALL_STATE(3347)] = 110079,
  [SMALL_STATE(3348)] = 110147,
  [SMALL_STATE(3349)] = 110223,
  [SMALL_STATE(3350)] = 110333,
  [SMALL_STATE(3351)] = 110409,
  [SMALL_STATE(3352)] = 110519,
  [SMALL_STATE(3353)] = 110587,
  [SMALL_STATE(3354)] = 110649,
  [SMALL_STATE(3355)] = 110759,
  [SMALL_STATE(3356)] = 110827,
  [SMALL_STATE(3357)] = 110883,
  [SMALL_STATE(3358)] = 110993,
  [SMALL_STATE(3359)] = 111097,
  [SMALL_STATE(3360)] = 111159,
  [SMALL_STATE(3361)] = 111227,
  [SMALL_STATE(3362)] = 111317,
  [SMALL_STATE(3363)] = 111427,
  [SMALL_STATE(3364)] = 111503,
  [SMALL_STATE(3365)] = 111571,
  [SMALL_STATE(3366)] = 111647,
  [SMALL_STATE(3367)] = 111715,
  [SMALL_STATE(3368)] = 111783,
  [SMALL_STATE(3369)] = 111851,
  [SMALL_STATE(3370)] = 111907,
  [SMALL_STATE(3371)] = 111965,
  [SMALL_STATE(3372)] = 112075,
  [SMALL_STATE(3373)] = 112143,
  [SMALL_STATE(3374)] = 112203,
  [SMALL_STATE(3375)] = 112271,
  [SMALL_STATE(3376)] = 112333,
  [SMALL_STATE(3377)] = 112401,
  [SMALL_STATE(3378)] = 112477,
  [SMALL_STATE(3379)] = 112565,
  [SMALL_STATE(3380)] = 112633,
  [SMALL_STATE(3381)] = 112715,
  [SMALL_STATE(3382)] = 112795,
  [SMALL_STATE(3383)] = 112893,
  [SMALL_STATE(3384)] = 112989,
  [SMALL_STATE(3385)] = 113083,
  [SMALL_STATE(3386)] = 113165,
  [SMALL_STATE(3387)] = 113267,
  [SMALL_STATE(3388)] = 113325,
  [SMALL_STATE(3389)] = 113401,
  [SMALL_STATE(3390)] = 113501,
  [SMALL_STATE(3391)] = 113583,
  [SMALL_STATE(3392)] = 113659,
  [SMALL_STATE(3393)] = 113745,
  [SMALL_STATE(3394)] = 113813,
  [SMALL_STATE(3395)] = 113881,
  [SMALL_STATE(3396)] = 113941,
  [SMALL_STATE(3397)] = 114013,
  [SMALL_STATE(3398)] = 114073,
  [SMALL_STATE(3399)] = 114133,
  [SMALL_STATE(3400)] = 114243,
  [SMALL_STATE(3401)] = 114311,
  [SMALL_STATE(3402)] = 114385,
  [SMALL_STATE(3403)] = 114465,
  [SMALL_STATE(3404)] = 114527,
  [SMALL_STATE(3405)] = 114606,
  [SMALL_STATE(3406)] = 114679,
  [SMALL_STATE(3407)] = 114748,
  [SMALL_STATE(3408)] = 114803,
  [SMALL_STATE(3409)] = 114876,
  [SMALL_STATE(3410)] = 114931,
  [SMALL_STATE(3411)] = 115004,
  [SMALL_STATE(3412)] = 115065,
  [SMALL_STATE(3413)] = 115120,
  [SMALL_STATE(3414)] = 115195,
  [SMALL_STATE(3415)] = 115254,
  [SMALL_STATE(3416)] = 115313,
  [SMALL_STATE(3417)] = 115406,
  [SMALL_STATE(3418)] = 115475,
  [SMALL_STATE(3419)] = 115544,
  [SMALL_STATE(3420)] = 115603,
  [SMALL_STATE(3421)] = 115680,
  [SMALL_STATE(3422)] = 115735,
  [SMALL_STATE(3423)] = 115790,
  [SMALL_STATE(3424)] = 115845,
  [SMALL_STATE(3425)] = 115900,
  [SMALL_STATE(3426)] = 115959,
  [SMALL_STATE(3427)] = 116032,
  [SMALL_STATE(3428)] = 116087,
  [SMALL_STATE(3429)] = 116146,
  [SMALL_STATE(3430)] = 116215,
  [SMALL_STATE(3431)] = 116290,
  [SMALL_STATE(3432)] = 116363,
  [SMALL_STATE(3433)] = 116422,
  [SMALL_STATE(3434)] = 116477,
  [SMALL_STATE(3435)] = 116532,
  [SMALL_STATE(3436)] = 116591,
  [SMALL_STATE(3437)] = 116664,
  [SMALL_STATE(3438)] = 116723,
  [SMALL_STATE(3439)] = 116792,
  [SMALL_STATE(3440)] = 116847,
  [SMALL_STATE(3441)] = 116906,
  [SMALL_STATE(3442)] = 116961,
  [SMALL_STATE(3443)] = 117016,
  [SMALL_STATE(3444)] = 117075,
  [SMALL_STATE(3445)] = 117137,
  [SMALL_STATE(3446)] = 117203,
  [SMALL_STATE(3447)] = 117257,
  [SMALL_STATE(3448)] = 117323,
  [SMALL_STATE(3449)] = 117385,
  [SMALL_STATE(3450)] = 117447,
  [SMALL_STATE(3451)] = 117509,
  [SMALL_STATE(3452)] = 117567,
  [SMALL_STATE(3453)] = 117629,
  [SMALL_STATE(3454)] = 117695,
  [SMALL_STATE(3455)] = 117757,
  [SMALL_STATE(3456)] = 117819,
  [SMALL_STATE(3457)] = 117885,
  [SMALL_STATE(3458)] = 117951,
  [SMALL_STATE(3459)] = 118005,
  [SMALL_STATE(3460)] = 118071,
  [SMALL_STATE(3461)] = 118137,
  [SMALL_STATE(3462)] = 118203,
  [SMALL_STATE(3463)] = 118265,
  [SMALL_STATE(3464)] = 118319,
  [SMALL_STATE(3465)] = 118373,
  [SMALL_STATE(3466)] = 118439,
  [SMALL_STATE(3467)] = 118497,
  [SMALL_STATE(3468)] = 118569,
  [SMALL_STATE(3469)] = 118627,
  [SMALL_STATE(3470)] = 118693,
  [SMALL_STATE(3471)] = 118759,
  [SMALL_STATE(3472)] = 118825,
  [SMALL_STATE(3473)] = 118895,
  [SMALL_STATE(3474)] = 118963,
  [SMALL_STATE(3475)] = 119029,
  [SMALL_STATE(3476)] = 119091,
  [SMALL_STATE(3477)] = 119153,
  [SMALL_STATE(3478)] = 119219,
  [SMALL_STATE(3479)] = 119281,
  [SMALL_STATE(3480)] = 119347,
  [SMALL_STATE(3481)] = 119417,
  [SMALL_STATE(3482)] = 119479,
  [SMALL_STATE(3483)] = 119541,
  [SMALL_STATE(3484)] = 119607,
  [SMALL_STATE(3485)] = 119669,
  [SMALL_STATE(3486)] = 119727,
  [SMALL_STATE(3487)] = 119785,
  [SMALL_STATE(3488)] = 119838,
  [SMALL_STATE(3489)] = 119891,
  [SMALL_STATE(3490)] = 119944,
  [SMALL_STATE(3491)] = 119997,
  [SMALL_STATE(3492)] = 120050,
  [SMALL_STATE(3493)] = 120103,
  [SMALL_STATE(3494)] = 120168,
  [SMALL_STATE(3495)] = 120221,
  [SMALL_STATE(3496)] = 120274,
  [SMALL_STATE(3497)] = 120327,
  [SMALL_STATE(3498)] = 120377,
  [SMALL_STATE(3499)] = 120427,
  [SMALL_STATE(3500)] = 120477,
  [SMALL_STATE(3501)] = 120527,
  [SMALL_STATE(3502)] = 120577,
  [SMALL_STATE(3503)] = 120627,
  [SMALL_STATE(3504)] = 120677,
  [SMALL_STATE(3505)] = 120727,
  [SMALL_STATE(3506)] = 120777,
  [SMALL_STATE(3507)] = 120827,
  [SMALL_STATE(3508)] = 120877,
  [SMALL_STATE(3509)] = 120927,
  [SMALL_STATE(3510)] = 120979,
  [SMALL_STATE(3511)] = 121029,
  [SMALL_STATE(3512)] = 121079,
  [SMALL_STATE(3513)] = 121129,
  [SMALL_STATE(3514)] = 121179,
  [SMALL_STATE(3515)] = 121229,
  [SMALL_STATE(3516)] = 121279,
  [SMALL_STATE(3517)] = 121329,
  [SMALL_STATE(3518)] = 121383,
  [SMALL_STATE(3519)] = 121433,
  [SMALL_STATE(3520)] = 121483,
  [SMALL_STATE(3521)] = 121533,
  [SMALL_STATE(3522)] = 121583,
  [SMALL_STATE(3523)] = 121633,
  [SMALL_STATE(3524)] = 121683,
  [SMALL_STATE(3525)] = 121733,
  [SMALL_STATE(3526)] = 121783,
  [SMALL_STATE(3527)] = 121833,
  [SMALL_STATE(3528)] = 121883,
  [SMALL_STATE(3529)] = 121933,
  [SMALL_STATE(3530)] = 121983,
  [SMALL_STATE(3531)] = 122033,
  [SMALL_STATE(3532)] = 122083,
  [SMALL_STATE(3533)] = 122133,
  [SMALL_STATE(3534)] = 122207,
  [SMALL_STATE(3535)] = 122257,
  [SMALL_STATE(3536)] = 122307,
  [SMALL_STATE(3537)] = 122357,
  [SMALL_STATE(3538)] = 122407,
  [SMALL_STATE(3539)] = 122457,
  [SMALL_STATE(3540)] = 122511,
  [SMALL_STATE(3541)] = 122561,
  [SMALL_STATE(3542)] = 122611,
  [SMALL_STATE(3543)] = 122661,
  [SMALL_STATE(3544)] = 122717,
  [SMALL_STATE(3545)] = 122773,
  [SMALL_STATE(3546)] = 122823,
  [SMALL_STATE(3547)] = 122873,
  [SMALL_STATE(3548)] = 122925,
  [SMALL_STATE(3549)] = 122975,
  [SMALL_STATE(3550)] = 123025,
  [SMALL_STATE(3551)] = 123075,
  [SMALL_STATE(3552)] = 123125,
  [SMALL_STATE(3553)] = 123175,
  [SMALL_STATE(3554)] = 123225,
  [SMALL_STATE(3555)] = 123290,
  [SMALL_STATE(3556)] = 123357,
  [SMALL_STATE(3557)] = 123422,
  [SMALL_STATE(3558)] = 123469,
  [SMALL_STATE(3559)] = 123520,
  [SMALL_STATE(3560)] = 123567,
  [SMALL_STATE(3561)] = 123618,
  [SMALL_STATE(3562)] = 123665,
  [SMALL_STATE(3563)] = 123730,
  [SMALL_STATE(3564)] = 123797,
  [SMALL_STATE(3565)] = 123844,
  [SMALL_STATE(3566)] = 123891,
  [SMALL_STATE(3567)] = 123954,
  [SMALL_STATE(3568)] = 124021,
  [SMALL_STATE(3569)] = 124068,
  [SMALL_STATE(3570)] = 124115,
  [SMALL_STATE(3571)] = 124180,
  [SMALL_STATE(3572)] = 124240,
  [SMALL_STATE(3573)] = 124300,
  [SMALL_STATE(3574)] = 124360,
  [SMALL_STATE(3575)] = 124420,
  [SMALL_STATE(3576)] = 124480,
  [SMALL_STATE(3577)] = 124540,
  [SMALL_STATE(3578)] = 124600,
  [SMALL_STATE(3579)] = 124676,
  [SMALL_STATE(3580)] = 124736,
  [SMALL_STATE(3581)] = 124796,
  [SMALL_STATE(3582)] = 124856,
  [SMALL_STATE(3583)] = 124916,
  [SMALL_STATE(3584)] = 124976,
  [SMALL_STATE(3585)] = 125036,
  [SMALL_STATE(3586)] = 125096,
  [SMALL_STATE(3587)] = 125156,
  [SMALL_STATE(3588)] = 125208,
  [SMALL_STATE(3589)] = 125268,
  [SMALL_STATE(3590)] = 125328,
  [SMALL_STATE(3591)] = 125388,
  [SMALL_STATE(3592)] = 125448,
  [SMALL_STATE(3593)] = 125508,
  [SMALL_STATE(3594)] = 125568,
  [SMALL_STATE(3595)] = 125628,
  [SMALL_STATE(3596)] = 125688,
  [SMALL_STATE(3597)] = 125764,
  [SMALL_STATE(3598)] = 125824,
  [SMALL_STATE(3599)] = 125884,
  [SMALL_STATE(3600)] = 125944,
  [SMALL_STATE(3601)] = 126004,
  [SMALL_STATE(3602)] = 126075,
  [SMALL_STATE(3603)] = 126136,
  [SMALL_STATE(3604)] = 126221,
  [SMALL_STATE(3605)] = 126282,
  [SMALL_STATE(3606)] = 126367,
  [SMALL_STATE(3607)] = 126438,
  [SMALL_STATE(3608)] = 126509,
  [SMALL_STATE(3609)] = 126570,
  [SMALL_STATE(3610)] = 126631,
  [SMALL_STATE(3611)] = 126716,
  [SMALL_STATE(3612)] = 126777,
  [SMALL_STATE(3613)] = 126838,
  [SMALL_STATE(3614)] = 126923,
  [SMALL_STATE(3615)] = 127008,
  [SMALL_STATE(3616)] = 127053,
  [SMALL_STATE(3617)] = 127114,
  [SMALL_STATE(3618)] = 127199,
  [SMALL_STATE(3619)] = 127266,
  [SMALL_STATE(3620)] = 127351,
  [SMALL_STATE(3621)] = 127400,
  [SMALL_STATE(3622)] = 127461,
  [SMALL_STATE(3623)] = 127546,
  [SMALL_STATE(3624)] = 127607,
  [SMALL_STATE(3625)] = 127668,
  [SMALL_STATE(3626)] = 127729,
  [SMALL_STATE(3627)] = 127790,
  [SMALL_STATE(3628)] = 127851,
  [SMALL_STATE(3629)] = 127912,
  [SMALL_STATE(3630)] = 127973,
  [SMALL_STATE(3631)] = 128034,
  [SMALL_STATE(3632)] = 128101,
  [SMALL_STATE(3633)] = 128186,
  [SMALL_STATE(3634)] = 128271,
  [SMALL_STATE(3635)] = 128332,
  [SMALL_STATE(3636)] = 128393,
  [SMALL_STATE(3637)] = 128454,
  [SMALL_STATE(3638)] = 128515,
  [SMALL_STATE(3639)] = 128576,
  [SMALL_STATE(3640)] = 128637,
  [SMALL_STATE(3641)] = 128698,
  [SMALL_STATE(3642)] = 128765,
  [SMALL_STATE(3643)] = 128850,
  [SMALL_STATE(3644)] = 128911,
  [SMALL_STATE(3645)] = 128996,
  [SMALL_STATE(3646)] = 129057,
  [SMALL_STATE(3647)] = 129118,
  [SMALL_STATE(3648)] = 129179,
  [SMALL_STATE(3649)] = 129240,
  [SMALL_STATE(3650)] = 129307,
  [SMALL_STATE(3651)] = 129368,
  [SMALL_STATE(3652)] = 129429,
  [SMALL_STATE(3653)] = 129487,
  [SMALL_STATE(3654)] = 129551,
  [SMALL_STATE(3655)] = 129615,
  [SMALL_STATE(3656)] = 129679,
  [SMALL_STATE(3657)] = 129743,
  [SMALL_STATE(3658)] = 129807,
  [SMALL_STATE(3659)] = 129867,
  [SMALL_STATE(3660)] = 129931,
  [SMALL_STATE(3661)] = 129995,
  [SMALL_STATE(3662)] = 130059,
  [SMALL_STATE(3663)] = 130123,
  [SMALL_STATE(3664)] = 130169,
  [SMALL_STATE(3665)] = 130233,
  [SMALL_STATE(3666)] = 130297,
  [SMALL_STATE(3667)] = 130361,
  [SMALL_STATE(3668)] = 130425,
  [SMALL_STATE(3669)] = 130485,
  [SMALL_STATE(3670)] = 130549,
  [SMALL_STATE(3671)] = 130613,
  [SMALL_STATE(3672)] = 130677,
  [SMALL_STATE(3673)] = 130720,
  [SMALL_STATE(3674)] = 130775,
  [SMALL_STATE(3675)] = 130830,
  [SMALL_STATE(3676)] = 130887,
  [SMALL_STATE(3677)] = 130942,
  [SMALL_STATE(3678)] = 130997,
  [SMALL_STATE(3679)] = 131052,
  [SMALL_STATE(3680)] = 131107,
  [SMALL_STATE(3681)] = 131162,
  [SMALL_STATE(3682)] = 131219,
  [SMALL_STATE(3683)] = 131274,
  [SMALL_STATE(3684)] = 131329,
  [SMALL_STATE(3685)] = 131384,
  [SMALL_STATE(3686)] = 131439,
  [SMALL_STATE(3687)] = 131494,
  [SMALL_STATE(3688)] = 131549,
  [SMALL_STATE(3689)] = 131604,
  [SMALL_STATE(3690)] = 131659,
  [SMALL_STATE(3691)] = 131714,
  [SMALL_STATE(3692)] = 131769,
  [SMALL_STATE(3693)] = 131826,
  [SMALL_STATE(3694)] = 131881,
  [SMALL_STATE(3695)] = 131936,
  [SMALL_STATE(3696)] = 131993,
  [SMALL_STATE(3697)] = 132050,
  [SMALL_STATE(3698)] = 132093,
  [SMALL_STATE(3699)] = 132148,
  [SMALL_STATE(3700)] = 132191,
  [SMALL_STATE(3701)] = 132246,
  [SMALL_STATE(3702)] = 132301,
  [SMALL_STATE(3703)] = 132356,
  [SMALL_STATE(3704)] = 132413,
  [SMALL_STATE(3705)] = 132468,
  [SMALL_STATE(3706)] = 132525,
  [SMALL_STATE(3707)] = 132580,
  [SMALL_STATE(3708)] = 132637,
  [SMALL_STATE(3709)] = 132692,
  [SMALL_STATE(3710)] = 132747,
  [SMALL_STATE(3711)] = 132802,
  [SMALL_STATE(3712)] = 132857,
  [SMALL_STATE(3713)] = 132914,
  [SMALL_STATE(3714)] = 132969,
  [SMALL_STATE(3715)] = 133024,
  [SMALL_STATE(3716)] = 133081,
  [SMALL_STATE(3717)] = 133136,
  [SMALL_STATE(3718)] = 133191,
  [SMALL_STATE(3719)] = 133246,
  [SMALL_STATE(3720)] = 133301,
  [SMALL_STATE(3721)] = 133356,
  [SMALL_STATE(3722)] = 133411,
  [SMALL_STATE(3723)] = 133466,
  [SMALL_STATE(3724)] = 133523,
  [SMALL_STATE(3725)] = 133580,
  [SMALL_STATE(3726)] = 133623,
  [SMALL_STATE(3727)] = 133680,
  [SMALL_STATE(3728)] = 133737,
  [SMALL_STATE(3729)] = 133792,
  [SMALL_STATE(3730)] = 133847,
  [SMALL_STATE(3731)] = 133890,
  [SMALL_STATE(3732)] = 133945,
  [SMALL_STATE(3733)] = 133988,
  [SMALL_STATE(3734)] = 134028,
  [SMALL_STATE(3735)] = 134063,
  [SMALL_STATE(3736)] = 134098,
  [SMALL_STATE(3737)] = 134145,
  [SMALL_STATE(3738)] = 134192,
  [SMALL_STATE(3739)] = 134227,
  [SMALL_STATE(3740)] = 134274,
  [SMALL_STATE(3741)] = 134308,
  [SMALL_STATE(3742)] = 134342,
  [SMALL_STATE(3743)] = 134375,
  [SMALL_STATE(3744)] = 134408,
  [SMALL_STATE(3745)] = 134449,
  [SMALL_STATE(3746)] = 134482,
  [SMALL_STATE(3747)] = 134515,
  [SMALL_STATE(3748)] = 134548,
  [SMALL_STATE(3749)] = 134581,
  [SMALL_STATE(3750)] = 134614,
  [SMALL_STATE(3751)] = 134647,
  [SMALL_STATE(3752)] = 134680,
  [SMALL_STATE(3753)] = 134713,
  [SMALL_STATE(3754)] = 134746,
  [SMALL_STATE(3755)] = 134779,
  [SMALL_STATE(3756)] = 134812,
  [SMALL_STATE(3757)] = 134845,
  [SMALL_STATE(3758)] = 134878,
  [SMALL_STATE(3759)] = 134911,
  [SMALL_STATE(3760)] = 134944,
  [SMALL_STATE(3761)] = 134977,
  [SMALL_STATE(3762)] = 135010,
  [SMALL_STATE(3763)] = 135043,
  [SMALL_STATE(3764)] = 135076,
  [SMALL_STATE(3765)] = 135109,
  [SMALL_STATE(3766)] = 135142,
  [SMALL_STATE(3767)] = 135175,
  [SMALL_STATE(3768)] = 135208,
  [SMALL_STATE(3769)] = 135241,
  [SMALL_STATE(3770)] = 135274,
  [SMALL_STATE(3771)] = 135307,
  [SMALL_STATE(3772)] = 135340,
  [SMALL_STATE(3773)] = 135373,
  [SMALL_STATE(3774)] = 135406,
  [SMALL_STATE(3775)] = 135439,
  [SMALL_STATE(3776)] = 135472,
  [SMALL_STATE(3777)] = 135505,
  [SMALL_STATE(3778)] = 135559,
  [SMALL_STATE(3779)] = 135619,
  [SMALL_STATE(3780)] = 135673,
  [SMALL_STATE(3781)] = 135727,
  [SMALL_STATE(3782)] = 135765,
  [SMALL_STATE(3783)] = 135825,
  [SMALL_STATE(3784)] = 135879,
  [SMALL_STATE(3785)] = 135933,
  [SMALL_STATE(3786)] = 135966,
  [SMALL_STATE(3787)] = 135997,
  [SMALL_STATE(3788)] = 136028,
  [SMALL_STATE(3789)] = 136071,
  [SMALL_STATE(3790)] = 136102,
  [SMALL_STATE(3791)] = 136137,
  [SMALL_STATE(3792)] = 136172,
  [SMALL_STATE(3793)] = 136203,
  [SMALL_STATE(3794)] = 136234,
  [SMALL_STATE(3795)] = 136265,
  [SMALL_STATE(3796)] = 136296,
  [SMALL_STATE(3797)] = 136327,
  [SMALL_STATE(3798)] = 136358,
  [SMALL_STATE(3799)] = 136391,
  [SMALL_STATE(3800)] = 136422,
  [SMALL_STATE(3801)] = 136453,
  [SMALL_STATE(3802)] = 136484,
  [SMALL_STATE(3803)] = 136527,
  [SMALL_STATE(3804)] = 136558,
  [SMALL_STATE(3805)] = 136589,
  [SMALL_STATE(3806)] = 136620,
  [SMALL_STATE(3807)] = 136651,
  [SMALL_STATE(3808)] = 136682,
  [SMALL_STATE(3809)] = 136713,
  [SMALL_STATE(3810)] = 136744,
  [SMALL_STATE(3811)] = 136787,
  [SMALL_STATE(3812)] = 136818,
  [SMALL_STATE(3813)] = 136849,
  [SMALL_STATE(3814)] = 136881,
  [SMALL_STATE(3815)] = 136911,
  [SMALL_STATE(3816)] = 136943,
  [SMALL_STATE(3817)] = 136973,
  [SMALL_STATE(3818)] = 137005,
  [SMALL_STATE(3819)] = 137034,
  [SMALL_STATE(3820)] = 137073,
  [SMALL_STATE(3821)] = 137104,
  [SMALL_STATE(3822)] = 137135,
  [SMALL_STATE(3823)] = 137162,
  [SMALL_STATE(3824)] = 137191,
  [SMALL_STATE(3825)] = 137218,
  [SMALL_STATE(3826)] = 137247,
  [SMALL_STATE(3827)] = 137274,
  [SMALL_STATE(3828)] = 137303,
  [SMALL_STATE(3829)] = 137332,
  [SMALL_STATE(3830)] = 137361,
  [SMALL_STATE(3831)] = 137390,
  [SMALL_STATE(3832)] = 137419,
  [SMALL_STATE(3833)] = 137448,
  [SMALL_STATE(3834)] = 137477,
  [SMALL_STATE(3835)] = 137506,
  [SMALL_STATE(3836)] = 137535,
  [SMALL_STATE(3837)] = 137570,
  [SMALL_STATE(3838)] = 137603,
  [SMALL_STATE(3839)] = 137634,
  [SMALL_STATE(3840)] = 137663,
  [SMALL_STATE(3841)] = 137692,
  [SMALL_STATE(3842)] = 137727,
  [SMALL_STATE(3843)] = 137756,
  [SMALL_STATE(3844)] = 137783,
  [SMALL_STATE(3845)] = 137822,
  [SMALL_STATE(3846)] = 137849,
  [SMALL_STATE(3847)] = 137878,
  [SMALL_STATE(3848)] = 137907,
  [SMALL_STATE(3849)] = 137936,
  [SMALL_STATE(3850)] = 137965,
  [SMALL_STATE(3851)] = 137994,
  [SMALL_STATE(3852)] = 138023,
  [SMALL_STATE(3853)] = 138052,
  [SMALL_STATE(3854)] = 138081,
  [SMALL_STATE(3855)] = 138110,
  [SMALL_STATE(3856)] = 138139,
  [SMALL_STATE(3857)] = 138168,
  [SMALL_STATE(3858)] = 138197,
  [SMALL_STATE(3859)] = 138226,
  [SMALL_STATE(3860)] = 138255,
  [SMALL_STATE(3861)] = 138284,
  [SMALL_STATE(3862)] = 138313,
  [SMALL_STATE(3863)] = 138342,
  [SMALL_STATE(3864)] = 138377,
  [SMALL_STATE(3865)] = 138416,
  [SMALL_STATE(3866)] = 138443,
  [SMALL_STATE(3867)] = 138472,
  [SMALL_STATE(3868)] = 138511,
  [SMALL_STATE(3869)] = 138550,
  [SMALL_STATE(3870)] = 138585,
  [SMALL_STATE(3871)] = 138624,
  [SMALL_STATE(3872)] = 138661,
  [SMALL_STATE(3873)] = 138696,
  [SMALL_STATE(3874)] = 138731,
  [SMALL_STATE(3875)] = 138760,
  [SMALL_STATE(3876)] = 138789,
  [SMALL_STATE(3877)] = 138818,
  [SMALL_STATE(3878)] = 138855,
  [SMALL_STATE(3879)] = 138886,
  [SMALL_STATE(3880)] = 138915,
  [SMALL_STATE(3881)] = 138944,
  [SMALL_STATE(3882)] = 138973,
  [SMALL_STATE(3883)] = 139000,
  [SMALL_STATE(3884)] = 139037,
  [SMALL_STATE(3885)] = 139066,
  [SMALL_STATE(3886)] = 139105,
  [SMALL_STATE(3887)] = 139134,
  [SMALL_STATE(3888)] = 139163,
  [SMALL_STATE(3889)] = 139192,
  [SMALL_STATE(3890)] = 139221,
  [SMALL_STATE(3891)] = 139250,
  [SMALL_STATE(3892)] = 139279,
  [SMALL_STATE(3893)] = 139308,
  [SMALL_STATE(3894)] = 139337,
  [SMALL_STATE(3895)] = 139366,
  [SMALL_STATE(3896)] = 139395,
  [SMALL_STATE(3897)] = 139434,
  [SMALL_STATE(3898)] = 139473,
  [SMALL_STATE(3899)] = 139512,
  [SMALL_STATE(3900)] = 139541,
  [SMALL_STATE(3901)] = 139570,
  [SMALL_STATE(3902)] = 139609,
  [SMALL_STATE(3903)] = 139644,
  [SMALL_STATE(3904)] = 139673,
  [SMALL_STATE(3905)] = 139712,
  [SMALL_STATE(3906)] = 139751,
  [SMALL_STATE(3907)] = 139790,
  [SMALL_STATE(3908)] = 139817,
  [SMALL_STATE(3909)] = 139846,
  [SMALL_STATE(3910)] = 139875,
  [SMALL_STATE(3911)] = 139904,
  [SMALL_STATE(3912)] = 139933,
  [SMALL_STATE(3913)] = 139962,
  [SMALL_STATE(3914)] = 139991,
  [SMALL_STATE(3915)] = 140020,
  [SMALL_STATE(3916)] = 140049,
  [SMALL_STATE(3917)] = 140078,
  [SMALL_STATE(3918)] = 140107,
  [SMALL_STATE(3919)] = 140146,
  [SMALL_STATE(3920)] = 140183,
  [SMALL_STATE(3921)] = 140210,
  [SMALL_STATE(3922)] = 140239,
  [SMALL_STATE(3923)] = 140276,
  [SMALL_STATE(3924)] = 140305,
  [SMALL_STATE(3925)] = 140336,
  [SMALL_STATE(3926)] = 140375,
  [SMALL_STATE(3927)] = 140414,
  [SMALL_STATE(3928)] = 140453,
  [SMALL_STATE(3929)] = 140490,
  [SMALL_STATE(3930)] = 140538,
  [SMALL_STATE(3931)] = 140586,
  [SMALL_STATE(3932)] = 140634,
  [SMALL_STATE(3933)] = 140682,
  [SMALL_STATE(3934)] = 140730,
  [SMALL_STATE(3935)] = 140778,
  [SMALL_STATE(3936)] = 140826,
  [SMALL_STATE(3937)] = 140870,
  [SMALL_STATE(3938)] = 140918,
  [SMALL_STATE(3939)] = 140962,
  [SMALL_STATE(3940)] = 140996,
  [SMALL_STATE(3941)] = 141044,
  [SMALL_STATE(3942)] = 141078,
  [SMALL_STATE(3943)] = 141112,
  [SMALL_STATE(3944)] = 141160,
  [SMALL_STATE(3945)] = 141208,
  [SMALL_STATE(3946)] = 141256,
  [SMALL_STATE(3947)] = 141304,
  [SMALL_STATE(3948)] = 141340,
  [SMALL_STATE(3949)] = 141374,
  [SMALL_STATE(3950)] = 141422,
  [SMALL_STATE(3951)] = 141454,
  [SMALL_STATE(3952)] = 141498,
  [SMALL_STATE(3953)] = 141542,
  [SMALL_STATE(3954)] = 141590,
  [SMALL_STATE(3955)] = 141638,
  [SMALL_STATE(3956)] = 141686,
  [SMALL_STATE(3957)] = 141720,
  [SMALL_STATE(3958)] = 141768,
  [SMALL_STATE(3959)] = 141816,
  [SMALL_STATE(3960)] = 141864,
  [SMALL_STATE(3961)] = 141912,
  [SMALL_STATE(3962)] = 141960,
  [SMALL_STATE(3963)] = 142004,
  [SMALL_STATE(3964)] = 142052,
  [SMALL_STATE(3965)] = 142086,
  [SMALL_STATE(3966)] = 142134,
  [SMALL_STATE(3967)] = 142182,
  [SMALL_STATE(3968)] = 142230,
  [SMALL_STATE(3969)] = 142278,
  [SMALL_STATE(3970)] = 142326,
  [SMALL_STATE(3971)] = 142353,
  [SMALL_STATE(3972)] = 142378,
  [SMALL_STATE(3973)] = 142405,
  [SMALL_STATE(3974)] = 142432,
  [SMALL_STATE(3975)] = 142459,
  [SMALL_STATE(3976)] = 142500,
  [SMALL_STATE(3977)] = 142531,
  [SMALL_STATE(3978)] = 142572,
  [SMALL_STATE(3979)] = 142613,
  [SMALL_STATE(3980)] = 142652,
  [SMALL_STATE(3981)] = 142693,
  [SMALL_STATE(3982)] = 142734,
  [SMALL_STATE(3983)] = 142761,
  [SMALL_STATE(3984)] = 142788,
  [SMALL_STATE(3985)] = 142815,
  [SMALL_STATE(3986)] = 142842,
  [SMALL_STATE(3987)] = 142869,
  [SMALL_STATE(3988)] = 142896,
  [SMALL_STATE(3989)] = 142923,
  [SMALL_STATE(3990)] = 142964,
  [SMALL_STATE(3991)] = 143005,
  [SMALL_STATE(3992)] = 143038,
  [SMALL_STATE(3993)] = 143071,
  [SMALL_STATE(3994)] = 143096,
  [SMALL_STATE(3995)] = 143125,
  [SMALL_STATE(3996)] = 143150,
  [SMALL_STATE(3997)] = 143175,
  [SMALL_STATE(3998)] = 143216,
  [SMALL_STATE(3999)] = 143257,
  [SMALL_STATE(4000)] = 143282,
  [SMALL_STATE(4001)] = 143307,
  [SMALL_STATE(4002)] = 143348,
  [SMALL_STATE(4003)] = 143373,
  [SMALL_STATE(4004)] = 143398,
  [SMALL_STATE(4005)] = 143423,
  [SMALL_STATE(4006)] = 143448,
  [SMALL_STATE(4007)] = 143473,
  [SMALL_STATE(4008)] = 143498,
  [SMALL_STATE(4009)] = 143523,
  [SMALL_STATE(4010)] = 143564,
  [SMALL_STATE(4011)] = 143589,
  [SMALL_STATE(4012)] = 143614,
  [SMALL_STATE(4013)] = 143641,
  [SMALL_STATE(4014)] = 143672,
  [SMALL_STATE(4015)] = 143713,
  [SMALL_STATE(4016)] = 143742,
  [SMALL_STATE(4017)] = 143767,
  [SMALL_STATE(4018)] = 143808,
  [SMALL_STATE(4019)] = 143849,
  [SMALL_STATE(4020)] = 143876,
  [SMALL_STATE(4021)] = 143903,
  [SMALL_STATE(4022)] = 143930,
  [SMALL_STATE(4023)] = 143971,
  [SMALL_STATE(4024)] = 144012,
  [SMALL_STATE(4025)] = 144037,
  [SMALL_STATE(4026)] = 144062,
  [SMALL_STATE(4027)] = 144087,
  [SMALL_STATE(4028)] = 144112,
  [SMALL_STATE(4029)] = 144137,
  [SMALL_STATE(4030)] = 144162,
  [SMALL_STATE(4031)] = 144187,
  [SMALL_STATE(4032)] = 144212,
  [SMALL_STATE(4033)] = 144237,
  [SMALL_STATE(4034)] = 144262,
  [SMALL_STATE(4035)] = 144307,
  [SMALL_STATE(4036)] = 144352,
  [SMALL_STATE(4037)] = 144379,
  [SMALL_STATE(4038)] = 144404,
  [SMALL_STATE(4039)] = 144429,
  [SMALL_STATE(4040)] = 144454,
  [SMALL_STATE(4041)] = 144495,
  [SMALL_STATE(4042)] = 144520,
  [SMALL_STATE(4043)] = 144545,
  [SMALL_STATE(4044)] = 144570,
  [SMALL_STATE(4045)] = 144595,
  [SMALL_STATE(4046)] = 144622,
  [SMALL_STATE(4047)] = 144647,
  [SMALL_STATE(4048)] = 144675,
  [SMALL_STATE(4049)] = 144705,
  [SMALL_STATE(4050)] = 144739,
  [SMALL_STATE(4051)] = 144781,
  [SMALL_STATE(4052)] = 144823,
  [SMALL_STATE(4053)] = 144865,
  [SMALL_STATE(4054)] = 144891,
  [SMALL_STATE(4055)] = 144919,
  [SMALL_STATE(4056)] = 144961,
  [SMALL_STATE(4057)] = 145003,
  [SMALL_STATE(4058)] = 145045,
  [SMALL_STATE(4059)] = 145087,
  [SMALL_STATE(4060)] = 145129,
  [SMALL_STATE(4061)] = 145171,
  [SMALL_STATE(4062)] = 145213,
  [SMALL_STATE(4063)] = 145249,
  [SMALL_STATE(4064)] = 145285,
  [SMALL_STATE(4065)] = 145329,
  [SMALL_STATE(4066)] = 145371,
  [SMALL_STATE(4067)] = 145413,
  [SMALL_STATE(4068)] = 145449,
  [SMALL_STATE(4069)] = 145491,
  [SMALL_STATE(4070)] = 145533,
  [SMALL_STATE(4071)] = 145571,
  [SMALL_STATE(4072)] = 145613,
  [SMALL_STATE(4073)] = 145655,
  [SMALL_STATE(4074)] = 145699,
  [SMALL_STATE(4075)] = 145741,
  [SMALL_STATE(4076)] = 145767,
  [SMALL_STATE(4077)] = 145805,
  [SMALL_STATE(4078)] = 145839,
  [SMALL_STATE(4079)] = 145877,
  [SMALL_STATE(4080)] = 145921,
  [SMALL_STATE(4081)] = 145955,
  [SMALL_STATE(4082)] = 145997,
  [SMALL_STATE(4083)] = 146039,
  [SMALL_STATE(4084)] = 146083,
  [SMALL_STATE(4085)] = 146121,
  [SMALL_STATE(4086)] = 146155,
  [SMALL_STATE(4087)] = 146193,
  [SMALL_STATE(4088)] = 146235,
  [SMALL_STATE(4089)] = 146263,
  [SMALL_STATE(4090)] = 146301,
  [SMALL_STATE(4091)] = 146343,
  [SMALL_STATE(4092)] = 146381,
  [SMALL_STATE(4093)] = 146419,
  [SMALL_STATE(4094)] = 146453,
  [SMALL_STATE(4095)] = 146495,
  [SMALL_STATE(4096)] = 146539,
  [SMALL_STATE(4097)] = 146581,
  [SMALL_STATE(4098)] = 146619,
  [SMALL_STATE(4099)] = 146661,
  [SMALL_STATE(4100)] = 146699,
  [SMALL_STATE(4101)] = 146741,
  [SMALL_STATE(4102)] = 146783,
  [SMALL_STATE(4103)] = 146825,
  [SMALL_STATE(4104)] = 146854,
  [SMALL_STATE(4105)] = 146883,
  [SMALL_STATE(4106)] = 146908,
  [SMALL_STATE(4107)] = 146933,
  [SMALL_STATE(4108)] = 146958,
  [SMALL_STATE(4109)] = 146983,
  [SMALL_STATE(4110)] = 147008,
  [SMALL_STATE(4111)] = 147033,
  [SMALL_STATE(4112)] = 147062,
  [SMALL_STATE(4113)] = 147087,
  [SMALL_STATE(4114)] = 147112,
  [SMALL_STATE(4115)] = 147141,
  [SMALL_STATE(4116)] = 147166,
  [SMALL_STATE(4117)] = 147191,
  [SMALL_STATE(4118)] = 147218,
  [SMALL_STATE(4119)] = 147243,
  [SMALL_STATE(4120)] = 147268,
  [SMALL_STATE(4121)] = 147311,
  [SMALL_STATE(4122)] = 147338,
  [SMALL_STATE(4123)] = 147363,
  [SMALL_STATE(4124)] = 147388,
  [SMALL_STATE(4125)] = 147415,
  [SMALL_STATE(4126)] = 147440,
  [SMALL_STATE(4127)] = 147465,
  [SMALL_STATE(4128)] = 147490,
  [SMALL_STATE(4129)] = 147513,
  [SMALL_STATE(4130)] = 147538,
  [SMALL_STATE(4131)] = 147563,
  [SMALL_STATE(4132)] = 147586,
  [SMALL_STATE(4133)] = 147611,
  [SMALL_STATE(4134)] = 147636,
  [SMALL_STATE(4135)] = 147665,
  [SMALL_STATE(4136)] = 147692,
  [SMALL_STATE(4137)] = 147717,
  [SMALL_STATE(4138)] = 147742,
  [SMALL_STATE(4139)] = 147767,
  [SMALL_STATE(4140)] = 147790,
  [SMALL_STATE(4141)] = 147819,
  [SMALL_STATE(4142)] = 147844,
  [SMALL_STATE(4143)] = 147869,
  [SMALL_STATE(4144)] = 147894,
  [SMALL_STATE(4145)] = 147923,
  [SMALL_STATE(4146)] = 147946,
  [SMALL_STATE(4147)] = 147971,
  [SMALL_STATE(4148)] = 147994,
  [SMALL_STATE(4149)] = 148025,
  [SMALL_STATE(4150)] = 148050,
  [SMALL_STATE(4151)] = 148073,
  [SMALL_STATE(4152)] = 148098,
  [SMALL_STATE(4153)] = 148125,
  [SMALL_STATE(4154)] = 148152,
  [SMALL_STATE(4155)] = 148177,
  [SMALL_STATE(4156)] = 148206,
  [SMALL_STATE(4157)] = 148231,
  [SMALL_STATE(4158)] = 148256,
  [SMALL_STATE(4159)] = 148281,
  [SMALL_STATE(4160)] = 148308,
  [SMALL_STATE(4161)] = 148333,
  [SMALL_STATE(4162)] = 148358,
  [SMALL_STATE(4163)] = 148381,
  [SMALL_STATE(4164)] = 148404,
  [SMALL_STATE(4165)] = 148429,
  [SMALL_STATE(4166)] = 148454,
  [SMALL_STATE(4167)] = 148477,
  [SMALL_STATE(4168)] = 148517,
  [SMALL_STATE(4169)] = 148553,
  [SMALL_STATE(4170)] = 148577,
  [SMALL_STATE(4171)] = 148617,
  [SMALL_STATE(4172)] = 148645,
  [SMALL_STATE(4173)] = 148685,
  [SMALL_STATE(4174)] = 148721,
  [SMALL_STATE(4175)] = 148761,
  [SMALL_STATE(4176)] = 148789,
  [SMALL_STATE(4177)] = 148811,
  [SMALL_STATE(4178)] = 148851,
  [SMALL_STATE(4179)] = 148891,
  [SMALL_STATE(4180)] = 148927,
  [SMALL_STATE(4181)] = 148963,
  [SMALL_STATE(4182)] = 148997,
  [SMALL_STATE(4183)] = 149037,
  [SMALL_STATE(4184)] = 149077,
  [SMALL_STATE(4185)] = 149103,
  [SMALL_STATE(4186)] = 149127,
  [SMALL_STATE(4187)] = 149155,
  [SMALL_STATE(4188)] = 149179,
  [SMALL_STATE(4189)] = 149205,
  [SMALL_STATE(4190)] = 149245,
  [SMALL_STATE(4191)] = 149271,
  [SMALL_STATE(4192)] = 149293,
  [SMALL_STATE(4193)] = 149327,
  [SMALL_STATE(4194)] = 149367,
  [SMALL_STATE(4195)] = 149407,
  [SMALL_STATE(4196)] = 149447,
  [SMALL_STATE(4197)] = 149485,
  [SMALL_STATE(4198)] = 149525,
  [SMALL_STATE(4199)] = 149565,
  [SMALL_STATE(4200)] = 149605,
  [SMALL_STATE(4201)] = 149645,
  [SMALL_STATE(4202)] = 149685,
  [SMALL_STATE(4203)] = 149725,
  [SMALL_STATE(4204)] = 149763,
  [SMALL_STATE(4205)] = 149803,
  [SMALL_STATE(4206)] = 149824,
  [SMALL_STATE(4207)] = 149855,
  [SMALL_STATE(4208)] = 149892,
  [SMALL_STATE(4209)] = 149925,
  [SMALL_STATE(4210)] = 149962,
  [SMALL_STATE(4211)] = 149993,
  [SMALL_STATE(4212)] = 150030,
  [SMALL_STATE(4213)] = 150061,
  [SMALL_STATE(4214)] = 150098,
  [SMALL_STATE(4215)] = 150135,
  [SMALL_STATE(4216)] = 150166,
  [SMALL_STATE(4217)] = 150203,
  [SMALL_STATE(4218)] = 150238,
  [SMALL_STATE(4219)] = 150275,
  [SMALL_STATE(4220)] = 150296,
  [SMALL_STATE(4221)] = 150333,
  [SMALL_STATE(4222)] = 150370,
  [SMALL_STATE(4223)] = 150391,
  [SMALL_STATE(4224)] = 150424,
  [SMALL_STATE(4225)] = 150457,
  [SMALL_STATE(4226)] = 150478,
  [SMALL_STATE(4227)] = 150509,
  [SMALL_STATE(4228)] = 150546,
  [SMALL_STATE(4229)] = 150575,
  [SMALL_STATE(4230)] = 150612,
  [SMALL_STATE(4231)] = 150633,
  [SMALL_STATE(4232)] = 150668,
  [SMALL_STATE(4233)] = 150691,
  [SMALL_STATE(4234)] = 150728,
  [SMALL_STATE(4235)] = 150761,
  [SMALL_STATE(4236)] = 150794,
  [SMALL_STATE(4237)] = 150825,
  [SMALL_STATE(4238)] = 150846,
  [SMALL_STATE(4239)] = 150873,
  [SMALL_STATE(4240)] = 150896,
  [SMALL_STATE(4241)] = 150917,
  [SMALL_STATE(4242)] = 150950,
  [SMALL_STATE(4243)] = 150983,
  [SMALL_STATE(4244)] = 151016,
  [SMALL_STATE(4245)] = 151037,
  [SMALL_STATE(4246)] = 151066,
  [SMALL_STATE(4247)] = 151093,
  [SMALL_STATE(4248)] = 151116,
  [SMALL_STATE(4249)] = 151137,
  [SMALL_STATE(4250)] = 151158,
  [SMALL_STATE(4251)] = 151179,
  [SMALL_STATE(4252)] = 151200,
  [SMALL_STATE(4253)] = 151237,
  [SMALL_STATE(4254)] = 151258,
  [SMALL_STATE(4255)] = 151279,
  [SMALL_STATE(4256)] = 151312,
  [SMALL_STATE(4257)] = 151333,
  [SMALL_STATE(4258)] = 151366,
  [SMALL_STATE(4259)] = 151399,
  [SMALL_STATE(4260)] = 151432,
  [SMALL_STATE(4261)] = 151465,
  [SMALL_STATE(4262)] = 151498,
  [SMALL_STATE(4263)] = 151531,
  [SMALL_STATE(4264)] = 151568,
  [SMALL_STATE(4265)] = 151605,
  [SMALL_STATE(4266)] = 151626,
  [SMALL_STATE(4267)] = 151647,
  [SMALL_STATE(4268)] = 151680,
  [SMALL_STATE(4269)] = 151703,
  [SMALL_STATE(4270)] = 151736,
  [SMALL_STATE(4271)] = 151769,
  [SMALL_STATE(4272)] = 151792,
  [SMALL_STATE(4273)] = 151825,
  [SMALL_STATE(4274)] = 151856,
  [SMALL_STATE(4275)] = 151877,
  [SMALL_STATE(4276)] = 151914,
  [SMALL_STATE(4277)] = 151941,
  [SMALL_STATE(4278)] = 151974,
  [SMALL_STATE(4279)] = 152007,
  [SMALL_STATE(4280)] = 152030,
  [SMALL_STATE(4281)] = 152051,
  [SMALL_STATE(4282)] = 152084,
  [SMALL_STATE(4283)] = 152105,
  [SMALL_STATE(4284)] = 152138,
  [SMALL_STATE(4285)] = 152171,
  [SMALL_STATE(4286)] = 152202,
  [SMALL_STATE(4287)] = 152223,
  [SMALL_STATE(4288)] = 152254,
  [SMALL_STATE(4289)] = 152275,
  [SMALL_STATE(4290)] = 152298,
  [SMALL_STATE(4291)] = 152319,
  [SMALL_STATE(4292)] = 152346,
  [SMALL_STATE(4293)] = 152367,
  [SMALL_STATE(4294)] = 152398,
  [SMALL_STATE(4295)] = 152419,
  [SMALL_STATE(4296)] = 152440,
  [SMALL_STATE(4297)] = 152465,
  [SMALL_STATE(4298)] = 152488,
  [SMALL_STATE(4299)] = 152509,
  [SMALL_STATE(4300)] = 152530,
  [SMALL_STATE(4301)] = 152551,
  [SMALL_STATE(4302)] = 152584,
  [SMALL_STATE(4303)] = 152617,
  [SMALL_STATE(4304)] = 152638,
  [SMALL_STATE(4305)] = 152659,
  [SMALL_STATE(4306)] = 152696,
  [SMALL_STATE(4307)] = 152717,
  [SMALL_STATE(4308)] = 152738,
  [SMALL_STATE(4309)] = 152771,
  [SMALL_STATE(4310)] = 152804,
  [SMALL_STATE(4311)] = 152841,
  [SMALL_STATE(4312)] = 152868,
  [SMALL_STATE(4313)] = 152895,
  [SMALL_STATE(4314)] = 152932,
  [SMALL_STATE(4315)] = 152953,
  [SMALL_STATE(4316)] = 152974,
  [SMALL_STATE(4317)] = 152995,
  [SMALL_STATE(4318)] = 153016,
  [SMALL_STATE(4319)] = 153037,
  [SMALL_STATE(4320)] = 153068,
  [SMALL_STATE(4321)] = 153105,
  [SMALL_STATE(4322)] = 153142,
  [SMALL_STATE(4323)] = 153163,
  [SMALL_STATE(4324)] = 153196,
  [SMALL_STATE(4325)] = 153229,
  [SMALL_STATE(4326)] = 153266,
  [SMALL_STATE(4327)] = 153299,
  [SMALL_STATE(4328)] = 153332,
  [SMALL_STATE(4329)] = 153365,
  [SMALL_STATE(4330)] = 153398,
  [SMALL_STATE(4331)] = 153419,
  [SMALL_STATE(4332)] = 153452,
  [SMALL_STATE(4333)] = 153485,
  [SMALL_STATE(4334)] = 153506,
  [SMALL_STATE(4335)] = 153527,
  [SMALL_STATE(4336)] = 153548,
  [SMALL_STATE(4337)] = 153569,
  [SMALL_STATE(4338)] = 153602,
  [SMALL_STATE(4339)] = 153639,
  [SMALL_STATE(4340)] = 153672,
  [SMALL_STATE(4341)] = 153709,
  [SMALL_STATE(4342)] = 153746,
  [SMALL_STATE(4343)] = 153779,
  [SMALL_STATE(4344)] = 153816,
  [SMALL_STATE(4345)] = 153849,
  [SMALL_STATE(4346)] = 153882,
  [SMALL_STATE(4347)] = 153915,
  [SMALL_STATE(4348)] = 153948,
  [SMALL_STATE(4349)] = 153981,
  [SMALL_STATE(4350)] = 154018,
  [SMALL_STATE(4351)] = 154055,
  [SMALL_STATE(4352)] = 154092,
  [SMALL_STATE(4353)] = 154129,
  [SMALL_STATE(4354)] = 154162,
  [SMALL_STATE(4355)] = 154195,
  [SMALL_STATE(4356)] = 154228,
  [SMALL_STATE(4357)] = 154261,
  [SMALL_STATE(4358)] = 154294,
  [SMALL_STATE(4359)] = 154327,
  [SMALL_STATE(4360)] = 154360,
  [SMALL_STATE(4361)] = 154397,
  [SMALL_STATE(4362)] = 154430,
  [SMALL_STATE(4363)] = 154467,
  [SMALL_STATE(4364)] = 154504,
  [SMALL_STATE(4365)] = 154541,
  [SMALL_STATE(4366)] = 154564,
  [SMALL_STATE(4367)] = 154587,
  [SMALL_STATE(4368)] = 154608,
  [SMALL_STATE(4369)] = 154629,
  [SMALL_STATE(4370)] = 154650,
  [SMALL_STATE(4371)] = 154683,
  [SMALL_STATE(4372)] = 154716,
  [SMALL_STATE(4373)] = 154741,
  [SMALL_STATE(4374)] = 154778,
  [SMALL_STATE(4375)] = 154805,
  [SMALL_STATE(4376)] = 154826,
  [SMALL_STATE(4377)] = 154847,
  [SMALL_STATE(4378)] = 154870,
  [SMALL_STATE(4379)] = 154891,
  [SMALL_STATE(4380)] = 154928,
  [SMALL_STATE(4381)] = 154949,
  [SMALL_STATE(4382)] = 154970,
  [SMALL_STATE(4383)] = 155003,
  [SMALL_STATE(4384)] = 155024,
  [SMALL_STATE(4385)] = 155057,
  [SMALL_STATE(4386)] = 155094,
  [SMALL_STATE(4387)] = 155131,
  [SMALL_STATE(4388)] = 155164,
  [SMALL_STATE(4389)] = 155197,
  [SMALL_STATE(4390)] = 155232,
  [SMALL_STATE(4391)] = 155265,
  [SMALL_STATE(4392)] = 155298,
  [SMALL_STATE(4393)] = 155329,
  [SMALL_STATE(4394)] = 155360,
  [SMALL_STATE(4395)] = 155393,
  [SMALL_STATE(4396)] = 155414,
  [SMALL_STATE(4397)] = 155435,
  [SMALL_STATE(4398)] = 155456,
  [SMALL_STATE(4399)] = 155493,
  [SMALL_STATE(4400)] = 155514,
  [SMALL_STATE(4401)] = 155547,
  [SMALL_STATE(4402)] = 155580,
  [SMALL_STATE(4403)] = 155613,
  [SMALL_STATE(4404)] = 155650,
  [SMALL_STATE(4405)] = 155685,
  [SMALL_STATE(4406)] = 155706,
  [SMALL_STATE(4407)] = 155743,
  [SMALL_STATE(4408)] = 155780,
  [SMALL_STATE(4409)] = 155801,
  [SMALL_STATE(4410)] = 155834,
  [SMALL_STATE(4411)] = 155867,
  [SMALL_STATE(4412)] = 155898,
  [SMALL_STATE(4413)] = 155929,
  [SMALL_STATE(4414)] = 155966,
  [SMALL_STATE(4415)] = 156003,
  [SMALL_STATE(4416)] = 156036,
  [SMALL_STATE(4417)] = 156073,
  [SMALL_STATE(4418)] = 156106,
  [SMALL_STATE(4419)] = 156143,
  [SMALL_STATE(4420)] = 156174,
  [SMALL_STATE(4421)] = 156195,
  [SMALL_STATE(4422)] = 156224,
  [SMALL_STATE(4423)] = 156245,
  [SMALL_STATE(4424)] = 156278,
  [SMALL_STATE(4425)] = 156311,
  [SMALL_STATE(4426)] = 156344,
  [SMALL_STATE(4427)] = 156377,
  [SMALL_STATE(4428)] = 156414,
  [SMALL_STATE(4429)] = 156451,
  [SMALL_STATE(4430)] = 156484,
  [SMALL_STATE(4431)] = 156521,
  [SMALL_STATE(4432)] = 156558,
  [SMALL_STATE(4433)] = 156595,
  [SMALL_STATE(4434)] = 156632,
  [SMALL_STATE(4435)] = 156665,
  [SMALL_STATE(4436)] = 156690,
  [SMALL_STATE(4437)] = 156723,
  [SMALL_STATE(4438)] = 156760,
  [SMALL_STATE(4439)] = 156794,
  [SMALL_STATE(4440)] = 156828,
  [SMALL_STATE(4441)] = 156850,
  [SMALL_STATE(4442)] = 156872,
  [SMALL_STATE(4443)] = 156904,
  [SMALL_STATE(4444)] = 156932,
  [SMALL_STATE(4445)] = 156954,
  [SMALL_STATE(4446)] = 156988,
  [SMALL_STATE(4447)] = 157022,
  [SMALL_STATE(4448)] = 157054,
  [SMALL_STATE(4449)] = 157086,
  [SMALL_STATE(4450)] = 157114,
  [SMALL_STATE(4451)] = 157134,
  [SMALL_STATE(4452)] = 157154,
  [SMALL_STATE(4453)] = 157182,
  [SMALL_STATE(4454)] = 157214,
  [SMALL_STATE(4455)] = 157248,
  [SMALL_STATE(4456)] = 157282,
  [SMALL_STATE(4457)] = 157314,
  [SMALL_STATE(4458)] = 157342,
  [SMALL_STATE(4459)] = 157372,
  [SMALL_STATE(4460)] = 157400,
  [SMALL_STATE(4461)] = 157432,
  [SMALL_STATE(4462)] = 157458,
  [SMALL_STATE(4463)] = 157492,
  [SMALL_STATE(4464)] = 157518,
  [SMALL_STATE(4465)] = 157544,
  [SMALL_STATE(4466)] = 157572,
  [SMALL_STATE(4467)] = 157598,
  [SMALL_STATE(4468)] = 157624,
  [SMALL_STATE(4469)] = 157650,
  [SMALL_STATE(4470)] = 157676,
  [SMALL_STATE(4471)] = 157710,
  [SMALL_STATE(4472)] = 157738,
  [SMALL_STATE(4473)] = 157766,
  [SMALL_STATE(4474)] = 157800,
  [SMALL_STATE(4475)] = 157828,
  [SMALL_STATE(4476)] = 157862,
  [SMALL_STATE(4477)] = 157894,
  [SMALL_STATE(4478)] = 157925,
  [SMALL_STATE(4479)] = 157952,
  [SMALL_STATE(4480)] = 157983,
  [SMALL_STATE(4481)] = 158014,
  [SMALL_STATE(4482)] = 158045,
  [SMALL_STATE(4483)] = 158076,
  [SMALL_STATE(4484)] = 158095,
  [SMALL_STATE(4485)] = 158122,
  [SMALL_STATE(4486)] = 158153,
  [SMALL_STATE(4487)] = 158176,
  [SMALL_STATE(4488)] = 158207,
  [SMALL_STATE(4489)] = 158238,
  [SMALL_STATE(4490)] = 158269,
  [SMALL_STATE(4491)] = 158296,
  [SMALL_STATE(4492)] = 158327,
  [SMALL_STATE(4493)] = 158358,
  [SMALL_STATE(4494)] = 158389,
  [SMALL_STATE(4495)] = 158416,
  [SMALL_STATE(4496)] = 158447,
  [SMALL_STATE(4497)] = 158478,
  [SMALL_STATE(4498)] = 158509,
  [SMALL_STATE(4499)] = 158540,
  [SMALL_STATE(4500)] = 158571,
  [SMALL_STATE(4501)] = 158602,
  [SMALL_STATE(4502)] = 158633,
  [SMALL_STATE(4503)] = 158656,
  [SMALL_STATE(4504)] = 158687,
  [SMALL_STATE(4505)] = 158718,
  [SMALL_STATE(4506)] = 158745,
  [SMALL_STATE(4507)] = 158772,
  [SMALL_STATE(4508)] = 158803,
  [SMALL_STATE(4509)] = 158830,
  [SMALL_STATE(4510)] = 158861,
  [SMALL_STATE(4511)] = 158892,
  [SMALL_STATE(4512)] = 158915,
  [SMALL_STATE(4513)] = 158946,
  [SMALL_STATE(4514)] = 158977,
  [SMALL_STATE(4515)] = 158996,
  [SMALL_STATE(4516)] = 159025,
  [SMALL_STATE(4517)] = 159054,
  [SMALL_STATE(4518)] = 159083,
  [SMALL_STATE(4519)] = 159110,
  [SMALL_STATE(4520)] = 159129,
  [SMALL_STATE(4521)] = 159160,
  [SMALL_STATE(4522)] = 159191,
  [SMALL_STATE(4523)] = 159218,
  [SMALL_STATE(4524)] = 159245,
  [SMALL_STATE(4525)] = 159264,
  [SMALL_STATE(4526)] = 159283,
  [SMALL_STATE(4527)] = 159304,
  [SMALL_STATE(4528)] = 159335,
  [SMALL_STATE(4529)] = 159354,
  [SMALL_STATE(4530)] = 159373,
  [SMALL_STATE(4531)] = 159392,
  [SMALL_STATE(4532)] = 159423,
  [SMALL_STATE(4533)] = 159454,
  [SMALL_STATE(4534)] = 159473,
  [SMALL_STATE(4535)] = 159504,
  [SMALL_STATE(4536)] = 159533,
  [SMALL_STATE(4537)] = 159564,
  [SMALL_STATE(4538)] = 159583,
  [SMALL_STATE(4539)] = 159606,
  [SMALL_STATE(4540)] = 159635,
  [SMALL_STATE(4541)] = 159666,
  [SMALL_STATE(4542)] = 159697,
  [SMALL_STATE(4543)] = 159728,
  [SMALL_STATE(4544)] = 159759,
  [SMALL_STATE(4545)] = 159786,
  [SMALL_STATE(4546)] = 159809,
  [SMALL_STATE(4547)] = 159836,
  [SMALL_STATE(4548)] = 159863,
  [SMALL_STATE(4549)] = 159894,
  [SMALL_STATE(4550)] = 159921,
  [SMALL_STATE(4551)] = 159948,
  [SMALL_STATE(4552)] = 159971,
  [SMALL_STATE(4553)] = 159998,
  [SMALL_STATE(4554)] = 160025,
  [SMALL_STATE(4555)] = 160044,
  [SMALL_STATE(4556)] = 160071,
  [SMALL_STATE(4557)] = 160098,
  [SMALL_STATE(4558)] = 160129,
  [SMALL_STATE(4559)] = 160156,
  [SMALL_STATE(4560)] = 160183,
  [SMALL_STATE(4561)] = 160212,
  [SMALL_STATE(4562)] = 160239,
  [SMALL_STATE(4563)] = 160266,
  [SMALL_STATE(4564)] = 160293,
  [SMALL_STATE(4565)] = 160320,
  [SMALL_STATE(4566)] = 160347,
  [SMALL_STATE(4567)] = 160376,
  [SMALL_STATE(4568)] = 160403,
  [SMALL_STATE(4569)] = 160434,
  [SMALL_STATE(4570)] = 160453,
  [SMALL_STATE(4571)] = 160484,
  [SMALL_STATE(4572)] = 160515,
  [SMALL_STATE(4573)] = 160534,
  [SMALL_STATE(4574)] = 160553,
  [SMALL_STATE(4575)] = 160572,
  [SMALL_STATE(4576)] = 160603,
  [SMALL_STATE(4577)] = 160622,
  [SMALL_STATE(4578)] = 160653,
  [SMALL_STATE(4579)] = 160684,
  [SMALL_STATE(4580)] = 160703,
  [SMALL_STATE(4581)] = 160730,
  [SMALL_STATE(4582)] = 160761,
  [SMALL_STATE(4583)] = 160788,
  [SMALL_STATE(4584)] = 160815,
  [SMALL_STATE(4585)] = 160842,
  [SMALL_STATE(4586)] = 160869,
  [SMALL_STATE(4587)] = 160896,
  [SMALL_STATE(4588)] = 160923,
  [SMALL_STATE(4589)] = 160950,
  [SMALL_STATE(4590)] = 160977,
  [SMALL_STATE(4591)] = 161008,
  [SMALL_STATE(4592)] = 161037,
  [SMALL_STATE(4593)] = 161068,
  [SMALL_STATE(4594)] = 161095,
  [SMALL_STATE(4595)] = 161126,
  [SMALL_STATE(4596)] = 161151,
  [SMALL_STATE(4597)] = 161182,
  [SMALL_STATE(4598)] = 161211,
  [SMALL_STATE(4599)] = 161238,
  [SMALL_STATE(4600)] = 161265,
  [SMALL_STATE(4601)] = 161284,
  [SMALL_STATE(4602)] = 161307,
  [SMALL_STATE(4603)] = 161338,
  [SMALL_STATE(4604)] = 161369,
  [SMALL_STATE(4605)] = 161396,
  [SMALL_STATE(4606)] = 161423,
  [SMALL_STATE(4607)] = 161454,
  [SMALL_STATE(4608)] = 161485,
  [SMALL_STATE(4609)] = 161516,
  [SMALL_STATE(4610)] = 161545,
  [SMALL_STATE(4611)] = 161576,
  [SMALL_STATE(4612)] = 161607,
  [SMALL_STATE(4613)] = 161636,
  [SMALL_STATE(4614)] = 161663,
  [SMALL_STATE(4615)] = 161690,
  [SMALL_STATE(4616)] = 161719,
  [SMALL_STATE(4617)] = 161748,
  [SMALL_STATE(4618)] = 161767,
  [SMALL_STATE(4619)] = 161794,
  [SMALL_STATE(4620)] = 161821,
  [SMALL_STATE(4621)] = 161842,
  [SMALL_STATE(4622)] = 161869,
  [SMALL_STATE(4623)] = 161896,
  [SMALL_STATE(4624)] = 161927,
  [SMALL_STATE(4625)] = 161954,
  [SMALL_STATE(4626)] = 161977,
  [SMALL_STATE(4627)] = 162000,
  [SMALL_STATE(4628)] = 162029,
  [SMALL_STATE(4629)] = 162052,
  [SMALL_STATE(4630)] = 162071,
  [SMALL_STATE(4631)] = 162098,
  [SMALL_STATE(4632)] = 162121,
  [SMALL_STATE(4633)] = 162150,
  [SMALL_STATE(4634)] = 162169,
  [SMALL_STATE(4635)] = 162188,
  [SMALL_STATE(4636)] = 162211,
  [SMALL_STATE(4637)] = 162238,
  [SMALL_STATE(4638)] = 162261,
  [SMALL_STATE(4639)] = 162284,
  [SMALL_STATE(4640)] = 162311,
  [SMALL_STATE(4641)] = 162334,
  [SMALL_STATE(4642)] = 162357,
  [SMALL_STATE(4643)] = 162376,
  [SMALL_STATE(4644)] = 162399,
  [SMALL_STATE(4645)] = 162428,
  [SMALL_STATE(4646)] = 162451,
  [SMALL_STATE(4647)] = 162478,
  [SMALL_STATE(4648)] = 162501,
  [SMALL_STATE(4649)] = 162524,
  [SMALL_STATE(4650)] = 162547,
  [SMALL_STATE(4651)] = 162570,
  [SMALL_STATE(4652)] = 162593,
  [SMALL_STATE(4653)] = 162616,
  [SMALL_STATE(4654)] = 162641,
  [SMALL_STATE(4655)] = 162668,
  [SMALL_STATE(4656)] = 162691,
  [SMALL_STATE(4657)] = 162722,
  [SMALL_STATE(4658)] = 162749,
  [SMALL_STATE(4659)] = 162780,
  [SMALL_STATE(4660)] = 162807,
  [SMALL_STATE(4661)] = 162830,
  [SMALL_STATE(4662)] = 162857,
  [SMALL_STATE(4663)] = 162884,
  [SMALL_STATE(4664)] = 162905,
  [SMALL_STATE(4665)] = 162936,
  [SMALL_STATE(4666)] = 162963,
  [SMALL_STATE(4667)] = 162990,
  [SMALL_STATE(4668)] = 163013,
  [SMALL_STATE(4669)] = 163034,
  [SMALL_STATE(4670)] = 163065,
  [SMALL_STATE(4671)] = 163092,
  [SMALL_STATE(4672)] = 163119,
  [SMALL_STATE(4673)] = 163146,
  [SMALL_STATE(4674)] = 163173,
  [SMALL_STATE(4675)] = 163204,
  [SMALL_STATE(4676)] = 163231,
  [SMALL_STATE(4677)] = 163258,
  [SMALL_STATE(4678)] = 163289,
  [SMALL_STATE(4679)] = 163316,
  [SMALL_STATE(4680)] = 163335,
  [SMALL_STATE(4681)] = 163362,
  [SMALL_STATE(4682)] = 163393,
  [SMALL_STATE(4683)] = 163420,
  [SMALL_STATE(4684)] = 163451,
  [SMALL_STATE(4685)] = 163472,
  [SMALL_STATE(4686)] = 163499,
  [SMALL_STATE(4687)] = 163518,
  [SMALL_STATE(4688)] = 163537,
  [SMALL_STATE(4689)] = 163564,
  [SMALL_STATE(4690)] = 163593,
  [SMALL_STATE(4691)] = 163612,
  [SMALL_STATE(4692)] = 163639,
  [SMALL_STATE(4693)] = 163666,
  [SMALL_STATE(4694)] = 163693,
  [SMALL_STATE(4695)] = 163720,
  [SMALL_STATE(4696)] = 163747,
  [SMALL_STATE(4697)] = 163774,
  [SMALL_STATE(4698)] = 163801,
  [SMALL_STATE(4699)] = 163828,
  [SMALL_STATE(4700)] = 163847,
  [SMALL_STATE(4701)] = 163874,
  [SMALL_STATE(4702)] = 163901,
  [SMALL_STATE(4703)] = 163928,
  [SMALL_STATE(4704)] = 163955,
  [SMALL_STATE(4705)] = 163982,
  [SMALL_STATE(4706)] = 164009,
  [SMALL_STATE(4707)] = 164040,
  [SMALL_STATE(4708)] = 164067,
  [SMALL_STATE(4709)] = 164094,
  [SMALL_STATE(4710)] = 164121,
  [SMALL_STATE(4711)] = 164148,
  [SMALL_STATE(4712)] = 164175,
  [SMALL_STATE(4713)] = 164198,
  [SMALL_STATE(4714)] = 164225,
  [SMALL_STATE(4715)] = 164256,
  [SMALL_STATE(4716)] = 164285,
  [SMALL_STATE(4717)] = 164306,
  [SMALL_STATE(4718)] = 164329,
  [SMALL_STATE(4719)] = 164356,
  [SMALL_STATE(4720)] = 164383,
  [SMALL_STATE(4721)] = 164410,
  [SMALL_STATE(4722)] = 164437,
  [SMALL_STATE(4723)] = 164464,
  [SMALL_STATE(4724)] = 164495,
  [SMALL_STATE(4725)] = 164514,
  [SMALL_STATE(4726)] = 164545,
  [SMALL_STATE(4727)] = 164572,
  [SMALL_STATE(4728)] = 164599,
  [SMALL_STATE(4729)] = 164630,
  [SMALL_STATE(4730)] = 164661,
  [SMALL_STATE(4731)] = 164692,
  [SMALL_STATE(4732)] = 164715,
  [SMALL_STATE(4733)] = 164746,
  [SMALL_STATE(4734)] = 164773,
  [SMALL_STATE(4735)] = 164804,
  [SMALL_STATE(4736)] = 164835,
  [SMALL_STATE(4737)] = 164866,
  [SMALL_STATE(4738)] = 164893,
  [SMALL_STATE(4739)] = 164920,
  [SMALL_STATE(4740)] = 164947,
  [SMALL_STATE(4741)] = 164978,
  [SMALL_STATE(4742)] = 165009,
  [SMALL_STATE(4743)] = 165028,
  [SMALL_STATE(4744)] = 165059,
  [SMALL_STATE(4745)] = 165086,
  [SMALL_STATE(4746)] = 165117,
  [SMALL_STATE(4747)] = 165144,
  [SMALL_STATE(4748)] = 165165,
  [SMALL_STATE(4749)] = 165196,
  [SMALL_STATE(4750)] = 165227,
  [SMALL_STATE(4751)] = 165255,
  [SMALL_STATE(4752)] = 165277,
  [SMALL_STATE(4753)] = 165297,
  [SMALL_STATE(4754)] = 165315,
  [SMALL_STATE(4755)] = 165335,
  [SMALL_STATE(4756)] = 165355,
  [SMALL_STATE(4757)] = 165381,
  [SMALL_STATE(4758)] = 165403,
  [SMALL_STATE(4759)] = 165423,
  [SMALL_STATE(4760)] = 165451,
  [SMALL_STATE(4761)] = 165471,
  [SMALL_STATE(4762)] = 165499,
  [SMALL_STATE(4763)] = 165527,
  [SMALL_STATE(4764)] = 165555,
  [SMALL_STATE(4765)] = 165581,
  [SMALL_STATE(4766)] = 165603,
  [SMALL_STATE(4767)] = 165631,
  [SMALL_STATE(4768)] = 165659,
  [SMALL_STATE(4769)] = 165687,
  [SMALL_STATE(4770)] = 165713,
  [SMALL_STATE(4771)] = 165735,
  [SMALL_STATE(4772)] = 165753,
  [SMALL_STATE(4773)] = 165779,
  [SMALL_STATE(4774)] = 165807,
  [SMALL_STATE(4775)] = 165829,
  [SMALL_STATE(4776)] = 165857,
  [SMALL_STATE(4777)] = 165879,
  [SMALL_STATE(4778)] = 165901,
  [SMALL_STATE(4779)] = 165929,
  [SMALL_STATE(4780)] = 165955,
  [SMALL_STATE(4781)] = 165983,
  [SMALL_STATE(4782)] = 166011,
  [SMALL_STATE(4783)] = 166039,
  [SMALL_STATE(4784)] = 166059,
  [SMALL_STATE(4785)] = 166077,
  [SMALL_STATE(4786)] = 166097,
  [SMALL_STATE(4787)] = 166115,
  [SMALL_STATE(4788)] = 166133,
  [SMALL_STATE(4789)] = 166151,
  [SMALL_STATE(4790)] = 166169,
  [SMALL_STATE(4791)] = 166197,
  [SMALL_STATE(4792)] = 166225,
  [SMALL_STATE(4793)] = 166251,
  [SMALL_STATE(4794)] = 166279,
  [SMALL_STATE(4795)] = 166307,
  [SMALL_STATE(4796)] = 166335,
  [SMALL_STATE(4797)] = 166359,
  [SMALL_STATE(4798)] = 166387,
  [SMALL_STATE(4799)] = 166405,
  [SMALL_STATE(4800)] = 166431,
  [SMALL_STATE(4801)] = 166457,
  [SMALL_STATE(4802)] = 166485,
  [SMALL_STATE(4803)] = 166503,
  [SMALL_STATE(4804)] = 166531,
  [SMALL_STATE(4805)] = 166559,
  [SMALL_STATE(4806)] = 166581,
  [SMALL_STATE(4807)] = 166607,
  [SMALL_STATE(4808)] = 166629,
  [SMALL_STATE(4809)] = 166657,
  [SMALL_STATE(4810)] = 166679,
  [SMALL_STATE(4811)] = 166701,
  [SMALL_STATE(4812)] = 166723,
  [SMALL_STATE(4813)] = 166741,
  [SMALL_STATE(4814)] = 166769,
  [SMALL_STATE(4815)] = 166797,
  [SMALL_STATE(4816)] = 166825,
  [SMALL_STATE(4817)] = 166847,
  [SMALL_STATE(4818)] = 166875,
  [SMALL_STATE(4819)] = 166897,
  [SMALL_STATE(4820)] = 166925,
  [SMALL_STATE(4821)] = 166947,
  [SMALL_STATE(4822)] = 166975,
  [SMALL_STATE(4823)] = 166997,
  [SMALL_STATE(4824)] = 167025,
  [SMALL_STATE(4825)] = 167043,
  [SMALL_STATE(4826)] = 167071,
  [SMALL_STATE(4827)] = 167093,
  [SMALL_STATE(4828)] = 167121,
  [SMALL_STATE(4829)] = 167149,
  [SMALL_STATE(4830)] = 167171,
  [SMALL_STATE(4831)] = 167199,
  [SMALL_STATE(4832)] = 167227,
  [SMALL_STATE(4833)] = 167253,
  [SMALL_STATE(4834)] = 167281,
  [SMALL_STATE(4835)] = 167309,
  [SMALL_STATE(4836)] = 167335,
  [SMALL_STATE(4837)] = 167363,
  [SMALL_STATE(4838)] = 167385,
  [SMALL_STATE(4839)] = 167403,
  [SMALL_STATE(4840)] = 167421,
  [SMALL_STATE(4841)] = 167443,
  [SMALL_STATE(4842)] = 167465,
  [SMALL_STATE(4843)] = 167487,
  [SMALL_STATE(4844)] = 167515,
  [SMALL_STATE(4845)] = 167537,
  [SMALL_STATE(4846)] = 167559,
  [SMALL_STATE(4847)] = 167581,
  [SMALL_STATE(4848)] = 167609,
  [SMALL_STATE(4849)] = 167631,
  [SMALL_STATE(4850)] = 167659,
  [SMALL_STATE(4851)] = 167687,
  [SMALL_STATE(4852)] = 167715,
  [SMALL_STATE(4853)] = 167743,
  [SMALL_STATE(4854)] = 167771,
  [SMALL_STATE(4855)] = 167793,
  [SMALL_STATE(4856)] = 167815,
  [SMALL_STATE(4857)] = 167843,
  [SMALL_STATE(4858)] = 167871,
  [SMALL_STATE(4859)] = 167897,
  [SMALL_STATE(4860)] = 167919,
  [SMALL_STATE(4861)] = 167941,
  [SMALL_STATE(4862)] = 167959,
  [SMALL_STATE(4863)] = 167981,
  [SMALL_STATE(4864)] = 168007,
  [SMALL_STATE(4865)] = 168029,
  [SMALL_STATE(4866)] = 168057,
  [SMALL_STATE(4867)] = 168085,
  [SMALL_STATE(4868)] = 168107,
  [SMALL_STATE(4869)] = 168125,
  [SMALL_STATE(4870)] = 168147,
  [SMALL_STATE(4871)] = 168165,
  [SMALL_STATE(4872)] = 168187,
  [SMALL_STATE(4873)] = 168209,
  [SMALL_STATE(4874)] = 168227,
  [SMALL_STATE(4875)] = 168253,
  [SMALL_STATE(4876)] = 168275,
  [SMALL_STATE(4877)] = 168301,
  [SMALL_STATE(4878)] = 168319,
  [SMALL_STATE(4879)] = 168341,
  [SMALL_STATE(4880)] = 168369,
  [SMALL_STATE(4881)] = 168387,
  [SMALL_STATE(4882)] = 168405,
  [SMALL_STATE(4883)] = 168429,
  [SMALL_STATE(4884)] = 168447,
  [SMALL_STATE(4885)] = 168465,
  [SMALL_STATE(4886)] = 168483,
  [SMALL_STATE(4887)] = 168503,
  [SMALL_STATE(4888)] = 168521,
  [SMALL_STATE(4889)] = 168539,
  [SMALL_STATE(4890)] = 168557,
  [SMALL_STATE(4891)] = 168575,
  [SMALL_STATE(4892)] = 168597,
  [SMALL_STATE(4893)] = 168625,
  [SMALL_STATE(4894)] = 168653,
  [SMALL_STATE(4895)] = 168681,
  [SMALL_STATE(4896)] = 168703,
  [SMALL_STATE(4897)] = 168731,
  [SMALL_STATE(4898)] = 168749,
  [SMALL_STATE(4899)] = 168771,
  [SMALL_STATE(4900)] = 168793,
  [SMALL_STATE(4901)] = 168815,
  [SMALL_STATE(4902)] = 168837,
  [SMALL_STATE(4903)] = 168859,
  [SMALL_STATE(4904)] = 168881,
  [SMALL_STATE(4905)] = 168903,
  [SMALL_STATE(4906)] = 168925,
  [SMALL_STATE(4907)] = 168947,
  [SMALL_STATE(4908)] = 168975,
  [SMALL_STATE(4909)] = 169001,
  [SMALL_STATE(4910)] = 169029,
  [SMALL_STATE(4911)] = 169051,
  [SMALL_STATE(4912)] = 169073,
  [SMALL_STATE(4913)] = 169101,
  [SMALL_STATE(4914)] = 169129,
  [SMALL_STATE(4915)] = 169155,
  [SMALL_STATE(4916)] = 169183,
  [SMALL_STATE(4917)] = 169211,
  [SMALL_STATE(4918)] = 169229,
  [SMALL_STATE(4919)] = 169247,
  [SMALL_STATE(4920)] = 169265,
  [SMALL_STATE(4921)] = 169283,
  [SMALL_STATE(4922)] = 169301,
  [SMALL_STATE(4923)] = 169319,
  [SMALL_STATE(4924)] = 169347,
  [SMALL_STATE(4925)] = 169365,
  [SMALL_STATE(4926)] = 169383,
  [SMALL_STATE(4927)] = 169411,
  [SMALL_STATE(4928)] = 169439,
  [SMALL_STATE(4929)] = 169457,
  [SMALL_STATE(4930)] = 169475,
  [SMALL_STATE(4931)] = 169493,
  [SMALL_STATE(4932)] = 169511,
  [SMALL_STATE(4933)] = 169529,
  [SMALL_STATE(4934)] = 169557,
  [SMALL_STATE(4935)] = 169585,
  [SMALL_STATE(4936)] = 169613,
  [SMALL_STATE(4937)] = 169641,
  [SMALL_STATE(4938)] = 169669,
  [SMALL_STATE(4939)] = 169687,
  [SMALL_STATE(4940)] = 169705,
  [SMALL_STATE(4941)] = 169733,
  [SMALL_STATE(4942)] = 169753,
  [SMALL_STATE(4943)] = 169781,
  [SMALL_STATE(4944)] = 169803,
  [SMALL_STATE(4945)] = 169823,
  [SMALL_STATE(4946)] = 169851,
  [SMALL_STATE(4947)] = 169879,
  [SMALL_STATE(4948)] = 169907,
  [SMALL_STATE(4949)] = 169927,
  [SMALL_STATE(4950)] = 169949,
  [SMALL_STATE(4951)] = 169977,
  [SMALL_STATE(4952)] = 169999,
  [SMALL_STATE(4953)] = 170027,
  [SMALL_STATE(4954)] = 170045,
  [SMALL_STATE(4955)] = 170071,
  [SMALL_STATE(4956)] = 170089,
  [SMALL_STATE(4957)] = 170117,
  [SMALL_STATE(4958)] = 170145,
  [SMALL_STATE(4959)] = 170173,
  [SMALL_STATE(4960)] = 170199,
  [SMALL_STATE(4961)] = 170225,
  [SMALL_STATE(4962)] = 170251,
  [SMALL_STATE(4963)] = 170269,
  [SMALL_STATE(4964)] = 170297,
  [SMALL_STATE(4965)] = 170325,
  [SMALL_STATE(4966)] = 170347,
  [SMALL_STATE(4967)] = 170373,
  [SMALL_STATE(4968)] = 170395,
  [SMALL_STATE(4969)] = 170423,
  [SMALL_STATE(4970)] = 170451,
  [SMALL_STATE(4971)] = 170473,
  [SMALL_STATE(4972)] = 170501,
  [SMALL_STATE(4973)] = 170529,
  [SMALL_STATE(4974)] = 170551,
  [SMALL_STATE(4975)] = 170573,
  [SMALL_STATE(4976)] = 170595,
  [SMALL_STATE(4977)] = 170623,
  [SMALL_STATE(4978)] = 170645,
  [SMALL_STATE(4979)] = 170667,
  [SMALL_STATE(4980)] = 170695,
  [SMALL_STATE(4981)] = 170723,
  [SMALL_STATE(4982)] = 170740,
  [SMALL_STATE(4983)] = 170761,
  [SMALL_STATE(4984)] = 170778,
  [SMALL_STATE(4985)] = 170803,
  [SMALL_STATE(4986)] = 170828,
  [SMALL_STATE(4987)] = 170853,
  [SMALL_STATE(4988)] = 170874,
  [SMALL_STATE(4989)] = 170899,
  [SMALL_STATE(4990)] = 170916,
  [SMALL_STATE(4991)] = 170941,
  [SMALL_STATE(4992)] = 170966,
  [SMALL_STATE(4993)] = 170991,
  [SMALL_STATE(4994)] = 171008,
  [SMALL_STATE(4995)] = 171025,
  [SMALL_STATE(4996)] = 171042,
  [SMALL_STATE(4997)] = 171059,
  [SMALL_STATE(4998)] = 171076,
  [SMALL_STATE(4999)] = 171093,
  [SMALL_STATE(5000)] = 171110,
  [SMALL_STATE(5001)] = 171127,
  [SMALL_STATE(5002)] = 171152,
  [SMALL_STATE(5003)] = 171177,
  [SMALL_STATE(5004)] = 171202,
  [SMALL_STATE(5005)] = 171219,
  [SMALL_STATE(5006)] = 171236,
  [SMALL_STATE(5007)] = 171253,
  [SMALL_STATE(5008)] = 171274,
  [SMALL_STATE(5009)] = 171291,
  [SMALL_STATE(5010)] = 171308,
  [SMALL_STATE(5011)] = 171325,
  [SMALL_STATE(5012)] = 171342,
  [SMALL_STATE(5013)] = 171359,
  [SMALL_STATE(5014)] = 171376,
  [SMALL_STATE(5015)] = 171393,
  [SMALL_STATE(5016)] = 171410,
  [SMALL_STATE(5017)] = 171427,
  [SMALL_STATE(5018)] = 171444,
  [SMALL_STATE(5019)] = 171461,
  [SMALL_STATE(5020)] = 171478,
  [SMALL_STATE(5021)] = 171495,
  [SMALL_STATE(5022)] = 171512,
  [SMALL_STATE(5023)] = 171537,
  [SMALL_STATE(5024)] = 171554,
  [SMALL_STATE(5025)] = 171571,
  [SMALL_STATE(5026)] = 171588,
  [SMALL_STATE(5027)] = 171605,
  [SMALL_STATE(5028)] = 171622,
  [SMALL_STATE(5029)] = 171639,
  [SMALL_STATE(5030)] = 171656,
  [SMALL_STATE(5031)] = 171673,
  [SMALL_STATE(5032)] = 171690,
  [SMALL_STATE(5033)] = 171707,
  [SMALL_STATE(5034)] = 171724,
  [SMALL_STATE(5035)] = 171741,
  [SMALL_STATE(5036)] = 171758,
  [SMALL_STATE(5037)] = 171775,
  [SMALL_STATE(5038)] = 171800,
  [SMALL_STATE(5039)] = 171817,
  [SMALL_STATE(5040)] = 171834,
  [SMALL_STATE(5041)] = 171851,
  [SMALL_STATE(5042)] = 171868,
  [SMALL_STATE(5043)] = 171885,
  [SMALL_STATE(5044)] = 171902,
  [SMALL_STATE(5045)] = 171919,
  [SMALL_STATE(5046)] = 171936,
  [SMALL_STATE(5047)] = 171953,
  [SMALL_STATE(5048)] = 171970,
  [SMALL_STATE(5049)] = 171995,
  [SMALL_STATE(5050)] = 172012,
  [SMALL_STATE(5051)] = 172029,
  [SMALL_STATE(5052)] = 172054,
  [SMALL_STATE(5053)] = 172079,
  [SMALL_STATE(5054)] = 172096,
  [SMALL_STATE(5055)] = 172121,
  [SMALL_STATE(5056)] = 172146,
  [SMALL_STATE(5057)] = 172171,
  [SMALL_STATE(5058)] = 172196,
  [SMALL_STATE(5059)] = 172213,
  [SMALL_STATE(5060)] = 172230,
  [SMALL_STATE(5061)] = 172255,
  [SMALL_STATE(5062)] = 172280,
  [SMALL_STATE(5063)] = 172305,
  [SMALL_STATE(5064)] = 172322,
  [SMALL_STATE(5065)] = 172339,
  [SMALL_STATE(5066)] = 172360,
  [SMALL_STATE(5067)] = 172385,
  [SMALL_STATE(5068)] = 172406,
  [SMALL_STATE(5069)] = 172423,
  [SMALL_STATE(5070)] = 172440,
  [SMALL_STATE(5071)] = 172457,
  [SMALL_STATE(5072)] = 172474,
  [SMALL_STATE(5073)] = 172491,
  [SMALL_STATE(5074)] = 172508,
  [SMALL_STATE(5075)] = 172525,
  [SMALL_STATE(5076)] = 172542,
  [SMALL_STATE(5077)] = 172559,
  [SMALL_STATE(5078)] = 172576,
  [SMALL_STATE(5079)] = 172601,
  [SMALL_STATE(5080)] = 172618,
  [SMALL_STATE(5081)] = 172643,
  [SMALL_STATE(5082)] = 172668,
  [SMALL_STATE(5083)] = 172685,
  [SMALL_STATE(5084)] = 172706,
  [SMALL_STATE(5085)] = 172723,
  [SMALL_STATE(5086)] = 172740,
  [SMALL_STATE(5087)] = 172757,
  [SMALL_STATE(5088)] = 172774,
  [SMALL_STATE(5089)] = 172799,
  [SMALL_STATE(5090)] = 172820,
  [SMALL_STATE(5091)] = 172845,
  [SMALL_STATE(5092)] = 172868,
  [SMALL_STATE(5093)] = 172893,
  [SMALL_STATE(5094)] = 172914,
  [SMALL_STATE(5095)] = 172931,
  [SMALL_STATE(5096)] = 172956,
  [SMALL_STATE(5097)] = 172973,
  [SMALL_STATE(5098)] = 172990,
  [SMALL_STATE(5099)] = 173007,
  [SMALL_STATE(5100)] = 173030,
  [SMALL_STATE(5101)] = 173051,
  [SMALL_STATE(5102)] = 173072,
  [SMALL_STATE(5103)] = 173089,
  [SMALL_STATE(5104)] = 173106,
  [SMALL_STATE(5105)] = 173123,
  [SMALL_STATE(5106)] = 173140,
  [SMALL_STATE(5107)] = 173161,
  [SMALL_STATE(5108)] = 173186,
  [SMALL_STATE(5109)] = 173211,
  [SMALL_STATE(5110)] = 173232,
  [SMALL_STATE(5111)] = 173255,
  [SMALL_STATE(5112)] = 173272,
  [SMALL_STATE(5113)] = 173289,
  [SMALL_STATE(5114)] = 173306,
  [SMALL_STATE(5115)] = 173327,
  [SMALL_STATE(5116)] = 173344,
  [SMALL_STATE(5117)] = 173365,
  [SMALL_STATE(5118)] = 173390,
  [SMALL_STATE(5119)] = 173413,
  [SMALL_STATE(5120)] = 173438,
  [SMALL_STATE(5121)] = 173455,
  [SMALL_STATE(5122)] = 173476,
  [SMALL_STATE(5123)] = 173497,
  [SMALL_STATE(5124)] = 173522,
  [SMALL_STATE(5125)] = 173543,
  [SMALL_STATE(5126)] = 173560,
  [SMALL_STATE(5127)] = 173581,
  [SMALL_STATE(5128)] = 173598,
  [SMALL_STATE(5129)] = 173619,
  [SMALL_STATE(5130)] = 173640,
  [SMALL_STATE(5131)] = 173665,
  [SMALL_STATE(5132)] = 173690,
  [SMALL_STATE(5133)] = 173711,
  [SMALL_STATE(5134)] = 173736,
  [SMALL_STATE(5135)] = 173753,
  [SMALL_STATE(5136)] = 173770,
  [SMALL_STATE(5137)] = 173787,
  [SMALL_STATE(5138)] = 173804,
  [SMALL_STATE(5139)] = 173825,
  [SMALL_STATE(5140)] = 173842,
  [SMALL_STATE(5141)] = 173867,
  [SMALL_STATE(5142)] = 173892,
  [SMALL_STATE(5143)] = 173917,
  [SMALL_STATE(5144)] = 173942,
  [SMALL_STATE(5145)] = 173963,
  [SMALL_STATE(5146)] = 173988,
  [SMALL_STATE(5147)] = 174013,
  [SMALL_STATE(5148)] = 174034,
  [SMALL_STATE(5149)] = 174059,
  [SMALL_STATE(5150)] = 174084,
  [SMALL_STATE(5151)] = 174109,
  [SMALL_STATE(5152)] = 174134,
  [SMALL_STATE(5153)] = 174155,
  [SMALL_STATE(5154)] = 174180,
  [SMALL_STATE(5155)] = 174201,
  [SMALL_STATE(5156)] = 174218,
  [SMALL_STATE(5157)] = 174235,
  [SMALL_STATE(5158)] = 174256,
  [SMALL_STATE(5159)] = 174273,
  [SMALL_STATE(5160)] = 174290,
  [SMALL_STATE(5161)] = 174311,
  [SMALL_STATE(5162)] = 174332,
  [SMALL_STATE(5163)] = 174353,
  [SMALL_STATE(5164)] = 174374,
  [SMALL_STATE(5165)] = 174395,
  [SMALL_STATE(5166)] = 174416,
  [SMALL_STATE(5167)] = 174437,
  [SMALL_STATE(5168)] = 174462,
  [SMALL_STATE(5169)] = 174483,
  [SMALL_STATE(5170)] = 174504,
  [SMALL_STATE(5171)] = 174521,
  [SMALL_STATE(5172)] = 174542,
  [SMALL_STATE(5173)] = 174567,
  [SMALL_STATE(5174)] = 174592,
  [SMALL_STATE(5175)] = 174609,
  [SMALL_STATE(5176)] = 174626,
  [SMALL_STATE(5177)] = 174647,
  [SMALL_STATE(5178)] = 174668,
  [SMALL_STATE(5179)] = 174689,
  [SMALL_STATE(5180)] = 174710,
  [SMALL_STATE(5181)] = 174731,
  [SMALL_STATE(5182)] = 174756,
  [SMALL_STATE(5183)] = 174777,
  [SMALL_STATE(5184)] = 174802,
  [SMALL_STATE(5185)] = 174819,
  [SMALL_STATE(5186)] = 174842,
  [SMALL_STATE(5187)] = 174859,
  [SMALL_STATE(5188)] = 174884,
  [SMALL_STATE(5189)] = 174905,
  [SMALL_STATE(5190)] = 174930,
  [SMALL_STATE(5191)] = 174947,
  [SMALL_STATE(5192)] = 174968,
  [SMALL_STATE(5193)] = 174985,
  [SMALL_STATE(5194)] = 175002,
  [SMALL_STATE(5195)] = 175027,
  [SMALL_STATE(5196)] = 175048,
  [SMALL_STATE(5197)] = 175069,
  [SMALL_STATE(5198)] = 175090,
  [SMALL_STATE(5199)] = 175111,
  [SMALL_STATE(5200)] = 175128,
  [SMALL_STATE(5201)] = 175145,
  [SMALL_STATE(5202)] = 175170,
  [SMALL_STATE(5203)] = 175191,
  [SMALL_STATE(5204)] = 175208,
  [SMALL_STATE(5205)] = 175229,
  [SMALL_STATE(5206)] = 175250,
  [SMALL_STATE(5207)] = 175275,
  [SMALL_STATE(5208)] = 175296,
  [SMALL_STATE(5209)] = 175319,
  [SMALL_STATE(5210)] = 175340,
  [SMALL_STATE(5211)] = 175361,
  [SMALL_STATE(5212)] = 175382,
  [SMALL_STATE(5213)] = 175407,
  [SMALL_STATE(5214)] = 175432,
  [SMALL_STATE(5215)] = 175449,
  [SMALL_STATE(5216)] = 175474,
  [SMALL_STATE(5217)] = 175491,
  [SMALL_STATE(5218)] = 175516,
  [SMALL_STATE(5219)] = 175537,
  [SMALL_STATE(5220)] = 175554,
  [SMALL_STATE(5221)] = 175579,
  [SMALL_STATE(5222)] = 175596,
  [SMALL_STATE(5223)] = 175613,
  [SMALL_STATE(5224)] = 175634,
  [SMALL_STATE(5225)] = 175651,
  [SMALL_STATE(5226)] = 175672,
  [SMALL_STATE(5227)] = 175689,
  [SMALL_STATE(5228)] = 175706,
  [SMALL_STATE(5229)] = 175723,
  [SMALL_STATE(5230)] = 175744,
  [SMALL_STATE(5231)] = 175769,
  [SMALL_STATE(5232)] = 175790,
  [SMALL_STATE(5233)] = 175807,
  [SMALL_STATE(5234)] = 175824,
  [SMALL_STATE(5235)] = 175841,
  [SMALL_STATE(5236)] = 175866,
  [SMALL_STATE(5237)] = 175883,
  [SMALL_STATE(5238)] = 175908,
  [SMALL_STATE(5239)] = 175929,
  [SMALL_STATE(5240)] = 175946,
  [SMALL_STATE(5241)] = 175967,
  [SMALL_STATE(5242)] = 175988,
  [SMALL_STATE(5243)] = 176005,
  [SMALL_STATE(5244)] = 176030,
  [SMALL_STATE(5245)] = 176051,
  [SMALL_STATE(5246)] = 176072,
  [SMALL_STATE(5247)] = 176097,
  [SMALL_STATE(5248)] = 176118,
  [SMALL_STATE(5249)] = 176139,
  [SMALL_STATE(5250)] = 176160,
  [SMALL_STATE(5251)] = 176185,
  [SMALL_STATE(5252)] = 176206,
  [SMALL_STATE(5253)] = 176227,
  [SMALL_STATE(5254)] = 176250,
  [SMALL_STATE(5255)] = 176275,
  [SMALL_STATE(5256)] = 176300,
  [SMALL_STATE(5257)] = 176325,
  [SMALL_STATE(5258)] = 176342,
  [SMALL_STATE(5259)] = 176363,
  [SMALL_STATE(5260)] = 176384,
  [SMALL_STATE(5261)] = 176409,
  [SMALL_STATE(5262)] = 176434,
  [SMALL_STATE(5263)] = 176455,
  [SMALL_STATE(5264)] = 176472,
  [SMALL_STATE(5265)] = 176497,
  [SMALL_STATE(5266)] = 176522,
  [SMALL_STATE(5267)] = 176547,
  [SMALL_STATE(5268)] = 176572,
  [SMALL_STATE(5269)] = 176597,
  [SMALL_STATE(5270)] = 176618,
  [SMALL_STATE(5271)] = 176639,
  [SMALL_STATE(5272)] = 176664,
  [SMALL_STATE(5273)] = 176689,
  [SMALL_STATE(5274)] = 176714,
  [SMALL_STATE(5275)] = 176735,
  [SMALL_STATE(5276)] = 176756,
  [SMALL_STATE(5277)] = 176777,
  [SMALL_STATE(5278)] = 176802,
  [SMALL_STATE(5279)] = 176823,
  [SMALL_STATE(5280)] = 176848,
  [SMALL_STATE(5281)] = 176873,
  [SMALL_STATE(5282)] = 176898,
  [SMALL_STATE(5283)] = 176919,
  [SMALL_STATE(5284)] = 176936,
  [SMALL_STATE(5285)] = 176957,
  [SMALL_STATE(5286)] = 176982,
  [SMALL_STATE(5287)] = 177007,
  [SMALL_STATE(5288)] = 177032,
  [SMALL_STATE(5289)] = 177057,
  [SMALL_STATE(5290)] = 177082,
  [SMALL_STATE(5291)] = 177107,
  [SMALL_STATE(5292)] = 177130,
  [SMALL_STATE(5293)] = 177155,
  [SMALL_STATE(5294)] = 177176,
  [SMALL_STATE(5295)] = 177201,
  [SMALL_STATE(5296)] = 177222,
  [SMALL_STATE(5297)] = 177245,
  [SMALL_STATE(5298)] = 177270,
  [SMALL_STATE(5299)] = 177291,
  [SMALL_STATE(5300)] = 177316,
  [SMALL_STATE(5301)] = 177333,
  [SMALL_STATE(5302)] = 177350,
  [SMALL_STATE(5303)] = 177375,
  [SMALL_STATE(5304)] = 177396,
  [SMALL_STATE(5305)] = 177415,
  [SMALL_STATE(5306)] = 177436,
  [SMALL_STATE(5307)] = 177461,
  [SMALL_STATE(5308)] = 177482,
  [SMALL_STATE(5309)] = 177499,
  [SMALL_STATE(5310)] = 177520,
  [SMALL_STATE(5311)] = 177541,
  [SMALL_STATE(5312)] = 177558,
  [SMALL_STATE(5313)] = 177583,
  [SMALL_STATE(5314)] = 177600,
  [SMALL_STATE(5315)] = 177623,
  [SMALL_STATE(5316)] = 177648,
  [SMALL_STATE(5317)] = 177673,
  [SMALL_STATE(5318)] = 177690,
  [SMALL_STATE(5319)] = 177715,
  [SMALL_STATE(5320)] = 177732,
  [SMALL_STATE(5321)] = 177755,
  [SMALL_STATE(5322)] = 177772,
  [SMALL_STATE(5323)] = 177789,
  [SMALL_STATE(5324)] = 177806,
  [SMALL_STATE(5325)] = 177823,
  [SMALL_STATE(5326)] = 177840,
  [SMALL_STATE(5327)] = 177865,
  [SMALL_STATE(5328)] = 177882,
  [SMALL_STATE(5329)] = 177907,
  [SMALL_STATE(5330)] = 177926,
  [SMALL_STATE(5331)] = 177951,
  [SMALL_STATE(5332)] = 177968,
  [SMALL_STATE(5333)] = 177985,
  [SMALL_STATE(5334)] = 178006,
  [SMALL_STATE(5335)] = 178027,
  [SMALL_STATE(5336)] = 178052,
  [SMALL_STATE(5337)] = 178077,
  [SMALL_STATE(5338)] = 178098,
  [SMALL_STATE(5339)] = 178123,
  [SMALL_STATE(5340)] = 178144,
  [SMALL_STATE(5341)] = 178169,
  [SMALL_STATE(5342)] = 178188,
  [SMALL_STATE(5343)] = 178209,
  [SMALL_STATE(5344)] = 178228,
  [SMALL_STATE(5345)] = 178245,
  [SMALL_STATE(5346)] = 178264,
  [SMALL_STATE(5347)] = 178281,
  [SMALL_STATE(5348)] = 178298,
  [SMALL_STATE(5349)] = 178323,
  [SMALL_STATE(5350)] = 178340,
  [SMALL_STATE(5351)] = 178365,
  [SMALL_STATE(5352)] = 178386,
  [SMALL_STATE(5353)] = 178403,
  [SMALL_STATE(5354)] = 178424,
  [SMALL_STATE(5355)] = 178445,
  [SMALL_STATE(5356)] = 178466,
  [SMALL_STATE(5357)] = 178491,
  [SMALL_STATE(5358)] = 178508,
  [SMALL_STATE(5359)] = 178529,
  [SMALL_STATE(5360)] = 178554,
  [SMALL_STATE(5361)] = 178575,
  [SMALL_STATE(5362)] = 178598,
  [SMALL_STATE(5363)] = 178619,
  [SMALL_STATE(5364)] = 178636,
  [SMALL_STATE(5365)] = 178661,
  [SMALL_STATE(5366)] = 178682,
  [SMALL_STATE(5367)] = 178707,
  [SMALL_STATE(5368)] = 178728,
  [SMALL_STATE(5369)] = 178753,
  [SMALL_STATE(5370)] = 178770,
  [SMALL_STATE(5371)] = 178795,
  [SMALL_STATE(5372)] = 178820,
  [SMALL_STATE(5373)] = 178845,
  [SMALL_STATE(5374)] = 178866,
  [SMALL_STATE(5375)] = 178891,
  [SMALL_STATE(5376)] = 178912,
  [SMALL_STATE(5377)] = 178929,
  [SMALL_STATE(5378)] = 178952,
  [SMALL_STATE(5379)] = 178977,
  [SMALL_STATE(5380)] = 178994,
  [SMALL_STATE(5381)] = 179015,
  [SMALL_STATE(5382)] = 179038,
  [SMALL_STATE(5383)] = 179059,
  [SMALL_STATE(5384)] = 179080,
  [SMALL_STATE(5385)] = 179097,
  [SMALL_STATE(5386)] = 179120,
  [SMALL_STATE(5387)] = 179137,
  [SMALL_STATE(5388)] = 179158,
  [SMALL_STATE(5389)] = 179175,
  [SMALL_STATE(5390)] = 179196,
  [SMALL_STATE(5391)] = 179219,
  [SMALL_STATE(5392)] = 179240,
  [SMALL_STATE(5393)] = 179265,
  [SMALL_STATE(5394)] = 179282,
  [SMALL_STATE(5395)] = 179307,
  [SMALL_STATE(5396)] = 179332,
  [SMALL_STATE(5397)] = 179357,
  [SMALL_STATE(5398)] = 179378,
  [SMALL_STATE(5399)] = 179399,
  [SMALL_STATE(5400)] = 179420,
  [SMALL_STATE(5401)] = 179441,
  [SMALL_STATE(5402)] = 179462,
  [SMALL_STATE(5403)] = 179483,
  [SMALL_STATE(5404)] = 179504,
  [SMALL_STATE(5405)] = 179525,
  [SMALL_STATE(5406)] = 179546,
  [SMALL_STATE(5407)] = 179567,
  [SMALL_STATE(5408)] = 179588,
  [SMALL_STATE(5409)] = 179611,
  [SMALL_STATE(5410)] = 179632,
  [SMALL_STATE(5411)] = 179649,
  [SMALL_STATE(5412)] = 179670,
  [SMALL_STATE(5413)] = 179687,
  [SMALL_STATE(5414)] = 179708,
  [SMALL_STATE(5415)] = 179725,
  [SMALL_STATE(5416)] = 179746,
  [SMALL_STATE(5417)] = 179769,
  [SMALL_STATE(5418)] = 179794,
  [SMALL_STATE(5419)] = 179815,
  [SMALL_STATE(5420)] = 179836,
  [SMALL_STATE(5421)] = 179857,
  [SMALL_STATE(5422)] = 179878,
  [SMALL_STATE(5423)] = 179899,
  [SMALL_STATE(5424)] = 179920,
  [SMALL_STATE(5425)] = 179941,
  [SMALL_STATE(5426)] = 179962,
  [SMALL_STATE(5427)] = 179987,
  [SMALL_STATE(5428)] = 180004,
  [SMALL_STATE(5429)] = 180025,
  [SMALL_STATE(5430)] = 180042,
  [SMALL_STATE(5431)] = 180059,
  [SMALL_STATE(5432)] = 180076,
  [SMALL_STATE(5433)] = 180097,
  [SMALL_STATE(5434)] = 180122,
  [SMALL_STATE(5435)] = 180147,
  [SMALL_STATE(5436)] = 180164,
  [SMALL_STATE(5437)] = 180181,
  [SMALL_STATE(5438)] = 180198,
  [SMALL_STATE(5439)] = 180223,
  [SMALL_STATE(5440)] = 180244,
  [SMALL_STATE(5441)] = 180269,
  [SMALL_STATE(5442)] = 180294,
  [SMALL_STATE(5443)] = 180319,
  [SMALL_STATE(5444)] = 180342,
  [SMALL_STATE(5445)] = 180363,
  [SMALL_STATE(5446)] = 180380,
  [SMALL_STATE(5447)] = 180401,
  [SMALL_STATE(5448)] = 180426,
  [SMALL_STATE(5449)] = 180447,
  [SMALL_STATE(5450)] = 180470,
  [SMALL_STATE(5451)] = 180491,
  [SMALL_STATE(5452)] = 180508,
  [SMALL_STATE(5453)] = 180529,
  [SMALL_STATE(5454)] = 180550,
  [SMALL_STATE(5455)] = 180571,
  [SMALL_STATE(5456)] = 180594,
  [SMALL_STATE(5457)] = 180617,
  [SMALL_STATE(5458)] = 180636,
  [SMALL_STATE(5459)] = 180657,
  [SMALL_STATE(5460)] = 180678,
  [SMALL_STATE(5461)] = 180699,
  [SMALL_STATE(5462)] = 180724,
  [SMALL_STATE(5463)] = 180745,
  [SMALL_STATE(5464)] = 180762,
  [SMALL_STATE(5465)] = 180787,
  [SMALL_STATE(5466)] = 180808,
  [SMALL_STATE(5467)] = 180829,
  [SMALL_STATE(5468)] = 180846,
  [SMALL_STATE(5469)] = 180871,
  [SMALL_STATE(5470)] = 180896,
  [SMALL_STATE(5471)] = 180921,
  [SMALL_STATE(5472)] = 180942,
  [SMALL_STATE(5473)] = 180965,
  [SMALL_STATE(5474)] = 180986,
  [SMALL_STATE(5475)] = 181007,
  [SMALL_STATE(5476)] = 181032,
  [SMALL_STATE(5477)] = 181057,
  [SMALL_STATE(5478)] = 181078,
  [SMALL_STATE(5479)] = 181099,
  [SMALL_STATE(5480)] = 181116,
  [SMALL_STATE(5481)] = 181137,
  [SMALL_STATE(5482)] = 181158,
  [SMALL_STATE(5483)] = 181179,
  [SMALL_STATE(5484)] = 181204,
  [SMALL_STATE(5485)] = 181225,
  [SMALL_STATE(5486)] = 181250,
  [SMALL_STATE(5487)] = 181271,
  [SMALL_STATE(5488)] = 181292,
  [SMALL_STATE(5489)] = 181317,
  [SMALL_STATE(5490)] = 181338,
  [SMALL_STATE(5491)] = 181355,
  [SMALL_STATE(5492)] = 181376,
  [SMALL_STATE(5493)] = 181393,
  [SMALL_STATE(5494)] = 181414,
  [SMALL_STATE(5495)] = 181435,
  [SMALL_STATE(5496)] = 181460,
  [SMALL_STATE(5497)] = 181481,
  [SMALL_STATE(5498)] = 181506,
  [SMALL_STATE(5499)] = 181531,
  [SMALL_STATE(5500)] = 181556,
  [SMALL_STATE(5501)] = 181577,
  [SMALL_STATE(5502)] = 181598,
  [SMALL_STATE(5503)] = 181619,
  [SMALL_STATE(5504)] = 181640,
  [SMALL_STATE(5505)] = 181661,
  [SMALL_STATE(5506)] = 181682,
  [SMALL_STATE(5507)] = 181703,
  [SMALL_STATE(5508)] = 181724,
  [SMALL_STATE(5509)] = 181749,
  [SMALL_STATE(5510)] = 181770,
  [SMALL_STATE(5511)] = 181791,
  [SMALL_STATE(5512)] = 181812,
  [SMALL_STATE(5513)] = 181833,
  [SMALL_STATE(5514)] = 181856,
  [SMALL_STATE(5515)] = 181881,
  [SMALL_STATE(5516)] = 181902,
  [SMALL_STATE(5517)] = 181923,
  [SMALL_STATE(5518)] = 181940,
  [SMALL_STATE(5519)] = 181963,
  [SMALL_STATE(5520)] = 181986,
  [SMALL_STATE(5521)] = 182007,
  [SMALL_STATE(5522)] = 182032,
  [SMALL_STATE(5523)] = 182049,
  [SMALL_STATE(5524)] = 182070,
  [SMALL_STATE(5525)] = 182087,
  [SMALL_STATE(5526)] = 182108,
  [SMALL_STATE(5527)] = 182125,
  [SMALL_STATE(5528)] = 182150,
  [SMALL_STATE(5529)] = 182167,
  [SMALL_STATE(5530)] = 182192,
  [SMALL_STATE(5531)] = 182213,
  [SMALL_STATE(5532)] = 182234,
  [SMALL_STATE(5533)] = 182255,
  [SMALL_STATE(5534)] = 182276,
  [SMALL_STATE(5535)] = 182299,
  [SMALL_STATE(5536)] = 182324,
  [SMALL_STATE(5537)] = 182345,
  [SMALL_STATE(5538)] = 182370,
  [SMALL_STATE(5539)] = 182391,
  [SMALL_STATE(5540)] = 182412,
  [SMALL_STATE(5541)] = 182437,
  [SMALL_STATE(5542)] = 182462,
  [SMALL_STATE(5543)] = 182487,
  [SMALL_STATE(5544)] = 182504,
  [SMALL_STATE(5545)] = 182525,
  [SMALL_STATE(5546)] = 182547,
  [SMALL_STATE(5547)] = 182567,
  [SMALL_STATE(5548)] = 182589,
  [SMALL_STATE(5549)] = 182611,
  [SMALL_STATE(5550)] = 182633,
  [SMALL_STATE(5551)] = 182655,
  [SMALL_STATE(5552)] = 182673,
  [SMALL_STATE(5553)] = 182691,
  [SMALL_STATE(5554)] = 182711,
  [SMALL_STATE(5555)] = 182733,
  [SMALL_STATE(5556)] = 182751,
  [SMALL_STATE(5557)] = 182771,
  [SMALL_STATE(5558)] = 182791,
  [SMALL_STATE(5559)] = 182813,
  [SMALL_STATE(5560)] = 182833,
  [SMALL_STATE(5561)] = 182853,
  [SMALL_STATE(5562)] = 182873,
  [SMALL_STATE(5563)] = 182893,
  [SMALL_STATE(5564)] = 182913,
  [SMALL_STATE(5565)] = 182933,
  [SMALL_STATE(5566)] = 182953,
  [SMALL_STATE(5567)] = 182973,
  [SMALL_STATE(5568)] = 182993,
  [SMALL_STATE(5569)] = 183013,
  [SMALL_STATE(5570)] = 183033,
  [SMALL_STATE(5571)] = 183055,
  [SMALL_STATE(5572)] = 183075,
  [SMALL_STATE(5573)] = 183095,
  [SMALL_STATE(5574)] = 183117,
  [SMALL_STATE(5575)] = 183137,
  [SMALL_STATE(5576)] = 183159,
  [SMALL_STATE(5577)] = 183181,
  [SMALL_STATE(5578)] = 183197,
  [SMALL_STATE(5579)] = 183219,
  [SMALL_STATE(5580)] = 183237,
  [SMALL_STATE(5581)] = 183257,
  [SMALL_STATE(5582)] = 183273,
  [SMALL_STATE(5583)] = 183295,
  [SMALL_STATE(5584)] = 183315,
  [SMALL_STATE(5585)] = 183337,
  [SMALL_STATE(5586)] = 183357,
  [SMALL_STATE(5587)] = 183377,
  [SMALL_STATE(5588)] = 183397,
  [SMALL_STATE(5589)] = 183417,
  [SMALL_STATE(5590)] = 183437,
  [SMALL_STATE(5591)] = 183457,
  [SMALL_STATE(5592)] = 183477,
  [SMALL_STATE(5593)] = 183497,
  [SMALL_STATE(5594)] = 183517,
  [SMALL_STATE(5595)] = 183533,
  [SMALL_STATE(5596)] = 183553,
  [SMALL_STATE(5597)] = 183573,
  [SMALL_STATE(5598)] = 183593,
  [SMALL_STATE(5599)] = 183613,
  [SMALL_STATE(5600)] = 183635,
  [SMALL_STATE(5601)] = 183657,
  [SMALL_STATE(5602)] = 183679,
  [SMALL_STATE(5603)] = 183701,
  [SMALL_STATE(5604)] = 183721,
  [SMALL_STATE(5605)] = 183743,
  [SMALL_STATE(5606)] = 183765,
  [SMALL_STATE(5607)] = 183785,
  [SMALL_STATE(5608)] = 183807,
  [SMALL_STATE(5609)] = 183829,
  [SMALL_STATE(5610)] = 183851,
  [SMALL_STATE(5611)] = 183871,
  [SMALL_STATE(5612)] = 183891,
  [SMALL_STATE(5613)] = 183913,
  [SMALL_STATE(5614)] = 183933,
  [SMALL_STATE(5615)] = 183953,
  [SMALL_STATE(5616)] = 183973,
  [SMALL_STATE(5617)] = 183993,
  [SMALL_STATE(5618)] = 184013,
  [SMALL_STATE(5619)] = 184035,
  [SMALL_STATE(5620)] = 184057,
  [SMALL_STATE(5621)] = 184077,
  [SMALL_STATE(5622)] = 184095,
  [SMALL_STATE(5623)] = 184117,
  [SMALL_STATE(5624)] = 184137,
  [SMALL_STATE(5625)] = 184157,
  [SMALL_STATE(5626)] = 184179,
  [SMALL_STATE(5627)] = 184199,
  [SMALL_STATE(5628)] = 184221,
  [SMALL_STATE(5629)] = 184241,
  [SMALL_STATE(5630)] = 184263,
  [SMALL_STATE(5631)] = 184283,
  [SMALL_STATE(5632)] = 184303,
  [SMALL_STATE(5633)] = 184325,
  [SMALL_STATE(5634)] = 184345,
  [SMALL_STATE(5635)] = 184365,
  [SMALL_STATE(5636)] = 184385,
  [SMALL_STATE(5637)] = 184405,
  [SMALL_STATE(5638)] = 184427,
  [SMALL_STATE(5639)] = 184447,
  [SMALL_STATE(5640)] = 184467,
  [SMALL_STATE(5641)] = 184489,
  [SMALL_STATE(5642)] = 184511,
  [SMALL_STATE(5643)] = 184531,
  [SMALL_STATE(5644)] = 184551,
  [SMALL_STATE(5645)] = 184573,
  [SMALL_STATE(5646)] = 184593,
  [SMALL_STATE(5647)] = 184615,
  [SMALL_STATE(5648)] = 184635,
  [SMALL_STATE(5649)] = 184657,
  [SMALL_STATE(5650)] = 184679,
  [SMALL_STATE(5651)] = 184699,
  [SMALL_STATE(5652)] = 184721,
  [SMALL_STATE(5653)] = 184741,
  [SMALL_STATE(5654)] = 184761,
  [SMALL_STATE(5655)] = 184781,
  [SMALL_STATE(5656)] = 184801,
  [SMALL_STATE(5657)] = 184821,
  [SMALL_STATE(5658)] = 184841,
  [SMALL_STATE(5659)] = 184861,
  [SMALL_STATE(5660)] = 184881,
  [SMALL_STATE(5661)] = 184903,
  [SMALL_STATE(5662)] = 184923,
  [SMALL_STATE(5663)] = 184943,
  [SMALL_STATE(5664)] = 184963,
  [SMALL_STATE(5665)] = 184983,
  [SMALL_STATE(5666)] = 185003,
  [SMALL_STATE(5667)] = 185023,
  [SMALL_STATE(5668)] = 185043,
  [SMALL_STATE(5669)] = 185065,
  [SMALL_STATE(5670)] = 185087,
  [SMALL_STATE(5671)] = 185107,
  [SMALL_STATE(5672)] = 185127,
  [SMALL_STATE(5673)] = 185149,
  [SMALL_STATE(5674)] = 185169,
  [SMALL_STATE(5675)] = 185191,
  [SMALL_STATE(5676)] = 185211,
  [SMALL_STATE(5677)] = 185231,
  [SMALL_STATE(5678)] = 185251,
  [SMALL_STATE(5679)] = 185273,
  [SMALL_STATE(5680)] = 185295,
  [SMALL_STATE(5681)] = 185313,
  [SMALL_STATE(5682)] = 185331,
  [SMALL_STATE(5683)] = 185349,
  [SMALL_STATE(5684)] = 185369,
  [SMALL_STATE(5685)] = 185389,
  [SMALL_STATE(5686)] = 185409,
  [SMALL_STATE(5687)] = 185431,
  [SMALL_STATE(5688)] = 185449,
  [SMALL_STATE(5689)] = 185469,
  [SMALL_STATE(5690)] = 185491,
  [SMALL_STATE(5691)] = 185511,
  [SMALL_STATE(5692)] = 185531,
  [SMALL_STATE(5693)] = 185551,
  [SMALL_STATE(5694)] = 185571,
  [SMALL_STATE(5695)] = 185593,
  [SMALL_STATE(5696)] = 185615,
  [SMALL_STATE(5697)] = 185635,
  [SMALL_STATE(5698)] = 185655,
  [SMALL_STATE(5699)] = 185677,
  [SMALL_STATE(5700)] = 185697,
  [SMALL_STATE(5701)] = 185717,
  [SMALL_STATE(5702)] = 185737,
  [SMALL_STATE(5703)] = 185757,
  [SMALL_STATE(5704)] = 185777,
  [SMALL_STATE(5705)] = 185799,
  [SMALL_STATE(5706)] = 185821,
  [SMALL_STATE(5707)] = 185843,
  [SMALL_STATE(5708)] = 185863,
  [SMALL_STATE(5709)] = 185883,
  [SMALL_STATE(5710)] = 185903,
  [SMALL_STATE(5711)] = 185923,
  [SMALL_STATE(5712)] = 185945,
  [SMALL_STATE(5713)] = 185965,
  [SMALL_STATE(5714)] = 185985,
  [SMALL_STATE(5715)] = 186005,
  [SMALL_STATE(5716)] = 186025,
  [SMALL_STATE(5717)] = 186045,
  [SMALL_STATE(5718)] = 186067,
  [SMALL_STATE(5719)] = 186087,
  [SMALL_STATE(5720)] = 186109,
  [SMALL_STATE(5721)] = 186125,
  [SMALL_STATE(5722)] = 186147,
  [SMALL_STATE(5723)] = 186167,
  [SMALL_STATE(5724)] = 186187,
  [SMALL_STATE(5725)] = 186209,
  [SMALL_STATE(5726)] = 186231,
  [SMALL_STATE(5727)] = 186251,
  [SMALL_STATE(5728)] = 186273,
  [SMALL_STATE(5729)] = 186293,
  [SMALL_STATE(5730)] = 186313,
  [SMALL_STATE(5731)] = 186335,
  [SMALL_STATE(5732)] = 186355,
  [SMALL_STATE(5733)] = 186375,
  [SMALL_STATE(5734)] = 186397,
  [SMALL_STATE(5735)] = 186419,
  [SMALL_STATE(5736)] = 186435,
  [SMALL_STATE(5737)] = 186451,
  [SMALL_STATE(5738)] = 186473,
  [SMALL_STATE(5739)] = 186489,
  [SMALL_STATE(5740)] = 186511,
  [SMALL_STATE(5741)] = 186529,
  [SMALL_STATE(5742)] = 186551,
  [SMALL_STATE(5743)] = 186573,
  [SMALL_STATE(5744)] = 186595,
  [SMALL_STATE(5745)] = 186615,
  [SMALL_STATE(5746)] = 186635,
  [SMALL_STATE(5747)] = 186655,
  [SMALL_STATE(5748)] = 186675,
  [SMALL_STATE(5749)] = 186695,
  [SMALL_STATE(5750)] = 186717,
  [SMALL_STATE(5751)] = 186739,
  [SMALL_STATE(5752)] = 186759,
  [SMALL_STATE(5753)] = 186779,
  [SMALL_STATE(5754)] = 186801,
  [SMALL_STATE(5755)] = 186823,
  [SMALL_STATE(5756)] = 186839,
  [SMALL_STATE(5757)] = 186861,
  [SMALL_STATE(5758)] = 186883,
  [SMALL_STATE(5759)] = 186905,
  [SMALL_STATE(5760)] = 186927,
  [SMALL_STATE(5761)] = 186949,
  [SMALL_STATE(5762)] = 186969,
  [SMALL_STATE(5763)] = 186989,
  [SMALL_STATE(5764)] = 187009,
  [SMALL_STATE(5765)] = 187031,
  [SMALL_STATE(5766)] = 187051,
  [SMALL_STATE(5767)] = 187071,
  [SMALL_STATE(5768)] = 187093,
  [SMALL_STATE(5769)] = 187113,
  [SMALL_STATE(5770)] = 187133,
  [SMALL_STATE(5771)] = 187155,
  [SMALL_STATE(5772)] = 187175,
  [SMALL_STATE(5773)] = 187197,
  [SMALL_STATE(5774)] = 187217,
  [SMALL_STATE(5775)] = 187237,
  [SMALL_STATE(5776)] = 187259,
  [SMALL_STATE(5777)] = 187274,
  [SMALL_STATE(5778)] = 187289,
  [SMALL_STATE(5779)] = 187304,
  [SMALL_STATE(5780)] = 187319,
  [SMALL_STATE(5781)] = 187334,
  [SMALL_STATE(5782)] = 187353,
  [SMALL_STATE(5783)] = 187368,
  [SMALL_STATE(5784)] = 187383,
  [SMALL_STATE(5785)] = 187398,
  [SMALL_STATE(5786)] = 187417,
  [SMALL_STATE(5787)] = 187432,
  [SMALL_STATE(5788)] = 187451,
  [SMALL_STATE(5789)] = 187466,
  [SMALL_STATE(5790)] = 187481,
  [SMALL_STATE(5791)] = 187498,
  [SMALL_STATE(5792)] = 187517,
  [SMALL_STATE(5793)] = 187536,
  [SMALL_STATE(5794)] = 187551,
  [SMALL_STATE(5795)] = 187570,
  [SMALL_STATE(5796)] = 187585,
  [SMALL_STATE(5797)] = 187600,
  [SMALL_STATE(5798)] = 187619,
  [SMALL_STATE(5799)] = 187638,
  [SMALL_STATE(5800)] = 187653,
  [SMALL_STATE(5801)] = 187670,
  [SMALL_STATE(5802)] = 187689,
  [SMALL_STATE(5803)] = 187708,
  [SMALL_STATE(5804)] = 187727,
  [SMALL_STATE(5805)] = 187746,
  [SMALL_STATE(5806)] = 187763,
  [SMALL_STATE(5807)] = 187782,
  [SMALL_STATE(5808)] = 187797,
  [SMALL_STATE(5809)] = 187812,
  [SMALL_STATE(5810)] = 187827,
  [SMALL_STATE(5811)] = 187844,
  [SMALL_STATE(5812)] = 187859,
  [SMALL_STATE(5813)] = 187878,
  [SMALL_STATE(5814)] = 187893,
  [SMALL_STATE(5815)] = 187912,
  [SMALL_STATE(5816)] = 187929,
  [SMALL_STATE(5817)] = 187948,
  [SMALL_STATE(5818)] = 187963,
  [SMALL_STATE(5819)] = 187980,
  [SMALL_STATE(5820)] = 187997,
  [SMALL_STATE(5821)] = 188016,
  [SMALL_STATE(5822)] = 188031,
  [SMALL_STATE(5823)] = 188046,
  [SMALL_STATE(5824)] = 188061,
  [SMALL_STATE(5825)] = 188076,
  [SMALL_STATE(5826)] = 188095,
  [SMALL_STATE(5827)] = 188110,
  [SMALL_STATE(5828)] = 188125,
  [SMALL_STATE(5829)] = 188140,
  [SMALL_STATE(5830)] = 188155,
  [SMALL_STATE(5831)] = 188170,
  [SMALL_STATE(5832)] = 188187,
  [SMALL_STATE(5833)] = 188202,
  [SMALL_STATE(5834)] = 188217,
  [SMALL_STATE(5835)] = 188232,
  [SMALL_STATE(5836)] = 188247,
  [SMALL_STATE(5837)] = 188264,
  [SMALL_STATE(5838)] = 188279,
  [SMALL_STATE(5839)] = 188298,
  [SMALL_STATE(5840)] = 188317,
  [SMALL_STATE(5841)] = 188332,
  [SMALL_STATE(5842)] = 188347,
  [SMALL_STATE(5843)] = 188366,
  [SMALL_STATE(5844)] = 188385,
  [SMALL_STATE(5845)] = 188404,
  [SMALL_STATE(5846)] = 188419,
  [SMALL_STATE(5847)] = 188438,
  [SMALL_STATE(5848)] = 188457,
  [SMALL_STATE(5849)] = 188476,
  [SMALL_STATE(5850)] = 188495,
  [SMALL_STATE(5851)] = 188510,
  [SMALL_STATE(5852)] = 188525,
  [SMALL_STATE(5853)] = 188540,
  [SMALL_STATE(5854)] = 188555,
  [SMALL_STATE(5855)] = 188574,
  [SMALL_STATE(5856)] = 188593,
  [SMALL_STATE(5857)] = 188608,
  [SMALL_STATE(5858)] = 188623,
  [SMALL_STATE(5859)] = 188638,
  [SMALL_STATE(5860)] = 188653,
  [SMALL_STATE(5861)] = 188668,
  [SMALL_STATE(5862)] = 188683,
  [SMALL_STATE(5863)] = 188702,
  [SMALL_STATE(5864)] = 188717,
  [SMALL_STATE(5865)] = 188732,
  [SMALL_STATE(5866)] = 188747,
  [SMALL_STATE(5867)] = 188766,
  [SMALL_STATE(5868)] = 188785,
  [SMALL_STATE(5869)] = 188800,
  [SMALL_STATE(5870)] = 188819,
  [SMALL_STATE(5871)] = 188836,
  [SMALL_STATE(5872)] = 188853,
  [SMALL_STATE(5873)] = 188868,
  [SMALL_STATE(5874)] = 188883,
  [SMALL_STATE(5875)] = 188898,
  [SMALL_STATE(5876)] = 188913,
  [SMALL_STATE(5877)] = 188928,
  [SMALL_STATE(5878)] = 188943,
  [SMALL_STATE(5879)] = 188958,
  [SMALL_STATE(5880)] = 188973,
  [SMALL_STATE(5881)] = 188988,
  [SMALL_STATE(5882)] = 189007,
  [SMALL_STATE(5883)] = 189022,
  [SMALL_STATE(5884)] = 189041,
  [SMALL_STATE(5885)] = 189056,
  [SMALL_STATE(5886)] = 189075,
  [SMALL_STATE(5887)] = 189090,
  [SMALL_STATE(5888)] = 189105,
  [SMALL_STATE(5889)] = 189124,
  [SMALL_STATE(5890)] = 189143,
  [SMALL_STATE(5891)] = 189158,
  [SMALL_STATE(5892)] = 189173,
  [SMALL_STATE(5893)] = 189192,
  [SMALL_STATE(5894)] = 189207,
  [SMALL_STATE(5895)] = 189222,
  [SMALL_STATE(5896)] = 189241,
  [SMALL_STATE(5897)] = 189258,
  [SMALL_STATE(5898)] = 189277,
  [SMALL_STATE(5899)] = 189296,
  [SMALL_STATE(5900)] = 189315,
  [SMALL_STATE(5901)] = 189332,
  [SMALL_STATE(5902)] = 189347,
  [SMALL_STATE(5903)] = 189366,
  [SMALL_STATE(5904)] = 189385,
  [SMALL_STATE(5905)] = 189400,
  [SMALL_STATE(5906)] = 189419,
  [SMALL_STATE(5907)] = 189438,
  [SMALL_STATE(5908)] = 189457,
  [SMALL_STATE(5909)] = 189472,
  [SMALL_STATE(5910)] = 189487,
  [SMALL_STATE(5911)] = 189506,
  [SMALL_STATE(5912)] = 189525,
  [SMALL_STATE(5913)] = 189540,
  [SMALL_STATE(5914)] = 189555,
  [SMALL_STATE(5915)] = 189572,
  [SMALL_STATE(5916)] = 189587,
  [SMALL_STATE(5917)] = 189604,
  [SMALL_STATE(5918)] = 189619,
  [SMALL_STATE(5919)] = 189634,
  [SMALL_STATE(5920)] = 189653,
  [SMALL_STATE(5921)] = 189670,
  [SMALL_STATE(5922)] = 189685,
  [SMALL_STATE(5923)] = 189704,
  [SMALL_STATE(5924)] = 189719,
  [SMALL_STATE(5925)] = 189738,
  [SMALL_STATE(5926)] = 189755,
  [SMALL_STATE(5927)] = 189770,
  [SMALL_STATE(5928)] = 189789,
  [SMALL_STATE(5929)] = 189808,
  [SMALL_STATE(5930)] = 189823,
  [SMALL_STATE(5931)] = 189842,
  [SMALL_STATE(5932)] = 189857,
  [SMALL_STATE(5933)] = 189876,
  [SMALL_STATE(5934)] = 189891,
  [SMALL_STATE(5935)] = 189910,
  [SMALL_STATE(5936)] = 189927,
  [SMALL_STATE(5937)] = 189946,
  [SMALL_STATE(5938)] = 189961,
  [SMALL_STATE(5939)] = 189976,
  [SMALL_STATE(5940)] = 189991,
  [SMALL_STATE(5941)] = 190006,
  [SMALL_STATE(5942)] = 190025,
  [SMALL_STATE(5943)] = 190042,
  [SMALL_STATE(5944)] = 190061,
  [SMALL_STATE(5945)] = 190080,
  [SMALL_STATE(5946)] = 190099,
  [SMALL_STATE(5947)] = 190118,
  [SMALL_STATE(5948)] = 190133,
  [SMALL_STATE(5949)] = 190148,
  [SMALL_STATE(5950)] = 190167,
  [SMALL_STATE(5951)] = 190182,
  [SMALL_STATE(5952)] = 190197,
  [SMALL_STATE(5953)] = 190214,
  [SMALL_STATE(5954)] = 190233,
  [SMALL_STATE(5955)] = 190248,
  [SMALL_STATE(5956)] = 190267,
  [SMALL_STATE(5957)] = 190286,
  [SMALL_STATE(5958)] = 190301,
  [SMALL_STATE(5959)] = 190320,
  [SMALL_STATE(5960)] = 190335,
  [SMALL_STATE(5961)] = 190350,
  [SMALL_STATE(5962)] = 190369,
  [SMALL_STATE(5963)] = 190384,
  [SMALL_STATE(5964)] = 190403,
  [SMALL_STATE(5965)] = 190420,
  [SMALL_STATE(5966)] = 190437,
  [SMALL_STATE(5967)] = 190454,
  [SMALL_STATE(5968)] = 190471,
  [SMALL_STATE(5969)] = 190486,
  [SMALL_STATE(5970)] = 190503,
  [SMALL_STATE(5971)] = 190520,
  [SMALL_STATE(5972)] = 190537,
  [SMALL_STATE(5973)] = 190554,
  [SMALL_STATE(5974)] = 190571,
  [SMALL_STATE(5975)] = 190588,
  [SMALL_STATE(5976)] = 190603,
  [SMALL_STATE(5977)] = 190622,
  [SMALL_STATE(5978)] = 190639,
  [SMALL_STATE(5979)] = 190656,
  [SMALL_STATE(5980)] = 190673,
  [SMALL_STATE(5981)] = 190688,
  [SMALL_STATE(5982)] = 190703,
  [SMALL_STATE(5983)] = 190722,
  [SMALL_STATE(5984)] = 190737,
  [SMALL_STATE(5985)] = 190756,
  [SMALL_STATE(5986)] = 190775,
  [SMALL_STATE(5987)] = 190790,
  [SMALL_STATE(5988)] = 190809,
  [SMALL_STATE(5989)] = 190824,
  [SMALL_STATE(5990)] = 190843,
  [SMALL_STATE(5991)] = 190862,
  [SMALL_STATE(5992)] = 190877,
  [SMALL_STATE(5993)] = 190892,
  [SMALL_STATE(5994)] = 190907,
  [SMALL_STATE(5995)] = 190926,
  [SMALL_STATE(5996)] = 190941,
  [SMALL_STATE(5997)] = 190956,
  [SMALL_STATE(5998)] = 190971,
  [SMALL_STATE(5999)] = 190986,
  [SMALL_STATE(6000)] = 191003,
  [SMALL_STATE(6001)] = 191022,
  [SMALL_STATE(6002)] = 191037,
  [SMALL_STATE(6003)] = 191056,
  [SMALL_STATE(6004)] = 191071,
  [SMALL_STATE(6005)] = 191086,
  [SMALL_STATE(6006)] = 191101,
  [SMALL_STATE(6007)] = 191116,
  [SMALL_STATE(6008)] = 191131,
  [SMALL_STATE(6009)] = 191146,
  [SMALL_STATE(6010)] = 191161,
  [SMALL_STATE(6011)] = 191176,
  [SMALL_STATE(6012)] = 191195,
  [SMALL_STATE(6013)] = 191210,
  [SMALL_STATE(6014)] = 191225,
  [SMALL_STATE(6015)] = 191240,
  [SMALL_STATE(6016)] = 191259,
  [SMALL_STATE(6017)] = 191278,
  [SMALL_STATE(6018)] = 191293,
  [SMALL_STATE(6019)] = 191312,
  [SMALL_STATE(6020)] = 191331,
  [SMALL_STATE(6021)] = 191346,
  [SMALL_STATE(6022)] = 191363,
  [SMALL_STATE(6023)] = 191378,
  [SMALL_STATE(6024)] = 191397,
  [SMALL_STATE(6025)] = 191412,
  [SMALL_STATE(6026)] = 191431,
  [SMALL_STATE(6027)] = 191450,
  [SMALL_STATE(6028)] = 191465,
  [SMALL_STATE(6029)] = 191480,
  [SMALL_STATE(6030)] = 191497,
  [SMALL_STATE(6031)] = 191512,
  [SMALL_STATE(6032)] = 191529,
  [SMALL_STATE(6033)] = 191544,
  [SMALL_STATE(6034)] = 191559,
  [SMALL_STATE(6035)] = 191578,
  [SMALL_STATE(6036)] = 191593,
  [SMALL_STATE(6037)] = 191608,
  [SMALL_STATE(6038)] = 191627,
  [SMALL_STATE(6039)] = 191646,
  [SMALL_STATE(6040)] = 191665,
  [SMALL_STATE(6041)] = 191680,
  [SMALL_STATE(6042)] = 191695,
  [SMALL_STATE(6043)] = 191710,
  [SMALL_STATE(6044)] = 191725,
  [SMALL_STATE(6045)] = 191740,
  [SMALL_STATE(6046)] = 191755,
  [SMALL_STATE(6047)] = 191770,
  [SMALL_STATE(6048)] = 191789,
  [SMALL_STATE(6049)] = 191804,
  [SMALL_STATE(6050)] = 191819,
  [SMALL_STATE(6051)] = 191834,
  [SMALL_STATE(6052)] = 191851,
  [SMALL_STATE(6053)] = 191866,
  [SMALL_STATE(6054)] = 191881,
  [SMALL_STATE(6055)] = 191896,
  [SMALL_STATE(6056)] = 191911,
  [SMALL_STATE(6057)] = 191926,
  [SMALL_STATE(6058)] = 191941,
  [SMALL_STATE(6059)] = 191960,
  [SMALL_STATE(6060)] = 191975,
  [SMALL_STATE(6061)] = 191990,
  [SMALL_STATE(6062)] = 192005,
  [SMALL_STATE(6063)] = 192020,
  [SMALL_STATE(6064)] = 192035,
  [SMALL_STATE(6065)] = 192050,
  [SMALL_STATE(6066)] = 192065,
  [SMALL_STATE(6067)] = 192080,
  [SMALL_STATE(6068)] = 192095,
  [SMALL_STATE(6069)] = 192114,
  [SMALL_STATE(6070)] = 192133,
  [SMALL_STATE(6071)] = 192148,
  [SMALL_STATE(6072)] = 192163,
  [SMALL_STATE(6073)] = 192178,
  [SMALL_STATE(6074)] = 192195,
  [SMALL_STATE(6075)] = 192210,
  [SMALL_STATE(6076)] = 192225,
  [SMALL_STATE(6077)] = 192240,
  [SMALL_STATE(6078)] = 192257,
  [SMALL_STATE(6079)] = 192276,
  [SMALL_STATE(6080)] = 192295,
  [SMALL_STATE(6081)] = 192314,
  [SMALL_STATE(6082)] = 192333,
  [SMALL_STATE(6083)] = 192348,
  [SMALL_STATE(6084)] = 192363,
  [SMALL_STATE(6085)] = 192378,
  [SMALL_STATE(6086)] = 192393,
  [SMALL_STATE(6087)] = 192412,
  [SMALL_STATE(6088)] = 192427,
  [SMALL_STATE(6089)] = 192444,
  [SMALL_STATE(6090)] = 192459,
  [SMALL_STATE(6091)] = 192474,
  [SMALL_STATE(6092)] = 192491,
  [SMALL_STATE(6093)] = 192508,
  [SMALL_STATE(6094)] = 192523,
  [SMALL_STATE(6095)] = 192538,
  [SMALL_STATE(6096)] = 192553,
  [SMALL_STATE(6097)] = 192568,
  [SMALL_STATE(6098)] = 192583,
  [SMALL_STATE(6099)] = 192598,
  [SMALL_STATE(6100)] = 192615,
  [SMALL_STATE(6101)] = 192632,
  [SMALL_STATE(6102)] = 192649,
  [SMALL_STATE(6103)] = 192664,
  [SMALL_STATE(6104)] = 192679,
  [SMALL_STATE(6105)] = 192696,
  [SMALL_STATE(6106)] = 192711,
  [SMALL_STATE(6107)] = 192726,
  [SMALL_STATE(6108)] = 192743,
  [SMALL_STATE(6109)] = 192758,
  [SMALL_STATE(6110)] = 192773,
  [SMALL_STATE(6111)] = 192792,
  [SMALL_STATE(6112)] = 192807,
  [SMALL_STATE(6113)] = 192822,
  [SMALL_STATE(6114)] = 192837,
  [SMALL_STATE(6115)] = 192852,
  [SMALL_STATE(6116)] = 192867,
  [SMALL_STATE(6117)] = 192882,
  [SMALL_STATE(6118)] = 192901,
  [SMALL_STATE(6119)] = 192916,
  [SMALL_STATE(6120)] = 192933,
  [SMALL_STATE(6121)] = 192950,
  [SMALL_STATE(6122)] = 192965,
  [SMALL_STATE(6123)] = 192980,
  [SMALL_STATE(6124)] = 192995,
  [SMALL_STATE(6125)] = 193014,
  [SMALL_STATE(6126)] = 193029,
  [SMALL_STATE(6127)] = 193044,
  [SMALL_STATE(6128)] = 193063,
  [SMALL_STATE(6129)] = 193082,
  [SMALL_STATE(6130)] = 193097,
  [SMALL_STATE(6131)] = 193112,
  [SMALL_STATE(6132)] = 193131,
  [SMALL_STATE(6133)] = 193146,
  [SMALL_STATE(6134)] = 193161,
  [SMALL_STATE(6135)] = 193180,
  [SMALL_STATE(6136)] = 193199,
  [SMALL_STATE(6137)] = 193218,
  [SMALL_STATE(6138)] = 193237,
  [SMALL_STATE(6139)] = 193252,
  [SMALL_STATE(6140)] = 193267,
  [SMALL_STATE(6141)] = 193282,
  [SMALL_STATE(6142)] = 193297,
  [SMALL_STATE(6143)] = 193312,
  [SMALL_STATE(6144)] = 193327,
  [SMALL_STATE(6145)] = 193342,
  [SMALL_STATE(6146)] = 193357,
  [SMALL_STATE(6147)] = 193376,
  [SMALL_STATE(6148)] = 193395,
  [SMALL_STATE(6149)] = 193410,
  [SMALL_STATE(6150)] = 193425,
  [SMALL_STATE(6151)] = 193440,
  [SMALL_STATE(6152)] = 193455,
  [SMALL_STATE(6153)] = 193474,
  [SMALL_STATE(6154)] = 193493,
  [SMALL_STATE(6155)] = 193510,
  [SMALL_STATE(6156)] = 193529,
  [SMALL_STATE(6157)] = 193544,
  [SMALL_STATE(6158)] = 193563,
  [SMALL_STATE(6159)] = 193578,
  [SMALL_STATE(6160)] = 193593,
  [SMALL_STATE(6161)] = 193608,
  [SMALL_STATE(6162)] = 193625,
  [SMALL_STATE(6163)] = 193642,
  [SMALL_STATE(6164)] = 193657,
  [SMALL_STATE(6165)] = 193674,
  [SMALL_STATE(6166)] = 193689,
  [SMALL_STATE(6167)] = 193704,
  [SMALL_STATE(6168)] = 193721,
  [SMALL_STATE(6169)] = 193740,
  [SMALL_STATE(6170)] = 193755,
  [SMALL_STATE(6171)] = 193774,
  [SMALL_STATE(6172)] = 193793,
  [SMALL_STATE(6173)] = 193808,
  [SMALL_STATE(6174)] = 193823,
  [SMALL_STATE(6175)] = 193842,
  [SMALL_STATE(6176)] = 193861,
  [SMALL_STATE(6177)] = 193880,
  [SMALL_STATE(6178)] = 193895,
  [SMALL_STATE(6179)] = 193914,
  [SMALL_STATE(6180)] = 193933,
  [SMALL_STATE(6181)] = 193952,
  [SMALL_STATE(6182)] = 193971,
  [SMALL_STATE(6183)] = 193988,
  [SMALL_STATE(6184)] = 194003,
  [SMALL_STATE(6185)] = 194018,
  [SMALL_STATE(6186)] = 194037,
  [SMALL_STATE(6187)] = 194056,
  [SMALL_STATE(6188)] = 194075,
  [SMALL_STATE(6189)] = 194094,
  [SMALL_STATE(6190)] = 194109,
  [SMALL_STATE(6191)] = 194128,
  [SMALL_STATE(6192)] = 194143,
  [SMALL_STATE(6193)] = 194162,
  [SMALL_STATE(6194)] = 194177,
  [SMALL_STATE(6195)] = 194196,
  [SMALL_STATE(6196)] = 194211,
  [SMALL_STATE(6197)] = 194226,
  [SMALL_STATE(6198)] = 194245,
  [SMALL_STATE(6199)] = 194260,
  [SMALL_STATE(6200)] = 194275,
  [SMALL_STATE(6201)] = 194290,
  [SMALL_STATE(6202)] = 194307,
  [SMALL_STATE(6203)] = 194326,
  [SMALL_STATE(6204)] = 194341,
  [SMALL_STATE(6205)] = 194358,
  [SMALL_STATE(6206)] = 194373,
  [SMALL_STATE(6207)] = 194388,
  [SMALL_STATE(6208)] = 194403,
  [SMALL_STATE(6209)] = 194418,
  [SMALL_STATE(6210)] = 194437,
  [SMALL_STATE(6211)] = 194452,
  [SMALL_STATE(6212)] = 194467,
  [SMALL_STATE(6213)] = 194482,
  [SMALL_STATE(6214)] = 194497,
  [SMALL_STATE(6215)] = 194512,
  [SMALL_STATE(6216)] = 194527,
  [SMALL_STATE(6217)] = 194542,
  [SMALL_STATE(6218)] = 194561,
  [SMALL_STATE(6219)] = 194580,
  [SMALL_STATE(6220)] = 194599,
  [SMALL_STATE(6221)] = 194616,
  [SMALL_STATE(6222)] = 194631,
  [SMALL_STATE(6223)] = 194650,
  [SMALL_STATE(6224)] = 194667,
  [SMALL_STATE(6225)] = 194686,
  [SMALL_STATE(6226)] = 194705,
  [SMALL_STATE(6227)] = 194724,
  [SMALL_STATE(6228)] = 194743,
  [SMALL_STATE(6229)] = 194762,
  [SMALL_STATE(6230)] = 194779,
  [SMALL_STATE(6231)] = 194796,
  [SMALL_STATE(6232)] = 194813,
  [SMALL_STATE(6233)] = 194828,
  [SMALL_STATE(6234)] = 194843,
  [SMALL_STATE(6235)] = 194862,
  [SMALL_STATE(6236)] = 194877,
  [SMALL_STATE(6237)] = 194896,
  [SMALL_STATE(6238)] = 194915,
  [SMALL_STATE(6239)] = 194930,
  [SMALL_STATE(6240)] = 194945,
  [SMALL_STATE(6241)] = 194960,
  [SMALL_STATE(6242)] = 194975,
  [SMALL_STATE(6243)] = 194990,
  [SMALL_STATE(6244)] = 195009,
  [SMALL_STATE(6245)] = 195024,
  [SMALL_STATE(6246)] = 195039,
  [SMALL_STATE(6247)] = 195056,
  [SMALL_STATE(6248)] = 195071,
  [SMALL_STATE(6249)] = 195086,
  [SMALL_STATE(6250)] = 195101,
  [SMALL_STATE(6251)] = 195116,
  [SMALL_STATE(6252)] = 195131,
  [SMALL_STATE(6253)] = 195146,
  [SMALL_STATE(6254)] = 195161,
  [SMALL_STATE(6255)] = 195176,
  [SMALL_STATE(6256)] = 195191,
  [SMALL_STATE(6257)] = 195208,
  [SMALL_STATE(6258)] = 195223,
  [SMALL_STATE(6259)] = 195242,
  [SMALL_STATE(6260)] = 195257,
  [SMALL_STATE(6261)] = 195276,
  [SMALL_STATE(6262)] = 195295,
  [SMALL_STATE(6263)] = 195314,
  [SMALL_STATE(6264)] = 195329,
  [SMALL_STATE(6265)] = 195348,
  [SMALL_STATE(6266)] = 195367,
  [SMALL_STATE(6267)] = 195382,
  [SMALL_STATE(6268)] = 195397,
  [SMALL_STATE(6269)] = 195412,
  [SMALL_STATE(6270)] = 195427,
  [SMALL_STATE(6271)] = 195442,
  [SMALL_STATE(6272)] = 195457,
  [SMALL_STATE(6273)] = 195472,
  [SMALL_STATE(6274)] = 195487,
  [SMALL_STATE(6275)] = 195502,
  [SMALL_STATE(6276)] = 195517,
  [SMALL_STATE(6277)] = 195532,
  [SMALL_STATE(6278)] = 195547,
  [SMALL_STATE(6279)] = 195562,
  [SMALL_STATE(6280)] = 195577,
  [SMALL_STATE(6281)] = 195596,
  [SMALL_STATE(6282)] = 195611,
  [SMALL_STATE(6283)] = 195626,
  [SMALL_STATE(6284)] = 195641,
  [SMALL_STATE(6285)] = 195660,
  [SMALL_STATE(6286)] = 195679,
  [SMALL_STATE(6287)] = 195694,
  [SMALL_STATE(6288)] = 195713,
  [SMALL_STATE(6289)] = 195728,
  [SMALL_STATE(6290)] = 195747,
  [SMALL_STATE(6291)] = 195766,
  [SMALL_STATE(6292)] = 195781,
  [SMALL_STATE(6293)] = 195800,
  [SMALL_STATE(6294)] = 195815,
  [SMALL_STATE(6295)] = 195830,
  [SMALL_STATE(6296)] = 195845,
  [SMALL_STATE(6297)] = 195860,
  [SMALL_STATE(6298)] = 195875,
  [SMALL_STATE(6299)] = 195890,
  [SMALL_STATE(6300)] = 195905,
  [SMALL_STATE(6301)] = 195920,
  [SMALL_STATE(6302)] = 195935,
  [SMALL_STATE(6303)] = 195950,
  [SMALL_STATE(6304)] = 195965,
  [SMALL_STATE(6305)] = 195984,
  [SMALL_STATE(6306)] = 195999,
  [SMALL_STATE(6307)] = 196018,
  [SMALL_STATE(6308)] = 196033,
  [SMALL_STATE(6309)] = 196048,
  [SMALL_STATE(6310)] = 196067,
  [SMALL_STATE(6311)] = 196082,
  [SMALL_STATE(6312)] = 196101,
  [SMALL_STATE(6313)] = 196120,
  [SMALL_STATE(6314)] = 196135,
  [SMALL_STATE(6315)] = 196150,
  [SMALL_STATE(6316)] = 196165,
  [SMALL_STATE(6317)] = 196180,
  [SMALL_STATE(6318)] = 196195,
  [SMALL_STATE(6319)] = 196214,
  [SMALL_STATE(6320)] = 196233,
  [SMALL_STATE(6321)] = 196248,
  [SMALL_STATE(6322)] = 196263,
  [SMALL_STATE(6323)] = 196278,
  [SMALL_STATE(6324)] = 196293,
  [SMALL_STATE(6325)] = 196308,
  [SMALL_STATE(6326)] = 196325,
  [SMALL_STATE(6327)] = 196340,
  [SMALL_STATE(6328)] = 196355,
  [SMALL_STATE(6329)] = 196370,
  [SMALL_STATE(6330)] = 196385,
  [SMALL_STATE(6331)] = 196400,
  [SMALL_STATE(6332)] = 196415,
  [SMALL_STATE(6333)] = 196430,
  [SMALL_STATE(6334)] = 196445,
  [SMALL_STATE(6335)] = 196460,
  [SMALL_STATE(6336)] = 196475,
  [SMALL_STATE(6337)] = 196490,
  [SMALL_STATE(6338)] = 196505,
  [SMALL_STATE(6339)] = 196520,
  [SMALL_STATE(6340)] = 196535,
  [SMALL_STATE(6341)] = 196554,
  [SMALL_STATE(6342)] = 196569,
  [SMALL_STATE(6343)] = 196584,
  [SMALL_STATE(6344)] = 196599,
  [SMALL_STATE(6345)] = 196614,
  [SMALL_STATE(6346)] = 196629,
  [SMALL_STATE(6347)] = 196644,
  [SMALL_STATE(6348)] = 196659,
  [SMALL_STATE(6349)] = 196674,
  [SMALL_STATE(6350)] = 196689,
  [SMALL_STATE(6351)] = 196704,
  [SMALL_STATE(6352)] = 196721,
  [SMALL_STATE(6353)] = 196736,
  [SMALL_STATE(6354)] = 196751,
  [SMALL_STATE(6355)] = 196770,
  [SMALL_STATE(6356)] = 196785,
  [SMALL_STATE(6357)] = 196804,
  [SMALL_STATE(6358)] = 196819,
  [SMALL_STATE(6359)] = 196836,
  [SMALL_STATE(6360)] = 196851,
  [SMALL_STATE(6361)] = 196870,
  [SMALL_STATE(6362)] = 196889,
  [SMALL_STATE(6363)] = 196904,
  [SMALL_STATE(6364)] = 196919,
  [SMALL_STATE(6365)] = 196938,
  [SMALL_STATE(6366)] = 196953,
  [SMALL_STATE(6367)] = 196972,
  [SMALL_STATE(6368)] = 196987,
  [SMALL_STATE(6369)] = 197006,
  [SMALL_STATE(6370)] = 197025,
  [SMALL_STATE(6371)] = 197044,
  [SMALL_STATE(6372)] = 197059,
  [SMALL_STATE(6373)] = 197078,
  [SMALL_STATE(6374)] = 197093,
  [SMALL_STATE(6375)] = 197108,
  [SMALL_STATE(6376)] = 197123,
  [SMALL_STATE(6377)] = 197140,
  [SMALL_STATE(6378)] = 197159,
  [SMALL_STATE(6379)] = 197178,
  [SMALL_STATE(6380)] = 197193,
  [SMALL_STATE(6381)] = 197208,
  [SMALL_STATE(6382)] = 197225,
  [SMALL_STATE(6383)] = 197242,
  [SMALL_STATE(6384)] = 197257,
  [SMALL_STATE(6385)] = 197276,
  [SMALL_STATE(6386)] = 197291,
  [SMALL_STATE(6387)] = 197306,
  [SMALL_STATE(6388)] = 197321,
  [SMALL_STATE(6389)] = 197340,
  [SMALL_STATE(6390)] = 197359,
  [SMALL_STATE(6391)] = 197374,
  [SMALL_STATE(6392)] = 197389,
  [SMALL_STATE(6393)] = 197408,
  [SMALL_STATE(6394)] = 197423,
  [SMALL_STATE(6395)] = 197438,
  [SMALL_STATE(6396)] = 197453,
  [SMALL_STATE(6397)] = 197468,
  [SMALL_STATE(6398)] = 197483,
  [SMALL_STATE(6399)] = 197498,
  [SMALL_STATE(6400)] = 197513,
  [SMALL_STATE(6401)] = 197528,
  [SMALL_STATE(6402)] = 197547,
  [SMALL_STATE(6403)] = 197566,
  [SMALL_STATE(6404)] = 197581,
  [SMALL_STATE(6405)] = 197596,
  [SMALL_STATE(6406)] = 197611,
  [SMALL_STATE(6407)] = 197626,
  [SMALL_STATE(6408)] = 197641,
  [SMALL_STATE(6409)] = 197660,
  [SMALL_STATE(6410)] = 197675,
  [SMALL_STATE(6411)] = 197692,
  [SMALL_STATE(6412)] = 197709,
  [SMALL_STATE(6413)] = 197728,
  [SMALL_STATE(6414)] = 197743,
  [SMALL_STATE(6415)] = 197758,
  [SMALL_STATE(6416)] = 197777,
  [SMALL_STATE(6417)] = 197796,
  [SMALL_STATE(6418)] = 197815,
  [SMALL_STATE(6419)] = 197830,
  [SMALL_STATE(6420)] = 197849,
  [SMALL_STATE(6421)] = 197868,
  [SMALL_STATE(6422)] = 197883,
  [SMALL_STATE(6423)] = 197898,
  [SMALL_STATE(6424)] = 197913,
  [SMALL_STATE(6425)] = 197932,
  [SMALL_STATE(6426)] = 197947,
  [SMALL_STATE(6427)] = 197966,
  [SMALL_STATE(6428)] = 197981,
  [SMALL_STATE(6429)] = 197996,
  [SMALL_STATE(6430)] = 198011,
  [SMALL_STATE(6431)] = 198026,
  [SMALL_STATE(6432)] = 198045,
  [SMALL_STATE(6433)] = 198064,
  [SMALL_STATE(6434)] = 198083,
  [SMALL_STATE(6435)] = 198102,
  [SMALL_STATE(6436)] = 198121,
  [SMALL_STATE(6437)] = 198136,
  [SMALL_STATE(6438)] = 198155,
  [SMALL_STATE(6439)] = 198170,
  [SMALL_STATE(6440)] = 198189,
  [SMALL_STATE(6441)] = 198204,
  [SMALL_STATE(6442)] = 198223,
  [SMALL_STATE(6443)] = 198238,
  [SMALL_STATE(6444)] = 198253,
  [SMALL_STATE(6445)] = 198272,
  [SMALL_STATE(6446)] = 198287,
  [SMALL_STATE(6447)] = 198302,
  [SMALL_STATE(6448)] = 198317,
  [SMALL_STATE(6449)] = 198332,
  [SMALL_STATE(6450)] = 198347,
  [SMALL_STATE(6451)] = 198364,
  [SMALL_STATE(6452)] = 198379,
  [SMALL_STATE(6453)] = 198394,
  [SMALL_STATE(6454)] = 198413,
  [SMALL_STATE(6455)] = 198428,
  [SMALL_STATE(6456)] = 198447,
  [SMALL_STATE(6457)] = 198462,
  [SMALL_STATE(6458)] = 198477,
  [SMALL_STATE(6459)] = 198492,
  [SMALL_STATE(6460)] = 198507,
  [SMALL_STATE(6461)] = 198522,
  [SMALL_STATE(6462)] = 198537,
  [SMALL_STATE(6463)] = 198556,
  [SMALL_STATE(6464)] = 198571,
  [SMALL_STATE(6465)] = 198590,
  [SMALL_STATE(6466)] = 198605,
  [SMALL_STATE(6467)] = 198624,
  [SMALL_STATE(6468)] = 198643,
  [SMALL_STATE(6469)] = 198662,
  [SMALL_STATE(6470)] = 198681,
  [SMALL_STATE(6471)] = 198700,
  [SMALL_STATE(6472)] = 198716,
  [SMALL_STATE(6473)] = 198730,
  [SMALL_STATE(6474)] = 198746,
  [SMALL_STATE(6475)] = 198762,
  [SMALL_STATE(6476)] = 198778,
  [SMALL_STATE(6477)] = 198794,
  [SMALL_STATE(6478)] = 198808,
  [SMALL_STATE(6479)] = 198824,
  [SMALL_STATE(6480)] = 198840,
  [SMALL_STATE(6481)] = 198856,
  [SMALL_STATE(6482)] = 198872,
  [SMALL_STATE(6483)] = 198888,
  [SMALL_STATE(6484)] = 198904,
  [SMALL_STATE(6485)] = 198920,
  [SMALL_STATE(6486)] = 198936,
  [SMALL_STATE(6487)] = 198952,
  [SMALL_STATE(6488)] = 198968,
  [SMALL_STATE(6489)] = 198984,
  [SMALL_STATE(6490)] = 199000,
  [SMALL_STATE(6491)] = 199016,
  [SMALL_STATE(6492)] = 199032,
  [SMALL_STATE(6493)] = 199046,
  [SMALL_STATE(6494)] = 199062,
  [SMALL_STATE(6495)] = 199078,
  [SMALL_STATE(6496)] = 199094,
  [SMALL_STATE(6497)] = 199108,
  [SMALL_STATE(6498)] = 199124,
  [SMALL_STATE(6499)] = 199140,
  [SMALL_STATE(6500)] = 199156,
  [SMALL_STATE(6501)] = 199172,
  [SMALL_STATE(6502)] = 199186,
  [SMALL_STATE(6503)] = 199202,
  [SMALL_STATE(6504)] = 199218,
  [SMALL_STATE(6505)] = 199234,
  [SMALL_STATE(6506)] = 199250,
  [SMALL_STATE(6507)] = 199266,
  [SMALL_STATE(6508)] = 199282,
  [SMALL_STATE(6509)] = 199298,
  [SMALL_STATE(6510)] = 199314,
  [SMALL_STATE(6511)] = 199328,
  [SMALL_STATE(6512)] = 199344,
  [SMALL_STATE(6513)] = 199358,
  [SMALL_STATE(6514)] = 199374,
  [SMALL_STATE(6515)] = 199390,
  [SMALL_STATE(6516)] = 199406,
  [SMALL_STATE(6517)] = 199420,
  [SMALL_STATE(6518)] = 199436,
  [SMALL_STATE(6519)] = 199452,
  [SMALL_STATE(6520)] = 199468,
  [SMALL_STATE(6521)] = 199484,
  [SMALL_STATE(6522)] = 199500,
  [SMALL_STATE(6523)] = 199516,
  [SMALL_STATE(6524)] = 199532,
  [SMALL_STATE(6525)] = 199546,
  [SMALL_STATE(6526)] = 199562,
  [SMALL_STATE(6527)] = 199578,
  [SMALL_STATE(6528)] = 199594,
  [SMALL_STATE(6529)] = 199610,
  [SMALL_STATE(6530)] = 199624,
  [SMALL_STATE(6531)] = 199640,
  [SMALL_STATE(6532)] = 199656,
  [SMALL_STATE(6533)] = 199672,
  [SMALL_STATE(6534)] = 199688,
  [SMALL_STATE(6535)] = 199704,
  [SMALL_STATE(6536)] = 199720,
  [SMALL_STATE(6537)] = 199736,
  [SMALL_STATE(6538)] = 199752,
  [SMALL_STATE(6539)] = 199766,
  [SMALL_STATE(6540)] = 199782,
  [SMALL_STATE(6541)] = 199798,
  [SMALL_STATE(6542)] = 199812,
  [SMALL_STATE(6543)] = 199826,
  [SMALL_STATE(6544)] = 199842,
  [SMALL_STATE(6545)] = 199858,
  [SMALL_STATE(6546)] = 199874,
  [SMALL_STATE(6547)] = 199890,
  [SMALL_STATE(6548)] = 199906,
  [SMALL_STATE(6549)] = 199922,
  [SMALL_STATE(6550)] = 199938,
  [SMALL_STATE(6551)] = 199952,
  [SMALL_STATE(6552)] = 199966,
  [SMALL_STATE(6553)] = 199982,
  [SMALL_STATE(6554)] = 199998,
  [SMALL_STATE(6555)] = 200014,
  [SMALL_STATE(6556)] = 200030,
  [SMALL_STATE(6557)] = 200046,
  [SMALL_STATE(6558)] = 200060,
  [SMALL_STATE(6559)] = 200076,
  [SMALL_STATE(6560)] = 200092,
  [SMALL_STATE(6561)] = 200106,
  [SMALL_STATE(6562)] = 200122,
  [SMALL_STATE(6563)] = 200136,
  [SMALL_STATE(6564)] = 200152,
  [SMALL_STATE(6565)] = 200168,
  [SMALL_STATE(6566)] = 200182,
  [SMALL_STATE(6567)] = 200196,
  [SMALL_STATE(6568)] = 200212,
  [SMALL_STATE(6569)] = 200228,
  [SMALL_STATE(6570)] = 200244,
  [SMALL_STATE(6571)] = 200260,
  [SMALL_STATE(6572)] = 200274,
  [SMALL_STATE(6573)] = 200288,
  [SMALL_STATE(6574)] = 200304,
  [SMALL_STATE(6575)] = 200320,
  [SMALL_STATE(6576)] = 200336,
  [SMALL_STATE(6577)] = 200352,
  [SMALL_STATE(6578)] = 200366,
  [SMALL_STATE(6579)] = 200382,
  [SMALL_STATE(6580)] = 200398,
  [SMALL_STATE(6581)] = 200414,
  [SMALL_STATE(6582)] = 200430,
  [SMALL_STATE(6583)] = 200446,
  [SMALL_STATE(6584)] = 200462,
  [SMALL_STATE(6585)] = 200478,
  [SMALL_STATE(6586)] = 200494,
  [SMALL_STATE(6587)] = 200508,
  [SMALL_STATE(6588)] = 200524,
  [SMALL_STATE(6589)] = 200540,
  [SMALL_STATE(6590)] = 200556,
  [SMALL_STATE(6591)] = 200572,
  [SMALL_STATE(6592)] = 200588,
  [SMALL_STATE(6593)] = 200604,
  [SMALL_STATE(6594)] = 200620,
  [SMALL_STATE(6595)] = 200636,
  [SMALL_STATE(6596)] = 200652,
  [SMALL_STATE(6597)] = 200666,
  [SMALL_STATE(6598)] = 200680,
  [SMALL_STATE(6599)] = 200694,
  [SMALL_STATE(6600)] = 200710,
  [SMALL_STATE(6601)] = 200726,
  [SMALL_STATE(6602)] = 200740,
  [SMALL_STATE(6603)] = 200756,
  [SMALL_STATE(6604)] = 200772,
  [SMALL_STATE(6605)] = 200788,
  [SMALL_STATE(6606)] = 200804,
  [SMALL_STATE(6607)] = 200818,
  [SMALL_STATE(6608)] = 200834,
  [SMALL_STATE(6609)] = 200848,
  [SMALL_STATE(6610)] = 200864,
  [SMALL_STATE(6611)] = 200880,
  [SMALL_STATE(6612)] = 200896,
  [SMALL_STATE(6613)] = 200912,
  [SMALL_STATE(6614)] = 200926,
  [SMALL_STATE(6615)] = 200942,
  [SMALL_STATE(6616)] = 200956,
  [SMALL_STATE(6617)] = 200970,
  [SMALL_STATE(6618)] = 200986,
  [SMALL_STATE(6619)] = 201002,
  [SMALL_STATE(6620)] = 201018,
  [SMALL_STATE(6621)] = 201034,
  [SMALL_STATE(6622)] = 201050,
  [SMALL_STATE(6623)] = 201066,
  [SMALL_STATE(6624)] = 201082,
  [SMALL_STATE(6625)] = 201098,
  [SMALL_STATE(6626)] = 201112,
  [SMALL_STATE(6627)] = 201128,
  [SMALL_STATE(6628)] = 201144,
  [SMALL_STATE(6629)] = 201160,
  [SMALL_STATE(6630)] = 201176,
  [SMALL_STATE(6631)] = 201192,
  [SMALL_STATE(6632)] = 201208,
  [SMALL_STATE(6633)] = 201222,
  [SMALL_STATE(6634)] = 201236,
  [SMALL_STATE(6635)] = 201252,
  [SMALL_STATE(6636)] = 201268,
  [SMALL_STATE(6637)] = 201284,
  [SMALL_STATE(6638)] = 201300,
  [SMALL_STATE(6639)] = 201316,
  [SMALL_STATE(6640)] = 201332,
  [SMALL_STATE(6641)] = 201346,
  [SMALL_STATE(6642)] = 201360,
  [SMALL_STATE(6643)] = 201376,
  [SMALL_STATE(6644)] = 201392,
  [SMALL_STATE(6645)] = 201408,
  [SMALL_STATE(6646)] = 201424,
  [SMALL_STATE(6647)] = 201440,
  [SMALL_STATE(6648)] = 201454,
  [SMALL_STATE(6649)] = 201470,
  [SMALL_STATE(6650)] = 201484,
  [SMALL_STATE(6651)] = 201498,
  [SMALL_STATE(6652)] = 201514,
  [SMALL_STATE(6653)] = 201530,
  [SMALL_STATE(6654)] = 201546,
  [SMALL_STATE(6655)] = 201560,
  [SMALL_STATE(6656)] = 201576,
  [SMALL_STATE(6657)] = 201590,
  [SMALL_STATE(6658)] = 201606,
  [SMALL_STATE(6659)] = 201620,
  [SMALL_STATE(6660)] = 201634,
  [SMALL_STATE(6661)] = 201648,
  [SMALL_STATE(6662)] = 201664,
  [SMALL_STATE(6663)] = 201678,
  [SMALL_STATE(6664)] = 201694,
  [SMALL_STATE(6665)] = 201710,
  [SMALL_STATE(6666)] = 201724,
  [SMALL_STATE(6667)] = 201740,
  [SMALL_STATE(6668)] = 201754,
  [SMALL_STATE(6669)] = 201768,
  [SMALL_STATE(6670)] = 201782,
  [SMALL_STATE(6671)] = 201796,
  [SMALL_STATE(6672)] = 201810,
  [SMALL_STATE(6673)] = 201824,
  [SMALL_STATE(6674)] = 201840,
  [SMALL_STATE(6675)] = 201856,
  [SMALL_STATE(6676)] = 201870,
  [SMALL_STATE(6677)] = 201886,
  [SMALL_STATE(6678)] = 201900,
  [SMALL_STATE(6679)] = 201916,
  [SMALL_STATE(6680)] = 201932,
  [SMALL_STATE(6681)] = 201948,
  [SMALL_STATE(6682)] = 201964,
  [SMALL_STATE(6683)] = 201978,
  [SMALL_STATE(6684)] = 201992,
  [SMALL_STATE(6685)] = 202006,
  [SMALL_STATE(6686)] = 202020,
  [SMALL_STATE(6687)] = 202034,
  [SMALL_STATE(6688)] = 202048,
  [SMALL_STATE(6689)] = 202064,
  [SMALL_STATE(6690)] = 202078,
  [SMALL_STATE(6691)] = 202092,
  [SMALL_STATE(6692)] = 202106,
  [SMALL_STATE(6693)] = 202122,
  [SMALL_STATE(6694)] = 202138,
  [SMALL_STATE(6695)] = 202152,
  [SMALL_STATE(6696)] = 202168,
  [SMALL_STATE(6697)] = 202182,
  [SMALL_STATE(6698)] = 202198,
  [SMALL_STATE(6699)] = 202214,
  [SMALL_STATE(6700)] = 202230,
  [SMALL_STATE(6701)] = 202244,
  [SMALL_STATE(6702)] = 202258,
  [SMALL_STATE(6703)] = 202272,
  [SMALL_STATE(6704)] = 202286,
  [SMALL_STATE(6705)] = 202300,
  [SMALL_STATE(6706)] = 202316,
  [SMALL_STATE(6707)] = 202330,
  [SMALL_STATE(6708)] = 202346,
  [SMALL_STATE(6709)] = 202360,
  [SMALL_STATE(6710)] = 202376,
  [SMALL_STATE(6711)] = 202392,
  [SMALL_STATE(6712)] = 202408,
  [SMALL_STATE(6713)] = 202424,
  [SMALL_STATE(6714)] = 202440,
  [SMALL_STATE(6715)] = 202456,
  [SMALL_STATE(6716)] = 202472,
  [SMALL_STATE(6717)] = 202488,
  [SMALL_STATE(6718)] = 202502,
  [SMALL_STATE(6719)] = 202516,
  [SMALL_STATE(6720)] = 202530,
  [SMALL_STATE(6721)] = 202546,
  [SMALL_STATE(6722)] = 202560,
  [SMALL_STATE(6723)] = 202576,
  [SMALL_STATE(6724)] = 202590,
  [SMALL_STATE(6725)] = 202606,
  [SMALL_STATE(6726)] = 202622,
  [SMALL_STATE(6727)] = 202636,
  [SMALL_STATE(6728)] = 202652,
  [SMALL_STATE(6729)] = 202668,
  [SMALL_STATE(6730)] = 202684,
  [SMALL_STATE(6731)] = 202700,
  [SMALL_STATE(6732)] = 202716,
  [SMALL_STATE(6733)] = 202732,
  [SMALL_STATE(6734)] = 202748,
  [SMALL_STATE(6735)] = 202762,
  [SMALL_STATE(6736)] = 202776,
  [SMALL_STATE(6737)] = 202792,
  [SMALL_STATE(6738)] = 202808,
  [SMALL_STATE(6739)] = 202824,
  [SMALL_STATE(6740)] = 202840,
  [SMALL_STATE(6741)] = 202854,
  [SMALL_STATE(6742)] = 202868,
  [SMALL_STATE(6743)] = 202882,
  [SMALL_STATE(6744)] = 202898,
  [SMALL_STATE(6745)] = 202912,
  [SMALL_STATE(6746)] = 202928,
  [SMALL_STATE(6747)] = 202942,
  [SMALL_STATE(6748)] = 202956,
  [SMALL_STATE(6749)] = 202970,
  [SMALL_STATE(6750)] = 202986,
  [SMALL_STATE(6751)] = 203000,
  [SMALL_STATE(6752)] = 203016,
  [SMALL_STATE(6753)] = 203030,
  [SMALL_STATE(6754)] = 203044,
  [SMALL_STATE(6755)] = 203060,
  [SMALL_STATE(6756)] = 203074,
  [SMALL_STATE(6757)] = 203090,
  [SMALL_STATE(6758)] = 203106,
  [SMALL_STATE(6759)] = 203122,
  [SMALL_STATE(6760)] = 203136,
  [SMALL_STATE(6761)] = 203152,
  [SMALL_STATE(6762)] = 203168,
  [SMALL_STATE(6763)] = 203182,
  [SMALL_STATE(6764)] = 203198,
  [SMALL_STATE(6765)] = 203212,
  [SMALL_STATE(6766)] = 203226,
  [SMALL_STATE(6767)] = 203242,
  [SMALL_STATE(6768)] = 203256,
  [SMALL_STATE(6769)] = 203270,
  [SMALL_STATE(6770)] = 203286,
  [SMALL_STATE(6771)] = 203302,
  [SMALL_STATE(6772)] = 203316,
  [SMALL_STATE(6773)] = 203332,
  [SMALL_STATE(6774)] = 203346,
  [SMALL_STATE(6775)] = 203362,
  [SMALL_STATE(6776)] = 203376,
  [SMALL_STATE(6777)] = 203392,
  [SMALL_STATE(6778)] = 203406,
  [SMALL_STATE(6779)] = 203420,
  [SMALL_STATE(6780)] = 203436,
  [SMALL_STATE(6781)] = 203450,
  [SMALL_STATE(6782)] = 203466,
  [SMALL_STATE(6783)] = 203480,
  [SMALL_STATE(6784)] = 203494,
  [SMALL_STATE(6785)] = 203510,
  [SMALL_STATE(6786)] = 203526,
  [SMALL_STATE(6787)] = 203540,
  [SMALL_STATE(6788)] = 203556,
  [SMALL_STATE(6789)] = 203572,
  [SMALL_STATE(6790)] = 203586,
  [SMALL_STATE(6791)] = 203600,
  [SMALL_STATE(6792)] = 203616,
  [SMALL_STATE(6793)] = 203632,
  [SMALL_STATE(6794)] = 203648,
  [SMALL_STATE(6795)] = 203664,
  [SMALL_STATE(6796)] = 203680,
  [SMALL_STATE(6797)] = 203694,
  [SMALL_STATE(6798)] = 203710,
  [SMALL_STATE(6799)] = 203724,
  [SMALL_STATE(6800)] = 203740,
  [SMALL_STATE(6801)] = 203756,
  [SMALL_STATE(6802)] = 203772,
  [SMALL_STATE(6803)] = 203786,
  [SMALL_STATE(6804)] = 203802,
  [SMALL_STATE(6805)] = 203818,
  [SMALL_STATE(6806)] = 203834,
  [SMALL_STATE(6807)] = 203850,
  [SMALL_STATE(6808)] = 203866,
  [SMALL_STATE(6809)] = 203882,
  [SMALL_STATE(6810)] = 203896,
  [SMALL_STATE(6811)] = 203912,
  [SMALL_STATE(6812)] = 203928,
  [SMALL_STATE(6813)] = 203942,
  [SMALL_STATE(6814)] = 203958,
  [SMALL_STATE(6815)] = 203974,
  [SMALL_STATE(6816)] = 203990,
  [SMALL_STATE(6817)] = 204006,
  [SMALL_STATE(6818)] = 204022,
  [SMALL_STATE(6819)] = 204038,
  [SMALL_STATE(6820)] = 204052,
  [SMALL_STATE(6821)] = 204066,
  [SMALL_STATE(6822)] = 204082,
  [SMALL_STATE(6823)] = 204096,
  [SMALL_STATE(6824)] = 204110,
  [SMALL_STATE(6825)] = 204126,
  [SMALL_STATE(6826)] = 204142,
  [SMALL_STATE(6827)] = 204158,
  [SMALL_STATE(6828)] = 204172,
  [SMALL_STATE(6829)] = 204186,
  [SMALL_STATE(6830)] = 204202,
  [SMALL_STATE(6831)] = 204216,
  [SMALL_STATE(6832)] = 204230,
  [SMALL_STATE(6833)] = 204244,
  [SMALL_STATE(6834)] = 204260,
  [SMALL_STATE(6835)] = 204276,
  [SMALL_STATE(6836)] = 204290,
  [SMALL_STATE(6837)] = 204304,
  [SMALL_STATE(6838)] = 204320,
  [SMALL_STATE(6839)] = 204336,
  [SMALL_STATE(6840)] = 204350,
  [SMALL_STATE(6841)] = 204366,
  [SMALL_STATE(6842)] = 204382,
  [SMALL_STATE(6843)] = 204398,
  [SMALL_STATE(6844)] = 204414,
  [SMALL_STATE(6845)] = 204430,
  [SMALL_STATE(6846)] = 204446,
  [SMALL_STATE(6847)] = 204462,
  [SMALL_STATE(6848)] = 204476,
  [SMALL_STATE(6849)] = 204490,
  [SMALL_STATE(6850)] = 204504,
  [SMALL_STATE(6851)] = 204518,
  [SMALL_STATE(6852)] = 204534,
  [SMALL_STATE(6853)] = 204548,
  [SMALL_STATE(6854)] = 204562,
  [SMALL_STATE(6855)] = 204578,
  [SMALL_STATE(6856)] = 204594,
  [SMALL_STATE(6857)] = 204610,
  [SMALL_STATE(6858)] = 204626,
  [SMALL_STATE(6859)] = 204642,
  [SMALL_STATE(6860)] = 204658,
  [SMALL_STATE(6861)] = 204672,
  [SMALL_STATE(6862)] = 204688,
  [SMALL_STATE(6863)] = 204704,
  [SMALL_STATE(6864)] = 204720,
  [SMALL_STATE(6865)] = 204734,
  [SMALL_STATE(6866)] = 204750,
  [SMALL_STATE(6867)] = 204766,
  [SMALL_STATE(6868)] = 204782,
  [SMALL_STATE(6869)] = 204796,
  [SMALL_STATE(6870)] = 204810,
  [SMALL_STATE(6871)] = 204826,
  [SMALL_STATE(6872)] = 204840,
  [SMALL_STATE(6873)] = 204856,
  [SMALL_STATE(6874)] = 204872,
  [SMALL_STATE(6875)] = 204886,
  [SMALL_STATE(6876)] = 204902,
  [SMALL_STATE(6877)] = 204918,
  [SMALL_STATE(6878)] = 204934,
  [SMALL_STATE(6879)] = 204948,
  [SMALL_STATE(6880)] = 204962,
  [SMALL_STATE(6881)] = 204978,
  [SMALL_STATE(6882)] = 204992,
  [SMALL_STATE(6883)] = 205006,
  [SMALL_STATE(6884)] = 205022,
  [SMALL_STATE(6885)] = 205038,
  [SMALL_STATE(6886)] = 205052,
  [SMALL_STATE(6887)] = 205068,
  [SMALL_STATE(6888)] = 205082,
  [SMALL_STATE(6889)] = 205098,
  [SMALL_STATE(6890)] = 205112,
  [SMALL_STATE(6891)] = 205126,
  [SMALL_STATE(6892)] = 205142,
  [SMALL_STATE(6893)] = 205158,
  [SMALL_STATE(6894)] = 205174,
  [SMALL_STATE(6895)] = 205190,
  [SMALL_STATE(6896)] = 205206,
  [SMALL_STATE(6897)] = 205222,
  [SMALL_STATE(6898)] = 205238,
  [SMALL_STATE(6899)] = 205252,
  [SMALL_STATE(6900)] = 205268,
  [SMALL_STATE(6901)] = 205282,
  [SMALL_STATE(6902)] = 205298,
  [SMALL_STATE(6903)] = 205314,
  [SMALL_STATE(6904)] = 205328,
  [SMALL_STATE(6905)] = 205344,
  [SMALL_STATE(6906)] = 205360,
  [SMALL_STATE(6907)] = 205376,
  [SMALL_STATE(6908)] = 205392,
  [SMALL_STATE(6909)] = 205408,
  [SMALL_STATE(6910)] = 205424,
  [SMALL_STATE(6911)] = 205440,
  [SMALL_STATE(6912)] = 205454,
  [SMALL_STATE(6913)] = 205470,
  [SMALL_STATE(6914)] = 205484,
  [SMALL_STATE(6915)] = 205498,
  [SMALL_STATE(6916)] = 205512,
  [SMALL_STATE(6917)] = 205526,
  [SMALL_STATE(6918)] = 205540,
  [SMALL_STATE(6919)] = 205554,
  [SMALL_STATE(6920)] = 205568,
  [SMALL_STATE(6921)] = 205582,
  [SMALL_STATE(6922)] = 205596,
  [SMALL_STATE(6923)] = 205610,
  [SMALL_STATE(6924)] = 205626,
  [SMALL_STATE(6925)] = 205640,
  [SMALL_STATE(6926)] = 205656,
  [SMALL_STATE(6927)] = 205672,
  [SMALL_STATE(6928)] = 205686,
  [SMALL_STATE(6929)] = 205702,
  [SMALL_STATE(6930)] = 205718,
  [SMALL_STATE(6931)] = 205734,
  [SMALL_STATE(6932)] = 205750,
  [SMALL_STATE(6933)] = 205766,
  [SMALL_STATE(6934)] = 205782,
  [SMALL_STATE(6935)] = 205798,
  [SMALL_STATE(6936)] = 205814,
  [SMALL_STATE(6937)] = 205828,
  [SMALL_STATE(6938)] = 205844,
  [SMALL_STATE(6939)] = 205858,
  [SMALL_STATE(6940)] = 205872,
  [SMALL_STATE(6941)] = 205888,
  [SMALL_STATE(6942)] = 205904,
  [SMALL_STATE(6943)] = 205918,
  [SMALL_STATE(6944)] = 205934,
  [SMALL_STATE(6945)] = 205948,
  [SMALL_STATE(6946)] = 205964,
  [SMALL_STATE(6947)] = 205978,
  [SMALL_STATE(6948)] = 205994,
  [SMALL_STATE(6949)] = 206008,
  [SMALL_STATE(6950)] = 206022,
  [SMALL_STATE(6951)] = 206036,
  [SMALL_STATE(6952)] = 206052,
  [SMALL_STATE(6953)] = 206066,
  [SMALL_STATE(6954)] = 206080,
  [SMALL_STATE(6955)] = 206096,
  [SMALL_STATE(6956)] = 206110,
  [SMALL_STATE(6957)] = 206126,
  [SMALL_STATE(6958)] = 206142,
  [SMALL_STATE(6959)] = 206156,
  [SMALL_STATE(6960)] = 206172,
  [SMALL_STATE(6961)] = 206186,
  [SMALL_STATE(6962)] = 206200,
  [SMALL_STATE(6963)] = 206216,
  [SMALL_STATE(6964)] = 206232,
  [SMALL_STATE(6965)] = 206248,
  [SMALL_STATE(6966)] = 206262,
  [SMALL_STATE(6967)] = 206278,
  [SMALL_STATE(6968)] = 206294,
  [SMALL_STATE(6969)] = 206308,
  [SMALL_STATE(6970)] = 206322,
  [SMALL_STATE(6971)] = 206336,
  [SMALL_STATE(6972)] = 206352,
  [SMALL_STATE(6973)] = 206366,
  [SMALL_STATE(6974)] = 206382,
  [SMALL_STATE(6975)] = 206396,
  [SMALL_STATE(6976)] = 206412,
  [SMALL_STATE(6977)] = 206426,
  [SMALL_STATE(6978)] = 206442,
  [SMALL_STATE(6979)] = 206456,
  [SMALL_STATE(6980)] = 206472,
  [SMALL_STATE(6981)] = 206486,
  [SMALL_STATE(6982)] = 206502,
  [SMALL_STATE(6983)] = 206516,
  [SMALL_STATE(6984)] = 206530,
  [SMALL_STATE(6985)] = 206546,
  [SMALL_STATE(6986)] = 206562,
  [SMALL_STATE(6987)] = 206578,
  [SMALL_STATE(6988)] = 206592,
  [SMALL_STATE(6989)] = 206606,
  [SMALL_STATE(6990)] = 206620,
  [SMALL_STATE(6991)] = 206636,
  [SMALL_STATE(6992)] = 206652,
  [SMALL_STATE(6993)] = 206666,
  [SMALL_STATE(6994)] = 206680,
  [SMALL_STATE(6995)] = 206694,
  [SMALL_STATE(6996)] = 206710,
  [SMALL_STATE(6997)] = 206726,
  [SMALL_STATE(6998)] = 206740,
  [SMALL_STATE(6999)] = 206756,
  [SMALL_STATE(7000)] = 206770,
  [SMALL_STATE(7001)] = 206784,
  [SMALL_STATE(7002)] = 206798,
  [SMALL_STATE(7003)] = 206812,
  [SMALL_STATE(7004)] = 206828,
  [SMALL_STATE(7005)] = 206844,
  [SMALL_STATE(7006)] = 206858,
  [SMALL_STATE(7007)] = 206874,
  [SMALL_STATE(7008)] = 206890,
  [SMALL_STATE(7009)] = 206906,
  [SMALL_STATE(7010)] = 206922,
  [SMALL_STATE(7011)] = 206936,
  [SMALL_STATE(7012)] = 206952,
  [SMALL_STATE(7013)] = 206968,
  [SMALL_STATE(7014)] = 206984,
  [SMALL_STATE(7015)] = 207000,
  [SMALL_STATE(7016)] = 207014,
  [SMALL_STATE(7017)] = 207030,
  [SMALL_STATE(7018)] = 207044,
  [SMALL_STATE(7019)] = 207060,
  [SMALL_STATE(7020)] = 207074,
  [SMALL_STATE(7021)] = 207088,
  [SMALL_STATE(7022)] = 207102,
  [SMALL_STATE(7023)] = 207116,
  [SMALL_STATE(7024)] = 207132,
  [SMALL_STATE(7025)] = 207148,
  [SMALL_STATE(7026)] = 207164,
  [SMALL_STATE(7027)] = 207178,
  [SMALL_STATE(7028)] = 207194,
  [SMALL_STATE(7029)] = 207210,
  [SMALL_STATE(7030)] = 207226,
  [SMALL_STATE(7031)] = 207240,
  [SMALL_STATE(7032)] = 207256,
  [SMALL_STATE(7033)] = 207270,
  [SMALL_STATE(7034)] = 207286,
  [SMALL_STATE(7035)] = 207302,
  [SMALL_STATE(7036)] = 207318,
  [SMALL_STATE(7037)] = 207332,
  [SMALL_STATE(7038)] = 207348,
  [SMALL_STATE(7039)] = 207362,
  [SMALL_STATE(7040)] = 207378,
  [SMALL_STATE(7041)] = 207392,
  [SMALL_STATE(7042)] = 207408,
  [SMALL_STATE(7043)] = 207424,
  [SMALL_STATE(7044)] = 207440,
  [SMALL_STATE(7045)] = 207456,
  [SMALL_STATE(7046)] = 207470,
  [SMALL_STATE(7047)] = 207484,
  [SMALL_STATE(7048)] = 207500,
  [SMALL_STATE(7049)] = 207516,
  [SMALL_STATE(7050)] = 207530,
  [SMALL_STATE(7051)] = 207546,
  [SMALL_STATE(7052)] = 207560,
  [SMALL_STATE(7053)] = 207576,
  [SMALL_STATE(7054)] = 207590,
  [SMALL_STATE(7055)] = 207604,
  [SMALL_STATE(7056)] = 207618,
  [SMALL_STATE(7057)] = 207632,
  [SMALL_STATE(7058)] = 207648,
  [SMALL_STATE(7059)] = 207664,
  [SMALL_STATE(7060)] = 207680,
  [SMALL_STATE(7061)] = 207696,
  [SMALL_STATE(7062)] = 207712,
  [SMALL_STATE(7063)] = 207726,
  [SMALL_STATE(7064)] = 207742,
  [SMALL_STATE(7065)] = 207756,
  [SMALL_STATE(7066)] = 207770,
  [SMALL_STATE(7067)] = 207786,
  [SMALL_STATE(7068)] = 207802,
  [SMALL_STATE(7069)] = 207818,
  [SMALL_STATE(7070)] = 207832,
  [SMALL_STATE(7071)] = 207846,
  [SMALL_STATE(7072)] = 207860,
  [SMALL_STATE(7073)] = 207874,
  [SMALL_STATE(7074)] = 207890,
  [SMALL_STATE(7075)] = 207906,
  [SMALL_STATE(7076)] = 207922,
  [SMALL_STATE(7077)] = 207936,
  [SMALL_STATE(7078)] = 207952,
  [SMALL_STATE(7079)] = 207968,
  [SMALL_STATE(7080)] = 207984,
  [SMALL_STATE(7081)] = 207998,
  [SMALL_STATE(7082)] = 208012,
  [SMALL_STATE(7083)] = 208028,
  [SMALL_STATE(7084)] = 208044,
  [SMALL_STATE(7085)] = 208058,
  [SMALL_STATE(7086)] = 208072,
  [SMALL_STATE(7087)] = 208088,
  [SMALL_STATE(7088)] = 208102,
  [SMALL_STATE(7089)] = 208116,
  [SMALL_STATE(7090)] = 208130,
  [SMALL_STATE(7091)] = 208144,
  [SMALL_STATE(7092)] = 208160,
  [SMALL_STATE(7093)] = 208176,
  [SMALL_STATE(7094)] = 208192,
  [SMALL_STATE(7095)] = 208208,
  [SMALL_STATE(7096)] = 208222,
  [SMALL_STATE(7097)] = 208236,
  [SMALL_STATE(7098)] = 208252,
  [SMALL_STATE(7099)] = 208268,
  [SMALL_STATE(7100)] = 208282,
  [SMALL_STATE(7101)] = 208298,
  [SMALL_STATE(7102)] = 208314,
  [SMALL_STATE(7103)] = 208328,
  [SMALL_STATE(7104)] = 208342,
  [SMALL_STATE(7105)] = 208356,
  [SMALL_STATE(7106)] = 208370,
  [SMALL_STATE(7107)] = 208386,
  [SMALL_STATE(7108)] = 208402,
  [SMALL_STATE(7109)] = 208418,
  [SMALL_STATE(7110)] = 208432,
  [SMALL_STATE(7111)] = 208446,
  [SMALL_STATE(7112)] = 208462,
  [SMALL_STATE(7113)] = 208476,
  [SMALL_STATE(7114)] = 208490,
  [SMALL_STATE(7115)] = 208504,
  [SMALL_STATE(7116)] = 208518,
  [SMALL_STATE(7117)] = 208532,
  [SMALL_STATE(7118)] = 208548,
  [SMALL_STATE(7119)] = 208562,
  [SMALL_STATE(7120)] = 208576,
  [SMALL_STATE(7121)] = 208590,
  [SMALL_STATE(7122)] = 208606,
  [SMALL_STATE(7123)] = 208622,
  [SMALL_STATE(7124)] = 208636,
  [SMALL_STATE(7125)] = 208652,
  [SMALL_STATE(7126)] = 208666,
  [SMALL_STATE(7127)] = 208682,
  [SMALL_STATE(7128)] = 208698,
  [SMALL_STATE(7129)] = 208712,
  [SMALL_STATE(7130)] = 208728,
  [SMALL_STATE(7131)] = 208742,
  [SMALL_STATE(7132)] = 208758,
  [SMALL_STATE(7133)] = 208774,
  [SMALL_STATE(7134)] = 208788,
  [SMALL_STATE(7135)] = 208802,
  [SMALL_STATE(7136)] = 208818,
  [SMALL_STATE(7137)] = 208832,
  [SMALL_STATE(7138)] = 208846,
  [SMALL_STATE(7139)] = 208862,
  [SMALL_STATE(7140)] = 208876,
  [SMALL_STATE(7141)] = 208890,
  [SMALL_STATE(7142)] = 208906,
  [SMALL_STATE(7143)] = 208920,
  [SMALL_STATE(7144)] = 208936,
  [SMALL_STATE(7145)] = 208950,
  [SMALL_STATE(7146)] = 208964,
  [SMALL_STATE(7147)] = 208980,
  [SMALL_STATE(7148)] = 208994,
  [SMALL_STATE(7149)] = 209008,
  [SMALL_STATE(7150)] = 209022,
  [SMALL_STATE(7151)] = 209036,
  [SMALL_STATE(7152)] = 209052,
  [SMALL_STATE(7153)] = 209066,
  [SMALL_STATE(7154)] = 209080,
  [SMALL_STATE(7155)] = 209094,
  [SMALL_STATE(7156)] = 209108,
  [SMALL_STATE(7157)] = 209122,
  [SMALL_STATE(7158)] = 209138,
  [SMALL_STATE(7159)] = 209152,
  [SMALL_STATE(7160)] = 209166,
  [SMALL_STATE(7161)] = 209180,
  [SMALL_STATE(7162)] = 209194,
  [SMALL_STATE(7163)] = 209208,
  [SMALL_STATE(7164)] = 209221,
  [SMALL_STATE(7165)] = 209234,
  [SMALL_STATE(7166)] = 209247,
  [SMALL_STATE(7167)] = 209260,
  [SMALL_STATE(7168)] = 209273,
  [SMALL_STATE(7169)] = 209286,
  [SMALL_STATE(7170)] = 209299,
  [SMALL_STATE(7171)] = 209312,
  [SMALL_STATE(7172)] = 209325,
  [SMALL_STATE(7173)] = 209338,
  [SMALL_STATE(7174)] = 209351,
  [SMALL_STATE(7175)] = 209364,
  [SMALL_STATE(7176)] = 209377,
  [SMALL_STATE(7177)] = 209390,
  [SMALL_STATE(7178)] = 209403,
  [SMALL_STATE(7179)] = 209416,
  [SMALL_STATE(7180)] = 209429,
  [SMALL_STATE(7181)] = 209442,
  [SMALL_STATE(7182)] = 209455,
  [SMALL_STATE(7183)] = 209468,
  [SMALL_STATE(7184)] = 209481,
  [SMALL_STATE(7185)] = 209494,
  [SMALL_STATE(7186)] = 209507,
  [SMALL_STATE(7187)] = 209520,
  [SMALL_STATE(7188)] = 209533,
  [SMALL_STATE(7189)] = 209546,
  [SMALL_STATE(7190)] = 209559,
  [SMALL_STATE(7191)] = 209572,
  [SMALL_STATE(7192)] = 209585,
  [SMALL_STATE(7193)] = 209598,
  [SMALL_STATE(7194)] = 209611,
  [SMALL_STATE(7195)] = 209624,
  [SMALL_STATE(7196)] = 209637,
  [SMALL_STATE(7197)] = 209650,
  [SMALL_STATE(7198)] = 209663,
  [SMALL_STATE(7199)] = 209676,
  [SMALL_STATE(7200)] = 209689,
  [SMALL_STATE(7201)] = 209702,
  [SMALL_STATE(7202)] = 209715,
  [SMALL_STATE(7203)] = 209728,
  [SMALL_STATE(7204)] = 209741,
  [SMALL_STATE(7205)] = 209754,
  [SMALL_STATE(7206)] = 209767,
  [SMALL_STATE(7207)] = 209780,
  [SMALL_STATE(7208)] = 209793,
  [SMALL_STATE(7209)] = 209806,
  [SMALL_STATE(7210)] = 209819,
  [SMALL_STATE(7211)] = 209832,
  [SMALL_STATE(7212)] = 209845,
  [SMALL_STATE(7213)] = 209858,
  [SMALL_STATE(7214)] = 209871,
  [SMALL_STATE(7215)] = 209884,
  [SMALL_STATE(7216)] = 209897,
  [SMALL_STATE(7217)] = 209910,
  [SMALL_STATE(7218)] = 209923,
  [SMALL_STATE(7219)] = 209936,
  [SMALL_STATE(7220)] = 209949,
  [SMALL_STATE(7221)] = 209962,
  [SMALL_STATE(7222)] = 209975,
  [SMALL_STATE(7223)] = 209988,
  [SMALL_STATE(7224)] = 210001,
  [SMALL_STATE(7225)] = 210014,
  [SMALL_STATE(7226)] = 210027,
  [SMALL_STATE(7227)] = 210040,
  [SMALL_STATE(7228)] = 210053,
  [SMALL_STATE(7229)] = 210066,
  [SMALL_STATE(7230)] = 210079,
  [SMALL_STATE(7231)] = 210092,
  [SMALL_STATE(7232)] = 210105,
  [SMALL_STATE(7233)] = 210118,
  [SMALL_STATE(7234)] = 210131,
  [SMALL_STATE(7235)] = 210144,
  [SMALL_STATE(7236)] = 210157,
  [SMALL_STATE(7237)] = 210170,
  [SMALL_STATE(7238)] = 210183,
  [SMALL_STATE(7239)] = 210196,
  [SMALL_STATE(7240)] = 210209,
  [SMALL_STATE(7241)] = 210222,
  [SMALL_STATE(7242)] = 210235,
  [SMALL_STATE(7243)] = 210248,
  [SMALL_STATE(7244)] = 210261,
  [SMALL_STATE(7245)] = 210274,
  [SMALL_STATE(7246)] = 210287,
  [SMALL_STATE(7247)] = 210300,
  [SMALL_STATE(7248)] = 210313,
  [SMALL_STATE(7249)] = 210326,
  [SMALL_STATE(7250)] = 210339,
  [SMALL_STATE(7251)] = 210352,
  [SMALL_STATE(7252)] = 210365,
  [SMALL_STATE(7253)] = 210378,
  [SMALL_STATE(7254)] = 210391,
  [SMALL_STATE(7255)] = 210404,
  [SMALL_STATE(7256)] = 210417,
  [SMALL_STATE(7257)] = 210430,
  [SMALL_STATE(7258)] = 210443,
  [SMALL_STATE(7259)] = 210456,
  [SMALL_STATE(7260)] = 210469,
  [SMALL_STATE(7261)] = 210482,
  [SMALL_STATE(7262)] = 210495,
  [SMALL_STATE(7263)] = 210508,
  [SMALL_STATE(7264)] = 210521,
  [SMALL_STATE(7265)] = 210534,
  [SMALL_STATE(7266)] = 210547,
  [SMALL_STATE(7267)] = 210560,
  [SMALL_STATE(7268)] = 210573,
  [SMALL_STATE(7269)] = 210586,
  [SMALL_STATE(7270)] = 210599,
  [SMALL_STATE(7271)] = 210612,
  [SMALL_STATE(7272)] = 210625,
  [SMALL_STATE(7273)] = 210638,
  [SMALL_STATE(7274)] = 210651,
  [SMALL_STATE(7275)] = 210664,
  [SMALL_STATE(7276)] = 210677,
  [SMALL_STATE(7277)] = 210690,
  [SMALL_STATE(7278)] = 210703,
  [SMALL_STATE(7279)] = 210716,
  [SMALL_STATE(7280)] = 210729,
  [SMALL_STATE(7281)] = 210742,
  [SMALL_STATE(7282)] = 210755,
  [SMALL_STATE(7283)] = 210768,
  [SMALL_STATE(7284)] = 210781,
  [SMALL_STATE(7285)] = 210794,
  [SMALL_STATE(7286)] = 210807,
  [SMALL_STATE(7287)] = 210820,
  [SMALL_STATE(7288)] = 210833,
  [SMALL_STATE(7289)] = 210846,
  [SMALL_STATE(7290)] = 210859,
  [SMALL_STATE(7291)] = 210872,
  [SMALL_STATE(7292)] = 210885,
  [SMALL_STATE(7293)] = 210898,
  [SMALL_STATE(7294)] = 210911,
  [SMALL_STATE(7295)] = 210924,
  [SMALL_STATE(7296)] = 210937,
  [SMALL_STATE(7297)] = 210950,
  [SMALL_STATE(7298)] = 210963,
  [SMALL_STATE(7299)] = 210976,
  [SMALL_STATE(7300)] = 210989,
  [SMALL_STATE(7301)] = 211002,
  [SMALL_STATE(7302)] = 211015,
  [SMALL_STATE(7303)] = 211028,
  [SMALL_STATE(7304)] = 211041,
  [SMALL_STATE(7305)] = 211054,
  [SMALL_STATE(7306)] = 211067,
  [SMALL_STATE(7307)] = 211080,
  [SMALL_STATE(7308)] = 211093,
  [SMALL_STATE(7309)] = 211106,
  [SMALL_STATE(7310)] = 211119,
  [SMALL_STATE(7311)] = 211132,
  [SMALL_STATE(7312)] = 211145,
  [SMALL_STATE(7313)] = 211158,
  [SMALL_STATE(7314)] = 211171,
  [SMALL_STATE(7315)] = 211184,
  [SMALL_STATE(7316)] = 211197,
  [SMALL_STATE(7317)] = 211210,
  [SMALL_STATE(7318)] = 211223,
  [SMALL_STATE(7319)] = 211236,
  [SMALL_STATE(7320)] = 211249,
  [SMALL_STATE(7321)] = 211262,
  [SMALL_STATE(7322)] = 211275,
  [SMALL_STATE(7323)] = 211288,
  [SMALL_STATE(7324)] = 211301,
  [SMALL_STATE(7325)] = 211314,
  [SMALL_STATE(7326)] = 211327,
  [SMALL_STATE(7327)] = 211340,
  [SMALL_STATE(7328)] = 211353,
  [SMALL_STATE(7329)] = 211366,
  [SMALL_STATE(7330)] = 211379,
  [SMALL_STATE(7331)] = 211392,
  [SMALL_STATE(7332)] = 211405,
  [SMALL_STATE(7333)] = 211418,
  [SMALL_STATE(7334)] = 211431,
  [SMALL_STATE(7335)] = 211444,
  [SMALL_STATE(7336)] = 211457,
  [SMALL_STATE(7337)] = 211470,
  [SMALL_STATE(7338)] = 211483,
  [SMALL_STATE(7339)] = 211496,
  [SMALL_STATE(7340)] = 211509,
  [SMALL_STATE(7341)] = 211522,
  [SMALL_STATE(7342)] = 211535,
  [SMALL_STATE(7343)] = 211548,
  [SMALL_STATE(7344)] = 211561,
  [SMALL_STATE(7345)] = 211574,
  [SMALL_STATE(7346)] = 211587,
  [SMALL_STATE(7347)] = 211600,
  [SMALL_STATE(7348)] = 211613,
  [SMALL_STATE(7349)] = 211626,
  [SMALL_STATE(7350)] = 211639,
  [SMALL_STATE(7351)] = 211652,
  [SMALL_STATE(7352)] = 211665,
  [SMALL_STATE(7353)] = 211678,
  [SMALL_STATE(7354)] = 211691,
  [SMALL_STATE(7355)] = 211704,
  [SMALL_STATE(7356)] = 211717,
  [SMALL_STATE(7357)] = 211730,
  [SMALL_STATE(7358)] = 211743,
  [SMALL_STATE(7359)] = 211756,
  [SMALL_STATE(7360)] = 211769,
  [SMALL_STATE(7361)] = 211782,
  [SMALL_STATE(7362)] = 211795,
  [SMALL_STATE(7363)] = 211808,
  [SMALL_STATE(7364)] = 211821,
  [SMALL_STATE(7365)] = 211834,
  [SMALL_STATE(7366)] = 211847,
  [SMALL_STATE(7367)] = 211860,
  [SMALL_STATE(7368)] = 211873,
  [SMALL_STATE(7369)] = 211886,
  [SMALL_STATE(7370)] = 211899,
  [SMALL_STATE(7371)] = 211912,
  [SMALL_STATE(7372)] = 211925,
  [SMALL_STATE(7373)] = 211938,
  [SMALL_STATE(7374)] = 211951,
  [SMALL_STATE(7375)] = 211964,
  [SMALL_STATE(7376)] = 211977,
  [SMALL_STATE(7377)] = 211990,
  [SMALL_STATE(7378)] = 212003,
  [SMALL_STATE(7379)] = 212016,
  [SMALL_STATE(7380)] = 212029,
  [SMALL_STATE(7381)] = 212042,
  [SMALL_STATE(7382)] = 212055,
  [SMALL_STATE(7383)] = 212068,
  [SMALL_STATE(7384)] = 212081,
  [SMALL_STATE(7385)] = 212094,
  [SMALL_STATE(7386)] = 212107,
  [SMALL_STATE(7387)] = 212120,
  [SMALL_STATE(7388)] = 212133,
  [SMALL_STATE(7389)] = 212146,
  [SMALL_STATE(7390)] = 212159,
  [SMALL_STATE(7391)] = 212172,
  [SMALL_STATE(7392)] = 212185,
  [SMALL_STATE(7393)] = 212198,
  [SMALL_STATE(7394)] = 212211,
  [SMALL_STATE(7395)] = 212224,
  [SMALL_STATE(7396)] = 212237,
  [SMALL_STATE(7397)] = 212250,
  [SMALL_STATE(7398)] = 212263,
  [SMALL_STATE(7399)] = 212276,
  [SMALL_STATE(7400)] = 212289,
  [SMALL_STATE(7401)] = 212302,
  [SMALL_STATE(7402)] = 212315,
  [SMALL_STATE(7403)] = 212328,
  [SMALL_STATE(7404)] = 212341,
  [SMALL_STATE(7405)] = 212354,
  [SMALL_STATE(7406)] = 212367,
  [SMALL_STATE(7407)] = 212380,
  [SMALL_STATE(7408)] = 212393,
  [SMALL_STATE(7409)] = 212406,
  [SMALL_STATE(7410)] = 212419,
  [SMALL_STATE(7411)] = 212432,
  [SMALL_STATE(7412)] = 212445,
  [SMALL_STATE(7413)] = 212458,
  [SMALL_STATE(7414)] = 212471,
  [SMALL_STATE(7415)] = 212484,
  [SMALL_STATE(7416)] = 212497,
  [SMALL_STATE(7417)] = 212510,
  [SMALL_STATE(7418)] = 212523,
  [SMALL_STATE(7419)] = 212536,
  [SMALL_STATE(7420)] = 212549,
  [SMALL_STATE(7421)] = 212562,
  [SMALL_STATE(7422)] = 212575,
  [SMALL_STATE(7423)] = 212588,
  [SMALL_STATE(7424)] = 212601,
  [SMALL_STATE(7425)] = 212614,
  [SMALL_STATE(7426)] = 212627,
  [SMALL_STATE(7427)] = 212640,
  [SMALL_STATE(7428)] = 212653,
  [SMALL_STATE(7429)] = 212666,
  [SMALL_STATE(7430)] = 212679,
  [SMALL_STATE(7431)] = 212692,
  [SMALL_STATE(7432)] = 212705,
  [SMALL_STATE(7433)] = 212718,
  [SMALL_STATE(7434)] = 212731,
  [SMALL_STATE(7435)] = 212744,
  [SMALL_STATE(7436)] = 212757,
  [SMALL_STATE(7437)] = 212770,
  [SMALL_STATE(7438)] = 212783,
  [SMALL_STATE(7439)] = 212796,
  [SMALL_STATE(7440)] = 212809,
  [SMALL_STATE(7441)] = 212822,
  [SMALL_STATE(7442)] = 212835,
  [SMALL_STATE(7443)] = 212848,
  [SMALL_STATE(7444)] = 212861,
  [SMALL_STATE(7445)] = 212874,
  [SMALL_STATE(7446)] = 212887,
  [SMALL_STATE(7447)] = 212900,
  [SMALL_STATE(7448)] = 212913,
  [SMALL_STATE(7449)] = 212926,
  [SMALL_STATE(7450)] = 212939,
  [SMALL_STATE(7451)] = 212952,
  [SMALL_STATE(7452)] = 212965,
  [SMALL_STATE(7453)] = 212978,
  [SMALL_STATE(7454)] = 212991,
  [SMALL_STATE(7455)] = 213004,
  [SMALL_STATE(7456)] = 213017,
  [SMALL_STATE(7457)] = 213030,
  [SMALL_STATE(7458)] = 213043,
  [SMALL_STATE(7459)] = 213056,
  [SMALL_STATE(7460)] = 213069,
  [SMALL_STATE(7461)] = 213082,
  [SMALL_STATE(7462)] = 213095,
  [SMALL_STATE(7463)] = 213108,
  [SMALL_STATE(7464)] = 213121,
  [SMALL_STATE(7465)] = 213134,
  [SMALL_STATE(7466)] = 213147,
  [SMALL_STATE(7467)] = 213160,
  [SMALL_STATE(7468)] = 213173,
  [SMALL_STATE(7469)] = 213186,
  [SMALL_STATE(7470)] = 213199,
  [SMALL_STATE(7471)] = 213212,
  [SMALL_STATE(7472)] = 213225,
  [SMALL_STATE(7473)] = 213238,
  [SMALL_STATE(7474)] = 213251,
  [SMALL_STATE(7475)] = 213264,
  [SMALL_STATE(7476)] = 213277,
  [SMALL_STATE(7477)] = 213290,
  [SMALL_STATE(7478)] = 213303,
  [SMALL_STATE(7479)] = 213316,
  [SMALL_STATE(7480)] = 213329,
  [SMALL_STATE(7481)] = 213342,
  [SMALL_STATE(7482)] = 213355,
  [SMALL_STATE(7483)] = 213368,
  [SMALL_STATE(7484)] = 213381,
  [SMALL_STATE(7485)] = 213394,
  [SMALL_STATE(7486)] = 213407,
  [SMALL_STATE(7487)] = 213420,
  [SMALL_STATE(7488)] = 213433,
  [SMALL_STATE(7489)] = 213446,
  [SMALL_STATE(7490)] = 213459,
  [SMALL_STATE(7491)] = 213472,
  [SMALL_STATE(7492)] = 213485,
  [SMALL_STATE(7493)] = 213498,
  [SMALL_STATE(7494)] = 213511,
  [SMALL_STATE(7495)] = 213524,
  [SMALL_STATE(7496)] = 213537,
  [SMALL_STATE(7497)] = 213550,
  [SMALL_STATE(7498)] = 213563,
  [SMALL_STATE(7499)] = 213576,
  [SMALL_STATE(7500)] = 213589,
  [SMALL_STATE(7501)] = 213602,
  [SMALL_STATE(7502)] = 213615,
  [SMALL_STATE(7503)] = 213628,
  [SMALL_STATE(7504)] = 213641,
  [SMALL_STATE(7505)] = 213654,
  [SMALL_STATE(7506)] = 213667,
  [SMALL_STATE(7507)] = 213680,
  [SMALL_STATE(7508)] = 213693,
  [SMALL_STATE(7509)] = 213706,
  [SMALL_STATE(7510)] = 213719,
  [SMALL_STATE(7511)] = 213732,
  [SMALL_STATE(7512)] = 213745,
  [SMALL_STATE(7513)] = 213758,
  [SMALL_STATE(7514)] = 213771,
  [SMALL_STATE(7515)] = 213784,
  [SMALL_STATE(7516)] = 213797,
  [SMALL_STATE(7517)] = 213810,
  [SMALL_STATE(7518)] = 213823,
  [SMALL_STATE(7519)] = 213836,
  [SMALL_STATE(7520)] = 213849,
  [SMALL_STATE(7521)] = 213862,
  [SMALL_STATE(7522)] = 213875,
  [SMALL_STATE(7523)] = 213888,
  [SMALL_STATE(7524)] = 213901,
  [SMALL_STATE(7525)] = 213914,
  [SMALL_STATE(7526)] = 213927,
  [SMALL_STATE(7527)] = 213940,
  [SMALL_STATE(7528)] = 213953,
  [SMALL_STATE(7529)] = 213966,
  [SMALL_STATE(7530)] = 213979,
  [SMALL_STATE(7531)] = 213992,
  [SMALL_STATE(7532)] = 214005,
  [SMALL_STATE(7533)] = 214018,
  [SMALL_STATE(7534)] = 214031,
  [SMALL_STATE(7535)] = 214044,
  [SMALL_STATE(7536)] = 214057,
  [SMALL_STATE(7537)] = 214070,
  [SMALL_STATE(7538)] = 214083,
  [SMALL_STATE(7539)] = 214096,
  [SMALL_STATE(7540)] = 214109,
  [SMALL_STATE(7541)] = 214122,
  [SMALL_STATE(7542)] = 214135,
  [SMALL_STATE(7543)] = 214148,
  [SMALL_STATE(7544)] = 214161,
  [SMALL_STATE(7545)] = 214174,
  [SMALL_STATE(7546)] = 214187,
  [SMALL_STATE(7547)] = 214200,
  [SMALL_STATE(7548)] = 214213,
  [SMALL_STATE(7549)] = 214226,
  [SMALL_STATE(7550)] = 214239,
  [SMALL_STATE(7551)] = 214252,
  [SMALL_STATE(7552)] = 214265,
  [SMALL_STATE(7553)] = 214278,
  [SMALL_STATE(7554)] = 214291,
  [SMALL_STATE(7555)] = 214304,
  [SMALL_STATE(7556)] = 214317,
  [SMALL_STATE(7557)] = 214330,
  [SMALL_STATE(7558)] = 214343,
  [SMALL_STATE(7559)] = 214356,
  [SMALL_STATE(7560)] = 214369,
  [SMALL_STATE(7561)] = 214382,
  [SMALL_STATE(7562)] = 214395,
  [SMALL_STATE(7563)] = 214408,
  [SMALL_STATE(7564)] = 214421,
  [SMALL_STATE(7565)] = 214434,
  [SMALL_STATE(7566)] = 214447,
  [SMALL_STATE(7567)] = 214460,
  [SMALL_STATE(7568)] = 214473,
  [SMALL_STATE(7569)] = 214486,
  [SMALL_STATE(7570)] = 214499,
  [SMALL_STATE(7571)] = 214512,
  [SMALL_STATE(7572)] = 214525,
  [SMALL_STATE(7573)] = 214538,
  [SMALL_STATE(7574)] = 214551,
  [SMALL_STATE(7575)] = 214564,
  [SMALL_STATE(7576)] = 214577,
  [SMALL_STATE(7577)] = 214590,
  [SMALL_STATE(7578)] = 214603,
  [SMALL_STATE(7579)] = 214616,
  [SMALL_STATE(7580)] = 214629,
  [SMALL_STATE(7581)] = 214642,
  [SMALL_STATE(7582)] = 214655,
  [SMALL_STATE(7583)] = 214668,
  [SMALL_STATE(7584)] = 214681,
  [SMALL_STATE(7585)] = 214694,
  [SMALL_STATE(7586)] = 214707,
  [SMALL_STATE(7587)] = 214720,
  [SMALL_STATE(7588)] = 214733,
  [SMALL_STATE(7589)] = 214746,
  [SMALL_STATE(7590)] = 214759,
  [SMALL_STATE(7591)] = 214772,
  [SMALL_STATE(7592)] = 214785,
  [SMALL_STATE(7593)] = 214798,
  [SMALL_STATE(7594)] = 214811,
  [SMALL_STATE(7595)] = 214824,
  [SMALL_STATE(7596)] = 214837,
  [SMALL_STATE(7597)] = 214850,
  [SMALL_STATE(7598)] = 214863,
  [SMALL_STATE(7599)] = 214876,
  [SMALL_STATE(7600)] = 214889,
  [SMALL_STATE(7601)] = 214902,
  [SMALL_STATE(7602)] = 214915,
  [SMALL_STATE(7603)] = 214928,
  [SMALL_STATE(7604)] = 214941,
  [SMALL_STATE(7605)] = 214954,
  [SMALL_STATE(7606)] = 214967,
  [SMALL_STATE(7607)] = 214980,
  [SMALL_STATE(7608)] = 214993,
  [SMALL_STATE(7609)] = 215006,
  [SMALL_STATE(7610)] = 215019,
  [SMALL_STATE(7611)] = 215032,
  [SMALL_STATE(7612)] = 215045,
  [SMALL_STATE(7613)] = 215058,
  [SMALL_STATE(7614)] = 215071,
  [SMALL_STATE(7615)] = 215084,
  [SMALL_STATE(7616)] = 215097,
  [SMALL_STATE(7617)] = 215110,
  [SMALL_STATE(7618)] = 215123,
  [SMALL_STATE(7619)] = 215136,
  [SMALL_STATE(7620)] = 215149,
  [SMALL_STATE(7621)] = 215162,
  [SMALL_STATE(7622)] = 215175,
  [SMALL_STATE(7623)] = 215188,
  [SMALL_STATE(7624)] = 215201,
  [SMALL_STATE(7625)] = 215214,
  [SMALL_STATE(7626)] = 215227,
  [SMALL_STATE(7627)] = 215240,
  [SMALL_STATE(7628)] = 215253,
  [SMALL_STATE(7629)] = 215266,
  [SMALL_STATE(7630)] = 215279,
  [SMALL_STATE(7631)] = 215292,
  [SMALL_STATE(7632)] = 215305,
  [SMALL_STATE(7633)] = 215318,
  [SMALL_STATE(7634)] = 215331,
  [SMALL_STATE(7635)] = 215344,
  [SMALL_STATE(7636)] = 215357,
  [SMALL_STATE(7637)] = 215370,
  [SMALL_STATE(7638)] = 215383,
  [SMALL_STATE(7639)] = 215396,
  [SMALL_STATE(7640)] = 215409,
  [SMALL_STATE(7641)] = 215422,
  [SMALL_STATE(7642)] = 215435,
  [SMALL_STATE(7643)] = 215448,
  [SMALL_STATE(7644)] = 215461,
  [SMALL_STATE(7645)] = 215474,
  [SMALL_STATE(7646)] = 215487,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7646),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6493),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4689),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4476),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6497),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6499),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5781),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6537),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6548),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5794),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5798),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6597),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6608),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5712),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5710),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4683),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7511),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4470),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7505),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5825),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7494),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7493),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7492),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(555),
  [118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5376),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3846),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(735),
  [136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5703),
  [146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5702),
  [148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4543),
  [154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(7380),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4462),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(654),
  [182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4445),
  [184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7245),
  [188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7391),
  [202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7388),
  [204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7381),
  [208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(655),
  [217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3683),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5457),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 239),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7141),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4615),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4453),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7060),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7126),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6011),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7151),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7157),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6015),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6016),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7160),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4734),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7576),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7251),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7252),
  [403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2132),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(814),
  [411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2101),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1968),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(9),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(554),
  [425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3784),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7141),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4615),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1964),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4453),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7060),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7126),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6011),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(247),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(574),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7151),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(75),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7157),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6015),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6016),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7160),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(451),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(485),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1467),
  [482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(221),
  [485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(274),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6608),
  [491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5712),
  [494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5710),
  [497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4178),
  [500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(850),
  [503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4734),
  [506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(162),
  [509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(579),
  [512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7511),
  [515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4470),
  [518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(580),
  [521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4801),
  [524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3310),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7505),
  [530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3312),
  [533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5825),
  [536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2133),
  [539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(830),
  [542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1974),
  [545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7576),
  [548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7251),
  [551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7252),
  [554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, .production_id = 52),
  [556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 89),
  [558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2148),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(817),
  [566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2103),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1966),
  [572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7),
  [575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3777),
  [578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6493),
  [581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4689),
  [584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1971),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4476),
  [590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6497),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6499),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5781),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6537),
  [602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(108),
  [605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6548),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5794),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5798),
  [614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6597),
  [617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(428),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(530),
  [623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1575),
  [626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4189),
  [629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(860),
  [632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4683),
  [635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(165),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2150),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(831),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1978),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7494),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7493),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7492),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4747),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4526),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4716),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4663),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7004),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4535),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4442),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6817),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6818),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6124),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6996),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6995),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6127),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6128),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6992),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6677),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4199),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4664),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7405),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7379),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7378),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7124),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4591),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4447),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6877),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7061),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6047),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7129),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7132),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6039),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6038),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7144),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4729),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7513),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7220),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7216),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6728),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4632),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7127),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7008),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6280),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6725),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6724),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6284),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6285),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6721),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4743),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7601),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7312),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7313),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3148),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7380),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7254),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3359),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(95),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7178),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4656),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [1037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3191),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(252),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(272),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(4462),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(4950),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3172),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3279),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3125),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7342),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4950),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, .production_id = 29),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5983),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4473),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6134),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2919),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7184),
  [1195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(502),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [1212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(692),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 29),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [1232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [1244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [1262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7221),
  [1276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7250),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4126),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4454),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7531),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7502),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7501),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4475),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [1404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4455),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7169),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4438),
  [1468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7457),
  [1472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [1474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3353),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [1482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [1488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4446),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3395),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7354),
  [1516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [1560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7168),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [1584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [1586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [1596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [1598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [1604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [1606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [1608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7485),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7166),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3411),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4439),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3443),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3221),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3233),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [1728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [1734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3421),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3356),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4755),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4609),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4736),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7548),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7185),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7186),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4758),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4754),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4752),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3781),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4488),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5556),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5559),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5618),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7403),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6034),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5396),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3895),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3956),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4592),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5699),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5700),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5739),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7504),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5037),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4109),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6059),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4569),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5834),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4690),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [1978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5319),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3437),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4516),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4515),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3160),
  [2032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [2035] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(3875),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [2041] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(4130),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [2059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [2067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, .production_id = 5),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7420),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, .production_id = 5),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7419),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [2091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2804),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 46),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 46),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 46),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, .production_id = 26),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, .production_id = 26),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7463),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7464),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 107),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 107),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 107),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 108),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 108),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 108),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 124),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 124),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 124),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 146),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 146),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 146),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 165),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 165),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 165),
  [2163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 176),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, .production_id = 176),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, .production_id = 176),
  [2171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [2179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 176),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 176),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 176),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4012),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 193),
  [2191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 193),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 193),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 194),
  [2199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 194),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 194),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, .production_id = 106),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, .production_id = 106),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [2215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, .production_id = 68),
  [2217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 68),
  [2219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, .production_id = 84),
  [2221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 84),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [2225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 228),
  [2227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 228),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 228),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [2235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 234),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, .production_id = 234),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, .production_id = 234),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3187),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7442),
  [2253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7441),
  [2259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [2261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5222),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 46),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [2275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 146),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 124),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [2291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 108),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [2303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 107),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [2311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 176),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [2317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 176),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 193),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [2333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 194),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 228),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [2347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 165),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7324),
  [2357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 234),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7326),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [2391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6848),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3151),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [2435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4960),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3370),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2896),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3387),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5847),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7465),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [2677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(95),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [2693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5682),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5687),
  [2718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(3710),
  [2721] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(263),
  [2725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(628),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4606),
  [2730] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(6034),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4679),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [2744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5985),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7577),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [2782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7514),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [2820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6227),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [2826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [2828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7361),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5956),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [2868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [2870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7602),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4930),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4540),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7240),
  [2968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7241),
  [2970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(263),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4548),
  [2975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(6034),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7335),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7334),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7176),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7175),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4735),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4531),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4730),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4669),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7195),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7188),
  [2998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4745),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7489),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7488),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7542),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7540),
  [3008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7372),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7370),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7404),
  [3014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7356),
  [3016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6369),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6605),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4741),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5816),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6629),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7500),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7497),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6110),
  [3036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7029),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6392),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6554),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [3050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7415),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7414),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 43),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [3068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7435),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [3074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [3080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 35),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 43),
  [3088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7434),
  [3094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [3096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7453),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [3100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7454),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [3106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 242),
  [3108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 273),
  [3110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 236),
  [3112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7555),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7553),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 35),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6),
  [3126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5),
  [3128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4),
  [3130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3),
  [3132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 242),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 273),
  [3140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [3142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [3150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [3156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 24),
  [3158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 95),
  [3160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, .production_id = 34),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [3164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 30),
  [3166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 31),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 36),
  [3172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 37),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [3176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, .production_id = 34),
  [3178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [3180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 269),
  [3182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 234),
  [3184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 233),
  [3186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 231),
  [3188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, .production_id = 268),
  [3190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 228),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 42),
  [3194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 235),
  [3196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 44),
  [3198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 45),
  [3200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 45),
  [3202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [3204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 194),
  [3206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [3208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [3210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 193),
  [3212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 233),
  [3214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 231),
  [3218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 58),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 229),
  [3222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 176),
  [3224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 176),
  [3226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 88),
  [3228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 165),
  [3230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 198),
  [3232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4),
  [3234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 82),
  [3236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 30),
  [3238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 93),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [3242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 196),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [3246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 146),
  [3248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 94),
  [3250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 192),
  [3252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3),
  [3254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, .production_id = 58),
  [3256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 184),
  [3258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 181),
  [3260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 180),
  [3262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 124),
  [3264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, .production_id = 175),
  [3266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 108),
  [3268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 107),
  [3270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5),
  [3272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 151),
  [3274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5),
  [3276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 149),
  [3278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 145),
  [3280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2),
  [3282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 141),
  [3284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 140),
  [3286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 137),
  [3288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, .production_id = 123),
  [3290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 46),
  [3292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 92),
  [3294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 82),
  [3296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, .production_id = 101),
  [3298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [3300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 102),
  [3302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4),
  [3304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 83),
  [3306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 80),
  [3308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 67),
  [3310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 66),
  [3312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 149),
  [3318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 88),
  [3320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5),
  [3322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 82),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [3328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [3330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 22),
  [3332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [3334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, .production_id = 6),
  [3336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2),
  [3338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [3340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 6, .production_id = 149),
  [3342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 203),
  [3344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 241),
  [3346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [3348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [3350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 37),
  [3352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [3354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 94),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, .production_id = 101),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [3364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 102),
  [3366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 46),
  [3368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, .production_id = 123),
  [3370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 137),
  [3372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 140),
  [3374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 141),
  [3376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2),
  [3378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 145),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 149),
  [3382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5),
  [3384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 151),
  [3386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 149),
  [3388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 88),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5),
  [3392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5),
  [3394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 82),
  [3396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [3398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [3400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 107),
  [3402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 108),
  [3404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, .production_id = 175),
  [3406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 124),
  [3408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 180),
  [3410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 181),
  [3412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 184),
  [3414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, .production_id = 58),
  [3416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [3418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 95),
  [3420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 192),
  [3422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 146),
  [3424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 196),
  [3426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2),
  [3428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 198),
  [3430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 6, .production_id = 149),
  [3432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 203),
  [3434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 165),
  [3436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 176),
  [3438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3),
  [3440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 176),
  [3442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 229),
  [3444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 58),
  [3446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 231),
  [3448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [3450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 233),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 193),
  [3454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 194),
  [3456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 235),
  [3458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4),
  [3460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 236),
  [3462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 241),
  [3464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 228),
  [3466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, .production_id = 268),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 231),
  [3470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 233),
  [3472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 234),
  [3474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 269),
  [3476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [3478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 93),
  [3480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 92),
  [3482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [3484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, .production_id = 34),
  [3486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [3488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 30),
  [3490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 82),
  [3492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [3494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [3496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5),
  [3498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6),
  [3500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4),
  [3502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [3504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [3506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 88),
  [3508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [3510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [3512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2),
  [3514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, .production_id = 6),
  [3516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [3520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 22),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 24),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [3526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 30),
  [3528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3),
  [3530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 31),
  [3532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, .production_id = 34),
  [3536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 36),
  [3538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 82),
  [3540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4),
  [3542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 83),
  [3544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 80),
  [3546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 67),
  [3548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 66),
  [3550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 42),
  [3552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 44),
  [3554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 45),
  [3556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 45),
  [3558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [3560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [3562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3),
  [3564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7428),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [3572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7303),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7568),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7536),
  [3584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7306),
  [3588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4116),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [3594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, .production_id = 272),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [3600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 240),
  [3602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 201),
  [3604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [3606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 202),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4107),
  [3612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3840),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4256),
  [3618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3922),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3948),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3964),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3992),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4307),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4479),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4306),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [3644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5626),
  [3646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5628),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5775),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [3652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7550),
  [3656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5497),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4282),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [3668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7593),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7551),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [3676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7560),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [3680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5050),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4021),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4020),
  [3686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4019),
  [3688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3986),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [3696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4367),
  [3700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [3704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [3708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4397),
  [3712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4369),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4399),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [3720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3808),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3795),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5193),
  [3728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4395),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5190),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5410),
  [3736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5978),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5969),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [3744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5023),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [3748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5977),
  [3752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5971),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5973),
  [3756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [3760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [3764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [3768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4610),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [3772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [3776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5694),
  [3778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [3780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7444),
  [3784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5371),
  [3788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [3792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [3796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7398),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3942),
  [3800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7445),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [3804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7446),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [3808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [3810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4532),
  [3814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [3816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [3818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [3820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5759),
  [3822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [3824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [3826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7243),
  [3828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [3830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5326),
  [3832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [3834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [3836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [3838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [3840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7565),
  [3842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3941),
  [3844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7246),
  [3846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [3848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7247),
  [3850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4085),
  [3852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [3854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [3858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [3860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [3866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [3868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [3870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [3872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7581),
  [3874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [3876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [3878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [3880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [3882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3116),
  [3886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7261),
  [3888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4093),
  [3892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [3894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [3896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [3902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [3906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3938),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [3922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [3930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4142),
  [3940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4077),
  [3942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [3946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3962),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3227),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3223),
  [3960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3324),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4080),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [3972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3952),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [3978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [3982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3114),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [3988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5606),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5603),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4458),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [4000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3923),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3947),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4897),
  [4006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5729),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5728),
  [4012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4288),
  [4014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [4016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [4018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4048),
  [4020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4265),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [4024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [4026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [4028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [4032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [4038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [4040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5633),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5613),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5614),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5639),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5642),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5588),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5589),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5647),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5659),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5653),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5656),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5291),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5888),
  [4101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 71),
  [4103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 71),
  [4105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [4111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [4127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 143),
  [4129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 143),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6856),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [4137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4468),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [4143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [4148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [4151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2),
  [4153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2),
  [4155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 70),
  [4157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 70),
  [4159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 69),
  [4161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 69),
  [4163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 68),
  [4165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 68),
  [4167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 190),
  [4169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 190),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [4173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 49),
  [4176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 49),
  [4179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(7331),
  [4182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(1796),
  [4185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 49),
  [4187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(700),
  [4190] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 49),
  [4194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(7426),
  [4197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(1787),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [4202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 49), SHIFT(6814),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [4207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [4211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [4220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [4225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6654),
  [4234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(286),
  [4237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [4239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7456),
  [4243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2),
  [4249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 21),
  [4251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 21), SHIFT(4172),
  [4254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 21), SHIFT_REPEAT(6134),
  [4257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(659),
  [4260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 49),
  [4265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [4269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [4272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, .production_id = 29),
  [4278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5927),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [4290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 68),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [4294] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 49), REDUCE(sym_rest_pattern, 2),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5820),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5792),
  [4302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 69),
  [4304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 29),
  [4307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [4309] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1), REDUCE(sym_rest_pattern, 2, .production_id = 29),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 68),
  [4321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 15),
  [4323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [4325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [4327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(496),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [4339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(690),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5806),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [4362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4266),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [4368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3374),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [4380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [4388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [4390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [4392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [4394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [4398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [4400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [4402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [4404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [4406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [4412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3806),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [4426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [4432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [4440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4250),
  [4442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4249),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [4448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [4456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [4462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [4464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [4468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [4472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7549),
  [4488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2344),
  [4491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2676),
  [4494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [4498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2792),
  [4501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3041),
  [4504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2638),
  [4507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3397),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4273),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [4518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3303),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3484),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3244),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6018),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3641),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3235),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [4570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [4574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [4576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3388),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3444),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4412),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3377),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3455),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7136),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6970),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [4636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4212),
  [4640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [4642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [4648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3350),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3449),
  [4654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3316),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3318),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3320),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [4670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(4139),
  [4673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(3729),
  [4676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21),
  [4678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(3559),
  [4681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(538),
  [4684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(5699),
  [4687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(5700),
  [4690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(3244),
  [4693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(7581),
  [4696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(4128),
  [4699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(6018),
  [4702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(2713),
  [4705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(2914),
  [4708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(3355),
  [4711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(2793),
  [4714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(3433),
  [4717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(3335),
  [4720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(3641),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [4727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [4731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [4733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [4735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [4737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [4739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4633),
  [4741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4419),
  [4743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [4745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [4747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3315),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3363),
  [4753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [4755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4699),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [4763] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_repeat1, 2, .production_id = 27), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 28),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4551),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3426),
  [4771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3473),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [4781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 12),
  [4783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 12),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [4795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 77),
  [4797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 77),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [4801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 49),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7315),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [4807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 112),
  [4809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 112),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [4819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 50),
  [4821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 50),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [4825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [4827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1),
  [4829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [4833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [4835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [4837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asserts, 2),
  [4839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 2),
  [4841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 2, .production_id = 116),
  [4843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 2, .production_id = 116),
  [4845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiation_expression, 2, .production_id = 17),
  [4847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiation_expression, 2, .production_id = 17),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [4853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 4, .production_id = 115),
  [4855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 4, .production_id = 115),
  [4857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [4863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2),
  [4865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2),
  [4867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 264),
  [4869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 264),
  [4871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [4873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [4877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(208),
  [4880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [4886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [4890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [4904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [4906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [4912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [4916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [4928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [4930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [4932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [4934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(208),
  [4937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, .production_id = 51),
  [4939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, .production_id = 51),
  [4941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [4945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2344),
  [4948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2638),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [4953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [4957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3352),
  [4959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [4961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [4965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 263),
  [4967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 263),
  [4969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [4971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [4973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(208),
  [4976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 25),
  [4978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 23),
  [4980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [4982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [4984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1),
  [4986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1),
  [4988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .production_id = 78),
  [4990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .production_id = 78),
  [4992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .production_id = 77),
  [4994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .production_id = 77),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [4998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1),
  [5000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1),
  [5002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .production_id = 77),
  [5004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .production_id = 77),
  [5006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 15),
  [5008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 15),
  [5010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 168),
  [5012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 168),
  [5014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 143),
  [5016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 143),
  [5018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 142),
  [5020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 142),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [5024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 169),
  [5026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 169),
  [5028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 170),
  [5030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 170),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [5034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 171),
  [5036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 171),
  [5038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [5040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [5046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 78),
  [5048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 78),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [5052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3),
  [5054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [5058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [5060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 265),
  [5062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 265),
  [5064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3),
  [5066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3),
  [5068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .production_id = 78),
  [5070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .production_id = 78),
  [5072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 172),
  [5074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 172),
  [5076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 68), REDUCE(sym_nested_type_identifier, 3, .production_id = 172),
  [5079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 84), REDUCE(sym_nested_type_identifier, 3, .production_id = 172),
  [5082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 173),
  [5084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 173),
  [5086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [5088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [5090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, .production_id = 8),
  [5092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, .production_id = 8),
  [5094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3),
  [5096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3),
  [5098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5),
  [5100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5),
  [5102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [5104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [5106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [5108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [5111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [5114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2),
  [5116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 266),
  [5118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 266),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [5122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3),
  [5124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3),
  [5126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2676),
  [5129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3),
  [5131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3),
  [5133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [5136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [5139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 56),
  [5141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 56),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [5145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 267),
  [5147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 267),
  [5149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3397),
  [5152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 189),
  [5154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 63),
  [5156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 64),
  [5158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 65),
  [5160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65),
  [5162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 15),
  [5164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 15),
  [5166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 113),
  [5168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 113),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [5172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(208),
  [5175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 68),
  [5177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 68),
  [5179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 69),
  [5181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 69),
  [5183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, .production_id = 127),
  [5185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, .production_id = 126),
  [5187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 185),
  [5189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 185),
  [5191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 186),
  [5193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 186),
  [5195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3),
  [5197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3),
  [5199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 122),
  [5201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 121),
  [5203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 224),
  [5205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 224),
  [5207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 225),
  [5209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 225),
  [5211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 119),
  [5213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 191),
  [5215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 191),
  [5217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 90),
  [5219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 90),
  [5221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 187),
  [5223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 187),
  [5225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 188),
  [5227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 188),
  [5229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [5233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4),
  [5235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4),
  [5237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, .production_id = 226),
  [5239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, .production_id = 226),
  [5241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 295),
  [5243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 295),
  [5245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 296),
  [5247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 296),
  [5249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 297),
  [5251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 297),
  [5253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_satisfies_expression, 3),
  [5255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_satisfies_expression, 3),
  [5257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2792),
  [5260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 76),
  [5262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 298),
  [5264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 298),
  [5266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 65),
  [5268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4),
  [5270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4),
  [5272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2),
  [5274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 6, .production_id = 299),
  [5276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 6, .production_id = 299),
  [5278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2),
  [5280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [5282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, .production_id = 319),
  [5284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, .production_id = 319),
  [5286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2),
  [5288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [5290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 117),
  [5292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 117),
  [5294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, .production_id = 227),
  [5296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, .production_id = 227),
  [5298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2),
  [5300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2),
  [5302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, .production_id = 115),
  [5304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, .production_id = 115),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [5308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .production_id = 77),
  [5310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .production_id = 77),
  [5312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3041),
  [5315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2),
  [5317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2),
  [5319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2),
  [5321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2),
  [5323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 114),
  [5325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 114),
  [5327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5),
  [5329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5),
  [5331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .production_id = 78),
  [5333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .production_id = 78),
  [5335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [5339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [5343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [5353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [5357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [5363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [5369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [5391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [5399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [5409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [5419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [5427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [5429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [5431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 27),
  [5433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 27),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [5439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [5443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(209),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [5448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 81),
  [5450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 81),
  [5452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [5454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [5456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [5458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 76),
  [5460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, .production_id = 75),
  [5462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, .production_id = 75),
  [5464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [5466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [5468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2),
  [5470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2),
  [5472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, .production_id = 74),
  [5474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, .production_id = 74),
  [5476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 73),
  [5478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 73),
  [5480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(212),
  [5483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 2, .dynamic_precedence = -1),
  [5485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 2, .dynamic_precedence = -1),
  [5487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(209),
  [5490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11),
  [5492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11),
  [5494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 50),
  [5497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 50),
  [5500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(212),
  [5503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [5506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [5511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [5514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [5516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [5522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 85), REDUCE(sym_assignment_expression, 3, .production_id = 23),
  [5525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 85),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [5533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(209),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [5538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 16),
  [5540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 16),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [5544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1),
  [5546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1),
  [5548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 195),
  [5550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 195),
  [5552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 118),
  [5554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 118),
  [5556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 119),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [5560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, .production_id = 18),
  [5562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, .production_id = 18),
  [5564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 120),
  [5566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 120),
  [5568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 121),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [5572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 122),
  [5574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 120),
  [5576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 120),
  [5578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, .production_id = 18),
  [5580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, .production_id = 18),
  [5582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 125),
  [5584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 125),
  [5586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 89),
  [5588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 89), SHIFT(551),
  [5591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 128),
  [5593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 128),
  [5595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(212),
  [5598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 63), REDUCE(sym_assignment_expression, 3, .production_id = 63),
  [5601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 63),
  [5603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 25),
  [5605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 72),
  [5607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 72),
  [5609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 27),
  [5611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 28),
  [5613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 27),
  [5615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 27), REDUCE(sym_object_pattern, 3, .production_id = 28),
  [5618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 131),
  [5620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 131),
  [5622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 133),
  [5624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 133),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [5628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 135),
  [5630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 135),
  [5632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 136),
  [5634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 136),
  [5636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 85), REDUCE(sym_assignment_expression, 3, .production_id = 63),
  [5639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 64),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [5643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [5645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [5647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(209),
  [5650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, .dynamic_precedence = -1, .production_id = 62),
  [5652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, .dynamic_precedence = -1, .production_id = 62),
  [5654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, .dynamic_precedence = -1, .production_id = 58),
  [5656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, .dynamic_precedence = -1, .production_id = 58),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [5660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 55),
  [5662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 55),
  [5664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [5666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [5668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [5670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [5672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, .production_id = 54),
  [5674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, .production_id = 54),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [5678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 53),
  [5680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 53),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [5684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [5687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 52),
  [5689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 52),
  [5691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [5697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [5699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [5702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [5705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 174),
  [5707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 174),
  [5709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, .production_id = 144),
  [5711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, .production_id = 144),
  [5713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 179),
  [5715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 179),
  [5717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 148),
  [5719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 148),
  [5721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 58),
  [5723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 58),
  [5725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 62),
  [5727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 62),
  [5729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 147),
  [5731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 147),
  [5733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [5735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [5737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [5739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [5741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(212),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [5746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 178),
  [5748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 178),
  [5750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [5752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [5754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3322),
  [5758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [5760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(215),
  [5763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [5765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [5767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [5769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [5771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [5773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [5775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [5779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [5781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [5785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [5787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [5789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [5791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [5793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [5795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [5797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [5799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [5801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 63),
  [5803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [5805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [5809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [5811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [5813] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [5817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [5819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [5821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [5823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3723),
  [5825] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_repeat1, 2, .production_id = 27), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 28),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [5833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [5835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [5837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [5839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [5841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [5843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(215),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [5854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [5856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 1, .production_id = 47),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [5860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(215),
  [5863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [5865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [5867] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [5871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [5873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(215),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [5884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [5886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 28),
  [5888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3408),
  [5890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3406),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [5916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [5918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [5920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3368),
  [5922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [5924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [5926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [5934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [5938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [5942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [5944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [5950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [5954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [5964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [5967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [5969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [5971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [5973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3168),
  [5975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3319),
  [5977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3326),
  [5979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [5984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(211),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [5989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [5991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [5993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [5997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [5999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3418),
  [6001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3703),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [6005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5372),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [6009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4525),
  [6011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3686),
  [6013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [6015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [6017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [6019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [6025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [6027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 38),
  [6029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 38),
  [6031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 50), REDUCE(sym__parameter_name, 2, .production_id = 38),
  [6034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [6036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 50),
  [6043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [6049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [6051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [6053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [6055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3366),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [6059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [6061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [6063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [6065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [6069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 38),
  [6071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 38),
  [6073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [6075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(213),
  [6078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [6080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [6090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [6094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [6096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [6102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [6114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(213),
  [6117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(213),
  [6120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 86),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [6126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [6128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3305),
  [6130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3336),
  [6132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [6134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(213),
  [6137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [6139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(211),
  [6142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5348),
  [6144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5325),
  [6146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(211),
  [6149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(211),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [6158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6161] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 50),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [6175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [6179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3436),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3438),
  [6183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3712),
  [6185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [6187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [6189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [6193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [6199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [6203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [6205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 100),
  [6207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 100),
  [6209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [6211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [6213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [6215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [6221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [6225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [6229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [6231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [6237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [6241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [6251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [6253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3574),
  [6255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3573),
  [6257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [6259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [6261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(214),
  [6264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(210),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [6271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [6273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3576),
  [6275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 156),
  [6277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 156),
  [6279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 15),
  [6281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 5, .production_id = 204),
  [6283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, .production_id = 204),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [6289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [6291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3197),
  [6293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3372),
  [6295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [6299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [6305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [6309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [6311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [6319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [6326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5715),
  [6328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [6334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [6336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [6338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(214),
  [6341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(214),
  [6344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 89), SHIFT(687),
  [6347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [6349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [6351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(210),
  [6354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(210),
  [6357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [6359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3278),
  [6361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3393),
  [6363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(214),
  [6366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(210),
  [6369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 2, .production_id = 109),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [6373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3718),
  [6375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [6383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 41),
  [6385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 41),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [6391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [6393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [6395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3594),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [6403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 154),
  [6405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 154),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [6411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3297),
  [6413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3341),
  [6415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [6417] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1), REDUCE(sym_rest_pattern, 2),
  [6421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [6423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [6427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [6429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [6432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [6434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [6437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [6447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 27), REDUCE(sym_object_pattern, 3, .production_id = 28),
  [6450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4653),
  [6452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [6454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6613),
  [6456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [6458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [6460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3420),
  [6462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3480),
  [6464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [6466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [6468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [6470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [6472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3340),
  [6474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3711),
  [6476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [6478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 96),
  [6480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 96),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [6488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [6491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [6493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [6496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property_name, 3),
  [6498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3684),
  [6500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [6504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [6506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [6509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [6511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [6513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3325),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [6517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [6519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [6525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [6529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [6533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [6535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [6541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [6545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [6553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7065),
  [6555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4944),
  [6557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1),
  [6559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3472),
  [6561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3404),
  [6563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [6565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [6567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [6569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [6571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(216),
  [6574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 27), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 28),
  [6577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(216),
  [6580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(216),
  [6583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(216),
  [6586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 27),
  [6588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [6590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3379),
  [6592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [6594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11), REDUCE(sym_class, 3, .production_id = 81),
  [6597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11), REDUCE(sym_class, 3, .production_id = 81),
  [6600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [6602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [6604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [6606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [6608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [6610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [6612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3707),
  [6614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [6616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [6618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 53), REDUCE(sym_class, 4, .production_id = 148),
  [6621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 53), REDUCE(sym_class, 4, .production_id = 148),
  [6624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 52), REDUCE(sym_class, 4, .production_id = 147),
  [6627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 52), REDUCE(sym_class, 4, .production_id = 147),
  [6630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 46), REDUCE(sym_class, 4, .production_id = 146),
  [6633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 46), REDUCE(sym_class, 4, .production_id = 146),
  [6636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 118), REDUCE(sym_class, 5, .production_id = 195),
  [6639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 118), REDUCE(sym_class, 5, .production_id = 195),
  [6642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3728),
  [6644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [6646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [6648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [6650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 165), REDUCE(sym_class, 6, .production_id = 234),
  [6653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 165), REDUCE(sym_class, 6, .production_id = 234),
  [6656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 107), REDUCE(sym_class, 5, .production_id = 193),
  [6659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 107), REDUCE(sym_class, 5, .production_id = 193),
  [6662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 108), REDUCE(sym_class, 5, .production_id = 194),
  [6665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 108), REDUCE(sym_class, 5, .production_id = 194),
  [6668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 320),
  [6670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 320),
  [6672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 228),
  [6674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 228),
  [6676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 237),
  [6678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 237),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [6682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 270),
  [6684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 270),
  [6686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 271),
  [6688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 271),
  [6690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [6692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 104),
  [6694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 104), SHIFT_REPEAT(3564),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [6699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 300),
  [6701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 300),
  [6703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 87),
  [6705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 87),
  [6707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 301),
  [6709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 301),
  [6711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 199),
  [6713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 199),
  [6715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 176),
  [6717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 176),
  [6719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 124),
  [6721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 124),
  [6723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 152),
  [6725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 152),
  [6727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3722),
  [6729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [6731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [6733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [6735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 321),
  [6737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 321),
  [6739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, .production_id = 336),
  [6741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, .production_id = 336),
  [6743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [6745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1), SHIFT_REPEAT(3557),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [6754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3678),
  [6756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [6758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3600),
  [6760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [6762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3584),
  [6764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [6766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 3, .production_id = 104),
  [6768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [6770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3556),
  [6772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3590),
  [6774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [6776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, .production_id = 11),
  [6778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [6780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2821),
  [6782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [6784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3618),
  [6786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [6788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7479),
  [6790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [6792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2891),
  [6794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [6796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [6798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [6800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6885),
  [6802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [6804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [6806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [6808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [6810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [6814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [6816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [6822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [6826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [6828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3367),
  [6830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 21), SHIFT_REPEAT(6018),
  [6833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [6835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [6837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6980),
  [6839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6968),
  [6841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6701),
  [6843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [6845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [6847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [6849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [6851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [6853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [6855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [6859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [6861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [6863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [6865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6864),
  [6867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [6869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [6871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [6873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3674),
  [6875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3364),
  [6877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5028),
  [6883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [6885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [6887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5156),
  [6889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [6891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5233),
  [6893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5234),
  [6895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [6897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [6899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [6901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3689),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [6905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3299),
  [6907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3139),
  [6911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3447),
  [6919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [6921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3483),
  [6923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [6925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [6927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3445),
  [6929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [6931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [6933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [6935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3461),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [6939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [6941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7082),
  [6943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7191),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5910),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [6959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5952),
  [6961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7340),
  [6963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [6965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4120),
  [6967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4064),
  [6969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [6971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4545),
  [6973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [6975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [6977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter, 1, .production_id = 13),
  [6979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [6981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_parameter, 1, .production_id = 13), SHIFT(4788),
  [6984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7385),
  [6986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [6988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [6990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [6992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5925),
  [6994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3969),
  [6996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4095),
  [6998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5790),
  [7000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3965),
  [7002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [7004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3228),
  [7006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [7008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [7010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4083),
  [7012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5800),
  [7014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [7016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5930),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [7088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [7132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, .production_id = 5),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [7144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 215),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [7152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 258),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [7158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 162),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [7162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [7164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 105),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [7170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 58),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [7182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6246),
  [7184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6245),
  [7186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_identifier, 1, .production_id = 1),
  [7188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [7190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 252),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [7196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [7198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [7200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 213),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [7206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 293),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [7216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3),
  [7218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 49), REDUCE(sym_jsx_namespace_name, 3),
  [7221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7331),
  [7223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [7253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 157),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [7263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [7275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 252),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6873),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [7283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [7285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4955),
  [7287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4953),
  [7289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5302),
  [7291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [7293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, .production_id = 5),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [7297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4988),
  [7299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5316),
  [7301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 58),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [7309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 213),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [7317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5189),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [7325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 157),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [7329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7162),
  [7331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [7333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5086),
  [7335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4880),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [7339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 157),
  [7341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 252),
  [7343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 258),
  [7345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 215),
  [7347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 213),
  [7349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(399),
  [7352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(4955),
  [7355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(4953),
  [7358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2),
  [7360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(4952),
  [7363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 162),
  [7365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 49), SHIFT(6814),
  [7368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [7370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7406),
  [7372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [7374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 58),
  [7376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 213),
  [7378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5085),
  [7380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [7382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 157),
  [7384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 5),
  [7386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3170),
  [7388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [7390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 293),
  [7392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 252),
  [7394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 5),
  [7396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 105),
  [7398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 58),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [7402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [7408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6256),
  [7410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4196),
  [7412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7411),
  [7414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7413),
  [7416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4527),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [7424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4320),
  [7426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [7428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [7430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [7432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [7434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, .production_id = 77),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [7438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4220),
  [7440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [7442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7556),
  [7444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4252),
  [7446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4406),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [7450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [7456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4364),
  [7458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [7460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [7466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4343),
  [7470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 20),
  [7472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4385),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [7476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7224),
  [7478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6088),
  [7480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6086),
  [7482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4414),
  [7484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4325),
  [7486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4428),
  [7488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [7492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4427),
  [7494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5720),
  [7496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5212),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7268),
  [7500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6145),
  [7502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [7524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 286),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [7530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5996),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [7536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4924),
  [7538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [7540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [7542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [7546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2),
  [7548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 188),
  [7550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 188),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [7562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__destructuring_pattern, 1),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [7570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 187),
  [7572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 187),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [7578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4870),
  [7580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [7586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, .production_id = 77),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [7626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 186),
  [7628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 186),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [7638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 185),
  [7640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 185),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [7658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 69),
  [7660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 28),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [7676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 68),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [7690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4868),
  [7692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [7700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [7718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4873),
  [7720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [7726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4877),
  [7728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4707),
  [7734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [7748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4887),
  [7750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [7766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 318),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [7772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [7774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [7778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4919),
  [7780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4920),
  [7782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4921),
  [7784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [7788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3158),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [7794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [7796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4939),
  [7798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [7804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5036),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [7810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5778),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [7816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4997),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [7826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3161),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [7830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3201),
  [7832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3296),
  [7834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [7836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [7838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [7840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [7842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4999),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [7846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5038),
  [7848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 132), SHIFT_REPEAT(4545),
  [7851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 132), SHIFT_REPEAT(344),
  [7854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 132),
  [7856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5035),
  [7858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [7860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5034),
  [7862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5033),
  [7864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5032),
  [7866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [7868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [7882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 15),
  [7884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 142),
  [7886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 142),
  [7888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7368),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [7896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, .production_id = 78),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [7904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7210),
  [7906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7198),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7264),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7319),
  [7916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2),
  [7918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [7920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7181),
  [7922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4962),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [7926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [7928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_adding_type_annotation, 2),
  [7930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [7940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [7942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [7944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [7950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7269),
  [7952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3905),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [7956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7641),
  [7958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [7966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 223),
  [7968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [7972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 13),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [7978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7519),
  [7980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [7984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, .production_id = 167),
  [7986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 318),
  [7988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 262),
  [7990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [7996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [7998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 138),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [8006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 138),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [8012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4956),
  [8014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [8016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [8020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 222),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [8024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7636),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7625),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [8034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [8036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 57),
  [8038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, .production_id = 7),
  [8040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4934),
  [8046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 27), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 28),
  [8049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_chain, 1),
  [8051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [8053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_chain, 1),
  [8055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [8061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [8063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [8069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7507),
  [8071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [8073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [8079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, .production_id = 103),
  [8081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [8087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7631),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [8091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [8093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [8095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 286),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [8099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, .production_id = 10),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [8103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(700),
  [8106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 123),
  [8108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 161),
  [8110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 205),
  [8112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 175),
  [8114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 243),
  [8116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 244),
  [8118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 279),
  [8120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 278),
  [8122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 302),
  [8124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 303),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [8130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 324),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4909),
  [8136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 329),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [8142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4893),
  [8144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, .production_id = 338),
  [8146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(659),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [8151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [8157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4964),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [8161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [8167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [8171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4794),
  [8173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, .production_id = 78),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [8179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4782),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [8183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4780),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [8187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4775),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [8191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4773),
  [8193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [8197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4767),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [8201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4762),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [8255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(5736),
  [8258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [8260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(535),
  [8263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(5738),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [8268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [8288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(706),
  [8291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3),
  [8293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1),
  [8295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4393),
  [8297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 62),
  [8299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 58),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [8309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(7190),
  [8312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [8314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(468),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [8319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [8341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [8349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [8405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 19),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [8423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 139),
  [8425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 139),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [8457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 68),
  [8459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, .production_id = 10),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [8477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 131),
  [8479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 136),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [8485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 135),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [8497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 133),
  [8499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [8503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts_annotation, 2),
  [8505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2),
  [8507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, .production_id = 79),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [8559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 138),
  [8561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 138),
  [8563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4034),
  [8565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [8567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5175),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [8573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 5, .dynamic_precedence = -1, .production_id = 178),
  [8575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 5, .dynamic_precedence = -1, .production_id = 179),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [8593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2), SHIFT_REPEAT(2285),
  [8596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [8604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 27),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [8610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 21),
  [8612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 21), SHIFT_REPEAT(5825),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [8617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [8619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [8621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [8623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 1),
  [8625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [8629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_text, 1),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [8647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, .dynamic_precedence = -1),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [8677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 332),
  [8679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 256),
  [8681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5855),
  [8683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4884),
  [8685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6730),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [8697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 254),
  [8699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, .production_id = 111),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [8707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 246),
  [8709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 250),
  [8711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 5, .production_id = 294),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [8721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 33),
  [8723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 288),
  [8725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 306),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [8731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 308),
  [8733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 311),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [8741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, .production_id = 206),
  [8743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, .production_id = 207),
  [8745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [8747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 314),
  [8749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 209),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [8753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 211),
  [8755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, .production_id = 77),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [8759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 305),
  [8761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 317),
  [8763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 20), SHIFT(1913),
  [8766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 285),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [8770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 217),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [8786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6117),
  [8788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [8790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6984),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [8794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 219),
  [8796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [8802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 292),
  [8804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 221),
  [8806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 159),
  [8808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 90),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [8812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 1, .production_id = 59),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [8816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 20), SHIFT(1801),
  [8819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [8831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1806),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [8836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 2),
  [8838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3),
  [8840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6146),
  [8842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5077),
  [8844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6966),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [8848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 260),
  [8850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 32),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [8862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6304),
  [8864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [8866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6692),
  [8868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, .production_id = 7),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [8872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 139),
  [8874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 139),
  [8876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 282),
  [8878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 285),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [8882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 322),
  [8884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 323),
  [8886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 327),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [8896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 209),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [8902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 211),
  [8904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 261),
  [8906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1919),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [8917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 282),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [8941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 335),
  [8943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [8953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [8957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 3),
  [8959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2),
  [8961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(1956),
  [8964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(5950),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [8973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 33),
  [8975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 246),
  [8977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2),
  [8979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 274),
  [8981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2),
  [8983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1800),
  [8986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 250),
  [8988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 33),
  [8990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 276),
  [8992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, .production_id = 251),
  [8994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 277),
  [8996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [9000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 159),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [9016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 341),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [9040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 164),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [9048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1916),
  [9051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 20), SHIFT(1798),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [9056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 20), SHIFT(1886),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [9069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, .production_id = 308),
  [9071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 90),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [9089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4286),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [9101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [9103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(6031),
  [9106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [9108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(6029),
  [9111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 40),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [9115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(307),
  [9118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3741),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [9122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [9130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [9132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [9138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [9156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4490),
  [9158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6021),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [9168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 166),
  [9170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 166), SHIFT_REPEAT(499),
  [9173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [9175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [9177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5283),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [9189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [9199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [9201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [9217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [9219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6999),
  [9221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [9229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, .production_id = 48),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [9235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, .production_id = 275),
  [9237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [9241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [9247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 130),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [9251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2), SHIFT_REPEAT(6204),
  [9254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2),
  [9256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 2), SHIFT_REPEAT(6204),
  [9259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2), SHIFT_REPEAT(6201),
  [9262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2),
  [9264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 2), SHIFT_REPEAT(6201),
  [9267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5805),
  [9269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4383),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [9279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [9281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [9289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [9295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [9305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [9309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [9315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [9321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [9333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 58),
  [9335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 230),
  [9337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 230), SHIFT_REPEAT(5695),
  [9340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 230),
  [9342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6201),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5300),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [9348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6204),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [9362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5386),
  [9364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [9368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, .production_id = 14),
  [9370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, .production_id = 14), REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [9373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(729),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [9378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [9384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [9396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [9404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3800),
  [9406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [9410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 182),
  [9412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 182),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [9416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 61),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [9420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [9422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 183),
  [9424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 183),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [9430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 28),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [9438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [9444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [9450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [9452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [9458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [9464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(4517),
  [9467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [9479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 98),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [9485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [9487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [9493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 15),
  [9495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [9501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3789),
  [9503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 110),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [9525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 316),
  [9527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 7, .production_id = 302),
  [9529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4),
  [9531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 255),
  [9533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 281),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [9539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 283),
  [9541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 284),
  [9543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 278),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [9547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6510),
  [9549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 279),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [9553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1),
  [9555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [9557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 287),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [9561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [9567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [9571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 289),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [9579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [9583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 290),
  [9585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 291),
  [9587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(4403),
  [9590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [9596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(4456),
  [9599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [9605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(690),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [9616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 158),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [9628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [9634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, .production_id = 123),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [9646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 160),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [9658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 253),
  [9660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 91),
  [9662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 163),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [9670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 48),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [9676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(5944),
  [9679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [9695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3877),
  [9697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [9705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3864),
  [9707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3772),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [9715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3844),
  [9717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [9731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [9733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [9737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3927),
  [9739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [9743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3926),
  [9745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [9749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3925),
  [9751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [9753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2), SHIFT_REPEAT(1905),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [9760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [9774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [9786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [9788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3758),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [9796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, .production_id = 78),
  [9798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6382),
  [9800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7213),
  [9802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(1788),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [9811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 257),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [9817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 304),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [9823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 32),
  [9825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 307),
  [9827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6410),
  [9829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5),
  [9831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 309),
  [9833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 310),
  [9835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [9839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 220),
  [9841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 312),
  [9843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 313),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [9849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 208),
  [9851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 315),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [9855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [9861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [9867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5),
  [9869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 210),
  [9871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [9873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1),
  [9875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 1),
  [9877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 1),
  [9879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 212),
  [9881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 175),
  [9883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [9887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [9893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [9897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 205),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [9903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 214),
  [9905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(265),
  [9908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [9912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 216),
  [9914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 1),
  [9916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 91),
  [9918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 90),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [9924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5870),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [9932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [9934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [9936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, .production_id = 1),
  [9938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2), SHIFT_REPEAT(6999),
  [9941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [9949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 86),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [9957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6809),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [9963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6827),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [9967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 218),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [9975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [9989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, .production_id = 5),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [10011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2), SHIFT_REPEAT(1741),
  [10014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2),
  [10016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6351),
  [10018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [10020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [10022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [10032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [10040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [10042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [10044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 1),
  [10046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 1),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [10052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 1),
  [10054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 1),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [10058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [10060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [10070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [10076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 2, .production_id = 58),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [10090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 232), SHIFT_REPEAT(3652),
  [10093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 232),
  [10095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(3378),
  [10098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [10100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(3134),
  [10103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [10105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 325),
  [10107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 326),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [10111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 328),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [10117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, .production_id = 343),
  [10119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 330),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [10123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 331),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [10127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 333),
  [10129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 30),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [10139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6077),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [10147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 259),
  [10149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 334),
  [10151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, .production_id = 238),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [10159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [10165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [10167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [10171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [10173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [10175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 245),
  [10177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 247),
  [10179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 248),
  [10181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 249),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [10189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 280),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [10201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 243),
  [10203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 244),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [10207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 339),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [10213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 342),
  [10215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [10217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 340),
  [10219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [10253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(291),
  [10256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [10270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [10276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [10278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [10280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [10286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [10288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [10290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [10292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [10296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [10298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [10302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [10304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [10306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [10308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [10310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [10312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [10316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [10318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [10320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [10322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 337),
  [10324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [10330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [10332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [10334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [10336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [10338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4003),
  [10340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [10342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3868),
  [10344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4007),
  [10346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [10348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [10350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [10352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [10354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [10356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [10358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [10360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [10362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [10364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [10366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [10368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [10370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3971),
  [10372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [10374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4005),
  [10376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [10378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4000),
  [10380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [10382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [10384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [10386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [10388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [10390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [10392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [10394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [10398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7613),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [10402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [10404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [10410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2885),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [10414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [10420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [10422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7595),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [10426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [10430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [10434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [10438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4314),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [10442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [10444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [10452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [10456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7591),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [10460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [10462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4316),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [10466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [10472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [10474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [10476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 153),
  [10478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [10480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [10482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [10484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [10494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [10498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [10500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [10502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [10504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7567),
  [10506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [10510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 150),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [10518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7563),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [10522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [10530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [10532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [10534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7533),
  [10536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [10538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [10550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 39),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [10564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7529),
  [10566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, .production_id = 155),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [10578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [10582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [10584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [10588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3761),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [10594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7299),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [10600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4232),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [10610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4268),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [10614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4279),
  [10616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7571),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [10638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, .production_id = 5),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [10644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4579),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [10648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4529),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [10654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3776),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [10660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 134),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [10664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4537),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [10668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [10672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [10676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7401),
  [10678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, .production_id = 33),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [10684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [10686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [10690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [10694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [10698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [10702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [10704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [10708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [10712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [10714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 129),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [10718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [10722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [10726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7389),
  [10728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [10730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [10732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [10734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [10738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [10740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, .production_id = 177),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [10752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 2, .production_id = 58),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [10756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, .production_id = 90),
  [10758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [10762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, .production_id = 150),
  [10764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, .production_id = 32),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [10768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [10772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7364),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [10778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [10806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 1),
  [10808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 4, .production_id = 197),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [10812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [10836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, .production_id = 200),
  [10838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, .production_id = 197),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [10844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__formal_parameter, 1),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [10856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2),
  [10858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [10870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 97),
  [10872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, .production_id = 99),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [10876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 60),
  [10878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [10894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [10896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [10906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [10912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7212),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [10916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [10932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [10940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [10942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [10944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [10946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [10948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [10950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [10952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [10964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [10966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [10968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3277),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [10972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [10974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [10976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [10978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [10980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [10984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7640),
  [10986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [10988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [10990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5),
  [10992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [10996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [11000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [11030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7517),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [11092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [11134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [11136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [11138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [11140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [11142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [11162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [11180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [11194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [11196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [11206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [11214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2964),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [11218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [11264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7352),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [11310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [11320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [11322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [11326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [11342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [11344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [11346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [11348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [11350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [11356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [11360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [11370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [11394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [11396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [11404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [11412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [11414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [11416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [11418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [11444] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [11492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7180),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [11502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3463),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7193),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [11570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [11596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [11678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [11684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [11702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [11706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3329),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [11710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [11712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [11716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token__function_signature_automatic_semicolon = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [7] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
  },
  [9] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_tsx_external_scanner_create(void);
void tree_sitter_tsx_external_scanner_destroy(void *);
bool tree_sitter_tsx_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_tsx_external_scanner_serialize(void *, char *);
void tree_sitter_tsx_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_tsx(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_tsx_external_scanner_create,
      tree_sitter_tsx_external_scanner_destroy,
      tree_sitter_tsx_external_scanner_scan,
      tree_sitter_tsx_external_scanner_serialize,
      tree_sitter_tsx_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
